• | Table of Contents
• | Index
Special Edition Using® Mac® OS X v10.2
By Brad Miser
Publisher | : Que
Pub Date | : January 03, 2003
ISBN | : 0-7897-2904-0
Pages | : 936

From using the basic features of Mac OS X and its applications, working with multimedia, the Internet, and peripherals to administering mixed networks, this book provides readers with the information they need to become savvy on Mac OS X, version 10.2. Topic selection focuses on the practical rather than the theoretical. The information in the book is designed to be applicable in regular, daily use of the Mac to accomplish specific tasks with the theme of "learn by doing." This updated edition of Special Edition Using Mac OS X v10.2 reflects the major update version 10.2 represents. Updated coverage includes new and revised interfaces, additional email security features, better Mac-to-Windows networking, Bluetooth-enabled mobile computing, new and revised applications (iPhoto, iDVD, iChat, iCal/iSync, QuickTime 6 in support of the new MPEG-4 format, Inkwell for handwriting recognition), plus so much more.


• | Table of Contents
• | Index
Special Edition Using® Mac® OS X v10.2
By Brad Miser
Publisher | : Que
Pub Date | : January 03, 2003
ISBN | : 0-7897-2904-0
Pages | : 936

Copyright
About the Author
Acknowledgments
Tell Us What You Think!
Introduction
 | Welcome to Mac OS X
 | Introduction to Special Edition Using Mac OS X
Part I. Mac OS X: Exploring the Core
 | Chapter 1. Mac OS X: Foundations
 |  | Mac OS X: The Future Is Now
 |  | Mac OS X Benefits
 |  | Mac OS X Architecture and Terminology
 |  | Mac OS X Costs
 | Chapter 2. Getting Started with Mac OS X
 |  | Welcome to Mac OS X
 |  | Starting Up Mac OS X
 |  | Logging In, Logging Out, Restarting, and Shutting Down Mac OS X
 |  | Configuring the Login Window
 |  | Setting Up Startup Processes
 |  | Troubleshooting
 | Chapter 3. Viewing and Navigating Mac OS X Finder Windows
 |  | The Mac OS X Finder
 |  | Working with Finder Windows
 |  | Navigating Finder Windows
 |  | Customizing Finder Windows
 |  | Mac OS X to the Max: Finder Window Keyboard Shortcuts
 | Chapter 4. Working on the Mac OS X Desktop
 |  | The Mac OS X Desktop
 |  | Working with Mac OS X Menus
 |  | Working with the System Preferences Utility
 |  | Understanding Mac OS X Directories
 |  | Working with Files and Folders
 |  | Getting Info on Items
 |  | Finding Files and Folders on Your Mac
 |  | Customizing the Mac OS X Desktop
 |  | Mac OS X to the Max: Desktop Keyboard Shortcuts
 | Chapter 5. Using and Customizing the Dock
 |  | Understanding the Dock
 |  | Using Items on the Dock
 |  | Organizing the Dock
 |  | Customizing the Appearance and Behavior of the Dock
 |  | Working with Docklings
 |  | Mac OS X to the Max: Dock It
 | Chapter 6. Installing and Using Mac OS X Applications
 |  | Understanding Applications You Can Run Under Mac OS X
 |  | Installing Mac OS X Applications
 |  | Launching Mac OS X Applications
 |  | Understanding and Using Standard Mac OS X Application Menus
 |  | Opening Documents in Mac OS X
 |  | Saving Documents in Mac OS X
 |  | Troubleshooting
 |  | Mac OS X to the Max: Using Applications That Ship with Mac OS X
 | Chapter 7. Working with Mac OS 9, the Classic Environment, and Classic Applications
 |  | Understanding Mac OS 9.2, the Classic Environment, and Classic Applications
 |  | Installing, Configuring, and Running the Classic Environment
 |  | Installing and Using Classic Applications
 |  | Running Mac OS 9.2
 |  | Troubleshooting
 | Chapter 8. Configuring, Customizing, and Exploring Mac OS X
 |  | Setting Your Preferences
 |  | Using the Color Picker to Choose Colors
 |  | Controlling Open Applications
 |  | Using Disks and Discs
 |  | Controlling System Startup
 |  | Installing and Using Mac OS X Fonts
 |  | Logging In As Root
 |  | Exploring Mac OS X
 | Chapter 9. Unix: Working with the Command Line
 |  | A Command Line with the Mac OS?
 |  | Learning Unix by Example
 |  | Working with Basic Unix Applications
 |  | Mac OS X to the Max: Unix Resources
Part II. Mac OS X: Connecting to the World
 | Chapter 10. Connecting Your Mac to the Internet
 |  | Connecting to the Internet
 |  | Choosing Your Internet Connection Technology
 |  | Obtaining and Configuring an Account
 |  | Configuring Your Mac For Internet Access
 |  | Troubleshooting
 | Chapter 11. Using an AirPort Network to Connect to the Internet
 |  | AirPort Wireless Networking
 |  | Setting Up an AirPort Base Station
 |  | Connecting to the AirPort Network with Mac OS X
 |  | Troubleshooting
 |  | Mac OS X to the Max: Using AirPort to Share an Internet Connection with a Wired Network
 | Chapter 12. Using E-Mail
 |  | Introducing the Address Book and Mail
 |  | Setting Up and Using an Address Book
 |  | Configuring Your Address Book
 |  | Configuring Mail
 |  | Sending, Receiving, and Replying to E-Mail
 |  | Customizing Your E-Mail
 |  | Sending and Receiving Files with E-Mail
 |  | Searching E-Mail
 |  | Troubleshooting
 |  | Max OS X to the Max: E-Mail Away
 | Chapter 13. Surfing the Web
 |  | Browsing the Web with Internet Explorer for Mac OS X
 |  | Using Sherlock to Search the Web
 |  | Downloading and Preparing Files
 |  | Working with Plug-Ins and Helper Applications
 |  | The Basics of Web Security
 |  | Mac OS X to the Max: Going Further on the Web
 | Chapter 14. Putting Yourself on the Web
 |  | Developing Your Presence on the Web
 |  | Using .Mac to Create and Serve Your Web Pages
 |  | Using Mac OS X to Serve Web Pages
 |  | Troubleshooting
 |  | Mac OS X to the Max: Web Creation Software
Part III. Mac OS X: Living the Digital Lifestyle
 | Chapter 15. Creating and Editing Digital Images
 |  | Capturing Images for the Digital Lifestyle
 |  | Understanding Image Resolution
 |  | Understanding Image Types
 |  | Understanding Color Space and Color Palettes
 |  | Capturing Images Using a Digital Camera
 |  | Capturing Digital Images Using a Scanner
 |  | Capturing Screen Images
 |  | Using iPhoto to Master Digital Images
 |  | Working with Other Digital Image Tools
 |  | Troubleshooting
 |  | Mac OS X to the Max: Image File Formats
 | Chapter 16. Listening to and Working with Music
 |  | Understanding Music on the Mac
 |  | Listening to Audio CDs with iTunes
 |  | Listening to MP3 Music with iTunes
 |  | Customizing Music Playback
 |  | Making Your Music Mobile
 |  | Troubleshooting
 |  | Mac OS X to the Max: More Music
 | Chapter 17. Viewing, Editing, and Creating QuickTime Movies
 |  | Understanding QuickTime and QuickTime Pro
 |  | Upgrading and Configuring QuickTime
 |  | Viewing QuickTime Movies
 |  | Creating and Editing a Movie with QuickTime Pro
 |  | Creating a QuickTime Slide Show
 |  | Customizing Your QuickTime Movies
 |  | Troubleshooting
 |  | Mac OS X to the Max: Taking QuickTime Further
 | Chapter 18. Making Digital Movie Magic with iMovie
 |  | Working with Digital Video
 |  | Choosing and Using a DV Camcorder
 |  | Building a Basic Video Track
 |  | Adding Transitions
 |  | Titling Your Movie
 |  | Adding Special Effects
 |  | Using Sound in Your Movies
 |  | Distributing Your Movie
 |  | Troubleshooting
 |  | Mac OS X to the Max: iMovie Editing Shortcuts
 | Chapter 19. Watching and Creating DVD Movies
 |  | Taking Advantage of DVD on the Mac
 |  | Watching DVD Movies on the Mac
 |  | Creating Your Own DVDs
 |  | Troubleshooting
 |  | Mac OS X to the Max: And DVD for All
Part IV. Mac OS X: Expanding Your System
 | Chapter 20. Understanding Input and Output Technology
 |  | Understanding Interface Technology
 |  | Working with External Interfaces
 |  | Using Internal Interfaces
 | Chapter 21. Working with Input Devices
 |  | Choosing an Input Device
 |  | Finding, Installing, and Configuring a Keyboard
 |  | Finding, Installing, and Configuring a Mouse
 |  | Finding, Installing, and Using a Trackball
 |  | Finding, Installing, and Using an Ink Device
 |  | Troubleshooting
 |  | Mac OS X to the Max: Other Input Devices
 | Chapter 22. Finding, Installing, and Using Output Devices
 |  | Working with Output Devices
 |  | Finding, Installing, and Using a Monitor
 |  | Finding, Installing, and Using Speakers
 |  | Finding, Installing, and Using Printers
 |  | Working with PDFs
 |  | Synchronizing Color Among Devices
 |  | Troubleshooting
 | Chapter 23. Understanding and Using Data Storage Devices
 |  | Understanding Data Storage Options
 |  | Choosing, Installing, and Using a Hard Drive
 |  | Finding, Installing, and Using a CD Writer
 |  | Burning DVDs with Apple's SuperDrive
 |  | Using a Tape Drive
 |  | Working with Other Removable Media Drives
 |  | Troubleshooting
 |  | Mac OS X to the Max: Other Data Storage Applications
 | Chapter 24. Installing and Configuring Connecting Devices
 |  | Using Hubs to Connect Your Mac to Networks or Peripheral Devices
 |  | Finding and Installing an Ethernet Hub
 |  | Finding, Installing, and Using a USB Hub
 |  | Finding, Installing, and Using a FireWire Hub
 |  | Choosing a Modem
Part V. Mac OS X: Living in a Networked World
 | Chapter 25. Building and Using a Network
 |  | Local Area Networking with Mac OS X
 |  | Designing a Network
 |  | Building a Network
 |  | Configuring the Services on a Network
 |  | Monitoring and Administering a Network
 |  | Troubleshooting
 |  | Mac Os X to the Max: Networking Mac OS X with Windows Computers
 | Chapter 26. Sharing an Internet Connection
 |  | Enabling Multiple Macs to Use a Single Internet Account
 |  | Using AirPort to Share an Internet Account
 |  | Using a Mac Running OS X to Share an Internet Account
 |  | Using Multiple IP Addresses to Share an Internet Account
 |  | Using a Hardware DHCP Server to Share an Internet Account
 |  | Troubleshooting
Part VI. Mac OS X: Protecting, Maintaining, and Repairing Your Mac
 | Chapter 27. Maintaining and Protecting Your Mac
 |  | Keeping Your Mac Safe and in Good Working Condition
 |  | Maintaining Your Mac
 |  | Securing Your Mac
 |  | Defending Your Mac from Net Attacks
 | Chapter 28. Solving Mac Problems
 |  | Handling Mac Problems
 |  | Understanding the Causes of Problems
 |  | Preventing Problems
 |  | Assessing Your Mac
 |  | Solving Problems
Part VII. Mac OS X: Appendixes
 | Appendix A. Installing and Maintaining Mac OS X
 |  | Moving to and Maintaining Mac OS X
 |  | Moving to Version 10.2 from Mac OS 9.x.x or Earlier
 |  | Moving to Version 10.2 from Previous Versions of Mac OS X
 |  | Maintaining Mac OS X
 |  | Troubleshooting
 | Appendix B. Computing on the Move with PowerBooks and iBooks
 |  | Using Mac OS X on a Mobile Computer
Index


Copyright

Copyright © 2003 by Que

All rights reserved. No part of this book shall be reproduced, stored in a retrieval system, or transmitted by any means, electronic, mechanical, photocopying, recording, or otherwise, without written permission from the publisher. No patent liability is assumed with respect to the use of the information contained herein. Although every precaution has been taken in the preparation of this book, the publisher and author assume no responsibility for errors or omissions. Nor is any liability assumed for damages resulting from the use of the information contained herein.

Library of Congress Catalog Card Number: 2001090857

Printed in the United States of America

First Printing: January 2003

06 05 04 03 4 3 2 1

Trademarks

All terms mentioned in this book that are known to be trademarks or service marks have been appropriately capitalized. Que cannot attest to the accuracy of this information. Use of a term in this book should not be regarded as affecting the validity of any trademark or service mark.

Warning and Disclaimer

Every effort has been made to make this book as complete and as accurate as possible, but no warranty or fitness is implied. The information provided is on an "as is" basis. The author and the publisher shall have neither liability nor responsibility to any person or entity with respect to any loss or damages arising from the information contained in this book or from the use of the CD or programs accompanying it.

Credits

Executive Editor

Candace Hall

Development Editor

Laura Norman

Managing Editor

Charlotte Clapp

Project Editor

Sheila Schroeder

Copy Editor

Cheri Clark

Indexer

Heather McNeill

Proofreader

Juli Cook

Technical Editor

Brian Hubbard

Team Coordinator

Cindy Teeters

Interior Designer

Anne Jones

Cover Designer

Anne Jones

Page Layout

Point 'n Click Publishing, LLC

Dedication

To the World War II generation, for proving that doing the impossible is not so impossible after all.


About the Author

Brad Miser has been living the Macintosh Way ever since he first glimpsed the mighty Macintosh SE ("say, that's a nice machine, but the screen is so small"). In the years since (not to mention the Quadra 660AV, Power Mac 8600, a couple of DV iMac Special Editions, iBook, PowerBooks G3 and G4, and several Power Mac G4s running Mac OS 6, 7, 7.1, 7.5, 8, 8.1, 8.5, 9, 9.1, 9.2, 10.0, 10.1, and now 10.2), Brad has written extensively about all things Macintosh. Brad loves to help people get the most out of their Macs, and has even been known to occasionally provide help where none is desired ;-). He hopes that his books help people make the most of the best personal computer on Earth.

By day, Brad is an engineer (who likes to write?—you must be kidding) who develops technical documentation, online help systems, and other "stuff" for Mezzia, Inc. (www.mezzia.com). He has also been a proposal specialist for Rolls-Royce, a development editor for Pearson Education, and a civilian aviation test officer for the U.S. Army.

In addition to Special Edition Using Mac OS X, Brad has written many other Mac books, including Mac OS X and the Digital Lifestyle, The iMac Way, The Mac OS 9 Guide, The Complete Idiot's Guide to iMovie 2, The Complete Idiot's Guide to the iBook, The Complete Idiot's Guide to the iMac, and Using Mac OS 8.5.

He has also spoken at Macworld Expo as well as various user group meetings.

Brad would love to hear about your experiences with this book (the good, the bad, and the ugly). You can write to him at bradmacosx@mac.com.


Acknowledgments

To the following people on the Special Edition Using Mac OS X project team, my sincere appreciation for your hard work on this book:

Laura Norman, my development editor, who helped me get the focus of the first edition of this book on track when I had gone astray and kept me in line the rest of the way. She also made sure that I kept the text flowing when we revised this tome for Mac OS X version 10.2. Laura, getting though such a big book with me as the author two times should earn you a medal of some kind—a purple heart, perhaps?

Candace Hall, my acquisitions editor, who saw fit to give this book new life by creating a revised edition for Mac OS 10.2. Candy, I appreciate the opportunity to write this book and appreciate your support on the project.

Marta Justak of Justak Literary Services, my agent, for getting me signed up for this project. Marta was also a constant source of support for me during the process and was always ready to lend an ear to listen to whatever I needed to say. Marta, many times I needed to bounce an idea or complaint off someone—thanks for being there for me!

Don Mayer, CEO and Founder; Hapy Mayer, CFO and Co-owner; and especially, Dawn D'Angelillo, VP of Marketing, of Small Dog Electronics. Small Dog provided much of the hardware and software that I needed to write this book. Small Dog is a great and Mac-friendly retailer; whenever you need hardware or software, check them out at www.smalldog.com or call them at 802-496-7171. Also check out the ad at the back of this book. Many thanks to Small Dog for being such an important part of this project.

Brian Hubbard, my technical editor, who did a great job to make sure that the information in this book is both accurate and useful. Brian, I tried my best to sneak mistakes past you, but you caught me every time—thanks for a job well done!

Sheila Schroeder, my Pearson project editor, who skillfully managed the hundreds of files that it took to make this book. Sheila, thanks for keeping everything current and making sure that things got where they needed to be when they needed to be there.

Anne Jones, for the interior design and cover of the book. You made this book a pleasure to look at! It is too bad that you can't judge a book by its cover, because if you could, everyone would believe that this book is top-notch—thanks!

Pearson's production and sales team for printing the book and getting it into your hands. Thanks, everybody!

And now for a few people who weren't on the project team, but who were essential to me personally:

Amy Miser, for supporting me while I took on this mammoth project the first time around and for being understanding about my need to do it one more time; living with an author isn't always lots of fun, especially with a big, complex book like this one. Amy, I promise, no more big books—until the next one! ;-)

Jill, Emily, and Grace Miser, for helping me remember that there is a lot more to life than pounding the keys—even though sometimes it seemed as if that was all I was doing. Girls, you brought lots of smiles to my face in stressful times. Thanks for reminding me about what is really important. And, a special thanks to Buddy the guinea pig for his early-morning visits while I was working to cheer me up!

Suresh Murthy and Scott McCorkle of Mezzia, Inc., for providing the schedule flexibility and encouragement that I needed to be able to keep this book on schedule. Guys, I would never have believed that there was any place as great to work as Mezzia if I weren't living it myself! It's amazing!

Larry McWhorter, head football coach for the Zionsville Eagles. Larry, you consistently demonstrate true leadership and excellence on and, more importantly, off the field. Thanks for your example and encouragement. Go Eagles!


Tell Us What You Think!

As the reader of this book, you are our most important critic and commentator. We value your opinion and want to know what we're doing right, what we could do better, what areas you'd like to see us publish in, and any other words of wisdom you're willing to pass our way.

As an Executive Editor for Que, I welcome your comments. You can fax, e-mail, or write me directly to let me know what you did or didn't like about this book—as well as what we can do to make our books stronger.

Please note that I cannot help you with technical problems related to the topic of this book, and that due to the high volume of mail I receive, I might not be able to reply to every message.

When you write, please be sure to include this book's title and author, as well as your name and phone or fax number. I will carefully review your comments and share them with the author and editors who worked on the book.

Fax: | 317-581-4666
E-mail: | feedback@quepublishing.com
Mail: | Candace Hall Que 201 West 103rd Street Indianapolis, IN 46290 USA


Introduction

    Welcome to Mac OS X

    Introduction to Special Edition Using Mac OS X


Welcome to Mac OS X

Mac OS X has been called many things, from revolutionary to evolutionary to being so innovative that it threatens the very existence of the Mac as we have come to know and love it. And all of those descriptions are appropriate.

Mac OS X is a giant leap forward for the Mac platform. Its innovations in basic architecture, the way it works, and even its user interface make Mac OS X the most significant event for Mac users since the first Mac was introduced back in the Jurassic period, circa 1984. Mac OS X is more stable, more powerful, and even more beautiful than any previous version.

However, this progress comes with a price. And the price is that Mac users must make an equivalent jump in their knowledge base to be able to effectively use the new OS. Mac OS X is complex, and the number of features is staggering; in fact, it is better to think of Mac OS X as a completely new OS because, in reality, that is what it is. Many of the old tricks of the Mac trade are gone; learning new ways of using a Mac running Mac OS X is required.

And that is where this book comes in.


Introduction to Special Edition Using Mac OS X

This book has two fundamental purposes:

  • To help you make the jump to Mac OS X as efficiently as possible.

  • To provide a reference for you to use as you continue to grow in your Mac OS X use.

To accomplish the first purpose, this book is written in a straightforward style; you won't find any fluff here. The book is designed to help you use Mac OS X as efficiently and as effectively as possible. Everything about the book is an attempt to make specific information accessible and applicable to your daily Mac life. You will find only the background information that you need in order to understand how to apply specific techniques and technologies; more focus is placed on the information that you need in order to apply what you learn to your own Mac.

To accomplish the second purpose, this book covers an extremely broad range of topics. In addition to coverage of the core functionality of the desktop, you will find extensive coverage of topics to enable you to accomplish productive work with your Mac, such as creating digital movies, surfing the Net, and creating and hosting a Web site. This book also contains substantial amounts of information to help you add devices to expand your system so that you can accomplish even more. Because Mac OS X has been designed to be networked, you will learn how to use its capabilities in this area to connect with other Macs, as well as to Windows networks. You will also learn how to both prevent and solve problems along the way.

How This Book Is Organized

This book consists of several parts, each of which contains at least two chapters. The following list provides you with an overview of this book's contents:

  • Part I Mac OS X: Exploring the Core This part contains the largest number of pages, and for good reason. In this part, you will learn the core operations of the OS, from getting started with Mac OS X to working with the Finder, the Dock, applications, and the Classic environment, to customizing and exploring Mac OS X in depth. You will also learn the basics of the Unix command line.

  • Part II Mac OS X: Connecting to the World Mac OS X has been designed to facilitate your interaction with the Internet. This part of the book explains how to configure Mac OS X for the Internet and how to use the tools it provides after you are connected.

  • Part III Mac OS X: Living the Digital Lifestyle The Mac has always been pre-eminent in enabling the rest of us to create and experience multimedia, or what Apple now calls the digital lifestyle. Mac OS X continues this tradition and provides digital media tools that are unmatched by any other platform. From creating and editing digital images to making movies with iMovie to watching DVDs you create, this part of the book shows you how.

  • Part IV Mac OS X: Expanding Your System No Mac is an island; this part of the book helps you understand the input and output technologies supported by Mac OS X to enable you to select and add the peripheral devices you need.

  • Part V Mac OS X: Living in a Networked World From the Internet to a local network, the odds are that your Mac is connected to one or more other computers. In this part of the book, you will learn how to establish, maintain, and use a network.

  • Part VI Mac OS X: Protecting, Maintaining, and Repairing Your Mac As great as Mac OS X is, you still need to know how to prevent as many problems as possible and to be able to effectively solve any problems you do experience.

  • Part VII Mac OS X: Appendixes These appendixes will help you install and maintain the OS and use Mac OS X on a mobile Mac.

Special Features

This book includes the following special features:

  • Chapter roadmaps— At the beginning of each chapter, you will find a list of the top-level topics addressed in that chapter. This list will enable you to quickly see the type of information the chapter contains.

  • Troubleshooting Many chapters in the book have a section dedicated to troubleshooting specific problems related to the chapter's topic. Cross-references to the solutions to these problems are placed in the context of relevant text in the chapter as Troubleshooting Notes to make them easy to locate.

  • Mac OS X to the Max Many chapters end with a "Mac OS X to the Max" section. These sections contain extra information that will help you make the most of Mac OS X. For example, tables of keyboard shortcuts are included to help you work more efficiently. Other sections include summaries of information that is outside the scope of the book, but which you should be aware of.

  • Notes Notes provide additional commentary or explanation that doesn't fit neatly into the surrounding text. You will find detailed explanations of how something works, alternative ways of doing a task, and comparisons between Mac OS X and previous versions of the OS.

  • On the Web Notes These notes provide you with URLs you can visit to get more information or other resources relating to the topic being discussed.

  • Tips Tips help you work more efficiently by providing shortcuts or hints about alternative and faster ways of accomplishing a task.

  • Cautions These sidebars provide a warning to you about situations that involve possible danger to your Mac or to its data.

  • The new version icon [image] This icon indicates a significant change from versions of Mac OS prior to version 10.2.1. This icon will help those of you who have used Mac OS X before and want to get to the heart of the newest version of the OS quickly.

  • Cross-references Many topics are connected to other topics in various ways. Cross-references help you link related information together, no matter where that information appears in the book. When another section is related to one you are reading, a cross-reference will direct you to a specific page in the book on which you will find the related information.

Conventions

To make things as clear as possible, this book doesn't use many special conventions or formatting techniques to identify specific kinds of information. However, there are a few things you need to be aware of.

  • Menu commands are referred to by starting with the menu name and moving down to the specific command while separating each "layer" with a comma. For example, rather than writing "Open the Terminal menu, then choose the Services command, then choose the Mail command, and then choose Mail Text," I use a shorthand technique. In this example, I would write, "Choose Terminal, Services, Mail, Mail Text." This shorthand makes the command structure more clear and cuts back on the number of words you have to read.

  • When you are working in the Terminal, the commands you enter and the output you see are in mono font like this.

  • Variables that stand for specific input that you need to enter are usually in italics. For example, if you need to type your user name in a specific location, I write "type your username" to indicate that you should input your own information in place of the italicized phrase.

Who Should Use This Book

In this book, I've made certain assumptions about your specific experience with the Mac OS and your general comfort level with technology. The biggest assumption is that you are quite comfortable with the fundamentals of using the Mac OS. For example, you won't find any explanations of how to use a mouse, how to copy and move files, the basics of drag and drop, and so on. When there are significant differences in these basic tasks under Mac OS X as compared to the previous versions of the OS, you will find those differences explained, but probably not in enough detail to teach you how to do them if you have never done them before.

If you are completely new to computers, you will still find this book very useful, but you will also need a companion book that explains the fundamentals of using a Mac in more detail than is provided in this book.

If you have used previous versions of the Mac OS, such as Mac OS 9 or earlier versions of Mac OS X, and are comfortable with basic tasks, this book will help you make the jump to Mac OS X version 10.2 in a short time. It will also help you become very knowledgeable about many aspects of this completely cool operating system.


Part I: Mac OS X: Exploring the Core

1 Mac OS X: Foundations

2 Getting Started with Mac OS X

3 Viewing and Navigating Mac OS X Finder Windows

4 Working on the Mac OS X Desktop

5 Using and Customizing the Dock

6 Installling and Using Mac OS X Applications

7 Working with Mac 0S 9, the Classic Environment and Classic Applications

8 Configuring, Customizing, and Exploring Mac OS X

9 Unix: Working with the Command Line


Chapter 1. Mac OS X: Foundations

In this chapter

Mac OS X: The Future Is Now

Mac OS X Benefits

Mac OS X Architecture and Terminology

Mac OS X Costs


Mac OS X: The Future Is Now

When the Mac OS was first introduced back in 1984, it was a completely radical way of interacting with a computer. Rather than having to type long strings of arcane commands, a user could manipulate the system, files, documents, and data by simply pointing to icons and clicking. The success of the Mac OS drove the other PC-oriented operating systems to adopt a graphical user interface.

NOTE

Just to give credit where credit is due; the user interface made mainstream by the Mac was based on work done at Xerox. I guess that just goes to show that the inventor of something doesn't always get the most out of it.

Since that time, the Mac OS has undergone many improvements as it moved from early versions up to versions 8, 9, and finally 9.2 to carry it into the year 2002. These versions successfully made the transition from 68K processors to PowerPCs. They included Internet features early in the life of the Internet and then integrated the Net into the OS under 9. Each of the versions further refined the OS and added additional features (some of which were useful and survived, while others went by the wayside). Mac OS 9.2 was and is an excellent OS.

However, as the saying goes, all good things must come to an end.

Even as powerful and capable as Mac OS 9.2 is, it shows the core architecture's age. It lacks modern, fundamental design features that are needed to support the demands of today's user in terms of reliability and stability. It doesn't provide all the tools that today's power-hungry Mac users need. The time has come for something new.

Mac OS X is all that and more. Although it is called version ten, a more appropriate name might be Mac OS: The Next Generation. Although Mac OS X shares some interface commonality with previous versions, that is where the similarities stop—at the surface. Mac OS X is a completely new operating system. From its Unix core to the desktop's Dock, Mac OS X is the future of the Mac platform—and it's a very bright future indeed.


Mac OS X Benefits

Listing all of Mac OS X's advantages and benefits could consume this entire chapter; however, following are some of the highlights as to why Mac OS X is a very good thing:

  • Stability and reliability Because the operating system has been designed using modern architectural principles, it is very stable. When an application does crash or hang, only that application is affected. The system manages its resources much more effectively than previous versions of the OS did. The result is that Mac OS X keeps on working without those annoying crashes that are far too common with previous versions.

  • Speed The OS is optimized for maximum performance on Mac hardware, such as the PowerPC processor. It also takes advantage of other modern Mac hardware features such as faster memory, modern data buses, and so on. The speed benefits were further improved when version 10.2 was released in August 2002. The Mac OS X Finder is much faster than that in any previous version.

  • Beauty Although it might seem odd to list beauty as a benefit of an operating system, if you have seen Mac OS X before, you probably understand why I listed this. Because of the advanced graphics subsystem, images, fonts, icons, and other graphic elements of the operating system are very pleasing to look at. The new interface design uses color and other graphic effects in a visually stunning way.

  • Multiple user support Mac OS X is designed to facilitate many people using the same machine. Unlike previous versions of the Mac OS, this support is native to the OS rather than being an add-on via the Multiple Users control panel.

  • Organization Mac OS X features a logical organization that is user-friendly—things are where you expect them to be.

  • Security Mac OS X has many security features you can employ to protect your machine and its data from other people who use it as well as from those who share the same network as you and even from Internet attacks through its built-in firewall.

  • Compatibility With its Classic environment, Mac OS X can use most applications that are written for earlier versions of the Mac OS. This means that from the day Mac OS X was introduced, there were thousands of Mac OS X–compatible applications. Because Mac OS X is based on Unix, it is also compatible with many of the Unix applications that are available. This brings hundreds of sophisticated applications to the Mac that were previously unavailable.

  • Power Mac OS X is a very powerful OS. Its multiple layers provide this power in many areas, such as graphics, the Internet, and so on. Its standards-based networking architecture enables you to connect to any system, anywhere. And you have much greater, direct access to system processes than ever before. You can access this power at many levels, from the GUI to using Unix text commands.

  • Network-ready Mac OS X provides support for all sorts of networks, from those containing all Macintosh computers to those composed of Windows PCs. Mac OS X's networking system is powerful, flexible, and relatively easy to configure. With its Rendezvous technology, Mac OS X Macs can automatically seek out and configure other Rendezvous devices with which they can communicate.

  • High-technology support Mac OS X supports many advanced technologies, including Bluetooth, that enable the OS to interact with wireless devices, such as cell phones and PDAs. The new Ink system provides Mac OS X with handwriting recognition so that you can provide input with graphics tablets and other devices in all of your Mac OS X applications.

  • Ease of use Although power and ease of use are usually conflicting terms, Mac OS X provides both. Its interface features the tools and techniques that have made the Mac OS traditionally the most intuitive and easiest-to-use operating system.

  • Customizable It wouldn't be a Mac OS if you couldn't tweak the interface to suit your preferences. Mac OS X is fully customizable and you can adjust and tweak it to your heart's content.


Mac OS X Architecture and Terminology

Understanding the architecture and terminology of Mac OS X is important to be able to use it effectively.

Functionally, the Mac OS X architecture consists of several "layers" that are often shown graphically as in Figure 1.1. The base level of the operating system is its Unix core, which is called Darwin. Moving "up" through the layers, the next layer is the graphics subsystem, which consists of three parts: Quartz, OpenGL, and QuickTime. Then comes the application layer, which has four components, those being Classic, Carbon, Cocoa, and Java. Finally, the top layer is the user interface, which is called Aqua.

Figure 1.1. You can think of Mac OS X being composed of four layers; the bottom layer provides the core OS services, whereas each layer toward the top provides services that are "closer" to the user.

The Core OS: Darwin

Mac OS X is built upon a Unix core; the Darwin core is based on the Berkeley Software Distribution (BSD) version of Unix. The "heart" of the Darwin core is called Mach. This part of the operating system performs the fundamental tasks, such as data flow into and from the CPU, memory use, and so on. Mach's major features include the following:

  • Protected memory Mach provides a separate memory area in which each application can run. It ensures that each application remains in its own memory space and so does not affect other applications. This means that if a running application crashes or hangs, other applications aren't affected. You can safely shut down the hung application and continue working in the others.

    In contrast, previous versions of the Mac OS did not have protected memory. When one application crashed, it usually took down others and often the OS itself, which resulted in your losing unsaved data in all the applications. Under Mac OS X, only the data in the crashing application is at risk.

  • Preemptive multitasking Under Mac OS X (or more specifically Mach), the operating system controls the tasks that the processor is performing. This means that the OS controls the processes that the processor is performing to ensure that all applications and system services have the resources they need and that the processor is used efficiently. This ensures both stability and maximum performance for both foreground and background processes.

    This is in contrast to the cooperative multitasking in previous versions of the Mac OS. Under that scheme, applications had to fight among themselves for the resources they needed. This resulted in instability when applications couldn't get the resources that they needed and poor performance for those applications that were not able to "grab" the system resources they needed (this is why some processes stopped when you moved them to the background).

  • Advanced virtual memory The Mach core uses a virtual memory system that is always on. It manages the virtual memory use efficiently so that virtual memory is used only as necessary to ensure maximum performance.

    Under previous versions of the Mac OS, you had to control how virtual memory was used manually. Because the virtual memory system was not very efficient, you had to be careful about when you had it turned on because it would cause the performance of some applications to slow to a crawl, even if you had plenty of RAM.

NOTE

Darwin is Open Source. This means that the code of which Darwin is composed is freely available to anyone who wants to use it. A programmer can download the Darwin code and modify it. This means that it is possible to provide alternative versions of the Darwin core to change and enhance Mac OS X. The Darwin code and documentation can be found at www.apple.com/darwin.

NOTE

Another significant ramification of the way in which Darwin manages memory is that it dynamically assigns RAM to applications when they open. Under Mac OS X, the system handles all RAM management for you; there is no more manual RAM allocation for applications as there was under previous versions of the OS.

Darwin also provides the Input/Output services for Mac OS X, and easily supports three key characteristics of modern devices: plug-and-play, hot-swapping, and power management.

Darwin, through its Virtual File System (VFS) design, supports several different file systems under Mac OS X, including the following:

  • The Mac OS Extended Format, also known as Hierarchical File System Plus or HFS+, is the default file system under Mac OS X as it has been under the more recent versions of the Mac OS (those since Mac OS 8). This file system efficiently supports large hard drives by minimizing the smallest size used to store a single file.

  • The Mac OS Standard Format, known as HFS, which was the standard for Mac OS versions prior to Mac OS 8.

  • UFS, which is the standard file system for Unix systems.

  • UDF, which is the Universal Disk Format, used for DVD volumes.

  • ISO 9660, which is a standard for CD-ROMs.

Darwin supports two major network file protocols: Apple File Protocol (AFP) over IP client; AFP is the file-sharing protocol for Macs running Mac OS 8 and Mac OS 9, and Network File System (NFS) client, which is the dominant file-sharing protocol on Unix platforms. Mac OS X also provides support for Windows-based networks and includes native support for SAMBA file servers.

Mac OS X uses bundles; a bundle is a directory containing a set of files that provide services. A bundle contains executable files and all the resources associated with those executables; when they are a file package, a bundle can appear as a single file. There are three types of bundles under Mac OS X, as follows:

  • Applications Under Mac OS X, applications are provided in bundles. Frequently, these bundles are designed as file packages so that you see only the files with which you need to work, such as the file to launch the application. The rest of the application resources might be hidden from the user. This makes installing such applications simple.

  • Framework A framework bundle is similar to an application bundle except that a framework provides services that are shared across the OS; frameworks are system resources. A framework contains a dynamic shared library, which means that different areas of the OS as well as applications can access the services provided by that framework. Frameworks are always available to the applications and services running in the system. For example, under Mac OS X, QuickTime is a framework; applications can access QuickTime services by accessing the QuickTime framework. Frameworks are not provided as file packages and so you see the individual files that make up that framework.

  • Loadable Bundle Loadable bundles are executable code (just like applications) available to other applications and the system (similar to frameworks) but must be loaded into an application to provide their services. There are two main types of loadable bundles: plug-ins (such as those used in Web browsers) and palettes (which are used in building application interfaces). Loadable bundles can also be presented as a package so that you see and work with only one file.

NOTE

Because of its Unix architecture, you will see many more filename extensions under Mac OS X than there were under previous versions of the OS. Most of the extensions for files you will deal with directly are easily understood (for example, .app is used for applications), but others that the system uses are not as intuitive.

The Graphics Subsystem

Mac OS X includes a very advanced graphics subsystem, which has three main components: Quartz, OpenGL, and QuickTime.

NOTE

Under Mac OS X version 10.2, several improvements have been made to the graphics subsystem, which is now called Quartz Extreme.

Quartz Extreme is the name for the part of the graphics subsystem that handles 2D graphics. Quartz provides the interface graphics, fonts, and other 2D elements of the system. Quartz provides on-the-fly rendering and anti-aliasing of images. Under Mac OS X, the Portable Document Format (PDF) is native to the OS. This means that you can create PDF versions of any document without using a third-party application, such as Adobe Acrobat (to get special features in PDF documents, such as navigation features, you will still need to use an application that provides those features). You can quickly create a PDF version of any document with which you work; that document can be viewed with Acrobat Reader or Mac OS X's own Preview application. Quartz also supports TrueType, Type 1, and OpenType fonts. Quartz Extreme also blends 3D and QuickTime content with the 2D content it provides directly.

NOTE

Anti-aliasing reduces the pixelated appearance of graphics to provide smooth edges instead of jagged ones.

Because of Quartz, you no longer need to install a font-smoothing utility, such as Adobe Type Manager, to be able to view and use all sizes of PostScript fonts.

The OpenGL component of the graphics subsystem provides 3D graphics support for 3D applications, such as 3D graphics applications and games. OpenGL is an industry standard that is also used on Windows and Unix systems. This means that it is easier to create 3D applications for the Mac from those that were designed to run on these other operating systems. The Mac OS X implementation of OpenGL provides many 3D graphics functions, such as texture mapping, transparency, anti-aliasing, atmospheric effects, other special effects, and more.

QuickTime provides support for many different types of digital media, such as digital video, and is the primary enabler of video and audio streaming under Mac OS X. QuickTime enables both viewing applications, such as the QuickTime Player, and creative applications, such as iMovie, iTunes, and many more. QuickTime is also an industry standard, and QuickTime files can be used on Windows and other computer platforms.

The Application Subsystem

Mac OS X provides the Classic environment to enable it to run Classic applications. It also includes three application development environments: Carbon, Cocoa, and Java 2.

NOTE

Support for Java 2 was added in version 10.2.

The Classic environment enables Mac OS X to run applications that were written for previous versions of the OS without modification. This provides access to thousands of existing applications that will run under Mac OS X. Classic applications run as they do under previous versions of the Mac OS; in other words, they do not benefit from the advanced features of Mac OS X such as protected memory (Classic applications can be affected by other Classic applications, and the Classic environment itself can be affected when a Classic application has problems).

The Carbon environment enables developers to port existing applications to use Carbon Application Program Interfaces (APIs); the process of porting a Classic application into the Carbon environment is called Carbonizing it. The Carbon environment offers the benefits of Darwin for Carbonized applications, such as protected memory and preemptive multitasking. Carbonizing an application is significantly less work than creating a new application from scratch, which enabled many applications to be delivered near the release of Mac OS X.

The Cocoa environment offers developers a state-of-the-art, object-oriented application development environment. Cocoa applications are designed for Mac OS X from the ground up and take the most advantage of Mac OS X services and benefits. Most of the applications that are included with Mac OS X are Cocoa versions; as time passes, more and more Cocoa applications will become available and will eventually be the dominant type under Mac OS X.

The Java environment enables you to run Java applications, including pure Java applications and Java applets. Java applications are widely used on the Web because they enable the same set of code to be executed on various platforms. You can also develop Java applications under Mac OS X.

The User Interface

The Mac OS X user interface, called Aqua, provides Mac OS X's great visual experience as well as the tools you use to interact with and customize the interface to suit your preferences. From the drop shadows on open windows to the extensive use of color and texture to the extremely detailed icons, Aqua provides a user experience that is both pleasant and efficient.


Mac OS X Costs

Mac OS X is a good thing, but as with all good things, it does come with a price. You must have a modern Mac to be able to use it. Apple states that you must have a Power Mac G3, Power Mac G4, Power Mac G4 Cube, iMac, eMac, PowerBook G3, PowerBook G4, or an iBook to be able to run it. You also must have at least 128MB of RAM to run it (you might be able to get away with less if you don't use any Classic applications).

NOTE

Apple does not support Mac OS X running on early hardware, although you might be able to get it to run on an older machine. You might also be able to get Mac OS X to run on a machine that has an upgrade card installed in it; however, support for specific upgrade cards is a hit-or-miss proposition.

However, the more costly "cost"—at least for those who have used previous versions of the Mac OS—is that Mac OS X requires that you learn its "ways," which are quite different from previous versions of the OS. In almost every area, Mac OS X is at least slightly different (in many cases, radically different) from previous versions of the OS. It will take some time to get comfortable with how this new OS works (thinking of it as a new OS rather than an update might help you make the jump more easily). And many of the things that were standard practice under previous versions are no longer applicable.

This book will help you make the switch as easily as possible. And when you do, you will be glad you did—the gain associated with learning Mac OS X is definitely worth any pain you might feel. By moving through the rest of this book, you will quickly become quite comfortable with all aspects of Mac OS X.


Chapter 2. Getting Started with Mac OS X

In this chapter

Welcome to Mac OS X

Starting Up Mac OS X

Logging In, Logging Out, Restarting, and Shutting Down Mac OS X

Configuring the Login Window

Setting Up Startup Processes

Troubleshooting


Welcome to Mac OS X

After reading Chapter 1, "Mac OS X: Foundations," you understand a bit about Mac OS X, such as its features, architecture, and so on. Now it's time to start using it! The functions you'll explore in this chapter are fundamental to your use of Mac OS X.

If you have not yet installed Mac OS X, before you go any further in this chapter, read Appendix A, "Installing and Maintaining Mac OS X," to get help installing the OS and setting up the Administrator user account. When you have worked through the tasks in that appendix, come back here.

If you have already installed Mac OS X, you have probably already started using it and you have created at least one user account. This chapter will help you to get a better understanding of user accounts and learn how to customize the startup process.


Starting Up Mac OS X

As you learned in Chapter 1, Mac OS X is truly a multiuser operating system. This offers many benefits to you, but it also means that when you use the OS, you have to log in as a particular user. When you do so, what you can see and do depends on the settings for the account that you use to log on to the system.

NOTE

When you first start up Mac OS X after installing it, it uses the automatic login mode because there is only one user account created for it. This means that you are logged into the Administrator account automatically and so you might not even realize that you have logged in. After your Mac starts up, the desktop appears as it has under previous versions of the OS. However, the machine has gone through the login process—it just entered all the required information for you automatically.

Each user account can have its own set of preferences and system resources that are tailored to that user. Many preferences are stored individually for each user account and so that aspect of the OS will be unique to each user. A simple example is the desktop picture, which can be different for each user account. Other customizable aspects of the desktop, such as the Dock, are also specific to user accounts. And, many applications also store preferences specific to each user account.

TIP

To disable automatic login without creating additional user accounts, open the System Preferences utility, select the Accounts icon, and uncheck the "Log in automatically as" check box.

User accounts also provide system security and they control what parts of the machine a particular user can access.

One of the most important aspects of a user account is its Home directory.

Under Mac OS X, the terms directory and folder are basically synonymous. Typically, non-GUI operating systems use the term directory while GUI operating systems use the term folder. Because Mac OS X has Unix as its foundation and the term directory is used under Unix, I tend to also use directory under Mac OS X as well. The reason for this is that you can access the Unix command line; when you access your Mac's files using the command line, the concept of folder doesn't really apply (because there is no graphical element to the user interface). Practically speaking, however, the terms are equivalent and are interchangeable.

Understanding the Home Directory

Each user account on your Mac has a Home directory. This directory contains folders that are used to store private files, public files, and system resources (such as preferences and Keychains) for that user account. With two exceptions (the Public and Site folders), only someone logged in under a user account can access the folders in that user account's Home directory.

NOTE

The exception to the general rule about accessing the folders in another user's Home directory is the root account. The root user account can access everything on your Mac and is outside the normal security provided by user accounts. You should use the root account only in special situations, and you really need to understand it before you use it.

To learn about the root account, see "Logging In As Root," p. 206.

To learn more about Mac OS X directories, see "Understanding Mac OS X Directories," p. 80.

A user's Home directory contains the folders shown in Figure 2.1.

Figure 2.1. Every user account on your Mac has a Home directory; the directory contains folders that only that user can access (except for the Public and Sites folders).

Most of these folders are easy to understand. For example, the Documents folder is the default location in which the user will store documents he creates. The Desktop folder contains items that are stored on that user's desktop (which means that each user account can have a unique desktop), and so on.

TIP

You can quickly tell which user account is active by looking at the Home directory icon. It looks like a house for the current user's Home directory; the other Home directory icons are plain folders.

Only someone logged in as the user can access the contents of these folders, except for the Public and Sites folders that can be accessed by anyone using your Mac. Locked folders have an icon that includes a red circle with a minus sign (see Figure 2.2); this means that the folder is locked and that you can't open it to view its contents. If another user attempts to open one of these protected folders, it will appear to be empty and any files it contains will be invisible (and thus they can't be opened). Unlocked folders in another user's directory have the plain folder icon, which means their contents are accessible. Unlocked folders in the current user's Home directory have the decorative Mac OS X icons (see Figure 2.1).

Figure 2.2. When you view another user's Home directory, the protected folders are marked with the minus icon indicating that their contents are inaccessible.

The Public folder is accessible by users logged in under any account. Its purpose is to enable users to share documents and other resources. The items to be shared can be stored in this folder and other users can open the folder to get to them. The Public folder also contains a Drop Box folder. This folder can be seen by other users and they can place files in it, but it can't be opened by anyone except the owner of the user account under which that drop box is stored.

The Sites folder contains files for that user's Web site.

To learn how to create and serve a Web site from the Sites folder, see "Using Mac OS X to Serve Web Pages," p. 389.

The Library folder is the only one in the Home directory that is not intended for document storage. It contains items related to the configuration of the user account, and all the system-related files for that user account are stored in the Library directory as well. For example, user preferences are stored here as are font collections, addresses, keychains, and so on. Basically, any file that affects how the system works or looks that is specific to a user account is stored in the Library directory. You will be learning more about the Library folder elsewhere in this book.

Understanding the Administrator Account

When you installed Mac OS X, you created the first user account. The account that you created was actually an Administrator account. Administrator accounts are special because they provide wide access to the system and are one of only two accounts that can control virtually every aspect of Mac OS X (the other being the root account). A user who logs in as an Administrator for your Mac can do the following:

  • Create other user accounts An Administrator for your Mac can create additional user accounts. By default, these user accounts have more limited access to the Mac than does an Administrator account, but you can allow other accounts to administer the Mac as well (in effect creating multiple Administrator accounts).

  • Change global system preferences The Administrator can change global system settings for your Mac; other user accounts can't. For example, to change the network settings on your Mac, you must be logged in as the Administrator (or you must authenticate yourself as an Administrator).

  • Configure access to files and folders An Administrator can configure the security settings of files and folders to determine who can access those items and what type of access is permitted.

  • Install applications Applications that you install under Mac OS X require that you be logged in as an Administrator or that you authenticate yourself as one.

When you attempt to perform an action, such as those listed in the previous list, that requires an Administrator, you will see an Authentication dialog box. To authenticate yourself, you enter a valid Administrator account username and password and click OK (if you are currently logged in as an Administrator, the username will be filled in automatically). This enables you to perform that action.

When you need to be authenticated, you will see the Lock icon. When the Lock is "open," you are authenticated. When the Lock is "closed," you can click it to open the Authentication dialog box.

You should control who has access to the Administrator accounts for your machine. If someone who doesn't understand Mac OS X—or who wants to cause you trouble—logs on with your Administrator account, you might be in for all kinds of problems. You also need to make sure either that you can remember the username and password for an Administrator account that you set up or that you write them down. If you forget this vital information, you could have trouble later.

NOTE

Administrator accounts are a fundamentally different concept for many Mac users. Traditionally, all areas of the operating system (such as control panels) were easily accessed by anyone who used the Mac. Unless you have used the Multiple Users feature of Mac OS 9, this is likely to be your experience. Although you can use the automatic login mode so that you don't have to log in to your Mac, the fact remains that Mac OS X is a multiuser system. To get the most out of it, you need to get comfortable with user accounts because whether you have to log in or not, you will always be using user accounts under Mac OS X (unlike under previous versions of the OS in which user accounts were optional).

Creating User Accounts

If you share your Mac with other people, you should create a user account for each person who will be using your machine. In addition to protecting your Mac from tampering, user accounts also provide specific folders for the other users in which they can store information (such as application preferences) and documents and other files that are specific to them.

You can also customize the environment of each user account in several ways; for example, you can have a different set of applications start up for each user account and each user can have her own Dock and desktop configuration.

Rather than creating a single user account for each person, you can create a user account that several people share. This can be useful if there are people who use your Mac, but who don't necessarily need private directories. For example, if you share your Mac with children, you might want to create a single user account for them to use.

You use the System Preferences utility to create additional user accounts for your Mac.

NOTE

The System Preferences utility is somewhat analogous to the control panels in previous versions of the Mac OS. It enables you to make changes to various system settings. You will be using it throughout this book.

  1. Open the System Preferences utility by clicking its icon on the Dock or by choosing Apple menu, System Preferences. The System Preferences utility window has two panes; the upper pane is the toolbar on which you can store icons that you access frequently. In the lower pane, you see the areas of the OS for which you can set system preferences (those being Personal, Hardware, Internet & Network, and System). Within each section are the icons for each area of the OS that you can configure. When you click an icon, the lower pane is replaced by the controls for the area to which the icon is related.

  2. Click the Accounts icon in the System area to open the Accounts pane of the System Preferences utility (see Figure 2.3). The Account tools will appear in the lower pane of the window.

    Figure 2.3. You can create user accounts with the Accounts pane of the System Preferences utility; in this figure, you can see that several accounts have been created on this machine, with one being an Administrator account.

  3. Click the New User button to open the New User sheet (see Figure 2.4).

    Figure 2.4. Here, I am creating a guest user account; I have already entered the account name and short name and password, and selected a nice login picture.

    NOTE

    Many Mac OS X dialog boxes feature sheets. Sheets are dialog boxes that drop down from the top of the window you are working with. Sheets, unlike dialog boxes, are attached to the window and move with it, such as when you minimize a window.

    Only an Administrator can create new user accounts. If you aren't logged in as an Administrator for your Mac, you have to authenticate yourself as being an Administrator before you can create an account. To do so, click the Lock icon located in the lower-left corner of the window, enter the username and password for an Administrator account, and click OK. This will identify you as an Administrator temporarily so that you can make your changes.

  4. Enter the Name for the user account. Name is the "full" name for the user account; it doesn't have to be a real full name—this is one name that the user can use to log on to this user account. The Name can be pretty much whatever you want it to be.

  5. Press Tab to move to the Short Name box. The short name is a name used for specific areas under that user account (such as the name of the user's Home directory) and for access to services provided under that account (such as the account's FTP site). The Short Name is limited to eight characters or fewer. The Short Name can be used instead of the Name to cut down on the number of characters that you have to type in specific situations, such as when you log in to the account (in which case the Short Name and Name are interchangeable). However, the Home directory is always identified by the short name only.

    Mac OS X automatically creates a short name for the account. You can choose to use this one or you can change it to be something else.

    The short name is used in several places, such as in the Web site address for the user account. Because of this, you should choose a meaningful short name, preferably some variation of the account Name.

  6. Edit the short name as needed, such as by replacing it if you don't like the one that Mac OS X created for you automatically.

    The short name must be eight characters or fewer and can't contain any spaces, dashes, or other special characters (Mac OS X won't let you enter any characters that are unacceptable). Underscores are acceptable. You should adopt a general rule about the short name for an account, such as using the first initial of the first name and as much of the last name as will "fit" in the allotted number of characters. Keeping the short name consistent will help you deal with other user accounts more easily.

    After it's created, you can't change the short name for a user account, so be deliberate when you create it.

    TIP

    You can use a user account for any purpose you desire. For example, because each user account has its own Web site, you might want to create a user account simply to create another Web site on your machine. For example, you might want to create a user called "Group Site" to serve a Web page to a workgroup of which you are a member.

  7. Enter the Password for the user account. A password is what you expect—the password that must be used to access the user account. The password must be at least four characters long. For better security, use a password that is eight characters long and contains both letters and numbers (this makes the password harder to "crack"). Passwords are case sensitive; for example, mypassword is not the same as MyPassword.

    If you leave the Password field empty, a password will not be required in order to log on to the account. When you choose to do this, you will see a warning dialog box when you attempt to save the account. If you ignore this warning, the account will be created. When the user logs into the account, he can select it and log in without entering a password. Obviously, this is not a secure thing to do, but it can be useful nonetheless. For example, you might choose to create an account for children whom you don't want to have to use a password. When you create such "unprotected" accounts, you should use the Capabilities tools to limit access to your Mac, such as by using the Simple Finder option. (Under version 10.2, you can remove a password from an existing account even though the system tells you this can't be done. Just remove the password, save the account changes, click Ignore in the warning dialog box, and then click OK in the dialog box that tells you this change won't be accepted. It is actually accepted and the account will no longer require a password.)

    To learn how to configure an account's capabilities, see "Configuring User Accounts," p. 26.

  8. Press Tab and retype the password in the Verify box.

  9. Press Tab and enter a hint to remind the user what the password is. This reminder is optional; if a user fails to log in successfully after three attempts, this hint can appear to help her remember her password.

  10. Choose a login picture for the account. The login picture appears in the login dialog box; you can click the picture to choose an account to log in to. To choose a picture, you can select one from those shown at the bottom of the sheet (use the scroll tool to see all available images), click the Choose Another button and select an image, or drag an image from the Finder onto the Login Picture well. The image you select will replace the default image shown in the dialog box.

    The image you use as the login picture can be a jpeg or tiff. However, you can't use a gif as a login picture.

    The default login pictures (those shown on the scrolling list) are stored in the directory Mac OS X/Library/User Pictures, where Mac OS X is the name of your Mac OS X startup volume. You can install additional images in this directory to make them available on the Accounts pane of the System Preferences utility.

  11. If you want this account to be an Administrator account, check the "Allow user to administer this computer" check box.

    It is good practice to have only one Administrator account for a machine. You can give the account information for this account to more than one person if you need to. Or, you might want to create one "master" Administrator account and a secondary Administration account. You can keep the "master" account's information to yourself and give the information for the secondary account to other users. Then, you can disable the secondary account without affecting your primary Administrator account.

  12. If you want Windows users to be able to log in to this machine, check the "Allow user to log in from Windows" check box. This is useful when your Mac is on a mixed network (one that includes Macs, Windows machines, or computers running other operating systems) and you want Windows users to be able to share files that are stored on your Mac.

    NOTE

    The 10.2 release of Mac OS X added excellent Windows networking support to the system. You can interact with Windows networks and machines, and those using Windows machines can interact with your Mac.

  13. Click Save to create the account (or press Return).

    If you have not turned off the Automatic Login mode, you will see a dialog box asking whether you want that mode to be turned off. The account that is logged in automatically is also shown in this dialog box. (If you have disabled the Automatic Login mode already, you won't see this dialog box.)

  14. Click Turn Off Automatic Login to disable automatic login; this is the default option. You will probably want it off because you have at least two user accounts. Click Keep Automatic Login if you want to leave that mode active. You will see the new user account in the Users pane of the System Preferences utility.

  15. Repeat the previous steps to create other user accounts that you need.

  16. Quit System Preferences.

TIP

Under Mac OS X, the default button in a dialog box is indicated by the pulsing (also called throbbing) action. As under previous versions of the Mac OS, you can activate the default button by pressing the Return or Enter key (as with the OK button in the authentication dialog box).

Configuring User Accounts

After you have created a user account, you can configure the actions that a user logged in under that account can perform. You do this through the Permissions sheet for that user account.

  1. Open the System Preferences utility and click the Accounts icon to open the Accounts pane.

  2. Select the user account that you want to configure on the list of accounts, and click the Capabilities button. The Capabilities sheet will appear (see Figure 2.5).

    Figure 2.5. The Capabilities sheet of the Accounts pane enables you to configure the actions that are permitted under a user account.

    NOTE

    The Capabilities button is disabled for an Administrator account because that account can perform all possible actions by default.

  3. Check the "Use Simple Finder" check box if you want the Simple Finder to be used when this account is logged in.

    As you might expect from its name, the Simple Finder provides a less complex interface for a user and greatly restricts what that user can do. When a user is logged in with the Simple Finder, the Dock contains only five icons: Finder, My Applications, Documents, Shared, and Trash. These are the only areas that the user can access. For example, under the Simple Finder, a user can store documents only in their Documents folder and can't open other folders. The only Finder commands that the user can access are Sleep, Log Out, About Finder, the Hide/Show Finder commands, and Close Window. The Simple Finder makes your machine more secure because it limits the actions of a user so severely. Using the Simple Finder can be a good choice if the user for whom you are creating an account has minimal computer skills, such as for very young children or someone who is totally new to the Mac.

  4. Use the "This user can" check boxes to configure the following aspects of the user's access:

    • Remove items from the Dock. When this box is checked, the users will be able to remove items from the Dock. When it isn't checked, the user won't be able to remove items from the Dock; however, the user can still add items to the Dock.

    • Open all System Preferences. With this box checked, the user will be able to open all the system preference panes. However, some preferences are global and can be changed only by an Administrator. In this case, the user would be able to see the preference, but not be able to change it (unless the user can authenticate himself). If this check box is unchecked, the user can see all the icons in the System Preferences utility, but can open only those that the account can use, such as the Personal panes, including Desktop, Dock, and so on.

    • Change password. This option enables a user to change her own password by using the My Account pane.

    • Burn CDs or DVDs. This option controls the Finder's built-in burning feature. With this box checked, users will be able to burn discs. With it unchecked, they won't be able to do so.

  5. To limit the user to specific applications, check the "Use only these applications" check box. When you do so, the application selection tools in the lower part of the sheet will become active. This window will show all the applications installed on your Mac; the applications will be organized by the folder in which they are installed. For example, the Applications folder is the default location for all applications installed under Mac OS X.

  6. Check the "Allow" check box for the folder containing applications that you want to make available to the user. If the "Allow" check box is not checked, the user will not be able to access any applications in this location.

  7. For a location that you have allowed, click the expand triangle to reveal all the applications within that folder.

  8. Uncheck the check box for those applications that you don't want the user to be able to access (see Figure 2.6).

    Figure 2.6. The Applications folder has been expanded; this user would not be able to use the DVD Player application because its check box is not checked.

  9. Continue unselecting applications until you have limited the user to the set of applications you desire.

  10. Click OK. The capabilities you selected will be set for that user account.

  11. Quit the System Preferences utility.

Following are a few more points about setting a user account's capabilities:

  • Some settings are dependent on others. For example, if you uncheck the "Open all System Preferences" check box, the "Change password" check box will become disabled. This is because if the user can't access the System Preferences utility, she won't be able to access the My Account pane that contains the tools needed to be able to change the password. Similarly, if you choose the Simple Finder option, all the others are configured automatically. The other check boxes are disabled, but you can use the application selection tools to choose the applications the user will be able to work with.

  • You can use the Check All or Uncheck All buttons to select or deselect all applications at the same time.

  • The Locate button enables you to choose applications that don't appear on the list of applications by default. When you click this button, an Open dialog box will appear. You can use this dialog box to move to and select an application.

  • The last entry on the list of application folders is Others. If your machine can access applications that aren't stored in one of the standard Mac OS X application folders, they will appear under the Others category.

Testing User Accounts

After you create a new user account, you should test it by logging in under that account to make sure it works.

  1. Choose Apple menu, Log Out (or press Shift+ [image] +Q).

  2. When the logout confirmation dialog box appears, press Return (or click the Log Out button). You will return to the Mac OS X login window. At the top of the Login window, you see the computer name. In the center part of the window, you see the login picture and name of each user account on the machine. If there are several user accounts, this will be a scrolling pane. At the bottom of the window, you will see the Restart and Shut Down buttons.

    NOTE

    Under version 10.2, the system will automatically log you out two minutes after you choose the Log Out command, even if you don't click the Log Out button.

  3. Click the User account under which you want to log in. The dialog box will contract and you will see the selected user account and an empty Password box.

    NOTE

    If the user account does not have a password, you will be logged in as soon as you select that account's icon.

    You can return to the full login window by clicking the Back button.

  4. Enter the password for the user account and click Log In (or press Return or Enter).

    If the user account information is not valid, the login dialog box will "shudder" to indicate that the information that you entered is invalid (remember that this information is case sensitive). After three unsuccessful attempts, the password hint will appear if you have enabled this option (password hints are covered later in this chapter).

    NOTE

    Several aspects of the Login dialog box are configurable in the Accounts pane of the System Preferences utility. You will learn how to do this later in this chapter.

    When you enter correct information for the user account, the login process will be completed, and you will see the desktop for that user account (which might look quite different from the Administrator's desktop).

  5. After you have logged into the new account, you can make any changes to the configuration of the user account that you want; for example, create a startup configuration by adding items to the Login Items pane or customize the Dock.

    To learn about login items, see "Setting Up Startup Processes," p. 37.

    To learn about customizing the Dock, see Chapter 5, "Using and Customizing the Dock," p. 105.

  6. From the desktop, press Shift+ [image] +Q and then press Return to log out of the account.

If you are unable to log in to a user account that you have created, see "I Can't Log In on a User Account" in the Troubleshooting section at the end of this chapter.

Provide the names and passwords for the user accounts that you created to the people who need them. You should explain the limitations of the accounts to the users as well.

Editing User Accounts

You can make changes to an existing user account. To do so, use the following steps:

  1. Open the Accounts pane of the System Preferences utility and click the Users tab if it isn't selected already.

  2. Select the user account that you want to edit and click the Edit User

  3. In the sheet that appears for that user account, make changes to the user's information (such as changing the login picture or password).

    NOTE

    Because it is used as the Home directory name for the account as well as for other items (such as in the Web site address for the user account), you can't make any changes to the short name. Once created, the short name never can be changed.

  4. Use the check boxes at the bottom of the sheet to choose administration settings or to allow Windows users to log in to this account.

  5. Click OK to save the changes to the account.

  6. Test the account to make sure it works with the changes you have made.

You can make changes to the account currently logged in through the My Account pane (covered later in this section).

If you are unable to use the buttons in the Accounts pane of the System Preferences utility, see "The Buttons in the Accounts Pane Are Inactive" in the Troubleshooting section at the end of this chapter.

NOTE

After you have entered a password, you won't be able to see it, even when you edit the user account. The only way to recover from someone forgetting their password is to reset it to a new one by editing the user account.

The My Account pane of the System Preferences utility enables the currently logged in user to make changes to the corresponding user account.

  1. Open the System Preferences utility and click the My Account icon. The My Account pane will appear (see Figure 2.7).

    Figure 2.7. The user who is logged in currently can make changes to her account with the My Account pane.

  2. To change the account's password, click the Change button. The Password sheet will appear.

  3. Enter the account's current password to verify it.

  4. Enter the new password in the New Password and Verify fields.

  5. Enter a hint in the Password Hint field if desired.

  6. Click OK.

  7. Choose a login picture for the account. You can select one from those shown at the bottom of the pane (use the scroll tool to see all available images), click the Choose Another button and select an image, or drag an image from the Finder onto the My Picture well. The image you select will replace the image shown currently in the dialog box.

  8. To change the account's entry in the Address Book application, click Edit. The Address Book application will open and you will be able to change the information for the person to whom the user account belongs.

    To learn how to use the Address Book, see "Setting Up and Using an Address Book," p. 290.

  9. When you are done making changes to the Address Book entry, move back to the System Preferences utility and quit it (or select another pane). The changes to the user account will be effective the next time it is used.

TIP

You don't have to quit the System Preferences utility to save the changes you make. They are saved "as you make them." Sometimes, you will have to apply changes you make by clicking the Apply button.

Deleting User Accounts

You can also delete user accounts that you no longer need.

  1. Open the Accounts pane of the System Preferences utility.

  2. Select the account that you want to delete.

  3. Click Delete User. You will see the delete user confirmation dialog box. When you delete a user, the deleted user account's Home directory is moved to the Deleted User folder. You can access the files that were in the account's Home folder by opening the Deleted User folder and then opening the deleted user's Home folder.

  4. Click OK.

The user account that you deleted will no longer be available in the Login window. The Home directory for that account will be converted into a disk image file that is stored in the location Mac OS X/Users/Deleted Users, where Mac OS X is the name of your Mac OS X volume.

The name of the disk image will be shortusername.dmg, where shortusername is the short username of the account that was deleted. To access the files that were in the account's Home directory, open its disk image file. The Home directory for that account will then be a mounted volume on your machine that you can use just like another volume you mount.

The Deleted Users folder is accessible only to those accounts that have Administrative privileges on your Mac. If you want other users to be able to access files that were in the deleted account's Home directory, you will need to change the permissions associated with the disk image.

To learn how to configure permissions, see "Securing Your Mac with Privileges," p. 794.


Logging In, Logging Out, Restarting, and Shutting Down Mac OS X

As you learned earlier, you must log in to be able to use a Mac OS X–powered Mac. To log in, you simply select the name of the user account, enter the password, and press Return. You will then move to the desktop for that user account.

Under older versions of the Mac OS, when you were done working with the computer and wanted to "turn it off," you shut it down using the Shut Down command. Under Mac OS X, you can still do this, but most of the time you will log out instead. When you log out, all the processes currently running are stopped and the user account is "closed." To log out of the current user account, choose Apple menu, Log Out (or press Shift+ [image] +Q). In the resulting confirmation dialog box, press Return or click Log Out (if you don't do this within two minutes, the system will log you out automatically). The processes that are currently running will be stopped (you will first be prompted to save any open documents that have unsaved changes), and you will return to the Login dialog box.

TIP

Logging out and then logging back in is a lot faster than stopping and starting your machine. In fact, there aren't many reasons to shut down your machine; actually, and if you use it to serve Web pages, you shouldn't shut it down. To secure your Mac when you aren't using it, just log out.

Restarting Your Mac

Although Mac OS X is much more stable than previous versions, there might be occasions when you need to restart your Mac to correct some problem that is occurring. Also, occasionally, you will need to restart your Mac after making system changes or installing new software.

Restarting Mac OS X is similar to restarting previous versions of the OS, except that after the restart, you return to the Login dialog box rather than the desktop (unless you have set the Automatic Login mode to be active, in which case you do return to the desktop). You can restart Mac OS X in a couple of ways:

  • Click Restart in the Login dialog box.

  • Choose Apple menu, Restart.

NOTE

Some Mac-compatible keyboards (not produced by Apple) and some older Apple keyboards have a Power key, which you can use to start the machine when it is off or to bring up a dialog box that enables you to shut down, restart, or put your Mac to sleep. Newer Apple keyboards don't have this key, and some Macs running Mac OS X don't support it even if the keyboard has the Power key. If your keyboard has the Power key, press it and see whether anything happens. If the dialog box appears, you can use its controls to shut down, restart, or put your Mac to sleep. If nothing happens, you know that you never need to press the Power key again.

Shutting Down Your Mac

Because today's machines use very little energy, there isn't really much reason to shut them off. Most of the time, when you are done working with your computer, you should simply log out. This stops all the processes that are running and puts your Mac in a safe condition. Logging in is much faster because you don't have to wait for your computer to start up.

Still, if you are leaving your Mac for a long time, you might want to shut it down. You can do so in the following ways:

  • Choose Apple menu, Shut Down.

  • Press Shift+ [image] +Q to log out, confirm the logout, and then click Shut Down in the Login dialog box.

NOTE

To turn most modern Macs on, you need to press the Power key located on the CPU.

If you use an Apple Studio or Cinema Display, you can also turn the Mac on by pressing the Power button located on the display. If you press the Power button on the display while your Mac is on, it goes to sleep. If you press and hold down the Power button for a few seconds, your Mac will be powered off without going through the shutdown process (use this only when the machine is totally locked up).

Also, with certain Apple displays, you will see the Options tab on the Displays pane of the System Preferences utility. You can use this tab to configure what happens when you press the Power button on these displays. Your options are to have it control the display's power only or to control the computer's power too. This tab isn't available for newer Apple displays.


Configuring the Login Window

You can configure the Login window in several ways:

  • Enable the Automatic Login mode.

  • Control how user accounts appear in the window.

  • Disable the Restart and Shutdown buttons.

  • Show or hide the password hint.

Enabling Automatic Login

When you started Mac OS X for the first time, you were in the Automatic Login mode. In this mode, you don't have to enter login information; Mac OS X does it for you. This means that you don't have to enter a username and password each time that you start or restart your machine; the machine starts up just as Macs running previous versions of the operating system do.

CAUTION

You should enable Automatic Login mode only if you are the only person who uses your Mac. If you enable Automatic Login mode with the Administrator account, you provide access to many of your system's resources; this is an unsecured way to operate. However, if you have a Mac in a secure location and are the only person who uses it, the Automatic Login mode eliminates the need to log in every time you start or restart the machine.

TIP

If you are going to enable Automatic Login mode, create a non-Administrator account to use. That way, even if someone does get access to your Mac, they won't be able to use the Administrator account. Of course, you might have to log out and then log back in as the Administrator, but this strategy provides a good compromise between security and convenience.

To configure the Automatic Login mode, use the following steps:

  1. Open the System Preferences utility.

  2. Click the Accounts icon to open the Accounts pane of the System Preferences window.

  3. Click the Set Auto Login button. The login account sheet will appear. By default, the username of the currently logged in account will be entered. If you want to have the current account logged in automatically, skip to Step 5.

    If you aren't logged in as the Administrator, you will have to authenticate yourself before you can make these changes (click the Lock icon, enter an Administrator User Name and Password, and press Return).

  4. Enter the username for the account into which you want to be logged in automatically in the User Name field.

  5. Enter the password for the account that you want to be automatically logged in when the Mac starts up.

  6. When you have entered the user account information, click OK to enable automatic login. When you return to the Accounts pane, you will see the "Log in automatically as username" check box where username is the account you selected in Step 4.

The next time you start or restart your Mac, the account you specified will be automatically logged in and you will move directly to the desktop for that account.

This setting affects only the start or restart sequence. When you log out instead of shutting down or restarting, you will still see the Login window again and will have to log in to resume using the Mac.

To disable automatic login again, uncheck the "Log in automatically as username" check box on the Accounts pane.

Controlling How User Accounts Appear in the Login Window

You can configure several aspects of how user accounts appear in the Login window.

  1. Open the Accounts pane of the System Preferences utility.

  2. Click the Login Options tab.

  3. To display empty Name and Password fields in the Login window instead of a list of the user accounts you have configured, click the "Name and password" radio button. When this button is selected, you have to type the short name and password for an account to log in to it. To display the list of user accounts, click the "List of users" radio button instead.

  4. Quit the System Preferences utility. The next time the Login window appears, it will reflect the changes you made.

Disabling the Restart and Shut Down Buttons

If you enable Automatic Login mode, you might run into trouble if you leave the Restart and Shut Down buttons enabled. Here's how that could happen. Say you are using your Mac, and decide that you want to take a break for a while, but there are people in your area whom you don't want to be able to use the machine while you step away. You log out, and your machine is protected, right? Not necessarily. If the Restart and Shut Down buttons are enabled, someone can restart the Mac from the Login window and then it would start up in the automatic account giving the person access to the machine. Disabling these buttons prevents someone from using them to access an account that is automatically logged into.

NOTE

The previous scenario might make you pause to ask a question before you enable Automatic Login mode. If you do disable the Restart and Shut Down buttons and then log out, can someone simply press the hardware Restart or Reset button on the CPU to start up the Mac to automatically log in to the automatic login account? This would bypass the protection offered by disabling the buttons, right? Nope; when the Mac is not shut down properly (by using the Shut Down command), the automatic login feature is disabled when the machine is started or restarted the next time. So, if you have to use one of those buttons, you will have to log in the next time you start or restart the machine.

  1. Open the System Preferences utility, then the Accounts pane, and then the Login Options tab.

  2. Check the "Hide the Restart and Shut Down buttons" check box.

    NOTE

    It is likely that there is a bug in the version of OS X I am using, but when I choose this option, the buttons are not actually hidden, but are disabled. At some point, Apple will likely change the name of the button to reflect the true behavior or make the behavior match the radio button name.

  3. Quit the System Preferences utility.

When the Login window appears, these buttons will be inactive; the only way to use the Mac will be to log in under a valid account.

Enabling the Password Hint

When you created a user account, you were able to enter a password hint. By default, this hint will appear if the user is unsuccessful in logging in after three attempts. If you don't want these hints to be shown, uncheck the "Show Password Hint After 3 Attempts to Enter a Password" check box in the Login Options tab of the Accounts pane in the System Preferences utility.


Setting Up Startup Processes

To make your Mac even more efficient, you can have applications automatically start or documents open when a user logs into an account. And you can have a different set of applications start up for each user account; this lets you customize each user's startup experience.

Note

This feature is similar to the Startup Items folder in previous versions of the Mac OS.

  1. Log in to the account for which you want to set the login items (because this is a personal system utility area, you don't have to be logged in as an Administrator to configure login items as you do to configure the Login window).

  2. Open the System Preferences utility.

  3. Click the Login Items icon. The Login Items pane will appear (see Figure 2.8). You place any items that you want to open in the Login Items window to have them opened when the current user account logs in. The order in which they are listed in the window determines the order in which they will open (the topmost item opens first).

    Figure 2.8. When you add applications or documents to the Login Items pane, they will automatically open when you log in.

  4. Click Add.

  5. Use the Open dialog box to move to the item that you want to be opened at login, select it, and click Open. When the Open dialog box appears, the Applications directory will be selected automatically and you will be able to choose the applications that are installed in it. If you want to add documents to the login items window, use the Open dialog box to move to the file that you want to be opened, select it, and click Open.

    To learn more about Mac OS X directories, see "Understanding Mac OS X Directories," p. 80.

    To learn more about working with the Open dialog box, see "Opening Documents in Mac OS X," p. 139.

    TIP

    You can also drag application or document icons directly onto the Login Items window instead of using the Add button.

    When you place an item in the window (by using the Add button or dragging it there), an alias to that item is created.

  6. If you want the item to be automatically hidden when it is opened, check the "Hide" check box. This is useful for applications that you don't need to see right away, but still want to open. For example, you might want to open your e-mail application, but leave it hidden until you receive new e-mail.

  7. When you have all the items in the window, drag them up to make them open earlier in the process or down to have them open later in the sequence.

    Some applications might rely on others to function. In that case, you want the dependent application to open after the application on which it depends, so it should be lower on the list.

  8. To remove an application or document from the list (so that it doesn't open on startup), select it and click Remove. This doesn't affect the item at all—it only removes it from the Login Items window.

  9. Continue adding, removing, and rearranging items until all of your startup items are listed in the window in the order in which you want them to open.

  10. When you are done, quit System Preferences.

The next time you log on, the login items will open automatically, in the order that you specified.

TIP

Login items are a great way to customize your Mac for other users. Simply log in to the other accounts and create a different set of login items for those users.


Troubleshooting

I Can't Log In on a User Account

When I try to log in under a particular user account, the login dialog box shudders and I can't log in.

The most likely cause of this error is that you are entering the user account information incorrectly. If you are selecting a user account from the list, you must be entering the password incorrectly. If you are entering both the account name and password, you have to make sure that you use the correct combination. Try entering the information again. Remember that both name and password are case sensitive.

If you are logging in using the short name, try using the full name instead.

If you are still not able to log in under that account, log in as the Administrator and open the Users pane of the System Preferences utility to check the account or edit it. You can also delete the account and "start over."

The Buttons in the Accounts Pane Are Inactive

When I open the Accounts pane of the System Preferences utility, the buttons are all inactive.

The Lock icon in the lower-left corner of the window enables you to lock or unlock the ability to make global system changes. If this icon is in the "locked" mode, you need to authenticate yourself as the Administrator (even if you are logged in under that account). Click the Lock icon, enter the Administrator User Name and Password in the Authentication dialog box, and press Return. If you enter valid information, the buttons will become active and you will be able to make changes to the account configurations.


Chapter 3. Viewing and Navigating Mac OS X Finder Windows

In this chapter

The Mac OS X Finder

Working with Finder Windows

Navigating Finder Windows

Customizing Finder Windows

Mac OS X to the Max: Finder Window Keyboard Shortcuts


The Mac OS X Finder

The basic purpose of the Finder under Mac OS X is the same as it has always been; the Finder is the Mac application that provides the desktop, enables you to work with folders and files, and provides the basic interface for interacting with the system. The Finder does look quite a bit different than it did under previous versions of the OS, and it offers many more features, but most of the basic tasks work in the same or very similar ways. These tasks include those that you use to view and navigate Finder windows. In addition to its new appearance, the Mac OS X Finder also offers better views, more customization options, and more tools.


Working with Finder Windows

When it comes to viewing Mac OS X Finder windows, there is definitely good news and bad news—assuming that you have used a previous version of the Mac OS, of course (if you haven't, there is only good news). The good news is that Mac OS X windows offer the same functionality that windows in previous Mac OSes did plus some improvements. The bad news is that under Mac OS X, windows look quite a bit different and you might have to adjust some of your normal working habits a bit (see Figure 3.1).

Figure 3.1. The basic functionality of Mac OS X Finder windows is similar to that of previous Mac windows, but Mac OS X windows include various improvements.

The fundamental purpose of Finder windows is the same as it has always been—Finder windows enable you to view and manipulate the contents of disks, CD-ROMs, DVDs, folders, and so on.

Opening Finder Windows

You can open Finder windows in several ways.

If you click the Finder icon on the Dock (which is the Mac OS icon), one of two things can happen. If no Finder windows are open currently, a new Finder window appears showing the contents of the Computer directory. If at least one Finder window is open already, you will move to the Finder window in which you most recently worked.

TIP

If you hold down the Control key while you click the Finder icon on the Dock, a menu showing all open Finder windows will appear. Select a window to jump into it.

You can also open a new Finder window by choosing File, New Finder Window ( [image] +N). By default, new Finder windows that you open will always display the contents of the Computer directory, which is the "base" level of Mac OS X. You can use a Finder preference to change this behavior so that new Finder windows always open to your Home directory instead. To change this, perform the following steps:

  1. Choose Finder, Preferences.

  2. In the Finder Preferences window, select the "Home" radio button to cause new Finder windows to display your Home directory, or "Computer" to cause that directory to be displayed instead.

  3. Close the Finder Preferences window.

NOTE

Under previous versions of the Mac OS, the [image] +N shortcut created a new folder. Under Mac OS X, that shortcut is now Shift+ [image] +N. This is a bit annoying, but you will have to get used to it.

To learn more about Mac OS X directories, see "Understanding Mac OS X Directories," p. 80.

When you open a new Finder window, the result is always the same—the contents of either the Computer or the Home directory are displayed. The Mac OS X Finder uses a Web-like model in that each new Finder window you open starts a "chain" of windows (thus, the Back and Forward buttons in the Finder window toolbar). The first window in every new chain you start is always the directory you define as the default (Computer or Home). You can have many window chains open at the same time, again being similar to Web windows. (You can quickly jump into specific directories using the toolbar, the Go menu, and keyboard shortcuts.)

To learn how to navigate Finder windows, see "Navigating Finder Windows," p. 53.

After you have one Finder window open, other Finder windows open in the same way that they did under previous versions of the OS. To open a window, double-click the icon for the item you want to open. Or select an item and choose File, Open. The Open keyboard shortcut still works, too—just select an item and press [image] +O to open it.

One difference from previous versions of the OS is that by default, a new Finder window opens within the current window instead of in a new, separate window. You can override this behavior so that the new Finder window is separate from the first one by holding down the [image] key while you double-click an icon.

TIP

This default behavior assumes that the toolbar is shown in a Finder window. If the toolbar isn't displayed in a Finder window, opening a folder always opens a new, separate Finder window.

When you open a new Finder window, it always assumes the view you selected the last time you viewed that item in a Finder window. You'll learn more about Mac OS X Finder window views later in this chapter.

NOTE

To reiterate this sometimes confusing behavior of Mac OS X windows, the view that a new window opens in is determined by the view you used for that window the last time you viewed it. In other words, windows retain their view settings, even if the window from which you opened a separate Finder window is different. For example, if you viewed the Applications directory in List view, it will appear in List view whenever you open it in a new Finder window until you change the view in which it appears.

You can set Mac OS X so that folders always open in a new window (which was the default case in previous versions of the Mac OS). To set this preference, do the following:

  1. Choose Finder, Preferences.

  2. In the Finder Preferences window, check the "Always open folders in a new window" check box.

  3. Close the Finder Preferences window.

NOTE

One of the neat features of Mac OS X is that most preference changes are made in real-time—you don't have to close the Preferences window to see the results of your changes. For example, when you make the change in the previous steps, the window-opening behavior becomes active as soon as you change the check box. A good habit is to leave preferences windows open as you make changes and close the windows only when you are happy with all the changes you have made.

Mac OS X Finder windows can be spring-loaded (this feature is turned on by default), meaning that they "pop" open when you drag an item onto a closed folder. This enables you to quickly place an item within nested folders without having to open each folder individually. Simply drag an item onto a closed folder so that the folder is highlighted. After the delay time has passed, the highlighted folder will open in a separate Finder window. You can then drag the item onto the next folder and continue the process until you have placed it in its final destination. When you release the mouse button, all the folders that have "sprung" open are closed again.

TIP

You can cause a folder to spring open immediately by pressing the spacebar when you drag an item onto a closed folder.

You can configure this behavior by using the following steps:

  1. Choose Finder, Preferences.

  2. Check the "Spring-loaded folders and windows" check box to turn this feature back on if you have turned it off (it is on by default).

  3. Use the Delay slider to set the amount of delay time (the time between when you drag an item onto a folder and when that folder springs open).

  4. Experiment to see whether the delay time is set correctly for you; if not, change it.

  5. Close the Finder Preferences window.

Scrolling Finder Windows

You scroll Mac OS X windows in basically the same way you always have, although the scrolling controls look a bit different than they did under previous versions of the OS. The most obvious difference is with the bars themselves. Because of the Aqua interface, by default, the scrollbars are Mac OS X blue; you can change this to graphite with the General pane of the System Preferences utility. As with previous versions of the OS, you can set the scroll arrows to both be located in the lower-right corner of windows or have an arrow located at each end of the scrollbar.

Mac OS X scrolling controls work as you expect them to. You have the following options:

  • Drag the scrollbars.

    NOTE

    As with previous versions of the OS, the length of the scrollbar is proportional to the amount of the window you can see in the view.

  • Click above or below or to the left or right of the bar to scroll one screen's worth at a time.

  • Click the scroll arrows.

  • Press the Page Up and Page Down keys to scroll vertically.

  • Press the Home key to jump to the top of the window or the End key to jump to the bottom.

  • Use the arrow keys or Tab (and Shift+Tab) to move among the items in the window (which will also scroll the window when you move outside the current view).

  • When using the Icon or List views, hold down the [image] and Option keys and drag (when you can drag to scroll, the pointer changes to the gloved hand icon).

NOTE

This is another minor difference from previous versions of the OS; you used to hold down the [image] key while dragging to scroll.

You can modify a couple of aspects of scrolling behavior. You can change the location of the scroll arrows. And, rather than moving an entire page each time you click above, below, to the left, or to the right of a scrollbar, you can set the scrolling such that you move to the relative location that you click instead. Follow these steps to modify these scrolling features:

  1. Open the System Preferences utility.

  2. In the Personal section, click General (see Figure 3.2).

    Figure 3.2. The General pane of the System Preferences utility enables you to modify the behavior of window scrolling.

  3. To change the locations of the scroll arrows, click the "Together" radio button to have the scroll arrows in the lower-right corner of windows or the "At top and bottom" radio button to place an arrow at each end of the scrollbars.

  4. To change how scrolling works when you click in the scrollbar, click the "Jump to the next page" radio button to scroll a screen at a time or the "Scroll to here" radio button to move to a position in the window that is relative to where you click in the scrollbar.

  5. Quit the System Preferences utility.

TIP

This is a good chance to practice Mac OS X preference setting techniques. Make your changes to the General pane, but leave the System Preferences utility open. Click in a Finder window; your changes will immediately become active. If you are satisfied, jump back to the System Preferences utility and close it. If not, jump back into the General pane and continue making changes until you are.

Resizing Windows

Resizing windows also works as you might expect. To change the size of a window, drag its Resizing handle until the window is the size you want it to be. You can also use the Maximize button to swap between two sizes for a window.

Closing, Minimizing, and Maximizing Finder Windows

Among the most distinctive features of Mac OS X are the three "stoplight" type controls located in the upper-left corner of windows (see Figure 3.1). The red button (on the far left) closes the window. The gold button (in the middle) minimizes the window, which shrinks it and moves it to the right side of the Dock. The green button maximizes a window, which makes it as large as it needs to be to display all the items in the window until that window fills the screen.

To learn how to use the Dock, see Chapter 5, "Using and Customizing the Dock," p. 105.

Maximizing Windows

The Maximize button acts like a toggle switch between two window sizes. If you click it after you have maximized a window, the window returns to the size it was before you clicked it the first time. This can be a handy way to quickly make a large window smaller if you don't want to minimize that window (for example, you might want to keep the window on the desktop so that you can drag files into it). Make the window as small as you'd like it to be. When you want to view its contents, click the Maximize button. The window expands so that you can see its contents. When you are done, click the Maximize button again to return the window to the smaller size.

You can also minimize a window (thus moving it onto the Dock) by double-clicking its title bar.

The Close, Minimize, and Maximize buttons work even if the window on which they appear is not active. For example, you can close a window that is in the background by clicking its Close button without making the window active first. (When you point to a button on an inactive window, the buttons become colored so that you know they are active, even though the window is not.)

TIP

As under previous versions of the Mac OS, you can close all open Finder windows by holding down the Option key while you click the Close button in one of the windows.

Moving Finder Windows

As with previous versions of the Mac OS, you can move a Finder window by dragging its Title bar. Unlike earlier versions of the OS, you can't move an OS X Finder window by dragging its borders.

NOTE

If you used previous versions of Mac OS X, you'll notice that moving windows around is considerably faster under version 10.2, as are other window tasks such as changing size.

Using the Icon, List, or Columns Views for a Finder Window

Again like previous versions of the Mac OS, you can view Finder windows in different views. The views that Mac OS X shares with previous versions are the Icon and List view. New to Mac OS X is the Columns view, which is an incredibly useful view you will probably be using in many situations.

NOTE

Not present in Mac OS X, and not likely to be missed much, is the Button view.

Viewing a Finder Window in Icon View

You can easily argue that icons made the Mac. Using friendly pictures to represent files and folders made the computer much friendlier and more approachable than any command line could ever hope to be. Mac OS X continues the use of icons to represent objects, and with their improved appearance under OS X, icons have never looked so good.

You can view Finder windows in the Icon view by opening a window and then choosing View, As Icons or by clicking the Icon view button in the toolbar (see Figure 3.3). The objects in the window will become icons, and if you have never seen OS X icons before, prepare to be impressed.

Figure 3.3. The familiar Icon view of the Mac OS is now even more visually appealing. Other operating systems may have copied the Mac's icons, but none can compare to this snazzy new look.

You can customize the Icon view for Finder windows. See "Customizing Finder Windows," p. 59.

If you find that a window in the Icon view is messy, you can use the Clean Up command (View, Clean Up) to straighten the window up for you. This command will neatly arrange icons so that they line up in an orderly fashion.

To arrange icons by a specific criterion, choose View and then select the criterion by which you want the window's icons ordered. Your options are the following: by Name, by Date Created, by Date Modified, by Size, or by Kind.

Although the Icon view is clearly the most pleasing view to look at, it is one of the least useful in terms of the information you see.

Viewing a Finder Window in List View

The List view presents more information than does the Icon view (see Figure 3.4). To switch to the List view, click the List view button (or choose View, As List).

Figure 3.4. At the top of the window, you see the same controls visible in the Icon view. The lower part of the window contains more data than is available in the Icon view.

The information in the List view is organized into columns, with a header at the top of the column indicating the information in each column. The information in the List view is always sorted—you can choose the information that is used to sort the contents of the window. You can also determine the order in which the columns appear, change the width of columns, and expand or collapse the contents of folders. The information for each item you see in the default List view is the following:

  • Name This is a filename for files, the folder name for folders, the volume name for volumes, and so on.

  • Date Modified The most recent date on which the object was changed. If the date is the current date, you will see the time at which the object was changed.

  • Size The size of the item, in kilobytes (KB), megabytes (MB), or gigabytes (GB).

  • Kind The type of object it is, such as folder, document, application, volume, and so on.

You can customize the List view for a single window or for all windows. See "Customizing Finder Windows," p. 59.

The column by which the window is sorted is highlighted with the highlight color (blue or graphite). To change the sort column, click the Column heading of the column by which you want the list to be sorted. That heading will be highlighted and the list will be resorted by that criterion.

At the right edge of the column heading for the column by which the window is sorted, you see the Sort order indicator. This shows you in which "direction" the list is sorted. For example, if the list is sorted by the Name column, an up arrow indicates that the list is sorted alphabetically. A down arrow indicates that the list is sorted in reverse alphabetical order. To change the direction of the sort, click the Column heading—the list will be sorted in the opposite direction.

You can resize a column by moving the pointer to the right edge of the column heading. When you do, the cursor will change from the pointer to a vertical line with outward-facing arrows on each side of it. When you see this cursor, drag the column border to resize the column.

You can change the order in which columns appear by dragging the column head of the column you want to move and dropping it in the new location. The columns will reshuffle and will then appear in the order you have indicated.

NOTE

You can't change the location of the Name column; it is always the first column in a window in List view.

One of the other benefits of the List view is that you can expand the contents of a folder so that you can view them without having to open the folder's window first. To do this, click the right-facing Expansion triangle next to the folder's name. The folder will expand, and its contents will be listed in the window.

TIP

When you Option+click the Expansion triangle for a collapsed folder, the folder and all the folders that it contains are expanded. When you Option+click the Expansion triangle for an expanded folder, the folder and all of its contents are collapsed again.

Viewing a Finder Window in Columns View

The Columns view is new to Mac OS X; its benefit is that you can use it to quickly see and navigate levels of the hierarchy (see Figure 3.5). To switch to the Columns view, click the Columns view button on the toolbar (or choose View, as Columns).

Figure 3.5. The Columns view is a great way to see the hierarchical organization of directories and folders.

NOTE

One reason that the Columns view is so important is that you use this view to navigate within Open, Save, and other dialog boxes. When you are using the Columns view in dialog boxes, it works just as it does in Finder windows.

As you might suspect, in the Columns view, the window is organized into columns, with each column representing a level of the file organization hierarchy. The leftmost column shows the highest level you can see, each column to its right shows the next level down the structure, and the column on the far right shows the lowest level you can see. The "path" at which you are looking is indicated by the highlighted items in each column.

Folder icons have a right-facing arrow at the right edge of the column to indicate that when you select them, their contents will appear in the column to the immediate right.

For example, put a Finder window in the Columns view and click Home on the Toolbar to see the contents of the Home directory. The Home directory becomes highlighted in one of the middle columns; click that icon and its contents appear in a column to that column's right. In the next column to the right, click the Documents directory to select it. In the third column, the contents of the Documents directory are shown.

You can move down into the hierarchy by clicking the item about which you want more detail. The column to the right of the item on which you click will show the contents of what you click. If you click something in the right column and the window is not large enough to display the contents of all the columns, the view "shifts" and the columns appear to move to the left. You can use this approach to quickly see the contents of any folder on your Mac, no matter how far down in the hierarchy it is stored.

When there are more columns than can be displayed in the window, you can use the scrollbars to view all the columns. Scrolling to the left moves up the hierarchy, whereas scrolling to the right moves down the hierarchy. You can also make the window larger to view more columns at the same time.

You can resize the width of all of the columns in a window by dragging the resize handle located in the lower-left corner of each column. Dragging this handle changes the width of all the columns in the window.

When you click a file to select it, the far-right column shows a large icon or a preview of the file, and information about that file is displayed (see Figure 3.6).

Figure 3.6. When you click a file, information about that file is shown in the right column; this information can include a preview of the file, as in the case of this QuickTime movie file.

If you click document files for which Mac OS X can create a preview, you will see the preview in the column. If the file you select has dynamic content, you can play that content in the preview that you see in the Columns view. For example, if you select a QuickTime movie, you can use the QuickTime Player controls to watch the movie without opening the file. Certain types of text files will also be displayed so that you can read them (scrollbars will appear in the column to enable you to read the entire document). You can also see large thumbnail views of graphics stored in certain formats. For those items that Mac OS X cannot create previews of (an application is one example), you see a large icon instead of a preview.

NOTE

If you switch from the Columns view to one of the other views, the contents of the folder you most recently selected will be shown in the window.

Because the Columns view is so useful, you can choose to have all new Finder windows open in this view.

  1. Choose Finder, Preferences.

  2. Check the "Open new windows in Column view" check box. Each time you open a new Finder window, it will appear in the Columns view.

  3. Close the Finder Preferences window.

If you prefer not to see the preview, there are two ways to hide it. You can hide it in individual windows or you can hide it by using the View Options.

To hide the preview in specific windows, use the Expansion triangle next to the word "Preview" that appears just above the preview of a selected file in the Preview pane. This will hide all previews for the current window.

You will learn about the View Options later in this chapter.


Navigating Finder Windows

Mac OS X includes several features that enable you to navigate Finder windows. There are two basic navigation tasks you do: moving around inside windows (to select items for example) or changing the contents of windows in order to view other folders and directories.

Using the Keyboard to Select Items in a Finder Window

Although you can use the mouse to point to and click items to select them (or double-click to open them), it can be faster to move to items and select them using the keyboard. There are two basic ways to navigate inside a window using the keyboard.

You can type an item's name to move to and select it. The OS matches item names as you type, so most of the time you don't need to type the item's whole name to move to it (for example, typing "mp3" moves you to the first item whose name begins with mp3). The more of the name you type, the more specific your movement becomes.

You can also move among items using the Tab and arrow keys. How this works depends on the view you are using for the windows.

Using the Keyboard to Select Items in the Icon View

When you are in the Icon view, pressing the Tab key selects the next item according to alphabetical order. Holding down the Shift key while you press Tab moves you among the items in reverse alphabetical order.

You can also use the arrow keys to move to and select items. The keys work just as you might expect. The Up-arrow key moves you up the window, the Right-arrow key moves you right, and so on.

The window scrolls automatically to keep the items you select in view.

Using the Keyboard to Select Items in the List View

When a window is shown in List view, you can use the Up- and Down-arrow keys to move up and down the list of items in the window.

When you select an item, you can use the Right-arrow key to expand it and the Left-arrow key to collapse it.

TIP

The Option key works with the arrow keys as well. If you hold down the Option key and press the Right-arrow key, all the folders within the selected folder will be expanded as well.

Using the Keyboard to Select Items in the Columns View

In the Columns view, the Right-arrow key moves you down the hierarchy, whereas the Left-arrow key moves you up the hierarchy. The Up-and Down-arrow keys enable you to move up and down within a selected folder.

Using these keys, you can move around your directories quite rapidly. As you move through the structure using these keys, the window scrolls so that you always see the currently selected item. It maintains your view at all times so that you can quickly jump into different areas without scrolling manually.

TIP

When you get used to it, using the keyboard in combination with the Columns view is the fastest way to navigate Mac OS X Finder windows.

Using the Search Tool to Select Items

The Finder window toolbar includes a Search tool you can use to find and move to items within a folder.

  1. Open the window that contains the items you want to locate.

  2. Click in the Search tool and enter the text for which you want to search. The more specific you make the text, the fewer items will appear in the window when you perform the search.

  3. Press Return to perform the search. The window will be refreshed and only the items that met your search criterion will appear in the window. At the top of the window, you will see the search you have performed, including the search criterion and the area in which you searched.

  4. Use the grab handle to expand the window to reveal the path pane. This shows the location of the item selected in the upper pane (see Figure 3.7).

    Figure 3.7. You can use the Finder window Search tool to reduce the contents of a folder to only those items that meet your search criterion.

  5. Use the Up-and Down-arrow keys to select the items shown in the window.

  6. If you want to modify the search, change the search criterion and click the refresh search button.

Navigating Up and Down the Directory Structure

There are several ways to move up and down the directory structure within Finder windows. You can use the keyboard as discussed in the previous section. You can also use the buttons on the toolbar as well as the Path pop-up menu. The Go menu also enables you to jump to specific directories quickly.

Changing Directories with the Toolbar

The Finder's toolbar is a fast way to change the directory that is displayed in the current Finder window. The Toolbar contains buttons that take you to specific directories that are on your Mac. To open a directory, click its button on the Toolbar. The Finder window will display the contents of that directory.

Click the Back button on the toolbar to move back to the previous Finder window. You can continue to click the Back button as many times as you want until you reach the first window you viewed using the current Finder window; at that point, the Back button is grayed out. Similarly, the Forward button moves you forward in a chain of Finder windows.

To learn how to customize the Toolbar, see "Customizing the Toolbar," p. 59.

NOTE

If you open a new Finder window, the Back and Forward buttons will be grayed out because there is no window to move back or forward to. Opening a new window starts a new sequence of windows, so both buttons are disabled. As soon as you open a second window within the same Finder window, the Back button becomes active. If you move back along that chain of windows, the Forward button becomes active.

TIP

You can press [image] +[ to move back and [image] +] to move forward.

Changing Directories with the Path Pop-Up Menu

The Path pop-up menu enables you to quickly move up and down the directory structure of your Mac. To change directories, hold down the [image] key and click the window name in the title bar of a Finder window. When you do so, you will see all the directories from the one currently displayed in the window up to the Computer directory (which is the highest level on your Mac). Choose a directory from the menu and the Finder window will display the directory you chose.

TIP

You can add the Path button to your toolbar so that you can select a directory without using the [image] key. You'll learn how later in this chapter.

Changing Directories with the Go Menu

You can also use the Finder Go menu to open specific directories. To do so, open the Go menu and choose the directory you want to view. Its contents will replace those shown in the active Finder window (if no Finder windows are active, the directory's contents appear in a new Finder window).

TIP

Keyboard shortcuts are available for the specific directories on the Go menu. See the "Mac OS X to the Max" section at the end of this chapter for a list of these shortcuts.

If you choose Go, Favorites, you will see a hierarchical menu containing your favorite items; choose an item to open it. Similarly, if you choose, Go, Recent Folders, you can quickly move back to one of the recent folders you have viewed (you can set the number of recent folders on this list using the General pane of the System Preferences utility).

To learn more about setting and using favorites, see "The Favorites Directory," p. 83.

You can also move to a directory using the Go To Folder command. Choose Go, Go To Folder to see the Go To Folder dialog box (see Figure 3.8). You can type a pathname in this dialog box and click Go to open a Finder window for that directory. Following are some tips on how to type pathnames:

  • Pathnames are case sensitive.

  • A slash (/) separates each level in the path.

  • Almost all paths should begin and end with the slash (/).

  • The exception to the previous rule is when you want to move to a specific user's Home directory, in which case you can just type ~username, where username is the short name for the user's account.

  • If the path begins with the directory on which Mac OS X is stored, you can skip that directory name and start the path beginning with the next level. If it is on another volume, you can include that volume's name at the beginning of the path.

Figure 3.8. This Go To Folder directory shows the path to the folder called Documents that is located on the volume named Mac OS 9.

NOTE

Although you should be careful to use the proper case in pathnames, sometimes it doesn't make a difference. For example, the path to the Mac OS X System directory can be /SYSTEM/, /system/, or /System/. Sometimes, the case of the path you type must match exactly, so it is good practice to always match the case of the directory names you type.

Table 3.1 provides some examples of paths you would enter in the Go To Folder dialog box to move to specific directories.

Table 3.1. Paths to Specific Directories
Location | Path
Directory called Documents on a volume named Mac OS 9 | /Mac OS 9/Documents/
The Documents folder in the Home directory for the user account with the short name bmiser | ~bmiser/Documents/
The Mac OS X System Folder | /System/
A folder called Ch_02_figs located in the Documents directory in my User folder | ~bmiser/Documents/Ch_02_figs

Following are some additional tips for the Go To Folder command:

  • You can open the Go To Folder dialog box by pressing [image] +Shift+G. Type the path and press Return to move there.

  • If you are patient when you type, Mac OS X will try to match the path you are typing and complete it for you. This usually takes more time than to type it yourself, but if the path gets filled in for you, press Enter to accept that path entered for you to move there.

  • The most recent path you have typed remains in the Go To Folder dialog box; you can modify this path to move to a different directory.

TIP

Although pathnames should end in /, you don't really have to type the last /. If it is needed, Mac OS X will add it for you. If not, the path will work without it.

NOTE

You can use the Connect To Server command to move to directories that are located on your network.

To learn how to connect to servers, see "Accessing Shared Files from a Mac OS X Computer," p. 732.

Changing Directories with the Keyboard

One of the cool navigation features of Mac OS X is the ability to move up and down the directory structure using only the keyboard. Use the previous tips to select an item, and then press [image] +Down arrow to move "into" the item, such as a folder, application, document, and so on. For example, if you use the Tab key to select an application icon, and then press [image] +Down arrow, that application will open. Similarly, if you press this key combination when you have a folder selected, the contents of that folder will be shown in its previous view state.

NOTE

This technique also works in the Columns view to open applications or documents. When you are viewing folders and volumes, you don't need to hold down the [image] key because in the Columns view, the contents of a folder or volume are displayed when you select it.

To move up the directory structure, press [image] +Up arrow.


Customizing Finder Windows

Mac OS X enables you to customize many aspects of Finder windows, including the toolbar, the status bar, and the views you use.

Customizing the Toolbar

You can control many aspects of the toolbar that appears in Finder windows. You can show or hide it, and you can customize the tools that it contains.

Showing or Hiding the Toolbar

You can hide or show the toolbar in a Finder window in any of the following ways:

  • Click the Show/Hide Toolbar button in the upper-right corner of the Finder window.

  • Choose View, Hide Toolbar or View, Show Toolbar.

  • Press [image] +B.

The state of the toolbar controls how new Finder windows open. If the toolbar is displayed, then new Finder windows open according to the preferences you set in the System Preferences utility. If the toolbar is hidden, new Finder windows always open in a separate window.

When you open a new Finder window (for example, by holding down the Option key when you open a new Finder window), the toolbar is hidden in the new window.

The toolbar state in currently open Finder windows is independent. For example, you can show the toolbar in one Finder window while it is hidden in another. In fact, if you have two Finder windows for the same directory open at the same time, you can hide the toolbar in one window while it is shown in the other.

The toolbar state is not independent when you open one Finder window inside another one. The toolbar for that window takes on the state that it was in in the previous window.

Changing the Tools on the Toolbar

The default toolbar contains various useful buttons, but you can customize its content by adding tools to it or removing tools from it.

  1. Open a Finder window.

  2. Choose View, Customize Toolbar (or hold down the Shift key while clicking on the Show/Hide Toolbar button). The contents of the Finder window will be replaced by the Toolbar customization window (see Figure 3.9).

    Figure 3.9. You can add buttons to or remove them from the toolbar using the Customize Toolbar command.

  3. To add a button to the toolbar, drag it from the window to the toolbar; place it in the location where you want it. (Table 3.2 lists the available buttons and what they do.)

    When you move a button between two current buttons on the toolbar, existing buttons will slide apart to make room for the new button.

    NOTE

    If you place more buttons on the toolbar than can be shown in the current window's width, a set of double arrows appears at the right edge of the toolbar. Click this to pop up a menu showing the additional buttons.

  4. Remove a button from the toolbar by dragging it off of the toolbar.

  5. Change the location of the icons by dragging them.

  6. Use the Show pop-up menu to determine whether the tools have text and an icon, text only, or an icon only.

  7. Click Done.

The toolbar will reflect the changes you made (see Figure 3.10).

Figure 3.10. Several buttons that are not on the default toolbar, such as the Path, Burn, and iDisk buttons, are quite useful. In the figure, you can see that I have added them to my toolbar.

Table 3.2. Useful Toolbar Buttons
Button Name | What It Does
Back/Forward | Moves you back or forward in a chain of Finder windows.
Path | Pops up a menu that shows the path to the current directory. You can choose a directory on the pop-up menu to move there.
View | Changes the view for the current window.
Eject | Enables you to eject items, such as mounted volumes, CD-ROM discs, and so on, from the desktop.
Burn | Enables you to burn a CD-R, CD-RW, or DVD-R.
Customize | Enables you to open the Customize Toolbar window.
Separator | A graphic element you can use to organize your toolbar.
New Folder | Creates a new folder.
Delete | Deletes the selected item.
Connect | Opens the Connect to Server dialog box.
Find | Opens the Finder's Find tool.
Get Info | Opens the Get Info window for a selected item.
Computer | Opens the Computer directory.
Home | Opens the Home directory.
iDisk | Accesses your iDisk.
Directories | There are several buttons for the Mac OS X directories, such as Documents, Movies, Music, and so on. Clicking these buttons moves you into the directory.
Search | Enables you to search Finder windows.

TIP

You can return to the default toolbar by dragging the default toolbar set onto the toolbar in the Customize Toolbar window.

TIP

If you add more buttons than can be displayed and then want to remove some of the buttons you can't see (you see the double arrows instead), you have to make the window wider so that you can see the button on the toolbar to remove it; you can't remove a button from the pop-up menu. You can also temporarily remove other buttons until you can see the one you want to remove.

Customizing the Status Bar

The status bar, which is hidden by default, is located under the toolbar, and provides status information for the current directory, volume, or whatever else is being displayed in the Finder window. Mostly, the status bar provides information about the number of items in the window, and the amount of free space on the current volume. It also contains an icon for those situations in which the current directory is read-only (the icon is a pencil with a slash through it). As with the toolbar, you can hide or show the status bar using the View menu. Unlike the toolbar, you can't change the contents of the status bar.

Customizing Finder Window Views

For each view type of Finder window view, you can set Global view preferences that affect all windows you open using that view type. You can then set the Window options for individual windows to override the global settings for that view type. One of the customization options for the List view is the data you see in the window. For example, you can choose to display the Comments column for a window in List view. If you set this as a Global preference, each time you open a new window in List view, you will see the Comments column. If there is a window in which you don't want to see the Comments column, you can change the Window preferences for that window so that the Comments column is not displayed.

When you change a Global preference, it affects all windows shown in that view. When you change a window's preference, it affects only the current window.

Customizing the Icon View

The Icon view has the following view options:

  • Icon size You can set the relative size of the icons you see.

  • Text size You can set the size of text displayed next to the icons you see.

  • Label position You can set the location of the text next to icons. Your choices are on the bottom or to the right of the icon.

  • Snap to grid With this option enabled, icons align themselves to an invisible grid.

  • Show item info With this option enabled, you see information for the items in a window. The information you see depends on the items being displayed. For example, when the window shows volumes, you see the total space on the volume and the free space on each volume. When you view folders, you see the number of items in that folder.

  • Show icon preview By default, file icons contain a preview of the file's content within the icon. At press time, this preference does not seem to affect anything. Presumably, when this feature is activated in a later update of OS X, it will cause the icon preview to be hidden if the check box is unchecked.

  • Keep arranged by You can choose to keep icons grouped by a criterion you select, including Name, Date Modified, Date Created, Size, and Kind.

  • Folder background You can choose the background used for a Finder window. Your choices are White, a color of your choice, or a picture of your choice. If you choose Color or Picture, tools will appear to enable you to select the color or picture you want to use.

Set your Global preferences for the Icon view using the following steps:

  1. Open a Finder window so that you can preview the preferences you will set.

  2. Choose View, Show View Options or press [image] +J. The View Options window appears (see Figure 3.11). You use this window to set both Global and window settings.

    Figure 3.11. The View Options window enables you to customize Finder window views.

    NOTE

    The name of the current Finder window is shown at the top of the View Options window.

  3. Click the "All windows" radio button.

  4. Use the Icon size slider to set the relative size of the icons you see. As you move the slider, the icons in the open window will reflect the size you set. When you are happy with the size of the icons, release the slider.

  5. Use the Text size pop-up menu to set the size of the text.

  6. Use the radio buttons in the Label position area to choose the location of icon text.

  7. Use the four check boxes to enable or disable the options described in the previous bulleted list.

  8. If you enabled "Keep arranged by," choose the criterion by which you want icons grouped using the pop-up menu (Name is selected by default).

  9. Choose the folder background option by choosing one of the radio buttons under Background.

  10. If you chose Color, use the Color button to open the Color Picker to choose the background color you want to use.

  11. If you chose Picture, click the Select button and then use the Select a Picture dialog box to choose a background image.

    NOTE

    Supported image formats include PICT, TIFF, and JPEG. The background image you choose will appear in folders you view using the Global icon settings. This does not affect any image you are using as a background image on your desktop.

  12. Close the View Options window when you have finished setting the global options.

After you have made these settings, any window you view in Icon view will be displayed using your global preferences unless you override the Global settings by setting a window's preference.

To change the preferences for an individual window, do the following:

  1. Open the window you want to view and put it in the Icon view.

  2. Open the View Options window by choosing View, Show View Options (or press [image] +J).

  3. Click the "This window only" radio button.

  4. Use the controls to set the Icon view preferences for the window you opened in Step 1 (see the previous steps for help).

  5. Close the View Options window when you are done.

TIP

You can also modify the view of the desktop, which is always in icon view. Click anywhere on the desktop and open the View Options window. You will be able to set the icon size, text size, and other options just like a folder window (except for the folder background that is set using the Desktop pane of the System Preferences Utility).

This window will use the preferences you set for it until you change them.

TIP

You can reapply the global preferences at any time by returning to the View Options dialog box and clicking the "All windows" radio button. The window will return to your global view settings.

Customizing the List View

Customizing List view works pretty much the same way as Icon view, except that you have different options.

Set your Global List view preferences using the following steps:

  1. Open a Finder window in List view.

  2. Open the View Options window ( [image] +J).

  3. Click the "This window only" radio button.

  4. Check the radio button you want to use under Icon Size.

  5. Choose the text size on the Text size pop-up menu.

  6. Check the check boxes next to the data columns you want to be displayed in List views. The default data are Date Modified, Size, and Kind. The other data that are available are Date Created, Version, and Comments. Data for which you check the check boxes will be displayed in columns in the List view.

  7. Check the "Use Relative Dates" check box if you want to use relative dates.

    NOTE

    When you use the relative dates option, you will see relative date information (such as yesterday) for some dates rather than the full date for all dates.

  8. Check the "Calculate all sizes" check box if you want the size of folders to be displayed in the Size column.

    TIP

    This option uses lots of extra computing power, especially for those folders that contain many folders and files. You should usually leave this check box unchecked unless folder size information is critical to you.

  9. Close the View Options window.

Every window you see in List view will use these options, unless you override the global settings for a particular window.

Overriding the global options for a specific window is analogous to what you do for the Icon view. Open the window, open the View Options window, click the "This window only" radio button, and use the controls to set the view options for the current window.

To reapply the Global List view preferences to a window, click the "All windows" radio button in the View Options window.

TIP

The Window settings for a window are retained (although not used) even after you reapply the Global settings to it. You can easily switch back to them by clicking the "This window only" radio button again. The window will return to the most recent window settings you applied to it.

Customizing the Columns View

The Columns view has fewer customization options than do the other views. The Columns view preferences that you set apply to all windows in the Columns view.

  1. Open a Finder window in Columns view.

  2. Open the View Options window ( [image] +J).

  3. Uncheck the "Show icons" check box to hide the icons in the window.

  4. Uncheck the "Show preview column" check box if you prefer not to see the preview of selected files in the window.

  5. Close the View Options window.

NOTE

As far as I can tell, there isn't a way to choose the List view or the Icon view for every window you open (you can set the Columns view for every new window you open by using the Finder Preferences dialog box). The Finder remembers the view you used the last time you opened a specific window and maintains that view each time you open that window—until you change that window's view. Unfortunately, you can't set the view to be List or Icon on a system-wide basis.

Similarly, you can't tell the Finder to apply the global view preferences to all windows at the same time. If you have changed the view preferences for individual windows, you have to reapply the global view preferences to that window if you want to use them (by using the View Options dialog box).


Mac OS X to the Max: Finder Window Keyboard Shortcuts

Table 3.3 lists keyboard shortcuts for working with Finder windows.

Table 3.3. Keyboard Shortcuts for Finder Windows
Action | Keyboard Shortcut
Close all open Finder windows | Option+click the Close button
Close Finder Window | +W
Go to Folder | Shift+ [image] +G
Hide Finder | +H
Hide/Show Toolbar | +B
Minimize Window | +M
Move to the Applications directory | Option+ [image] +A
Move to the Computer directory | Option+ [image] +C
Move to the Favorites directory | Option+ [image] +F
Move to the Home directory | Option+ [image] +H
Move to the iDisk directory | Option+ [image] +I
New Finder Window | +N
New Folder | Shift+ [image] +N
Open New Finder Window in a Separate Window | +double-click (a folder icon)
Open Window | +O
Show View Options | +J


Chapter 4. Working on the Mac OS X Desktop

In this chapter

The Mac OS X Desktop

Working with Mac OS X Menus

Working with the System Preferences Utility

Understanding Mac OS X Directories

Working with Files and Folders

Getting Info on Items

Finding Files and Folders on Your Mac

Customizing the Mac OS X Desktop

Mac OS X to the Max: Desktop Keyboard Shortcuts


The Mac OS X Desktop

The Mac's desktop has always been the place from which you work with files, folders, system configuration, and so on. This setup continues in Mac OS X; the desktop enables you to manipulate the files and folders on your Mac. You also can access commands that appear nowhere else, and you can control many aspects of how your system performs. And, of course, you can also use the Finder to find folders and files that are stored on your machine.

Although the basic purpose of the Mac OS X desktop is the same as previous versions, its appearance and functionality are quite different (see Figure 4.1). More important than the improved appearance of the desktop, which is pretty amazing in itself, are the numerous functional improvements that Mac OS X desktop offers. These include new menus, a new directory structure, the new Info tool, and so on.

Figure 4.1. The most obvious aspects of the Mac OS X's desktop are the beautiful appearance of its icons, the controls provided in Finder windows, and the Dock.

For information on viewing and using Finder windows, see Chapter 3, "Viewing and Navigating Mac OS X Finder Windows," p. 41.

Because the Dock is such an important part of Mac OS X, it has a chapter dedicated to it; see Chapter 5, "Using and Customizing the Dock," p. 105.

NOTE

If you look carefully at Figure 4.1, you might notice something startling. One of the most familiar parts of the Mac OS desktop since very early versions, the Special menu is no longer part of the Finder's menu bar. The commands that used to be located there are now part of the Apple and Finder menus.


Working with Mac OS X Menus

One of the strengths of the Mac OS is that it has always featured certain menus that were very similar in all applications. Although the "standard" menus in Mac OS X are different than they were in previous versions of the OS, they are still consistent on the desktop and from application to application.

The Mac OS X Apple Menu

One of the staples of the Mac desktop has been the Apple menu. The Apple menu's main purpose has always been to provide access to certain items while you were working on the desktop as well as from within any application. Under previous versions of the Mac OS, the best thing about the Apple menu was that you could completely customize its contents so that you could access anything on your Mac from it.

Under Mac OS X, the Apple menu exists, but its functionality has changed significantly from previous versions. The Mac OS X Apple menu still provides access to specific commands from the desktop or from within any application. However, all the customizable aspects that it had in previous versions are now handled by the Dock or the Favorites feature.

NOTE

The Apple menu was not part of early versions of Mac OS X at all. Rather than being a menu, the Apple icon appeared in the center of the menu bar, and did not have a menu associated with it. Because many longtime Mac users were unhappy about this, Apple added the Apple menu back, although certainly not with the same form or substance as the Apple menu in previous versions. This might require some significant changes in the way many Mac users work, but that's progress, right?

The Mac OS X Apple menu contains commands listed in Table 4.1.

Table 4.1. Commands on the Mac OS X Apple Menu
Command | What It Does
About This Mac | Opens a window showing the version of Mac OS X installed, the physical RAM installed, and the number and type of processors. You can also open the Apple System Profiler from this window to get more information about your Mac.
Get Mac OS X Software | Opens the default Web browser and moves to the Mac OS X software downloads Web page.
System Preferences | Opens the System Preferences utility.
Dock | Provides control over the Dock's magnification and other configuration properties and enables you to open the Dock Preferences pane of the System Preferences utility.
Location | Enables you to choose a location for your Mac, which changes the network settings you are using.
Recent Items | Provides a menu of applications and documents you have recently accessed; you can choose an item to move back to it. The menu is organized into separate sections for applications or documents. It also has the Clear Recent Items command, which clears the menu. (You access recent folders or servers from the Finder Go menu.)
Force Quit | Opens the Force Quit Applications window that enables you to kill open applications (for example, when they are hung).
Sleep | Puts the Mac to sleep.
Restart | Restarts the Mac.
Shut Down | Shuts down the Mac.
Log Out | Logs the current user off the Mac and opens the Login dialog box.

To learn more about working with locations, see "Configuring and Using Locations," p. 872.

To learn more about Mac OS X's Force Quit command, see "Controlling Open Applications," p. 201. (Chapter 8)

TIP

If you use an Apple Cinema Display, you can put your Mac to sleep by pressing the Power button on the display.

Mac OS X Application Menus

Under Mac OS X, every application has its own Application menu. The Application menu provides the commands you use to control the application you are working in. There is a certain set of commands that are consistent among all Mac OS X applications. Specific applications can have more commands on their Application menus, but they must support certain basic commands on that menu. The name of the Application menu is the name of the application itself. For example, the Finder's Application menu is "Finder."

NOTE

If you have used previous versions of the Mac OS, don't confuse the Application menu in those versions with Application menus under Mac OS X. In previous Mac OS versions, the Application menu was a single menu that showed you all the applications that were running on the computer; this menu was always located in the upper-right corner of the desktop. You used the Application menu to hide or show applications as well as to switch between running applications. Under Mac OS X, this functionality is provided by the Dock and the Application menus.

The following commands appear on all Application menus:

  • About The About command displays version information about the application. Some About windows also provide links to support sites, the publisher's Web site, and so on. The Finder's About command displays the version of the Finder you are using, which was Mac OS X (v10.2.1) when this book was written.

  • Preferences You use the Preferences command to set the preferences for an application. For example, you can use Finder Preferences to control specific properties of the desktop.

    To learn about Finder Preferences, see "Changing the Desktop's Appearance," p. 100.

  • Hide and Show commands The Hide and Show commands enable you to control which running applications are visible. There are three of these commands on the Application menu. The Hide CurrentApplication command (where CurrentApplication is the name of the running application) hides the current application. The Hide Others command hides all the running applications except the current one. The Show All command shows all open applications.

All Application menus, except the Finder menu, also contain the following commands:

  • Quit The Quit command does the same thing as it always has—it stops the running application.

  • Services This Services command on the Application menu is actually a new set of commands for Mac OS X. The purpose of these commands is to enable you to work with other applications from within the current application. For example, if you are using the TextEdit word processing application, you will see the Grab command on its Services menu. Choosing this command activates the Grab application that enables you to capture something on the screen. After you capture the image, it is automatically pasted into the TextEdit document. There are many other commands you will see on this menu; the commands available to you depend on the applications installed on your Mac.

To learn more about using the Services command with Mac OS X applications, see "Working with Mac OS X Application Menus," p. 129.

The Finder's Application menu (the Finder menu) also has the Empty Trash command, which is unique to its Application menu (the Application menu in other applications can also contain unique commands).

TIP

The keyboard shortcut for the Quit command hasn't changed. It is still [image] +Q. When you are working on the desktop, [image] +Q doesn't do anything because you can't quit the Finder. However, you can relaunch the Finder using the Force Quit command.

Mac OS X File Menus

The Mac has always had a File menu; under Mac OS X, this menu is more "pure" than it was in previous versions of the OS. For example, in previous versions, the File menu contained commands for working with files as well as controlling the application. Under Mac OS X, the File menu contains only commands for working with files or folders.

The specific commands you see on an application's File menu depend on the application. Most applications' File menus will have the New, Open, Save, Save As, Print, and Page Setup commands. There might be many other commands on the File menu as well.

The Finder's File menu contains the commands listed in Table 4.2.

Table 4.2. Commands on the Finder's File Menu
Command | What It Does
New Finder Window | Opens a new Finder window
New Folder | Creates a new folder
Open | Opens the selected item
Open With | Enables you to open a selected file with a specific application
Close Window | Closes the active window
Get Info | Opens the Info window
Duplicate | Creates a duplicate of the selected item
Make Alias | Creates an alias of the selected item
Show Original | Exposes the original item for which an alias was created
Add to Favorites | Adds an alias of the selected item to the Favorites directory
Move to Trash | Moves the selected item to the Trash
Eject | Ejects the selected item (disc, server volume, and so on)
Burn Disc | Burns the selected CD or DVD
Find | Opens the Finder's Find tool so that you can locate files and folders

Mac OS X Edit Menus

Under Mac OS X, the Edit menu is much as it has always been. The Edit menu contains commands for editing, or changing, data. The commands that will always appear on the Edit menu are Cut, Copy, and Paste. Applications can provide many more commands on this menu, such as Undo, Redo, Select All, and so on.

In addition to the standard Edit commands, the Finder's Edit menu also has the Select All command, which selects everything in the active window, and the Show Clipboard command, which shows what has been copied to the Clipboard.

The Finder View Menu

The Finder's View menu contains the commands you use to view Finder windows.

To learn about using the Finder's View commands, see Chapter 3, "Viewing and Navigating Mac OS X Finder Windows," p. 41.

The Finder Go Menu

The Finder's Go menu is new with Mac OS X. As you might guess from its name, this menu contains commands you use to go places. The Go menu enables you to move to the following locations:

  • Back or Forward You can move among the windows in a chain of open Finder windows by using the Back and Forward commands.

  • Directories You can move to any of the directories listed on the Go menu by choosing the directory you want to move into.

  • Favorites This command provides a menu that enables you to choose any of the items stored in your Favorites directory.

  • Recent Folders This command lists the ten most recent folders you have used; choose a folder to return to it.

  • Folders Use the Go To Folder command to enter the path to a specific folder to open it.

  • Servers Use the Connect To Server command to open a server on your network.

To learn how to use the Go menu to navigate directories, see "Changing Directories with the Go Menu," p. 56.

To learn how to connect to servers, see "Accessing Shared Files from a Mac OS X Computer," p. 732.

Mac OS X Window Menus

Another standard Mac OS X menu is the Window menu. This menu provides commands you use to work with windows that are currently open. Common choices on the Window menu include the following:

  • Minimize Window This does the same thing as clicking the Minimize button in a window—it moves the window onto the Dock.

  • Bring All to Front This command brings all open windows to the front. For example, if you have a lot of open Finder windows, and then you switch to an application and then back to the Finder, you might not see all your open Finder windows. If you use this command, they will all come to the foreground so that you can see them.

  • List of Open Windows The Window menu always displays a list of the windows open for the application providing that menu. You can switch to an open window by choosing it on the menu.

  • Close Window This closes the active window. (You won't see this command on the Finder's Window menu.)

  • Zoom Window This does the same thing as the Maximize button.

NOTE

The Window menu is not really new; many Mac applications have always used a Window menu to enable you to switch between open documents. However, the menu is new to the Finder, and because it is now a system function, it should appear in all applications.

The active window in the application you are currently using is marked with some sort of icon. The active Finder window is marked with a diamond; other applications might use a different indicator (for example, Word's menu uses a check mark). Be aware that a window can be both active and minimized, in which case the active icon on the Window menu can help you identify the active window even if you can't see that window.

You might see more or fewer commands on the Window menu when you are working in specific applications, but the previous list contains most of the "standard" Window menu choices.

NOTE

Note that the Window menu provided by Classic applications is not the same as the Window menu provided by Carbonized or Cocoa applications. For example, if you are running the Classic version of Word 2001, you will see its Window menu rather than one provided by Mac OS X (so you won't see the Minimize or other commands you would expect to see on an OS X Window menu).

Mac OS X Help Menus

Most applications provide a Help menu that enables you to open their help system.

The Finder's Help menu contains one command—Mac Help. This command opens the Mac Help application, which provides extensive help for many areas of the OS. Many applications you install integrate their help system into the OS's help system. This enables you to access plenty of help from one place.

The Help application is based on HTML, so it works the same way Web pages do. You can search for help and click links and buttons to access information and move around.

The Help Center icon in the Help Center's toolbar takes you back to the Help Center home page, which lists each of the help systems that can be accessed by the Mac Help application (see Figure 4.2).

Figure 4.2. The Mac Help Center Home page lists each help system that can be accessed by the Mac Help application.

TIP

When you search for help, you will frequently see the Tell Me More link. This link opens another Answers page that will contain topics that are related to the one for which you searched.

New to Mac OS X is the ability for the Help Center to download new help resources from the Internet. Occasionally, you will see the Help Center downloading resources for help you request.

Some help pages will assist you in performing the action about which you are asking by providing hyperlinks that open the related application or resource.

Mac OS X Contextual Menus

As with previous versions of the OS, Mac OS X supports contextual menus. Contextual menus are pop-up menus that appear in various locations and contain commands specifically related to the context in which you are working. You can access contextual menus by pointing to an "object"that provides a contextual menu, holding down the Control key, and clicking the mouse button. The contextual menu will appear and you can choose a command from it.

The desktop and Finder provide contextual menus as do many applications, including those not provided by Apple. For example, the Microsoft Office application provides excellent support for contextual menus.

NOTE

Most Mac OS 9 applications still provide their contextual menus when you run them under the Mac OS X Classic environment.

In Finder windows or on the desktop, you can tell when a contextual menu is provided by pointing to something and pressing the Control key. If a contextual menu is available, you will see the contextual menu pointer, which is a small rectangle containing horizontal lines. When you see this pointer, click the mouse button to see the menu.

TIP

Contextual menus are one of the best arguments for using something other than the standard Apple mouse. A mouse or other input device that has more than one button enables you to program a second button to open contextual menus, making them much more accessible. This is one area where Windows has been ahead of the Mac for some time; all Windows mice have at least two buttons.


Working with the System Preferences Utility

The System Preferences utility enables you to set preferences for many areas of Mac OS X. If you read through the previous chapters, you already have some experience with this application. However, because you will use the System Preferences utility so frequently, it is worthy of a more detailed look.

You can open the System Preferences utility in various ways, including the following:

  • Choose Apple, System Preferences.

  • Click the System Preferences utility icon on the Dock.

  • Open the Applications directory and then open System Preferences using its icon.

NOTE

Because the System Preferences utility is so frequently used, Apple should have provided a keyboard shortcut to open it, but didn't. If you use a macro utility, such as QuicKeys, you should set and use a keyboard shortcut to open this application. Or you can add it to your Login Items (use the Hide option so that it is hidden on startup) so that it opens each time you log in to Mac OS X.

The System Preferences utility provides a window with a toolbar at the top and a series of icons or buttons in the bottom part (see Figure 4.3). To access the controls for a specific area, you click its icon. The System Preferences utility window changes to show the pane for that area (see Figure 4.4).

Figure 4.3. The System Preferences utility enables you to configure and customize Mac OS X to suit your needs and personal preferences.

Figure 4.4. The Sound pane of the System Preferences utility enables you to change your system's sound settings.

The default panes contained in the System Preferences utility (listed in alphabetical order rather than the order in which they appear) are the following:

  • Accounts

  • CDs & DVDs

  • Classic

  • ColorSync

  • Date & Time

  • Desktop

  • Displays

  • Dock

  • Energy Saver

  • General

  • International

  • Internet

  • Keyboard

  • Login Items

  • Mouse

  • My Account

  • Network

  • QuickTime

  • Screen Effects

  • Sharing

  • Software Update

  • Sound

  • Speech

  • Startup Disk

  • Universal Access

By default, these buttons are organized into the following categories: Personal, Hardware, Internet & Network, and System. The Personal buttons configure aspects of the user account that is currently logged in. The buttons in the other three categories make system-wide changes (and so require that you are logged in under or authenticate yourself as an Administrator account).

You can choose to list the buttons in alphabetical order if you prefer. Just choose View, Show All Alphabetically. The categories will disappear and the buttons will be listed in alphabetical order (from left to right, top to bottom).

You can also open a pane by clicking its button in the toolbar at the top of the System Preferences utility window. You can add buttons to this toolbar by dragging them to it and you can remove buttons by dragging them out of the toolbar.

If you prefer to use a menu to open a pane, select the pane you want to open on the View menu.

After you have selected a pane, you can show all the panes of the window again by clicking the Show All button; by choosing Pane, Show All in Categories or Show All Alphabetically; or by pressing [image] +L (which is the Show All in Categories keyboard shortcut).

Specific panes are covered in the parts of this book that explain the features they are related to. For example, the Accounts and My Account panes are explained in the section "Creating User Accounts," in Chapter 2.


Understanding Mac OS X Directories

Mac OS X dramatically changed how your Mac is organized. Most of the previously standard Mac OS folders are gone, and many new standard folders, often called directories in Mac OS X lingo, have come into being. You have seen several of these as you learned about using the Go menu, working with Finder windows, and so on.

Some directories, such as the Mac OS X System directory, are critical to your Mac's operation, whereas others are merely organizational devices, such as the Documents directory within each user's Home directory.

There are two general groups of directories you will work with: those for the system and those for users.

Mac OS X System Directories

There are two main directories that provide access to Mac OS X system-level files and folders.

The Computer Directory

The Computer directory is the highest-level directory on your Mac. It shows the volumes that are mounted on your machine, including hard drives, drive partitions, disk images, DVDs, CD-ROMs, and so on (see Figure 4.5).

Figure 4.5. The Mac OS X Computer directory represents all the contents of your machine as well as the network resources you can access.

Most of the contents of the Computer directory should be familiar to you because they are just like similar resources under previous versions of the Mac OS—for example volumes, CD-ROMs, and so on.

One exception to this is the Network folder, which contains the resources you can access via a network. The default folders in this directory include Applications, Library, Servers, and Users. For example, when you connect to a server over a network, aliases to the volumes you can access on those servers are in the Servers folder.

The Mac OS X Startup Volume Directory

One of the directories in the Computer directory is the one on which you installed Mac OS X. The name of this directory depends on what you named the volume (for example, I called mine Mac OS X).

Your startup volume directory contains four directories that are part of the Mac OS X installation, which are the following:

  • Applications Under Mac OS X, all Carbon and Cocoa applications are stored in this directory.

    To learn how to install applications, see Chapter 6, "Installing and Using Mac OS X Applications," p. 121.

  • Library The Library folder contains many subfolders that provide resources to support applications, hardware devices, and other items you add to your Mac. This Library directory contains the system folders that can be modified.

  • System This folder contains the core operating system software for Mac OS X. The items in this folder can't be modified except by installation applications, by system updaters, or by using the root account.

    To learn more about the Library and System directories, see "Exploring Mac OS X," p. 208.

  • Users The Users directory contains the Home directory for each user for whom an account has been created. The Home directory of the user currently logged in has the Home icon; the Home directories for the rest of the users have plain folder icons. If you have deleted user accounts, it also contains the Deleted Users folder that contains the items that were in each deleted user's Home directory.

    The Users directory also contains the Shared folder. Items placed in this folder can be accessed by any user who logs in to the Mac.

Mac OS X User Directories

As you learned in Chapter 2, each user account includes a Home directory. By default, this directory contains eight directories in which the logged-in user can store folders and files.

To learn about the specific directories in a user's Home directory, see "Understanding the Home Directory," p. 19.

Although the Home directory contains the eight default directories, you can add additional directories within these folders as well as creating new folders within the Home directory itself.

The benefit to using the standard directories is that they are integrated into the OS so that you can access them quickly and in many different ways. For example, you can select the Documents directory in Mac OS X Save and Open dialog boxes. This makes keeping your documents organized easier than if you create your own directories outside of your Home folder.

Another benefit of using the standard Mac OS X directories is that they take advantage of the default security settings that go along with the user account. When you use directories outside of a user account's Home folder, you should check and set the security of the folders you are using if you want to limit the access to those resources by other people who use your Mac.

To learn how to configure an item's security, see "Understanding and Setting Permissions," p. 742.

Most of the user directories are self-explanatory, such as Documents, Movies, and Music. A few of them are worthy of more detailed attention.

The Desktop Directory

The user's Desktop directory contains the items that the user has placed on his desktop. Each user can have as much or as little on his desktop as he likes. When another user logs in, she sees only the contents of her desktop folder on the desktop.

The Library Directory

In the Library directory are system files that are specifically related to the user account. The Library directory includes a number of subdirectories (see Figure 4.6).

Figure 4.6. Each user has a Library directory in which files that relate to that user's system resources, such as preferences, are stored.

The particular folders you see will depend on the applications you have used and what you have done. For instance, in the iApps folder, you'll find folders and files related to the "i" applications, such as iPhoto and iTunes. In the Fonts folder, you will find fonts that only you can access. Your Internet plug-ins are stored in the Internet Plug-Ins folder. The Preferences directory is where applications store your personal preferences.

The Favorites Directory

The Favorites directory, located within the Library directory that is in each user's Home directory, provides a location for you to store your favorite items. You can then access these favorites in different ways depending on your personal preferences.

You have several ways to create a favorite, and none of them are complicated.

  • Select the item for which you want to create a favorite, and from the Finder, choose File, Add to Favorites.

  • Select an item and press [image] +T.

  • In an open or save dialog box, select an item and click the Add to Favorites button.

  • Manually create an alias to an item and place it in the Favorites directory.

NOTE

You can create favorites for almost everything with which you work, including files, folders, servers, disks, CD-ROMs, Web sites, and so on.

Whichever method you use, an alias to the item you selected is placed in your Favorites directory.

You can access your favorites in the following ways:

  • In a Finder window, click the Favorites button on the Toolbar. The Favorites directory will open and you can open an item by opening its alias.

  • Choose Go, Favorites and then choose the favorite you want to use from the hierarchical menu.

  • Place your Favorites directory on the Dock. Then point to its icon, press the Control key, and select the item you want to open from the pop-up menu that appears.

  • Use an application's Open command to open the Open dialog box (or use the Save As command to open the Save As dialog box). With the From pop-up menu, choose your favorite on the Favorite Places submenu (see Figure 4.7).

    Figure 4.7. You can choose a favorite item from the Favorite Places pop-up menu in the Open dialog boxes.

The Public Directory

A Users Public directory is available to all the users who log in to a particular Mac. This directory makes it convenient for users to share or transfer files because placing files or folders within the Public directory makes them available to all the other users on a particular machine.

To access the files and folders in another user's Public folder, perform the following steps:

  1. Open the Users directory.

  2. Open the Home directory for the user who has a file you want to share.

  3. Open the Public directory and use the files contained within it.

TIP

You can open a file or folder within another user's Public directory or you can drag the file to your own directory to make a copy of it.

Within the Public directory, you will also see a Drop Box folder. Other users can place items into this folder, but no one else can open the folder. This is useful when you want others to transfer items to you but you don't want all the other users to be able to see what has been shared.

The Sites Directory

The Sites directory contains the files and folders that make up the Web site for each user account.

For more information on sharing a Web site under Mac OS X, see "Using Mac OS X to Serve Web Pages," p. 389.


Working with Files and Folders

Working with files and folders under Mac OS X is quite similar to working under previous versions.

Under Mac OS X, you can move and copy files and folders as in previous versions of the OS. Just drag the folders or files to where you want them to reside.

To place a copy of an item in a different folder, hold down the Option key while you drag the item. To duplicate an item (make a copy of it in its current location), select it and choose File, Duplicate (or press [image] +D).

NOTE

The Columns view is one of the more useful for moving files and folders around because it gives you a good view of the entire hierarchy of the volume you are working with.

Creating and naming folders is another area in which Mac OS X uses the same model as previous versions. One thing that is new under Mac OS X is the allowable length for folder names, which is now 256 characters. Of course, you aren't likely to ever use a folder name that is that long because it would be very difficult to read, but at least you have more flexibility with folder names than you did previously.

To name a folder or to edit its current name, select the folder and press Return. The folder's name will be highlighted and you can create a new name.

NOTE

In the version of Mac OS X I was using when I wrote this book, the name of a newly created folder was not selected automatically when it was created. I had to manually select the name of the new folder and then edit it. Hopefully, this is a bug that will be fixed in a later version (the name of a newly created folder should be selected automatically).

Other tasks you do with Mac OS X are similar to previous versions as well, including those discussed in the following three sections.

Naming Files

Naming files is very similar to naming folders, with one exception. Because the underlying architecture of the Mac OS has changed, many document names now include filename extensions—for example, ".doc" at the end of a Word document filename.

Long known in PC world, file extensions are a code that helps identify a file's type and thus the application used to view or edit that file. Many Mac OS X applications also use filename extensions; the OS uses these extensions to launch the appropriate application for that document when you open the file.

To understand more about filename extensions under Mac OS X, see "Saving Documents in Mac OS X," p. 147.

When you name a document from within an application that uses filename extensions, the correct extension will be appended automatically to the filename you enter. However, when you rename files on the desktop or in a Finder window, you need to be aware of a filename's extension if there is one (not all applications use an extension).

A complication in this is that you can choose to show or hide filename extensions on a file-by-file basis or at the system level. However, filename extensions are almost always in use, whether you can see them or not. Hiding them simply hides them from your view.

I wrote "almost always in use" because all Mac OS X applications add filename extensions to files they work with. And most Classic applications do not use filename extensions. Fortunately, you can use the Info tool to associate applications with specific files so that the lack of a proper filename extension is not a significant problem.

To learn how to associate files with specific applications, see "Opening Documents in Mac OS X," p. 139.

If you want to rename a file that has an extension, you should leave the extension as it is. If you change or remove the extension, it is possible that the application you use to open the file will not be launched automatically when you try to open the file.

The filename extensions you see under Mac OS X include some of the three- or four-letter filename extensions with which you are no doubt familiar, such as .doc, .xls, .html, .jpg, .tiff, and so on. However, there are many, many more file name extensions you will encounter. Some are relatively short, whereas others (particularly those in the system) can be quite long. There isn't really any apparent rhyme or reason to these filename extensions so you just have to learn them as you go. Because you will mostly deal with filename extensions that are appended by an application when you save a document, this isn't a critical task. However, as you delve deeper into the system, you will become more familiar with some of the sometimes bizarre-looking filename extensions that Mac OS X uses.

NOTE

Depending on the file type, some files will open properly even if you do remove or change the file's extension. But it is better to be safe than sorry, so usually you should leave the file extension as you find it.

You can choose to hide or show filename extensions globally or on an item-by-item basis. To configure filename extensions globally, use the following steps:

  1. Choose Finder, Preferences to open the Finder Preferences window.

  2. To always show filename extensions, check the "Always show file extensions" check box.

  3. To allow filename extensions to be shown or hidden for specific items, uncheck the "Always show file extensions" check box.

  4. Close the Preferences window.

To learn how to show or hide filename extensions for specific items, see "Working with Name & Extension Information," p. 91.

Creating and Using Aliases

As with previous versions of the Mac OS, aliases are pointers to a file, folder, or volume. Open an alias and the original item opens. The main benefits to aliases are that you can place them anywhere on your Mac and that they are very small, so you can use them with little storage penalty.

There are several ways to create an alias.

  • Select an item and choose File, Make Alias.

  • Select an item and press [image] +L.

  • Hold down the Option and [image] keys while you drag an item.

  • Open the contextual menu for an item and choose Make Alias.

You might need to find the original from which an alias was created. For example, if you create an alias to an application, you might want to be able to move to that application in the Finder.

  1. Select the alias.

  2. Choose File, Show Original (or press [image] +R). A Finder window containing the original item will open.

Occasionally, an alias will "break," meaning that your Mac loses track of the original to which the alias points. The most common situation is that you have deleted the original, but it can happen for other reasons as well. When you attempt to open a "broken" alias, you will see a warning dialog box that provides you with the following three options:

  • Delete Alias If you click this button, the alias will be deleted.

  • Fix Alias If you click this one, you can use the Fix Alias dialog box to choose another file at which you want the alias to point.

  • OK If you click OK, the dialog box disappears and no changes are made to the alias.

Trashing Files and Folders

Under Mac OS X, the Trash is located at the right end of the Dock rather than being on the desktop itself. Other than that, the Trash mostly works the same way it always has.

To move something to the Trash, use one of the following methods:

  • Drag the item to the Trash on the Dock.

  • Select an item, open its contextual menu, and choose Move to Trash.

  • Select an item and choose File, Move to Trash.

  • Select an item and press [image] +Delete.

After you have placed an item in the Trash, you can access it again by clicking the Trash icon on the Dock. A Finder window displaying the Trash directory will open and you can work with the items it contains.

When you want to delete the items in the Trash, do so in one of the following ways:

  • Choose Finder, Empty Trash. In the confirmation dialog box, click OK (or press Return) to empty the Trash or Cancel to stop the process. You can skip the confirmation dialog box by holding down the Option key while you choose Empty Trash.

  • Control+click on the Trash's Dock icon and choose Empty Trash on the resulting pop-up menu (or hold down the mouse button while on the icon and then choose the command from the pop-up menu).

  • Press Shift+ [image] +Delete. In the confirmation dialog box, click OK (or press Return) to empty the Trash or Cancel to stop the process. You can skip the confirmation dialog box by pressing Option+Shift+ [image] +Delete instead.

To permanently disable the warning dialog box when you empty the Trash, perform the following steps:

  1. Choose Finder, Preferences to open the Finder Preferences window.

  2. Uncheck the "Show warning before emptying the Trash" check box.

  3. Close the window. The warning will no longer appear, no matter how you empty the Trash.


Getting Info on Items

As in previous versions of the Mac OS, the Info window is a tool you use to learn about various items on your desktop and in Finder windows. For some items, you can also control specific aspects of how those items work and how they can be used.

The Info tool has been improved dramatically under version 10.2. Gone are the annoying panes of the window. You can access all of its tools from a single pane by using its Expansion triangles. The window is organized into sections; you expose a section by clicking its Expansion triangle. And, under version 10.2, you can have multiple information windows open at the same time (which is very helpful when you want to compare items).

The Info window has slightly different features and information for each of the following groups:

  • Folders and volumes

  • Applications

  • Documents

The sections you will see for each type of item are described in Table 4.3.

Table 4.3. Sections of the Get Info Window
Section | Applicable Items | Information/Tools It Provides
General | Folders and Volumes Applications Documents | Provides identification information about the item, such as its name, kind, and significant dates.
Name & Extension | Folders and Volumes Applications Documents | Gives the full item name, including its filename extension if applicable.
Content Index | Folders and Volumes | Provides information about the most recent index that was created for that item (an index is required to search for items by content). You can also index an item from this section.
Preview | Folders and Volumes Applications Documents | Shows the icon of everything except documents. For documents, a preview of the document's contents is provided (this is the same preview that the Columns view provides).
Languages | Applications | Displays and enables you to choose the languages that should be available in the application.
Open with | Documents | Enables you to select an application to open a document with.
Ownership & permissions | Folders and Volumes Applications Documents | Enables you to configure the access Permissions for an item.
Comments | Folders and Volumes Applications Documents | Enables you to add comments to an item.

Examples of how to use each of these sections for various items are provided in the following sections.

Working with General Information

The General section of the Info window is mostly to provide you with detailed information about an item, but for specific items, you can also use the controls it provides.

  1. Select the item you are interested in and press [image] +I. The Info window will appear.

  2. Expand the General section if it isn't expanded by default.

  3. View the information provided at the top of the window.

  4. Use any tools that appear to configure the item.

Depending on the item you select, you have the following choices:

  • You can select the "Locked" check box that appears when the selected item is a document, to prevent the document from being changed.

  • You can use the "Stationery Pad" check box to convert a selected document into a template.

Working with Name & Extension Information

The Name & Extension section enables you to view and change the name of the selected item.

  1. Select the item you are interested in and press [image] +I. The Info window will appear.

  2. Expand the Name & Extension section.

  3. Edit the item name in the Name & Extension field that appears. Remember to add or edit filename extensions as appropriate (volumes and folders don't have filename extensions).

When you are displaying Name & Extension information for a document, you will also see the "Hide Extension" check box. When this is checked, the filename extension for the file will be hidden in Finder windows. This check box is overridden by the Finder's file extension preference. If the "Always show file extensions" check box in the Finder Preferences window is checked, filename extensions are shown regardless of the "Hide Extension" check box for an individual file. The Finder preference must be unchecked for this check box to hide or show a file's filename extension.

Working with Content Index Information

This information relates to the index that must be created for any volume or folder to be searchable by content. This feature is discussed in the section "Finding Files by Content," later in this chapter.

Working with Preview Information

The Preview section provides a preview of the selected item. For everything except documents, this preview is simply the item's icon. However, when you use this feature on a document, you get a preview of the item's content, just as you do when you view a Finder window in Columns view. If the content is dynamic, such as a QuickTime movie, you can view or hear that content from the Preview section.

  1. Select the item you are interested in and press [image] +I. The Info window will appear.

  2. Expand the Preview section.

  3. Use the Preview section to preview the item's content. For example, use the controls to view the item if it is a QuickTime movie.

For documents for which Mac OS X can't generate a preview, you will see the appropriate icon instead.

Working with Languages Information

Mac OS X applications can support various languages. The Languages section of the Information window enables you to choose the languages you want to be available in an application.

  1. Select the application you are interested in and press [image] +I. The Info window will appear.

  2. Expand the Languages section.

  3. Remove the check box next to any language you want to disable in that application.

  4. Check the check box next to any language you want to enable in the application.

  5. To remove a language from the application, select the language and click Remove. After you confirm what you are doing, that language's support files will be removed from the application's files and will no longer be available.

  6. To add language support to the application, click the Add button and select the language file you want to add.

TIP

You can have more than one section expanded at the same time. In fact, you can have as few as none expanded, or you can have all of them expanded.

Working with Open with Information

You can use the Open with section to determine which application is used to open a file.

  1. Select the document you are interested in and press [image] +I. The Info window will appear.

  2. Expand the Open with section.

  3. Choose the application you want the file to be opened with on the pop-up menu. The "suggested" applications will appear on the menu by default. If you want to select an application that is not shown on the pop-up menu, click Other and choose the application you want to be used.

  4. If you want all files of the same type to be opened with the application you selected, click the Change All button.

Working with Ownership & Permissions Information

This is the most important section in the Info window and is used to configure access to the item (see Figure 4.8). This area enables you to control who has access to an item, as well as defining the type of access provided.

Figure 4.8. The Ownership & Permissions section of the Information window is an important security tool whether you share your Mac directly or across a network.

To learn how to configure access to an item, see "Understanding and Setting Permissions," p. 742.

Working with Comments Information

The Comments section enables you to add comments to the selected item.

  1. Select the document you are interested in and press [image] +I. The Info window will appear.

  2. Expand the Comments section.

  3. Enter your comments into the field. The comments you enter will remain with the item, and you can read them by expanding the Comments section.


Finding Files and Folders on Your Mac

Previous versions of Mac OS X used Sherlock to search for files and folders and to search the Internet. Fortunately, Apple has restored and improved the Finder's Find command that you use to locate local resources (Sherlock, improved for version 10.2, is still used to search the Web).

There are two ways to search for files and folders on your Mac. The first is to search by attribute, such as name, creation date, or size. The second is to search by content. Previously, these two types were separate—you had to choose one or the other. Under version 10.2, you can now mix and match search types as you need to.

NOTE

In this context, on your Mac means that what you are searching for is on a volume that is mounted on your Mac. This includes volumes that are located on a network to which you are connected.

Finding folders and files by attribute is useful when you know that an item exists, but you just can't remember where it is, what it is called, and so on.

Finding files by content is a great help when you know that there is a file on a machine that contains a word, phrase, sentence, or topic, but you can't quite remember what the name of the file is or even when it was created. You can also use the Find by Content feature to locate all the files you can access that relate to a specific topic or concept.

Finding Folders and Files by Attribute

The most common type of search you are likely to do is to search by attribute, such as name or creation date. You can search by one or more attributes at the same time.

NOTE

In the context of searching by attribute, "file name" is synonymous with "folder name."

To search by attribute, use the following steps:

  1. From the Finder, choose File, Find (or press [image] +F). You will see the Find window (see Figure 4.9).

    Figure 4.9. The Mac OS X Find function is both powerful and flexible.

  2. Choose the location in which you want to search on the Search in pop-up menu. You have the following options:

    • The Everywhere option will search in all volumes that are mounted on your Mac, including its internal drives and removable discs and volumes on your network.

    • The Local disks option searches only those volumes that are physically installed in your Mac (including removable discs).

    • The Home option searches only in your Home directory.

    • The Specific places option enables you to select the volumes you want to search; when you select this, an additional pane will appear. Check the check boxes for the volumes you want to search. Click the Add button and select individual folders to search specific folders (the volume on which those folders are located does not have to be selected).

  3. The file name criterion is included in the search by default. If you don't want to search by file name, click the Remove attribute/criterion button next the file name field and skip to Step 10.

    NOTE

    You can't remove a criterion if it is the only one contained in the search.

  4. Choose the operand for the file name on the pop-up menu. By default, this is "contains," but you can change it to "starts with," "ends with," or "is." The meaning of these operands is self-explanatory.

  5. Enter the text or numbers for which you want to search in the field. The more information you enter, the more specific your search will be, no matter what operand you select.

  6. If you want to add additional criteria for file name, click the Add criterion button. An additional pop-up menu and field will appear.

    NOTE

    A limitation of the Find tool is that all criteria for an attribute are connected with an "and." This means that all criteria for that attribute must be met in order for an item to be found. Unfortunately, there isn't an easy way to do "or" searches, such as this file name or that one. You'll learn a workaround later in this section.

  7. Use the pop-up menu to choose the operand for the second file name.

  8. Enter the second file name for which you want to search in the field.

  9. Repeat Steps 6 through 8 for each file name for which you want to search.

  10. Choose the next attribute by which you want to search on the Add criteria pop-up menu. Your options are date modified, date created, kind, size, extension, and visibility. You will see only those attributes that aren't already included in the search on the pop-up menu. The attribute you choose will appear in the window along with any tools you use to define its search criteria.

  11. If applicable, use the pop-up menu to choose the operand for the attribute you selected. For example, if you chose date modified, the available operands are is today, is within, is before, is after, is exactly, or no value.

  12. Use the attribute's field, if one appears, to enter the value for which you want to search. For example, if you selected the date modified attribute and the is after operand, enter that date for which you want to search.

  13. If you want to add additional criteria for the attribute, click the Add criterion button. An additional pop-up menu and appropriate fields will appear.

  14. Use the pop-up menu to choose the operand for the criterion you added.

  15. Enter the value for which you want to search in the field if applicable.

  16. Repeat Steps 13 through 15 for each criteria you want to add for the attribute.

  17. Repeat Steps 10 through 16 for each attribute you want to include in your search.

  18. Click the Remove attribute/criterion button for any attributes you are going to search on. For example, remove the content attribute if you are not including it in your search.

  19. Review the Find window to ensure that the search is configured properly (see Figure 4.10).

    Figure 4.10. This search will find all files for this book (file name contains 2904) that were modified after 8/1/02 and that are less than 1MB.

  20. Click Search (or press Return). A separate Search Results window will appear. At the top of the window, you will see the number of places being searched and will see the progress of the search. You can cancel the search by clicking the "x" button that appears in the window's status bar. When the search is complete, the "x" becomes the Refresh Search button, and the items that met your search criterion will appear (see Figure 4.11). The results window contains two panes. The upper pane lists all the files that meet your criteria. The lower pane shows the location of items selected in the upper pane. To resize the panes, drag the Resize handle in the middle of the separating line between the panes.

    Figure 4.11. A number of files that met my search parameters were found.

The Search results window works just like a Finder window in List view. For example, you can sort it, open items from within in, and so on.

You can view the location of any found item by selecting it. The path to that item will appear in the lower pane.

Following are some additional tidbits about searching with the Finder:

  • The Find window and the resulting results window are independent. You can move the windows around so that you can see both of them at the same time.

  • Each time you click the Search button, a new results window appears. You can run the same search as many times as you want. For example, you can refine a search by running it, viewing the search results, moving back to the Find window and modifying the search, and then rerunning it.

    This also enables you to perform pseudo-"or" searches. Perform the first search. Then move back to the Find window, revise the search (such as by changing the file name), and run it again. The two results windows will show you the files that meet both sets of criteria.

  • You can rerun a search by clicking the Refresh Search button (the double-arrow icon) in the status bar of the results window.

  • Unfortunately, you can't save your searches unlike when you used Sherlock to search for files and folders. If you want to run the same search again, leave the results or Find window open. If you close both of these windows, the search is lost and you will have to re-create it to run it again.

Finding Files by Content

Performing content searches is very similar to performing attribute searches. The only significant difference is that any sources you are going to search by content must be indexed first. When a volume is indexed, all the files it contains are searched and a list of keywords is built.

CAUTION

To be able to index a server or a folder that is shared, you must be the server's administrator or the folder's owner. If these conditions aren't true, the Index Status column will show "Not indexable." This indicates that you can't index the volume, so you won't be able to search it for files by content.

To index sources you want to search, carry out the following steps:

  1. Select the source you want to index and press [image] +I to open the Info window.

  2. Expand the Content index section (see Figure 4.12). The current index status will be shown.

    Figure 4.12. You can index a source using the Content index section of the Info window.

  3. Click Index Now.

You will see the progress of the indexing process in the window. If there are many items to be indexed, this process can take quite a while. You can abort the process by clicking the Stop Indexing button. When the process is complete, the status information will be updated accordingly. The source will then be ready for content searches.

Indexes are created when you execute the Index Now command. As files change, the index becomes out of date. If you search by content regularly, you should re-index your sources periodically to keep the indexes current.

NOTE

Unfortunately, you can't schedule indexes to be run periodically as you could when Sherlock was used to search for files and folders. To automate the indexing process, you will need to use AppleScript or another automation tool.

After you have created an index, performing content searches is not difficult.

  1. Create a search as explained in the preceding section.

  2. Add the Content attribute to the search. (You can search for only a single content criterion at a time.)

  3. Enter the content for which you want to search in the field.

  4. Configure other attributes for the search.

  5. Execute the search. Items that include the content you specified and meet the other search criteria will be listed in the results window.


Customizing the Mac OS X Desktop

Although the default Mac OS X desktop is very nice to look at, you will probably want to customize it to suit your preferences. You can customize the appearance of your desktop in many ways, including the following:

  • Change the Clock

  • Change the mounted disk behavior

  • Change the desktop icon size

  • Change the desktop icon arrangement

  • Set desktop pictures

NOTE

You can also change the menu bar by adding icons to it, such as the Displays icon, the Volume icon, the AirPort icon, and others. These icons are discussed in the related sections of this book. For example, you will learn about the Displays menu bar icon in the section on configuring monitors using the Displays pane of the System Preferences Utility.

Changing the Clock Display

By default, Mac OS X provides a clock in the upper-right corner of the desktop. You can control the appearance of this display by using the System Preferences utility.

  1. Open the System Preferences utility.

  2. Click the Date & Time icon.

  3. In the Date & Time pane, click the Menu Bar Clock tab (see Figure 4.13).

    Figure 4.13. The Menu Bar Clock tab of the Date & Time pane of the System Preferences utility enables you to customize the clock on the desktop.

  4. To hide the clock, uncheck the "Show the date and time in the menu bar" check box. The clock will be removed and all the options will be disabled.

  5. If you prefer to view an icon of the clock instead of the actual time, choose Icon on the View as pop-up menu. The rest of the options will be disabled because they are not applicable.

  6. If you choose to display the clock in the text format, use the check boxes to set the options you want to use. For example, to include seconds in the display, check the "Display the time with seconds" check box. The other options are just as easy to understand. As with other System Preferences Utility tools, changes you make are reflected instantly.

  7. Quit the System Preferences utility.

TIP

As in previous versions of the OS, you can click the menu bar clock to briefly display the date. The menu on which the date appears also enables you to change the view options and to open the Date & Time pane of the System Preferences Utility.

Changing the Desktop's Appearance

You can customize other aspects of the appearance of the desktop using the following steps:

  1. Choose Finder, Preferences to open the Finder Preferences window.

  2. Check the check boxes for the mounted items that you want to appear on the desktop. Your choices are hard disks, removable media, and connected servers. If you uncheck the boxes, you can access these items through the Computer directory. If you check the boxes, the items will appear on the desktop.

  3. Close the Finder Preferences window.

  4. Click on the desktop.

  5. Press [image] +J to open the View Options window for the desktop.

  6. Use the View Options controls to configure how icons on the desktop appear, such as size and grouping.

    To learn about the details of these options, see "Customizing Finder Window Views," p. 62.

  7. Close the View Options window.

  8. Open the Desktop pane of the System Preferences Utility (see Figure 4.14). The Current Desktop Picture well shows the desktop picture currently being used.

    Figure 4.14. The Desktop pane enables you to apply desktop pictures to make your Mac a more interesting place.

    TIP

    If you just want to replace the current image with another one, simply drag the image you want to use onto the well. It will replace the image currently shown there and will appear on the desktop immediately.

  9. Open the Collection pop-up menu. This menu provides a list of options for you to use to choose a group of images from which to select a desktop picture.

    • By default, Mac OS X includes four image collections, and you will see these at the top of the menu. The menu also contains the options Pictures folder, which moves you to the Pictures folder in your Home directory; Desktop Pictures, which selects the Desktop Pictures folder included in the Library folder (basically, all the default desktop picture collections); and Choose Folder, which enables you to select a different folder to use as a source of images.

    • Except for the Choose Folder option, when you select an option, the images contained in the location will appear in the preview pane in the lower part of the window.

      If you choose the Choose Folder option, you can use the resulting sheet to move to and select a folder. When you do so, the images contained in that folder will be shown in the preview pane.

    • When you select a folder, including the predefined ones, only the images at the root level of that folder are available on the preview pane. For example, if you choose your Pictures folder, only the images that are loose in that folder will be available. Any images contained within folders that are inside the Pictures folder will not be available.

  10. Apply the image to the desktop by clicking on the preview pane.

  11. If you want to change desktop pictures automatically, check the "Change picture" check box. The image in the well will become the "recycle" icon to show you that you have selected to have the system change images periodically.

  12. Use the pop-up menu to select the time at which you want the images to be changed. The options include when logging in, when waking from sleep, or a time interval from every 5 seconds to once per day.

  13. To have the images selected at random, check the "Random order" check box. If you uncheck this, the images will appear in the same order as they appear in the selected folder (for example, alphabetically).

  14. Quit the System Preferences Utility when you are done making changes.

You can use just about any graphic file as a desktop image, such as JPEG, TIFF, and PICT files.

If you want to install images in the Mac OS X Desktop Pictures folder so that they appear by default, just place them in the location macosx/Library/Desktop Pictures/, where macosx is the name of your Mac OS X startup volume.

If you look in this folder, you will see the collections of images that appear on the Collection pop-up menu. You can add your images to the default folders and they will appear in those collections. Unfortunately, you can't add collections to the menu by creating folders within the Desktop Pictures folder.

NOTE

If you use more than one monitor, each desktop can have its own desktop picture. If you use a folder of images rather than a single image, a different image from that folder will appear on each monitor's desktop.


Mac OS X to the Max: Desktop Keyboard Shortcuts

Table 4.4 lists keyboard shortcuts for working with the Finder.

Table 4.4. Keyboard Shortcuts for the Finder
Action | Keyboard Shortcut
Add to Favorites | +T
Close Window | +W
Connect to Server | +K
Duplicate | +D
Eject | +E
Empty Trash | Shift+ [image] +Delete
Find | +F
Force Quit | Option+ [image] +Escape
Go to Folder | Shift+ [image] +G
Hide Finder | +H
Hide Toolbar | +B
Log Out | Shift+ [image] +Q
Mac Help +?
Make Alias | +L
Minimize Window | +M
Move to the Applications directory | Option+ [image] +A
Move to the Computer directory | Option+ [image] +C
Move to the Favorites directory | Option+ [image] +F
Move to the Home directory | Option+ [image] +H
Move to the iDisk directory | Option+ [image] +I
Move to Trash | +Delete
New Finder Window | +N
New Folder | Shift+ [image] +N
Select All | +A
Show Info | +I
Show Original | +R
Show View Options | +J


Chapter 5. Using and Customizing the Dock

In this chapter

Understanding the Dock

Using Items on the Dock

Organizing the Dock

Customizing the Appearance and Behavior of the Dock

Working with Docklings

Mac OS X to the Max: Dock It


Understanding the Dock

The Dock is one of the most noticeable parts of the Mac OS X desktop. If you want to master Mac OS X, you should learn to take full advantage of the Dock's capabilities.

The Dock provides you with information about, control over, and customization of Mac OS X and the applications you use (see Figure 5.1). By default, the Dock appears at the bottom of the desktop, but you can control many aspects of its appearance and you can control where it is located. You can also control how it works to a great degree.

Figure 5.1. The Dock is an essential part of Mac OS X; as you learn to use it, you will probably wonder how you ever got along without it.

NOTE

The Dock was (and is) one of the most controversial parts of Mac OS X. Some Mac users love it, some hate it, and some just don't get it. I fall into the "love it" camp myself. Although the Dock takes a bit of getting used to, doing so will pay off for you in a big way.

The Dock is organized into two general sections; they are divided by the application/document separation line, as shown in Figure 5.1. On the left side of this line, you see application icons. On the right side of the line, you see icons for documents and folders (and the Trash).

NOTE

In addition to applications or documents and folders, there is a third type of Dock icon you will see as well. This type is called a dockling. Docklings are modules you can use to control applications or to provide additional functionality to the Dock. There are many docklings available; some applications include docklings whereas other applications consist entirely of a dockling. Docklings can be placed on either side of the Dock's dividing line. You will see an example of docklings later in the chapter.

The Dock performs the following functions:

  • Shows running applications Whenever an application is running, you see its icon on the Dock. A small triangle is located underneath every running application's icon (see Figure 5.1). The Dock also provides information about what is happening in open applications. For example, when you receive e-mail, the Mail application's icon changes to indicate the number of messages you have received since Mail was last active.

  • Enables you to open applications, folders, minimized windows, and documents quickly You can open any item on the Dock by clicking its icon.

  • Enables you to quickly switch among open applications You can click an application's icon in the Dock to move into it. You can also use a keyboard shortcut to move among open applications.

  • Enables you to control an application and switch to any windows open in an application When you hold down the Control key and click the icon of an open application, a pop-up menu appears. This menu lists commands as well as all of the open windows; you can choose an item by selecting it from this menu.

  • Enables you to customize its appearance and function You can store the icon for any item (applications, folders, and documents) on the Dock. You can also control how the Dock looks, including its size, whether it is always visible, where it is located, and so on.

NOTE

The Dock menu for Classic applications does not list the windows open in that application. However, the other commands do appear on the menu.

TIP

When you open an application whose icon is not installed on the Dock, its Dock menu includes the Keep in Dock command. If you choose this, the icon will be added to the Dock.

If you have used pre-Mac OS X versions of the Mac OS, you will see that the Dock is sort of a combination of the Apple menu, Application menu (and Application Switcher), and the Control Strip. The Dock can be always available, you can customize its contents, and you can use it to quickly access any item on your Mac, which are all features that are similar to the Apple menu. You can manage running applications using the Dock; this is similar to the Application menu. You can open items with a single click from the Dock, just as you can with the Control Strip in previous versions of the Mac OS. Docklings, which are mini-applications that are stored on the Dock, are also similar to items that appeared on the Control Strip in previous versions of the Mac OS.


Using Items on the Dock

By default, the Dock is preconfigured with various icons you can begin using right away. When you point to an item on the Dock, a tooltip appears above the icon that provides the name of the item.

The default items on the Dock can include the following:

  • Finder The Finder icon opens a new default Finder window (Computer or the user's Home directory) if no Finder windows are visible on the desktop. If at least one Finder window is open on the desktop, clicking the Finder icon doesn't do anything. If you hold down the Control key while you click this icon, you will see a list of all Finder windows that are open; choose a window from the list to move into it.

  • Mail Mail is Mac OS X's e-mail application. When you receive e-mail, an attention icon showing how many new messages you have received will appear. If you hold down the Control key while you click this, you can choose from several commands, such as Get New Mail and Compose New Message.

  • iChat This is Apple's instant messaging application you can use to communicate with others on your local network or over the Internet (it is compatible with AOL Instant Messenger).

  • Address Book Address Book is Mac OS X's contact manager application. You can store all sorts of information for everyone with whom you communicate, such as e-mail addresses and phone numbers.

  • Internet Explorer Internet Explorer continues to be the default Web browser under Mac OS X.

  • iTunes iTunes is the Mac's excellent digital music application. Its Dock menu offers various controls you can use to control music playback from the Dock.

  • iPhoto iPhoto is Mac OS X's awesome image cataloging, editing, and sharing application.

  • iMovie iMovie is as powerful and easy to use as applications get; you can use it to create and edit your own digital video masterpieces.

  • Sherlock The Sherlock application empowers you to find just about anything, just about anywhere. Moving to version 3.0 with Mac OS X version 10.2, Sherlock now has even better search capabilities.

  • QuickTime Player You use the QuickTime Player to view QuickTime movies.

  • System Preferences The System Preferences utility enables you to configure and customize various aspects of Mac OS X. You will be using it frequently, which is why its icon is included on the Dock by default.

  • Readme Documents On the right end of the Dock, to the left of the Trash, you might see some readme and help documents that Apple has included to provide late-breaking news about Mac OS X.

  • Trash Some things never change; under Mac OS X, the Trash does what it always has. It is now located on the right end of the Dock.

NOTE

One difference between the Mac OS X Trash and previous versions is that when you drag a disk to eject it, the Trash's icon changes to the Eject symbol. This helps newer users understand what they are doing when they use this most counterintuitive aspect of the Mac OS.

Using items on the Dock is as easy as it gets. Simply click an icon to open whatever the item is. If the icon is for an application, that application will open (or move to the front if it is already open). If the item is a document, the document will open. If the item is a folder, the folder will open in a new Finder window. If the item is a dockling, a pop-up menu containing commands will appear. If the icon is a minimized Finder window, that window will become active and move onto the desktop.

NOTE

When you click an application's icon, you might notice that it "bounces" as the application opens. This provides feedback to you that your selection was registered with the OS and it is working on opening your application. You can turn this feature off, as you will learn later in this chapter.

Unless the application is installed on the Dock (in which case the icon remains in the same position), the icon for each application you open appears on the right edge of the application area of the Dock. As you open more applications, the existing application icons shift to the left and each icon becomes slightly smaller.

NOTE

The Dock is very insistent about getting your attention, even when it is hidden. If the Dock is hidden and an application needs to present information to you, such as an error dialog box, its icon will appear to bounce up from "nowhere" and continue to bounce up and down until you switch to that application to see what it has to say.

To move among the open applications you see on the Dock, you can press [image] +Tab. When you do, the icon for the open application you are selecting becomes highlighted and you see the application's name above its icon. When you release the [image] +Tab keys, the application you select becomes active (and visible if it is hidden). You can move backward through the applications on the Dock by pressing Shift+ [image] +Tab.

NOTE

If an application is open but its windows are minimized, when you select that application with the [image] +Tab shortcut, you will move into the application, but any windows that are minimized will not appear. You have to click a minimized window for it to move back onto the desktop.

Unlike open applications, open documents don't automatically appear on the Dock. Document icons appear on the Dock only when you add them to the Dock manually or when you have minimized the document's window. Remember that when you Control+click on an application's icon in the Dock, you will see a list of all documents open in the application. You can choose a listed document to move into it.

NOTE

Just like all icons on the Dock, the names of folders, minimized windows, and documents are shown above their icons when you point to them.

When you minimize a window, by default, the window moves into the Dock using the Genie Effect during which it is "pulled" down into the Dock and becomes an icon that is a thumbnail view of the window. The icon for a minimized window behaves just like icons for other items. To open (or maximize) a minimized window, click its icon on the Dock and it is "pulled" back onto the desktop. You can change this so that the Scale Effect is used instead. This looks like the window is being quickly scaled down while it is placed on the Dock. Functionally, these effects do the same thing, but the Scale Effect is a bit faster, although not as impressive looking.

Minimized windows are marked with the application's icon so that you can easily tell what application the windows come from. For example, minimized Finder windows have the Finder icon in the lower corner, and minimized Internet Explorer icons have the Internet Explorer icon.

TIP

Remember that you can quickly minimize an open window by pressing [image] +M.

When you minimize an application window, it is moved onto the Dock, just like any other window. However, when you hide an application, its window does not appear on the Dock. The hidden application's icon continues to be marked with the arrow so that you know that the application is running.

As you add items to the Dock, the icons on the Dock will continue to get smaller and the Dock will expand so that it shows all open items as well as the icons that are permanently installed on the Dock (see Figure 5.2).

Figure 5.2. The items on the Dock shrink and the Dock expands so that you can have as many items on it as you'd like (compare this figure to Figure 5.1).

Just as with an application's icon, if you point to a folder, application, or dockling icon on the Dock and press the Control key while you click, a pop-up menu will appear. What is on this menu depends on what you click.

TIP

If you don't want to press the Control key while you click, just click an icon and hold down the mouse button. The menu will appear after a second or two.

When you use Dock icons, the following outcomes are possible:

  • If you open the icon menu for the Finder icon, the pop-up menu shows a list of all the open Finder windows whether the windows are minimized or are on the desktop. Select a window on the menu to make it active.

  • If you open the menu for the icon of a closed application, folder, or document, you will see the Show In Finder command, which opens a Finder window containing the item on which you clicked; the item is selected when the Finder window containing it appears. This can be a quick way to find out where something is located.

  • If you open the menu for a folder, the menu becomes a hierarchical menu showing the contents of that folder. You can display the contents of any folder within that folder and you can select any item on the menu to open it (this function is quite similar to what you can do with the Apple menu under previous versions of the Mac OS).

  • If you open the menu for a dockling, the commands provided by that dockling will appear.

  • If you open the icon menu for a URL reference or other item (such as a minimized document window), an identification bubble appears above the icon to explain what the item is.

  • If you open the icon menu for an open application, you will see some basic commands, including Quit. You will also see a list of open windows; you can quickly jump to an open window by choosing it. Some applications also enable you to control what is happening from the pop-up menu. For example, when iTunes is open, you can control music playback by using its icon menu.

When you quit an open application, its icon disappears from the Dock—unless you have added that application to the Dock so that it always appears there. Minimized windows disappear from the Dock when you maximize them or when you close the application from which the document window comes.

TIP

If you fill up the Dock with many open applications, documents, and folders, it can be a nuisance to switch to each item and close it. Instead, log out (choose Apple menu, Log Out, or press Shift+ [image] +Q). When you log out, all open applications are shut down, all documents are closed, and all minimized folder windows are removed from the Dock. When you log back in, the Dock will be back to "normal." All Finder windows that were on the Dock will be gone from there, but they will remain open on the desktop. Hold down the Option key and click the Close box of one of the open windows to close them all.


Organizing the Dock

The default Dock is powerful, but it gets even more powerful when you include the items in it that you use often and organize the Dock to suit your preferences. You can move icons around the Dock, add more applications to it, remove applications that are currently on it, and add your own folders to it so that they are easily accessible.

Moving Icons on the Dock

You can change the location of any item on the Dock by dragging it. When you move one icon between two others, they will slide apart to "make room" for the icon you are moving. However, you can't move most icons across the dividing line; for example, you can't move an application icon to the right side of the Dock.

NOTE

You can't move most icons across the dividing line on the dock; however, exceptions to this are dockling icons, which can be placed on either side of the line.

You can also move the icons for open applications and icons for applications you have installed on the Dock. However, moving the icons for open applications (that aren't installed on the Dock) doesn't do very much. When you quit the application, the icon disappears. The next time you open the application, its icon moves back to the right end of the application area of the Dock.

NOTE

The Dock has two icons you can't move at all: Finder and Trash. The Finder icon always appears on the left end of the Dock, and the Trash is always on the right end. Other than these two "end points," you can change all the other icons on the Dock as much as you would like.

Adding Icons to the Dock

You can add applications, folders, and files to the Dock so that it contains the items you want it to. Drag the item you want to add down to the Dock and drop it where you want it to be installed. Application icons must be placed on the left side of the dividing line, and all others are placed on the right side (the exception is docklings that can be placed on either side). Just as when you moved icons on the Dock, when you add items between other icons already installed on it, the other icons slide apart to make room for them. When you add an item to the Dock, an alias to that item is created and you see its icon on the Dock.

TIP

You can add multiple items to the Dock at the same time by holding down the Shift key while you select each item you want to drag to the Dock.

Removing Items from the Dock

You can remove an icon from the Dock by dragging it up onto the desktop. When you do this, the icon disappears in a puff of digital smoke and it no longer appears on the Dock.

NOTE

Because the icons on the Dock are aliases, removing them doesn't affect the applications or files that those aliases represent.

If you drag a minimized window from the Dock, it will snap back to the Dock when you release the mouse button. You remove minimized windows from the Dock by maximizing the windows and then closing them.

Adding Folders to the Dock

You can also add any folder to the Dock. Just like other items you add, you can click a folder's icon to open that folder (in a new Finder window). However, folder icons on the Dock also provide a very nice feature you can use to quickly access any item in that folder.

When you place a folder on the Dock, you can press and hold down the mouse button (or press the Control key down) while you click that folder to pop up a hierarchical menu that shows the contents of that folder (see Figure 5.3). All the subfolders also appear in hierarchical menus as well.

Figure 5.3. Adding a folder to the Dock makes all the items that it contains easily accessible; this makes the Dock similar to the Apple menu in previous versions of the Mac OS.

This feature is one of the most useful that the Dock offers. You can use it to create custom menus containing anything on your Mac (literally). The uses for this feature are almost unlimited. Some ideas include the following:

  • Add your Home directory to the Dock so that you can easily move to an item within it.

  • Add your Favorites folder to the Dock. This makes it very easy to add an individual item to the Dock. Just select the item and press [image] +T to add it to your Favorites. When you do so, it will be accessible in the Favorites folder on the Dock.

  • Add the Applications directory to the Dock. This gives you quick access to all the applications on your Mac that are installed in the default Applications folder (see Figure 5.3).

You might find that adding folders to the Dock is even more useful than adding application or file icons. Remember that you can make more "room" on the Dock by removing items from it. For example, you might choose to remove most or all of the application icons from the Dock and instead add the Applications directory to it. This works well, although you do lose the indicator features of an application's icon (such as Mail's new mail alert) if its icon is not installed on the Dock directly.

NOTE

The Favorites folder for each user account is located within the Library directory in that user's Home directory.


Customizing the Appearance and Behavior of the Dock

The Dock offers several behaviors you can change to suit your preferences. You can also change various aspects of its appearance, as follows:

  • Size You can change the default or current size of the Dock.

  • Magnification Effect The magnification effect causes items on the Dock to be magnified when you point to them. This can make identifying items easier, especially when there are many items on the Dock or when it is small (see Figure 5.4). You can set the amount of magnification that is used.

    Figure 5.4. The magnification effect makes it easier to identify items, although the magnification level of this particular Dock would be a bit much for most Mac users.

  • Hide/Show The Dock does consume some screen space. Because it is always topmost, it can get in the way when you are working near the bottom of the screen. You can set the Dock so that it is hidden except when you point to its location on the screen. When this behavior is enabled, when you point to the bottom of the screen, the Dock pops onto the desktop and you can use it. When you move off the Dock, it is hidden again.

    If the Dock is hidden, you need to "hover" a moment in the area of the screen in which it is located before it will appear. This prevents the Dock from popping up when you are working in a document near the edge of the screen and pass the mouse over the Dock's location.

  • Dock Location The Dock can appear at its default location on the bottom of the screen or you can move it to the left or right side of the desktop.

  • Minimize Effect You can choose either the Genie Effect or the Scale Effect.

  • Icon Animation You already know about this one because it is on by default. When you click an application icon to open that application, the icon bounces to show you that the application is opening.

NOTE

The amount of magnification is not relative to the size of the Dock. For example, the magnified icons are the same size whether the Dock is large or small. Of course, because the Dock size is different, the magnified icons do make more contrast with a smaller Dock, but that is only because of the comparison your eye makes.

You can control these settings using the Dock pane of the System Preferences utility.

  1. Use the Dock to open the Dock preferences pane by clicking the System Preferences icon on the Dock.

  2. Click Dock to open the Dock pane of the utility (see Figure 5.5).

    Figure 5.5. Use the Dock pane of the System Preferences utility to configure the appearance and behavior of the Dock.

    TIP

    You can also open the Dock preferences pane by choosing Apple menu, Dock, Dock Preferences. The Dock command on the Apple menu also enables you to turn the magnification and hiding on or off quickly and you can change its location by selecting the location in which you want it to be.

  3. Use the Dock Size slider to set the default size of the Dock.

    Using the Dock Size slider changes the size of the Dock as well as the items on it. The best practice is to configure the Dock with the items you will want it to contain. Then, use this slider to set its size when it contains those items. As you add items to it, it will get larger until it fills the screen. After the Dock has expanded to the width of the screen, the items on it will get smaller as you add more items to the Dock.

    TIP

    You can also change the size of the Dock by pointing to the line that divides the application side of the Dock from the document and folder side. When you do so, the cursor will become a horizontal line with vertical arrows pointing from the top and bottom sides. Drag this cursor up to make the Dock larger or down to make the Dock smaller.

  4. Check the "Magnification" check box to have the Dock use that behavior and then use the Magnification slider to set the amount of magnification.

    NOTE

    Changes you make in the Dock pane of the System Preferences utility are "live" and you see their effects on the Dock immediately. Of course, to see the magnification effect, you will have to point to an item on the Dock.

  5. Click the "Left," "Bottom," or "Right" radio button to set the Dock's location.

  6. Use the Minimize pop-up menu to choose the minimize/maximize effect.

  7. If you prefer that application icons not bounce when the application opens, uncheck the "Animate opening applications" check box.

  8. Check the "Automatically hide and show the Dock" check box if you want the Dock to be visible only when you "linger" at its location on the screen.

  9. Quit System Preferences.

TIP

You can also control the Dock by using its pop-up menu. Point to the application/folder dividing line. When you see the size-change pointer (the horizontal line with vertical arrows coming from it), hold down the Control key and click. You will see a pop-up menu that enables you to control the magnification, hiding, position, and minimization effects. You can also open the Dock pane of the System Preferences utility.


Working with Docklings

Some applications provide a dockling you can use to work that application (as more applications are created for Mac OS X, you can expect that more applications will take advantage of this feature). Some applications are provided as a dockling that you install on the Dock to take advantage of its features (see Figure 5.6).

Figure 5.6. This dockling, called Calindock, provides a nice calendar on the Dock; the dockling's controls enable you to set which month is being displayed. (Calindock is a freeware dockling written by Mike McNamara.)

Using docklings is similar to other items on the Dock. Click the dockling to open its list of commands or options. If the dockling is for an application, you can open the application (if it is closed) or use its controls (if the application is open). For example, when iTunes is open, you can Control+click its icon to pop up a menu from which you can control music playback. If the dockling provides control over your system, open the menu and choose the settings you want.

The docklings installed on a Dock are specific to each user account. However, the same docklings can be installed on the Dock for each user or each user can install only those docklings that they want to be able to use.

To install a dockling, drag it to the Dock. (As mentioned earlier, docklings can be placed anywhere on the Dock.)

NOTE

When you install a dockling, the dockling will be installed only on the Dock of the Administrator who installed that dockling on the machine. However, any user can drag the dockling to the Dock for that user account.

For this reason, you should always store docklings you want other users to be able to add to their Docks in a Public directory so that every user will be able to access them (to install them on their Docks).


Mac OS X to the Max: Dock It

The Dock is one of the best parts of Mac OS X. First, take a look at some of its keyboard shortcuts. Then, take a little deeper look at the Dock. Finally, learn about some of the cool docklings that are available.

Using Dock Keyboard Shortcuts

Dock-related keyboard shortcuts are listed in Table 5.1.

Table 5.1. Keyboard Shortcuts for the Dock
Action | Keyboard Shortcut
Turn hiding off or on | Option+ [image] +D
Move to the next open application | +Tab
Move to the previous open application | Shift+ [image] +Tab
Minimize Window | M

Knowing the Dock Better

The Dock is actually an application; the application itself is located in the CoreServices folder in the Library folder of the Mac OS X System folder.

The Dock's preferences are specific to each user account, meaning that each user account has its own Dock configuration. Dock preferences are stored in a file called com.apple.dock.plist that is located in the following location: Users/shortusername/ Library/Preferences. If you want to re-create a specific Dock for multiple users, add this file to each user's Library folder. (To do this, you might have to be logged in as an Administrator or as root.)

Adding and Using Cool Docklings

There are many docklings you can add to your Dock to customize it and add more functionality to it.

NOTE

You can download lots of docklings from www.apple.com/downloads/macosx/. Move to the site and search for "dock" to locate some.

You can add all sorts of system controls such as volume, as well as functions such as calendars, utilities, and so on, to your Dock. Docklings are simple to install and so they are easy to try out.

Use the following steps as an example of how to download and install a dockling. In this example, I downloaded and installed the Calindock dockling that puts a customizable calendar in the Dock.

  1. Find, download, and prepare the dockling you want to install. Most docklings come as disk image files.

    To learn how to download and prepare files, see "Downloading and Preparing Files," p. 345.

  2. Double-click the disk image file to reveal the files included in the disk image package (see Figure 5.7).

    Figure 5.7. The Calindock disk image contains three files; the dockling is the .dock file.

  3. Install the .dock file on your computer, such as by dragging it to the Applications folder.

  4. Drag the dockling from where you installed it on your computer to the Dock. (Remember that dockling files have the extension .dock.) You can place the dockling on the Dock in any location you choose. The dockling begins working immediately (see Figure 5.6).

Because the docklings installed on the Dock are part of each user's preferences, you must install any docklings under each user account to make them available for that user. Consider storing all the docklings you want to make available in your Public folder or in the Applications folder so that others can copy them to their own Docks.


Chapter 6. Installing and Using Mac OS X Applications

In this chapter

Understanding Applications You Can Run Under Mac OS X

Installing Mac OS X Applications

Launching Mac OS X Applications

Understanding and Using Standard Mac OS X Application Menus

Opening Documents in Mac OS X

Saving Documents in Mac OS X

Troubleshooting

Mac OS X to the Max: Using Applications That Ship with Mac OS X


Understanding Applications You Can Run Under Mac OS X

You can run the following types of applications under Mac OS X:

  • Classic applications Classic applications are those designed to run under previous versions of the Mac OS; however, because of the Mac OS X's Classic environment, you can also run these applications under Mac OS X.

  • Unix applications Because Mac OS X is based on Unix, you can run many Unix applications on your Mac. Some of these applications have to be recompiled to run on the Mac, but most will work as they are. Of course, you will need to run them from the command line (unless you find and install a graphical user interface for the Unix subsystem). Because Unix is such a prevalent OS, there are thousands of Unix applications you can use.

  • Java applications You can run applications written in the Java and Java 2 programming language. Because Java is a platform-independent programming language, the same applications will work on Windows, Macintosh, and other platforms. You mostly encounter Java applications on the Web, but you will also find some standalone Java applications as well.

  • Carbon applications These applications are written using the Carbon programming environment, which is designed to take advantage of the Mac OS X architecture. Many are Classic applications that have been ported over to Mac OS X—in Mac OS X-lingo, they have been carbonized. Because carbonizing an application requires considerably fewer resources than does creating a Cocoa application, most Mac OS X applications were carbonized Mac OS 9 applications early in Mac OS X's life. As Mac OS X continues to mature, this will change, and the majority of applications will be written specifically for Mac OS X (using Carbon or Cocoa).

  • Cocoa These applications are written using the Cocoa programming architecture, which means that they take full advantage of all the advanced features that Mac OS X provides. Cocoa applications have to be written from the ground up in the new environment rather than being ported over as carbonized applications can be. Eventually, most new Mac OS X applications will be based on Cocoa.

To learn about installing and using Classic applications, see Chapter 7, "Working with Mac OS 9, the Classic Environment, and Classic Applications," p. 163.

As with other major transitions that the Mac OS has made, such as from version 7 to version 8, it will take some time before all the Mac applications available are fully up to date with the new OS (those being written using the Carbon or Cocoa architecture). Fortunately, because it is relatively easy to carbonize an application, many developers released carbonized versions of their applications shortly after Mac OS X was released. And for those that haven't been updated for Mac OS X, there is always the Classic environment.

Because many carbonized applications are applications that were created for earlier versions of the OS and ported over to Mac OS X, some do not meet some standard Mac OS X interface conventions. For example, some of the Mac OS X standard menus you see in Cocoa applications are not present in carbonized applications.


Installing Mac OS X Applications

Although Carbonized and Cocoa applications behave somewhat differently, their similarities are at least as great as their differences. This is especially true when it comes to the installation of applications.

Under Mac OS X, there are two basic strategies by which applications are installed:

  • Drag and drop Under this method, you simply drag the application files from one location to the location in which you want to install them.

  • Installer Some applications use an installation program to install the application and related files for you. Most applications use the standard Mac OS X Installation application as their installation mechanism.

Because Mac OS X is designed as a multiuser OS, where you install Mac OS X applications is a bit more complicated than was installing applications under previous versions of the OS. There are two locations in which you should install Mac OS X applications:

  • Applications directory If you want the application to be accessible to all users of your Mac, you should install it in the Applications directory. To be able to do this, you must be logged in as an administrator. Most applications that use an installer will be installed in the Applications directory, and you usually don't have the option to install them elsewhere.

  • The Home directory You can sometimes install applications in a user's Home directory (primarily applications that have drag-and-drop installation). You should install applications in a user's Home directory only if you don't want everyone who uses your Mac to be able to use that application.

NOTE

Accessing an application installed in a Home directory is dependent on the permissions you assign to that application's folder. Modifying the permissions of the application's folder so that all users have access will allow everyone to use the application, even if they are not logged in as the user that owns that application.

These installation locations are appropriate only for Mac OS X (Carbonized or Cocoa) applications. You install Classic or Unix applications in locations that are appropriate for those types of applications.

CAUTION

If you have trouble installing an application, make sure that you are logged in as an Administrator. Many application installations can be done only while using an Administrator account.

Installing Mac OS X Applications with Drag and Drop

Under Mac OS X, applications can be provided as bundles. A bundle is the collection of the executable files and other resources that are required for an application. An application bundle can be presented to you as a single icon; this makes the drag-and-drop installation technique possible. Instead of having to deal with an installer application or with a bunch of individual files, you can easily act on an entire application bundle by acting on its single icon.

Installing applications that use the drag-and-drop method is especially simple. Most of these applications are provided as Self Mounting Image (.smi) or Disk Image (.dmg) files. This means that the file behaves just as if it were a volume you mount on your desktop. This is accomplished through Apple's Disk Copy application, which will handle .smi and .dmg files for you automatically.

Most of the Mac OS X applications you will install use this method, making installation of Mac OS X applications almost trivially easy.

NOTE

The only difference between the behavior of .smi and .dmg files is that .smi files automatically mount on your desktop when you launch them. Disk image files use Apple's Disk Copy software to mount—because this application is installed on your Mac by default, these files behave quite similarly and you probably won't notice any difference between them. However, you could use an .smi file even if Disk Copy wasn't installed on your machine, whereas you can't use a .dmg file without the Disk Copy application.

The general process to install an application provided in an .smi or .dmg file is the following:

  1. Download and uncompress the .smi or .dmg file.

  2. Double-click the .smi or .dmg file. Its volume will be mounted on your desktop, just as a removable disk such as a CD or a hard drive.

  3. Open the resulting volume and drag the application's folder or file to the appropriate directory on your Mac.

  4. Unmount the mounted volume by selecting it and pressing [image] +E (or choose File, Eject).

  5. Discard the .smi or .dmg files or keep them in case you need to install the application again.

To learn how to download files from the Web and prepare them for use, see "Downloading and Preparing Files," p. 345.

NOTE

Some applications don't even provide a .smi or .dmg file. After you download and uncompress the file, you will have the application's folder immediately. Drag this folder to where you want the application to be installed.

Most Apple applications that you can download from the Web are provided in the .smi format, as are many third-party applications. As an example, download and install OmniWeb, which is a popular Mac OS X Web browser.

  1. Log in as the Administrator for your Mac.

  2. Go to www.apple.com/downloads/macosx/internet_utilities/.

  3. Download OmniWeb. After the file is downloaded, it will be uncompressed and decoded automatically. When the process is complete, you will see the OmniWeb.dmg file.

    To learn how to download files from the Web and prepare them for use, see "Downloading and Preparing Files," p. 345.

  4. Open the OmniWeb.dmg. Disk Copy will open and you will see the license agreement for OmniWeb.

  5. Click Agree. The OmniWeb volume will be mounted on your desktop.

  6. Open the volume and you will see the OmniWeb package file (see Figure 6.1).

    Figure 6.1. On this desktop, you can see the OmniWeb volume open in a Finder window and the contents of that volume, which is one file.

  7. Drag the OmniWeb icon into the Applications directory to copy it there.

    TIP

    The fastest way to open the Applications directory is to press Option+ [image] +A.

  8. Drag the OmniWeb volume to the Trash to unmount it or press [image] +E to eject it.

  9. Launch OmniWeb to see how it looks.

NOTE

OmniWeb is produced by The Omni Group whose Web site is www.omnigroup.com.

After you have installed the application, you can delete the .dmg file. However, you might want to create a directory to store these files in the event that you need to reinstall the application at a later date. This will prevent you from having to download it again.

If you aren't able to place the application in the appropriate directory, see "I Can't Install an Application Because I Don't Have Sufficient Privileges" in the Troubleshooting section at the end of this chapter.

Installing Mac OS X Applications Using an Installer

Most applications that use an installer application install in a similar fashion; however, minor variations can exist depending on the specific installer application that is used.

Under Mac OS X, most applications that use the Installer application come in package files, which have the extension .pkg. And most Mac OS X applications use Apple's Installer program. For example, when you installed Mac OS X on your machine, you used this installer.

NOTE

When you download an application that comes in a .pkg file, it will often be included in a .dmg or .smi file. This usually is done when there are files outside the application to be installed that the developer wants to include with the application, but that should not be installed as part of it (readme files, for example).

The general process to install and use .pkg files is the following:

  1. Download and prepare the file containing the application you want to install.

  2. Mount the disk image and open it.

  3. Double-click the .pkg file.

  4. Work through the steps in the installer application.

An example of an application that uses this technique is the Samba Unix server application, which enables you to share files with Windows users.

  1. Log in as the Administrator for your Mac.

  2. Go to www.versiontracker.com and search for Samba for Mac OS X.

  3. Download and uncompress the Samba for Mac OS X file. You will see the Samba for Mac OS X 2.2.2.dmg file.

  4. Open the disk image.

  5. Open the package file, which is samba.pkg. You will see the Installer window. Just as when you installed Mac OS X, the left pane shows you the steps you will work through using the installer. The right pane provides you with information about each step. At various times, you also see the Close and Go Back buttons.

  6. Verify that you are the Administrator by clicking the Lock icon and entering the Administrator password.

    NOTE

    Some installations require that you authenticate yourself as an Administrator before you can begin to do the installation—even if you are already logged in as the Administrator.

  7. Continue working through the steps in the installer until you get to the screen that tells you that the software was successfully installed (see Figure 6.2).

    Figure 6.2. Applications that use Mac OS X's Installer application to install will look very familiar to you because this is the same installer you used to install Mac OS X.

  8. Click Close to quit the Installer application.

If Classic launches when you run an application's installer application, but the installer has problems, see "I Can't Install an Application Because I Am Having Problems with Classic" in the Troubleshooting section at the end of this chapter.


Launching Mac OS X Applications

As with previous versions of the Mac OS, there is more than one way to launch an application. You can do any of the following:

  • Select the application in a Finder window and choose the Finder's Open command ( [image] +O).

  • Double-click the application's icon.

  • Single-click an application's icon on the Dock.

  • Open an alias to the application, such as one stored in your Favorites directory.

  • Open a document of the file type that the application is set to open.

  • Drag and drop a document onto an application's icon (or an alias' icon).

  • Select an application's icon or alias and press [image] +Down arrow.

  • Launch the application from within another application. (For example, you can launch a Web browser by clicking a URL in an e-mail program.)

  • Add the application to the Login Items window so that it is launched automatically when you log in.

  • Launch the application from a script created by AppleScript or other scripting utility.

If you have used a Mac before, you have probably used many of these methods to open applications. Most of them are very straightforward and require no discussion. A couple of them, though less often used, can be effective techniques for quickly opening an application.

One of the most powerful methods, yet underused by many Mac users, is to launch an application by drag and drop. Macintosh drag and drop is a function of the OS whereby you move information from one location to another by simply selecting it, dragging it to where you want it to go, and then dropping it.

The drag-and-drop approach is especially efficient when you want to open a document with an application that wasn't used to create it initially. For example, if you receive a plain text file and double-click it, it will open in TextEdit. If you want to open it in Word instead, you can simply drag and drop the document onto Word's icon and Word will be used to open the file. Otherwise, you would have to first open Word, use the Open command, maneuver to the text file, and then open it.

If the file type is compatible with the application on which you drag it, the application icon will become highlighted to indicate that it is a compatible file.

TIP

You can force an application to attempt to open a document with which it is not compatible by holding down the Option and [image] keys while you drag the document onto the application's icon. If the application is capable of opening files of that type, the file will be opened. If not, the application will still launch, but no document window will appear or the document window will appear and will be filled with garbage.

You can also use drag and drop to open documents using applications installed on the Dock. Simply drag the file you want to open onto the icon on the Dock for the application that you want to use to open it. If the application is capable of opening the document, its icon will become highlighted. When you release the mouse button, the application will launch and the document will be opened.

If the drag-and-drop technique doesn't work, see "I Can't Drag a Document on an Icon to Open It" in the Troubleshooting section at the end of this chapter.

If a file opens, but its contents are "munged," see "When I Open an Application, What I See Is Incomprehensible" in the Troubleshooting section at the end of this chapter.


Understanding and Using Standard Mac OS X Application Menus

Just like all versions of the Mac OS, applications that are designed to work on the Mac follow certain conventions when it comes to the menus that they provide. Although applications can provide more menus than the "core" set of standard menus, they are not supposed to provide fewer.

CAUTION

The information in this section is based on standard Mac OS X menus for Cocoa applications. Classic applications provide Mac OS 9 menus, whereas Carbonized applications provide a mixture of the two sets of menus. For example, all Carbonized applications provide an Application menu, but not all provide Cocoa's Format menu.

Some application menus under Mac OS X aren't much different from those under previous versions of the OS, such as the File and Edit menus. In the following sections, you will learn about some standard application menus that are new for Mac OS X.

Working with Mac OS X Application Menus

All Mac OS X applications have a new Application menu, which provides the commands you use to control the application itself as well as to interact with the OS (see Figure 6.3).

Figure 6.3. This TextEdit menu is typical of the application menu provided by Mac OS X applications.

Typical commands on an application's application menu are the following:

  • About

  • Preferences

  • Services

  • Hide/Show

  • Quit

One of the more interesting commands on the application menu is the Mac OS X Services command. This command uses services provided by other applications to add information or perform functions in the current application. Although it is not supported in all applications, when it is supported, it can be quite useful.

NOTE

Game applications are the most likely to not provide standard menus, and that is okay. After all, who needs a Format menu when you are playing Wolfenstein 3D?

There are various uses for the Services command, but as an example, suppose that you are having trouble understanding an error message you are getting in a certain application and you want to send an e-mail to the technical support organization to get some help. That e-mail might be a lot more meaningful if you can include an image of the actual error dialog box that you see with your explanation. Using the Services commands from within the Mail e-mail application, you can do just that.

  1. Move to the dialog box you want to capture; perhaps it is an error message that suddenly pops up on your screen.

  2. Without doing anything in the dialog box (for example, don't click its OK button), launch the Mail application by clicking its icon on the Dock.

  3. Create a new e-mail message and move into its body.

  4. From the Mail menu, choose Services, Grab, Timed Selection.

  5. Bring the dialog box you want to capture to the front by clicking its window.

  6. Wait for Grab's timer to go off.

  7. Move back into the Mail application. The screen that Grab captured will be pasted into the new e-mail message.

  8. Finish your message and send it.

The specific services offered on the Services menu depend on the application you are using and the data with which you are working. You should explore Services options that you have with the applications you use most often.

Working with Mac OS X Format Menus

As you might expect from its name, the Format menu provides commands that enable you to format the file with which you are working. The specific commands on the Format menu depend on the particular application you are using.

NOTE

The Mac OS X Format menu, including the Fonts panel, is available only in Cocoa applications that are designed to use it. Many Mac OS X applications provide format and font commands that are specific to those applications.

One of the most useful commands on most applications' Format menus is the Font command. This command enables you to work with the fonts you use in a document (see Figure 6.4). In addition to the commands you expect to see, such as Bold, Italic, and so on, you also will see the Show Fonts command.

Figure 6.4. TextEdit's Font command is typical of this command on many applications' Format menus.

New to the Mac with OS X, the Fonts panel enables you to choose and work with the fonts that are installed on your Mac. The Fonts panel provides control over the particular font used in your documents as well as enables you to manage the fonts installed on your Mac (see Figure 6.5).

Figure 6.5. The Mac OS X Fonts panel provides much more control over your fonts than was possible under previous versions of the Mac OS.

TIP

In most applications, you can open the Fonts panel by pressing [image] +T.

To learn about installing and maintaining fonts, see "Installing and Using Mac OS X Fonts," p. 204.

NOTE

If you choose the Get Fonts command on the Fonts panel's pop-up menu, your default Web browser will open and you will move to Apple's font site, from which you can purchase fonts.

The Fonts panel has four primary panes, which are the following:

  • Collections Under Mac OS X, the ability to group fonts together in collections is built in. You can use the default collections and create your own. You use the Collections pane to choose the collection with which you want to work.

  • Family The Family pane lists all the font families that are part of the selected collection.

  • Typeface In the Typeface pane, you choose the typeface for the selected font family, such as Regular, Bold, and so on.

  • Sizes You choose the size of the font you are applying in the Sizes pane.

NOTE

A couple of the default collections are worth some additional detail. The PDF collection contains font families that are suited to the creation of PDF documents (PDF is a native file format under Mac OS X). The Favorites collection is empty by default, and is a collection designed for you to be able to create a customized set of your favorite font families.

The Fonts panel also has the Extras pop-up menu at the bottom, which provides various commands you use to work with your fonts (see Figure 6.5)

Using Font Favorites

When you select a font family, typeface, and size and then use the Add to Favorites command, that font is added to your Favorites collection. When you choose the Favorites collection in the Fonts panel, you can quickly choose one of your favorite fonts to use; this saves you a couple of steps (see Figure 6.6).

Figure 6.6. When you add a font to your Favorites collection, you can easily apply it in a document using the Fonts panel. Even though the size is part of the Favorite definition, you can change the size you apply using the Sizes pane.

Editing Font Collections

When you choose the Edit Collections command, you see the Font – Collections dialog box (see Figure 6.7). This dialog box enables you to edit your font collections by defining the families that they contain.

Figure 6.7. You can control the font families that are contained in the default font collections; you can also create your own collections to use.

To edit the font families contained in a default font collection, do the following steps:

  1. Select the font collection in the left pane of the dialog box.

  2. Choose the families you want to add by selecting them in the All Families pane and clicking <<.

  3. In the Family pane, select the families you want to remove from the collection and click >>.

  4. Click Done.

The process for creating your own font collections is similar to editing existing collections. To create a new font collection, click the add font collection button, which is the + (plus sign). Type the name of your collection, and then use the previous steps to add font families to the collection or to remove font families from the collection.

You can remove a font collection by selecting it and clicking the remove font collection button, which is – (the minus sign). You can rename a font collection by choosing it, clicking Rename, and then typing the name of the collection.

Editing Available Sizes

If you choose the Edit Sizes command, you will see the Font – Sizes dialog box, which you can use to change the sizes that appear in the Sizes pane of the Fonts panel (see Figure 6.8).

Figure 6.8. You can control the specific sizes of font that appear in the Fonts panel using the Font – Sizes dialog box.

You can perform the following tasks:

  • To add a size to the Sizes pane, select the size in the New Size text box and click + (the plus sign).

  • To remove a size from the Sizes pane, select it on the Sizes menu and click – (the minus sign).

  • To replace the list of sizes with a size slider, as shown in Figure 6.9, click the "Adjustable Slider" radio button. Then, enter the minimum font size and maximum size to be included on the slider in the Min Size and Max Size text boxes.

    Figure 6.9. Using the Edit Sizes command, you can configure the Fonts panel so that it provides a Size slider instead of a list of specific sizes to apply.

  • To include both the fixed list and the slider in the panel, click the "List & Slider" radio button.

Previewing Fonts

If you choose Show Preview on the pop-up menu, a new pane will appear at the top of the panel. This pane provides a preview of the currently selected font. You can use this preview to help you make better selections more quickly. To remove the Preview pane, choose Hide Preview.

Applying Color to Fonts

When you choose Color from the Extras pop-up menu, you will see the Color Picker (see Figure 6.10). As with the previous versions of the Mac OS, you use the Color Picker to define and choose the color to apply to specific items—in this case, fonts.

Figure 6.10. You can control the color applied to fonts using the Mac OS X Color Picker.

TIP

You can open the Color Picker directly by pressing Shift+ [image] +C or by choosing Format, Font, Colors. You don't need to have the Fonts panel open to use the Color Picker.

The general steps to use the Color Picker are the following:

  1. Select the item to which you want to apply color (such as text).

  2. Open the Color Picker.

  3. At the top of the Color Picker window, choose the color tools with which you want to work. For example, click the Color Wheel to use the standard color wheel as shown in Figure 6.10.

  4. Use the color tools to select the color you want to apply.

  5. Click Apply.

TIP

At the bottom of the Color Picker, you can drag the selected color to the palette so that you can easily apply it again later.

Working with the Character Palette

Special characters can be a pain to enter because it is often difficult to remember which font family the character you need is part of. The Character Palette is designed to help find special characters in various languages and quickly apply those characters to your documents. You can also add characters you use frequently for even easier access.

NOTE

If you are a longtime Mac user, you probably remember the Key Caps application you could use to locate and use special characters. The Mac OS X Character Palette is like that application, but is much more powerful.

You can open the Character Palette from within applications that use the Mac OS X Fonts panel, or you can install the Character Palette menu on the Mac OS X menu bar.

To open the Character Palette from the Mac OS X Fonts panel, choose Show Characters on the Fonts panel pop-up menu. The Character Palette will open (see Figure 6.11).

Figure 6.11. The Mac OS X Character Palette enables you to work with special characters efficiently.

Installing the Character Palette

You can also install the Character Palette on the Mac OS X menu bar so that it is available in all applications, whether they use the Mac OS X Fonts panel or not. To install the palette, perform the following steps:

  1. Open the System Preferences Utility.

  2. Click the International icon. The International pane will open. Click the Input Menu tab.

  3. Click the check box next to Character Palette. This will enable the Input menu that will appear to the right of the rightmost command in any application's menu bar, including the Finder (see Figure 6.12).

    Figure 6.12. The Input menu enables you to access the Character Palette from any application.

After you have installed the Character Palette on the Input menu, you can open it by choosing Input menu, Show Character Palette. When you do so, the Character Palette will appear (see Figure 6.11).

Using the Character Palette

The palette has two tabs. The by Category tab enables you to select and insert characters you need. When you find a character you use regularly, you can add it to the Favorites tab so that you can grab it easily and quickly.

To find and use a character, carry out the following steps:

  1. Open the Character Palette (either through the Fonts panel or from the Input menu).

  2. Choose the language sets you want to view on the View pop-up menu. For example, to see Roman characters, choose Roman.

  3. Choose the category of character you want to view in the left pane. For example, choose Math to view mathematical symbols.

  4. To apply different fonts and formatting to the character, click the Triangle button below the list of character categories. The formatting pane will appear (it is open in Figure 6.11).

  5. Use the Font and Format pop-up menus to configure the character; a preview appears in the small well in the lower-left corner of the window. You will also see characters related to the one you are working with and the name and Unicode number of the character.

    TIP

    To limit the fonts shown on the Fonts pop-up menu to only those that contain the character you are working with, check the "Show only fonts containing selected character" check box. The fonts on the menu will be limited to those that include the special character.

  6. Continue adjusting the character until it is the way you want it.

  7. Click Insert. The character will be pasted into the active document at the insertion point.

If the symbol you selected doesn't appear correctly in the document you inserted it in, see "The Special Character I Inserted Doesn't Look Correct" in the Troubleshooting section at the end of this chapter.

Setting Up Character Favorites

You can create a set of favorite characters on the Character Palette so that you can quickly choose a character to insert into a document. This is especially useful when you have applied specific fonts and formatting to that character.

To create favorite characters, take the following steps:

  1. Open the Character Palette.

  2. Create the character just as you would to insert it into a document.

  3. Click Add to Favorites. This copies the character onto the Favorites tab (see Figure 6.13).

    Figure 6.13. The characters shown on the Favorites tab can be inserted into a document quickly and easily.

To insert a favorite character from the Favorites tab into a document, perform the following steps:

  1. Open the Character Palette.

  2. Click the Favorites tab.

  3. Select the character you want to insert.

  4. Click Insert.

You can remove a character from the Favorites tab by selecting it and clicking Remove.

Working with Mac OS X Application Window Menus

Although some previous applications running in Mac OS provided a Window menu, it was not the standard Window menu as it is now under Mac OS X. When applications can have more than one window open at the same time, you can use the Window menu to manage those open windows. You can do the following:

  • Close the current window.

  • Zoom the current window.

  • Minimize the current window.

  • Bring all windows to the front.

  • Choose a window to bring it to the front.

Using the Window menu is quite simple. To bring an open window to the front, choose it on the menu. To use one of the Window commands, choose it.

NOTE

Some applications mark the frontmost window with a check mark or diamond symbol; however, this behavior is not consistent. In any case, the frontmost window is always marked with some sort of character.

Windows that are open and minimized also appear on the Window menu. If you use the Bring All to Front command, minimized windows remain on the Dock (windows on the Dock are always at the front).


Opening Documents in Mac OS X

Using most applications involves opening documents, and while opening documents using Mac OS X applications is similar to opening documents in applications under previous versions of the OS, there are some substantial differences. Mac OS X offers several features that applications can use to make opening documents faster and easier.

As with previous versions of the Mac OS, there are several ways in which you can open documents:

  • Select the document's icon in a Finder window and choose the Finder's Open command (press [image] +O).

  • Double-click a document's icon in the Finder.

  • Single-click a document's icon on the Dock.

  • Drag a document icon or alias onto an application's icon or alias (on the desktop, in a Finder window, or on the Dock).

  • Select the document's icon or alias and press [image] +Down arrow.

  • Open the document using an AppleScript or other macro.

  • Open a compatible application and use its Open command to open a document.

NOTE

If you see the document's icon on the Dock, an alias to that document has been placed there. If you see a thumbnail of the document's window on the Dock, that document is open and its window has been minimized. In either case, single-clicking the icon will cause the document to open so that you can work on it.

Most of these techniques are quite simple. However, because the Open dialog box has changed dramatically under Mac OS X, it is worthy of some attention. Also, you need to understand how you can associate documents with specific applications so you can determine which application opens when you open a document.

Using the Mac OS X Open Dialog Box

As you work with documents and applications, you use the Open dialog box to choose files to open. This process is similar to that under previous versions of the Mac OS, but the specific dialog boxes you use look quite a bit different and they offer different features.

NOTE

Many dialog boxes, although not called Open, are actually the Open dialog box with the name modified to suit the specific purpose at hand. These dialog boxes have names such as Choose a Picture, Choose a File, and so on. However, they all work in basically the same way as and offer similar features to the Open dialog box.

A typical Open dialog box is shown in Figure 6.14.

Figure 6.14. This Open dialog box, from the application TextEdit, is typical of those offered by Mac OS X applications. You navigate the directory structure using the horizontal and vertical scrollbars.

The view of files and folders in the center of the dialog box is just like a Finder window in the Columns view. Each pane of the window shows a different level of hierarchy. Selecting an item in one pane causes the pane to its right to display the contents of the selected item. You can quickly maneuver up and down the directory structure—just as you can in Finder windows.

To learn how to navigate in the Columns view, see "Viewing a Finder Window in Columns View," p. 51.

The location shown in the From pop-up menu is the currently selected folder whose contents are displayed in the next column to its right. For example, if Documents is shown in the From pop-up menu, the Documents folder is selected and its contents are displayed in the rightmost pane of the dialog box.

You can use the From pop-up menu to quickly access many areas of your Mac, such as your Documents directory, Desktop, Home directory, Favorites, Recent Places, and even your iDisk (see Figure 6.15).

Figure 6.15. The From pop-up menu in the Open dialog box has several sections from which you can select specific places; notice that your iDisk is a choice on the menu (assuming that you have configured .Mac services on your Mac).

Simply select an item to open it. If it is a folder, that folder will become selected and you will see its contents in the pane to the right of the folder. You can then select a folder or document that it contains. When you select the document you want to open, click Open or press Return to open it.

You can type a pathname to an item you want to select in the Go To box; this works similarly to the Go To Folder command.

To learn how to type paths in the Go To box, see "Changing Directories with the Go Menu," p. 56.

TIP

If you select an item and click the Add to Favorites button, the selected item will be added to your Favorites directory.

The Open dialog box might contain application-specific controls. For example, in Figure 6.11, you saw TextEdit commands to choose the plain text encoding that is used to open a file and to ignore rich text commands. As you locate and open files or documents, you will want to be aware of these additional options and apply them as needed.

Determining the Application That Opens When You Open a Document

As with previous versions of the Mac OS, the system determines which application should be used when you try to open a file (other than when you open a document from within an application using its Open command, of course). Typically, the document's creator opens if it is installed on your Mac, such as Microsoft Word opening a .doc file.

Several factors determine which application opens when you open a document, including the document's file type and creator information, as well as the file's filename extension. Mac OS X does a good job of evaluating these properties to ensure that the correct application opens.

However, there might be times when you want to use a different application than the one the system selects, or you might not have the application that was used to create the document. In such cases, you can choose the application in which a document opens.

You can also change the association for all files of a specific type to determine which application opens when you open any file of that type.

There are two ways to associate document types with the applications used to open them. One is by using the Get Info window; the other is by using a document's contextual menu.

Using the Get Info Window to Associate Documents with an Application

You can use the Open with section of the Info window to determine which application is used to open a file.

  1. Select the document you are interested in and press [image] +I. The Info window will appear.

  2. Expand the Open with section. The application the document is currently associated with is shown on the pop-up menu. The associated application is called the default application—the text (default) appears after the application name.

  3. Open the pop-up menu. You will see all the applications that the system recognizes as being able to open the document, along with the Other selection (see Figure 6.16). The upper section of the menu lists Carbon and Cocoa applications, whereas the lower section lists Classic applications.

    Figure 6.16. This menu lists all the applications Mac OS X thinks you can use on the document; its choices don't always work well.

  4. If one of the listed applications is the one you want to associate with the document, choose it on the menu. The document will be opened with that application the next time you open it.

  5. If you want to select an application that is not shown on the pop-up menu, choose Other. You will see the Choose Other Application dialog box (see Figure 6.17).

    Figure 6.17. You can use the Choose Other Application dialog box to select applications to open a document, even if Mac OS X doesn't recommend them.

    The Choose Other Application dialog box moves to the Applications directory automatically, and by default, it shows you only the recommended applications, which are those that Mac OS X recognizes as being compatible with the document. This set of applications might or might not be the same as you saw on the pop-up menu in the Info window. Mac OS X recognizes that some applications that can open files of that type might not really be intended to work with files of that type and so doesn't show them in the pop-up menu. However, they might be active in the Choose Other Application dialog box. Applications that Mac OS X doesn't think can be used at all are grayed out.

  6. To make all applications active, choose All Applications from the Show pop-up menu.

  7. Use the dialog box's controls to move to the application you want to select, select it, and click Add. After you click Add, you will return to the Info window and the application you selected will appear in the window. That application will be used the next time you open the file.

CAUTION

Just because you told Mac OS X to use a specific application, even if it is one that Mac OS X recommended, that doesn't mean that you will actually be able to open the document with the application you select. If you try to open the document and generate error messages, you need to go back and select an application that can handle the type of file you are working with.

If you choose an application that Mac OS X isn't sure can open files of the selected type, you will see a warning saying so in the dialog box after you select the application. You can proceed even when you see the warning, but you might get unexpected results.

TIP

Even though Mac OS X tries to recommend applications that are appropriate for the selected document, it doesn't always do a great job. For example, it doesn't usually list a Classic application even when that application is the best choice for the selected document. In those situations, use the All Applications command on the Show pop-up menu to add the application you want to use for the document.

You can also use the Info window to associate all files of a specific type with an application.

  1. Use the previous steps to associate a file of the type you want to associate with an application. After you have changed the application association, the Change All button will become active.

  2. Click the Change All button. You will see a warning dialog box that explains what you are about to do; for example, it lists the document types you are changing and the application with which you will associate documents of that type (see Figure 6.18).

    Figure 6.18. This warning dialog box provides the information you need in order to make sure that the file association you are creating is the correct one.

  3. If you are sure that you want to make the change, click Continue. All files of the selected type will become associated with the application you selected. The application you selected will become the default application for all documents of that type.
Using a Contextual Menu to Open a Document with a Specific Application

You can also use a file's contextual menu to determine which application is used to open it.

  1. Select a document that you want to open with a specific application.

  2. Hold down the Control key and click to open the contextual menu.

  3. Choose Open With. Another menu will appear that lists all the applications that the system recognizes as being compatible with the document you are trying to open. The application that is currently associated with the document is marked as the default (see Figure 6.19).

    Figure 6.19. This menu provides the same controls as the Open with section of a document's Info window.

  4. Choose the application you want to open the document with from the list. If you want to use an application that is not on the list, choose Other and use the Choose Other Application dialog box to move to and select the application you want to use. (See the preceding section for detailed information on how this dialog box works.) The document will open in the application you selected.

When you use this technique, the document will be associated with the application only if you save the document from within that application. If you simply open it and view it, the previous application will continue to be associated with the document.

If you want the file to always be opened with a different application, even if you don't make any changes to it, open the contextual menu and then press the Option key. The Open With command will become the Always Open With command. After you choose an application, the file will be associated with that application and will always open in it.

NOTE

Note that setting an application for all files with a specific type and creator combination does not override any documents for which you have set a specific application. For example, suppose that you set the application to use for a specific document. Then, using another document, you change the application used for documents of that type and creator to be a different application. The first document would still open with the specific application you selected previously.

Using Filename Extensions to Associate Documents with Applications

You can also try to change the application associated with a specific document by changing the document's filename extension. For example, to associate QuickTime Player with a document, you would change its extension to .mov. When you do so, the file's icon might change to reflect that extension, and the document will open with the application that extension is associated with. But this doesn't always happen.

  1. Edit the filename extension of the file you want to associate with an application so that the extension is unique to that application. For example, you can change the .rtf to .doc to associate a file with Microsoft Word.

    The filename extension you use must be specific to an application for this to work. For example, some filename extensions, such as .tiff, can be associated with many different applications. You will have to use the Info window or contextual menu to change the association for such files.

    A warning dialog box will appear (see Figure 6.20). In this dialog box, you will see two buttons. One will keep the file's current filename extension, and other will cause the new one to be used.

    Figure 6.20. When you change a filename extension, you will have to confirm the change by clicking the Use button in a dialog box like this one.

  2. Click the Use button. The filename extension will be changed. The file will be associated with the application that is currently associated with files that have the filename extension you chose to use.

Changing the filename extension does not override a selection you have made with the Info window. If you associate an application with a document by using the Info window tools and then subsequently change the filename extensions, the choice you made with the Info window overrides the filename extension and determines the application that is used to open that document.

TIP

To determine the application that is currently the default for a type of file, select the file and press [image] +I to open the Info window. Then expand the Open with section of the Info window. The application listed as default is the default for that type. If the application currently associated with the file is not the default (the text "default" is not next to the application's name on the Open with pop-up menu), open the pop-up menu. The default application for that type will be shown regardless of whether it is the application currently associated with the file.


Saving Documents in Mac OS X

When you use applications, you will also be saving documents quite frequently. Saving documents under Mac OS X is much like saving documents under previous versions of the Mac OS. The most significant difference is that filename extensions are used in filenames under Mac OS X.

The specific Save dialog box you see depends on the application you are using. Cocoa and some Carbonized applications use the Save dialog box that is described in this section. Some Carbonized and all Classic applications will use the older Save dialog boxes from Mac OS 9.

A typical Mac OS X Save dialog box is shown in Figure 6.21.

Figure 6.21. Under Mac OS X, the Save dialog box is a sheet that sticks to the current document's window.

Mac OS X Save dialog boxes are an example of the dialog type called sheets. A sheet dialog box drops down from the top of the document window you are saving. Unlike the Open dialog box, the Save dialog box is attached to the top of the window and so it moves when you move the document window.

NOTE

The size of a sheet is fixed, but you can still resize the document to which it is attached. In fact, you can make the document so small that it is completely hidden behind the sheet, but I wouldn't recommend it.

The sheet contains the Save As text box in which you enter the filename. It also has the Where pop-up menu, from which you can choose a location in which to save the document. You have three general areas to choose from: your Desktop, Home directory, or iDisk; Favorite Places; or Recent Places.

NOTE

One of the benefits of a sheet is that an open sheet will not prevent you from working with other documents, even within the same application. The sheet stays with the document to which it is attached. You can open, work with, and save other documents without closing the sheet.

If you click the down-arrow button next to the Where pop-up menu, the sheet will expand and you will see the Columns view, just like that in an Open dialog box. You can use this to move to any location on your Mac. It also offers the New Folder button, the Add to Favorites button, and the "Hide extension" check box.

TIP

Creating a new folder in the Save As sheet can be a bit confusing. The new folder is created in the currently selected directory, which is shown in the Where pop-up menu. Because it is easy to view multiple levels of the hierarchy using the Columns view controls, you might be creating a new folder in a location you didn't realize that you had selected. Before using that command, double-check the Where pop-up menu to make sure that you have selected the correct location in which to create the new folder.

In some applications' Save As sheet, you will see additional controls, such as a File Format pop-up menu you can use to save files in different formats.

Understanding Filename Extensions

As you learned earlier, the most significant difference about saving documents under Mac OS X is that it uses filename extensions. Filename extensions consist of a period and three or more characters that are added to the end of the filename. When you save a document, most Cocoa and Carbonized applications will automatically append the correct filename extension for the type of file you are saving. Mac OS X uses the filename extension to associate the file with a particular application.

The addition of filename extensions to Mac filenames can be confusing because one of the Mac's strengths has traditionally been the lack of such extensions. However, because most applications tack the appropriate filename extension onto the filename you enter automatically, you generally don't have to worry about them.

NOTE

In fact, if an extension is left off a filename, the Mac will still use the file creator and type information to open the file in a compatible application. However, you should include filename extensions for all documents you save.

Most Mac OS X files have a filename extension, including documents, system resources, and so on. In fact, there are a bewildering number of filename extensions under Mac OS X, and because it is based on the Unix operating system, Mac filename extensions are not limited to a certain number of characters. However, most document filename extensions consist of three or four characters. Some examples are shown in Table 6.1.

Table 6.1. Examples of Mac Document Filename Extensions
Filename Extension | What It Stands For | Default Application Associated with It
.mov | Movie | QuickTime Player
.tiff | Tagged Interchange File Format | Preview
.rtfd | Rich Text Formatted Document | TextEdit
.rtf | Rich Text Format | TextEdit
.jpg or .jpeg | Joint Photographic Experts Group | Preview
.pdf | Portable Document Format | Preview
.html | Hypertext Markup Language | Default Web browser (such as Internet Explorer)
.doc | Microsoft Word Document | Word
.xls | Microsoft Excel Spreadsheet | Excel
.mp3 | Motion Picture Experts Group, Audio Layer 3 | iTunes

NOTE

While dealing with document filename extensions is fairly straightforward, dealing with system filename extensions can get really ugly. Some are straightforward, such as .app for applications and .dock for docklings, but many seem to be gibberish. Usually, you can just take system filename extensions as they are (because you can't change them) and sometimes you can even figure out what they stand for. For example, the .kext filename extension stands for Kernel Extension, which is an extension to the operating system software.

One system filename extension that is useful to know is .plist. It indicates a preference file, as in loginwindow.plist, which is the preferences for the Login window.

At the top of the Save As sheet, enter the filename you want to use. Under Mac OS X, you can use long filenames—up to 255 characters including the filename extension and the period between the filename extension and the filename itself (so make sure that you allow room for the filename extension when you enter a filename). When you click Save or press Return, the appropriate filename extension is added to the filename and the document is saved in the location you specified.

If you intend to share your files with people who use Mac OS 9.1 or earlier, you need to keep the name under 31 characters, including the filename extension that the application will add to the name you enter.

If you want to share your files with Windows computer users, you need to make sure that the filename extension that is used is comprehendable to Windows PCs.

NOTE

Some applications provide the File Format pop-up menu in the Save As sheet that you can use to choose the file format in which you want to save the document. Sometimes, the options on it are disabled. In such cases, look for the Save To command. This command enables you to save one file type to another type. The Save To dialog box looks and works exactly as the Save As dialog box does, except that the options on the File Format pop-up menu will be enabled.

Viewing or Hiding Filename Extensions

Under Mac OS X, you have the option to view or hide filename extensions. However, filename extensions are used, whether you can see them or not. Generally, I recommend that you always view them because they provide valuable information for you.

You can choose to hide filename extensions for specific files or you can set the Finder to always display filename extensions for all files (regardless of the filename extension setting for a specific file).

You can also show or hide the filename extensions for specific files by using the following steps:

  1. Select the file for which you want to hide the filename extension.

  2. Open the Info window.

  3. Expand the Name & Extension section.

  4. Check the "Hide extension" check box. (To show the extension for a file, uncheck this check box.)

  5. Close the Info window.

When you view the file in a Finder window, the extension will be hidden.

NOTE

You can edit a file's name and filename extension in the File system name field on the Name & Extension pane of the Info window.

You can also set a filename extension to be hidden when you save a file. If you expand the Save As sheet, you will see the "Hide extension" check box. If you check this check box, the filename extension will be hidden when you view the document in the Finder.

To override the filename extension display setting for every file, use the following steps:

  1. Open the Finder Preferences window.

  2. Check the "Always show file extensions" check box.

  3. Close the Finder Preferences window.

Filename extensions will always be shown, regardless of the filename extension setting in the Info window.

NOTE

The filename extension status (hidden or not) for specific files is saved, even when you use the Finder preferences to always display filename extensions. If you turn "Always show file extensions" off again, the filename extensions for any files you have hidden will become hidden again.

Saving Documents As PDFs

One of the many benefits of Mac OS X is that the Portable Document Format (PDF) is now a native format. This means that you can create a PDF from any application without using Adobe's Acrobat or Distiller (although those tools offer some special features that are not available to Mac OS X natively).

PDF documents are useful for two primary reasons. First, they retain their appearance regardless of the fonts and applications installed on the viewing computer (no matter in what OS it is running). Second, PDF documents can be viewed natively in Mac OS X (using the Preview application) or by Adobe's free Acrobat Reader application (which is available for all platforms). These reasons make PDF the ideal format for distributing and viewing documents electronically.

NOTE

PDFs also retain their formatting when they are printed. This makes PDF a good way to distribute documents that you know the recipient will want in hard copy. You can e-mail a PDF and the receiver can print it. Unlike faxing, in which the document format degrades significantly, when the recipient prints the PDF, it will look as good as it does when you send it.

An additional benefit to PDFs is that they can't be easily modified. When you send a PDF to someone, they will have a difficult time changing it (it can't be changed at all without special tools). So PDFs are also a good way to secure documents you provide to others.

To learn more about working with PDFs, see "Working with PDFs," p. 680.

To create a PDF version of a document, you use the Print command to "print" the document to a PDF file.

  1. Create your document using the appropriate application.

  2. Save the document.

  3. Choose File, Print to open the Print sheet.

  4. Choose the printer and format options that should be used on the Printer and Presets pop-up menus. The printer driver and formatting options that are used to create the PDF are the same that are used when you print the file.

    TIP

    You can also save a document as a PDF by clicking the Save As PDF button in the Print dialog box.

  5. Choose Output Options from the Options pop-up menu (see Figure 6.22).

    Figure 6.22. Under Mac OS X, you can print to PDF from within any application; this makes creating electronic versions of your documents simple.

  6. Check the "Save as File" check box and choose PDF from the Format pop-up menu.

    TIP

    You can use the Format to save print files in other formats, such as PostScript, using applications and print drivers that support those formats.

  7. Click Save.

  8. Name the file, choose a location, and click Save.

A PDF file will be created in the location you specify. This document can be viewed using the Preview application or with Adobe's free Acrobat Reader (also part of the standard Mac OS X installation).

To learn more about printing documents, see "Finding, Installing, and Using Printers," p. 673.

NOTE

You probably noticed that the Save and Print dialog boxes are also sheets. This means you can leave them open and work with other documents in the same or different applications.


Troubleshooting

I Can't Install an Application Because I Don't Have Sufficient Privileges

When I try to install an application, I see an error message stating that I do not have sufficient privileges.

To install an application in the Applications directory, you must be logged in as an Administrator. If you can't log in as an Administrator, try installing the application in your Home directory instead.

If this doesn't work, you might have to log in as root to install the application.

To get additional help, see "Logging In As Root," p. 206.

I Can't Install an Application Because I Am Having Problems with Classic

When I try to run an application's installer, Classic starts up, but is unable to install the application.

If a Classic application won't install under Mac OS X, reboot in OS 9.2 and run the installer from there.

I Can't Drag a Document on an Icon to Open It

When I try to open a document by dragging its icon on top of an application's icon, the icon doesn't highlight so that it will open.

This happens when you try to open a document for which the application is not recommended. You can force it to open by holding down the Option+ [image] keys while you drag the document's icon onto the application's icon.

You can also associate an application with a document using the document's Info window.

When I Open an Application, What I See Is Incomprehendable

I opened a document, but what appears onscreen is a bunch of gobbledy-gook.

This happens when you open a file that contains data that the application can't interpret. Use the Info window for the document to associate a different application with the document; using an application that Mac OS X lists as a recommended application will make it more likely to open successfully. You can also try opening the document from within an application rather than from the Finder.

The Special Character I Inserted Doesn't Look Correct

I inserted a special character from the Character Palette into a document, but the character that appeared wasn't the one I selected.

This can happen if the application you are working with does not support the Mac OS X font and formatting tools. The most likely case is that the format information you associated with the character, such as the font, was not translated into the application properly.

To solve the problem, use the application's formatting tools to apply the same font to the character as is selected in the Character Palette. The symbol should then appear just as it does in the Character Palette.


Mac OS X to the Max: Using Applications That Ship with Mac OS X

Mac OS X includes many applications you can use to both customize and work with the operating system itself and to do work you need to do. Table 6.2 lists many of the applications that are part of the Applications directory of the standard Mac OS X installation. For the applications that are discussed elsewhere in this book, you will see a cross-reference to where information about that application is provided. If the application isn't covered elsewhere in the book, you will see a brief summary of the application's purpose.

NOTE

There are many other applications that are installed as part of Mac OS X. However, because these are used by the system to perform various tasks and you aren't likely to use them directly, they are not listed in the following table.

Table 6.2. Applications That Ship with Mac OS X
Application | Default Directory | What It Does | Cross-Reference or Overview
Acrobat Reader | Applications | Displays PDF files | Adobe's Acrobat Reader enables you to view PDF files. It provides more control while reading PDFs than does the Preview application and you can take advantage of PDF features such as hyperlinked bookmarks, tables of contents, and so on.
Address Book | Applications | Stores contact information | "Setting Up and Using An Address Book," p. 290.
AirPort Admin Utility | Applications/Utilities | Enables you to configure an AirPort network | Chapter 11, "Using an AirPort Network to Connect to the Internet," p. 265.
AirPort Setup Assistant | Applications/Utilities | Guides you through the configuration of an AirPort network | Chapter 11, "Using an AirPort Network to Connect to the Internet," p. 265.
AppleScript (Script Editor and Script Runner) | Applications/AppleScript | Writes and runs scripts | You can create and run AppleScripts to automate various tasks that you perform. AppleScript is widely used to make cumbersome and complex processes more efficient. AppleScript's scripting language uses English-like commands, and you can create very complicated scripts. The Script Editor application enables you to create and edit AppleScripts. You can also run scripts that other people create either as standalone applications or using Script Runner.
Apple System Profiler | Applications/Utilities | Reports on the configuration of your system | "Using the Apple System Profiler to Create a System Profile," p. 809.
Applet Launcher | Applications/Utilities/Java | Launches Java applets | You can run Java applets from within this application instead of within a Web browser. To do so, open the application, enter the URL of the applet, and click Launch.
Asia Text Extras | Applications/Utilities | Manages Asian text | This folder contains various applications that can be used to work with Asian characters, such as the Chinese Text Converter application.
Audio MIDI Setup | Applications/Utilities | Configures and manages MIDI devices | You can use this application to configure and manage MIDI devices.
Bluetooth File Exchange | Applications/Utilities | Transfers files via Bluetooth | This application is used when you exchange files with Bluetooth-compatible devices.
Calculator | Applications | Calculates | An updated version of the Mac OS Calculator application; a number of improvements have been made in the Mac OS X version.
Chess | Applications | Game | Enables you to play chess against the computer or against another person.
Classic Startup | System/Library/CoreServices | Starts Classic | Controls the startup of the Classic environment in which you can run Classic applications. See Chapter 7, "Working with Mac OS 9, the Classic Environment, and Classic Applications," p. 163.
Clock | Applications | Provides a desktop clock | Provides a configurable clock that you can use in various situations. For example, you can launch the Clock and minimize it to have the time displayed on the Dock.
ColorSync Utility | Applications/Utilities Profiles | Repairs ColorSync | "Synchronizing Color Among Devices," p. 682.
Console | Applications/Utilities | Provides information on system activity | "Using the Console to View System Messages," p. 821.
CPU Monitor | Applications/Utilities amount of processor activity | Enables you to assess the Processor | "Using the CPU Monitor to Monitor Activity," p. 819.
Digital Color Meter | Applications/Utilities | Analyzes the makeup of colors | Enables you to choose a color being displayed on your monitor to determine the RGB values and other properties of which that color consists. You can also copy colors so that you can replicate them.
Directory Access | Applications/Utilities | Provides directory information for a network | Provides directory information for Mac OS X and applications that use directory information to provide services. You aren't likely to use this application unless you are setting up these services for a large network.
Disk Copy | Applications/Utilities | Creates and mounts disk images | Enables you to mount disk images. Its name comes from its original function, which was to copy disks.
Disk Utility | Applications/Utilities | Repairs or initializes disks | "Maintaining Your Disks with the Disk Utility," p. 776.
Display Calibrator | Applications/Utilities | Calibrates a display | "Synchronizing Color Among Devices," p. 682.
Dock | System/Library/CoreServices | Provides the Dock | This is the application responsible for providing and managing the Dock.
DVD Player | Applications | Plays DVD movies | Chapter 19, "Watching and Creating DVD Movies," p. 583.
Finder | System/Library/CoreServices | Provides system services | Provides and manages the desktop, manages files, handles linkage between documents and applications, and so on.
Grab | Applications/Utilities | Captures screenshots | "Capturing Screen Images with Grab," p. 424.
Help Viewer | System/Library/CoreServices | Provides help | This is the application that provides the help architecture used by the OS as well as applications.
iChat | Applications | Chat via text | Enables you to text chat with other users on your local network and on the Internet. You can chat with other iChat users as well as with AOL Instant Messenger users, which is the most popular chat application. "Using iChat to Communicate with Others on Your Network," p. 749.
Image Capture | Applications | Downloads images from a digital camera | "Using Image Capture to Download Images," p. 417.
iMovie | Applications | Digital video editor | Chapter 18, "Making Digital Movie Magic with iMovie," p. 535.
Installer | Applications/Utilities | Installs applications | Provides a set ofconsistent services that applications use to be installed on your Mac.
Internet Connect | Applications | Connects to the Internet via a phone modem | "Connecting to the Net with a Dial-Up Account," p. 247. "Connecting to the AirPort Network with Mac OS X," p. 280.
Internet Explorer | Applications | Web browser | Chapter 13, "Surfing the Web," p. 331.
iPhoto | Applications | Captures, organizes, and manages digital photos | Chapter 15, "Creating and Editing Digital Images," p. 403.
iTunes | Applications | Digital music manager | Chapter 16, "Listening to and Working with Music," p. 459.
Java Plugin | Applications/Utilities/Java | Manages Java plugin settings | You can use this application Settings to configure and manage various Java plugins that are used to deliver Java applications within other applications (such as Internet Explorer).
Java Web Start | Applications/Utilities/Java | Java application manager | Enables you to download and run Java applications from the Web. You can manage the applications that you download and launch them from the Java Web Start application.
Key Caps | Applications/Utilities | Maps special characters to font families | Enables you to see the character mapfor a font family; particularly useful when you need to use a special character.
Keychain Access | Applications/Utilities | Manages your keychains | "Securing Your Mac with Keychains," p. 794.
Mail | Applications | E-mail client | Chapter 12, "Using E-mail," p. 289.
NetInfo Manager | Applications/Utilities | Administers network | "Using NetInfo Manager to Administer Your Network," p. 746.
Network Utility | Applications/Utilities | Provides information and utilities for network | "Using the Network Utility to Assess Your Network," p. 740.
ODBC Administrator | Applications/Utilities | Configures and manages ODBC databases | Enables you to configure and administer ODBS databases on your Mac.
Preview Applications Views images and PDFs

"Viewing PDFs with Preview," p. 682.

"Viewing and Editing Digital Images," p. 452.

Print Center | Applications/Utilities | Installs and manages printers | "Finding, Installing, and Using Printers," p. 673.
Process Viewer | Applications/Utilities | Provides information on and contro lover running processes | "Using the Process Viewer to Understand and Manage Processes," p. 817.
QuickTime Player | Applications | Plays and edits QuickTime movies | Chapter 17,"Viewing, Editing, and Creating QuickTime Movies," p. 499.
QuickTime Updater | System/Library/QuickTime | Manages QuickTime versions | Enables you to maintain QuickTime at the latest version.
ScreenSaver Engine | System/Library/Frameworks/screensaver framework/Versions/A/Resources | Provides Mac OS X's ScreenSaver. | Displays images to protect your screen and provide entertainment at the same time.
SecurityAgent | System/Library/CoreServices | Provides security services to the OS | Manages security for the OS and applications.
Setup Assistant | System/Library/CoreServices | Configures various system configure the OS. settings | Runs the first time that you launch Mac OS X to help you After that, use the System Preferences utility to change system settings.
Sherlock | Applications | Finds things | "Using Sherlock to Search the Web," p. 339.
Software | System/Library/CoreServices | Updates system and other software | "Using Software Update to Maintain Your Software," p. 774.
Stickies | Applications | Simulates sticky notes | Enables you to create andview electronic "sticky notes" and "paste" them to your monitor.
SutffIt Expander | Applications/Utilities | Uncompresses and decodes files | "Downloading and Preparing Files," p. 345.
System Preferences | Applications | Configures Mac OS X | Provides various panes that you use to configure different aspects of Mac OS X.
Terminal | Applications/Utilities | Provides a terminal window for working in Unix window | Chapter 9, "Unix: Working with the Command Line," p. 213.
TextEdit | Applications | Basic text editor | TextEdit replaces Simple Text from previous versions of the Mac OS. Ittakes advantage of Mac OS X features, such as the capability to save documents as PDFs.


Chapter 7. Working with Mac OS 9, the Classic Environment, and Classic Applications

In this chapter

Understanding Mac OS 9.2, the Classic Environment, and Classic Applications

Installing, Configuring, and Running the Classic Environment

Installing and Using Classic Applications

Running Mac OS 9.2

Troubleshooting


Understanding Mac OS 9.2, the Classic Environment, and Classic Applications

As you have learned throughout this book, Mac OS X is an entirely new operating system. As such, applications created for previous versions of the Mac OS won't work under Mac OS X—well, not directly anyway. Rather than forcing you either to immediately obtain a Mac OS X–compatible version of all the applications you use (which might or might not be available) or to go without, Apple includes the Classic environment in Mac OS X. As you learned in Chapter 1, "Mac OS X: Foundations," and Chapter 6, "Installing and Using Mac OS X Applications," the Classic environment enables you to run Classic versions of applications.

NOTE

A Classic application is one that was created for Mac OS 9.2 or earlier versions of the Mac OS.

The Classic environment is provided solely to ease your transition to Mac OS X because it takes time for new versions of applications to be created for a new version of the Mac OS (especially one as different as Mac OS X is from previous versions). Developers often wait for the new release of the Mac OS to stabilize before completing the development of new versions of their applications. And they also often wait until a significant proportion of Mac users are using the new version of the OS so that there will be a substantial market for their products when they release them.

After you have obtained Mac OS X versions of all the applications you use, there will no longer be any reason to use the Classic versions and thus, the Classic environment. Classic is really a bridge between the past (previous versions of the Mac OS) and the present and future (Mac OS X).

The Classic environment is actually a Mac OS X application that emulates Mac OS 9.2; you run Classic applications from within this emulated environment. The configuration of the Classic environment is the configuration of the Mac OS 9.2 installation you choose to use. The Classic environment provides all the system resources of Mac OS 9.2, such as extensions and control panels, and you can customize the Classic environment just as you can Mac OS 9.2 itself.

Although you will use the Classic environment to run Classic applications most of the time, you will probably also run into situations in which you want to run Mac OS 9.2 directly (for example, to use applications that access a hardware device that doesn't work under Mac OS X).

Classic, a Bridge to the Past

The Classic environment is analogous to the transition from 68K processors to the PowerPC processor. Applications written for the 68K processor could not run on PowerPC machines and vice versa. For a period of time, most applications were provided in fat versions, which meant the application came in both a 68K and a PowerPC version. You could use the application installer to choose which version was installed (sometimes both were installed or only the one appropriate for the processor that you were using). After a period of time, the 68K versions of applications were dropped because most people who were purchasing new software were also using a PowerPC machine.

You can expect a similar transition for Classic applications as Mac OS X versions are released. For a time, both versions will be available, but as more Mac users make the switch to Mac OS X, the development and distribution of applications that are compatible with Mac OS 9 or earlier versions of the OS will cease.

The Classic environment mostly does its job well and will enable you to use the versions of applications that you already have. However, it does have some limitations, which are the following:

  • No memory protection Because the Classic environment is an emulation of Mac OS 9.2, Classic applications do not have protected memory. When one Classic application has a problem, it can (and usually does) affect other Classic applications you are running. In this respect, running applications under the Classic environment is just like running them under Mac OS 9.2 or earlier. When a Classic application crashes, it can take down the rest of the open Classic applications as well as the Classic environment itself.

    NOTE

    The Classic application itself is a Mac OS X application and does benefit from Mac OS X's protected memory architecture. If the Classic environment crashes, it won't affect Carbonized or Cocoa applications that are running.

  • Emulated performance When you run a Classic application, you are using three "layers" of software, which are Mac OS X, the Classic environment, and the Classic application. Because of this, the performance of a Classic application can be considerably slower than when running it under Mac OS 9.2. This speed differential is most noticeable on slower Mac hardware and while using processor-intensive applications (such as advanced graphics or video applications).

  • Spotty hardware support Because they run in an emulated environment, Classic applications can sometimes have trouble accessing hardware with which they are supposed to work. When you are unable to access a hardware device through the Classic environment, your only option is to restart under the Mac OS 9.2.

NOTE

All user accounts on your Mac share the same Classic environment. However, each user account can access the Classic pane of the System Preferences utility and so can change the Classic environment to suit their purposes. (The Classic pane does not require Administrator authentication.)

Some good news is that the Classic environment opens much more quickly under Mac OS X version 10.2 than it did under previous versions. Whereas opening Classic under those versions was painfully slow, launching Classic under version 10.2 is quite quick. The stability and controls for Classic have also been improved.


Installing, Configuring, and Running the Classic Environment

To be able to use the Classic environment (and thus Classic applications), you need to install and configure the Classic environment you want to use. After these tasks are accomplished, you can run the environment to run Classic applications.

When you installed Mac OS X, you should have also installed Mac OS 9.2, preferably on a different partition than Mac OS X is installed on (although they can be installed on the same partition). You can also have more than one volume containing Mac OS 9.2 on a single machine. Each instance of Mac OS 9.2 can be used to provide a different Classic environment. The ideal scenario is to have three partitions on your machine: one for Mac OS X, one for the Mac OS 9 environment you will use for running Classic, and another Mac OS 9 that you will use to run the machine under Mac OS 9 directly. However, two partitions—one for Mac OS X and one for Mac OS 9—works very well. The least desirable configuration is to have only one partition on your machine (with both Mac OS X and Mac OS 9 installed on it).

Installing a Classic Environment

The good news is that if you have installed Mac OS X, you already have installed a Classic environment.

For help installing Mac OS 9.2 and Mac OS X, see Appendix A, "Installing and Maintaining Mac OS X," p. 835.

If you installed Mac OS X on a machine that already had a previous version of the OS on it, you had two fundamental choices as to where to install it. You could install it on the same volume as the one on which you installed Mac OS 9.2, or you could choose a different volume.

Hopefully, you chose to install Mac OS X on a separate volume from Mac OS 9.2. This configuration is a bit cleaner to work with because Mac OS 9.2 and Mac OS X resources are clearly separated and it is somewhat easier to work with them. It also makes repairing either version of the OS easier because you can choose to erase one volume without affecting the other volumes you use. If both operating systems are installed on the same volume, making changes to one operating system can affect the other as well.

However, installing Mac OS X on the same volume as Mac OS 9.2 also works; the organization of each system's resources is just a bit more complex. The primary drawback is that if you have problems with the single-volume configuration, it can be more difficult to troubleshoot and repair.

NOTE

Installing Mac OS X on the same volume as Mac OS 9.2 is called installing Mac OS X over Mac OS 9.2. This terminology can be confusing because it implies that the Mac OS 9.2 software was erased, but that isn't the case.

Whatever way you installed it, somewhere on your Mac is a folder containing the Mac OS 9.2 resources (see Figure 7.1).

Figure 7.1. On this desktop, you see one Finder window showing the computer directory; this machine has two partitions (one for Mac OS 9 and one for Mac OS X). The other Finder window shows the contents of the Mac OS 9 volume, which includes the highlighted Mac OS 9 System Folder.

If you open your Mac OS 9.2 volume, the items you see include the following:

  • System Folder The Mac OS 9.2 System Folder contains all the software needed to run Mac OS 9.2. Its icon includes a 9 to identify it as a version of Mac OS 9.

  • Desktop Folder The Desktop Folder on your Mac OS 9.2 volume is the desktop folder for Mac OS 9.2 only. This is the desktop you will see when you restart your Mac in Mac OS 9.2.

  • Applications (Mac OS 9) This folder is the default location for Classic applications that are installed as part of the Mac OS 9.2 installation. You can install Mac OS 9.2 applications anywhere on your Mac OS 9.2 volume. However, it is helpful to keep your Mac OS 9 applications as well organized as Mac OS X applications are; this is a lot easier if you use the Applications (Mac OS 9) folder for Classic applications and the OS X Applications folder for Carbon and Cocoa applications.

  • Documents This folder contains the default document folders for Mac OS 9.2, such as Installer Logs, Web pages, and so on. Many Classic applications, such as iTunes and Microsoft Office, store user-specific data here as well.

NOTE

If you installed Mac OS 9.2 on a separate volume from that on which you installed Mac OS X, you might see the Desktop (Mac OS 9) folder on your Mac OS X desktop as in Figure 7.1. You can open this folder to access the items installed on your Mac OS 9.2 desktop. If you installed Mac OS X over Mac OS 9.2, you won't see this folder on your desktop. To access the Mac OS 9.2 Desktop Folder, you will have to open your Mac OS 9.2 volume.

Configuring the Classic Environment

You control the configuration and behavior of the Classic environment using the Classic pane of the System Preferences utility (see Figure 7.2).

Figure 7.2. You control various aspects of the Classic environment, such as which Mac OS 9.2 System Folder is used, with the Classic pane of the System Preferences utility.

This pane has three tabs: Start/Stop, Advanced, and Memory/Versions. As you might expect, the first deals with starting and stopping the environment. The Advanced pane enables you to configure various aspects of the Classic environment. The Memory/Versions tab enables you to monitor the processes that are running in the classic environment, including how much of the Classic environment's memory allocation each Classic application is using.

Under the Start/Stop tab, you will see a window in which you can select the startup volume for Classic. As you read earlier, you can have more than one version of Mac OS 9.2 installed on the same machine. You might want to do this to keep one "clean" version that contains only default Mac OS 9.2 system software. This can be your test environment. Other environments can include third-party software that you use. You use the startup volume list to control which of the installed Mac OS 9.2 installations Classic uses.

When Classic starts, you have two options that relate to the extensions that are part of the Mac OS 9.2 system when it starts up; these options are configured on the Advanced tab. These options specify to have all extensions turned off or to use Extensions Manager to choose the startup set of extensions that are used for the Classic environment. You configure the startup extension options on the Advanced tab of the Classic pane (see Figure 7.3).

Figure 7.3. Using the Advanced tab of the Classic pane, you can control the configuration of the System Folder for the Classic environment.

If you choose to open Classic with no extensions, you will move directly into the Classic environment.

If you choose to use the Extensions Manager to control the extensions used in the Classic environment, Extensions Manager will open the next time you restart Classic. You can then configure the extension set you want to use.

NOTE

If you use a Mac that was produced before January 2003, you can also boot under Mac OS 9.2 and use Extensions Manager to create custom startup sets for your Mac OS 9.2 environment. Then, you can choose the extension set you want to use when you start the Classic environment. The details of using Extensions Manager are beyond the scope of this book. For help with the Mac OS 9 Extensions Manager, see my book The Guide to Mac OS 9.

TIP

A third option on the Startup Options pop-up menu is Use Key Combination. If you choose this, you can set a keyboard shortcut to use to start or restart the Classic environment. To do so, choose the Use Key Combination option on the Startup Options pop-up menu and then press up to five keys that you want to be the shortcut. (You can click Clear Keys to remove the keyboard shortcut you created.) When you use the keyboard shortcut, the other startup option you chose (for example, Turn Off Extensions) will be used when you start or restart Classic.

To configure your Classic environment, use the following steps:

  1. Open the Classic pane of the System Preferences utility (it is in the System section) and click the Start/Stop tab. The application will search all the volumes mounted on your Mac and will display those that contain a valid Mac OS 9 startup volume.

  2. Choose the specific Mac OS 9.2 System Folder that the Classic environment should use in the Select a system folder for Classic list. (If there is only one installation of Mac OS 9.2 on your Mac, it will be the only choice you have and will be selected automatically.)

  3. If you want Classic to start up each time you log in to your Mac, check the "Start Classic when you log in" check box. This option is useful if you regularly use Classic applications, because you don't have to wait for Classic to start the first time you launch a Classic application. If you are like me and use Classic applications only occasionally, don't use this option. The Classic environment does use system resources, so you shouldn't have it open if you aren't using Classic applications. Because Classic opens so quickly under 10.2, it isn't painful to wait for it to open when you open a Classic application.

  4. If you want to see a warning dialog before Classic starts up, check the "Warn before starting Classic" check box.

  5. Click the Advanced tab.

  6. Choose the startup option you want from the Startup Options pop-up menu; in most cases, Open Extensions Manager is the best choice. If you don't want any extensions to load, choose Turn Off Extensions instead.

  7. If you want to have Classic preferences that are specific to your user account, check the "Use preferences from home folder" check box. This causes your extensions, startup, Apple menu, and other Mac OS 9 preferences to be stored in your Home folder. Then, should another user reconfigure the Classic environment, your setup will not be affected.

  8. Set the amount of inactive time before Classic goes to sleep by using the slider. To preserve the resources it uses, Classic goes to sleep when no Classic applications are running or when the amount of inactive time set on the slider passes. Because Classic is an application, having it become inactive is useful, because it then requires fewer system resources. The amount of inactive time you should set depends on the resources your Mac has. If you have lots of RAM and a fast processor, you can set a longer sleep time and avoid the time lag that occurs when Classic wakes up when you move in and out of the Classic environment. If you have limited resources, use a shorter inactive time so that more resources are available to other applications when you aren't actively using a Classic application.

  9. Quit the System Preferences utility.

Running the Classic Environment

Because the Classic environment is an application, you must open it when you want to use it. There are several ways to launch the Classic environment:

  • Launch a Classic application.

  • Open the Start/Stop tab of the Classic pane of the System Preferences utility and click Start.

  • Open the Advanced tab of the Classic pane of the System Preferences utility, choose the startup option you want, and click Start Classic if Classic is not running or Restart Classic if it is already running.

  • Press the keyboard combination that you set using the pop-up menu on the Advanced tab of the Classic pane.

  • Use the Classic pane of the System Preferences utility to have Classic start up on login and then log in to the computer.

When the Classic environment starts up, you can view the Classic Environment window by switching to the Classic icon on the Dock (Classic startup is hidden by default). This window contains a progress bar to show you how the startup process is proceeding. At the top of the window, you see the Mac OS 9.2 volume you are using. You will also see the Stop button that you can use to abort the startup process. By default, the window is collapsed and so these elements are all you see. If you click the Expansion triangle on the left side of the Classic window, you will see a larger window that shows the traditional Mac OS 9 startup screen, complete with the "marching" icons as the Classic environment starts up.

If you chose to have extensions off or if you started Classic in any way except from the buttons on the Advanced tab, the Classic window will disappear when the environment is running.

If you started Classic from the Advanced tab and chose the Extensions Manager startup option, you will see the Extensions Manager window (see Figure 7.4).

Figure 7.4. When you start up the Classic environment using the Open Extensions Manager option, you can use Extensions Manager to configure the Mac OS 9.2 system that Classic uses.

If you see a dialog box asking you to update your Classic-specific resources, see "I Have to Update My Classic Resources" in the Troubleshooting section at the end of this chapter.

Use Extensions Manager to configure the Mac OS 9.2 system you want to use. For example, turn off extensions you don't need. You can also create sets of extensions so that you can quickly configure the Classic environment for specific tasks (such as enabling the extensions associated with specific hardware devices). After you have configured Extensions Manager, click Continue.

NOTE

If you have used previous versions of the Mac OS, you are probably familiar with extensions, control panels, and the Extensions Manager utility. If not, refer to a Mac OS 9 resource, such as my book The Mac OS 9 Guide.

After you have clicked Continue in Extensions Manager or if you have chosen to start up Classic using another option, you will see the familiar Mac OS 9.2 startup screen. The first time you start the Classic environment from a specific Mac OS 9.2 volume, you will enter the Mac OS Setup Assistant utility. Use this utility to configure the Mac OS 9.2 installation.

NOTE

The first time you start up Classic with a specific Mac OS 9 environment, you will see a dialog box asking whether it is okay for Mac OS X to install some Classic-specific resources into the Mac OS 9 System Folder you have selected as your Classic environment. You must choose OK to be able to use the selected environment for Classic. This is one reason that it can be better to install a Mac OS 9 volume that is dedicated to running Classic. You can then maintain another Mac OS 9 volume that has no Mac OS X resources installed in it for starting up under Mac OS 9.

If you see a warning dialog box about AirPort, see "Classic Doesn't Support What I Am Doing" in the Troubleshooting section at the end of this chapter.

After you have completed the Mac Setup Assistant, you have the option of running the Internet Setup Assistant to configure your Classic environment for the Internet. Most of the time, you will use Mac OS X to connect to the Net because it includes Mac OS X applications to do so; however, you can also access the Internet under Classic. If you do need to connect to the Net from within Classic, it should work without running the Internet Setup Assistant because the Classic Environment will pick up your network settings from Mac OS X. So, you can safely quit the Internet Setup Assistant without making any changes in it.

To learn how to configure your Mac for the Internet, see Chapter 10, "Connecting Your Mac to the Internet," p. 233.

NOTE

Configuring various Mac OS 9.2 options is beyond the scope of this chapter. For help working with Mac OS 9.2, see my book The Mac OS 9 Guide.

After the Classic environment launches, what you see depends on how you started it. If you launched Classic by launching a Classic application, you will see the application. If you launched the Classic environment without opening a Classic application, you will return to the Mac OS X desktop. If you used the Classic pane of the System Preferences utility to start Classic, you will return there.

TIP

To see whether Classic is running, open the Classic pane of the System Preferences utility. Just above the startup volume selection window, you will see a message about the status of the Classic environment (such as "Classic is running") when the Classic environment is running.

The Classic environment continues to run until one of the following events happens:

  • You manually stop it.

  • You log out of Mac OS X.

NOTE

Remember that the Classic environment sleeps after the amount of inactive time you specify in the Classic pane of the System Preferences utility.

Controlling the Classic Environment

You can control the Classic environment in the following ways:

  • Log out to close it.

  • Click the Stop button on the Start/Stop tab of the Classic pane in the System Preferences utility.

  • Click Restart on the Start/Stop tab of the Classic pane in the System Preferences utility to restart it.

  • Click Force Quit on the Start/Stop tab of the Classic pane in the System Preferences utility to force it to quit.

  • Press Option+ [image] +Escape to bring up the Force Quit Applications window; then choose Classic Environment, click Force Quit, and click Force Quit a second time to force it to quit.

  • Click Restart Classic on the Advanced tab of the Classic pane in the System Preferences utility to restart it.

CAUTION

When you stop the Classic environment, all Classic applications will be stopped as well. During a normal shutdown, this is not a problem because you will be prompted to save any unsaved changes to open documents. However, when you force the Classic environment to quit, all unsaved changes are lost. You should only force Classic to quit when you have no other option.

If your Classic environment locks up and seems to have stopped responding, see "My Classic Environment Is Hung Up" in the Troubleshooting section at the end of this chapter.

To keep things running efficiently, stop the Classic environment when you are done using Classic applications if your Mac has limited RAM or other resources.

When you want to restart your Classic environment using a different set of extensions, open the Advanced tab of the Classic pane of the System Preferences utility. Choose the Open Extensions Manager startup option and click the Restart Classic button.

When you have Classic startup at login or when you use the controls on the Start/Stop tab of the Classic pane, the environment starts up using the set of extensions that were most recently used. To change the configuration used without using the Extensions Manager, you will have to configure the environment manually.

Configuring the Classic Environment Manually

You can manually configure the Classic environment by manipulating the files in its System Folder. For example, you can add or remove startup or shutdown items.

NOTE

If your Mac was produced before January 2003, you can also make configuration changes using the Extensions Manager while running under Mac OS 9.2.

The general steps to configure the Classic environment manually are the following:

  1. Open a Finder window for the Mac OS 9.2 System Folder you use for the Classic environment.

  2. Open the Extensions folder and move any extensions you want to disable to the Extensions (Disabled) folder.

    NOTE

    If you have never used the Extensions Manager option, you might have to create the (Disabled) folders yourself. If you have used Extensions Manager, the folders will be created for you.

  3. Open the Control Panels folder and move control panels you want to disable to the Control Panels (Disabled) folder.

  4. Place aliases of any items you want to launch when Classic starts in the Startup Items folder.

  5. Place aliases of any items you want to launch when Classic stops in the Shutdown Items folder.

  6. Place aliases of documents or Classic applications in the Apple Menu Items folder.

  7. Close the Finder window.

The next time you start the Classic environment, it will reflect the changes you made.

TIP

If you have a Mac that was produced before January 2003, another way to configure your Classic environment is to boot in Mac OS 9 and configure the system there. Then, when you start the Classic environment, it will use that configuration. To create Extensions Manager sets from which to choose when you use the Extensions Manager startup option, you can restart under Mac OS 9, run Extensions Manager, and create the startup sets you want to have available. Then, start up in Mac OS X again, and restart the Classic environment using the Extensions Manager option. You can choose the startup sets you create when Classic starts up.

Monitoring Resources Being Used by the Classic Environment

The Memory/Versions tab of the Classic pane enables you to monitor the performance and resource use of the Classic environment. This can be helpful when troubleshooting Classic or just to see how many system resources the Classic environment is consuming.

  1. Open the Classic pane of the System Preferences Utility.

  2. Click the Memory/Versions tab. You will see a list of the Classic applications that are currently running, along with the memory usage. The memory usage is shown as X/Y, where X is the amount currently being used and Y is the total memory allocation for that process or application within the Classic environment.

  3. To see all the processes running under classic, check the "Show background processes" check box. All system and application processes will be shown in the window (see Figure 7.5).

    Figure 7.5. Here, you can see that I am running the Classic version of Photoshop. You also see the Classic background processes that are running.

  4. View the details of your Classic environment (such as the version number) in the lower-left corner of the pane.


Installing and Using Classic Applications

Because the only purpose of the Classic environment is to run Classic applications, you need to know how to install and work with those applications.

Using Classic applications is very similar to using an application under previous versions of the Mac OS. Installing Classic applications can be a bit trickier, however.

Installing Classic Applications

You have two general options when installing a Classic application on your Mac OS X machine: You can install the application under Mac OS X or you can restart in Mac OS 9.2 and install the application as you normally would.

Installing Classic applications under Mac OS X is easier because you don't have to restart the machine in Mac OS 9.2, install the application, and then restart the machine in Mac OS X again. However, not all installers will run properly under Mac OS X, so this is a bit of a crapshoot.

Installing Classic applications while you are running Mac OS 9.2 is the safer choice, although it does require a bit more work on your part.

Installing Classic Applications Under Mac OS X

Installing Classic applications under Mac OS X is very similar to installing them under previous versions of the OS. You locate the installer application and run it, or just drag the application's folder to the appropriate location on your hard drive.

Installation involves two main issues. The first is where you will install the application. The second is whether the application's installer will run correctly under Mac OS X.

Generally, you can install Classic applications in any folder for which you have permissions to write. However, for organizational and functional purposes, you should install Classic applications in the Applications (Mac OS 9) folder on your Mac OS 9 startup volume.

CAUTION

If you are logged in as an Administrator, you can install Classic applications in the Mac OS X Applications folder. However, this is generally not a good idea. Some applications need to write information on the volume on which they are installed. Mac OS X's security system might prevent this and the application might not work properly. For example, if you install a Classic e-mail application in the Applications directory, other users won't be able to use it unless you configure the account information and e-mail to be stored where other users can write to it. (Because other users won't be able to write information to the Applications folder, their e-mail can't be stored there.)

If you have more than one Mac OS 9.2 instance on your system, the installer might give you a choice about which Mac OS 9.2 volume you want to install the software on. In those cases, select the same Mac OS 9.2 volume that the Classic environment uses.

Determining whether a Classic application's installer will work under Mac OS X is mostly a matter of trial and error. Launch the installer. If it runs successfully (if the Classic environment is not running already, the installer will launch the Classic environment because the installer is a Classic application in itself), you are probably in good shape. Test the application to make sure it works as it should.

NOTE

The Classic applications with which you are most likely to have problems are those that have lots of extensions or control panels or those that interface with a specific piece of hardware. These installers have to make changes to the System Folder of the Classic environment and can sometimes get confused by the way Mac OS X has organized the system.

If the Classic application doesn't install or work properly, install it under Mac OS 9.2 instead.

Installing Classic Applications Under Mac OS 9.2

To install a Classic application in Mac OS 9.2, restart your Mac using the Mac OS 9.2 startup volume as the startup disk. Then install the application as you normally would, such as with the installer or by dragging the application onto one of your disks.

To learn how to start up your Mac in Mac OS 9.2, see "Running Mac OS 9.2," p. 179.

Using Classic Applications

Working with Classic applications under Mac OS X is very similar to working with the same applications under Mac OS 9.2 (see Figure 7.6). When you open a Classic application, the Classic environment will open if it isn't already running, and you will see the application's normal startup screen. When the application is running and frontmost, you will see its menu bar and will notice that the Mac OS X Apple menu has been replaced by the Mac OS 9 Apple menu. This indicates that you are running in the Classic environment.

Figure 7.6. Here the Classic version of PageMaker 6.5 is running. Notice the Mac OS 9.2 Apple menu, the Classic style scrollbars (no Aqua look and feel), and the Mac OS X Dock. (Check out the Classic Calculator icon on the Dock; it is running, too.)

Other than this, running Classic applications is mostly just like running applications under Mac OS X. While using a Classic application, you have access to all Mac OS 9 resources, such as items installed on the Mac OS 9 Apple menu. The Classic applications you are running will appear on the Dock, again just like Mac OS X applications (you won't see any indication on the Dock that the Classic environment itself is running).

If a document you created with a Classic application won't open, see "My Classic Document Won't Open" in the Troubleshooting section at the end of this chapter.

Several issues when running Classic applications under Mac OS X will be slightly different from when you run them under Mac OS 9. These include where you store your documents, how you go about printing your documents, and how control panels and extensions work.

If you want to store the documents you create using a Classic application on the same volume as the Mac OS 9.2 software or on another non-Mac OS X volume, the process is the same as under Mac OS 9.2. If you want to store documents under the Mac OS X volume, such as in your Documents folder, you will need to be logged in to Mac OS X with the permissions necessary to access that folder. Although you will be able to see other Mac OS X folders within Classic applications' Save dialog box and even open them, you won't be able to save files within them.

Also, although you can see secured folders (such as another user's Documents folder) from within Classic application's Open dialog boxes, you won't be able to see or open items within them unless you have the appropriate privileges.

NOTE

When you use the Open or Save dialog box from within the Classic environment, you will see all sorts of Mac OS X files and folders that are normally hidden from view when using the Mac OS X Save or Open dialogs. You can safely ignore these (and you should ignore them unless you want to cause problems for yourself).

Printing documents under Classic is a bit different, too. To be able to print from a Classic application, you must have the Mac OS 9.2 printer driver software installed on your Mac, even if you have added the printer in the Mac OS X print center. The Classic environment uses Mac OS 9.2 system software to manage printing. Therefore, you must select a printer using the Mac OS 9.2 Chooser as you would if you had started up under Mac OS 9.2.

If you have installed the Mac OS 9.2 printer driver, but still can't print, see "I Can't Print Under Classic" in the Troubleshooting section at the end of this chapter.

When you are using a Classic application, you will see the traditional Apple menu in the upper-left corner of the screen. Although this menu looks the same as it does when you start up under Mac OS 9, it doesn't work the same. Many of the items on the Apple menu are disabled because what they control is managed by Mac OS X instead. For example, if you try to use a control panel to make a system setting change, you will simply move back into Mac OS X. This is because Mac OS X controls the configuration of the Classic environment. To make changes to Mac OS 9 control panels, you will need to restart under Mac OS 9, make the change, and then move back into Mac OS X. If the setting you changed is controlled by Mac OS X, it will be reset again, so this doesn't always work.

The applications on the Classic Apple menu will work as will the Chooser. Any document or folder aliases you place there will also work (you have to move them to the Apple Menu Items folder on your Classic startup volume manually). Any Classic Internet applications should also work normally, assuming that you have configured Mac OS X to connect to the Internet successfully. The Network Browser doesn't work because Mac OS X manages all your network connections.

Using Classic Applications with Hardware Devices

The most problematic Classic applications you will deal with are those that interface with hardware devices. Some devices will work fine under Classic, but others won't. The only way to tell for sure is to install the software for the device and try to run it. When you launch it and attempt to access the hardware device, it might or might not be able to communicate with it successfully. It depends on how the device's software is written. For example, in my case, an HP PSC 750 printer/scanner/copier device worked just fine in Classic, but I could not access my Nikon CoolPix 990 digital camera (the application could see the device, but could not communicate with it).

NOTE

You should regularly check for Mac OS X updates for all your Classic applications, but especially for those that interface with hardware. Accessing hardware using the Classic versions of applications can be cumbersome if you have to restart your Mac in Mac OS 9.2 every time you want to do so (to access hardware, for example).

If you run a Classic disk utility and it keeps reporting problems, see "My Mac OS 9.2 Disk Utility Keeps Saying That I Have Disk Problems" in the Troubleshooting section at the end of this chapter.

If plug-ins or other resources for your Classic application are missing, see " My Application Can't Access the Plug-Ins It Needs" in the Troubleshooting section at the end of this chapter.

CAUTION

Don't use Classic disk utilities on your Mac OS X disks. Doing so can cause problems for the Mac OS X installation.


Running Mac OS 9.2

There are several occasions on which you might want to restart your Mac in Mac OS 9.2. The most common one is when a Classic application can't do what you want it to do when running in the Classic environment.

However, this might or might not be possible for you. At press time, Apple announced that as of January 2003, Macs will no longer be capable of booting up in Mac OS 9. This means that such Macs will be limited to the Classic environment only. This might be the only time in Mac history that having a new Mac is not totally a good thing. Of course, because Mac OS X has been around for a while now, most applications and hardware are compatible with Mac OS X itself or with the Classic environment. Hopefully, not being able to start up in Mac OS 9 will not be a problem for you.

If you use a Mac that was released before January 2003, you can restart in Mac OS 9.2. Following are the two ways you can restart your Mac in Mac OS 9.2:

  • Open the Startup Disk pane in the System areas of the System Preferences utility, choose the volume containing the Mac OS 9 system you want to start up in, and click Restart.

    NOTE

    You must be authenticated as an Administrator in order to access the Startup Disk pane of the System Preferences utility.

  • Restart your Mac and hold down the Option key. As the machine restarts, icons will appear for each of the startup volumes on your Mac. Click the startup volume, such as a Mac OS 9.2 startup volume, that you want to use and press Return. That startup disk will be used to start up your Mac.

NOTE

When you restart in Mac OS 9.2, it is normal for the Disk First Aid utility to check for disk errors. Just let it run as you normally would.

When your Mac restarts, you will feel as if you have moved back in time (see Figure 7.7).

Figure 7.7. Restarting in Mac OS 9.2 takes you back to the old days.

CAUTION

When your Mac is started up under Mac OS 9.2, you lose all security features of Mac OS X. For example, you can open any folders in the user accounts folders, muck around with the system, and so on. This is one reason that when you are not using Mac OS X you should log out, especially if you are using your Mac's Administrator account, when you leave your machine. If you don't, someone can restart the Mac in Mac OS 9.2 and all the files on the machine become vulnerable.

To restart in Mac OS X again, choose Apple menu, Control Panels, Startup Disk. Then, choose your Mac OS X startup volume and click Restart.


Troubleshooting

I Have to Update My Classic Resources

The first time I launched the Classic environment, I saw a dialog box asking whether I wanted to add or update Classic-specific resources to the System Folder that I was using. Is this normal?

The first time you start up Classic using a specific Mac OS 9.2 System Folder, Mac OS X needs to install some resources in that System Folder. This is normal operation. Just click OK in the dialog box to install the resources. You won't see this dialog box again until you choose a different System Folder to use for the Classic environment.

Classic Doesn't Support What I Am Doing

When I started up the Classic environment for the first time, I got a warning dialog box that a particular service is not supported. Am I out of luck?

Classic doesn't support every feature of Mac OS 9.2. When there are specific features that it doesn't support, you see an alert telling you exactly which service is not supported. To use these features, you have to restart under Mac OS 9.2.

My Classic Environment Is Hung Up

I was working with a Classic application, but it stopped responding. I thought Mac OS X was designed to avoid this type of crashing. Is this just a Classic problem?

When an application crashes in the Classic environment, it can take down all the other applications you have open (the Classic environment does not provide protected memory for each application—all applications run in the Classic's memory space).

About all you can do in this situation is to try to force the hung application to quit. Hold down the Control key and click the application's icon on the Dock. Choose Quit.

If the quit is successful, immediately save all the documents you have open in other Classic applications. Then restart Classic.

If you are unable to force the hung application to quit or if other applications start to hang, you will have to force the Classic environment itself to quit. Open the Classic pane of the System Preferences utility, click the Start/Stop tab, and click Force Quit. Or press Option+ [image] +Escape and in the Force Quit Applications dialog, select the Classic Environment and click Force Quit. You will lose any unsaved changes in documents that are open in Classic applications, but those are lost anyway if the applications are hung.

My Classic Document Won't Open

When I try to open a document that was created with a Classic application, nothing happens.

This can happen when the Classic environment can't find a suitable application to open for the document because something has happened to the Classic's desktop database. Rebuild the Classic desktop by opening the Classic pane of the System Preferences utility, clicking Advanced, and then clicking Rebuild Desktop.

If the document still fails to open, try restarting in Mac OS 9.2 and opening and saving the document from there. If that is successful, you should be able to open the document under Mac OS X again.

I Can't Print Under Classic

I have installed the Mac OS 9.2 printer software for my printer, but I get errors when I try to print.

Some printer driver software that has been designed to work under Mac OS 9.2 cannot access that printer even though you can choose it in the Chooser. The solution is to work on the document in a Mac OS X application and print it from there or restart your Mac under Mac OS 9.2 and print the document from there.

My Mac OS 9.2 Disk Utility Keeps Saying That I Have Disk Problems

Each time that I run a Classic disk utility, it reports that I have disk problems, even when I'm sure there aren't any.

Many Classic disk utilities can't properly analyze and repair Mac OS X disks. You should only use Mac OS X's Disk Utility or a Carbonized or Cocoa version of a third-party disk utility when you are running under Mac OS X.

You can use a Classic disk utility on the Mac OS 9.2 partition when you are running under Mac OS 9.2.

My Application Can't Access the Plug-Ins It Needs

When I attempt to run an application, some of its resources, such as plug-ins, aren't available to it.

Ensure that the application's resources are actually installed correctly. For example, open the application's Plug-ins folder to make sure that the plug-in you need is installed.

This situation can also occur when an application's bundle contains both Mac OS X and Classic versions of the application. Sometimes, the Mac OS X version will not be able to access specific application resources, such as plug-ins. In such cases, you want to run the Classic version of the application so that you have access to the resources you want to use.

To have such an application always open in Classic, open the application's Info window and check the "Open in Classic" check box.

You can also restart the Mac in Mac OS 9.2 and use the application from there.


Chapter 8. Configuring, Customizing, and Exploring Mac OS X

In this chapter

Setting Your Preferences

Using the Color Picker to Choose Colors

Controlling Open Applications

Using Disks and Discs

Controlling System Startup

Installing and Using Mac OS X Fonts

Logging In As Root

Exploring Mac OS X


Setting Your Preferences

The System Preferences utility is an important tool you use to control how your Mac OS X system works and looks. If you have read through other parts of this book, you have already used some of the panes it contains to work with various parts of the system. Table 8.1 provides a summary of each pane and tells you where in this book you can learn more about it.

Table 8.1. System Preferences Utility Panes
Area | Pane | What It Does | Learn More About It
Personal | Desktop | Sets the background image of the desktop | "Customizing the Mac OS X Desktop," p. 99.
Personal | Dock | Controls how the Dock looks and works | "Customizing the Appearance and Behavior of the Dock," p. 115. (Chapter 5)
Personal | General | Sets interface colors and scrollbar behavior | "Setting General Preferences," p. 186.
Personal | International | Controls the language and formats used depending on the language you are working with | "Setting International Preferences," p. 187.
Personal | Login Items | Enables you to set the items that open when you log in | Chapter 2, "Getting Started with Mac OS X," p. 17.
Personal | My Account | Enables you to change your password, login picture, and Address Book card | "Configuring User Accounts," p. 26.
Personal | Screen Effects | Configures Mac OS X's built-in screensaver | "Saving Your Screen," p. 188.
Hardware | CDs & DVDs | Configures the actions that occur when you insert CDs or DVDs | Chapter 23, "Understanding and Using Data Storage Devices," p. 687. "Using Disks and Discs," p. 202.
Hardware | ColorSync | Synchronizes color among devices you use | "Synchronizing Color Among Devices," p. 682.
Hardware | Displays | Controls the display properties you use | "Finding, Installing, and Using a Monitor," p. 660.
Hardware | Energy Saver | Controls how your Mac sleeps | "Managing Your Mobile Mac's Power," p. 866.
Hardware | Keyboard | Sets keyboard preferences | "Configuring a Keyboard," p. 641.
Hardware | Mouse | Configures the behavior of your mouse or trackpad | "Configuring a Mouse," p. 644."Using and Configuring the Trackpad," p. 871.
Hardware | Sound | Manages your system sound and alert sounds | "Controlling Your System's Sound," p. 193.
Internet & Network | Internet | Sets preferences for your Internet configuration such as a default e-mail application and home page | "Configuring the Internet Pane of the System Preferences Utility," p. 251.
Internet & Network | Network | Configures your network settings for both Internet access and your LAN | Chapter 10, "Connecting Your Mac to the Internet," p. 233. Chapter 25, "Building and Using a Network," p. 721.
Internet & Network | QuickTime | Enables you to configure QuickTime for your Mac | "Configuring QuickTime," p. 506.
Internet & Network | Sharing | Controls access to your computer from the network and the Internet, and enables you to configure Mac OS X's built-in firewall, and to set up Internet account sharing | "Using Mac OS X to Serve Web Pages," p. 389. Chapter 25, "Building and Using a Network," p. 721. "Defending Your Mac Against Net Hackers," p. 803. "Using a Mac Running OS X to Share an Internet Account," p. 757.
System | Accounts | Creates and manages user accounts | "Creating User Accounts," p. 22.
System | Classic | Controls your Classic environment | "Installing, Configuring, and Running the Classic Environment," p. 166.
System | Date & Time | Manages the time and date information for your system | "Working with the Date and Time," p. 197.
System | Software Update | Maintains your system software | "Using Software Update to Maintain Your Software," p. 774.
System | Speech | Manages speech recognition and Text-to-Speech | "Controlling Your Mac's Speech," p. 198.
System | Startup Disk | Selects the startup volume that will be used the next time you start your Mac | "Choosing a Startup Volume with System Preferences," p. 203.
System | Universal Access | Controls options to improve access for physically or mentally challenged users | "Improving Access to the System," p. 192.

TIP

Remember that you can customize the System Preferences utility's toolbar by dragging icons from the lower pane of the window to the toolbar. You can remove icons from the toolbar by dragging them off the toolbar.

Setting General Preferences

Use the General pane of the System Preferences utility to control several basic settings for your system.

Use the Appearance pop-up menu to choose Blue if you want color in the buttons, menus, and windows. Choose Graphite if you want to mute the color so that the color elements are gray instead. Use the Highlight pop-up menu to choose the highlight color.

Use the radio buttons to set scrolling behavior. You can place the scroll arrows together or at each end of the scrollbars or choose to have a scroll arrow placed at each end of the scrollbar. You can choose "Scroll to here" to cause a window to jump to the relative position on which you click or "Jump to next page" to scroll a page at a time when you click above or below the scroll box.

Set the number of recent items tracked on the Apple menu for applications and documents using the Number of Recent Items pop-up menus. You can track as few as five or as many as 50 recent items.

The lower part of the pane provides the controls you use to configure how font smoothing is enabled on your Mac. Font smoothing (known as anti-aliasing for graphics) reduces the "jaggies" that occur when you view certain fonts on the screen; this is most noticeable when you use larger sizes or thick fonts or when you apply bold or other formatting. Font smoothing is always turned on, but you can configure it specifically for your system.

  1. Open the General pane of the System Preferences utility.

  2. At the bottom of the pane, select the smoothing style you want to use on the Font smoothing style pop-up menu. Your options are Standard – Best for CRT, Light, Medium – best for Flat Panel, or Strong. You will probably be satisfied with the option appropriate for the display type you use, but you can experiment with the other options to see whether one of them matches your needs better.

  3. Choose the text size at or below which text smoothing is disabled on the Turn off text smoothing for font sizes pop-up menu. Because the effect of smoothing is less noticeable at small font sizes, your system can save some wasted processing power by not smoothing fonts displayed at smooth sizes. The default value is 8 pts, but you might not even notice if you increase this value slightly.

Setting International Preferences

Mac OS X includes support for a large number of languages, language behaviors, and date, time, and number formats. You control these properties through the International pane of the System Preferences utility (see Figure 8.1).

Figure 8.1. You can use the International pane of the System Preferences utility to control various language and format properties based on a language and the conventions of particular nations.

Use the Language tab to configure the languages you want to use. In the Languages list, you see the languages that are currently active. You can drag these languages up and down in the list to set the preferred order in which you want to use them on menus and in dialog boxes. If you click the Edit button, you can choose the languages that appear in the Languages list. In the bottom part of the pane, you can choose the set of behaviors for each script. For example, to configure the Roman script for English, select it on the list of scripts and choose the behavior to match the language you use (for example, because I use "U.S." English, I choose English on the pop-up menu).

Use the Date tab to set the date formats displayed in Finder windows and other locations. There are two general date formats: Long Date and Short Date. Choose the region whose format conventions you want to follow from the Region pop-up menu. Then, use the pop-up menus, check boxes, and text fields to set the format for each type of date. At the bottom of the window, you will see an example of dates in the format in which you have configured them.

Use the Time tab to set the time format; this tab works similarly to the Date tab. Choose a region from the Region pop-up menu and then use the radio buttons, text fields, and check box to format the time. For example, you can choose to use a 12- or 24-hour clock. Examples of the time format you choose are shown at the bottom of the pane.

Using the Numbers tab, you can set the format for numbers displayed on your Mac (see Figure 8.2). You can use the pop-up menus to choose the separators in numbers (for the decimal and thousands), and you can choose a currency symbol and where that currency symbol is located (before or after the amount). You can also choose the default measurement system that is used (Standard [aka English] or Metric).

Figure 8.2. These settings would cause the OS to use U.S. number conventions.

Use the Input Menu tab to control and configure your keyboard layout and to enable and configure the Character Palette menu on the menu bar.

To learn how to configure a keyboard for different languages, see "Configuring a Keyboard," p. 641.

To learn how to configure the Character Palette, see "Working with the Character Palette," p. 135.

Saving Your Screen

Mac OS X is the first version of the Mac OS that includes a built-in screensaver (which is ironic because the real need for screensavers has long since passed). At any rate, many Mac users enjoy having a screensaver, and Mac OS X's version provides the features you would expect. However, the quality and style with which the screensaver displays images are quite nice, especially when you use your own images.

Display Sleep Time

If you really want to protect your screen, use the Energy Saver pane to set a display sleep time. Display sleep actually turns off the display mechanism, which "saves" the screen. Of course, a blank screen isn't nearly as interesting as the screensaver. Using a screensaver with modern CRT displays isn't really necessary because they will not suffer the screen burn-in that earlier generations of displays did.

Although flat panel monitors haven't been around long enough to be sure, some theorize that using display sleep is important to maximize the working life of such displays.

You use the Screen Effects pane of the System Preferences utility to configure a screensaver for your machine (see Figure 8.3).

Figure 8.3. You can use one of Mac OS X's built-in screensaver modules, create your own screensaver, or add a screensaver that someone else created (such as by using one that has been posted to a user's .Mac account).

You have three general choices: Use one of Mac OS X's default modules, use a module from images you have created or downloaded, or use a module that someone else has created.

Using one of Mac OS X's built-in modules is rather straightforward. The general steps are the following:

  1. Open the Screen Effects pane.

  2. Choose the screensaver module you want to use from the Screen Effects list; you will see a preview in the Preview window.

  3. Use the Configure button to set various parameters for the module you select, such as whether a cross-fade is used between slides and whether slides are kept centered on the screen (not all modules have configuration options). The available display options are the following:

    • Cross-fade between slides. When enabled, one image fades into the next. If disabled, one image will disappear before the next image appears.

    • Zoom back and forth. When enabled, the screensaver zooms in and out of each image.

    • Crop slides to fit screen. When enabled, images are sized so that they fit onto the display by having the parts that don't fit cropped off.

    • Keep slides centered. When enabled, images are always centered on the screen.

    • Present slides in random order. When enabled, images appear in a random order rather than the order in which they are listed in the folder that contains them.

  4. Test the screensaver by clicking the Test button. The images that are part of the screensaver will be rendered and displayed with the configuration options you selected.

    NOTE

    If you use multiple displays, a different image from the module will be shown on each display.

  5. Click the Activation tab.

  6. Set the idle time that must pass before the screensaver is activated using the slider.

  7. If you want your machine to be password-protected, click the "Use my user account password" radio button. With this option active, you will have to enter your password to exit the screensaver.

  8. Click the Hot Corners tab.

  9. Select a corner to which you can move the mouse to manually start the screensaver by clicking the box in that corner of the desktop image. Click a box twice to set a corner to which you can move the mouse to disable the screensaver.

  10. Quit System Preferences.

NOTE

To encourage you to use the screen-dimming option to protect flat-panel displays, the "Open Energy Saver" button is included on the Screen Savers tab. Click this to open the Energy Saver pane of the System Preferences utility.

Some of the "built-in" modules are pretty cool (I especially like Cosmos), but you can have even more fun by creating or using a custom module. There are three ways to do this:

  • Create a module from a collection of your own images, such as those you have captured with a digital camera.

  • Use a module that someone has made available through .Mac.

  • Use a module that you download from the Internet.

To create a module from your own images, use the following steps:

  1. Create a folder containing the images you want to use. The images can be in the standard image formats, such as JPG or TIFF.

    To learn about creating images, see Chapter 15, "Creating and Editing Digital Images," p. 403.

  2. Open the Screen Effects pane and select the Pictures folder.

  3. Click the Configure button. The Configure sheet will appear.

  4. Drag the folder of images you created in Step 1 onto the folder well, or click the Set Slide Folder button, move to that folder, and choose the folder of images.

  5. Use the Display Options check boxes to configure the screensaver. You have the same display options as for the "built-in" modules.

  6. Click OK.

  7. Configure and test the module just like one of Mac OS X's built-in modules.

TIP

You can create a screensaver module from images in your iPhoto image library from within that application.

To learn how to use iPhoto to create a screensaver module, see "Creating an iPhoto Screensaver," p. 449.

Using the .Mac service, people can make their screensaver modules available to you and you can make your modules available to other people.

To learn how to use .Mac services, see "Using .Mac to Create and Serve Your Web Pages," p. 371.

To use a module that is available via .Mac, perform the following steps:

  1. Open the Screen Effects pane and select the .Mac module. (A default .Mac module is available and will be selected automatically.)

  2. Click Configure. The Configuration sheet will appear. You will see that you are already subscribed to the .Mac public slide show.

  3. Enter the .Mac member name of someone whose slide show you would like to use as your screensaver in the .Mac Membership name field and press Return. The sheet will close.

  4. Click Configure. The Configuration sheet will appear again. Now, the person whose .Mac name you entered in Step 3 will appear on the list of slide shows you are subscribed to.

  5. Repeat Steps 3 and 4 to add more public slide shows to the list.

  6. Check the "Selected" check box for each slide show you want to be used in your screensaver. If the check box is unchecked, the slide show is still available to you, but it won't be displayed.

    TIP

    To unsubscribe from a public slide show, select the slide show and press Delete.

  7. Use the Display Options check boxes to configure the screensaver. You have the same display options as for the "built-in" modules.

  8. Click OK.

  9. Configure and test the module just like one of Mac OS X's built-in modules.

TIP

If you have people who are interested in you (such as relatives), you can create a .Mac public slide show and inform those people who are interested that it is available. As you update your slide show, people who subscribe to and use it will see the images you add to the collection.

You can also download and use other screensaver modules. You can make the additional modules you add available to everyone who uses your Mac or just to specific users. Screensaver modules have the .saver filename extension. To use downloaded modules, do the following:

  1. Download the modules you want to use and prepare them for use.

  2. To enable modules for a specific user, log into that user account and drag the .saver files you want to add to the screensaver into the directory shortusername/Library/Screen Savers, where shortusername is the short username for that user account. To enable the modules for all users, instead place the .saver file in the directory Mac OS X/Library/ Screen Savers, where Mac OS X is the name of the startup volume.

  3. Use the Screen Savers pane of the System Preferences utility to choose and configure the modules you add.

For help with downloading and preparing files, see "Downloading and Preparing Files," p. 345.

Improving Access to the System

You can use the Universal Access pane to make your Mac more accessible to those with various physical or mental challenges.

You configure special access to the system by using the Universal Access pane of the System Preferences utility. This pane includes the following four tabs:

  • Seeing. Using the Seeing tab, you can configure the visual aspects of the system. You can use zoom to increase the size of items on the screen. You can also change the display to be white on a black background or to grayscale.

  • Hearing. The Hearing tab enables you to configure sound feedback for the system, and you can set the screen to flash when the alert sound plays.

  • Keyboard. Using the Keyboard tab, you can configure Sticky Keys that make it possible to choose key combinations by typing only one key at a time. Click the Keyboard tab, and then use the radio button and check boxes to configure Sticky Keys. When Sticky Keys is on, each modifier keystroke will be shown on the screen. For example, if you press the [image] key, the [image] key symbol will appear on the screen. You can turn off this feature by unchecking the "Show pressed keys on screen" check box. You can also turn off the audible feedback by unchecking the "Beep when a modifier key is set" check box. You can also control the key repeat rate using the Set Key Repeat button. You can configure the rate at which keystrokes are registered by using the "Slow Keys" radio button and the Acceptance Delay slider.

  • Mouse. The Mouse tab enables you to control the mouse by using the numeric pad on the keyboard. Click the Mouse tab of the Universal Access pane, and then click the "On" radio button to turn Mouse Keys on. Use the Initial Delay and Maximum Speed sliders to control how the pointer moves in relation to keystrokes.

The three check boxes at the bottom of the Universal Access pane enable you to configure general aspects of the universal access functionality. If you check the "Allow Universal Access Shortcuts" check box, you can turn Sticky Keys on or off by pressing the Shift key five times, and you can turn Mouse Keys on or off by pressing the Option key five times. If you check the "Enable access for assistive devices" check box, you can control the system with specific assisting devices. If the "Enable text-to-speech for Universal Access preferences" check box is selected, the Mac will speak various commands as you move the pointer over them.

Controlling Your System's Sound

You use the Sound pane of the System Preferences utility to control the volume, sound effects, and input sources for your system (see Figure 8.4). The Sound pane has three tabs: Sound Effects, Output, and Input. You use the Sound Effects tab to configure your system alert sounds and various audio feedback. You use the Output tab to control the sound output of your Mac. You use the Input tab to configure sound input devices attached to your Mac, such as USB microphones.

Figure 8.4. You use the sliders, list, pop-up menus, and check boxes on the Sound pane of the System Preferences utility to control various sound properties of your system.

You can control your system's volume by using the Output volume slider at the bottom of the pane. Use the "Mute" check box to mute all system sound. Check the "Show volume in menu bar" check box to show the speaker icon in the menu bar. You can control your main system volume by clicking this icon and using the pop-up slider to set the volume level.

TIP

If you use an Apple Pro keyboard, you can also control the volume level using the mute and volume keys located just above the numeric keypad. When you press one of these keys, a sound level indicator appears onscreen so that you can visually tell what the relative volume level is. You will also hear the alert sound each time you press one of the volume keys. You can disable this audio feedback by unchecking the "Play feedback when volume keys are pressed" check box.

To configure your system alert sound, carry out the following steps:

  1. Open the Sound pane of the System Preferences utility.

  2. Click the Sound Effects tab.

  3. Choose the alert sound you want to use on the list—you will hear a preview of the sound you select.

  4. Choose the output device through which you want the alert sound to be played on the "Play alerts and sound effects through" pop-up menu. If you have USB speakers installed, such as SoundSticks, you can choose to play alerts through them, or if you want to use your Mac's internal speaker, select Built-in audio controller.

  5. Use the Alert volume slider to control the relative volume level of the alert sound.

TIP

If you have external USB speakers, it is usually a good idea to play the alert sound through the Mac's built-in speakers, especially if you like to listen to music or watch movies with high sound volume. This prevents the alert sound from knocking you out of your chair (if this has ever happened to you, you know exactly what I mean). If you set things this way, you will probably need to set the alert volume high as the Mac's built-in speaker will be overwhelmed by your external speakers.

If you have analog speakers plugged into the Mac's Speaker jack, you won't be able to do this because the Mac's built-in audio controller controls the output to those speakers. You must be using USB speakers or an additional sound PCI card to be able to separate the output.

Mac OS X can play various sound effects when you perform specific actions or when something specific happens (such as when you send an item to the Trash). This feature is enabled by default. To disable it, uncheck the "Play user interface sound effects" check box.

To configure the sound output for your system, use the following steps:

  1. Open the Sound pane and click the Output tab. You will see a list of all sound output devices attached to your machine; at the least, you will see the Built-in audio controller which is your Mac built-in speaker or speakers, depending on what kind of Mac you use.

  2. Select the output device you want to configure.

  3. Use the Balance slider to set the balance level.

To configure sound input devices that are attached to your Mac, perform the following steps:

  1. Attach the sound device you want to use. For example, to use a USB headset microphone, attach it to an available USB port.

  2. Open the Sound pane of the System Preferences utility and click the Input tab. You will see a list of all input devices that your Mac recognizes.

  3. Select the device you want to configure.

  4. Use the Input volume slider to configure the device's sensitivity. Dragging the slider to the right increases the level of sound through the device.

  5. Test the device by speaking into it. You will see the relative sound level on the Input level indicator.

  6. Continue adjusting the device until you achieve the proper level of input.

Although these sound options will satisfy most Mac users, there are more sound options you can choose to implement.

Controlling Volumes from the Dock

Some people prefer to control sound from the Dock rather than from the Sound pane or from the Sound menu bar icon. You can add such capability by adding a dockling to your Dock.

One example of this is DVolume, written by Stas Pietrucha. (DVolume requires a $2 shareware fee.) After you install this module on your Dock, you can open it to select a system and alert volume level (see Figure 8.5).

Figure 8.5. Using the DVolume module, you can control your system and alert volume from the Dock.

NOTE

You can download a copy of DVolume from the Version Tracker site at www.versiontracker.com.

To learn how to install modules on your Dock, see Chapter 5, "Using and Customizing the Dock," p. 105.

Installing Additional Alert Sounds

Under Mac OS X, system alert sounds are in the Audio Interchange File Format (AIFF). This is a good thing because you can use many sounds as your alert sound, and using QuickTime Pro, you can convert almost any sound into the AIFF format.

To learn how to convert sounds into the AIFF format using QuickTime Pro, see "Using QuickTime Pro to Convert Files into Other Formats," p. 529.

NOTE

Under Mac OS X, AIFF files have the .aiff filename extension. By default, QuickTime Player Pro appends the .aif filename extension to files when you export them in the AIFF format. Make sure that you add the second "f" to the filename extension for the sound you want to add as an alert sound. If you don't, the file will not be recognized as a valid alert sound.

There are two basic ways in which you can add alert sounds. You can add them to specific user accounts or you can add them to the system so that they are accessible to everyone who uses your Mac.

To add an alert sound to a specific user account, perform the following steps:

  1. Create or download the AIFF files you want to add to your available alert sounds.

  2. Log in the user account under which you want to make the alert sounds available.

  3. Drag the new alert sounds to the following directory: /shortusername/Library/Sounds. The new alert sound will be available to that user account on the Alert Sounds list in the Sound pane of the System Preferences utility.

NOTE

If the System Preferences utility is open when you install a new alert sound, you must quit and restart it to see the new sound on the list.

When you install your own system alert sounds in the alert sound list, the kind for the sounds you add will be "Custom" instead of "Built-in." Built-in sounds are stored in the Sound folder in the System Library folder instead of the user's Library folder.

You can also add alert sounds to the system so that they will be available to all the user accounts on your machine. However, to do this, you must log in under the root account.

CAUTION

You can't modify files or directories that are within the Mac OS X system directory without being logged in under the root account. Be careful when you are logged in under the root account because when you are logged into the root account, you can change anything on your system, including changing vital system files in such a way that your Mac will fail to work. You can also delete any files on the machine while you are logged in as root.

To learn how to enable and log in under the root account, see "Logging In As Root," p. 206.

To add additional alert sounds to your system, follow these steps:

  1. Create or download the AIFF files you want to add to your alert sounds.

  2. Log in under the root account.

  3. Drag the AIFF file into the directory Mac OS X/System/Library/Sounds, where Mac OS X is the name of your Mac OS X startup volume.

  4. Log out of the root account and then log back in under another account. The new sounds will be available on the Alert Sounds list on the Sound pane of the System Preferences utility.

NOTE

The kind of alert sounds you add to the system will be Built-in, just as the alert sounds that are preinstalled.

Working with the Date and Time

The Date & Time pane of the System Preferences utility enables you to set and maintain your system's time and date (see Figure 8.6). You can set the time and date manually, or you can use a network timeserver to set and maintain your system's time and date for you.

Figure 8.6. Mac OS X's time and date features are similar to those in previous versions of the OS.

To set your system's date and time, do the following:

  1. Open the Date & Time pane of the System Preferences utility.

  2. Click the Time Zone tab and use the map to set your time zone. Drag the highlight bar over your location to choose the correct time zone. Then, use the Closest City pop-up menu to choose the specific time for the area in which you are located.

  3. If you are going to use a network timeserver to maintain the time and date for your machines, click the Network Time tab. Generally, you should use a timeserver to keep the time on your Mac correct. You can use a timeserver on your local network or one on the Internet.

  4. Check the "Use a network time server" check box.

  5. Choose one of the timeservers available on the NTP Server pop-up menu or select the entry in the NTP Server file, delete it, and enter the address of the timeserver you want to use. One of the preconfigured timeservers is Apple's timeserver at time.apple.com.

  6. Click the Menu Bar Clock tab. Use the check boxes and pop-up menu to set the properties of the clock at the right end of the menu bar.

  7. If you want to set the time and date manually, click the Date & Time tab (you must turn off Network Time Synchronization on the Network Time tab to do this). Use the straightforward controls to set the date and time.

  8. Quit the System Preferences utility.

NOTE

You can find the official time for any time zone in the United States at www.time.gov.

TIP

To change network timeservers, you must first stop time synchronization and then restart it after you have entered the address of the new timeserver you want to use.

Controlling Your Mac's Speech

You can use the Speech pane of the System Preferences utility to control two aspects of how your Mac uses speech (see Figure 8.7). Speech recognition enables you to speak commands to your Mac; Spoken User Interface controls how your Mac reads the text in windows and dialog boxes or in documents from applications that speak text.

Figure 8.7. The Speech pane of the System Preferences utility enables you to communicate with your Mac by speaking and listening.

To configure speech recognition on your Mac, click the Speech Recognition tab and use the controls to configure how speech recognition works. On the On/Off tab, turn on speech recognition and then use the Listening tab to configure how your Mac listens to commands. Use the Commands tab to select the commands that are available when Speakable Items is turned on. Additional information about this feature is beyond the scope of this chapter. However, you might want to explore it to see whether it is useful to you.

TIP

To see what commands you can speak, turn Speech Recognition on. The feedback window will appear after speech recognition is on. Click the arrow at the bottom of that window and choose Open Speech Commands window. In the Speech Commands window, you will see the list of commands you can speak. When you open an application that supports speech recognition, that application will appear in the Speech Commands window and you can see the list of spoken commands that it supports.

If you double-click the feedback window, it will move to the Dock.

If you use applications that support Text-to-Speech, those applications can read text to you. To configure the voice that they use, open the Default Voice tab of the Speech pane of the System Preferences utility. Choose the voice from the Voice list and then set the rate at which the voice speaks using the slider. You can click the Play button to hear a sample.

Use the Spoken User Interface tab to configure spoken feedback from the system. You can use the Talking Alerts controls to configure specific phrases that are spoken to you and the voice that is used to speak those phrases. You can also choose to have a voice speak to you when any of the following events occurs:

  • An application requires your attention. With this feature enabled, when an application needs your attention, you will hear an audible warning.

  • There is text under the mouse. You must be using an assistive device configured on the Universal Access pane to use this feature. When it's enabled, you will hear the text under your pointer.

  • Text is selected and the key is pressed. When you enable this feature and press the key combination you select, your Mac will read to you any text you have selected.


Using the Color Picker to Choose Colors

There are many areas in which you will choose colors to use for certain things, such as when you apply colors to text or when you apply a color to the background of a Finder window. To apply colors, you use the Color Picker (see Figure 8.8). Within applications, you use the Colors panel to apply colors to text and images.

Figure 8.8. The Color Picker enables you to create and apply custom colors to selected elements, such as to the background of a Finder window.

TIP

How you open the Colors panel depends on the application you are using. However, in some applications, such as TextEdit, you can open it by pressing Shift+ [image] +C.

There are five modes in the Color Picker, which are represented by the five buttons along the top of the window. From left to right they are the Color Wheel, Color sliders (including Cyan Magenta Yellow Black [CMYK], Crayon, Hue Saturation Balance [HSB], Gray Scale, and Red Green Blue [RGB]), Palette colors, Spectrum colors, and the Crayon Picker. Each of these modes works similarly. Select the mode you want to use, and the controls in the Color Picker window will change to reflect the mode you are in. Use the mode's controls to select a color to apply (you can use the Original and New areas to compare the new color to the current one). When you want to apply the color, click OK.

NOTE

The Colors panel you see within particular applications might have the same or slightly different modes.


Controlling Open Applications

Mac OS X provides several ways to control open applications.

  • You can switch among open applications by clicking the icon of the open application to which you want to switch on the Dock or by using the [image] +Tab or Shift+ [image] +Tab keys (the currently selected application's icon will be highlighted on the Dock as you press the [image] +Tab or Shift+ [image] +Tab key combination). If the Dock is hidden, it will appear when you use these keys.

  • Hide applications quickly by pressing [image] +H or by choosing the Hide command on the application's Application menu.

  • Quit an open application by holding down the Control key while clicking the application's icon on the Dock. From the pop-up menu, choose Quit.

  • There are several ways to force a hung application to quit. Press Option+Command+Esc to open the Force Quit Applications window, choose the application you want to quit, and click Force Quit (see Figure 8.9). (If an application is hung, its name will appear in red in the Force Quit Applications window.) Open the Process Viewer application (Applications/Utilities), select the application you want to quit, and choose Processes, Quit Process (or press Shift+ [image] +Q). Use the Unix kill command along with the process number of the application you want to force to quit.

    Figure 8.9. You can force an application to quit by opening the Force Quit Applications window, selecting the application you want to quit, and clicking Force Quit.

TIP

When you select the Finder in the Force Quit Applications window, the Force Quit button becomes Relaunch—the Finder must always be running when you are using Mac OS X.

To learn more about the Process Viewer, see "Using the Process Viewer to Understand and Manage Processes," p. 817.

To learn more about using Unix commands, see Chapter 9, "Unix: Working with the Command Line," p. 213.


Using Disks and Discs

Working with hard drives, CDs, DVDs, and other similar types of storage devices is quite similar under Mac OS X to what it was under Mac OS 9. The following bullets provide information about some useful disk-related tasks:

  • You can control whether mounted disk and volume icons are automatically shown on the desktop using the Finder Preferences window (choose Finder, Preferences). Check the "Show these items on the Desktop" check boxes to show icons on the desktop or uncheck them to keep those icons from appearing on the desktop. (If you chose not to have disk icons mounted on the desktop, you can access the mounted disks and volumes using the Computer directory.)

  • You can eject removable disks by dragging them to the Trash, or by selecting them and choosing File, Eject, pressing [image] +E, using the contextual menu Eject command, or by using the Eject icon that you can place on the Finder toolbar.

    TIP

    When you select a mounted volume (such as a CD), the Trash icon becomes an eject symbol to indicate that you are unmounting a volume rather than deleting it.

  • To configure the action that happens when you insert CDs or DVDs, use the CDs & DVDs pane of the System Preferences utility. You can configure what happens when you insert blank media or when you insert "full" discs. When you configure what happens when you insert "full" discs, your options are to have a selected application open (such as DVD Player when you insert a video DVD), to cause an AppleScript to run, or to do nothing (which Mac OS X calls Ignore).

  • To erase a disk under Mac OS X, you use the Disk Utility application (Applications/Utilities). Open the application, select the disk you want to erase, click the Erase tab, choose the format on the Volume Format pop-up menu, enter the volume name, and click Erase.

  • Disk Images are a file type that mimics the behavior of a disk. When you open a disk image, it acts just as if it were a real disk. Disk images are most commonly used to distribute applications. Disk images are mounted using the Disk Copy application (Applications/Utilities). When a disk image is mounted, you can open it as you would a physical disk, eject it, and so on.

To learn how to configure the action when you insert blank media, see Chapter 23, "Understanding and Using Data Storage Devices," p. 687.

To learn how to use the Disk Utility to format and partition a disk, see "Initializing and Partitioning a Hard Drive," p. 692.

To learn more about disk images, see "Installing Mac OS X Applications," p. 123.


Controlling System Startup

Under Mac OS X, you can use several startup options. The most straightforward way is to use the Startup Disk pane of the System Preferences utility to choose a startup volume. There are other ways you can control system startup as well, such as choosing a startup volume during the startup process, starting up in the single-user mode, and starting up in the verbose mode.

Choosing a Startup Volume with System Preferences

The Startup Disk pane of the System Preferences utility enables you to choose a startup volume. Open the pane and you will see a list of the valid startup volumes on your machine. Select the volume from which you want to start up and click Restart. You will be prompted to confirm this action by clicking the Save and Restart button. Your selection will be saved and your Mac will start up from that volume.

Choosing a Startup Volume During Startup

Under Mac OS X, you can choose the startup volume by holding down the Option key while the machine is starting up. When you do, you will see a window that displays each of the valid startup volumes on your machine. The currently selected startup volume will be highlighted. You can choose a startup volume by clicking it and pressing Return (you can also click the right-facing arrow icon to choose the startup volume).

TIP

You can refresh the list of valid startup volumes by clicking the circular arrow button.

Starting Up in Single-User Mode

The single-user mode starts up your Mac in a Unix-like environment. In this environment, you can run Unix commands outside of Mac OS X. This can be useful in a couple of situations, mostly related to troubleshooting problems.

To start up in single-user mode, hold [image] +S while the machine is starting up. You will see many system messages that report on how the startup process is proceeding. When the startup is complete, you will see a date and time message, and near that you will see the localhost Unix prompt.

NOTE

During the startup process, you are likely to see some information that doesn't make a lot of sense to you unless you are fluent in Unix and the arcane system messages you see. You will also probably see some odd error messages, but I wouldn't worry about them too much. However, if you have particular problems you are trying to solve, some of these messages might provide valuable clues for you.

One of the more useful things you can do is to run the Unix disk-repair function, which is fsck. At the prompt, type

/sbin/fsck –y

and press Return. The utility will check the disk on which Mac OS X is installed. Any problems that it finds will be reported and repaired (if possible).

You can use many other Unix commands at this prompt, just as if you were using the Terminal application from inside Mac OS X.

To learn more about using Unix commands, see Chapter 9, "Unix: Working with the Command Line," p. 213.

To resume the startup process in Mac OS X, type the command exit and press Return. You will see yet even more arcane Unix messages and then the normal Mac OS X startup process will continue. When that process is complete, you will end up at the Login window or directly in the Mac OS X desktop, depending on how your Login preferences are configured.

Starting Up in Verbose Mode

If you hold down [image] +V while your Mac is starting up, you will start up in the verbose mode. In this mode, you will see all sorts of system messages while the machine starts up. The difference between verbose mode and single-user mode is that the verbose mode is not interactive. All you can do is view the system messages; you can't control what happens. Many of the messages you will see will probably be incomprehensible, but some are not (particularly messages about specific system processes starting up). This mode is likely to be useful to you only in troubleshooting. And even then, the single-user mode will probably be more useful because it gives you some control over what is happening.


Installing and Using Mac OS X Fonts

Mac OS X offers improved fonts and font support as compared to previous versions of the Mac OS. The Quartz graphics layer renders Mac OS X fonts clearly at any size and makes it simple to use special font features such as kerning controls, ligatures, and so on. You control fonts within applications using the new Font panel. The Font panel offers lots of useful features such as the ability to create and use sets of your favorite fonts.

To learn how to work with fonts using the Fonts panel, see "Working with Mac OS X Format Menus," p. 130.

Mac OS X includes a large number of high-quality fonts in the default installation. And you can install additional fonts you want to use. Installing fonts under Mac OS X isn't much different than it was under previous versions of the Mac OS.

One difference between Mac OS X fonts and Mac OS 9 fonts is that in Mac OS 9, fonts contain both a resource and data fork. In Mac OS X, fonts contain only a data fork. Fonts with the file extension .dfont are single-fork files, meaning that all the data for that font is stored in the single fork of its file. This is the "native" Mac OS X font format. However, under Mac OS X, you can also install and use any of the following types of fonts:

  • TrueType fonts (.ttf)

  • TrueType collections (.ttc)

  • OpenType fonts (.otf)

  • Fonts and font suitcases used by Mac OS 9 and earlier versions of the Mac OS (these might or might not have a filename extension)

NOTE

One of the advantages of Mac OS X font files being able to provide all their information in a single fork is that these fonts can be shared with operating systems that do not recognize files with resource forks (Windows, Unix, and so on).

There are two locations in which you can install fonts that you want to be available under Mac OS X. To make a font available to everyone who uses your Mac, log in under an Administrator account and install the font in the directory Mac OS X/Library/Fonts, where Mac OS X is the name of the your Mac OS X startup volume. Within this directory, you will see at least two types of font files. Those with the filename extension .dfont are the single-fork font files. You will also see fonts whose names do not have a filename extension.

NOTE

Under Mac OS X, you can install or remove fonts while applications are open; fonts you install instantly become available to the system and any applications you are running.

To make a font available only to specific users, install the font in the following directory: users/shortusername/Library/Fonts. Within a user's Library directory, you will also see the FontCollections directory and the FontFavorites.plist file (this file exists only if the user has created font favorites). The FontCollections directory contains the set of font collections that are available to the user in the Font panel. The FontFavorites.plist file is a preference file that contains the user's favorite fonts, which are also selected using the Font panel.

NOTE

Any user can install fonts into the Fonts folder in the Library folder in their Home directory.

If you have fonts installed on your Mac OS 9.2 volume that you want to be able to use with Mac OS X applications, simply drag those fonts from the Mac OS 9.2 Fonts folder to the Mac OS X System Fonts directory or to the Fonts directory within a user's Home directory.

To make a font available to a Mac OS X application, it must be installed in one of the Mac OS X Font directories; similarly, for a font to be available to Classic applications, it must be installed in the Fonts folder in the Classic startup volume you are using.


Logging In As Root

Because Mac OS X is based on Unix, there is a user account on every Mac OS X machine called root. The root account has permission to do everything that is possible; the root account permissions go way beyond even the Administrator account permissions. Because of this, logging in under this root account is very powerful, and it is also dangerous because it isn't that hard to mess up your system, delete directories (whether you intend to or not), and so on. However, because you will sometimes need to log in under the root account to accomplish specific tasks, you should understand and become comfortable with it.

You should be logged in under the root account only for the minimum time necessary to accomplish specific tasks. Log in, do what you need to, and then log out of root again. This will minimize the chance of doing something you didn't intend to do because you forgot that you were logged in under root.

CAUTION

Be careful when you are working in your Mac under the root account. You can cause serious damage to the system as well as to data you have stored on your machine.

The root account is a very special user account, but it is still a user account. The full name of the root account is System Administrator and its short name is root. One difference between the root accounts and other accounts is that the root account exists without your having to create it. However, you have to activate the account and assign a password to it before you can begin using it.

You can activate the root account and create a password for it by following these steps:

  1. Log in to the Mac.

  2. Open the NetInfo Manager application (Applications/Utilities).

    NetInfo Manager is a very powerful system administration application; to learn more about it, see "Using NetInfo Manager to Administer Your Network," p. 746.

  3. Authenticate yourself as an administrator by clicking the Lock icon and entering user account information for an administrator account.

  4. Scroll in the center pane of the window until you see users and select it. In the right pane of the window, you will see the user accounts configured on your machine, one of which will be the root account.

  5. Select the root account. The root account's information will be shown in the bottom pane of the window (see Figure 8.10).

    Figure 8.10. You can use the NetInfo Manager to configure user accounts, including the root account.

  6. Double-click the asterisk in the Value(s) column for the root account and when it becomes highlighted, press Delete and then Return to remove it. This clears the password for the root account so that you can access it.

  7. Choose Domain, Save Changes.

  8. Click Update this copy.

  9. Quit the NetInfo Manager application.

  10. Log out.

    CAUTION

    In order to do the next step, you must have the Login window set to show name and password entry fields rather than the list of users with accounts on your machine so that you can type in the user account name. Use the Login Options tab of the Accounts pane of the System Preferences utility to set this.

  11. In the Login window, type root for the Name, leave the password blank, and press Return. You will be logged in under the root account.

  12. Open the Accounts pane of the System Preferences utility.

  13. Select the System Administrator account and click Edit User.

  14. Click in the New Password field and then enter the new root password in the New Password and Verify fields. (By the way, you can't have a password hint for the root account.)

  15. Click Save.

  16. If you see a dialog box about changing your Keychain, click OK.

  17. Log out.

After you have activated the root account and created the root password, you can log in under the root account by performing the following steps:

  1. Log out of the current account.

  2. Log in using root as the username and the password that you created as the root password.

  3. Confirm that you are logged in as root by opening the Home directory; you will see root as the username (see Figure 8.11).

    Figure 8.11. When you can see the Home directory for the root user, you are logged in as root.

NOTE

The root account does not appear in the list of user accounts on your machine. If you configure the Login window to display this list instead of the Name and Password fields, you won't be able to log in under the root account because you can't see the account on the list.

The Home directory for the root account is stored in the location Mac OS X/Private/ var/root, where Mac OS X is the name of your Mac OS X startup volume. If you open this directory, you will see that it contains only two standard directories: Desktop and Library.

Because the root account has unlimited permissions, you can add or remove files to any directory on your Mac, including those for other user accounts. You can also make changes to any system file, which is where the root account's power and danger come from.

Use the root account only when you really need to. Make sure that other people who use your Mac do not know the root password, or you might find yourself with all sorts of problems.

TIP

You can also log in to the root account directly in the Terminal window to enter Unix commands using the command line. This can be a faster way to enter a few commands if you are comfortable with command-line interface.


Exploring Mac OS X

If you have read most of this book to this point, you have already explored quite a bit of Mac OS X and have seen how its structure and organization differ from previous versions of the Mac OS. The purpose of this section is to give you an overview of the Mac OS X system so that you are familiar with its most important parts from a holistic perspective.

Starting from the top level or root of the machine is the Computer directory. As you learned earlier, this directory contains each of the volumes that are mounted on your machine as well as the Network folder.

In this section, I refer to the Mac OS X startup volume as the Mac OS X volume (a clever feat on my part, eh?). If you have named your Mac OS X startup volume something different from this, you need to swap your name for mine in order to understand my references to system items.

If you open the Mac OS X volume, you will see the following four system directories: Applications, Library, System, and Users.

NOTE

The sections that follow assume that you log in under the Administrator or other user account. If you log in under the root account, you will see a fifth directory under the Mac OS X volume. This is the Private directory and contains various files and folders you will probably never have to work with. If you are very comfortable with using the root account, you can explore this directory; however, be careful not to change anything unless you really know what you are doing.

The Applications Directory

As you know from Chapter 6 and other chapters, the Applications directory is the default installation directory for all Mac OS X applications. This directory contains application package files as well as application folders and folders that contain other applications (such as the Utilities directory). Mac OS X includes a large number of applications in this directory by default, and you will generally install all other Carbon or Cocoa applications in this directory as well.

The Library Directory

The Library directory contains system-level Library resources that are modifiable when you are using an Administrator account. As you saw earlier in this chapter, one of the directories in this directory is the Fonts folder in which you store the fonts that are available to all user accounts. However, this directory contains many more directories than just this one, such as the Sounds directory that you also learned to change earlier in the chapter. Basically, any system-level resources that can be changed (without logging as root) are stored in this Library directory. Some examples are the following:

  • Application Support This directory contains files that provide various kinds of support to specific applications. For example, the StuffIt Engine that provides services to several StuffIt applications (such as StuffIt Expander) resides here.

  • Desktop Pictures These graphics files are available for you to use as desktop pictures, which you configure using the Desktop pane of the System Preferences utility.

    TIP

    As you might expect, you can add your own images to this file to make them selectable from the Desktop pane of the System Preferences utility. Just place the image file in this folder and you will see it among the available choices in that pane. This has the effect of "permanently" installing an image that you like to use on your desktop on the Desktop pane.

  • Documentation This is an interesting directory; it contains documentation and support files for various services that are part of Mac OS X. For example, you can find files for the Mac OS X help system here as well as information about Unix services such as SendMail and Apache. Applications can also add documentation here as well. You should explore this folder to see what documentation is available to you here.

  • Internet Plug-ins This directory contains plug-ins that are accessible to Internet applications you have installed on your system.

  • Preferences System-level preferences (as opposed to user-level preferences) are stored here. Examples are Software Update preferences (com.apple.SoftwareUpdate.plist) and login window preferences (loginwindow.plist).

  • Printers This directory contains the printer drivers. Mac OS X includes native support for many printers and the drivers for any printers you add to the system will also be stored here. Within the directory, the drivers are organized into folders, one for each brand of printer that is installed.

  • Receipts This is another interesting directory you should explore. It contains various packages for applications and software updates you have installed on your machine, such as OS updates that you install using the Software Update feature of the OS. You can reinstall these updates or applications by running one of the packages you find here.

    TIP

    When you download a system update using the Software Update, you can run its package to read about what was installed. Launch the update's installer, and move to the readme page to read about that update.

  • StartupItems This directory contains startup services that are available on the system-level. For example, when you configure a firewall, the files it needs to start up when the system does are installed in this directory. If you haven't installed any startup services, you won't see this directory.

The System Directory

The System directory contains the basic software that makes the system work. Within it, you will see one directory, which is the Library directory (not to be confused with the Library directory on the root level of the Mac OS X volume).

NOTE

The System directory is the most analogous to the System Folder in previous versions of the Mac OS. However, the System Folder was really more a combination of the System and Library directories under Mac OS X.

This Library directory contains the fundamental operating system files that provide the services needed to make Mac OS X work. It contains many directories; you can't modify these directories without being logged in as root. And there aren't really many times when you will need to access to the files and directories that are stored here.

Examples of the directories contained in the System's Library are the following:

  • ColorPickers These files provide the Color Picker services you learned about earlier in this chapter.

  • Components Component files (filename extension .component) provide various system services such as AppleScript support and the Sound Manager.

  • CoreServices As its name implies, this directory contains files that provide core services to the operating system, such as the Dock, Finder, Help Viewer, Login window, and so on. Several of the items in this directory are applications, including the Finder and Dock.

  • Extensions Although extensions in the traditional Mac OS sense are not part of Mac OS X, there are Mac OS X extensions. These files provide support to various hardware devices and hardware-related services. Mac OS X extension files have .kext as the filename extension (which stands for Kernel extension).

  • Fonts This Fonts directory provides the fonts that are fundamental to the system, such as those that are used in the menu bar.

  • Frameworks As you learned back in Chapter 1, Mac OS X frameworks are the subsystems within the OS that provide various services. The files related to these frameworks are stored in the Frameworks directory. Examples of frameworks installed in this directory are AppleShare, Cocoa, Java, QuickTime, and Security.

  • OpenSSL Secure Sockets Layer (SSL) is the most common encoding scheme used to securely transmit data over the Internet. This directory contains information related to SSL on your machine, such as the various SSL certificates you have installed.

  • PreferencePanes This directory contains the panes in the System Preferences utility such as for the date and time (DateAndTime.prefPane), dock (Dock.prefPane), keyboard Keyboard.prefPane), and QuickTime (QuickTime.prefPane). Theoretically, third-party preference panes could be added to this directory to be added to the System Preferences utility.

  • Sounds As you learned earlier in this chapter, this directory contains the alert sounds that are available to all the users on your machine.

  • StartupItems This directory contains additional system services that become active when the system starts up. Examples include AppleShare, Network services, and so on. Unlike the StartupItems directory in the top-level Library, there are many startup items isted in this directory, such as the Apache Web server, AppleTalk, Network services, and so on.

The Users Directory

The Users directory contains the Home directory for each user account configured on your machine. Within this directory, you will see a directory for each active user account, a directory for the user accounts you have deleted, and the Shared directory for items that can be shared.

NOTE

The one user directory you won't see is the root directory. That is hidden except when you are logged in as root.

To learn more about the contents of a user's Home directory, see "Understanding the Home Directory," p. 19.


Chapter 9. Unix: Working with the Command Line

In this chapter

A Command Line with the Mac OS?

Learning Unix by Example

Working with Basic Unix Applications

Mac OS X to the Max: Unix Resources


A Command Line with the Mac OS?

As you learned earlier in the book, Mac OS X is running on top of a version of the Unix operating system. This means that Mac OS X can use many of the Unix applications that are available. It also means that you can enter Unix commands directly in the command-line interface to manipulate your system. In fact, in some situations, using a Unix command might be the only way you can accomplish a task (such as deleting a rogue file that you can't delete by dragging it to the Trash).

Unix is a very powerful language/operating system; however, it is also enigmatic and many of its commands require you to use complicated syntax with the commands in order to get them to work properly. Unix commands are incomprehensible to most people by just looking at them, so don't expect to be able to figure out how a particular command works without some help. Mostly, you will learn about commands you want to use from various Unix resources (such as this chapter, other books, Web sites, and Unix manual pages). You might find using the command line to be so counter to the traditional Mac interface experience that you don't want to use it; if so, that is fine because there aren't that many situations in which it is required in everyday Mac use. However, if you want to master Mac OS X, you should become familiar with the command line and learn some basic Unix commands. You might find that Unix provides you with ways of doing things that are both powerful and efficient.

There is so much you can do with Unix that there is no way you can learn how to work proficiently with it in the few pages of this chapter. To become even remotely fluent in Unix, you will need to do some additional learning outside of this chapter. What you can learn here is generally how the command-line interface works, and you can also learn how to use some basic Unix commands as examples. In the "Mac OS X to the Max" section at the end of the chapter, I provide references for you so that you can learn more about using Unix if you choose to.

Terminal

You use the Terminal application (Applications/Utilities) to enter Unix commands in the command-line interface (see Figure 9.1). The Terminal window is simple; all you see are your last login date and time, a Welcome message, the hostname, the user account under which you are logged in, and the command prompt.

Figure 9.1. The command-line interface in Terminal isn't much to look at, but it is very powerful.

NOTE

Hostname is the name of the machine that is hosting your Unix session. When you are running a Unix session from your local machine, this will be localhost for most default configurations.

Shells

In Unix, the shell is the user interface you use to interact with Unix. You can use different shells for the same set of Unix tools; each shell will have slightly different features, but they all work somewhat similarly (although the specific commands you use can be different). You can change the specific shell you use if you find one that offers features in which you are interested.

The default shell for working with Unix under Mac OS X is called tcsh. Other shells are available, but tcsh is a good place to get started.

NOTE

You can install other shells on your Mac in order to work with them. After you download and install the shell, you use the Shell pane of the Terminal's Preferences window to set the shell you want to use. The details of using different shells are beyond the scope of this chapter. See some of the references listed at the end of this chapter for help.

Unix Command Structure

To enter commands, you type them at the prompt. All Unix commands use a specific syntax and consist of the following three parts:

  • Command

  • Options

  • Argument

The command is the specific action you want to take, such as listing the contents of a directory using the ls command.

You can enter options for that command to make the command work in a specific way. To add an option to a command, you type a hyphen followed by a letter. The options you can use are specific to each command. For example, when used with the ls (list) command, the -l option tells Unix to list the contents of the directory in the long format.

The argument is the "thing" on which the command will be executed such as a file or directory. For example, to list the contents of a directory called mydirectory, the argument would be that directory name and the path to that directory.

When you enter specific commands, you might not use options or arguments; in some cases, you won't use either and will simply enter the command by itself.

NOTE

Unix is case sensitive, so you must always follow the case conventions for specific commands. Most of the time, you will type everything in lowercase letters for commands and options, but paths can include both uppercase and lowercase letters.

You can run several commands in sequential order by separating the commands by a semicolon as in command1; command2. Each command will be activated in the order in which you list them.

You can send the output of one command to be the input of another command by separating them with the pipe symbol (|) as in command1 | command2, which is called "piping."

When entering commands, you will frequently need to use the path to a directory or file you want to manipulate. The path is the means by which you locate yourself in the hierarchy; levels of the hierarchy are indicated by the slash (/). Also, Unix uses relative pathnames. When you refer to something within or below the current directory, you only need to enter the portion of the path from the current directory to the subdirectories and files rather than the full path from the top level of the hierarchy. For example, to refer to a directory called mac_files within a directory called user_docs when you are currently in the user_docs directory, you would enter the path mac_files. When you want to move above or outside of the current directory, you must type the full path. In Unix, full paths always start with /.

NOTE

The full path to your Home directory is /macosx/Users/shortusername/, where macosx is the name of your Mac OS X startup volume and shortusername is the short username for your account. However, because you can use relative paths, you can leave out the first / and the name of your Mac OS X startup volume to get to this directory. You need to add only the volume name when you are working outside the current volume.

Unlike GUIs, Unix does not like spaces in filenames, volume names, or paths. To enter a space in one of these, use the backslash (\) followed by the space. For example, to refer to the volume called Mac OS X, I would enter /Mac\ OS\ X.

To get to the root of the startup volume, the path is simply /. However, unless you are logged on under the root account, you won't be able to do anything with the files and directories you see using a command line because of the system security.

One of the best ways to get familiar with entering pathnames is to drag items from a Finder window onto the Terminal window. When you do so, the pathname to that item will be entered in the Terminal. You can use this trick to make entering paths easier because you can drag the item onto the prompt after you have entered a command and option to quickly add the argument to complete the command. And, after you drag several onto the window, you will get a good idea of how to type pathnames at the prompt manually.

  1. In a Finder window, open the Home directory for your user account.

  2. Open a new Terminal window from within the Terminal application by choosing File, New Shell. A new Terminal window will appear.

    TIP

    When using the Terminal, you can have multiple windows open at the same time. Each window is independent so you can have multiple sessions running independently. You can save each session separately too, which you will learn about later in this chapter.

  3. Drag the Documents directory from the Finder window onto the new Terminal window. The path to the directory will be shown at the prompt (see Figure 9.2).

    Figure 9.2. You can quickly enter a path at the prompt by dragging an item from a Finder window onto the Terminal; in this case, I dragged the Documents folder from my Home directory onto the Terminal window.

NOTE

If you deal with Unix systems outside of Mac OS X, you will notice that paths almost never include spaces. Unix can have trouble properly interpreting spaces, so you can run into problems if the path you want to use includes spaces. Generally, if you plan on using Unix frequently, you should include underscores when you name your files and directories instead of spaces. Or, you can simply drag the object into the Terminal window and let the Mac enter the path for you. Spaces will be replaced by a backslash and a space (\ ).

To see examples of specific Unix commands, see "Learning Unix by Example," p. 218.

Unix Applications

Because Unix has been around so long, thousands and thousands of Unix applications are available. You can run many of these under Mac OS X, and the OS includes several of these applications as part of the standard installation. For example, the Apache Web server application enables you to host your own Web pages. Mac OS X comes with a couple of Unix text editors, which are vi (Visual Editor) and emacs (an abbreviation of editing macros).

To get some examples of running these Unix applications, see "Working with Basic Unix Applications," p. 226.

Shell Scripts

You can invoke a series of commands using a Shell script; you can save the script and run it at any time to save yourself from having to retype the commands over and over. You create a script using the same syntax as in regular Unix commands; the difference is that you save those commands to a text file. When you want to run the commands, you execute the file instead. You can also run scripts that others have written just as easily.

The details of writing and running scripts are beyond the scope of this chapter. See the references listed at the end of this chapter for information about creating and using shell scripts.

Unix Flavors

Finally, you should be aware that there are different versions of Unix. And, there are different releases of different versions as well. When it was released, Mac OS X included version 4.4 of the Berkeley Software Distribution (BSD) version of Unix. As this version is updated, the version that is part of Mac OS X will be updated as well.


Learning Unix by Example

Many, many Unix commands are available, and there is no way you can do more than scratch the surface in this small chapter. However, you can learn how Unix commands work in general by trying some specific examples of useful Unix commands.

To learn about references in which you can learn more Unix commands, see "Learning Unix," p. 230.

Each of the following sections provides information about specific commands. For each command, you will see four areas of information about that command. First, you will read a general description of what the command does. Second, you will see the command's syntax and some of the useful options for that command. Third, you will see a more specific description of the command's effect. Fourth, you will see the steps you can take to use the command.

NOTE

For the commands in this section, you won't see all or even many of the options that are possible for each command. You will need to access a more detailed reference for that kind of information, such as the command's manual pages.

Learning About the Environment

When you are troubleshooting, it can be helpful to understand the environment in which you are running Unix. You can use the uname command to get information about the computer on which you execute the command. Or, you might need to check this information to make sure some software or hardware is compatible with your system.

Command: uname

Options: -a provides all the information about your machine; -s shows the operating system name; -n lists the machine name

What it does: Provides information about various aspects of the machine on which you are running Unix

  1. Launch the Terminal application and at the command prompt, type uname -a and press Return. You will see various items of information about your machine, such as the core operating system (Darwin), hostname (localhost), version of the kernel you are running, and so on (see Figure 9.3).

    Figure 9.3. The uname command provides information about the machine on which you are running Unix.

  2. Type uname -s and press Return. You will see only the core operating system (Darwin).

  3. Type uname -n and press Return. You will see the name of the machine hosting the Unix session.

Command: env

What it does: Provides extensive information about your Unix session (your Unix environment)

Type env and press Return. You will see information including your Home directory, the shell you are running, the username you are using, the language being used, the application you are using to enter Unix commands, and so on. This information can get pretty extensive; scroll up the window to just below where you entered the command to see the more meaningful parts.)

Viewing the Contents of Directories

You will frequently need to move up and down the directory structure to work with specific files or other directories. Unix has many commands that enable you to do so.

Command: pwd

What it does: Shows you the full path to your current location

Use the pwd command when you aren't sure about the directory in which you are currently located. When you use the command, you will see the full path in which you are working. This can be helpful as you move around the directories if you become confused about where you are.

Command: cd pathname

What it does: Changes your directory location to the one in the path pathname

NOTE

When a specific command is listed in a step, you should ignore the period at the end of the command. For example, in the following steps, don't type the period after the command cd music in Step 1.

  1. Type cd Music. The prompt will change to [localhost:~/Music] to indicate that you are in the Music directory in your Home directory.

    TIP

    Remember that the ~ represents your Home directory, so ~/Music means that you are in the Music directory that is within your Home directory. This can help you take some shortcuts when entering paths as you will see in the next step.

    Also remember that the forward slash (/) in a path indicates a change in level in the hierarchy. If you are in your Home directory and type cd /Music, you will get a message telling you that no such directory exists. When you enter the forward slash, Unix looks back to the highest level in the structure and there is a directory called Music in that directory. Leaving the / out indicates that Unix should look in the current directory, which is where the directory is actually located.

  2. Type cd /Users/shortusername, where shortusername is the short username for your account. This will move you back into your Home directory. You include the /User/ because you are moving above the Music directory and so need to include the full pathname.

NOTE

In a pathname, the tilde character (~) indicates that you are in your Home directory. In the previous step, you could have just entered cd ~ to move back into your Home directory.

Command: ls

Options: -F differentiates between files and directories; -l shows full information for all the files in the directory

What it does: Lists the contents of a directory in various formats and with various information

NOTE

Note that while most commands and options are in lowercase, they aren't always. For example, the -F option is different from the -f option (both are valid for the ls command).

  1. Use the cd command to move into the directory of which you want to see the contents.

  2. Type ls. You will see a multiple-column view of the directory; files and directories are listed by name.

  3. Type ls -F. You will see the same list as before except that now directories are indicated by a / after their names.

  4. Type ls -l. You will see the contents of the directory listed along with plenty of information about each file and directory within the current directory. If there are many items, the information will scroll so quickly that you might not be able to see all of it. This is a good opportunity to see an example of piping two commands together.

  5. Type ls -l | more. This time, the same list will appear, but the display will stop when the screen is full and you will see the more prompt at the bottom of the window. Press the spacebar to see the next screenful of information (see Figure 9.4). You can also scroll the window using the scrollbars to see all the items in the window.

    Figure 9.4. Listing a directory using the ls -l command provides detailed information about each item in that directory.

TIP

If you type the command ls –la, you will also see the invisible files in a directory.

The permissions string you see at the start of each item in the full listing indicates how the item can be accessed. The first character indicates whether the item is a file (-) or a directory (d). The next three characters indicate what the owner of the file can do; r is for read, w is for write, and x is for execute. If any of these characters is the hyphen (-), that action can't be taken. The next three characters indicate the permission that the group has to the file. For example, if these characters are r-x, that would mean that other members of the group can read, not write, and execute the file. The last three characters indicate what everyone else can do.

The execute permission applies to a directory. In order to access a directory, you must have both read and execute permission. If you also have w permission, you can change the contents of the directory as well.

Command: file filename

What it does: Indicates what kind of file filename is

Type file, followed by the filename you would like information about, and press Return. Information about the file will be displayed.

Changing the Contents of Directories

You can use Unix commands to change the contents of directories as well. For example, you can delete files using the rm command. This can sometimes be faster than using the Trash. Once in a while, you might not be able to use the Trash to get rid of a file; you can often use the Unix commands to accomplish the task when other means fail.

Command: rm

Options: -i prompts you before deleting each file; -r removes the entire directory

What it does: Deletes everything that you indicate should be deleted

  1. Use the cd and ls commands to find a file you want to delete.

  2. Type rm filename, where filename is the name of the file you want to delete, and press Return. The file will be deleted.

  3. Type rm -i filename and press Return. You will be prompted about removing the file; type Y to remove the file or N to cancel.

  4. Type rm -r directoryname, where directoryname is the name of a directory you want to delete, and press Return. The directory and all its contents will be deleted.

TIP

You can't remove the current directory unless you enter the full path to it.

TIP

The asterisk is a wildcard character. For example, to delete all the files in a directory that have the file extension .tiff, you can type rm *.tiff.

Command: cp

What it does: Copies a file

  1. Type cp filename filenamecopy, where filename is the name of the file you want to copy and filenamecopy is the name of the file to which it will be copied, and press Return. The first file will be copied into a new file that has the second name you typed.

  2. Type cp filename path, where filename is the name of the file you want to copy and path is the location in which you want the copy to be created and press Return. A copy of the file will be placed into the location you specified.

Command: mv

What it does: Moves a file or directory

Type mv filename path and press Return. The file or directory filename will be moved to the location path.

Command: mkdir

What it does: Creates a directory

  1. Use the cd command to move into the directory in which you want to create a new directory.

  2. Type mkdir directoryname and press Return. A new directory with the name directoryname will be created in the current directory.

Using the Manual

All Unix commands have a manual associated with them. This manual lists the syntax for the command and defines its options; manuals can be a good reference when you are using a specific command, but can't remember an option or the command's exact syntax. Many manual pages also provide some explanation about how the command works.

Command: man

What it does: Brings up the manual pages for the command that you enter

  1. Type man ls and press Return. The manual pages for the ls command will appear (see Figure 9.5).

    Figure 9.5. You can get extensive information about any command by using the man command.

  2. Use the spacebar to move to the next page.

  3. Continue reading the manual pages until you have the information you need.

It is a good idea to take a look at the manual pages for any Unix commands you use. Pay special attention to the list of options that are available for the command.

NOTE

Some Unix applications provide manual pages using the help argument. For example, perl--help brings up information about the perl application.

TIP

Pressing the spacebar moves you down the manual page one screen's worth at a time; you can move down a manual page one line at a time by using the Return key instead.

Using Superuser Commands

As you learned earlier in the book, the root account is the fundamental user account that can do anything under Mac OS X. The root account has more access to the system than even an Administrator account does. Using this account can be hazardous to your system because when you are under root, the OS assumes that you know what you are doing and doesn't provide any checks on your activities. It is relatively easy to delete things you don't mean to or to mess up the system itself.

CAUTION

By entering the root account, you can do damage to your system. You should use this only when you really have to, and even then, you need to be very careful about the commands you enter while you are working on the root prompt.

However, when you need to use a specific command at a specific time that you can't do under another user account, it can be helpful to enter commands as root.

Command: sudo

Option: -s, which runs the command in the default shell

What it does: Gets you into the root account so that you can enter a command that you can't enter under another account

For help activating the root account and creating a password for it, see "Logging In As Root," p. 206.

  1. Open a new shell window. The prompt will show the short name of the user account you are logged in under.

  2. Type sudo -s and press Return. If you are using the sudo command for the first time in a session, you will see a warning regarding what you are about to do and will be prompted to enter your password; enter your root password and press Return. If you have logged in as root previously, you won't have to enter the password again. When the sudo command is successful, the prompt will show that you are logged in as root (see Figure 9.6).

    Figure 9.6. The root# prompt indicates that you are logged in under the root account; be careful when you see this prompt.

TIP

To return to the previous account, type exit and press Return.

Killing a Process

When a process goes wrong, it can cause problems, such as hanging, or it might start consuming tremendous amounts of processing power, thus bringing your system's performance to a crawl. Under Mac OS X, there are several ways to stop an out-of-control process. For applications, you can use the Force Quit command. At the process level, you can use the Process Viewer to force a process to quit. You can also use the powerful Unix command kill to stop a running process.

Command: kill ProcessID

Options: -9 kills the process no matter what; -3 quits the process

What it does: Stops the process with the ID number ProcessID

  1. Launch the Terminal.

  2. Type top. You will see a listing of all the processes currently running on your Mac (see Figure 9.7). Use the information in the table to identify the problematic process, such as one that is consuming an unreasonable amount of processing power. You can tell that a process has gone out of control by monitoring its percentage of CPU usage. If this number gets high and stays there, the process is likely hung. Because the information in the top window is dynamic, it is a good idea to open top in a Terminal window and then open another window to enter commands. In this example, assume that Internet Explorer has gone out of control (although as you can see in the figure, it is using only .9% of the CPU so it really doesn't have a problem at this point). In the figure, Internet Explorer's process ID number is 429.

    Figure 9.7. This top window shows all of the processes running on your Mac; you can use the process ID with the kill command to stop any running process.

  3. Open a new shell by choosing File, New Shell ( [image] +N).

  4. Type kill-9 429.

  5. Switch back to the Terminal window showing top. You will no longer see Internet Explorer listed in the process list. You can use the same steps to kill any process by using the process ID of that process.

    You can stop the top process by pressing Ctrl+C.

NOTE

If the process you are trying to kill is an Administrator process, you will have to use the sudo -s command to get into the root account before you use the kill command.


Working with Basic Unix Applications

You learned earlier that several Unix applications are included with Mac OS X. Although you aren't likely to use these instead of your Mac OS X applications for your everyday work, sometimes these applications can be quite useful. For example, you might want to use the vi text editor to create shell scripts. A couple of examples will show you how such applications work.

Editing Text with vi

The Unix application vi is a basic text editor. You can use it to create and edit text files; what it is most useful for is creating shell scripts. You are unlikely to use it to create text documents, but you can use it to create plain text documents if you would like to.

The vi program has two modes: Edit and Command. In the Edit mode, you can enter and edit text. In the Command mode, you issue commands to the program.

  1. Type man vi. Read the manual pages to get an idea of how vi works.

  2. Open a new Terminal window ( [image] +N) and type vi and the name of the text file you want to create, such as vi newtestfile.txt. The program will open, the file will be created in the current directory, and you will see a screen containing tilde symbols in the editing area. At the bottom of the screen, you will see the vi command line.

  3. Type i to enter the Edit mode.

  4. Type your text.

  5. Press Esc to move into the Command mode. While you are in the Command mode, you will hear an alert sound if you try to type anything that isn't a recognized vi command; you will also see a prompt at the bottom of the vi window telling you that the text you typed isn't a recognized command.

    NOTE

    Determining which mode you are in can be confusing. When you enter the Command mode, the cursor will appear to jump back a couple of spaces and the bottom line of the window will be empty. You can then type a command. If you see text on the screen when you type, you are in the Edit mode.

  6. Type :w and press Return to write the text to the file you created. At the bottom of the vi window, you will see confirmation that the text has been written to the file (see Figure 9.8).

    Figure 9.8. The message at the bottom of this vi window indicates that one line of text has been written to the file newtest.txt.

  7. To continue adding text to the file, press a. The command line will disappear and the cursor will become active after the last text you entered.

  8. Continue adding text and writing it to the file.

  9. When you are done, press Esc to enter the Command mode and then type :q and press Return to quit vi. You will return to the command line.

NOTE

To save long manual pages for a command, use the man command on that command and use the spacebar to reveal the entire text of the manual pages. Select the manual text you want to save in a file and choose File, Save Selected Text As. Name the text file and save it. You can then refer to that file when you need help with that command.

Because you have GUI text editors available, you might not want to use Unix text editors such as vi, but for short, plain text documents, such as a shell script, these editors can be useful.

To edit an existing file with vi, type vi filename, where filename is the name of the file you want to edit, and press Return. The file will open and you can begin editing it.

If you intend to use vi, make sure that you read its manual pages in detail; vi has many commands available, but it is unlikely that you will be able to figure them out without help.

Compressing, Uncompressing, and Extracting Files

Unix has some "built-in" programs to enable you to work with compressed files.

  • To compress a file, type compress filename. The file named filename will be compressed and a .Z will be appended to its name.

  • To uncompress a file, type uncompress filename, where filename is the name of the compressed file. The file will be uncompressed.

  • You can also use the gzip compression application by typing gzip filename. Uncompress the file using the gunzip command. Gzip offers various options; check its manual pages to see them.

Many Unix files are archived in the tar (tape archive) format before they are compressed. After you compress such files, you will see a file that has the .tar extension. You can extract a tar file using the command tar xvf filename, where filename is the name of the tar file.

NOTE

Tar also has various options; check its manual pages for help.


Mac OS X to the Max: Unix Resources

Using Unix proficiently will require some additional learning—Unix is a very complex and sophisticated tool that you should become familiar with to master Mac OS X. In this part of this chapter, you will learn the keyboard shortcuts that will help you use the Terminal application more efficiently. You will also find references to Web sites and books that can help you learn Unix in more depth.

Using Terminal Keyboard Shortcuts

Table 9.1 lists keyboard shortcuts for the Terminal application.

Table 9.1. Terminal Keyboard Shortcuts
Action | Shortcut
Enter Selection | +E
Find Next | +G
Find | +F
Find Previous | +D
Jump to Selection | +J
Line Down | +Down arrow
Line Up | +Up arrow
New Command | Shift+ [image] +N
New Shell | +N
Next Page | Spacebar
Next Terminal | +Right arrow
Previous Terminal | +Left arrow
Save Selected Text As | Option+Shift+ [image] +S
Save Text As | Option+ [image] +S
Send Break +.
Set Title | Shift+ [image] +T
Show Info | +I

Learning Unix

The following bulleted list describes Web sites for learning more about Unix:

  • www.uwsg.indiana.edu/usail/

    Site name: Unix System Administration Independent Learning. An online course about administering Unix.

  • www.comp.lancs.ac.uk/computing/users/eiamjw/unix/

    Site name: A Course in the Unix Operating System. Another online Unix course.

  • www.eco.utexas.edu/Help/Unixhelp/TOP_.html

    Site name: Unixhelp for Users. A nicely organized and fairly extensive reference site.

  • www.comet.ucar.edu/strc/unix/index.htm

    Site name: SOO/STRC Unix Resources. A page containing links to other Unix learning sites.

  • http://riceinfo.rice.edu/Computer/Documents/

    Site name: Rice University IT Document Index/. An archive of various PDF docs; there are many on various aspects of Unix.

The following list describes some recommended books for learning more about Unix:

  • Sams Teach Yourself Unix in 10 Minutes

    Author: William Ray. Good "fast and easy" entry into the world of Unix.

  • Sams Teach Yourself Unix in 24 Hours, Second Edition

    Authors: Dave Taylor and James C. Armstrong, Jr. Contains 24 one-hour lessons to get you into Unix.

  • The Complete Idiot's Guide to Unix

    Author: Bill Wagner. Friendly approach to Unix; good if you prefer a less-structured approach than the Sams Teach Yourself books.

  • Special Edition Using Unix, Third Edition

    Author: Peter Kuo. A comprehensive Unix reference. This is a good resource to have when you become comfortable with Unix and want to explore it in great detail.


Part II: Mac OS X: Connecting to the World

10 Connecting Your Mac to the Internet

11 Using an AirPort Network to Connect to the Internet

12 Using E-Mail

13 Surfing the Web

14 Putting Yourself on the Web


Chapter 10. Connecting Your Mac to the Internet

In this chapter

Connecting to the Internet

Choosing Your Internet Connection Technology

Obtaining and Configuring an Account

Configuring Your Mac for Internet Access

Troubleshooting


Connecting to the Internet

The Internet is one of the most significant social and economic movements—it is a movement as much as it is technology—in human history. In just a few years, the Internet (or more simply, the Net) has moved from an obscure scientific and government computer network to become a dominant means of global and local communication, commerce, entertainment, and information.

Finding, installing, and configuring an Internet account can be complex. There are many different technologies you can use to connect to the Net, and there are thousands of Internet service providers (ISPs) from whom you can obtain an Internet account.

The general steps to connect your Mac to the Internet are the following:

  1. Determine the technology you will use to connect to the Internet.

  2. Find an ISP and obtain an account.

  3. Install and configure the modem or other hardware you need.

  4. Configure your Mac to connect to the account you have established.

  5. Test your configuration and troubleshoot any problems you find.

Depending on how you are going to connect to the Net, you might have to do most of these steps yourself or your ISP might handle them for you—at least for the initial installation and configuration. Even if your ISP handles the initial configuration for you, you will need to understand how to reconfigure your Mac when the inevitable happens and you have to reinstall the system, move your account to another Mac, and so on.


Choosing Your Internet Connection Technology

There are six general technologies you can use to connect your Mac to the Internet. These technologies are summarized in Table 10.1 and explained in more detail in the following subsections.

Table 10.1. Internet Connection Technologies
Technology Connection Method Advantages Disadvantages
Dial-up Dial-up modem via standard phone line

Available anywhere Inexpensive Simple configuration

Accessible from any location

Dial-up modem included in all modern Macs

Very slow

Connection must be established each time services are needed

Not as reliable as other connection methods

Can be difficult to achieve maximum performance

Makes phone line unavailable

DSL DSL modem via standard phone line

Broadband connection speeds (both directions)

Always-on connection

Reliable connection

Consistent communication speed

Limited availability

More expensive than a dial-up account

Cable Cable modem via fiber-optic cable

Broadband connection speeds (both directions)

Always-on connection

Reliable connection

Limited availability

More expensive than a dial-up account

Connection speed can fluctuate depending on activity of local cable trunk

ISDN ISDN modem via one or more standard phone lines Slow to fairly fast connection speed depending on number of lines used

Expensive

Not as fast as other broadband connections

Limited availability

Satellite Satellite receiver via satellite dish

Fast download connection

Widely available

Always-on connection

Expensive

Upload connection speed can be limited

Some configurations require a dedicated upload account (such as over a dial-up connection)

Requires more complex installation and setup than other methods

T-1/ Fractional

T-1

Direct cabling from ISP

Fastest connection

Always-on connection

Most reliable connection

Very expensive

Requires complex and expensive installation and configuration

TIP

Some broadband ISPs, such as cable providers, offer dial-up accounts as part of their services to you (some include the cost in the basic account, whereas others charge an additional fee for the dial-up access). Typically, these dial-up services are intended for those times when you are traveling and need to access your account from locations other than those at which the service was initially installed. If you are able to use a broadband connection and will need to access it from multiple locations, check with your ISP to see whether it offers dial-up access to your account.

Generally, you will want to choose the fastest connection method that is available in your area and that you can afford. A broadband Internet connection makes the Internet even more useful when compared to a slower connection (such as a 56K dial-up connection). With broadband, moving large files is practical. For example, with a broadband connection, you can download files as large as 10MB or more in just a few moments. A broadband connection makes downloading even very large files, as much as 100MB or more, practical. Just to give you a reference point about how large the files you download can be, using a cable modem, I have routinely downloaded 400MB and larger files in less than 25 minutes. Try that with a dial-up account!

In addition to making downloading files fast, a broadband connection enables you to experience online video and audio in a fashion quite similar to watching cable TV or listening to a radio. Finally, a broadband connection will enable you to avoid the delays and hassle of waiting for a dial-up account to connect to the Internet each time you want to use it. With a broadband connection, the Internet actually becomes an extension of your desktop.

NOTE

When calculating the cost of an Internet connection, don't forget to include the cost of a phone line that might be dedicated to Internet access. For example, many people who are serious about Net access add a second phone line to dedicate to that purpose. When considering the cost of a broadband connection, such as a cable modem account, don't forget to include the cost of a dedicated phone line as part of the cost of the dial-up account. The cost of a dial-up account and dedicated phone line is usually similar to the cost of a broadband account.

Dial-Up Internet Connections

Even with the rapid rise of broadband connections, the dial-up Internet account is still the most widely used. Because you can access a dial-up connection over standard phone lines, dial-up accounts are available just about everywhere. And because all modern Macs include a dial-up modem by default (you have to choose not to have one included), you don't need any additional hardware to install and configure a dial-up account. Dial-up accounts are also relatively inexpensive and easy to configure.

A primary problem with dial-up connections is that they are slow. Even in the ideal case, a true 56K connection, a dial-up connection is just not fast enough to enable some of the more interesting applications on the Internet, such as video, audio, and moving large files (such as those 3MB or larger). And most of the time, you won't be connecting at your account's maximum speed—phone line noise and other factors often limit the speed you can achieve. Another problem is that you have to establish a connection each time you want to use an Internet service. The connection process can take anywhere from 10 seconds to a minute or more depending on the particular situation. When you frequently need to access Net services throughout the day, the time you have to wait for a connection to be established can be quite annoying, not to mention a waste of your time.

Another problem with dial-up accounts is that they can be quite unreliable. You can experience busy signals and your connection is dependent on the quality of the phone lines between you and your provider. It is not uncommon for Internet sessions to be disconnected in the middle of doing something, such as downloading a file. This can be a huge waste of time, not to mention being quite frustrating.

If you use the Internet as much as most Mac users do, you should use a dial-up account only if one of the broadband connection technologies is not available to you or if you can't afford one of the faster connection technologies.

NOTE

If the Internet is vital to your business or other important activities, you might consider obtaining and maintaining a dial-up account as a relatively inexpensive backup. If your primary connection, such as cable service, goes down for some reason, you can switch to the dial-up account to get on the Net. Some ISPs offer low-cost, low-usage accounts that are suitable for this purpose.

DSL Connection

Digital Subscriber Line (DSL) accounts communicate over standard phone lines through a DSL modem. DSL accounts offer broadband communication speeds and always-on access.

The primary downside to DSL is that the technology requires that you be within a maximum distance from a central office or hub for the telephone company that provides service to your location. This maximum distance is fairly short (usually about 3 miles), and this single factor makes DSL unavailable for many locations. As telephone infrastructures improve, DSL service should become more widely available.

If DSL is available in your location and cable isn't an option, you should consider obtaining a DSL account.

NOTE

You might notice that I am not being specific when I mention connection speeds. This is because most of the connection speeds quoted in advertisements or even in technical information are theoretical maximums. The actual speed you experience will depend on your specific situation and how your account is configured (for example, DSL accounts can offer various speeds). Generally, what you need to think about is whether you are dealing with a broadband connection (such as cable or DSL) or not (dial-up).

Cable Modem

Cable modem access is provided through a cable modem using the same cable over which cable TV service is provided. Cable Internet accounts offer broadband speeds (in fact, the speed of cable accounts is faster than most other technologies) and always-on access.

As with DSL, cable modem service is not available in every location. However, if your area is covered by a cable TV service, there is a good chance that cable modem service is currently offered in your area or soon will be. Because the cable infrastructure is already in place, companies can offer Internet access without making major infrastructure changes.

One downside to cable Internet access is that you share the data pipeline with other users of the service and the cable TV viewers who are on the same cable trunk you are on (such as a neighborhood). This means that the speed you experience is dependent on the load on the system at any point in time (whereas DSL uses a dedicated line to provide service to you so that you always experience the same speed—bear in mind that even at the peak times, cable access is still usually somewhat faster than DSL). Another downside to cable is that it tends to be relatively expensive (typically about $50 per month). And you have to deal with the local cable company; these companies are not noted for having the best service practices.

Even with these downsides (which are relatively minor compared to the benefits), a cable modem account can offer excellent performance and is worth exploring if the service is available in your area.

ISDN

For a time, Integrated Service Digital Network (ISDN) was going to be the thing to make Internet access faster; ISDN access is significantly faster than standard dial-up connections. Because ISDN also uses standard phone lines, it is also widely available.

However, with the rise of cable and DSL technologies, ISDN has largely been pushed to the background. This is primarily because it is a slower connection technology than cable or DSL. To obtain high speeds with ISDN, you must use more than one phone line, which makes it quite expensive just to obtain speeds that can't match those that DSL or cable provide. And adding multiple telephone lines to a location can be expensive.

Nonetheless, ISDN can be a reasonable option if you want to have faster connection speeds than are provided over a dial-up account, but can't access DSL or cable service.

Satellite

Satellite Internet access works much like satellite TV. The data is downloaded through a small satellite dish and fed to your Mac. The speed of communication is quite fast.

However, there are several downsides to satellite Internet access. The biggest is that many satellite accounts support only downloads, so you still maintain a separate account for uploading information. Second, you have to install the satellite dish. And third and perhaps most importantly, not all satellite providers support Macs—the majority don't.

You should consider a satellite Internet account only in those cases in which you can't obtain broadband in any other way and you really need the additional download speed that the satellite account provides. Because of its limited applicability, additional information on satellite access is beyond the scope of this chapter.

NOTE

Satellite Internet access can be more appealing if you also use a satellite for TV. Some satellite services combine TV and Internet access.

T-1 Line

A T-1 line is a dedicated broadband connection that is delivered over a line consisting of 24 channels, with each channel delivering up to 64 Kbits per second. T-1 connections are the fastest possible for workstations, but are also quite expensive and are usually limited to businesses to provide access for many people through a single account. Most providers also offer fractional T-1 service, in which only a portion of the 24 channels are dedicated to the subscriber.

Finding a T-1 provider is much like finding other providers; you should typically start with local ISPs who offer this service. After you have purchased a T-1 account, the ISP will handle the installation and initial configuration of the line for you. Because T-1 and fractional T-1 connections are fairly complex and their cost limits them to business use, additional information about T-1 lines is beyond the scope of this chapter.

Picking the Technology

After you have an understanding of all the possibilities, you need to determine which technology is appropriate for you. Most Mac users will be better off with a broadband connection of some sort; dial-up accounts just don't cut it for the most interesting Internet resources. However, if no broadband services are available in your area or if you can't afford a broadband connection, dial-up certainly beats no Internet connection.

To determine which technologies are available to you, you will need to obtain information from various ISPs who offer services in your area. Following are some tips to help you find an ISP:

  • One of the best sources of information about local Internet service providers is the people you know. There are probably many people in your immediate circle who have Internet access through a local provider. You should ask these folks if they are happy with their providers. You can also find out what services are available, whether the provider provides good technical support, how much the services cost, and so on. Using your personal network is an excellent way to find ISPs to contact.

  • If you have access to the Internet, use the Web to locate a provider. Go to http://thelist.internet.com/, which enables you to find local access providers for just about every location in the world (see Figure 10.1).

    Figure 10.1. The List Web site lives up to its claims; it truly is the definitive ISP buyer's guide.

  • Another way to find a l provider is to check out the local news broadcasts in your area. Almost all local TV stations have Web sites that are maintained by a local ISP. At the end of the broadcast, you will see a credits screen saying that Internet services are provided by XYZ Company. XYZ Company might be a good choice for you to check out.

  • If the company you work for has a Web site that is administered by an outside ISP or if an outside ISP provides Net access for your company, check with that ISP to see what services it offers and if it offers a discount for employees of your company. Often, an ISP will provide inexpensive Internet access to the employees of a company to which it provides business services.

  • If you have cable TV service, check with your cable company to see whether it offers Internet access. Most cable companies advertise their Internet service to death, but some don't—especially when they first introduce it and want to test it on a limited number of users.

  • Watch and listen for advertisements; most service providers advertise in local newspapers and on the radio and TV.

You should also check with national Internet access providers such as America Online (www.aol.com) or EarthLink (www.earthlink.net) to see what services are offered in your location.

TIP

Many ISPs provide more than one connection technology for their accounts. When you contact an ISP, make sure that you ask about all possible ways you might connect. Sometimes, especially when introducing a new access method, an ISP might not promote all of its options.

The process of determining what connection technology is available to you should be fairly simple. If you have access to cable TV service, check with the cable provider to see whether it also offers Internet access. If so, obtain cost information. Most cable TV companies have a monopoly on the areas to which they provide service, so you usually have only one source to check for cable modem access.

Next, try to determine whether DSL service is available in your location. The best way to do this is to search the Web for DSL providers in your state (see Figure 10.2). You can use a general search site to search for information about DSL providers in your state. Also, check the national DSL providers to see if a company in their networks provides local DSL access. Typically, you will be able to go to the provider's site and check availability of DSL service at your location. If the service is available, obtain information about the cost and whether the Mac is supported. You can also check with your telephone service provider because they typically offer DSL if your location supports it. If DSL service from one provider is not available at your location, it is likely that it is not available from any provider, because they all use the same telephone infrastructure.

Figure 10.2. The DSLindiana Web site is a good example of a Web resource you can use to determine whether DSL is available in a specific area (the state of Indiana in this case).

NOTE

One of the best national Internet service providers is EarthLink. EarthLink has always been a strong Mac supporter (which is why it is the default ISP for the Mac OS) and EarthLink offers numerous ways to connect including cable, DSL, and dial-up. You should check out www.earthlink.net to see which of its Internet services are available at your location.

Beware that DSL service is one of the most over-advertised and over-hyped services around. Just because you hear or see advertisements for local DSL service does not mean that it is actually available. Some of this advertisement is for "future" service even though your location might not be not close enough to a central phone node to be able to access DSL from any provider.

Then, check with your local phone company and local ISPs to see whether ISDN service is available. Again, get cost information and see whether the Mac is supported.

Be a bit careful about eliminating companies that claim not to provide Mac support. Most of the time, this just means that they won't be able to provide tech support if you use a Mac. The service probably will work just fine. If you are comfortable that you will be able to solve any problems you encounter, not having tech support available might not be a problem for you. I prefer not to do business with companies that don't support the Mac, but you might have to choose otherwise to get the Internet access you want.

Finally, locate ISPs in your area that provide dial-up Internet access. This should be the most commonly available option, even if it isn't the most productive.

Make the Connection Work for You

You should make sure that any dial-up account you consider has a phone number you can dial without paying any time-based fees if possible. If you have to pay a usage charge while you connect to the Internet, you are likely to connect less frequently than you would like, or you will end up spending a lot of money for telephone charges. Usually, you should look for a provider that offers a number you can dial without any toll charges (long distance or otherwise).

One of the other important things to look for in a dial-up connection is an account that offers you unlimited access (or at least a very large number of hours per month). This means that you pay the same amount whether you are on the Net for 1 hour or 100. If you pay on some sort of time basis (such as so many dollars per hour), you will spend all your time worrying about how much time you have spent online instead of enjoying the Net. Fortunately, it isn't hard to find an unlimited account these days. This wasn't always the case.

After you have obtained all the available connection information, you should be able to decide which technology is appropriate for you. If possible, try to locate a cable or DSL provider because you will get the most out of a broadband account. If all else fails, locate a good provider of dial-up access.

NOTE

In some cases, such as a DSL or dial-up account, you will have several ISP options. One of the most fundamental is whether you use a national provider or a local one. National providers offer several advantages. In many cases, a national provider offers more extensive resources for you, such as better access to technical support, a self-install kit, and so on. National providers can enable you to access your account in different ways (such as DSL or dial-up) from many locations; if you travel often, this should be an important consideration for you. Local providers, on the other hand, often offer more personalized service and local resources.


Obtaining and Configuring an Account

After you have decided on the technology, contact the provider to obtain an account. You usually have to call to set up your account, but some ISPs enable you to request service over the Net; others provide self-install kits that enable you to obtain and configure an account without any human intervention (one example is EarthLink).

If you use a broadband account of some sort, the provider will sometimes install any needed hardware for you, such as a cable modem, and configure your machine to use it (although self-install kits are becoming more common). If you use a dial-up account, you will usually receive instructions about how to configure that account; some providers, such as EarthLink, provide software that does the installation and configuration for you.

Even if the provider handles the initial installation and configuration for your account, you still need to understand how to configure your account yourself. You should try to understand the configuration information related to your account; at least, you need to make sure that you have all the information you need to configure your account for the inevitable situation in which you will need to reconfigure it on your machine.

CAUTION

Be wary about the dedicated "front-end" software that a provider might want to install on your machine. Most of the time, this software consists of an application that gives you a specialized interface for using the service. This software is almost never necessary and it can cause problems for you. It is better to just use the configuration information that the provider gives you and then use Mac OS X software to access the Net.

TIP

If your provider offers more than one way to connect, such as via a cable modem and over a back-up dial-up account, make sure you get the information you need for both connection methods.

The following data is required to configure your Mac for Internet access:

  • Type of configuration This information tells your computer what protocol to use to connect to the Net. If you are using a dial-up account, this is Point-to-Point Protocol (PPP). If you are using a broadband connection, there are several possibilities, which include Static IP address, Dynamic Host Configuration Protocol (DHCP), PPP over Ethernet (PPPoE), DHCP with a fixed IP address, or the Bootstrap Protocol (BootP). A static IP address means that your Mac always has the same IP address. When you use DHCP, your provider assigns your Mac an IP address along with most of the other information you need to connect. PPPoE is most often used for DSL accounts and works similarly to PPP over a dial-up account. DHCP with a fixed IP address means that your IP address is fixed, but the DHCP server provides the other information for you. BootP access is used for "diskless" machines that use a server to provide the operating system.

  • IP address, subnet mask, and router These addresses locate your machine on the Internet and provide it with its address. Most dial-up accounts and many broadband accounts use dynamic IP addressing, which simply means that your Mac will have an IP address assigned each time it connects rather than having a static address. If you have a manual or static IP address, it will never change and is permanently assigned to your machine. When you have a static IP address, you will also need the subnet mask and router; with dynamic addressing, this information is provided by the server.

  • DHCP Client ID If you use DHCP access, you will sometimes have a client ID name for your computer. In some situations, this is optional; however, if your provider includes a DHCP Client ID with your account, you will need to use it. If you are configuring an account using a local DHCP server, you probably won't have to use a Client ID.

  • Domain Name Server A Domain Name Server (DNS) translates the addresses that the computers use into English that we humans can usually understand. The DNS makes it possible for you to use an address such as www.companyname.com rather than having to deal with a series of numbers such as 233.453.22.345. The DNS number you need from your provider will be something such as 234.45.234.563. Ideally, your provider will include several DNS addresses so that you have a backup in case the primary DNS fails. (If your DNS fails, you won't be able to access Web sites unless you know their numeric IP address.)

  • Search domain This information is related to the particular part of the provider's network on which you are located. It is usually optional. You might be provided with more than one search domain.

  • Usernames and passwords These are the two pieces of information that will uniquely identify you and enable you to access your account. You probably chose your own username when you established your account. Your password might or might not have been assigned by the ISP.

    You might have more than one username or password. Sometimes, your ISP will give you one username and password that enables you to connect to the Net and another set (or maybe just a different password or username) to let you use your e-mail account. Make sure that you know which is which and use the right ones in the right setting fields. If you use a PPPoE account, your username is your account name.

    NOTE

    In some cases, you might not need a username and password to access the Net at all. For example, if you have a static IP address, you don't need a username and password to connect to the Net. However, you will need a username and password to access your e-mail accounts.

  • Phone number If you use a dial-up account, you need to have the phone number that you need to dial to reach your ISP. Some ISPs offer different numbers for different modem speeds, so make sure you get the phone number for your modem's speed.

  • E-mail account information You will be given your e-mail address (probably something such as username@isp.net). You will also need an address for the server that receives your mail (this often has a "pop" in it, such as pop.isp.net). The third piece of information you need is the address of the server that sends your mail (this often has "smtp" in it, such as smtp.isp.net). Some broadband accounts will have simpler server configuration for both sides, such as "mail."

  • News server You should also be provided with a newsgroup server (this enables you to read newsgroups). It might look something like news.isp.net.

  • Web customer support address If your account offers additional services, such as multiple e-mail accounts, obtain the information you need to access that site so that you can manage your account.

TIP

Make sure that you collect and organize the information you need to access your account. You will need to reconfigure your Mac at some point, and if you don't have the information handy, this will be harder than it needs to be. One way to do this is to configure your account and after you are sure it works properly, you can take screenshots of the various configuration screens. This enables you to quickly re-create your specific configuration. Of course, you should also keep copies of any information your provider gives you.

NOTE

Most broadband providers include the modem (such as a cable modem) that you use to connect with your account. In some cases, they will also install the hardware for you. However, you can usually supply your own hardware if you prefer. And, many providers offer "self-install" kits at local retailers. These kits include the hardware, software, and instructions you need to install the service yourself. (One benefit to these kits is that you don't have to wait all day for the installation guy to show up!)

If you need to install the modem you will be using, do so. In the case of an Ethernet-based connection, this requires you to connect the modem to your Mac's Ethernet or USB port or the WAN port on the hub on your network and then connect the modem to the "source" (such as the cable modem). If you have a modern Mac and will be using a dial-up account, the modem is already installed and you just need to connect it to a phone jack using a standard phone cable.

For information about various connection devices, such as Ethernet hubs, see Chapter 24, "Installing and Configuring Connecting Devices," p. 709.

In many situations, you will be able to share a single Internet account among many machines; see Chapter 26, "Sharing an Internet Connection," p. 755.

When you use a broadband connection, it is vital that you protect your Macs from Internet attacks; see "Defending Your Mac from Net Attacks," p. 800.


Configuring Your Mac For Internet Access

There are three fundamental ways to connect a Mac to the Internet: dial-up accounts over a phone line and dial-up modem, broadband connections that use Ethernet, and wireless connections using AirPort. Although configuring dial-up accounts is relatively standard, there are many options for an Ethernet-based account. And, when you use AirPort to connect, you will actually connect the AirPort hub (whether it is a Mac or an AirPort Base Station) through one of the two other methods.

A great way to network Macs and connect them to the Internet through a single account is by using AirPort; see Chapter 11, "Using an AirPort Network to Connect to the Internet," p. 265.

Providing the details of configuring every type of Internet account is beyond the scope of this chapter, but some examples of each type of access should enable you to configure your particular account.

NOTE

When you install Mac OS X on a Mac, the Internet Setup Assistant will lead you through the configuration of your Internet account. Unlike previous versions of the OS, you can't launch the Internet Setup Assistant at other times to walk you through the configuration process. This isn't a big deal; it is faster to configure your account manually anyway.

If you use a provider that includes configuration software with your account, such as AOL, you can configure your account by using that software. In this section, you will learn how to configure your account manually.

You can configure multiple sets of Internet configurations for your machine so that you switch between them easily. And, you can have multiple accounts configured and active on a machine at the same time (they will be used according to the priority you determine). This is very useful when you use your Mac in different locations; for example, with a PowerBook that you use at a work location and at home or while traveling. Another case in which this is useful is if you have several ways of connecting from the same location, such as via a cable modem or dial-up account. As with previous versions of the Mac OS, you use the Location Manager to manage the Internet configurations on your machine. If you envision needing to do this, you should set up a location before configuring it. If you will need only one set of configurations, you don't need to use the Location Manager. Also, a single location can include multiple configurations, such as a dial-up account and a cable modem account.

To learn how to configure and use locations, see "Configuring and Using Locations," p. 872.

The Internet accounts you configure on your Mac will be available to all users who have accounts on your machine. However, the configuration you do in the Internet pane of the System Preferences utility can be unique for each account.

Connecting To The Net With A Dial-Up Account

As you read earlier in the chapter, dial-up access is still the most commonly used connection method. Dial-up access is available everywhere, and is simple to configure and use (although solving connection problems can be tough).

Configuring Your Modem

All modern Macs include an internal 56K modem as standard equipment; very little work is required to configure the Apple internal modem.

NOTE

If you use an external dial-up modem for some reason, you will need to obtain a Mac OS X–compatible driver for it and then configure that modem using instructions provided by the manufacturer. Covering external modems is beyond the scope of this chapter.

  1. Open the System Preferences utility and in the Internet & Network section, click the Network icon.

    NOTE

    If you are configuring more than one location, choose the location you want to configure on the Location pop-up menu. You can also choose to create a new location on that menu (see Appendix B for details).

  2. Choose Internal Modem from the Show pop-up menu.

  3. Click the Modem tab (see Figure 10.3).

    Figure 10.3. Generally, you should leave the options in the Modem tab in the default state.

  4. Use the pop-up menu, radio buttons, and check boxes to configure your modem. In most cases, the default values will work fine. If you use something other than the Apple Internal 56K Modem, choose your modem from the Modem pop-up menu. If your telephone system is not "touch-tone," you will have to click the "Pulse" radio button. Also, if you have voice mail or another system that can interfere with a standard dial tone (such as beeping to indicate that you have a message waiting for you), you need to uncheck the "Wait for dial tone before dialing" check box. Leave the sound on until you are sure that your connection works reliably; the noise made by your modem can help you troubleshoot connection problems. After you are sure that your connection works, use the "Off" radio button to turn off your modem sound.

  5. Use the Country Setting tools to configure your modem for the country in which you are using it.

  6. Check the "Show modem status in menu bar" check box. This places a telephone icon on your menu bar. You can use this to control and monitor your dial-up connection.

  7. Click Apply Now to save any changes you make.
Configuring TCP/IP and PPP

Next, you'll need to configure your TCP/IP and PPP settings.

  1. Click the TCP/IP tab.

  2. Choose the configuration option you want from the Configure pop-up menu. For almost all dial-up accounts, this should be Using PPP. However, if your dial-up account includes a static IP address, choose Manually and enter the IP address, Subnet Mask, and Router addresses.

  3. If your provider provided DNS and Search Domains for your account, enter the information in the appropriate boxes.

  4. Click the PPP tab (see Figure 10.4).

    Figure 10.4. You use the PPP tab to configure your specific dial-up account.

  5. Enter the name of your ISP in the Service Provider field.

  6. Enter your access account name in the Account Name field. Make sure that you use the account name that will access your account; this might be different from your e-mail user account name.

  7. Enter your access password in the Password field and make sure that the "Save password" check box is checked. Again, your access password might be different from your e-mail account password. If you prefer to have to enter your password each time you connect, leave the Password field empty.

    NOTE

    When you enter a password, the "Save password" check box is checked by default; if you uncheck the check box, your password will be deleted from the field.

  8. Enter the telephone number you need to dial to connect to the provider in the Telephone Number field. Make sure that you enter the number exactly as you would dial it to make a standard phone call to this number. For example, if you need to dial an access code to reach an outside line, enter that code followed by a comma before the number (as in 9, 555-5555). If you need to dial a 1 or the area code to reach that number, make sure that you enter those numbers as well.

    If you have call waiting, you also need to enter the code to disable it, such as *70. If a call comes in while you are connected to the Net, the call waiting signal might disrupt or cancel your Net connection. Check with your telephone provider to find out the specific code you need to use to turn off call waiting. Remember to turn it back on when you are done with your Internet session.

  9. If your provider offers more than one access number, enter the second one in the Alternate Number field. If you receive a busy signal when your Mac dials the first number, it will try the alternate number.

  10. Click the PPP Options button to open the PPP Options sheet (see Figure 10.5). Use the controls on this sheet to configure your dial-up access.

    Figure 10.5. The Session Options enable you to control how your dial-up account works.

  11. In most cases, you should check the "Connect automatically when needed" check box. This enables your Mac to automatically connect to the Net when it needs to. If you have to pay for access by the minute or if you have to pay toll charges, you might want to leave this unchecked.

  12. Use the next three check boxes to control how your Mac disconnects your connection. If you want to be prompted when your Mac is connected but is not actively using the connection, check the "Prompt every _ minutes to maintain connection" check box and enter the time after which you want to be prompted. If you want your Mac to automatically disconnect after a specific period of time, check the "Disconnect if idle for" check box and enter the idle time. These options are beneficial primarily if you have to pay for access on a time basis or if you share a phone line for Internet access and voice conversations. Most users should check the "Disconnect when user logs out" check box so that the connection is broken when the current user logs out of the machine.

  13. Use the redial controls to set the number of times you want your Mac to redial in the event of a busy signal and how long you want it to wait between tries.

    NOTE

    Only in rare cases will you need to use the controls in the Advanced Options area. The options can be useful when troubleshooting a dial-up connection.

  14. Click OK to close the sheet and then Apply Now to save your changes.

TIP

A proxy server is a server that sits between your machine and the Internet and actually downloads and serves Internet resources to your machine. It is highly unlikely that you will use proxy servers with a dial-up account, although it is possible.

To learn how to configure proxies, see "Configuring TCP/IP Using a DHCP Server," p. 255.

Configuring the Internet Pane of the System Preferences Utility

The last step is to configure the Internet pane of the System Preferences utility for your account. This enables you to set several defaults for your account. This is optional; everything will work fine if you don't configure the Internet pane. However, it is generally a good idea to do so.

NOTE

If you want to set the Internet preferences for a user account other than the one you are currently logged in under, log in to that account before configuring the Internet pane.

To configure the Internet pane for the current account, do the following:

  1. Open the Internet pane of the System Preferences utility.

  2. Click the .Mac tab and configure your .Mac account.

    To learn more about .Mac, see "Using .Mac to Create and Serve Your Web Pages," p. 371.

  3. Click the Email tab (see Figure 10.6).

    Figure 10.6. You can configure your default e-mail account using the Email tab of the Internet pane of the System Preferences utility (in this case, I configured my .Mac e-mail account).

    TIP

    If you have configured a .Mac account on your machine, you can configure the e-mail account by simply checking the "Use .Mac Email account" check box.

  4. Choose your default e-mail application using the Default Email Reader pop-up menu.

  5. Use the rest of the fields to configure your default e-mail account. For example, to use your .Mac e-mail account as the default, check the "Use .Mac Email account" check box. For other accounts, use the e-mail account information provided by your ISP to configure the account.

    For information about the various settings for an e-mail account, see "Configuring E-Mail Accounts," p. 302.

  6. Click the Web tab.

  7. Choose your default Web browser from the Default Web browser pop-up menu.

  8. Set your Home page by entering its URL in the Home Page field.

  9. Set the default location to which files will be downloaded by clicking the Select button and choosing the directory into which you want files to be downloaded.

    TIP

    Consider creating a folder called Downloads in your Home directory. Use the Select button to choose your Downloads directory, and files that you download will always be stored in that directory.

  10. Quit the System Preferences utility.

You can change or reconfigure the settings in the Internet pane of the System Preferences utility at any time. For example, you might want to reconfigure your Home page or set another download directory.

Testing Your Configuration

You can test your account by opening an Internet application, such as a Web browser (assuming you enabled your Mac to connect automatically). If you are able to access Internet resources, your configuration is complete. Or, you can use the application that you use to manually connect and disconnect from your account, which is Internet Connect.

  1. Open the Internet Connect application (Applications directory). You will see the account information you configured earlier. Use the Expand button next to the Configuration pop-up menu to show or hide the details of your configuration.

  2. Click the Connect button. You will see the status of the connection in the window. You will also hear your modem dialing out and the delightful tones of the handshaking process. If your connection is successful, you will see the connected message and status information in the lower part of the Internet Connect window (see Figure 10.7).

    Figure 10.7. You can see the amount of time you have been connected as well as your current IP address in the lower part of the Internet Connect window (note that I collapsed the window because I didn't want to reveal my username; if the window is expanded, you will also see the number you dialed, your account name, and the Password field).

  3. Click Disconnect to shut down the connection.

  4. Quit Internet Connect.

If you are able to connect successfully, you can use Internet applications, such as your e-mail and Web browser.

TIP

In Internet Connect, choose Window, Connection Log to see information about your connection status, such as the current IP address.

If you are unable to connect using your dial-up account, see "My Dial-Up Connection Fails to Connect" in the Troubleshooting section at the end of this chapter.

Using AirPort, it is very easy to set up a wireless connection to the Internet and to share a single dial-up account among several machines. You can also use Mac OS X's built-in sharing capability to share a single account among several machines. See Chapter 26, "Sharing an Internet Connection," p. 755.

If you choose to show the modem status in the menu bar, it is very easy to manage your connection from there. When you open the menu, you will see various options and information, depending on your modem's current status (see Figure 10.8).

Figure 10.8. The Modem status icon provides total control over your dial-up account from the desktop.

When you open the menu, you will see your modem's status. If disconnected, you can click Connect to connect and vice versa. You will also see which modem you have selected and you can open Internet Connect quickly and easily by choosing Open Internet Connect. You can also choose the status information that is displayed, by selecting Show time connected or Show status while connecting.

NOTE

When you are connected to the Internet and Internet Connect is open, its icon includes a green lightning bolt. You can install Internet Connect on your Dock if you prefer to manage your connection from there rather than from the menu bar.

Connecting to the Net with Ethernet

CAUTION

As soon as you connect your Mac to the Internet with an always-on connection, especially one with a fixed IP address, your Mac becomes vulnerable to attacks from hackers. You shouldn't connect a machine to the Internet with a fixed address unless you have some sort of firewall protection in place; fortunately, Mac OS X includes a built-in firewall.

To learn how to protect your Mac from Net attacks, see "Defending Your Mac from Net Attacks," p. 800.

Configuring an Internet account for Ethernet connection is actually a bit simpler than configuring a dial-up account. There are three main options you will use for an Ethernet-based Internet account: Manual IP Settings, DHCP Server, or PPPoE.

Connect your Mac's Ethernet port to the cable modem or to the hub to which the cable or DSL modem is connected. Then, configure the OS to use that connection.

NOTE

Some broadband modems connect to a USB port rather than an Ethernet port. However, configuring the account on your Mac works in the same way.

Configuring Static TCP/IP Settings

If your provider provides a static or manual address for you, use the following steps to configure it:

  1. Open the Network pane of the System Preferences utility.

  2. From the Show pop-up menu, choose Built-in Ethernet.

  3. Click the TCP/IP tab.

  4. Choose Manually from the Configure pop-up menu.

    NOTE

    You can also use a static IP address with the router being assigned dynamically. If this is the case for you, choose Manually using DHCP Router instead of manually. The rest of the steps are the same except that you don't configure the router because that is done for you by the DHCP router.

  5. Enter the IP Address, Subnet Mask, Router, DNS, and Search Domains information that your ISP provided in the appropriate fields.

  6. Click Apply Now to save your changes.

  7. Open an Internet application, such as a Web browser. If you can access Internet resources, your configuration is complete.

  8. Configure the Internet pane of the System Preferences utility for your Mac OS X user account.

For more information about configuring the Internet pane, see "Configuring the Internet Pane of the System Preferences Utility," p. 251.

If you are unable to access Internet resources after configuring your account manually, see "My Ethernet Connection Can't Connect" in the Troubleshooting section at the end of this chapter.

Configuring TCP/IP Using a DHCP Server

If your provider provides access through a DHCP server, configuring your account is even easier than using a static IP address.

NOTE

Many local area networks provide Internet access by installing a DHCP server on the network and connecting that server to the Internet (often with a T-1 line). In such cases, you can configure your Mac to use that DHCP server to connect to the Net just as you can when you deal directly with an ISP for an account.

To configure your account, do the following:

  1. Open the Network pane of the System Preferences utility.

  2. From the Show pop-up menu, choose Built-In Ethernet.

  3. Click the TCP/IP tab.

  4. Choose Using DHCP from the Configure menu.

  5. If you have a DHCP Client ID (usually when you are using the account with an ISP), enter it in the DHCP Client ID field. (If you are using a DHCP server on a local network, you can probably leave this field empty. In some cases, you can leave this field empty even when you are using an ISP to gain Internet access.)

  6. If you have DNS and Search Domain information, enter it in the appropriate fields (these are optional when you use a DHCP server).

  7. If you are on a network that uses a proxy server, click the Proxies tab and configure the proxies for your network.

    For more information about proxy servers, see "Understanding and Configuring Proxy Servers," p. 256.

  8. Click Apply Now to save your changes.

  9. Open an Internet application, such as a Web browser. If you can access Internet resources, your configuration is complete.

  10. Configure the Internet pane of the System Preferences utility for your Mac OS X user account.

For more information about configuring the Internet pane, see "Configuring the Internet Pane of the System Preferences Utility," p. 251.

If you are unable to access Internet resources after configuring your account with a DHCP server, see "My Ethernet Connection Can't Connect" in the Troubleshooting section at the end of this chapter.

Understanding and Configuring Proxy Servers

A proxy server is a server that sits "between" end-user computers on a network and the Internet. All Internet traffic of a specific type (such as HTTP for Web pages) passes through a specific proxy server. There can be separate proxy servers for each type of service (such as HTTP, FTP, and so on), or a network can use a single proxy server for all Internet services.

When a machine on the network requests a resource (such as a Web page), the proxy server downloads the resource and serves it to the machine as if the resources originated from the proxy server itself (although the user doesn't notice that the page is being served by the proxy server instead of the server hosting the requested page).

Proxy servers serve two main purposes:

  • Can improve speed in some cases Because the Internet resources are downloaded to the proxy server and then served to users on the local network, after the first access, subsequent accesses to that resource will be much faster. This is true because the resource must only be downloaded from the Internet to the proxy server once; from there, it can be served to users on the local network rather than downloading it from the Internet each time.

  • Can be used to filter requests Because all information from the Internet flows through a proxy server, that server can be set to block access to specific Internet resources.

NOTE

For more information on proxy servers, see http://webopedia.internet.com/TERM/p/proxy_server.html.

If you are on a network that uses proxy servers, you use the Proxies tab of the Network pane of the System Preferences utility to configure them (see Figure 10.9). You configure a proxy for a specific service by checking the check box for that service and entering the proxy address and port in the appropriate fields. Typically, you will obtain the proxy server information you need from your Network Administrator.

Figure 10.9. If you need to configure Internet access through a proxy server, you use the Proxies tab to do so.

Configuring a PPPoE Account

Configuring a PPPoE account is more complicated than the other Ethernet options, but still won't take more than a few minutes.

  1. Open the Network pane of the System Preferences utility.

  2. From the Show pop-up menu, choose Built-In Ethernet.

  3. Configure the TCP/IP settings for your PPPoE account (see the previous sections for details).

  4. Click the PPPoE tab.

  5. Check the "Connect Using PPPoE" check box.

  6. Enter the name of your service provider in the Service Provider field. This is optional.

  7. Enter your access account name in the Account Name field.

  8. Enter your access password in the Password field; again this might be different from your e-mail account password. If you leave this field empty, you will have to enter your password each time you connect. (When you enter a password, the "Save password" check box is checked by default; if you uncheck the check box, your password will be deleted from the field.)

  9. Enter the service name in the PPPoE Service Name field. This is also optional.

  10. Check the "Show PPPoE status in menu bar" check box. This puts a menu on the menu bar that you can use to control your PPPoE connection.

  11. Click the PPPoE Options button to open the Session Options sheet. Use the controls on this sheet to configure your Internet access.

  12. In most cases, you should check the "Connect automatically when needed" check box. This enables your Mac to automatically connect to the Net when it needs to.

  13. Use the next three check boxes to control how your Mac monitors your connection. If you want to be prompted when your Mac is connected but is not actively using the connection, check the "Prompt every _ minutes to maintain connection" check box and enter the time after which you want to be prompted to maintain the connection. If you want your Mac to automatically disconnect after a specific period of time, check the "Disconnect if idle for" check box and enter the idle time. Most users should check the "Disconnect when user logs out" check box so that the connection is broken when the current user logs out of the machine.

    NOTE

    In only rare cases will you need to use the controls in the Advanced Options area. The options can be useful when troubleshooting a PPPoE connection.

  14. Click OK to close the sheet and then Apply Now to save your changes.

You can test your account by opening an Internet application, such as a Web browser (assuming you enabled your Mac to connect automatically). If you are able to access Internet resources, your configuration is complete. Or, you can use the application that you use to manually connect and disconnect from your account, which is Internet Connect.

  1. Open the Internet Connect application (if you turned on the PPPoE status menu, open it and choose Open Internet Connect).

  2. Choose Built-In Ethernet from the Configuration pop-up menu. You will see the PPPoE account information you configured earlier. Use the Expand button next to the Configuration pop-up menu to show or hide the details of your configuration.

  3. Click the Connect button. You will see the status of the connection in the window. If your connection is successful, you will see the connected message and status information in the lower part of the Internet Connect window.

  4. Click Disconnect to shut down the connection.

  5. Quit Internet Connect.

If you are able to connect successfully, you can use Internet applications, such as your e-mail and Web browser. You can monitor and control your connection from the PPPoE status menu on the menu bar.

TIP

In Internet Connect, choose Window, Connection Log to see information about your connection status, such as the current IP address.

NOTE

You can also add Internet Connect to the Dock. When the Internet Connect icon appears in the Dock, it has a green lightning bolt when you are connected to the Internet.

If you aren't able to connect to the Internet, see "My Ethernet Connection Can't Connect" in the Troubleshooting section at the end of this chapter.

To learn how to share a single Internet connection among multiple Macs, see Chapter 26, "Sharing an Internet Connection," p. 755.

Managing Multiple Internet Accounts

If the Internet is vital to you, such as for business purposes, you might have more than one Internet account that you access in different ways. For example, you might use a cable modem as your primary access and maintain a dial-up account as a backup. You can maintain multiple Internet accounts on a single Mac.

You can manage the Internet accounts on your machine through the Network Port Configurations pane of the Network pane of the System Preferences utility (see Figure 10.10).

Figure 10.10. Use the Active Network Ports controls to manage multiple Internet accounts on a single machine.

In Figure 10.10, two Internet connections have been configured and are active on two different ports, which are Built-in Ethernet and Internal Modem. The order in which the ports are listed determines which port is tried first when a connection is needed. In this example, the Built-in Ethernet will be tried first, followed by the Internal Modem account should the Mac be unable to connect through Ethernet.

To configure multiple accounts, do the following:

  1. Open the Network pane of the System Preferences utility.

  2. Choose the port you want to be your primary connection method on the Show menu.

  3. Configure that port for the related account (see the previous sections in this chapter for details). For example, configure your machine to use an Ethernet network to connect to the Internet.

  4. From the Show menu, choose Network Port Configurations.

  5. Make sure that the connection you configured is turned on (its check box is checked) and that it is first on the list of port configurations.

  6. From the Show menu, choose the next port you want to be the second connection option, such as an Internal Modem.

  7. Repeat Steps 2 through 4 to configure that account.

  8. Make sure that the port is turned on; it should appear second on the list of port configurations.

  9. Continue configuring ports you want to be active and arranging them on the list in the order in which you want them to be used.

  10. Turn off any ports you don't use. Turning off active ports might provide some small performance and boot time improvements and it might make your Mac a bit more secure. But mostly it is a matter of keeping your configuration settings as accurate as possible.

  11. Click Apply Now and then quit the System Preferences utility.

When your machine needs to connect to the Internet, it will try the accounts you specified in the order in which you specified them. Following are some other points about managing multiple connections:

  • You can have more than one configuration of the same port. To create a new instance of a port, click the New button. Name the port and then choose the type of port it is (Internal Modem, External Modem, Built-in Ethernet, and so on). Click OK and the new port will appear on the list. You can configure it in the same way as the default ports. For example, new ports you create will appear on the Show menu; choose the port to configure it.

  • AirPort, PPPoE, Internal Modem, and External Modem ports will appear on the Configuration pop-up menu in Internet Connect. You can use that application to manage those connections.

  • The Duplicate button duplicates a port configuration. This can be useful when you are configuring more than one port of the same type.

  • You can edit a port's name by double-clicking it.

And you can also maintain multiple sets of Internet configurations that you create and maintain through the Location Manager. For example, if you use a PowerBook, you might have a configuration when you use the machine from home, another when you use it from work, and so on.

To learn how to configure and use locations, see "Configuring and Using Locations," p. 872.


Troubleshooting

My Dial-Up Connection Fails to Connect

I've followed the steps for configuring my account, but I still can't connect via a dial-up connection. What is causing this?

Troubleshooting a dial-up connection can be difficult. However, the following list of guidelines can help you solve your connection problems:

  • The most common cause of connection problems is an improperly configured machine. Run through all the steps provided to configure a dial-up connection to make sure that you have entered the correct information.

  • If you don't hear the modem dialing, make sure that you have the modem sound enabled. If you still don't hear the modem dialing out when you attempt to connect, check the modem configuration you learned about earlier in the chapter. You can also try a different modem application to see whether your modem is defective.

  • If you hear the modem dialing, but the call is never answered, your ISP might be offline for some reason or you might not have the correct phone number configured. Double-check the phone number you entered to make sure that you entered the access phone number, and make sure that you entered it the same way as you would have to dial that number on the phone.

  • If you hear the call being answered, but you never reach the connection state, there is a problem with the communication between your modem and your ISP. The most likely cause of this is an incorrect username or password; make sure that you are using your access username and password rather than your e-mail username and password.

You can sometimes get a better insight into what is happening by using the Terminal window to connect.

  1. Open the Session Options sheet in the PPP tab of the Network pane of the System Preferences utility.

  2. Check the "Connect using a terminal window (command line)" check box.

  3. Click OK and then click Apply Now.

  4. Open Internet Connect and click Connect. After your modem dials your ISP, you will see the Terminal window (see Figure 10.11). If you see a login prompt, you are successfully communicating with your provider. If you don't see the login prompt, something is wrong with your configuration or your ISP is offline.

    Figure 10.11. This Terminal window tells me that I am successfully connected to my ISP.

  5. At the login prompt, type your access username and press Return.

  6. At the password prompt, type your access password and press Return. If your login was successful, the Terminal window will disappear and you will be connected. If it wasn't successful, there is probably a problem with your user account. Contact your ISP for assistance.

If you have worked through these paragraphs, but you still can't connect, call your ISP for help.

My Ethernet Connection Can't Connect

I've followed the steps for configuring my Ethernet connection, but I still can't get a successful connection. How do I figure out where I'm going wrong?

The most common cause of problems connecting with an Ethernet account is an incorrect configuration. Still, there can be other problems as well. The following guidelines should help you troubleshoot a problem you experience when trying to connect with an Ethernet-based connection.

  • If you are using a modem of some kind (such as a cable modem), make sure that the modem you are using is powered up and properly connected to your Mac. Most modems have power, PC link, and activity lights. If any of these don't indicate the proper status, check your modem installation.

  • If you are using an ISP for access, make sure that the ISP services are currently available. Usually, ISPs provide a status hotline you can call to see whether problems with service have been reported in your area. If there are problems, you will have to wait for the provider to correct them before you will be able to connect (in these situations, it is nice to have a backup account, such as a dial-up account).

  • Work through the configuration steps for your account again, being especially careful to check all the configuration information you enter.

  • If you are using a DHCP server, see if you can obtain static settings for your account. Sometimes, you will be able to connect to an account with static settings when the automatic (DHCP) settings fail. If you use DHCP, check the IP address listed in the Sharing pane of the System Preferences utility. If you see one that starts with 169, that means your Mac is not obtaining an IP address from the provider and so won't be able to connect to the Internet. You will have to figure out why it isn't able to obtain an IP address from your ISP or you will need to use a manual IP address.

  • If you are still not able to connect, you will have to contact the service provider or network administrator from whom you obtain your service. Confirm that you are using the correct installation information for your account. If you are, ask for assistance in troubleshooting the connection from the provider's end.

TIP

If you are troubleshooting the connection of a machine on a network, try isolating that machine from the rest of the network while you are troubleshooting. This eliminates the potential for problems induced by other machines on the network and will help you more quickly isolate the cause of the problem you are trying to solve.

Getting Help

In past versions of the Mac OS, the OS itself was sometimes responsible for Ethernet connection problems. For example, under Mac OS 9.2 and earlier versions, the Mac had unreliable support for certain types of DHCP servers, and it was often necessary to switch to static settings. These issues have been eliminated under Mac OS X.

Be aware that you might get "flak" from your ISP's technical support when you tell them you are using a Mac. Because the Mac has a smaller number of users, the tech support person to whom you talk will probably have less experience with Macs than with Windows machines. Also, many technical support people, such as those with cable companies, are overloaded and will try to get you off the line as soon as possible. If your problem doesn't fit into a checklist, they might want to stop before your problem is solved. Try to stay positive; you might have to be assertive (not aggressive) to get the support you need. Sometimes, it is better to explore the Support area of a provider's Web site (which, of course, assumes that you can connect in some fashion, perhaps from another computer) before calling for help.


Chapter 11. Using an AirPort Network to Connect to the Internet

In this chapter

AirPort Wireless Networking

Setting Up an AirPort Base Station

Connecting to the AirPort Network with Mac OS X

Troubleshooting

Mac OS X to the Max: Using AirPort to Share an Internet Connection with a Wired Network


AirPort Wireless Networking

AirPort is an amazing technology that makes wireless communication affordable to own and relatively simple to install and configure. With AirPort, you can quickly and easily set up and manage a wireless network to do the following tasks:

  • Connect to the Net You can use AirPort to connect to the Internet wirelessly, and you can easily share a single Internet connection among multiple Macs.

  • Connect to a network You can connect an AirPort-equipped Mac to an existing Ethernet (wired) network.

  • Connect directly to other AirPort-equipped computers You can directly network to one or more AirPort-equipped computers. As long as all the computers are set up to use the same AirPort connection, they can communicate with each other up to 150 feet apart. This makes instant, temporary networks fast and easy.

AirPort functionality is provided through the following components:

  • AirPort-ready Macs If your Mac is AirPort-ready, it has built-in antennas that are used to transmit and receive signals to and from the wireless network. It also has a slot in which you can install an AirPort card. The good news is that all modern Macs are AirPort-compatible.

  • AirPort card To use AirPort, your Mac must have an AirPort card installed in it. There is more good news here too; AirPort cards cost only about $99 and are quite simple to install.

  • AirPort software The AirPort software is necessary for Macs to communicate through the AirPort hardware. The software to configure and use an AirPort network is part of the standard Mac OS X installation.

  • AirPort Base Station The AirPort Base Station transmits the signals for the AirPort network. There are two types of base stations. The AirPort Hardware Access Point is a dedicated hardware device that contains access points for a modem and an Ethernet network. When you use it for a dial-up connection to the Internet, for example, the AirPort Base Station's modem is used to connect to the Net. Your Mac communicates to the Base Station through the AirPort card and built-in antenna. A single AirPort Hardware Access Point can support multiple computers so that you can share an Internet connection among up to 10 computers. You can also configure any AirPort-equipped Mac to act as a Base Station by using Mac OS X's built-in Internet sharing capabilities.

    NOTE

    Functionally, an AirPort Hardware Access Point and an Airport-equipped Mac OS X machine sharing its Internet connection are identical. In this chapter, when I use the term Base Station, it can refer to either means of providing an AirPort network.

The general steps to configure and use an AirPort network are the following:

  1. Install and configure the Base Station (AirPort Hardware Access Point or an Airport-equipped Mac OS X machine).

  2. Install AirPort cards in the machines you want to connect to the AirPort network.

  3. Configure those machines to use the AirPort network.

NOTE

Although using AirPort to connect to the Internet and to share an Internet account is the focus of this chapter, an AirPort network provides access to all the services of a wired network. For example, computers connected to a wired network via AirPort can print to printers on that network, use file sharing, and so on. (By the way, any of you printer manufacturers who happen to be reading this, how about an AirPort-capable printer!)

To learn how to configure other network services over an AirPort network, see "Configuring and Accessing Network Services Via AirPort," p. 739.


Setting Up an AirPort Base Station

Setting up an AirPort Base Station is slightly different depending on the type of Base Station you use: the AirPort Hardware Access Point or an AirPort-equipped Mac OS X machine that provides Internet sharing.

The benefit of using an AirPort Hardware Access Point is that it doesn't place any processing load on an individual Mac. And it is intended to run at all times so that the AirPort network is always available. It also provides the ability to share an Internet connection with devices to which it is networked using an Ethernet connection. The disadvantage of this device is its cost (currently $299 direct from Apple). If you are going to be using an AirPort network regularly to serve more than one or two machines, an AirPort Hardware Access Point is a good investment.

The benefit of using an Airport-Equipped Mac OS X machine as a Base Station is that you don't need to purchase any additional hardware (except for the AirPort card in the Mac that will act as the Base Station). You get most of the functionality of the AirPort Hardware Access Point but don't have to support another dedicated device. Using this method does have several disadvantages. One is that it places additional processing load on the machine that acts as the Base Station. Another is that the network can be affected by the state of that machine. For example, if the machine is shut down or crashes, the network will be taken down as well.

NOTE

You can have multiple Base Stations operating in the same area at the same time to grow your AirPort network to be quite large.

Setting Up an AirPort Hardware Access Point

Apple's AirPort Hardware Access Point (also called the AirPort Base Station) is a relatively simple device (see Figure 11.1). It contains a transmitter that broadcasts the signal over which the network is provided; it also has a 56K modem to enable it to connect to a dial-up Internet account. It has two Ethernet ports. One is used to connect to a broadband Internet connection, such as a cable modem. The other is to connect to a wired Ethernet network so that the Base Station can also share its Internet connection with the machines connected to that network as well. The AirPort Hardware Access Point also includes the software it needs to perform its functions.

Figure 11.1. Simple in form but excellent in execution would be a good description of Apple's AirPort Hardware Access Point.

Setting up an AirPort Hardware Access Point consists of the following two tasks:

  1. Install the AirPort Hardware Access Point.

  2. Configure the AirPort network, including the Internet connection that the Base Station will use to connect to the Internet.
Installing the Base Station

There is not much to installing the AirPort Base Station.

First, locate the device in a central area so that it will provide the maximum amount of coverage where you install it. In most houses, the AirPort Base Station will provide adequate signal strength even if you locate it at one end of the house and place machines that you want to network at the other end. However, the closer the machines are to the Base Station, the stronger the signal will be.

Then, attach its power adapter to the station and plug it into a wall outlet. Attach the modem port to a phone jack if you will be connecting to the Internet via a dial-up account. If you will be using the AirPort Hardware Access Point to connect to the Internet via a cable or other broadband connection, connect the broadband Ethernet port on the AirPort Hardware Access Point to the broadband modem.

NOTE

The first generation of Hardware Access Points included only one Ethernet port. This meant that you could use the hub as an Internet sharing hub for the wired network. Either you had to connect the Access Point to the broadband connection and use only AirPort-equipped Macs to share the account, or you had to connect the hub to a wired network that already had a hub providing sharing services and have the Access Point share the connection as well.

If you are going to connect the Base Station to act as a sharing hub for an Ethernet network, attach an Ethernet cable to the Station's network Ethernet port. If you want to use the Base Station to network your Mac with a single computer, you can connect the Ethernet port on the other computer to the Base Station with an Ethernet crossover cable. Otherwise, attach a standard Ethernet cable to your Base Station and to an Ethernet hub.

NOTE

Some modern Macs, such as the PowerBook G4, don't require the use of an Ethernet crossover cable.

To learn more about Ethernet, see "Ethernet," p. 625.

Configuring the Base Station

After you have installed the Base Station, you need to configure it. You can configure it manually through the AirPort Admin Utility or you can use the AirPort Setup Assistant to configure it for you. With either method, you configure the Base Station from a machine with which it can communicate either via AirPort or through an Ethernet network.

NOTE

The machine you use to configure a Base Station must have an AirPort card installed in it to be able to use the AirPort Setup Assistant. It does not need to have an AirPort card if it is connected to the Access Point via Ethernet.

To learn how to install an AirPort card, see "Installing an AirPort Card," p. 280.

Configuring the Base Station Using the AirPort Setup Assistant

Use the following steps to configure the Base Station using the AirPort Setup Assistant:

  1. Configure the Internet connection on the Mac from which you will be configuring the Base Station in the same way that the Base Station is going to be configured. For example, if the Base Station will be using a dial-up account, configure the Mac using that account.

    To learn how to configure a Mac for the Internet, see Chapter 10, "Connecting Your Mac to the Internet," p. 233.

  2. Open the AirPort Setup Assistant (Applications/Utilities). You will see the first window in the Assistant (see Figure 11.2).

    Figure 11.2. The AirPort Setup Assistant guides you through the steps to configure an AirPort Base Station or to configure an AirPort-equipped Mac to access the AirPort network you create.

  3. Click the "Set up an AirPort Base Station" radio button and click Continue. You will see the Select an AirPort network dialog box.

    CAUTION

    If you are configuring an Access Point that has already been configured and is protected by a password, you will have to enter that password before you can proceed.

    If the Base Station you are configuring has outdated software installed on it, the Setup Assistant will attempt to update it. To be able to do so, the Access Point must be able to connect to the Internet, which assumes that it is already configured and you are reconfiguring it.

  4. Choose the Base Station you want to configure from the Available AirPort networks pop-up menu and click Continue. If you have only one Base Station in range, it will be selected automatically. You will see the America Online Access window. These instructions assume that you don't use America Online to connect to the Internet.

  5. Click the "I am using another Internet Service Provider" radio button and click Continue. You will see the Internet Access window (see Figure 11.3).

    Figure 11.3. Configuring an AirPort Base Station for Internet access is very similar to configuring a Mac for Internet access.

  6. Choose the method by which the AirPort Base Station will connect to the Internet. Most of the options are the same as when you configure a Mac to access the Internet. For example, to configure the Base Station's dial-up modem, click Telephone Modem and then click Continue. You will see the Internet configuration of the machine you are using. For example, if you are configuring the dial-up account, you will see the Modem Access screen. The information for the dial-up account of the Mac you are using will be shown. The one that is not the same as when you configure a Mac is the Local Area Network (LAN) option. You should choose this one when you are connecting the Access Point to a wire network that already has Internet sharing services on it; in this case, the Access Point will use the same DHCP services to connect to the Internet as the other machines on the wired network.

    NOTE

    If you have more than one network port configured for that type of access, you will see information for the port that has the highest priority. For example, if you have two dial-up accounts configured on your machine, you will see the information for the one higher on the list of network ports in the Network pane of the System Preferences utility.

  7. Make any changes to the Access window that you need to. If the Mac you are using can connect to the Internet using the same settings, you shouldn't need to make many changes.

    If you are using a dial-up account, check the "Automatically dial" check box to allow the Base Station to connect to the Internet automatically when it needs to. In some cases, this setting is not carried over from the PPP Options area of the Network pane of the System Preferences utility.

    When you use an AirPort Hardware Access Point with a dial-up account on your only phone line, it is especially important that you set the configuration to disconnect automatically after a specific amount of idle time passes. Because you don't deal directly with the AirPort Hardware Access Point, it isn't easy to tell when it is connected and your phone line might be busy without your knowing about it.

    To understand how to configure the access option you selected, see Chapter 10, "Connecting Your Mac to the Internet," p. 233.

  8. When you are done configuring the access method, click Continue. You will see the Network Name and Password dialog box.

  9. Configure the network you are creating by entering the network's name and the network password. Users will have to select the name and enter the password you give your network to connect to it.

  10. Click Continue. You will see the Base Station Password dialog box. This dialog box enables you to set a separate administration password for the Access Point. The network password you create should be different from the Base Station's network password. If you make them the same, anyone who uses the network will also be able to administer it (which might not be a problem if you are the only person using the AirPort network). If you want to use the same password for the network and the Base Station, click the "Use the same password" radio button and skip the next two steps.

  11. Click the "Assign a separate password" radio button and click Continue.

  12. Enter the base station password in the Base Station Password box and in the Retype password box, and click Continue. You will see the Conclusion screen.

  13. In the Conclusion dialog box, click Continue. The Base Station configuration will be updated and the Base Station will be reset. You will see a dialog box stating that the configuration was successful (see Figure 11.4).

    Figure 11.4. When you see this screen, the Base Station is ready to use.

  14. Click Done. The AirPort Setup Assistant will quit and the AirPort network will be available to any Airport-equipped Mac within the Access Point's range.

If you see an error message stating that the required AirPort hardware was not found when you started the AirPort Setup Assistant, see "No AirPort Hardware Is Found" in the Troubleshooting section at the end of this chapter.

If you can't access the Base Station because you don't know the password, see "I Don't Know the Base Station Password" in the Troubleshooting section at the end of this chapter.

Configuring the Base Station Manually

You should also know how to manually configure the Base Station. Manual configuration can be a better and more complete way to configure the Base Station. For example, you need to manually configure a Base Station when you want to share an Internet account with other machines on an Ethernet network or to use the AirPort Base Station as a bridge between the wireless network and a wired one (for example, to allow AirPort-equipped machines to use a printer connected to a wired network). You use the AirPort Admin Utility application to configure an Access Point manually. You can do so with the following steps:

  1. Open the AirPort Admin Utility (Applications/Utilities). You will see the Select Base Station window (see Figure 11.5).

    Figure 11.5. The AirPort Admin Utility enables you to configure a Base Station manually.

  2. Select the Base Station you want to configure and click Configure (if there is only one Base Station in range, it will be selected automatically).

    If you get an error message when trying to configure your Base Station manually, see "I Can't Configure My Base Station Manually" in the Troubleshooting section at the end of this chapter.

  3. If the Base Station has been reset, you will see a dialog box informing you that the Base Station has been reset and is not currently configured. Click Automatic and then authenticate yourself using an Administrator name and password. The software will reconfigure the Base Station and restart it. When it is complete, you will return to the Select Base Station window. Click Configure again. If the Base Station has not been reset, you won't have to do this step.

    NOTE

    When you have problems with a Base Station, sometimes you must reset it so that it returns to its default settings (in effect, you start over).

  4. Enter the Base Station password (depending on how you configured the Base Station, this password might or might not be the same as the network password) and click OK. You will see the Configure Base Station window with the name of the Base Station you are configuring at the top of the window (see Figure 11.6).

    Figure 11.6. The five tabs of the Configure Base Station window enable you to configure various aspects of the Base Station.

    TIP

    When entering the password, click the "Add to Keychain" check box to have the password added to your keychain. Then, you won't have to enter it again when you access the base station from the same user account. Don't do this if you share your user account with someone whom you don't want to be able to configure the Base Station.

    The Airport tab is selected by default. On this tab, you can change the identification information for the Base Station and you can configure how it serves its network.

  5. Enter the Base Station name (this is the name of the hardware, not the name of the network it provides) in the Name field, the contact for the Base Station in the Contact field, and the station's location in the Location field (this information can help users contact you for help).

  6. To change the Base Station's password (not the network's password), use the Change Password button.

  7. Enter the name of the network that will be provided in the Name field in the AirPort Network area of the window.

  8. If you want to create a closed network, check the "Create a closed network" check box. A closed network will not appear on other users' AirPort menus. To join closed networks, users will have to know the name and password for that network (because they can't see the network on a menu). Using a closed network is a good way to keep your network more secure.

  9. Use the Channel, Station density, and Multicast rate pop-up menus to control the signal that is broadcast from the Base Station. These settings control the physical properties of the signal. Generally, the default settings will work fine. However, if you have problems providing a network, you can adjust these settings, such as the channel, to obtain better performance. If you have trouble connecting to a Base Station, it can sometimes be caused by interference from other devices, including other Base Stations. Use the Channel pop-up menu to choose other frequencies to see whether they provide better signal strength.

  10. Use the "Enable interference robustness" check box to make the AirPort signal more robust to interference.

  11. Use the "Enable encryption (using WEP)" check box to encrypt data over the network. You should always leave this check box enabled.

    NOTE

    WEP (Wired Equivalent Privacy) is an encryption strategy that attempts to provide wireless networks with the same level of protection that wired networks have. WEP does provide improved security compared to non-encrypted transmissions, but be aware that it does have some flaws as do almost all security measures. If the information that is transmitted over your network is very sensitive, you should use WEP to provide at least some protection.

  12. Use the Change password button to change the network password.

    NOTE

    If the Base Station is already providing a network and you change the name or password of the network, people who use the network will need to change the network they use. The new network name will appear as an available network on the client machines, but you will need to provide the new password to those whom you want to use the network.

  13. Click the Internet tab and configure the Base Station for Internet access. This works quite similarly to configuring a Mac for Internet access. Choose the connection method from the Connect using pop-up menu and then enter the settings you want to use in the lower part of the window (see Figure 11.7).

    Figure 11.7. This Base Station is being configured to connect to the Net using an Ethernet connection.

    To learn how to configure a Mac for the Internet, see Chapter 10, "Connecting Your Mac to the Internet," p. 233.

  14. Click the Network tab to control how the Base Station provides services to the network. The default settings enable all the machines connecting to the AirPort network to share the Base Station's Internet account. By default, the Base Station provides IP addresses to each machine dynamically. If you want to use a specific set of IP addresses, check the "Share a range of IP addresses" check box (using only DHCP), and enter the starting and ending IP numbers you want to assign. As machines connect to your network, these IP addresses will be assigned to each machine that connects (you have to have enough addresses in the range so that there is one available for each machine). If you uncheck the "Distribute IP addresses" check box, users who connect to your network will have to set their TCP/IP settings manually or get their IP address assigned by a different DHCP server. If you check the "Enable AirPort to Ethernet bridging" check box, users will be able to access devices connected to the Base Station over Ethernet, such as printers or machines that are acting as file servers. If you use AirPort in conjunction with a wired network, you should check this box.

    To learn how to configure the Base Station so that all the machines on a network, which includes machines connected via Ethernet, can share the same Internet account, see "Mac OS X to the Max: Using AirPort to Share an Internet Connection with a Wired Network," p. 287.

  15. Use the Port Mapping tab to add additional ports to the network for other services, such as AppleShare, Web sharing, and so on. (Covering these options is beyond the scope of this book.)

  16. Use the Access Control tab if you want to limit access to the network to machines with specific AirPort ID numbers (you find these numbers on the client machines, as you will see in a later section). Click Add, enter the AirPort ID of the machines to which you want to allow access to your network, a description of the machine, and click OK. Only the machines with AirPort IDs shown in the list will be able to access your network. (If the list is empty, any AirPort machines will be able to connect by using the network's password.)

  17. Click Update to transfer the settings to the Base Station. The Base Station will be restarted after the settings have been transferred.

  18. When the process is complete, click OK. You will return to the Select Base Station window.

  19. Quit the AirPort Admin utility.

    If you see an error message stating that the required AirPort hardware was not found when you started the AirPort Admin Utility, see "No AirPort Hardware Is Found" in the Troubleshooting section at the end of this chapter.

NOTE

For more detailed information on AirPort, visit Apple's Knowledge Base at http://kbase.info.apple.com/ and search for AirPort.

You can now access the Net from an AirPort-equipped Mac using the AirPort network. If you configured the Base Station to act as a bridge to Ethernet, you will also be able to connect to any networked printers, file sharing machines, and other network services.

Configuring an AirPort-Equipped Mac to Act as a Base Station

As you learned earlier, you can use any AirPort-equipped Mac running Mac OS X to act as a Base Station. When you do this, the Mac OS X machine provides services similar to those that a Hardware Access Point provides, but you don't have as much control over the AirPort network.

CAUTION

For a Mac to act as a Base Station, you must first disable its built-in firewall by using the Firewall tab of the Sharing pane of the System Preferences utility. If the Mac you use is connected directly to the Internet, such as through a cable modem, it will be vulnerable to attack. You should use a Mac as a Base Station only if it is protected by some other means, such as a hardware firewall or an Internet sharing hub that offers NAT protection.

To learn how to enable or disable the Mac OS X firewall, see " Defending Your Mac Against Net Hackers," p. 803.

  1. Install an AirPort card in the machine you are going to use as a Base Station.

    To learn how to install an AirPort card, see "Installing an AirPort Card," p. 280.

  2. Configure that machine so that it can connect to the Internet, such as through DHCP services provided on an Ethernet network or over a dial-up account.

    To learn how to configure a Mac for the Internet, see Chapter 10, "Connecting Your Mac to the Internet," p. 233.

  3. Open the Network pane of the System Preferences utility.

  4. Choose AirPort on the Show menu.

  5. Click the AirPort tab (see Figure 11.8).

    Figure 11.8. Using the AirPort tab, you can enable an AirPort-equipped Mac to provide an AirPort network.

  6. Check the "Allow this computer to create networks" check box.

  7. Open the Sharing pane of the System Preferences utility and click the Internet tab (see Figure 11.9).

    Figure 11.9. You use the controls on the Internet tab of the Sharing pane to enable a Mac to share its Internet connection with other computers.

  8. Check the "Share your Internet connection with AirPort-equipped computers" check box.

  9. Click Start. AirPort services will start up.

  10. Click AirPort Options. The AirPort network configuration sheet will appear (see Figure 11.10).

    Figure 11.10. With this sheet, you configure the AirPort network that your Mac will provide to other machines.

  11. Edit the default network name if you want. The default name is the name of your computer with "Network" tacked on the end of it, but you can make it something more interesting if you want.

  12. Unless you have multiple AirPort networks active in the same area or you experience interference that prevents your network from operating properly, leave the Channel pop-up menu set to Automatic. If you want to choose a channel manually, select it on the pop-up menu.

  13. For a more secure network, check the "Enable encryption (using WEP)" check box.

    NOTE

    WEP, or Wired Equivalent Privacy, is an encryption strategy that attempts to provide wireless networks with the same level of protection that wired networks have. WEP does provide improved security compared to non-encrypted transmissions, but be aware that it does have some flaws as do almost all security measures. If the information that is transmitted over your network is very sensitive, you should use WEP to provide at least some protection.

  14. Choose an encryption key length on the WEP key length pop-up menu. The options are 40-bit or 128-bit. If only newer Macs running Mac OS X will be connecting to the network, choose 128-bit. If you aren't sure what level of encryption other machines can support, try 40-bit. If you don't want to use the encryption at all, uncheck the "Enable encryption (using WEP)" check box.

  15. Enter the network password in the Password and Confirm Password fields. This is the password users will enter to connect to the network.

  16. Click OK.

  17. Use the Services pane to configure the specific services you will provide over the network, such as File and Printer Sharing. Your Mac will begin providing services over AirPort and its network will be available to AirPort-equipped Macs.

To learn how to configure sharing services, see "Configuring the Services on a Network," p. 727.

TIP

If Printer Sharing is enabled, USB printers that are connected to the Mac acting as a Base Station will also be available to the AirPort network. This is a great way to share USB printers with other Macs.

Using a Mac as a Base Station

One of the disadvantages of using a Mac as a Base Station is that the Mac must be on for the network to be available. If that Mac is turned off or crashes, the AirPort network will be lost.

Another disadvantage of using a Mac as a Base Station is that you can't have Mac OS X's built-in firewall turned on. This means that if the Mac you are using to provide the network is connected directly to the Internet, such as through a cable modem, it will be vulnerable to attack. (If it is protected by some other device, such as a sharing hub, it is okay to have its firewall turned off.)

If the Mac that is acting as the Base Station goes into Sleep mode, its services will also be lost. Use the Energy Saver pane of the System Preferences utility to make sure that the Software Base Station machine never sleeps while you want the AirPort network to be available. Also, if Sleep interrupts AirPort network services, client machines might have to quit and then restart Internet applications, such as Internet Explorer, in order to resume using the network.

To learn how to control sleep, see "Managing Your Mobile Mac's Power," p. 866.


Connecting to the AirPort Network with Mac OS X

After an AirPort network has been established, you can access it from any AirPort-equipped Mac (running Mac OS 9 or Mac OS X). First, install an AirPort card in each Mac you want to add to the network. Then, configure each Mac to access the AirPort network.

Installing an AirPort Card

An AirPort card contains the hardware receiver, transmitter, and firmware that enables a Mac to communicate with an AirPort network (including a Base Station or other AirPort-equipped machines). Each machine that will access an AirPort network must have an AirPort card installed in it. When your Mac detects that an AirPort card is installed, it will activate the AirPort software that is part of all Mac OS installations since Mac OS 9.

If you ordered an AirPort card to be installed when you ordered your Mac, you can skip this section. If you obtained the AirPort card separately, you need to install it in the AirPort card slot in your Mac. Generally, this involves exposing the AirPort card slot, inserting the card in the slot, connecting the antenna to the card, and then closing up the machine.

On Power Mac G4s and Power Mac G4 Cubes, you open the case to access the AirPort card slot. On older iMacs, you open the rear panel to expose the slot (for some iMacs, the card fits into an adapter that you install into the iMac AirPort card slot). Newer iMacs have the AirPort card slot on the bottom side of the case. On PowerBooks and iBooks, the AirPort card slot is located underneath the keyboard or just above the bottom cover (on PowerBook G4s, you remove the bottom cover to access the AirPort card slot).

NOTE

When you order an AirPort card separate from a machine, it includes an installation pamphlet that provides installation instructions for every Mac model. The owner's manual for your Mac will also contain the instructions you need to install an AirPort card.

Because of the differences in the location of AirPort slots on various models, the exact steps to install the card are slightly different. However, in no case is installing a card particularly difficult. As an example, the following steps describe how to install the card in a Power Mac G4:

  1. Shut down the machine, disconnect any cables that prevent you from opening the case, and open the case.

  2. Locate the AirPort card slot; in Power Mac G4s, the slot is located on the same side as the motherboard near the front of the machine toward the bottom of the case (see Figure 11.11).

    Figure 11.11. Installing an AirPort card in a Power Mac G4 takes less than 5 minutes (and most of that time is required to disconnect and reconnect cables).

  3. Insert the card into the metal guide with the bar code side of the card up; push the card until the end of the card is inserted into the connector mounted on the motherboard.

  4. Connect the antenna to the hole on the card (see Figure 11.12).

    Figure 11.12. This Power Mac G4 has an AirPort card installed and is now ready to connect via AirPort.

  5. Close up the case, reconnect any cables you disconnected, and restart the machine.

Configuring Mac OS X to Join an AirPort Network

To access an AirPort network, you must configure a Mac OS X machine to connect to it.

You can do this in several ways. First, use the AirPort tab of the Network pane of the System Preferences utility to determine which AirPort networks your Mac uses by default when it restarts or wakes up from sleep.

Configure your default, or preferred, AirPort network with the following steps:

  1. Open the System Preferences utility and click the Network icon to open the Network pane. Choose AirPort from the Show pop-up menu.

  2. Click the AirPort tab (see Figure 11.13).

    Figure 11.13. This Mac has been configured to use the most recently used and currently available AirPort network as its preferred (default) AirPort network.

  3. To have your Mac join the AirPort network with the strongest signal, click the "Join network with best signal" radio button. This will cause your Mac to scan all the available networks and log on to the one that has the best signal. If you haven't saved the password for the network that your Mac selects, you will have to enter the password manually.

  4. To join the network that you used most recently and that is currently available, click the "Join most recently used available network" radio button and check the "Remember network password" check box.

  5. To join a specific network, check the "Join a specific network" radio button, select the network you want to join on the drop-down list, and enter the password.

  6. Check the "Show AirPort status in menu bar" check box to put the AirPort icon on your menu bar. You can use this icon to quickly select and control your AirPort connection.

  7. Click Apply Now and quit the System Preferences utility.

NOTE

As your Mac connects to the network, the name of the network to which you are connecting will briefly appear next to the AirPort icon in the menu bar.

If you want to use an AirPort network other than your preferred one, select the network you want to use on the AirPort menu on the menu bar and select the AirPort network to which you want to connect (see Figure 11.14). If its password is not already stored on your keychain, you will be prompted to enter it. Do so and you will be logged on to the AirPort network.

Figure 11.14. The AirPort icon on the menu bar provides control over AirPort under Mac OS X (the preferred network is marked with the check mark).

TIP

When prompted to enter your password, check the "Add to Keychain" check box to have Mac OS X remember the password so that you don't have to enter it again.

If you can access an AirPort network, but can't access the Internet, see "I Can't Access the Internet Through AirPort Even Though I Can Connect to the AirPort Network" in the Troubleshooting section at the end of this chapter.

You can use the AirPort menu on the menu bar to control AirPort in several ways, including the following:

  • Measure the signal strength of the connection The "waves" emanating from the AirPort icon show the relative strength of the signal your Mac is receiving. As long as you see two or more "waves," the signal you are receiving is plenty strong.

  • Turn AirPort on or off You can disconnect your Mac from the AirPort network by turning AirPort off.

  • Choose a different AirPort network from the list of available networks When you do so, you will be prompted to enter the password for that network—unless you have saved the password to your keychain. Do so and you will change to the network you select.

    NOTE

    Some AirPort networks are "hidden" and do not broadcast their identity. In order to join such a network, you must know the name and password of the network you want to join. To join a hidden network, choose Other on the AirPort menu on the menu bar, enter the name and password for the network, and click OK.

  • Create a computer-to-computer network When you choose Create Network, you can create a network between two or more AirPort-equipped Macs. In the Computer to Computer dialog box, enter the name and password of the network you are creating, choose the channel you want to use, and then click OK. Other users will be able to select the network you create on their AirPort menus to connect to the network you create (of course, you need to provide the password for your network to those users). When your Mac is hosting a computer-to-computer network, the AirPort icon changes to a Mac "inside" a quarter circle to show that you are in the computer-to-computer mode. To switch to another AirPort network, select it on the AirPort menu.

    The Channel you choose for a network controls the frequency of the signal that is used to create an AirPort network. If you have trouble connecting to other machines over the network you create, try a different channel.

    When you create and use a computer-to-computer network, other AirPort connections, such as the one you use to connect to the Internet, are deselected and so can't be used.

    TIP

    Computer-to-computer networks are a great way to play network games. You can create an AirPort network and host a game. Other users can connect to the network and join the game by selecting your network using their AirPort controls.

  • Open Internet Connect to control the Internet connection You can choose Open Internet Connect to open the Internet Connect application to control the connection you are using via AirPort. You can turn AirPort on or off, choose the network you want to use, see the strength of the signal your machine is receiving, and so on (see Figure 11.15). For example, if your Base Station connects to the Internet over a dial-up connection, click the Disconnect button to disconnect the Base Station from the Internet. To connect again manually, click the Connect button.

    Figure 11.15. You can also control an AirPort connection to the Net by using the Internet Connect application.

    NOTE

    To use Internet Connect to control an AirPort network, choose AirPort on the Configuration pop-up menu. Internet Connect works for an AirPort connection very similarly to how it works for a dial-up connection.

If you are getting no signal or a weak signal from the AirPort network you want to join, see "Weak Signal" in the Troubleshooting section at the end of this chapter.

Using AirPort is a great way to quickly create and use wireless networks. After you have connected to the Net without wires (especially when roaming with a PowerBook or iBook), you won't want to settle for anything else.

Although this chapter has focused on using AirPort to access the Internet, an AirPort connection works just like any other network connection (such as an Ethernet connection). For example, you can access the files on another machine over an AirPort network just as you can with an Ethernet network.


Troubleshooting

No AirPort Hardware Is Found

When I launch the AirPort Setup Assistant, I see an error message stating that the required AirPort hardware can't be found.

The AirPort software requires that you have an AirPort card installed on the machine you use to configure a Hardware Access Point Base Station. If an AirPort card is not found, the software won't run.

If you don't have an AirPort card installed in your Mac, you will need to do so before running the AirPort Setup Assistant.

If you do have an AirPort card installed, it is not properly installed. Repeat the installation steps to make sure that the card is properly installed.

To learn how to install an AirPort card, see "Installing an AirPort Card," p. 280.

I Can't Configure My Base Station Manually

When I try to configure a Base Station manually, I get an error stating that the Base Station can't be configured.

This problem can happen for various reasons. First, try resetting the Base Station (see the next section). If that doesn't work, try opening the AirPort Setup Assistant and configuring the Base Station using the assistant. Then, go back into the AirPort Admin Utility and try to configure the Base Station again. This will sometimes clear the error.

I Don't Know the Base Station Password

I can't access the Base Station because I don't know its password.

When you have trouble with an AirPort Hardware Access Point, you can reset it to its factory defaults by inserting a paper clip into the reset button hole on the bottom of the unit. Hold down the button for a second or two and the Base Station will be reset—all settings are returned to the default and the password becomes public.

Weak Signal

My AirPort signal strength is low. Or, I can't find the network to which I want to connect.

Two primary factors affect the strength of the AirPort signal that your Mac receives from a Base Station (hardware or software) or from Macs providing a computer-to-computer network. One is the distance from the Base Station to your Mac. The other is the amount of interference in the area.

If your Mac is within 150 feet of the Base Station you want to use, there should be no trouble getting a strong enough signal. If you are at the edge of or beyond that range, move your Mac closer to the Base Station or move the Base Station closer to you. You can also try repositioning the Base Station because it can sometimes be affected by materials or other fields between it and your Mac.

If you are close to the Base Station, but can't get a strong signal, try changing the frequency of the network in the event that it is being interfered with by another signal of some type.

To learn how to change an AirPort network's frequency, see "Configuring the Base Station Manually," p. 272.

I Can't Access the Internet Through AirPort Even Though I Can Connect to the AirPort Network

My Mac is connected to an AirPort network, but I can't access the Internet.

If you are connecting to the Internet through a Hardware Access Point, the most likely cause is that the Access Point has lost its Internet connection. Use some means to confirm that Internet services are available to the Base Station, such as by using a machine that is connected independently or calling your service provider. If services are available, use the AirPort Admin Utility to check its configuration to make sure that it is correct. If all else fails, reset the Access Point.

If you are connecting through a network provided by a Mac acting as a Base Station, make sure that the Mac is still running and that its Firewall is not turned on. The Mac OS X firewall blocks access to the Internet from machines attempting to use it in that way.

It is also possible that the Base Station Mac went into Sleep mode. If so, wake it; then quit any Internet applications on the machine with which you are trying to connect to the Internet and restart them.

If that doesn't work, restart the machine itself and try again.


Mac OS X to the Max: Using AirPort to Share an Internet Connection with a Wired Network

AirPort enables you to easily share an Internet connection among AirPort-equipped machines. However, you can also use an AirPort Base Station to share an Internet account among machines that are connected to it via a wired network, such as an Ethernet network. You can do this because the Base Station is actually a DHCP server.

To learn more about DHCP servers, see Chapter 26, "Sharing an Internet Connection," p. 755.

To configure an AirPort Hardware Access Point as a DHCP server, use steps similar to those you used to configure the AirPort Hardware Access Point manually earlier in this chapter. On the Network tab, check the following check boxes: "Ethernet client computers also share a single IP address (using NAT)" and then "Enable DHCP server on Ethernet." Update the Base Station settings by clicking the Update button. Any machines set to use a DHCP server will be able to access the Internet through the AirPort Hardware Access Point whether they connect to it via AirPort or Ethernet.

To configure an AirPort Hardware Access Point, see "Configuring the Base Station Manually," p. 272.

If you want AirPort-connected machines to be able to access devices on an Ethernet network, such as printers, check the "Enable AirPort to Ethernet Bridging" check box.


Chapter 12. Using E-Mail

In this chapter

Introducing the Address Book and Mail

Setting Up and Using an Address Book

Configuring Your Address Book

Configuring Mail

Sending, Receiving, and Replying to E-Mail

Customizing Your E-Mail

Sending and Receiving Files with E-Mail

Searching E-Mail

Troubleshooting

Max OS X to the Max: E-Mail Away


Introducing the Address Book and Mail

In today's world, e-mail is an essential form of communication for just about everyone. Mac OS X includes two powerful applications that enable you to send, receive, and manage your e-mail: Address Book and Mail. As its name implies, Address Book enables you to manage all sorts of contact information. Mail is a Cocoa e-mail application that provides lots of powerful features rivaling any other e-mail application.


Setting Up and Using an Address Book

Mac OS X includes the Address Book application, in which you can store all your contact information. The most obvious use for this information is within Mail, but other applications can access the Address Book as well. This is useful because it enables you to use a single contact database for other applications that use information about your contacts, such as iChat.

Address Book has been totally reworked for Mac OS X version 10.2. It now provides its services to a wider range of applications, and it offers more functionality itself. You can store as much information as you want, and you can customize each entry in the Address Book as much as you like.

Address Book is based on virtual cards, or vcards. A vcard is an electronic information card that you can drag and drop between applications to transfer the information contained on that card. You can also share vcards with other users to exchange information. For example, you can drag someone else's vcard onto your Address Book to quickly add that person's information to your list of contacts.

TIP

Address Book is not the only application that can work with vcards. Many other applications can use vcards. For example, Microsoft Entourage can read vcards, so you can provide your vcard to someone who uses that application and that person can easily add your contact information to her contact database.

Using the Address Book

When you open the Address Book, you will see that its window consists of two columns and a card by default. The columns are Group and Name. The Group pane shows the groups you have created. The Name pane lists each contact individually. The Card pane shows the card that is selected in the Name pane (see Figure 12.1).

Figure 12.1. The Address Book is a powerful tool you can use to manage all of your contact information.

In the upper-left corner of each card, you will see an image well you can use to place an image for your contact, such as a photo of the person for whom you created the card. You can add a photo to a card by dragging a photo onto this well. The photo you use can be a JPEG, GIF, TIFF, or PDF file and should be 64x64 pixels.

Working with Address Book Contact Information

Although Address Book provides the standard functions you expect, such as e-mail addresses and phone numbers, the information in Address Book is dynamic. For example, when a contact's card includes an e-mail address, you can click on the address to send the contact an e-mail. When you include a Home page for a contact, you can click on it to visit that Home page. When the contact has a .Mac account, you can open the contact's iDisk. You can also use the contact's card to chat with the person using iChat.

To locate information in Address Book, you can browse your contacts or search for specific contacts.

To browse your contacts, perform the following steps:

  1. Open the Address Book by clicking the Address Book icon on the Dock or by opening the Applications folder and double-clicking the Address Book icon.

  2. Scroll in the Name column to find the contact you are interested in.

  3. Select the contact whose information you want to view. The contact's card will be displayed and you can see the person's information.

The information in Address Book is extremely flexible. The fields that are displayed for each contact can be configured individually. When you display a card, only the fields that contain information are displayed. For example, compare Figure 12.1 and Figure 12.2 to see how Address Book has reconfigured the card display for cards with different amounts of information.

Figure 12.2. This card contains information for someone at least a little bit more real than that shown in the preceding figure.

You can also search to locate a contact's information.

  1. Open the Address Book by clicking the Address Book icon on the Dock or by opening the Applications folder and double-clicking the Address Book icon.

  2. Enter a portion of the contact's name in the Search field. You can enter text found in any of the contact's information, including name, address, home page, and so on. As you type, the list of names shown in the Name column will be narrowed so that it includes only those contacts whose data contains the text you enter.

  3. Select the contact whose information you want to view. The contact's card will be displayed and you can see the person's information.

To view all of your contacts again, click the X button that appears in the Search field when you perform a search.

When working with the Address Book, you can do the following tasks:

  • Send an e-mail. To send an e-mail to one of your contacts, view the contact you want to send an e-mail to. Click the label next to the e-mail address you want to send an e-mail to. A pop-up menu will appear. Choose Send Email (see Figure 12.3). Your default e-mail application will open and a new message addressed to the contact will be created.

    Figure 12.3. Sending an e-mail from Address Book can be done with the Send Email command.

  • Visit the contact's home page. Click the home page label next to the Web site you want to visit. From the resulting pop-up menu, choose Go to Web Site. Your default Web browser will open and you will move to the contact's Web site.

  • View a map to an address. Click the label next to an address. Choose Map Of from the resulting pop-up menu. Your default Web browser will open and will move to the Map Quest Web site. A map to the selected address will be displayed.

  • Open an iDisk. If the contact has a .Mac account and you have configured their .Mac e-mail address, you can open the person's iDisk by clicking the label next to the .Mac e-mail address and choosing Open iDisk. The contact's iDisk will open in a new Finder window.

  • Scroll through your contacts. Click the Next and Previous Card buttons to browse through your contacts.

  • Edit your contacts. Click the Edit button to move into the Edit mode (more on this later).

You can change the view of the Address Book to show only cards by clicking the View Card Only button, by choosing View, Card Only, or by pressing [image] +2. The window will collapse down to the card only. You can add cards, edit cards, or browse cards from the collapsed window.

Adding Addresses to Your Address Book

Obviously, before an address book is of any value, it has to have some information in it. There are several ways to get information into your Address Book:

  • Create your own address card.

  • Add information manually.

  • Add information from an e-mail message you have received.

  • Add a contact's vcard.

  • Import address information from an e-mail application.

Creating Your Own Address Card

You should create an address card for yourself, mostly so that you can easily send your contact information to other people simply by sending them your vcard. The first time you open Address Book, a card is created for you from your information in Mac OS X. For example, if you entered an e-mail address when you installed Mac OS X, that address is included in your address card automatically. Your registration information is used to add an address, phone number, and other information.

Your card's icon will have a silhouette next to your name. When you select the card, the image well will be marked with the text "me."

TIP

You can export a vcard, by viewing it and choosing File, Export vCard.

You can export your own card, or any other card for that matter, as a vcard by viewing the card, holding down the Control key, clicking the mouse button, and choosing Export vCard. Choose a location, name the vcard, and click Save.

If you want to create another card for yourself for some reason, you can create a new card and enter your contact information in it. After you have created your address card, select it and choose Card, This Is My Card.

Adding Addresses Manually

As you might expect, you can add people to your Address Book by inputting their information manually.

To manually add an address, do the following:

  1. Click the Add new Person button in the Name column, choose File, New Card, or press [image] +N to see a new, empty address card. The fist name will be highlighted by default so that you can edit it immediately (see Figure 12.4).

    Figure 12.4. This is a new card, ready for the contact's information.

  2. Input the first name.

  3. Press Tab to move to and select the Last field, and then enter the contact's last name.

  4. Press Tab to move to and select the Job Title field, and then enter the contact's job title if applicable.

  5. Press Tab to move to and select the Company field, and then enter the person's company information if applicable.

  6. Press Tab to move to and select the first contact information, which is work by default.

  7. Click the menu icon to reveal the label pop-up menu (see Figure 12.5).

    Figure 12.5. You use this pop-up menu to label contact information.

  8. Select the label for the contact information, such as home.

    NOTE

    Two entries on the Label pop-up menu require some explanation. The selection called other inserts the label "other." If you choose Custom, you can create a custom label for a field.

  9. Enter the contact information.

  10. Continue tabbing to each field on the card, selecting the label for that field, and editing the information to fill in the rest of the card.

  11. If the contact has a Home page, select the home page field and enter the URL of the Home page you want to associate the contact with.

  12. If you want to add additional fields to the card, click the Add Field button (+) next to one of the existing fields. After you have added a field, you can edit it in the same way as the default fields.

  13. If you have an image you want to associate with the contact, drag the image onto the contact's image well. You can add images in the usual formats, such as .jpg or .tiff.

  14. Click the Edit button to move out of the Edit mode. Your new card will be ready to use (see Figure 12.6).

    Figure 12.6. You can create an address card for anyone you know (or even for those you don't know!).
Adding an Address from an E-Mail Message

You can create a contact in your Address Book by adding the sender's information from an e-mail message to it. To add a contact from an e-mail that you receive in the Mail application, do the following:

  1. Use Mail to open an e-mail message from the person whom you want to add to your Address Book.

  2. Choose Message, Add Sender to Address Book (or press [image] +Y). The person's name and e-mail address will be entered on a new address card.

NOTE

If you forget that you have already added a sender to your Address Book and add her again, another address card will be created. Address Book does not check to see whether the person exists already, which can lead to having multiple address cards for the same person.

Using Vcards to Add Information to Your Address Book

The benefit to using a vcard is that you can add lots of information about a contact with very little work on your part. When you receive a vcard from someone, use the following steps to add that person's address card to your Address Book.

  1. Drag the vcard onto the Name column in Address Book. The vcard will be added to your contacts.

  2. Select the card and click the Edit button.

  3. Edit the information as needed (you'll learn how to edit cards later in this chapter).

NOTE

Vcard files have the filename extension .vcf (Virtual Card File).

Importing Addresses from Another Application

If you have used another e-mail application in the past, you probably have an Address Book or Contact database in that application. If that application supports vcards, it is simple to export vcards from the application and then add them to Address Book.

As an example of how this works, the following steps show you how to export contacts from Microsoft's Entourage e-mail application and then add those contacts to the Address Book. Because Entourage supports vcards, you can create vcards for your Entourage contacts and then import those contacts into Address Book.

  1. Create a folder to temporarily store the vcards you export from Entourage.

  2. Open Entourage.

  3. Click the Address Book button to move into the Address Book mode.

  4. Drag the contacts for whom you want to create vcards from the Entourage window onto the folder you created in step 1, and drop them in that folder (see Figure 12.7). A vcard will be created for each of your Entourage contacts.

    Figure 12.7. Here, I am dragging my contacts from Entourage onto a folder to create a vcard for each of the contacts in my Entourage Address Book.

    NOTE

    If you drag an Entourage group to create a vcard, a text clipping file is created instead. You will need to re-create your groups within Address Book.

  5. Open Address Book.

  6. Drag the vcards from the folder you stored them in onto the Name column (see Figure 12.8). The contacts you added will be available for you to use and edit.

    Figure 12.8. Dragging vcards onto the Name column in Address Book adds the contacts to your Address Book.

NOTE

Unfortunately, if the application you have used for your contact information does not support vcards, there isn't a way to import its information into Address Book.

It is likely that not all the information in your current address book or contact list will make it into the Address Book application. For example, if you have added Category information for your Entourage contact list, that information will not be imported into the Address Book. After you have imported contacts into Address Book, you should check them over so that you know exactly what information made it in, and what didn't. If you lost any important information, you might have to spend some time re-creating it within Address Book.

Editing Addresses in Your Address Book

To edit an address in your Address Book, use the following steps:

  1. In Address Book, view the card containing the information you want to edit.

  2. Click the Edit button. Address Book will move into the Edit mode (see Figure 12.9). The first name will be selected and ready to edit.

    Figure 12.9. You can use the Edit mode to change an existing card's information.

  3. Use the same steps to change the information on the card that you do to create a card (see the earlier section on creating cards for the details).

TIP

You can use the Add Field button to add fields to the card. You can also add fields by using the Card, Add Field command. On the Add Field menu, you can choose the type of field you want to add.

Many of the data fields have pop-up menus containing the data field's label. You can open these menus and select a new label for that field. The changes you make by doing this affect only the current address card; this means that you can configure the information for a specific card independent of other cards. For example, if you know someone who has three mobile phones, you can select Mobile Phone as the label for three of the fields on that person's address card. You can also choose Custom to create custom field labels for existing or new fields.

You can quickly swap the last name with the first name for the card by viewing the card and choosing Card, Swap First/Last Name.

You can view cards by company instead of by name. View the card you want to change and choose Card, Show as Company. To view a card by name again, choose Card, Show as Person.

To remove an image from a card, view the card and choose Card, Clear Custom Image.

If you don't want a field's data to appear on a card, select the data and delete it. The data will be replaced with the type of data it is, such as Email for an e-mail address. The data will not appear on the card when it is viewed.

NOTE

After you add a field, you can't remove it. You can only delete its data so that it doesn't appear on the card any more.

To delete a card from the Address Book, select it and press Delete. Click Yes in the resulting prompt and the card will be deleted.

Working with Address Groups

Address groups enable you to e-mail multiple people using a single address. Working with an address group is just like working with any other address card in your Address Book. Creating an address group is simple, as you can see in the following steps:

  1. Click the New Group button; choose File, New Group; or press Shift+ [image] +N. You will see a new group in the Group column. The name of the group will be selected and ready to edit.

  2. Change the group's name to something meaningful and press Return.

  3. Click All in the Group column to view all the cards in the Address Book.

  4. Drag the cards you want to be included in the group onto the group's icon in the Group column. Those cards will become part of the group.

TIP

You can create a new group and add selected address cards to it by first selecting the cards you want to place in the new group and choosing File, New Group From Selection. A new group will be created and will include the cards you selected.

You can view a group by selecting it on the Group column. The Name column will show only those cards that are included in the group. You work with the cards in a group just as you do individual cards. For example, you can edit the card, use it to send e-mail to that individual, and so on.

To remove a card from a group, view the group, select the card you want to remove, and press Delete. After you confirm the action, the card will be removed from the group. However, the card will still exist in the Address Book.

You can also export a group as a vcard. Select the group, hold down the Control key, click the mouse button, and choose Export Group vCard. Choose a location, name the card, and click Save. You can use the group's vcard just like vcards for individuals.

If any of the cards you add to a group includes more than one e-mail address, you can edit the mailing list for the group to set the specific addresses that are used.

  1. Select the group for which you want to configure the mailing list.

  2. Choose Edit, Edit Mailing List. The Edit Mailing List sheet will appear.

  3. Select the e-mail address you want to use for an individual by clicking on it. The address that will be used appears in bold; other addresses are grayed out to show that they won't be used.

  4. Click OK. When you send a message to the group, the addresses you selected will be used.

TIP

You can back up your Address Book by choosing File, Backup Database. If you want to return to the version of the database you have backed up, choose File, Revert to Database Backup.

Addressing E-Mail

There are several ways in which you can address e-mail to people in your Address Book.

  • View the contact to whom you want to send a message and click the label for the e-mail address you want to use.

  • Drag the contact's vcard to the To, Cc, or Bcc boxes of a Mail e-mail message.

  • Drag a group's vcard to the To, Cc, or Bcc boxes of a Mail e-mail message.

NOTE

When you send e-mail from the Address Book, the e-mail application used is the default e-mail application that is selected in the Internet pane of the System Preferences utility.


Configuring Your Address Book

You can configure several aspects of the Address Book by using its Preferences dialog.

  1. Choose Address Book, Preferences. You will see the Address Book Preferences window (see Figure 12.10).

    Figure 12.10. The Address Book Preferences dialog enables you to configure Address Book.

  2. Click the General tab if it is not selected already.

  3. Use the radio buttons in the Display Order area to choose how you want names to be displayed (your choices are "First name Last name" or "Last name First name").

  4. Choose the attribute by which you want the Name column to be sorted on the Sort By pop-up menu. Your choices are Last Name or First Name.

  5. Use the Address Format pop-up menu to choose the default format for addresses. You can choose the standard for many different nations.

  6. Choose your font size on the Font Size pop-up menu. Your choices are Regular, Large, or Extra Large.

  7. Choose the vcard format you want to use by clicking the appropriate vCard Format radio button.

  8. Close the Preferences dialog.

NOTE

Address Book can also work with Lightweight Directory Access Protocol (LDAP) directories that can provide address information over a network. Such directories will appear when you select the Directories icon in the Group column. You can add directories to your Address Book by using the LDAP tab of the Preferences window. Explaining how to use such directories is beyond the scope of this chapter. If you need help, see the Administrator of the network that is providing the directory to you.


Configuring Mail

Before you can start using Mail to work with your e-mail, you need to configure the accounts that it uses. If you entered account information in the Setup Assistant when you installed Mac OS X, those accounts will be configured for you already. For example, if you set up or entered the information for your .Mac account in the Setup Assistant, your .Mac e-mail account will be configured in Mail.

If you are like most Mac users, you probably have more than one e-mail address; you can use Mail to access any or all of them.

There are also several other areas that you don't necessarily have to configure before you begin using Mail, but I have included them in the section so that all the configuration information is together for your reference.

Configuring E-Mail Accounts

The most basic configuration for Mail is the e-mail accounts you are going to access it with. Before you get started, gather the following information for each mail account you want to configure in Mail:

  • Account type There are three types of e-mail accounts with which Mail can work. A Mac.com account is one provided by Apple's .Mac servers. A POP (Post Office Protocol) account is provided by most ISPs. An IMAP (Internet Message Access Protocol) is similar to a POP account, but offers additional features.

    NOTE

    When you use a mac.com e-mail account with Mail, it is configured as an IMAP account. In Mail, it is treated as its own category because it is part of your .Mac account.

  • Your e-mail address This should be self-explanatory.

  • Host name This is the address of the server that handles retrieving your e-mail. For POP accounts, it often looks something like pop.isp.net.

  • Your e-mail username This is your username for your e-mail account, which might or might not be the same as your username for your Internet account. Typically, this is everything before the "@" in your e-mail address.

  • Your e-mail password This is the password for your e-mail account, which might or might not be the same as that of your Internet access account.

  • SMTP (Simple Mail Transfer Protocol) host This is the address of the server that handles sending your e-mail.

  • Authentication You need to know whether your SMTP server uses authentication.

  • SMTP username This is the username for your SMTP server; it is usually the same as your e-mail username, but it isn't always the same.

  • SMTP password Again, this is usually the same as your e-mail password.

To add e-mail accounts to Mail, do the following:

  1. Launch Mail.

  2. Choose Mail, Preferences (or press Option+ [image] +;).

  3. Click the Accounts button to see the Accounts pane of the Preferences window (see Figure 12.11).

    Figure 12.11. If you configured a .Mac account when you installed Mac OS X, your .Mac e-mail account will be configured in Mail automatically.

  4. Click Add Account to see the Add Account sheet. This sheet has three tabs, which are Account Information, Special Mailboxes, and Advanced.

  5. On the Account Information tab, choose the account type from the Account Type pop-up menu.

    NOTE

    Mail helpfully fills in many fields with examples of how the data you should enter probably looks.

  6. Enter a description of the account in the Description field.

  7. Enter the rest of the information for the account and the incoming mail server, such as e-mail address, mail server, and mail server username.

    NOTE

    What you enter in the Full Name data field will be what appears next to your return e-mail address shown in the E-Mail Address data field.

  8. Open the Outgoing Mail Server pop-up menu and choose the outgoing mail server on the list. If the server you want to use is not on the list, choose Add Server. You will see the SMTP Server Options dialog.

  9. Enter the outgoing mail server address in the Outgoing Mail Server field.

  10. If the account uses authentication, choose the type of authentication it uses on the Authentication pop-up menu and configure the rest of the fields in the dialog accordingly. Click OK when you are finished configuring the outgoing mail server.

  11. Click the Special Mailboxes tab. This tab provides several controls you can use to control how the account you are configuring behaves. The options you see depend on the type of account you are creating. For example, you see a different set of options for an IMAP account than you will for a POP account. Because .Mac accounts are popular with many Mac users, you will see the options you can configure in the following list (see Figure 12.12). You can configure the options on this tab for other account types in a similar way, although the specific options you have might be different.

    • Use the check box in the Drafts area to determine whether messages are stored on the .Mac server when you are writing them.

    • Use the controls in the Sent area to determine whether sent messages are stored on the server and when sent messages are deleted.

    • Use the Junk controls to configure how Mail handles messages that are classified as Junk.

    • Use the Trash controls to configure how trash is handled (see Figure 12.12).

    Figure 12.12. You can configure these special mailbox actions when using a .Mac mail account.

  12. Click the Advanced tab. Just like the Special Mailboxes tab, the specific controls you see will depend on the type of account you are configuring (see Figure 12.13). The rest of these steps assume a .Mac account, but you can configure other account types similarly.

    Figure 12.13. These are the Advanced controls for a .Mac e-mail account.

  13. Use the "Enable this account" check box to enable or disable the account.

  14. Check the "Include when checking for new mail" check box if you want this account always included when Mail checks for mail.

  15. Use the Keep copies of message for offline viewing pop-up menu to determine what Mail does with the messages it receives when you are not connected to the Internet. For example, if you choose All messages and their attachments, all your messages and any attachments they contain are downloaded to your Mac so that you can view them even if you aren't connected to the Net. If you choose Only message I've read, only the messages you have read will be downloaded to your Mac.

  16. Click OK to close the Accounts sheet. (In almost all cases, you can leave the other options set as they are.) You will return to the Mail Preferences window and will see the account you just created.

IMAP Accounts

One area in which an IMAP account (such as a .Mac account) is significantly different from a POP account is in how e-mail is stored. Under an IMAP account (such as a .Mac e-mail account), mail is always left on the server until you delete it manually. The benefit of this is that you can access that mail from different machines without forwarding it to each machine or having duplicate copies (on the server and in the inbox in your e-mail applications). As you will learn later, when you work with an IMAP account that has a limited amount of storage for e-mail messages, you have to be aware of how full your e-mail storage is and make sure that you keep it under its limit.

When you use a POP account, the mail you read is actually downloaded to your Mac. So a copy exists in both places. With POP accounts, you should check the "Remove copy from server after retrieving a message" check box and choose a timeframe for messages to be deleted on the pop-up menu. Otherwise, the e-mail you read remains on the server, and you might download it again the next time you check your e-mail.

  17. Use the Check accounts for new mail pop-up menu to determine how often Mail checks for new messages.

    TIP

    If you use a dial-up Internet account, you might want to set this to a large value or to Manually so that your phone line isn't constantly tied up because of Mail checking for e-mail.

  18. Choose a sound for new e-mail using the pop-up menu at the bottom of the window.

TIP

You can use custom mail sounds by first creating the sounds (in the AIFF format) and placing them in the Library/Sounds folder in your Home folder. Then, choose Add/Remove on the pop-up menu and select the custom sound you want to use.

Using steps similar to these, you can add the rest of your e-mail accounts to Mail to work with them all from the Mail application. As you read previously, the steps for a specific account will depend on the type of e-mail account you are adding. Just use the specific configuration information provided for each account and repeat the previous steps.

NOTE

Mail can't access an AOL e-mail account. However, you should be able to add just about any other e-mail account to it.

Setting Other Mail Preferences

There various other Mail preferences you might want to set. The general steps you use to set these preferences are shown here:

  1. Choose Mail, Preferences to open the Mail Preferences window.

  2. Click the icon for the area of preferences you want to set.

  3. Set the preferences.

  4. Set more preferences or close the Preferences window.

In the following sections, you will get an overview of each preference area and a description of some of the more useful preferences you can set.

Setting Fonts & Colors Preferences

Use the Fonts & Colors pane of the Mail preferences window to control how text appears in Mail windows.

  • Use the font and size pop-up menus to choose the font and size for the Message list font (the pane in which all the messages in a mailbox are listed) and the message font (which is the font used for messages you read).

  • If you prefer a fixed-width font for plain text messages, check that check box and use the pop-up menus to choose the font and size.

  • If you want different levels of quoted text to use different colors, check the "Color quoted text" check box and choose the colors for each level.

E-mail Formats

Mail supports two e-mail formats: plain text and Rich Text Format (RTF). Plain text messages contain no formatting, but RTF messages can be formatted. Whether the formatting you apply in an RTF message will be seen or not depends on the e-mail application the recipient of your e-mail uses. Some can interpret RTF messages correctly, but others cannot.

E-mail purists prefer plain text format because any e-mail application can handle them, and plain text messages are quicker to compose and read (which is part of the point of e-mail in the first place). And proper quoting is much easier with a plain text message. I prefer plain text myself for these very reasons.

Many mailing lists enable you to choose the format in which you receive messages. You often can choose between plain text or HTML formats. Choosing the plain text format will result in much faster performance, although you won't see all the bells and whistles that can be contained in an HTML e-mail message. However, plain text messages usually contain links to that content on the Web so that you can easily view the specific content you want to see.

Setting Viewing Preferences

Using the Viewing pane of the Mail Preferences window, you can control the following viewing options:

  • Use the "Show Header Detail" pop-up menu to determine how much information is shown in the header of e-mail messages you receive. Your choices are Default, None, All, or Custom. If you choose Custom, you can choose the specific data you want to see in the header of your messages.

    TIP

    Note that the Show Header Detail pop-up menu affects mail you have already downloaded. For example, you can choose an e-mail message to read and then choose a level of header detail from the Show header detail pop-up menu to change the header information for the mail you are reading.

  • Check the "Show online buddy status" check box if you want the status of people whom you have designated as being online buddies to be displayed. This helps you know when these people are online so that you can chat with them.

  • Check the "Highlight thread of selected message in color" check box, and choose a color by using the color button. Threads (a series of messages connected by replies to an original message) in your mailbox will be highlighted with the color you select so that you can spot a thread more easily.

  • Uncheck the "Display images and embedded objects in HTML messages" check box if you want only the text portion of messages that you receive to be displayed.

Setting Composing Preferences

The Composing pane of the Preferences window controls various composing options, which are the following:

  • Use the "Format" pop-up menu to set the default format for new messages you can create. Your options are Plain Text or Rich Text. You can override your default choice for specific messages.

    TIP

    For example, if you choose Plain Text as your default format, you can create a message in the Rich Text format by creating the message and choosing Format, Make Rich Text (Shift+ [image] +T). If you choose Rich Text, you can use choose Format, Make Plain Text (Shift+ [image] +T) to create a plain text message.

  • Check the "Check spelling as I type" check box to have Mail check your spelling as you type messages.

  • Use the "Always Cc: myself" check box to include yourself in the Cc block of every message you send. This can be a handy way to keep copies of the messages you send.

  • Check the "Automatically complete addresses" check box to have Mail look up addresses on specific servers. Then click the Configure LDAP button and use the resulting sheet to configure the servers on which you want Mail to look up addresses.

  • Check the "When sending to a group, show all member addresses" check box to list members of a group by their names in an e-mail that you send to a group (rather than listing just the group name).

  • Use the two check boxes in the Replying area to control how your replies are created. Your options are to use the same mail format as the original message (such as plain text) and to include the original message's text in your reply (which is a good idea so that you can use quoting). If you choose to use quoting (which you should), use the radio buttons to determine whether the entire message is quoted or only the selected part. The second option is preferable because if you don't select any text in the original message when you reply to it, the entire text is quoted, which is the same thing the Include all option does anyway.

Setting Signature Preferences

You can configure signatures to be attached to your e-mail messages. You can have as many signatures as you would like, and you can select a default signature or choose one each time you compose a new message.

  1. Click the Signatures icon to open the Signatures pane of the Mail Preferences window.

  2. Click Add Signature.

  3. Name the signature in the resulting Signature sheet.

  4. Enter the signature in the sheet.

  5. Click OK. You will return to the Signatures pane and will see the signature you just created.

  6. Create other signatures you want to use.

  7. Use the Select Signature pop-up menu to choose the signature that is used by default on e-mail messages you create and send. You can choose any of the signatures you have created, None, Randomly, or Sequentially.

  8. If you want to choose a signature each time you compose mail, check the "Show signature menu on compose window" check box.
Setting Rules

You use the Rules pane to set up automated mail rules.

To learn how to create rules for your e-mail, see "Configuring and Using Rules for E-Mail," p. 319.

Configuring the Mail Toolbar

As with the Finder toolbar and other Mac OS X toolbars, you can configure Mail's toolbar to be more compatible with the way you work.

  • Use the Hide Toolbar or Show Toolbar commands on the View menu to hide or show Mail's toolbar. You can use the Show/Hide toolbar button in the Mail title bar as well.

  • Choose View, Customize Toolbar to add buttons to, remove buttons from, and reorganize the toolbar.

  • Choose View, Hide Status Bar to hide the status bar that appears just below the toolbar. If you want to show the status bar again, choose View, Show Status Bar.


Sending, Receiving, and Replying to E-Mail

If you have used an e-mail application before, such as Outlook Express, Entourage, or Eudora, using Mail to send, receive, and reply to e-mail will be familiar to you after you learn about the Mail interface.

The main Mail window has three panes. The top pane contains the Mail Toolbar and the Status Bar. The second pane from the top is the Message List, in which you see the list of items in a selected mailbox. The lower pane of the Mail window is the reading pane in which you read a mail item that is selected in Message List. All your mailboxes are in the Mail Drawer, which is a window that pops out of either side of the main Mail window (see Figure 12.14).

Figure 12.14. The Mail application uses three panes to enable you to browse, view, and organize your e-mail.

The Message pane of the Mail window behaves much like a Finder in List view. For example, you can change the width of the columns, sort the window, and so on. The columns in the default Mail window are the following (from left to right as in Figure 12.14):

  • Message Status

  • Buddy availability

  • From

  • Subject

  • Date Received

The Mailbox drawer shows all of your mailboxes. You can open the Mailbox Drawer by choosing View, Show Drawer (Shift+ [image] +M). You can close the Drawer by choosing View, Hide Drawer (Shift+ [image] +M), or dragging the Drawer by its right edge. You can control the width of the Drawer by dragging its right edge so that it is the width you want it to be (if you try to make the drawer narrower than its minimum width, it will close instead).

You can expand or collapse the contents of a mailbox by using its Expansion triangle. The Drawer contains several mailboxes and folders by default. The Inbox is used to store all of your received mail (you can use a rule to send e-mail from there to any other location in the Drawer). You also see Out, Drafts, Sent, and Trash mailboxes; the purpose of these should be evident. You might also see Drafts and Sent Messages folders for specific types of e-mail accounts.

Retrieving and Reading E-Mail

There are several ways to retrieve e-mail from your accounts.

  • Set Mail to retrieve your mail automatically using the Accounts pane of the Mail Preferences window.

  • Click the Get Mail button on the Mail toolbar.

  • Choose Mailbox, Get New Mail.

  • Press Shift+ [image] +N.

  • Choose Mailbox, Get New Mail in Account, and then choose the account from which you want to retrieve your mail.

NOTE

The first four methods listed retrieve mail for all the e-mail accounts you have configured in Mail (for those accounts that are enabled and that you set to be included in the retrieve all action using that account's options settings).

TIP

You can temporarily hide the Reading pane by double-clicking the border between the Message List and the Reading pane. The Reading pane will disappear and the Message list will consume the entire Mail window. Double-click the bottom of the Mail window to reopen the Reading pane.

When you get mail, it is placed in the In mailbox.

When you receive e-mail, Mail's Dock icon indicates that you have new e-mail and shows you the total number of new messages you have received. If you chose to have Mail play a sound when new mail is received, you will hear that sound. When you click and hold (or Control+click) the Mail icon on the Dock, a list pops up that shows you all the windows that are open in Mail, as well as some useful commands (see Figure 12.15).

Figure 12.15. When you receive new mail, Mail lets you know how many messages you have received (three in this case); you can quickly access the mailboxes containing the new messages by Control+clicking the Mail icon on the Dock and selecting your In mailbox.

When you select In on the Dock menu, you will move into Mail to read your e-mail; each unread message will have a blue dot in the Read/Unread column to indicate that it is a new message. You will also see the number of new messages indicated next to the In mailbox.

If you have more than one e-mail account, each account has its own Inbox. To see all of your inboxes, click the Expansion arrow next to the In folder (see Figure 12.16). You will see the Inbox for each of your accounts. Select an Inbox to see the messages for that account only, or choose the In folder to see all of your messages at the same time.

Figure 12.16. Each of my e-mail accounts has its own Inbox, as you can see listed under the In folder.

TIP

In Mail, you can display the contents of more than one mailbox at a time. To do so, choose File, New View Window (Option+ [image] +N). In the new Viewer window, choose the mailbox whose contents you want to view. You can have as many View windows open as you want. For example, you might choose to have a View window open for each of your mail accounts.

If you are unable to retrieve your mail, see "My Mail Can't Be Retrieved" in the Troubleshooting section at the end of this chapter.

NOTE

You can see the activity of Mail as it downloads messages using its Activity Viewer. To see the Activity Viewer, choose Window, Show Activity Viewer (or press [image] +0).

The Status bar just above the Message List pane tells you the number of messages in the currently selected mailbox. When Mail is doing something, such as retrieving e-mail, you also see the activity icon at the right end of the Status Line.

To view the contents of a mailbox, select it in the Drawer. The Message list will show the messages contained in that mailbox. To read a message, select it in the Message list and read it in the Reading pane.

To read your mail, use the following shortcuts:

  • Scroll in a message by pressing the spacebar.

  • Move up and down the messages in the Message List using the Up and Down arrow keys.

  • Double-click a message to read it in its own window.

TIP

If the mailbox you are viewing has lots of messages in it, select those that are interesting to you; hold down the Shift key to select contiguous messages or hold down the [image] key to select messages that are not contiguous. Choose View, Focus on Selected Messages. The other messages in the mailbox will disappear and you can quickly read the messages you selected (using the shortcuts mentioned in the previous list). To see all the messages in the mailbox again, choose View, Show All Messages.

Writing and Sending E-Mail

Writing e-mail in Mail is also quite similar to other e-mail applications. You can create a new mail message in several ways, including the following:

  • Click the Compose button on the toolbar.

  • Choose File, New Message.

  • Press [image] +N.

  • Open the Mail's menu on the Dock and select Compose New Message.

You will see the New Message window (see Figure 12.17). Creating the message is straightforward. If the message is not already addressed, type the e-mail address in the To and Cc fields. Mail will attempt to match what you type to the addresses in your Address Book. The addresses that match what you type will appear on a drop-down list. You can move up and down this list with the Up- and Down-arrow keys. To select an address on the list, highlight it and it will be entered in the message's To box. (If there is only one address for the name you type, it is selected by default.) You can enter multiple addresses in an address field by typing a comma and then repeating the previous steps to add more addresses. When you have added all the addresses in the To field, press Tab to move to the next field.

Figure 12.17. If you have used other e-mail applications, Mail's New Message window will no doubt look familiar.

TIP

When an address is selected on the drop-down list, you can add it to the message and be ready to enter the next address by pressing comma.

To use your Address Book to address a message, open the Address Book by clicking the Address icon on the New Message window's toolbar or by pressing Option+ [image] +A. An Addresses window will appear that contains the contacts in your Address Book. Browse or search the window to find the people or groups to which you want to send the message. Select the person or group to whom you want to send mail, and click To or Cc to send those addresses to the respective fields in the New Message window.

TIP

You can add a Bcc (blind carbon copy) address line by choosing Edit, Add Bcc Header or by pressing Shift+ [image] +B. You can add a Reply To address line by choosing Message, Add Reply-To Header (or by pressing Option+ [image] +R). You can use the Reply To header to enter an address to which people should reply if it is different from the return address associated with the account selected on the Account pop-up menu.

Enter the subject of the message in the Subject field.

Choose the account from which you want to send the mail using the Account pop-up menu (your default account is listed automatically). You determine which account is the default account selected on the Account menu by the order in which your accounts are listed on the Accounts pane of the Preferences window or by the Inbox you have selected (the account that the currently selected Inbox is associated with will appear at the top of the Account list on the Account pop-up menu). The account that is highest in the Preferences window will be listed in the Account pop-up menu automatically. To change the order of the accounts, drag them up or down in the window.

TIP

The New Message window has its own toolbar; you can customize its toolbar just as you can other Mac OS X toolbars (View, Customize Toolbar).

Choose the signature you want to use from the Signature pop-up menu.

Move into the body and type your message. As you type, Mail will check your spelling. When it identifies a misspelled word, it underlines the word in red. You can Control+click a misspelled word to pop up a menu enabling you to change the word to the correct spelling, ignore the spelling, or learn the word that Mail thinks is misspelled.

TIP

You can control Mail's spell checker using the commands on the Edit menu. You can open the Spelling window by choosing Edit, Spelling, and then Spelling again. You can check the spelling in a message by choosing Edit, Spelling, and then Check Spelling. You can turn Check Spelling As You Type off by choosing Edit, Spelling, Check Spelling As You Type.

NOTE

Because I encourage the use of plain text e-mail rather than formatted e-mail, I won't be addressing formatting e-mail in this chapter. However, if you choose to create Rich Text messages, use the commands on the Format menu to format them. You can change the format of a new message by moving the pointer into the body of a new message and opening the contextual menu. Choose Make Rich Text to enable formatting of your message.

As you work with your message, open its contextual menu to gain quick access to various commands, such as formatting commands for a Rich Text message, Spell Checker controls, and quoting commands.

To send a message, do one of the following:

  • Click the Send button on the toolbar.

  • Choose Message, Send Message.

  • Press Shift+ [image] +D.

TIP

While you're composing a message, you can save it in the Draft mailbox by choosing File, Save As Draft ( [image] +S) or by clicking the Save As Draft button on the New Message toolbar. You can leave a message you are working on in your Draft folder as long as you'd like. If you close it, you can open it to work on it again by selecting the Draft folder and double-clicking the message. As you work, Mail will save your messages as drafts periodically, you can use the command to save them manually.

If your mail can't be sent, see "My Mail Can't Be Sent" in the Troubleshooting section at the end of this chapter.

Replying to E-Mail

Replying to messages you receive in Mail is also quite similar to other applications. By default, Mail marks the different levels of quoting with different colors along with a change bar. As with other applications, you can select the message to which you want to reply and click Reply on the toolbar; choose Message, Reply to Sender; or press [image] +R, which replies to only the sender of the message. You can also click Reply All, choose Message, Reply To All Recipients, or press Shift+ [image] +R to reply to everyone to whom the original message was sent.

You can use the same tools to reply to a message as you use to write a new message.

NOTE

You should always quote carefully in your replies. Quoting makes e-mail much more effective because it gives the reader a good context for the information you are providing. Quoting is one reason that I prefer plain text messages. It is much easier to quote in a plain text message; formatting often gets in the way of clear quoting.

Deleting E-Mail

You can delete messages by selecting the messages you want to delete and doing one of the following:

  • Click the Delete button on the toolbar.

  • Choose Message, Delete.

  • Press Delete.

Deleted messages are stored in the Trash folder in the Drawer. You can open this folder just like other folders you have. Messages aren't actually removed until the Trash folder is emptied.

When you use an IMAP account, such as a .Mac e-mail account, you have to empty the Trash folder to actually remove the messages from the server. If you don't, those messages continue to count against the total storage space you have on the server. Typically, you are limited to a certain storage space for all of your messages (under an IMAP account, all your messages remain on the server). Because messages in the Trash folder count against this limit, you should empty this folder more frequently under an IMAP account than you have to do with POP accounts.

Because they are actually IMAP accounts, .Mac e-mail accounts are limited to a certain amount of storage. If the messages stored in your .Mac e-mail account approach or exceed this limit, you will receive e-mail messages warning you that you are exceeding your allotted storage space. To move messages off of the server, you need to move them from the Inbox for that account to one of your personal mailboxes that are stored on your Mac or to the Trash and then empty it.

You can determine whether deleted messages are stored on the server by using the Special Mailboxes tab of the Account sheet that you open in the Mail Preferences window. Open this tab and uncheck the "Store deleted messages on the server" check box. This will cause the messages you delete to be downloaded to your Mac, so they won't count against your storage limit.

You can also use the Permanently erase deleted message when pop-up menu to select a time period for your deleted messages to be permanently erased.


Customizing Your E-Mail

Mail provides many tools you can use to customize various aspects of your mail. These include customizing the Mail window, organizing your e-mail, sorting your e-mail, and automating your mail with rules.

Customizing the Viewer Window

You can customize the Viewer window by using the commands shown in Table 12.1.

Table 12.1. Ways to Customize the Viewer Window
Command | What It Does
View, Columns | Enables you to choose the columns that are displayed in the Viewer window. In addition to the columns shown by default, you can choose from many different columns, including Attachments, Date Sent, and so on.
View, Sort By | Sorts the Message List pane by the column you choose.
View, Hide/Show Drawer | Hides/shows the Drawer.
View, Use Small Mailbox Icons | Changes the size of the icons displayed in the Drawer.
View, Hide/Show Toolbar | Hides/shows the Mail toolbar.
View, Hide/Show Status Bar | Hides/shows the Status bar.

NOTE

Remember that you can also customize the Message List window by moving the columns to change the order in which they appear, resizing them, changing the column by which the pane is sorted, and so on, just as you can in Finder windows in the List view.

Organizing Your E-Mail

You can create your own mailboxes to organize your messages. The mailboxes you create will be shown under the On My Mac folder in the Drawer. You can also create nested mailboxes to create a hierarchy of mailboxes in which you store your messages.

  1. Choose Mailbox, New Mailbox. You will see the New Mailbox dialog (see Figure 12.18).

    Figure 12.18. You use the New Mailbox dialog to create a new mailbox either on your Mac or on a server.

  2. On the Location pop-up menu, choose the location of the mailbox you are creating. If you choose On My Mac, the folder will be created on your computer and will appear under the On My Mac folder in the Drawer. If you use an IMAP account, you can select it to create a folder on that server; to access the folder, you expand the icon for that account in the Drawer.

    Remember that if you store the folder on a server, the contents of that folder will count against your storage quota.

  3. In the New Mailbox dialog box, enter the name of the mailbox you want to create. To create a nested mailbox, enter the name of each mailbox separated by a slash (/). For example, to create a mailbox called "Receipts" within a mailbox called "Mail to Keep," you would enter Mail to Keep/Receipts.

  4. Click OK.

The mailbox will be created. If you have created a mailbox that contains other mailboxes, you can use its Expansion triangle to expand or collapse it. In Figure 12.19, you can see that I have created a folder called Receipts that is nested within a folder called Mail To Keep. Because these folders are stored on my computer, they are listed under the On My Mac mailbox. You can also see that I have a .Mac account and its folders are shown under the .Mac mailbox, which is next to my .mac e-mail address. Messages you place in folders stored on a server count against your storage limit on that server, so it is generally a better idea to create folders on your Mac instead.

Figure 12.19. Folders under the On My Mac icon are stored on your computer; folders under a server's icon, such as the .Mac mail account in this figure, are stored on that server.

You can move messages from one mailbox to another in the following ways:

  • Drag and drop a message from the Message List pane to a mailbox.

    NOTE

    If the Drawer is hidden and you drag a message "out" either side of the Mail window, the Drawer will pop open so that you can place the message in a mailbox.

  • Drag a message from the Message List pane in one Viewer to the Message List pane in another Viewer; this copies the message in the mailbox shown in the second Viewer window.

  • Select a message and choose Message, Transfer, and then the mailbox to which you want to transfer the message.

  • Select a message and choose Message, Transfer to lastmailbox, again where lastmailbox is the name of the mailbox into which you most recently transferred mail (Option+ [image] +T).

  • Select a message and choose Message, Apply Rules (Option+ [image] +L) to Selection and then choose a rule that transfers the message.

Configuring and Using Rules for E-Mail

You can automate the handling of your e-mail by configuring and using rules. For example, you might want to create a mailbox for the mail related from a certain person and have that mail be automatically transferred into that mailbox. Or, you might have the messages from a mailing list to which you are subscribed be placed in a specific mailbox for later reading.

To create and implement rules, you use the Rules pane of the Mail Preferences window.

  1. Open the Mail Preferences window and click the Rules icon to open the Rules pane. Some rules are installed by default. These include the News From Apple rule and the Junk rule (you will learn more about Mail's Junk feature later).

  2. Click Add Rule to open a Rule sheet to define the rule you are creating.

  3. Name the rule by entering a description.

  4. Use the If pop-up menu to determine whether at least one criterion (choose any) or all the criteria (choose all) in the rule must be met for the actions in the rule to be taken.

  5. Use the first condition pop-up menu to choose the criterion on which the rule will act. You can choose any of the fields in a mail message. You can also choose from various criteria, such as whether the sender is in your Address Book.

  6. Use the Contains pop-up menu to choose how the criteria will relate to the value you are going to enter (such as Contains, Is equal to, and so on).

  7. Enter the value for which the rule will be implemented, if applicable, or use a pop-up menu to select a value. (Some conditions, such as Sender is in my Address Book, don't require any values.)

  8. To add more criteria, click the Add button (+) and repeat steps 5 and 6 to create additional conditions for the rule.

  9. Use the Action area to choose the actions that will be performed by the rule by making a choice from the first pop-up menu and making other choices from the other pop-up menus or fields that are related to that choice.

    The actions you can choose are Set Color of Message, Play Sound, Reply to Message, Forward Message, Redirect Message, Mark as Read, Mark as Flagged, or Stop Evaluating Rules. You can apply multiple actions to the same message.

  10. Click the Add button next to the action and repeat step 9 to create and configure an additional action. When you are done, review the rule you have created. For example, the rule shown in Figure 12.20 checks to see whether a message is from someone in my Address Book or is a member of the group Family; if either of these conditions is true, the messages are moved to the folder called Mail From People I Know, the background is set to blue, and the Glass sound plays.

    Figure 12.20. This mail rule handles e-mail from people I know.

    TIP

    You can remove conditions or actions by clicking the Remove button (–).

  11. Click OK. You will see the rule you created in the Rules pane.

  12. Create more rules or close the Preferences window.

NOTE

If you apply a color in a rule, that rule appears in that color in the Rules pane. Messages that are already in a mailbox that meet the rule's criteria are also shown in the color applied by the rule.

You can use the Edit and Duplicate buttons to edit or duplicate rules and the Remove button to delete rules.

Any future messages you receive that meet the criteria for that rule will be acted upon by the rule. You can also manually apply rules to messages by selecting messages and choosing Message, Apply Rules To Selection (Option+ [image] +L).

TIP

Manually applying rules is a good way to test your rules to make sure that they do what you intended.

Handling Junk Mail

Unfortunately, no matter how careful you are with your e-mail address, it will eventually get on a junk mailing. And after it gets on one such list, it will get on many, and your inbox will overflow with junk mail. Fortunately, Mail includes some built-in tools for dealing with junk mail.

Mail's Junk tool is actually based on the Junk mail rule you saw in the Rules pane of the Preferences window. You can use this in its default state or modify it as needed.

You can control Mail's Junk feature via the Mail, Junk Mail menu. The Junk feature has three modes.

In the Training mode (which is the default mode), Mail applies its Junk rules to your messages. This causes Mail to color the message brown, indicating that Mail thinks that the message is junk (see Figure 12.21). You use this mode to fine-tune the Junk feature so that it correctly filters your messages to identify the junk. When you view a message that has been correctly identified as junk, don't do anything. When a message has been identified as junk, but it isn't, click the Not Junk button. If you find a message that is junk, but Mail has not identified it as such, click the Junk button on the toolbar.

Figure 12.21. Mail has correctly identified this mail as the junk that it is.

After some time has passed and you are confident that Mail's Junk filter is working properly, choose Mail, Junk Mail, Automatic. When you do so, Mail will create a Junk folder in the Drawer and will prompt you to ask whether it should move all the identified junk mail to this folder. Click Yes.

When the Junk feature is in the Automatic mode, it will move all the messages it identifies as junk into the Junk folder. You should review the contents of this folder periodically to make sure that no messages that you want are in this folder by mistake. If there are messages you want to keep, move them to a different folder. Then delete all the messages in the Junk folder.

If you don't want Mail to manage junk mail, turn the feature off by choosing Mail, Junk Mail, Off.

If you choose Mail, Junk Mail, Custom, you will move to the Rules window and the default Junk rule will be ready to edit. You can change this mail rule just like any rule you create to change how Mail handles junk mail. If you open the Junk rule, you will see that this is simply a rule that acts on any messages that are from people who are not in your Address Book or that are marked as Junk. If the Training mode, this rule only changes the color of the messages. In the Automatic mode, it moves the messages to the Junk folder.

TIP

If you use the Junk feature, make sure you regularly add people from whom you want to receive e-mail to your Address Book so that their mail isn't classified as junk. To do so, select the Message and choose Message, Add Sender To Address Book, or press [image] +Y.

If you choose Mail, Junk Mail, Reset, the Junk rule is returned to its default state.

TIP

Consider finding an e-mail account (preferably a free one) to use whenever you order something, use a newsgroup, or participate in any other activity in which you correspond with people you don't know. Keep another address "secure" by using it only with people you know won't provide it to a junk mailing list. Then, if the first address starts receiving all kinds of garbage, you can easily kill the address and create a new one to take its place while your "real" address remains controlled.


Sending and Receiving Files with E-Mail

One of the most valuable uses of e-mail is to send and receive attachments. Again, Mail handles file attachments similarly to other e-mail applications you might be accustomed to.

Attaching Files to Your E-Mail

Attaching files to messages you send can be done in the following ways:

  • In the message to which you want to attach files, choose Edit, Attach File (Shift+ [image] +A). Then, use the Choose File sheet to select the files you want to attach.

  • Click the Attach button on the New Message window's toolbar.

  • Drag the files onto the New Message window.

TIP

If the contents of the file are being displayed and you would rather see just an icon, open the file's contextual menu and choose View as icon. The file will be displayed as an icon instead. To view the file's content again, open the menu and choose View in place.

When you place a file in a new message window, you will see a thumbnail preview of the file in its icon, the filename, and its size in parentheses. If the file type is one that can be displayed in the message, such as a TIFF image or a PDF file, you will actually see the contents of the file in the body of the message.

File attachments must be encoded before they can be sent; when a file is encoded, it is translated into a string of text. The application that receives the message must then decode that message so that the files become usable. Mail encodes all files using the AppleDouble format, which can be decoded by most modern e-mail applications on any platform (such as Macs and Windows PCs). Encoding and decoding is handled automatically, and you can't choose the encoding method that is used.

If recipients of your file attachments have trouble with them, see "Recipients of My Attachments Are Seeing Odd Things" in the Troubleshooting section at the end of this chapter.

AppleDouble Encoding

Forcing you to use AppleDouble to encode all file attachments is not a good thing in my opinion. While most modern e-mail applications are supposed to be able to handle AppleDouble-encoded files, this doesn't work as well as it is supposed to. I regularly send files to people who use Windows computers. Using Mail to send files to these people makes them have to deal with multiple copies of the same file, unexpected messages, and so on. At the best, this is a hassle for them and reflects poorly on the Mac. At the worst, this makes the files unusable. In other Mac e-mail applications, you can choose the encoding scheme to use, such as Base64/MIME, to match the platform that your recipient uses so that the recipient can more easily deal with your files. Hopefully, the way Mail handles the encoding of file attachments will be improved in future versions.

You should also compress files you attach to e-mail messages. Unlike some other Mac e-mail applications, compression is not built into Mail, so you have to use a different application to compress the files before you send them. One of the best tools for compressing files is Aladdin's DropStuff application.

NOTE

You can download a copy of DropStuff from www.aladdinsys.com.

NOTE

Aladdin's StuffIt Expander application uncompresses files that are compressed in many different formats. StuffIt Expander is used by default to uncompress files you download from the Web.

To learn more about uncompressing files, see "Downloading and Preparing Files," p. 345.

After you have downloaded and installed DropStuff, simply drop the files you want to compress onto the DropStuff icon. The files are compressed; attach the compressed version of the files to your message.

NOTE

Make sure that you open Drop Stuff and explore its preferences. You can set the default compression used, where the compressed files are stored, and so on.

Using Files Attached to E-Mail You Receive

When you receive a message that has files attached to it, you will see the files in the body of the message. As when you send files in a message, you will see the file's icon, name, and size. If the file can be displayed in the body, such as a TIFF or PDF, the contents of the file will be displayed in the message. You can use the file attachments in the following ways:

  • You can open a file attachment directly by pointing to the filename (the pointer changes to a hand) and clicking.

  • You can open the attachment's contextual menu and choose one of the listed actions, such as Save Attachment or Save to downloads, where downloads is the name of the folder you have set as your download folder in the Internet pane of the System Preferences utility. You can also open the file with its default application or use the Open With command to select the application you want to open the file with.

    TIP

    If the contents of the file are being displayed and you would rather see just an icon, open the file's contextual menu and choose View as icon. The file will be displayed as an icon instead. To view the file's content again, open the menu and choose View in place.

  • You can save an attachment message by dragging it from the message to the folder on your Mac in which you want to store it.

TIP

If you have trouble viewing a message and the folder into which you want to store the file attachments, double-click the message to open it in its own window. Then you can resize the window so that you can more easily see the folder into which you want to drag it.

If the files you receive are compressed, you will need to uncompress them before you can open them.

To learn more about uncompressing files, see "Downloading and Preparing Files," p. 345.


Searching E-Mail

As you collect e-mail, you will probably need to search it. You can quickly search for messages, or you can search for specific text.

You can search for messages using the following steps:

  1. Open the mailbox in which you want to search.

  2. Click in the Search tool on the toolbar, and click the triangle next to the magnifying-glass icon. A pop-up menu will appear. You can use this menu to choose the fields you want to search (entire message is the default) and the mailboxes in which you want to search (the selected mailbox is the default).

  3. Choose the field you want to search in the upper section of the menu to search in the selected mailbox, or in the lower section to search in all mailboxes.

  4. Type the text you want to search for. As you type, the messages shown in the Message List pane will be reduced to those that meet your criteria.

You can also search for text within a specific message using the Find Panel.

  1. Choose Edit, Find, Find Text ( [image] +F). The Find Panel will appear (see Figure 12.22).

    Figure 12.22. You can search for text and replace it using the Find Panel.

  2. Enter the text you want to search for.

  3. Click Next to search for the text.

You can use the Replace With box in the Find Panel to replace the text you find with different text.


Troubleshooting

My Mail Can't Be Retrieved

When I check my mail, I get a "Fetch Error," saying that Mail couldn't connect to my mail server.

This can happen for various reasons, such as a problem with your Internet connection, a misconfigured e-mail account, and so on. Use the following steps to correct the problem.

  1. Open and use another Internet application, such as a Web browser.

    If it works properly, there is a problem with Mail or your mail account configuration—move to Step 2.

    If it doesn't work properly, you are having trouble with your Internet access, which is why your mail account can't be accessed. You need to troubleshoot your Net connection.

    For help troubleshooting your Net connection, see "Troubleshooting," p. 261.

  2. If you have more than one e-mail account, try all your accounts. If you have problems with all your accounts, something might have happened to the Mail application.

    For help with troubleshooting applications, see Chapter 28, "Solving Mac Problems," p. 809.

    If your other accounts work, the problem is related to the specific account. If you have successfully retrieved e-mail under this account before, the problem is likely a temporary one with the server from which you retrieve e-mail or a temporary interruption in your communication with that server. In this case, wait awhile and try again later. If you continue to have problems or you have never been able to retrieve e-mail from this account, proceed to Step 3.

  3. In Mail, choose Mail, Preferences.

  4. Click the Accounts button.

  5. Select the account with which you are having trouble.

  6. Click Edit. Check the account information for that account, especially the Host Name, User Name, and Password fields, and correct any errors you find. If there are no errors in these fields, the account is configured properly.

  7. Allow some time to pass and try the account again. If you are still unable to retrieve your mail, the problem might reside with the provider of the mail account.

  8. Contact the technical support for the organization providing your mail service for further help.

My Mail Can't Be Sent

When I try to send mail, I get an error message stating that my mail can't be sent.

Troubleshooting this problem is quite similar to troubleshooting a problem retrieving mail. The only difference is in Step 7. You should carefully check the SMTP Host, SMTP User, and SMTP password boxes. If authentication is used for your SMTP account, make sure that the "Authentication" check box is checked.

For help troubleshooting a problem with sending mail, see "My Mail Can't Be Retrieved," p. 326.

Recipients of My Attachments Are Seeing Odd Things

People to whom I send attachments see duplicate files, missing file attachment messages, and other odd things.

This happens when the recipient's e-mail application does not fully support the AppleDouble encoding scheme that Mail uses to encode files you attach to your messages. Most e-mail applications will decode AppleDouble files well enough for the files to be used, although some strange things can happen on the recipient's end. A few e-mail applications can't decode AppleDouble at all. Problems with AppleDouble can be experienced with very old Mac e-mail applications, some Windows e-mail applications, and some Unix e-mail applications.

In some cases, the recipients will receive two files for each file you attach. AppleDouble sends two files; one contains the file data and other contains the resource information. Most of the time, the recipient will be able to use one of the duplicate files normally. The recipient can safely ignore the resource file and can work with the data file. Tell the recipients who are having problems to try opening the files to determine which one is the correct file. The recipients can discard the unused resource files.

The missing file attachment message can usually be ignored.

If the recipient's e-mail application is not able to decode the files at all, you will have to find another means to transmit the files to them, such as an e-mail application that enables you to choose a different encoding scheme. Or, you can create a .Mac Web site to share the files.

To learn how to use .Mac to share files, see "Using .Mac to Create and Serve Your Web Pages," p. 371.


Max OS X to the Max: E-Mail Away

In this section, you will learn where Mail and Address Book information is stored and you will find keyboard shortcuts for the Address Book and for Mail.

Understanding Where Your Mail and Address Book Information Is Stored

Mail stores all your e-mail in the location username/Library/Mail, where username is your short username. In this folder, you will find the following:

  • A folder for each of the accounts you have configured in Mail. Within each accounts folder, you will see the Inbox, a Drafts folder, and support files for that account.

  • The Mailboxes folder that contains each mailbox you have created. If you have nested mailboxes, the inclusive mailbox will appear as a folder.

  • Your mailing sort, signature, and other preferences files.

NOTE

The filename extension for a mailbox is .mbox. The filename extension for preference files is .plist.

Your Address Book is stored in the location username/Library/Application Support/ AddressBook/AddressBook.data, where username is your short username.

Using Address Book Keyboard Shortcuts

Table 12.2 shows keyboard shortcuts for the Address Book application.

Table 12.2. Keyboard Shortcuts for the Address Book
Action | Keyboard Shortcut
Edit Card | +L
Hide Address Book | +H
Import vCards | +I
Minimize Address Book Window | +M
Move Between Fields | Tab and Shift+Tab on an Address Card
New Card | +N
New Group | Shift+ [image] +N
Next Card +]
Previous Card +[
View Card and Columns | +1
View Card Only | +2
View Directories | +3

Using Mail Keyboard Shortcuts

Table 12.3 shows keyboard shortcuts for the Mail application.

Table 12.3. Keyboard Shortcuts for Mail
Action | Keyboard Shortcut
Add Reply-To Header | Option+ [image] +R
Add Sender to Address Book | +Y
Append Selected Messages | Shift [image] +I
Apply Bcc Header | Shift+ [image] +B
Apply Rules to Selection | Option+ [image] +L
Attach File | Shift+ [image] +A
Bigger +
Bounce to Sender | Option+ [image] +B
Check Spelling +;
Copy Style | Option+ [image] +C
Decrease Quote Level | Option+ [image] +'
Delete | Delete
Erase Deleted Messages | +K
Find Messages | Option+ [image] +F
Find Next | +G
Find Previous | +D
Find Text | +F
Forward Message | Shift+ [image] +F
Get New Mail | Shift+ [image] +N
Hide Deleted Messages | +L
Hide/Show Drawer | Shift+ [image] +M
Hide/Show Status bar | Option+ [image] +S
Increase Quote Level +'
Jump to Selection | +J
Make Plain Test | Shift+ [image] +T
Mark As Flagged | Option+ [image] +G
Mark As Junk Mail | Shift+ [image] +J
Mark As Unread/Mark As Read | Option+ [image] +M
New Message | +N
New Viewer Window | Option+ [image] +N
Next Alternative +]
Paste As Quotation | Shift+ [image] +V
Paste Style | Option+ [image] +V
Plain Text Alternative | Option+ [image] +P
Preferences | Option+ [image] +;
Previous Alternative +[
Redirect Message | Shift+ [image] +E
Reply to All Recipients | Shift+ [image] +R
Reply to Sender | +R
Reply With iChat | Option+ [image] +I
Save As | Shift+ [image] +S
Save As Draft | +S
Send Message | Shift+ [image] +D
Show Activity Viewer | +0
Show Addresses | Option+ [image] +A
Show All Headers | Shift+ [image] +H
Show Colors | Shift+ [image] +C
Show Draft | +3
Show Fonts | +T
Show In | +1
Show Junk | +6
Show Out | +2
Show Sent | +4
Show Trash | +5
Show Raw Source | Option+ [image] +U
Smaller +-
Spelling +:
Transfer to mailbox again | Option+ [image] +T
Use Selection for Find | +E


Chapter 13. Surfing the Web

In this chapter

Browsing the Web with Internet Explorer for Mac OS X

Using Sherlock to Search the Web

Downloading and Preparing Files

Working with Plug-Ins and Helper Applications

The Basics of Web Security

Mac OS X to the Max: Going Further on the Web


Browsing the Web with Internet Explorer for Mac OS X

Several Web browsers are available for Mac OS X. These include Internet Explorer, iCab, Netscape, and OmniWeb. Because Internet Explorer is the default Web browser for Mac OS X and is a very powerful and feature-rich application, this chapter focuses on it. The other browsers work similarly, so after you use Internet Explorer, you can use one of the others without too much trouble.

To learn about the other browsers, see "Using Other Mac OS X Web Browsers," p. 364.

Microsoft's Internet Explorer has long been the Web browser of choice for many Mac users. It offers excellent features and is easy to use and customize to suit the way you work (see Figure 13.1). Throughout this chapter, you will explore much of Internet Explorer's functionality.

Figure 13.1. Internet Explorer has been carbonized for Mac OS X and continues to offer excellent features.

This chapter covers Internet Explorer version 5.2.2, which was the version that was included in the standard Mac OS X installation. Later versions might offer slightly different features and the interface might look a bit different from the figures in this chapter, but the basic tasks you do will be the same.

You can update your copy of Internet Explorer by visiting www.microsoft.com/mac/products/ie.

TIP

Click the Internet Explorer icon in the right end of the Button bar to move to the Internet Explorer Web site.

Because you are reading this book, I assume that you are quite comfortable with the basics of using Internet Explorer, such as using its buttons, navigating the Web by entering URLs in the Address bar, setting and using favorites, and so on. In this section, you will learn about some of the tasks for which you use Internet Explorer that might not be quite so obvious.

Storing Information Using Internet Explorer's Scrapbook

The Web is a dynamic place; Web sites you visit are constantly changing, and sometimes the information you access (such as a receipt for an online purchase) is temporary and will disappear as soon as you leave the page. Other pages will be so useful that you will want to be able to store them so that you can return to the information on them at any time.

Internet Explorer's Scrapbook feature enables you to do just that. With the Scrapbook, you can save a page you are visiting so that you can view it at any time in the future. Think of using the Scrapbook as taking a snapshot of a Web site at a specific point in time and you'll get the idea. You access the Scrapbook pane with the Scrapbook tab of the Explorer bar.

  1. Move to a page you want to save.

  2. Click the Scrapbook tab along the left side of the Internet Explorer window and you will see the Scrapbook pane. This pane shows you all the pages you have saved. The pane works very similarly to the Favorites pane. You can organize the pages on it by placing them in folders, adding dividing lines, and so on.

    NOTE

    Scrapbook pages are marked with the camera icon to indicate that they are snapshots of a page at a particular moment in time.

  3. Click Add and the page you are visiting will be saved in the Scrapbook.

  4. Click the Scrapbook tab to close the pane.

When you want to return to a page in your Scrapbook, simply open the pane and click the page you want to view.

TIP

One of the best uses of the Scrapbook is to save pages that provide account information for various Web sites you use. Another great use is to save information about a product you are considering purchasing so that you can easily compare different products.

Using Internet Explorer's Page Holder

When you are looking at a page, you might want to follow many of the links on it. In fact, some pages are primarily link holders and don't contain very much information in themselves. Internet Explorer's Page Holder enables you to move the linking page to the Page Holder pane. Then, you can click the links and see the results in the right pane of the Internet Explorer window while the page you are exploring remains in the Page Holder pane. This prevents you from having to move back and forth among the pages (which can be a real pain when you move several layers deep on a page you are visiting).

  1. Move to the page that contains links you want to follow.

  2. Click the Page Holder tab to open the Page Holder pane. This pane looks and works similarly to the other panes.

  3. Click Add. The page you are viewing is "moved" into the Page Holder pane and you can view it there (see Figure 13.2).

    Figure 13.2. You can add a page to the Page Holder pane to make links on that page easier to follow (in this figure, the Macworld Home page is in the Page Holder while an article linked to it is in the right pane).

  4. Click a link in the Page Holder area. You will see the resulting page in the right part of the Internet Explorer window. You can view this page and the links on it just like any other Web page.

  5. Click the Page Holder tab to close the pane so that you have more room to view the page you opened.

  6. When you want to move to another link, click the Page Holder tab to open the Page Holder pane, click a link, and read the resulting page in the main Internet Explorer pane. (Again, you might want to close the Page Holder pane to make viewing the page easier.)

Following are some other features of the Page Holder pane:

  • You can clear the Page Holder by clicking the Clear button. The page that was stored there will be removed.

  • Click the Links button to see only the links on the page in the Page Holder. This makes seeing all the page's links much easier than trying to view the pane in the window. However, sometimes the links can be a bit unclear because you only see their names. Click the Links button again to return the page to its full glory.

  • You can create a list of Page Holder Favorites for pages you regularly store in the Page Holder pane. For example, you might want to create a Page Holder favorite for new sites you regularly view using the Page Holder feature. Click the Favorites button to see a pop-up menu that provides Page Holder Favorite commands and the sites you have stored as Page Holder favorites. Page Holder favorites work just like regular favorites (there is even a Page Holder Favorites window).

Configuring Internet Explorer

There are many Internet Explorer preferences you can configure, and you will learn about some of them in the sections about particular topics in this chapter. In this section, you will learn about some of the other preferences you may want to configure.

Some preferences within Internet Explorer can also be set using the Internet pane of the System Preferences utility. The preferences set using System Preferences are available to all applications to which they are meaningful. For example, as you saw in Chapter 10, you can set your Home page within the System Preferences utility. This page becomes the Home page for all the Web browsers you use. When you change the Home page within Internet Explorer, the page you set as your Home page is not set in the System Preferences application and so is applicable only to Internet Explorer.

Setting Your Favorites Page As Your Home Page

One of the most useful Home pages is your Internet Explorer Favorites page. When you visit your Favorites Home page, you see all the favorites you have set so that you can easily access them. Plus, because the Favorites page is stored on your Mac, it requires no time to download.

  1. Choose File, Open File.

  2. In the Open dialog box, move to the Favorites.html file that is located in the following path: short_user_name/Library/Preferences/Explorer (where short_user_name is the name of your Home directory).

  3. Select the Favorites.html file and click Open. Your favorites page will open.

  4. Copy the address shown in the Address bar.

  5. Open the Internet Explorer Preferences window (press [image] +;), click Browser Display, and paste this address into the Address field in the Home Page area of the dialog box.

  6. If you want to see your Home page each time you open a new Internet Explorer window, check the "Automatically go to this Home Page when opening a new window" check box.

  7. Click OK.

Now your Home page will be your Favorites page (see Figure 13.3).

Figure 13.3. You can set your Home page to be your Favorites page.

NOTE

You can use the steps you used to set your favorites as your Home page to open any HTML files on your Mac. You can browse for them with the Open File command just as you can with any other application. You can also set any HTML file to be your Home page.

Customizing Internet Explorer

There are many ways to change how the Internet Explorer window looks and works. These settings are in various panes of the Internet Explorer Preferences window.

Open the Internet Explorer Preferences window and click Browser Display. You will see the following options:

  • Toolbar Settings You can use these settings to change the appearance of the toolbars you see. Use the Toolbar Style pop-up menu to determine whether toolbars that are shown contain both Icons and Text, Text Only, or Icons Only. Uncheck the "Use Address AutoComplete" check box if you don't want Internet Explorer to try to match addresses that you type with those on the History list. Uncheck the "Show ToolTips" check box if you don't want Internet Explorer to display pop-up text boxes that explain icons to which you point.

  • Home Page Use this to configure your Home page as in the previous section in which you set your Home page to be your Favorites page.

  • Keyboard Accessibility Use these radio buttons to set the action that happens when you press the Tab key. Your choices are to tab to each item on a page or only to text fields. The "Tab to just text fields" choice is a useful option when you don't use the keyboard to navigate around Web pages but do want to use the Tab key to move among text fields (such as in online forms). The "Tab to each item" option is useful if you like to browse using the keyboard. You can tab to an item to select it—a box appears around the currently selected item. When you press Return, that item is "clicked."

Click the Web Content page to see the following options:

  • Page & Link These options enable you to change the appearance of the text and links you see on a page. You can change the color of text, the default background for Web pages, links you have viewed, and links you haven't viewed by clicking the color bars next to each option. When you do, you will see the Color Picker. You can use this to customize the colors used for each item. By default, links are underlined so that you can easily distinguish them from regular text. You can uncheck the "Underline links" check box to remove the underline from links.

  • Page Content These settings determine how Internet Explorer handles particular kinds of content. For example, the "Show pictures" check box determines whether or not graphics are displayed. For example, if you have a very slow connection, you might not want to download all the graphics on each page you open. The Animate GIFs check boxes determines whether animations are played at all or whether they loop continuously or play only once per page loading. Check or uncheck the various options to turn them on or off.

    NOTE

    Web pages can incorporate style sheets to provide more control over how the pages appear in your browser. You can use the style sheet preferences to choose your own style sheet rather than to use a page's own style sheet.

  • Active Content Active content is content that performs actions on your Mac, such as Java scripts and plug-ins. This area enables you to set how active content is used.

Click Language/Fonts to see the following options:

  • Language Use these controls to determine which languages can be used to display Web pages and which languages you prefer.

  • Fonts and Size Use these pop-up menus to set the size and font families used to display the various kinds of text that appear on Web pages.

Automatically Completing Forms with AutoFill

As you move about the Web, you will probably need to complete many forms, such as when you register at a site, when you shop, and so on. Rather than retyping standard information a million times, you can use Internet Explorer's AutoFill feature so that you only have to click a button to complete most of the fields on a form. Before you can use AutoFill, you need to provide your information to Internet Explorer.

NOTE

For AutoFill to work, the Forms AutoComplete feature must be enabled. To check this, open the Forms AutoComplete pane of the Internet Explorer Preferences window and make sure that the "Enabled" radio button is selected.

TIP

When you manually complete a form, Internet Explorer will tell you about AutoFill and ask whether you want to configure it using the information you enter on the form. That method of configuring AutoFill works, too.

  1. Open the Internet Explorer Preferences window.

  2. Click AutoFill Profile.

  3. Complete as much of the information as you want to be able to enter by using AutoFill.

  4. Click OK.

When you come to a form on which you need to enter this information, click the AutoFill button, choose Tools, AutoFill Forms, or press [image] +'. Internet Explorer will do its best to enter the information for you.

NOTE

Note that AutoFill can't complete information using pop-up menus (which many sites use to enter a state). When you use AutoFill, review the information entered to make sure that it is correct and complete before you try to submit it.

Tracking Your Status

In the lower-left corner of the Internet Explorer window is the Status bar. Here you will see messages from Internet Explorer telling you what it is doing or what is happening with the current Web page. One of the most useful things you see here is the status of a Web page as it downloads into your computer. From this, you can get an idea of how long the page will take to fully download. Keep your eyes on the status area as you move around because it will help you know what is going on.

Another important feature of the Status bar is that it will show you when you are dealing with a secure Web site. This is indicated by a lock icon as well as a text message.


Using Sherlock to Search the Web

The Mac's built-in search tool, Sherlock, can help you search various content providers on the Web at the same time. In fact, Sherlock might be the only search tool you ever need. Sherlock is very powerful and it enables you to find information on the Web quickly and easily.

NOTE

In Mac OS X versions 10.1.5 and earlier, Sherlock was used to perform local file searches as well. For 10.2, the find function was returned to the Finder and Sherlock is used exclusively to search the Web.

Sherlock's window provides a set of tools you can use to perform your Web content searches (see Figure 13.4).

Figure 13.4. Sherlock provides a powerful set of tools you can use to find all sorts of information on the Web.

Sherlock uses channels to categorize the information you search for. When you use a channel, the tools you search with are specific to that channel. For example, one of Sherlock's default channels is the Movies channel, which enables you to search for movie information in your area (see Figure 13.5). To use a channel, you subscribe to it. When you do so, its icon will be added to the Sherlock toolbar.

Figure 13.5. Sherlock's Movies channel enables you to locate information about and show times for movies you are interested in; you can even view the trailer in the Sherlock window!

The default Sherlock channels included in the standard Mac OS X installation are the following:

  • Internet Use this channel for your general Internet searches.

  • Pictures With this channel, you can find images related to specific topics.

  • Stocks Use this channel to track your favorite stocks.

  • Movies This is one of the coolest channels. You can use it to find show times and location information for movies you are interested in. You can also view a movie's trailer in the Sherlock window.

  • Yellow Pages Use this channel to find addresses, phone numbers, and even driving directions for businesses.

  • eBay If you are an eBay fan, this channel is for you.

  • Flights This enables you to find flight information and to purchase tickets.

  • Dictionary Use this channel to find correct spellings of specific words or to find synonyms.

  • Translation This channel enables you to translate words and phrases among various languages.

  • AppleCare Use this channel to search for information from Apple, such as to get help with problems you are having.

NOTE

Each Sherlock channel is provided by one or more content providers. When you select a channel, its providers are shown at the bottom of the Sherlock window.

Performing Searches with Sherlock

Now you that you understand the basics of Sherlock, you can use it to search.

  1. Open Sherlock.

  2. Click the channel you want to use for your search. The Sherlock window will be updated to reflect the channel you selected (see Figure 13.6). Each channel has its own search tools, but they are all simple to use.

    Figure 13.6. Don't know how to spell "menagerie"? I didn't either, but with Sherlock, it doesn't take long to find out.

  3. In the Search box at the top of the window, type the text you want to search for. You can enter individual words or phrases in the Search box. The more information you enter, the more specific your search will be.

  4. Configure the channel's other tools. For example, when you search the Movies channel, you select Movies to search by movie, or Theaters to search by theater; then enter your zip code and select the date you want information for.

  5. Click the Search button. If you aren't already connected to the Internet, your Mac will connect itself. Then, Sherlock will move onto the Net and perform your search. The results of your search will appear in the Results area (see Figure 13.7).

    Figure 13.7. Hopefully, Apple stock will perform better in the future than it was performing when I checked on it.

  6. Browse through the results of your search; when you find a site that looks interesting, double-click it. If the result is a Web site, it will open in Internet Explorer.

TIP

You can show or hide the toolbar by clicking the Show/Hide toolbar button; choosing View, Show/Hide Toolbar; or pressing [image] +B.

The Sherlock Results pane looks quite different depending on the channel you are using. When you use the Internet channel, the results will be Web sites that meet your search criteria. When you use the Pictures channel, the results will be individual images. Although the channels provide different types of results, they are all easy to work with, and after you've used one channel, you won't have any trouble using the others.

In some channels, such as the AppleCare channel, the content that Sherlock finds appears in the lower pane of the window. You can view such content directly in the Sherlock window.

TIP

You can change the relative sizes of the panes in the Sherlock window by dragging the Resize handle located in the center of the separating bar.

Configuring Sherlock Preferences

You should configure Sherlock's preferences to enable it to perform at its best for you. The Sherlock Preferences pane includes the following four tabs: Locations, Countries, Subscriptions, and Security (see Figure 13.8).

Figure 13.8. The Locations tab enables you to configure one or more locations that are used for specific channels, such as the Movies channel.

The following list provides a summary of each tab:

  • Locations Use this tab to configure the locations that relate to your searches. For example, you can configure your home as a location in order to search for directions from your home to businesses in the Yellow Pages channel.

  • Countries Some channels are intended for specific countries. Use this tab to configure the countries that should be active in Sherlock.

  • Subscriptions This tab enables you to subscribe to channels or to remove them.

  • Security With this tab, you configure the security of Sherlock, such as whether cookies are accepted.

Configure a new Sherlock location using the following steps:

  1. Choose Sherlock, Preferences. The Sherlock Preferences window will appear.

  2. Click the Locations tab.

  3. Enter your e-mail address in the Email box.

  4. Click the Add button. A new, untitled location will appear in the list.

  5. Double-click the new location and change its name to something meaningful.

  6. Select the Country pop-up menu to select the country related to the location.

  7. Complete the address information for the location.

  8. Close the Preferences dialog box.

The locations you configure will be available in the channels that make use of this, such as the Yellow Pages channel.

NOTE

Unfortunately, you can store only one e-mail address in Sherlock. It would be helpful to be able to associate an e-mail address with each location, but that can't be done in the current version of Sherlock.

To configure the countries you want to be active, use the following steps:

  1. Choose Sherlock, Preferences. The Sherlock Preferences window will appear.

  2. Click the Countries tab.

  3. Click in the On column to place a check mark next to the countries you want to be active.

  4. Click on a check mark to make a country inactive.

  5. Check the "Show All Countries" check box to display all available countries on the list.

  6. Close the Preferences dialog box.

TIP

You can also select a country and click the Turn On or Turn Off button to enable or disable a country.

The Subscriptions and Security preferences are related to channel subscriptions and are covered in the next section.

Customizing the Sherlock Toolbar

You can customize the Sherlock toolbar just as you can the toolbar in Finder windows.

  1. Open Sherlock.

  2. Choose View, Customize Toolbars. The Customize toolbar sheet will appear.

  3. Drag channels off the toolbar to remove them. (You can add them back again by dragging them back onto the toolbar.)

  4. Drag the space and separator icons onto the toolbar to organize it.

  5. Drag channel icons around on the toolbar to rearrange them.

  6. Use the Show pop-up menu to select how you want the toolbar to look, such as including both icons and text or text only.

  7. Check the "Use Small Icons" check box to use small icons on the toolbar.

  8. Click Done.

TIP

You can restore the default Sherlock toolbar by dragging the default set onto the toolbar.

Subscribing to Sherlock Channels

When you find content providers that offer Sherlock channels, you can subscribe to those channels to make that content available for your Sherlock searches. You need to find the URL for the content provider's Sherlock channel to subscribe to it.

NOTE

By default, you are subscribed to the Apple Channels that provide all the default search channels.

  1. Choose Sherlock, Preferences. The Sherlock Preferences window will appear.

  2. Click the Subscriptions tab. You will see that you are already subscribed to the Apple Channels.

  3. Click Add. The URL sheet will appear.

  4. Enter the channel's URL and click Add. The site will appear on your Subscriptions list.

  5. Select the site and click Subscribe. The channel's status will become Subscribed and you will be able to access its content in Sherlock.

As Sherlock uses content channels, some channels will need to store cookies on your Mac to function (the AppleCare channel is an example). You can control the access of these channels by using the Security tab.

  1. Click the Security tab. You will see the list of sites you enabled channels from.

  2. Select a site on the list or click Add to add a site to the list.

  3. Click the "Accept all cookies" radio button to accept cookies from that site or the "Reject all cookies" radio button to reject cookies from the selected site.

  4. To delete any cookies that the site has already stored on your Mac, click Delete All Cookies.

  5. Close the Sherlock Preferences window.

NOTE

Sherlock is good, but it does have its limitations. If you don't find it adequate for your needs, consider trying the Watson application. Watson is both more powerful and more flexible than Sherlock is. You can download a demo copy from www.apple.com/downloads/macosx/internet_utilities/watson.html.


Downloading and Preparing Files

One of the best things about the Web is that you can download files from it. These files can be applications, graphics, MP3 files, text files, updaters, or any other file you can think of. Downloading files is simple; the only two areas that might give you some trouble are finding the files that you download and preparing them for use.

The general process for downloading and preparing files is the following:

  1. Locate the file you want to use.

  2. Download the file to your Mac.

  3. Prepare the file for use by decoding and uncompressing it.

NOTE

Because of Mac OS X's Unix underpinnings, this step can be a little more complicated than it has been in past versions of the OS. Fortunately, most of this time, this process is relatively automatic. You have to intervene manually only infrequently.

There are two basic ways to download files. You can use a Web browser to download files or you can use an FTP client to download files from FTP and other sites. Using a Web browser to download files is simpler, but it is also slower. A dedicated FTP client can dramatically speed up file downloading.

For information about configuring and using the Interarchy FTP application, see "Downloading Files Better with Interarchy," p. 359.

Configuring a Downloads Folder

By default, your Web browser will store files you download in the Desktop folder in your Home directory (and thus, they appear on your desktop). If this isn't where you want downloaded files to be stored, it is a good idea to create a folder into which your Web browser will always download files. That way, you will always know where to find the files that you download, and they won't clutter your desktop.

NOTE

Because a directory is modified when you store files in it, you must use a directory that you have permissions to write to. On your Mac OS X startup volume, you are limited to downloading files to a directory within your Home directory. However, you can choose a file outside your Mac OS X startup volume if you want.

If you want other users of your machine to be able to access the files you download, you can use your Public folder as your downloads folder.

There are two ways to specify a downloads folder. If you use the System Preferences utility, you can specify a downloads folder for all of your Internet applications to use. You can also set a downloads folder from within the applications themselves.

Setting a Global Downloads Folder

To set a global downloads folder, use the following steps:

  1. Create the folder you want to use as your downloads folder in the location in which you want to store it.

  2. Open the System Preferences utility.

  3. Click the Internet icon to open the Internet pane.

  4. Click the Web tab.

  5. Use the Select button to choose the folder you created in Step 1.

  6. Quit the System Preferences utility.

NOTE

Setting a downloads folder in the System Preferences utility doesn't always get carried into the particular applications you use. For example, setting a download folders page in the System Preferences utility does not set the downloads folder in Internet Explorer—you have to set the downloads folder within Internet Explorer itself.

Setting the Downloads Folder from within Internet Explorer

You can also select a downloads folder from within a Web browser, such as Internet Explorer.

  1. Create the folder you want to use for your downloads.

  2. Open the Internet Explorer Preferences window.

  3. Click Download Options. You will see three panes containing controls you can use to configure file downloading.

  4. Click Change Location.

  5. Use the Choose a Folder dialog box to move to and choose the folder you want to use.

  6. Make sure that the "Always download files to the download folder" radio button is selected.

  7. Click OK to close the Internet Explorer Preferences window.

Downloading Files Using Internet Explorer's Download Manager

Downloading files is as simple as anything gets on the Mac. Internet Explorer uses its Download Manager window to work with files you are downloading. Just click the download link for the file you want to download.

TIP

You can download multiple files at the same time. Start one; then, move back to a Web window and move to the next and start it downloading.

You can also continue to browse the Web while your files are downloading. The speed will decrease a bit (or a lot if you are using a dial-up Internet account), but at least you can do something while the file is downloading.

Some sites simply provide the file's name as its link, whereas others provide a Download button. Whatever way it is done, finding the link to click to begin the download process is usually simple.

After you click the link to begin the download, the Download Manager window will open and in it you will see the progress of the file you are downloading (see Figure 13.9). For each file, you will see its name, the download status, the time it took to download, and the amount of data that was transferred.

Figure 13.9. The Download Manager window provides the information and tools you need to manage your downloads.

TIP

You can change the column widths in the Download Manager window by pointing to the line between columns, pressing the mouse button, and dragging.

NOTE

If you use a slow Internet connection, such as a dial-up account, downloading large files can take a long time. If the process is interrupted for some reason, you might have to start all over again. In some cases, you can resume the download (you'll learn how later in this section).

After the download is complete, Internet Explorer will try to prepare the file that downloaded so that you can use it. Much of the time, this works automatically, but in some situations, you will have to perform this task manually. This process can be somewhat complicated depending on the file you download.

For information on manually preparing downloaded files for use, see "Preparing Files for Use," p. 350.

TIP

A quick way to switch windows is by pressing [image] +~. This is a good way to jump between the Download Manager window and your other Web windows. You can also move directly into the Download Manager by pressing [image] +4.

In order for your files to be automatically processed after download, you can configure the Download Manager using the Internet Explorer Preferences window.

  1. Open the Internet Explorer Preferences window and click Download Options.

  2. Use the controls in the Download Manager Options pane to configure the Download Manager.

    • Use the Maximum number of concurrent downloads pop-up menu to set how many files you can download at the same time. The default value is 4. If you have a fast connection, such as a DSL or cable modem, you can set this higher. If you use a phone modem, you might want to set the number lower because trying to push too much data through a phone modem can cause problems for you.

    • By default, the Download Manager "remembers" the preceding 10 items you downloaded. This can be useful when you need to recover a downloaded file or when you need to download it again. However, you might prefer that items you have downloaded be removed from the Download Manager window so that you see only the items you are currently downloading. Use the two radio buttons in the Download Manager Options pane to choose which you prefer. If you choose to have Internet Explorer remember the list, you can enter the number of downloads that it should remember using the text box.

    • The bottom two check boxes determine whether Internet Explorer attempts to automatically decode files of specific types. You should usually leave these checked.

  3. Click OK when you are done.

You can use tools in the Download Manager window to work with files you have downloaded, or were trying to download. For example, if something happens while you are trying to download a file, you can attempt to reload it. To work with files you have downloaded from the Download Manager window, select the file and choose File, Get Info ( [image] +I). The info window for the item will open (see Figure 13.10).

Figure 13.10. A downloading item's info window provides tools you can use to work with it while it is being downloaded or after the download process is complete.

The info window enables you to do the following:

  • Edit the file's name in the File name box.

  • Click the Reveal in Finder button to show the item in a Finder window. If you have set Internet Explorer to always use a downloads folder, this isn't so useful, but it can be a timesaver if you don't know where the file was stored when you downloaded it. Click the button and you will jump to a Finder window that contains the item.

  • Change the location to which the file will be downloaded using the Change button (this is disabled while a file is being downloaded).

  • View the address from which you downloaded the file in the Address box.

  • Use the check box to determine whether a helper application is automatically used.

  • Monitor the status of the download or cancel it using the Status area.

  • Download the file again. After a file has been downloaded, the Status area shows complete and the Cancel button becomes the Reload button. Click this button to download the file again. You can also use this to resume a download that has been interrupted for some reason.

TIP

You can use the tools in the Info window to work together. For example, to save a file that you have downloaded to another place, open its info window, use the Change button to save it in a new location, and then click Reload to download it again.

Preparing Files for Use

Most files you download are encoded and compressed. Encoding is the process of translating an application or other file into a plain text file so that it can be transferred across the Internet. Compressing a file is a process that makes the file's size smaller so that it can be transferred across the Internet more quickly.

Before you can use a file you have downloaded, it must be decoded and it might also need to be uncompressed. Depending on the kind of file it is, these two actions might be done at the same time or they might have to be handled separately. An application is required for both tasks; most of the time a single application can handle them while occasionally the file might need to be uncompressed with one application and decoded with another.

Understanding File Extensions for Compressed Files

Knowing what will happen in any situation requires that you understand the types of files you are likely to download. You can determine this by the filename extension. The most common extensions with which you will have to deal are listed in Table 13.1.

Table 13.1. Common File Extensions for Compressed or Encoded Mac Files
File Extension | What It Means | Comments
.bin | Binary file format | A common encoding format for the Mac.
.gz | Unix compression format | The dominant compression format for Unix files.
.hqx | Binhex encoding | Another very common encoding format for the Mac.
.img | Disk Image file format | A file that is a disk image and must be mounted with the Disk Copy application before it can be used.
.pkg | The package format | Package files are installed with the application installer.
.sea | StuffIt compression format that can be uncompressed | Useful because the recipient of the file doesn't have by double-clicking the file to have a decompression tool. They simply double-click the file to decompress it.
.sit | StuffIt compression | The standard compression for Mac files.
.tar | Tape Archive format | An archiving format for Unix computers that is used for some files you might want for Mac OS X.
.zip | Zip compression format | The dominant compression format for Windows PCs.

Aladdin's StuffIt application is the dominant application for compressing, uncompressing, decoding, and encoding Mac files. The freeware application StuffIt Expander is included with Mac OS X to enable you to deal with compressed and encoded files that you download. StuffIt Expander can handle almost all the file formats listed in Table 13.1. So, most of the time, you will use StuffIt Expander to prepare the files you download for use.

Because Mac OS X is based on Unix, you can also use files that use the .tar and .gz formats as well. Preparing these files can be a bit more complicated (if StuffIt Expander doesn't work) because you have to use Unix commands to prepare them.

To learn how to use Unix commands to prepare a file you have downloaded, see Chapter 9, "Unix: Working with the Command Line," p. 213.

Manually Preparing a File for Use

Although you can rely on the preconfigured helper applications to handle most of the files you download, it is useful to know how to manually decode and uncompress files you download so that you can handle them yourself and you can better understand how to configure a helper application to do it for you.

By default, Internet Explorer will attempt to launch the appropriate helper application to handle files you download. If a file you download can be handled successfully by the helper application, it will be prepared and you will find a usable version of it in the same folder as the one to which it was downloaded.

  1. Locate the file you want to uncompress or decode.

  2. Access the StuffIt Expander application by opening the following path: Applications/Utilities.

    CAUTION

    There are probably two versions of StuffIt Expander on your Mac. One is installed under Mac OS 9 and one is installed under Mac OS X. Make sure that you are working with the Mac OS X version because it can better handle your files. If the Classic application launches when you download a file, Internet Explorer is configured to use the Mac OS 9 version of StuffIt Expander rather than the OS X version. You should reconfigure it to use the Mac OS X version as its helper application.

  3. Drag and drop the file you want to prepare onto the StuffIt Expander icon. The StuffIt Expander application will launch and you will see a progress bar for the processing of the file.

CAUTION

If the StuffIt Expander icon doesn't become highlighted when you drag a file onto it, that file type cannot be handled with the free version of the StuffIt application. If the file is a Unix file, use the Unix tools to prepare it. Otherwise, you will probably have to upgrade to StuffIt Deluxe to be able to work with the file.

When the process is complete, you will see a new item in the same folder as the file you downloaded. If the original file contained more than one item, you will see a new folder containing the decoded and uncompressed items instead of a file.

You can work with the uncompressed/decoded items just like any other items on your Mac. For example, if a file expands into a folder, you can open that folder to work with the files in it. If the file expands into an .img file, you can double-click that file to mount the disk image on your Mac.

TIP

You can also prepare a file by launching StuffIt Expander and choosing Expand from its File menu.

For almost all the files you download, even the manual process is just that simple. Occasionally, you might run into a file on which this process doesn't work. In such a case, you have to try another tool (such as a Unix command or the StuffIt Deluxe application).

Configuring StuffIt Expander

A bit of configuration of StuffIt Expander will make this process even less difficult.

  1. Open the StuffIt Expander application.

    CAUTION

    Make sure that you use the Mac OS X version of StuffIt Expander.

  2. On the StuffIt Expander menu, choose Preferences to open the Preferences window. This window has two panes. In the left pane, you choose the group of options you want to set and in the right, you use the controls to set the options. Some of the options you might want to configure are provided in Table 13.2.

  3. After you configure your preferences, click OK.

Table 13.2. Useful StuffIt Expander Preferences
Group of Options | Useful Settings
Expanding | Check the "Delete after expanding" check boxes if you want the application to delete files that it has expanded. This can prevent your downloads folder from being cluttered with files you don't need (not to mention saving your disk space).
Expanding | Use the Scan for viruses using pop-up menu to set an application that StuffIt Expander will use to check files that you expand for viruses.
Disk Images | Use these controls to have the application automatically mount disk image files.
Destination | Use the Destination controls to set a folder into which expanded files should be placed. For example, you can set files to expand into a specific folder or you can have the application prompt you for a folder location each time that it expands a file.
Watch Folder | Use these controls to identify a folder that StuffIt Expander should watch. When it finds a compressed or encoded file in this folder, it automatically expands the file. For example, you can set your down loads folder to be the watch folder so that files there will be handled automatically.
Internet | Use these controls to determine which file types StuffIt Expander handles. Click the Use StuffIt Expander for all available file types button so that the application will work with as many file types as possible.


Working with Plug-Ins and Helper Applications

Many file types are available on the Internet. In addition to HTML, JSP, GIF, JPEG, and other files that are used to present a Web page, there are graphics, movies, sounds, and many other file types you can open and view. Internet Explorer can't work with all these file types directly, and fortunately, it doesn't have to. Internet Explorer and other Web browsers use plug-ins and helper applications to expand their capabilities so that they can work with files that they don't natively support.

Working with Plug-Ins

Plug-ins are software that can be incorporated into a Web browser when it opens (thus, the term plug-in). Internet plug-ins enable applications to display files that are of the specific types handled by those plug-ins. For example, the QuickTime plug-in enables Web browsers to display QuickTime movies.

Installing Internet Plug-Ins

As you travel around the Web, you might encounter file types for which you do not have the required plug-in. In that case, you need to find and install the plug-in you need. Usually, sites will have links to places from which you can download the plug-ins needed for the file types on the site. There are a couple of places in the system where plug-ins can be stored.

Plug-ins that are available to all user accounts are stored in the folder Mac OS X/Library/Internet Plug-Ins/, where Mac OS X is the name of your startup volume.

You must be logged in under an Administrator account to be able to store a plug-in in this directory.

Internet plug-ins can also be stored in a specific user account, in which case they are available only to that user. A user's specific plug-ins are in the location shortusername/Library/Internet Plug-Ins/, where shortusername is the short name for the user account.

To install a plug-in, simply place it in the directory that is appropriate for that plug-in (to be available either to all users or to only a specific user). Quit the Web browser and then launch it again to make the plug-in active.

NOTE

Some plug-ins are installed using an installer application, in which case you don't need to install the plug-in manually.

If you open the Internet Plug-Ins directories, you will see the plug-ins that are currently installed. Any plug-in installed in this folder can be used by a supported Web browser.

Many plug-ins are available for Web browsers. The QuickTime plug-in is installed by default so that you can view QuickTime movies in Web browsers. Additionally, the Shockwave Flash plug-in is installed by default as is the Java Applet plug-in. There are many other plug-ins you might want to download and install.

When you attempt to view a file for which you do not have the appropriate plug-in, you will see a warning dialog box that tells you what to do. Usually, you see instructions to help you find, download, and install the plug-in as well.

Using Internet Plug-Ins

After a plug-in is installed in the appropriate folder, it works with a Web browser to provide its capabilities. When you click a file that requires the plug-in to be used, the appropriate plug-in activates and enables you to do whatever it is designed to do. For example, when you open a QuickTime movie, you see the controls that enable you to watch that movie within the Web browser.

Working with Helper Applications

Although plug-ins provide additional capability by "plugging in" to a Web browser, helper applications are standalone applications that Web browsers can use to work with files of specific types. Any application on your Mac can be used as a helper application.

Web browsers maintain a list of document types for which helper applications should be used. When you open a file type that has a helper application, that application opens and you can use it to work with a file. Web browsers have a default helper application list that links helper applications to many different document types. You can add, change, or delete file types and applications from this list.

For example, in the previous section, you learned how StuffIt Expander can decode and uncompress files you download from the Internet. StuffIt Expander is a helper application; as you saw earlier, you can also use the application independently of a browser. When a browser opens a file type for which StuffIt Expander is the designated helper application, the browser opens StuffIt Expander and "passes" the file to it for processing.

Using Helper Applications

Using helper applications is just like using those applications as standalone applications (after the browser opens the application and passes a file to it). For example, suppose that the application Microsoft Word is the designated helper application for files with the .doc file extension. When you click a file whose name ends in .doc, the browser launches Word and passes the document file to it. The document opens in Word and you can work with it just as you can any other Word document.

Configuring Helper Applications in Internet Explorer

Using helper applications is simple, but determining which helper applications are used can be a bit more difficult. You need to be able to relate specific file extensions to the application you want to use as the helper application for that file type.

The best way to see how this works is to work through an example. In this example, the application StuffIt Expander will be designated as the helper application for Zip files you download. This means that when you download a Zip file, StuffIt Expander will be opened and will unzip the file automatically.

NOTE

By default, Internet Explorer already uses StuffIt Expander as the file helper associated with Zip files. However, this example provides steps that are typical when you need to associate a file with a file helper and so is a worthwhile exercise.

  1. Open the Internet Explorer Preferences window and click File Helpers to open the File Helpers Settings pane. This pane provides a list of applications along with their descriptions. Next to each, you will see the filename extension and MIME file type of the files for which that application is the helper.

  2. Click Add and the Edit File Helper window opens. This window provides the controls and fields you need to designate a helper application for any file type. The window will be empty when you create an association.

  3. Describe the association you are creating.

    In the example, I used "Zip files."

  4. Press Tab and enter the extension for the file type for which you are creating an association.

    In this example, I entered ".zip" as the extension.

  5. In the MIME type field, enter application/zip.

  6. Enter the four-letter file type and creator codes for the files you will be associating with this application.

    In the example, I entered "ZIP " in both places (the letters "ZIP" followed by a space).

    NOTE

    Explaining MIME, file types, and file creators is beyond what I have room to cover here. Usually, you can find what you need to enter by looking at one of the existing associations. In fact, that will often work for any new association you want to create. Use the existing associations as guides.

  7. Using the How to Handle pop-up menu, choose how you want these files to be handled.

    Because I want the files to be processed with the application (rather than being viewed, for example), I chose Post-Process with Application.

  8. Use the Open dialog box to choose the application that you want to be the helper application for files of this type.

    In the example, I selected StuffIt Expander.

  9. Click OK to return to the File Helper Settings pane and you will see your new association in the window.

    TIP

    You can change any existing helper application association, such as changing the help application that is used for a specific file type, by selecting it and clicking Change. Edit the settings in the window and click OK. Later in this chapter, you will see how to change the helper application for files you download from FTP sites.

After this, whenever you open a file of the type for which you created an association, Internet Explorer will automatically use the helper application you specified.


The Basics of Web Security

Security on the Internet is a very important, complicated topic. Because this is not an Internet book, you won't find much detail in this section. But there are really only three things you need to know.

If you are looking at an unsecured page, everything you see and everything you provide via forms can be intercepted by a third party. Unsecured Web pages do not have the Lock icon in the bottom-left corner of the Internet Explorer window and their URLs begin with "http."

If you are visiting a site and don't see the lock, don't provide any data that you don't want someone else to see—such as credit card information, your Social Security number, and so on. In fact, this is a general principle you should follow while you are on the Net. Unless you are sure that the service you are using is secure, don't provide any information you don't want transmitted to the world.

This sounds pretty dramatic, and it is a bit overstated. I believe that the chances of anyone intercepting any particular data on the Net are pretty small, but if the potential loss is great, even that small risk may be too much. It's up to you to choose how much risk you want to assume.

Fortunately, you can provide data via a secure connection to sites that are running the proper server software. A secure connection is one in which the data transmitted is scrambled, encrypted, or both. This data may still be intercepted, but the person intercepting it won't be able to do anything with it. Only the server receiving the data will be able to decode and unscramble it. Although this system isn't perfect, it's about as close to perfect as you'll get. After all, the only way to be perfectly safe is to never do anything at all.

How do you tell that you are using a secure connection? Look for the lock at the bottom of the window. If it is there, you are using a secure connection. You can also tell by looking at the URL. If it begins with an https instead of just http, you are visiting a secure location.

You can usually find secure sites in places where you have the opportunity to buy things and need to transmit your credit card information to do so. Of course, how you want to deal with sensitive data is up to you. Some people can accept more risk than others. However, here is the guiding principle that I use:

Do not transmit—via an unsecured means—any data for which you can't accept the risk of a third-party intercepting that data.

Like me, you may find shopping via the Web extremely convenient, easy, and inexpensive, but I suggest that you only transmit credit card data via secure sites. And always remember: Do not judge what you do on the Net against a perfect world (where there is no chance of your data being misused). Consider the risks you are willing to accept in the non-Net world. For example, you probably think nothing of using your credit card in one of those gas pumps with an integrated card reader. That is certainly no more secure, and might be much less secure (especially if your card number is printed on the paper receipt), than using your credit card on a secure Web site.

Web browsers have many security features, and you configure them with the browser's Preferences window. The details of these settings are beyond the scope of this book, but you can explore them on your own to see whether you need to make changes—the default settings work for most people.

Cookies

On the Web, cookies are small text files that Web sites use to track information about you. When you visit a site that uses cookies, the site can check the cookies it previously installed on your machine to serve you or to capture more information about you. For example, a cookie may contain areas of interest so that you are automatically taken to spots on the site that are more likely to generate a sale from you.

If you don't like the idea of spreading your cookies all over the Web, you can control how your Web browser deals with cookies by using the cookies settings preferences. You can refuse to accept any cookies, or you can choose to accept or reject them on a case-by-case basis.

Third, some sites provide digital certificates that are used to verify from data from that site. When you view a site that uses such a certificate, you will see a window that gives you some options. One will be to install the certificate on your machine. When you do so, the certificate will be installed in the appropriate directory and your browser will be able to access that certificate as needed. You can also choose to always trust data from the site so that you don't see any security warnings during future visits.


Mac OS X to the Max: Going Further on the Web

There is a lot you can do to take your browsing on the Web to the max, including using keyboard shortcuts, checking out other Mac OS X Web browsers, and exploring useful Mac and other Web sites.

Using Internet Explorer Keyboard Shortcuts

Table 13.3 lists keyboard shortcuts for Internet Explorer.

Table 13.3. Keyboard Shortcuts in Internet Explorer
Action | Keyboard Shortcut
Open Location | +L
New Window | +N
Open File | +O
Close Window | +W
Save As | +S
Print | +P
Select All | +A
Find | +F
Find Again | +G
Show/Hide Explorer Bar | +T
Minimize Window | +M
Open or Return to Explorer Window | +1
Open or Return to Favorites Window | +2
Open or Return to History Window | +3
Open or Return to Download Manager Window | +4
Cycle Through Open Windows +~
Open Internet Explorer Preferences +;
Hide Internet Explorer | +H
Quit Internet Explorer | +Q
Add Page to Favorites | +D
Update Subscriptions | +U
New Favorite | +K
Delete Favorite or Folder, no warning | +Delete
Delete Favorite or Folder, with warning | Delete
Move Forward +[
Move Backward +]
Refresh Page | +R
Collapse Toolbars | +B
View Source | +E

Downloading Files Better with Interarchy

Many sites from which you can download files use the File Transfer Protocol (FTP) to provide files to you. Your Web browser can handle FTP downloads, but a dedicated FTP application will handle FTP downloads much better than a Web browser. The speed at which FTP applications can download files is many times greater than a Web browser can achieve—for this reason alone, you should use an FTP client whenever possible. When it comes to FTP on the Mac, there are several excellent FTP applications. My favorite is Interarchy.

You can download, install, and configure Interarchy so that it is used to download files via FTP automatically. For example, you can configure it so that when Internet Explorer attempts to download a file using FTP, it will launch Interarchy and use it to download the files instead. The result for you is much faster and more reliable downloading.

First, download, install, and configure Interarchy.

  1. Go to www.interarchy.com.

  2. Download the latest version of Interarchy. When the file has been downloaded, its disk image will be mounted on your machine.

    NOTE

    You can download a free evaluation version of the application. At press time, the Interarchy license costs about $45. If you don't like to wait while files download, this might be one of the better investments you can make.

  3. Open the mounted Interarchy disk image.

  4. Drag the Interarchy folder to the Applications folder or other location.

  5. Launch Interarchy.

  6. Choose Interarchy, Preferences. You will see the Preferences window. In the Protocol Handlers area, the "Use Interar chy for FTP" check box will be checked by default.

  7. Check the "Internet Explorer uses Interarchy for FTP" check box.

  8. Confirm the switch by clicking Switch in the resulting dialog box.

  9. Repeat the process for Netscape if you use that Web browser.

  10. Click Save and quit Interarchy.

Depending on the application for which you have configured Interarchy to be used, you might have to do some additional configuration in the application so that Interarchy will always be used for FTP or you can configure the application to use Interarchy manually. For example, when you configure Internet Explorer to use Interarchy from within Interarchy, Internet Explorer will still handle FTP files because it defaults to handle any files that it is able to handle directly rather than using Interarchy. You can use the following steps to configure Internet Explorer properly. You can also use similar steps to configure another application to use Interarchy for FTP (such as another Web browser).

  1. Open Internet Explorer and then open its Preferences window.

  2. Open the Protocol Helpers Settings window.

  3. Scroll down the window to see the FTP protocol. If you used Interarchy to switch the FTP settings, you might see it listed as the application used to help with FTP. However, if there is a check mark next to the application listed, this means that Internet Explorer will handle the protocol itself if it can, which in the case of FTP, it can. You want Interarchy to be used for all FTP transactions so you need to modify this setting.

  4. Select the FTP protocol on the list and click Change. You will see the Protocol Help Editor window.

    NOTE

    You can change the application used for any protocol by clicking the Choose Helper button and then selecting the application that you want to handle that protocol.

  5. Uncheck the "Use current application if possible" check box.

  6. Click Choose Helper.

  7. Use the resulting dialog box to move to Interarchy, select it, and click Open.

  8. Click OK.

  9. Click OK in the Internet Explorer Preferences window.

When you download files from the Web browser that are provided via FTP and you have configured the browser to use Interarchy, Interarchy will be launched and will download the file rather than the Web browser (see Figure 13.11). The result is that the files will be downloaded much faster and more reliably.

Figure 13.11. The Download button in Internet Explorer was clicked, but Interarchy is downloading the file.

NOTE

Interarchy can do more than just download files for a Web browser. You can also interact with FTP sites directly. For example, in Interarchy, choose Home, List Bookmarks. You can open any of the folders you see to work with those FTP sites.

Using Internet Explorer Tricks

You can speed up your Web browsing by using the three tricks described in this section.

Using Contextual Menus

Internet Explorer provides a contextual menu you should use regularly to speed your access to a specific set of commands. As in other areas, to view the contextual menu, hold down the Control key and click the mouse button or you can simply hold down the mouse button for a moment or two (see Figure 13.12). This menu enables you to do much of what you may want to do without ever taking your hand off the mouse.

Figure 13.12. This contextual menu (for a Favorites bar item) enables you to quickly open a page in a new Web browser window.

Some options will not be selectable until you are in a position where selecting that option makes sense (for example, you can't choose the image commands unless your cursor is over an image). As you use this contextual menu, you will become familiar with the situations in which it can be helpful.

Opening More Windows on the World

You can have multiple Web windows open at the same time. What's so great about this? The windows in Internet Explorer are independent. That means that you can do different things in each—simultaneously. You can load related pages and see them side by side (for example, to comparison shop). You can be loading one page while you are reading another. You can browse a page in one window while you are doing a search in another. You will find this to be very useful, and after you use this technique, it will quickly become indispensable. The number of windows you can have open is limited only by your computer's processing power and memory and your screen's real estate. To open multiple Web windows, choose File, New Window, or better yet, use the contextual menu. You can use the new window just like any other one; enter a URL or click a link to move to a Web page.

TIP

You can open a link in a new window by holding down the [image] key while you click it.

The downside to using multiple windows is that each must share the total bandwidth you have available because they all download at the same time (you can fit only so much data through your connection). With multiple data streams being downloaded, each stream will slow down somewhat compared to its speed if it were the only stream being transferred to your Mac. This isn't a big deal for two reasons. One is that your connection is used much more efficiently because data is constantly being downloaded to it (as opposed to when you are using a single window and much of the time no data is being transferred). The second is that you are doing something while the data is being downloaded (such as reading a page that already has been downloaded) and so your time is not being wasted staring at a partial page while it is being downloaded.

Although opening a new window and moving to a different site is useful, using multiple windows really shines when you are searching or when you are following multiple links from the same page. Try it a few times, and you will find that this technique will dramatically improve the speed at which you use the Web.

  1. When you find a link you want to follow, point to it, hold down the Control key, and click.

  2. From the contextual menu, choose Open Link in New Window. A new Web window will open, and the page will begin to download in it.

  3. While the Web page is downloading, move back to the first page and continue to read it (you can click the page in the background if you can still see it or choose it from the Window menu).

  4. When you find another link you want to follow, repeat Steps 2 and 3.

As pages finish downloading, you can jump to them to read them. This keeps you from wasting time staring at a page while it is downloading.

Customizing the Internet Explorer Toolbars

You can customize the Internet Explorer window in several ways, including the following:

  • Turn the various bars on or off. For example, you can get rid of the Button bar by choosing View, Button Bar.

  • Collapse all the toolbars by clicking the Collapse Toolbars button located just above the tabs, choose View, Collapse Toolbars, or press [image] +B. This mode maximizes your viewing space (see Figure 13.13).

    Figure 13.13. With the toolbars collapsed, you get a lot more viewing space.

  • Quickly add a site to your Favorites toolbar by dragging the icon next to its address in the Address bar onto the Favorites toolbar.

  • Customize the toolbars by choosing View, Customize toolbars. You will see a Web page with additional buttons. You can drag any of these to the Button bar to add them to it. You can move buttons on the bar by holding down the [image] key while you drag the buttons. Remove buttons from the Toolbar by holding down the [image] key while you drag the button to the Trash.

Using Other Mac OS X Web Browsers

Although Internet Explorer is the default Web browser installed with Mac OS X, it is by no means the only Web browser available for it. Two Web browsers were released almost simultaneously with Mac OS X: iCab and OmniWeb.

Browsing with iCab

The iCab Web browser was one of the first released for Mac OS X. It offers features that are similar to those of Internet Explorer, but the interface is a bit different (see Figure 13.14).

Figure 13.14. The iCab Web browser is an alternative to Internet Explorer that is worth exploring.

Some users feel that iCab is quite a bit faster than Internet Explorer, but it seemed about the same to me. Web browsers are mostly a matter of personal preference.

NOTE

If you would like to check out iCab, download a copy from www.icab.de.

Browsing with OmniWeb

OmniWeb is a Cocoa Web browser published by The Omni Group, which is a leading Mac OS X developer. Its interface is the most "Mac OS X–like" of any of the browsers (see Figure 13.15).

Figure 13.15. OmniWeb is a Cocoa application and takes full advantage of Mac OS X's architecture and interface.

NOTE

You can download OmniWeb from www.omnigroup.com/products/omniweb.

Exploring Great Web Sites

Table 13.4 provides some Mac and other Web sites you might find useful.

TIP

Explore the default favorites that are included with Internet Explorer because there are many good Mac sites you can visit with them.

Table 13.4. Mac and Other Web Sites
URL | Description | Comments
Mac Sites
www.macworld.com | Macworld magazine's Web site | You can read the latest Mac news as well as search for information on specific topics.
www.apple.com | Apple Computer's Web site | You can shop in the Apple Store as well as get support and read the latest Apple and Mac news.
www.maccentral.com | Home of MacCentral Online | More Mac news.
www.macfixit.com | Ted Landau's MacFixIt site | One of the best sites for help with Mac problems.
www.machome.com | Web home of MacHome magazine | Read the magazine, download files, and more.
www.macintouch.com | Ric Ford's MacInTouch site | An outstanding source of Mac news, especially for troubleshooting and update news.
www.smalldog.com | Home of Small Dog Electronics | Check this site whenever you need Mac hardware or software.
www.versiontracker.com | Part of the TechTracker Support Network | You can find information on version updates for all sorts of Mac software and you can also download lots of software.
Other Sites
www.amazon.com | Home Amazon.com | This is the ultimate stor for books (and just about anything else you can mention).
www.foxnews.com | Home of Fox News | This is a great site to help you keep up with the news.
www.dvdpricesearch.com | DVD Research site | If you buy DVD movies, you must check this site out. You can find the lo est prices on any DVD. You will also get infor tion about sales and special deals that are offered by many sites.
www.loc.gov | U.S. Library of Congress Web site | An amazing collection of important documents, all available on the Web.
www.quepublishing.com | Home of Que Publishing | This is the company that brought you this book.
www.quicken.com | Quicken's Home page | All the financial news and tools you need in order to keep your finances in top condition.


Chapter 14. Putting Yourself on the Web

In this chapter

Developing Your Presence on the Web

Using .Mac to Create and Serve Your Web Pages

Using Mac OS X to Serve Web Pages

Troubleshooting

Mac OS X to the Max: Web Creation Software


Developing Your Presence on the Web

If you have spent much time on the Internet, you probably will want to develop your own presence there. With Mac OS X, some additional tools, and a bit of creativity, you can develop your own Web pages and serve them to the world.

Understanding Web Sites

Two fundamental "parts" are required to provide Web pages to the Internet or to an intranet. First, there is the content and format of the information that is presented. As you probably know, Web pages are a collection of Hypertext Markup Language (HTML), Java Server Pages (JSP), and other files (JPGs, GIFs, and so on). In turn, a Web site is a collection of Web pages that are organized in some fashion (sometimes, this organization appears to be quite random!). Typically, a site's Home page (often called the index of the site) provides the top-level structure for the site and includes the links that connect the Home page to other pages.

The second part of the system needed to get Web pages "out there" is the Web server application that actually hosts the pages on the Internet (or on an intranet). The Web server is responsible for ensuring that the files on the site can be accessed properly. A Web server also provides the tools needed to monitor and manage the Web site.

NOTE

A Web server usually runs concurrently with servers providing other services, such as File Transfer Protocol (FTP) and e-mail.

Creating Your Web Site

Many tools are available that you can use to create a Web site. These range from using text editors to "hand code" the HTML on each page to using "What You See Is What You Get" (WYSIWYG) Web page editors, which automate the coding process and enable you to see what you are creating as you create it. WYSIWYG tools can also enable you to develop, organize, and manage an entire Web site. For example, you can visually map the entire site so that you can see where each link takes you.

Explaining how to create a Web site is beyond the scope of this book. However, there are many easily accessible resources you can use to help you decide how you want to create your site and also to explain the details of doing so. For example, for an explanation of HTML codes, visit www.willcam.com/cmat/html/tags.html. There are also numerous books that describe how Web sites can be created and managed, such as the following:

  • Special Edition Using HTML 4, 6th Edition

  • The Art and Science of Web Design

  • Easy Web Pages, 2nd Edition

Serving a Web Site

After a Web site has been created, it must be served by a Web server application; this process is also known as Web hosting. There are two ways that a site can be hosted. One is to use a hosting service. The other is to host the site yourself from your own Mac.

Using a Hosting Service

A Web hosting service takes content you provide (your Web site) and serves it to the Internet. At their most basic level, Web hosting services simply offer you space on the server on which you can store your site; you are usually assigned a specific address based on the account you have on that service. There are also Web hosting services that go beyond these basic services. Many hosting services also provide domain name registration for you so that you can choose the URL for your site. Other hosting services provide tools you can use to create the site as well. These tools can be standalone tools that you use, or the service might provide preformatted pages that you complete by adding your own content. Many hosting services charge a fee for their services, but there are also many that serve your pages free (usually with limitations on the size of your site or the amount of data that can be served from it; many also require that they be able to place ads on your site).

With Mac OS 9, Apple introduced its own Web hosting service as part of the iTools service. For Mac OS X, version 10.2, iTools became .Mac and continued to be integrated into the OS so that it is a natural extension of your system. Using .Mac, you can quickly create your own Web site, you get a mac.com e-mail address, and you have access to other services, such as the use of storage space on the .Mac servers (known as your iDisk). When you use .Mac to host a Web site, you upload the files for your site to your iDisk. Then, the .Mac server handles serving your site to the Internet. This approach is beneficial because you don't use your Mac's resources or your Internet connection to host the site.

To learn how to create a Web site with .Mac, see "Using .Mac to Create and Serve Your Web Pages," p. 371.

Using Mac OS X to Host a Site from Your Mac

You can also use Mac OS X to host a Web site for the Internet or for a local intranet because the Web server software you need is already built into Mac OS X. Serving a Web site to the Internet is a fairly complex task, and there are many nuances you need to consider. However, serving a Web site to a local network is fairly straightforward. In either case, you can use Mac OS X to get your site online.

To learn how to host a Web site on your Mac, see "Using Mac OS X to Serve Web Pages," p. 389.


Using .Mac to Create and Serve Your Web Pages

Apple's .Mac is a suite of services you can access. These services include the following:

  • E-Mail Using .Mac provides you with an e-mail account you can use to send and receive e-mail. Your .Mac e-mail address ends in "@mac.com," so using it is a good way to identify yourself as a Mac user. Using the Webmail service, you can also access your .Mac e-mail account from a Web browser.

    To learn how to configure the Mail application to use your .Mac e-mail account, see "Configuring E-Mail Accounts," p. 302.

  • iCards These are electronic greeting cards you can send to others via e-mail. There are numerous card combinations you can send—these are great for the artistically challenged because you can create a customized greeting card by selecting from the available images and styles.

  • Software The .Mac service enables you to access specific software, such as Apple's Backup, Virex Anti-virus, and games.

  • iDisk The iDisk is a virtual disk space you can use to store files. There are a number of folders on an iDisk by default. For example, you can place items in your Public folder, and any Mac users who know your .Mac member name can access the files in that folder (which is an excellent way to share files with other Mac users around the world). And, you can create a Web site to share the files in your Public folder with anyone. You also store the data that forms your .Mac Web page on your iDisk.

  • HomePage The HomePage service enables you to create and serve a Web site.

The only requirement to use .Mac is that you are using Mac OS 9 or later. Because you are using Mac OS X, this certainly isn't a problem.

Creating a .Mac Account

Before you can access .Mac, you need to obtain a .Mac account.

At press time, the cost of a .Mac account was $99.95 per year. However, you can obtain and use a trial .Mac account that provides access to most of the .Mac services free for 60 days. Obtaining a .Mac account is pretty straightforward.

When you installed Mac OS X, you were prompted to enter your existing .Mac account information or to create a .Mac account. If you entered your .Mac account information or created a .Mac account at that time, you are all set and can skip to the next section.

NOTE

If you created or configured an existing .Mac account when you installed Mac OS X, your .Mac e-mail account was configured in the Mail application for you automatically.

To create a .Mac account outside of the Mac OS X installer, do the following steps:

  1. Open the System Preferences utility and click the Internet icon to open the Internet pane.

  2. Click the .Mac tab.

    NOTE

    The .Mac tab is a new feature for Mac OS X and integrates .Mac into the Mac OS. Previously, you could only access .Mac by accessing the .Mac Web page directly in a Web browser.

  3. Click the Sign Up button (see Figure 14.1). Your default Web browser will open and you will move to the .Mac Signup Web site.

    Figure 14.1. Clicking the Sign Up button takes you to the .Mac Account Setup Web site.

  4. Follow the onscreen instructions to create your .Mac account. You will have to provide personal information and accept a license agreement. As part of the process, you will create a Member Name and Password for your account. You can choose to create a free trial account or you can pay for a full account. If you create a full account, you will have to provide payment information, such as a credit card.

    Most of the information you use to create your account is self-explanatory. However, some of the details do merit some discussion.

  5. Create your Member Name by typing it in the Member Name text box. You should put some thought into this step. The Member Name you choose will be part of your .Mac e-mail address (which will be membername@mac.com), and it will also be part of the URL to your .Mac Web site. Typically, you should choose some variation of your name so that people can remember your e-mail address and URL and so that they can easily associate both with you.

  6. Create your Password and password hint question. Your password has to be between six and eight characters long, and you can use special characters if you want. The password hint question is a means that you can use to identify yourself if you forget your password (and if you have a memory as poor as mine is, you will!). Try to use a question you can answer only one way, such as your birth city or your mother's last name. Don't use something that can change (such as the name of your favorite movie), because by the time you need to use the hint, it might have changed and you won't be able to answer your own question.

  7. When you have successfully created an account, you will see a page that provides your Member Name, Password, E-mail address, and E-mail server information. You might consider printing this page so that you will have the information if you need to retrieve it at a later time.

    TIP

    You can also save the page using your browser's Save As command. In Internet Explorer, use the Web Archive option to retain the page's formatting. In Internet Explorer, you can also save the page to the Scrapbook. And you can print the page to a PDF file as well.

  8. Move back to the Internet pane of the System Preferences utility. Enter your .Mac Member Name and Password in the pane.

  9. Click the Email tab and check the "Use .Mac Email account" check box.

  10. Quit the System Preferences utility (see Figure 14.1).

If you see an error message stating the .Mac cannot be used, see "The .Mac Plug-In Cannot Be Found" in the Troubleshooting section at the end of this chapter.

Accessing Your .Mac Account

To use .Mac services, you need to log in to your .Mac account.

To use your iDisk, you don't need to log in manually because access to your iDisk is provided through the System Preferences utility. From the Finder, choose Go, iDisk (Option+ [image] +I). Your iDisk will be opened in a Finder window and you can copy files from it or upload files to it.

For other services, such as HomePage, you need to log in to your .Mac account on the .Mac Web page. Open a Web browser and move to www.apple.com and click the .Mac tab. (Internet Explorer includes a favorite to the .Mac site in the Favorites bar.) When the .Mac page appears, log in using your Member Name and Password. You will move to the .Mac services page; click an icon to begin working with that service (such as HomePage).

After you have logged in once, you can sometimes return to your .Mac services page without having to log in again. If you can move directly to one of the services pages, such as the HomePage page, you are already logged into your account. If you see the Login page instead, you have to log back into your account before you can use a service. (At the time of the writing, this behavior seemed to be a bit inconsistent so you just have to try it for yourself.)

To log out from your current .Mac account, click the Logout link on the .Mac Web page. If you click the Log out completely link, your member name won't be remembered on the .Mac login screen.

NOTE

Each user account on your Mac can have its own .Mac account. The .Mac settings in the Internet pane of the System Preferences utility of one account do not affect the other accounts. The steps to work with other accounts are exactly the same as those to work with the first one you create.

TIP

You can log in to your .Mac account from any computer running Mac OS 9 or later by visiting the .Mac Web page and logging in.

If the Member sign-in area doesn't appear, see "No Member Sign-In Area Appears" in the Troubleshooting section at the end of this chapter.

Using Your iDisk

Your iDisk is a vital element of the creation of your Web site because you store all the files you use on your Web page in the appropriate folders on your iDisk. When you purchase a .Mac account, your default iDisk can store up to 100MB of data. You can increase this up to 1GB, but you'll have to pay a fee for additional storage.

CAUTION

Using an iDisk over a slow Internet connection can be an exercise in futility. When you use an iDisk, you are usually moving a large amount of data from your machine to the iDisk. Using a dial-up account or other slow connection, this can be quite frustrating—even simple tasks such as opening the iDisk can seem to take forever. If you use a dial-up account to connect to the Internet, try to use the iDisk at less popular times of the day (such as early in the morning) so that the performance will be as good as it gets. The speed might still annoy you, but at least you stand a better chance of being able to tolerate it. Using .Mac during off-peak hours is a good idea for everyone because during heavy use periods, its response can be slow even over broadband connections.

The good news is that using the iDisk is faster under Mac OS X than it was using previous versions of the Mac OS.

You can configure your iDisk for your Mac OS X user account by opening the iDisk pane of the System Preferences utility (see Figure 14.2).

  1. Open the System Preferences utility and click the Internet button to open the Internet pane.

  2. Click the iDisk tab.

  3. Use the Disk Space bar to assess the status of your disk space. You can upgrade the amount of space you have by clicking the Buy More button (more on that later).

  4. To control whether others can input information to the Public folder on your iDisk, use the radio buttons. Click the "Read-Only" button if you want users to only be able to read files on your iDisk. Click the "Read-Write" button if you want them to also be able to place files there. If you chose the latter option, you should protect your iDisk with a password.

  5. To protect your iDisk with a password, check the "Use a Password to Protect your Public Folder" check box and enter the password that others will need to enter to be able to access your Public folder.

  6. In the resulting sheet, enter the password you want to use, confirm it, and click OK.

  7. Click Apply Now.

  8. Quit the System Preferences utility.
Figure 14.2. Using the iDisk tab of the Internet pane, you can configure your iDisk; here, you can see that I have 200MB of space available, but I am using only 12MB.

After you have configured your .Mac account and your iDisk in the System Preferences utility, you can open your iDisk by using the Finder's Go menu as previously explained.

TIP

You can add an iDisk icon to your Finder toolbar to make opening your iDisk a one-click operation. Use the Customize Toolbar command and then drag the iDisk icon onto the toolbar.

If you have set your desktop preferences such that mounted disks appear on your desktop, you will see a disk with your Member Name as its name and an icon of a hard disk in front of a globe—this is your iDisk (see Figure 14.3). If your mounted disks don't appear on your desktop, open the Computer directory and you will see your iDisk there.

Figure 14.3. The disk named "bradmacosx" is my iDisk.

To learn how to set the preference for disks being shown on the desktop, see "Customizing the Mac OS X Desktop," p. 99.

TIP

If you use more than one .Mac account, you can download and use the iDisk Utility application to make working with multiple .Mac accounts more convenient. You can download this application from the .Mac Web site.

After your iDisk is mounted on your Mac, you can work with it just like the other volumes and disks on your machine. Open your iDisk and you will see the following folders:

  • Documents

  • Movies

  • Music

  • Pictures

  • Public

  • Sites

  • Backup

  • Software

The Documents, Movies, Music, and Pictures folders contain elements for Web pages you might want to add to your .Mac Web site. For example, if you want to include a Pictures page on your site, you can store the images you want to include on the page in the Pictures folder.

The Public folder is where you can store files you want other .Mac users to be able to access.

The Sites folder is where you store your own HTML pages to be served from the .Mac Web site (rather than using the page templates that are provided for you).

The Software folder contains software you can download to your Mac. Apple stores system and application software updates here so that you can easily access and download them. To see what software is available, simply open the Software folder. To download any of the files you see to your Mac, drag the file from the Software folder to a folder on your machine. For example, there is a folder called Mac OS X Software that contains applications you can download to your Mac by simply dragging them from the folder to your hard drive. The contents of the Software folder do not count against the 100MB size limit (or other size if you have increased it) of your iDisk.

The Backup folder is where your data is stored if you use the Apple Backup application to back up your Mac.

In addition to being included on the Go menu, your iDisk also appears as a choice on the Where pop-up menu in Mac OS X Save sheets (see Figure 14.4). This enables you to quickly store documents on your iDisk and work with them from there (just like a disk connected to your Mac physically).

Figure 14.4. You can save documents to your iDisk through standard Mac OS X Save sheets.

If you aren't connected to your iDisk when you choose it as the save location, you will be logged in automatically (assuming that you have your .Mac account configured in the System Preferences utility).

This is just another example of how .Mac has been integrated into the operating system under Mac OS X. Under Mac OS X, .Mac truly is an extension of your Mac.

Sharing Information on Your iDisk with Others

One of the most useful things about an iDisk is that you can place files in the Public folder and then share them with other .Mac users.

To share your Public folder, you can publish it so that others can access it using a Web interface. You don't have to do this for others who use .Mac because they can mount your Public folder directly. However, publishing a File Sharing Web page can be helpful to users who don't or can't use .Mac. To create your File Sharing Web page, follow these steps:

  1. Move to the .Mac page and click the HomePage button to open HomePage (if you aren't logged in already, you will be prompted to do so). You will move to the HomePage window. At the bottom of the window, you will see tabs that enable you to create various types of Web pages.

  2. Click the File Sharing tab. You will see the format options for a file sharing Web page (see Figure 14.5).

    Figure 14.5. When you create a file sharing Web page, you can choose the format of that page.

  3. Choose the look of your Public folder page by clicking one of the Appearance choices (such as Graphite or Magenta). You will move to the My iDisk page.

  4. Click the Edit button. Three fields become editable. These are the name of the page, the Member Name displayed, and the page description.

  5. Change the text as needed.

  6. Click Publish.

You'll see a screen confirming that you have successfully published the page and you also see its URL (see Figure 14.6).

Figure 14.6. The contents of my Public folder have been published to the File Sharing page located at the URL shown in this window.

To make files available from your iDisk Web page, drag them into the Public folder on your iDisk. When you do so, they will appear on the iDisk Web page (see Figure 14.7).

Figure 14.7. Anyone who accesses the files on this Web page can download them from my iDisk's Public folder.

Other people can download these files by moving to the Web page and clicking the Download link for the file that they want to download.

TIP

Anyone who can access the Web can use the files you share. This includes Windows PC users as well as users of Macs running Mac OS 9 or earlier. Using a .Mac Web site is a great way to share files because it is easy to upload files and others can also access the files easily. Using a Web site is better than e-mailing large files because the recipient can choose when they want to deal with the files (especially for those people using a dial-up connection to the Internet). And you don't have to worry about an e-mail application properly decoding the files.

NOTE

For some file types, you can preview the file before you download it. When this is possible, the Preview icon will appear in the Preview column.

You can also access someone's Public folder by following these steps:

  1. From the Finder, choose Connect to Server (or press [image] +K).

  2. In the Connect to Server dialog box, enter http://idisk.mac.com/membername/Public, where membername is the name of the .Mac account.

  3. Click Connect (or press Return). If the folder is not password-protected, the Public folder for that .Mac account will appear on your desktop and you can work with it as it is configured. For example, if it is Read-only, you will be able to copy files from it to your Mac, but you won't be able to place any files in the folder.

  4. If the Public folder is password-protected, you will need to enter the member name and password in the resulting dialog box. If you do this correctly, the Public folder for that .Mac account will appear on your Mac and you will be able to work with it.

    NOTE

    Users of Mac OS 9 or Windows computers can also mount a .Mac Public folder, but the steps aren't quite as simple because access to .Mac is not integrated into those operating systems. To learn how to do this, see the iDisk page on the .Mac Web site.
Upgrading Your iDisk

You might need to have more space available than the 100MB that is provided as part of a standard .Mac account. In fact, if you want to create a Web site with lots of movies, music, and photos on it, 100MB might not be enough for you. If you will be using the .Mac backup application to back up your data, you will definitely want to obtain more iDisk space. You can purchase additional storage space for your iDisk. At the moment, the additional space goes for $0.30/MB per year (so, if you want to add 300MB of space, your cost is $100 per year). This is actually quite comparable to other hosting services for which you have to pay, especially considering how many services you get with .Mac.

To add more space to your iDisk, go to the iDisk page and click the Upgrade now button. Follow the onscreen instructions to add more space to your iDisk.

NOTE

You can also upgrade other aspects of your .Mac account. You can add additional e-mail accounts or increase the amount of e-mail storage space you have for your .Mac e-mail account.

Creating a .Mac Web Site

As you saw in the previous section, you can easily create a Web page using .Mac. However, you can just as easily create an entire Web site using the HomePage tools.

There are two basic ways to use .Mac to publish your Web site. The first is to use the HomePage templates to build basic Web pages. You add content to these basic pages by placing files in the related folders on your iDisk. The second, and more flexible, way is to add your own Web site files to the Sites folder on your iDisk to publish it. For example, you can create your Web site using your favorite tools, such as Adobe's GoLive, and then post those files in the Sites folder on your iDisk. Apple's .Mac server will take care of serving the site that you upload to the Internet.

Creating Your Web Site Using the HomePage Templates

When you build a Web site using the Homepage templates, you actually can create a set of sites and place different pages on each site. People can access each site directly or you can provide a site menu to help them navigate around your sites.

To build a Web site using the HomePage templates, you first create some pages. Then you can add sites, and you add each page to each site, one page at time. When you choose a page to add to your site, you choose a template (called a theme) for that page. Then, you select the contents for the page, edit it as needed, and publish it. You can also choose the start page for your site, which is the first page that a visitor to your site will see (more commonly called the Home page).

You can use templates to add any of the following pages to your site:

  • Photo Album I bet that you can guess what you store on these pages.

  • iMovies You can serve iMovies you create so that others can watch them over the Web.

  • Résumé You can create a résumé to land that next big job.

  • Newsletter These pages are formatted as personal newsletters.

  • Baby Use these pages to make a grandparent's day.

  • Education These pages are designed for those involved in education. The template pages include pages for school events, a school album, teacher information, and so on.

  • Invite You can use these pages to create custom Web invitations.

  • File Sharing As you have already seen, this page presents the files in your Public folder for easy downloading.

  • Site menu These pages help you create a menu so that visitors can explore your sites by clicking links.

To learn how to create photos to share over the Web, see Chapter 15, "Creating and Editing Digital Images," p. 403.

To learn how to create movies to share over the Web, see Chapter 18, "Making Digital Movie Magic with iMovie," p. 535.

Before you get started adding pages to your site, decide what kinds of pages you want to have on your site or what kinds of sites you want to include. Add the files for each page to the appropriate folder on your iDisk. For example, if you are going to have a Movie page, add your movie files to the Movies folder. Add photos you want to post by placing the files in the Pictures folder, and so on, until you have added the content you want to have on your site.

The process to add each type of page is quite similar. You can create pages based on any of the available templates by following these steps:

  1. Move to the .Mac Web page.

  2. Click the HomePage tab. You will see the HomePage page (see Figure 14.8). This page contains the tools you need to build and edit your site. In the upper part of the window, you see all the sites and pages that are currently part of your site. You will also see the URL to your site. In the center part of the window, you will see the tools you use to create pages.

    Figure 14.8. The HomePage Web page enables you to build your own Web site quickly and easily; so far, my Web site contains only one set of pages (called a site), and that set contains only one page (called Site Menu).

    TIP

    The page marked with an asterisk is the Start Page—your Home page—that is the first page people will see when they access your Web site.

  3. In the Create A Page area, click the button for the type of page you want to create (for example, iMovies to create a movie page). You will see the various themes (templates) that are available for the type of page you selected.

  4. Click the template you want to use.

  5. Next, you move to the page that enables you to edit the content of the page. Usually, this means the title of the page and a description of its contents. Click the Edit button and the text fields will become editable.

  6. Edit the text that will appear on your page and click the Apply Text button (see Figure 14.9).

    Figure 14.9. Here I have changed the name of this iMovie page to be "Brad's Movie Page."

  7. Click the Choose button and select the files you want to appear on the page. For example, if you are creating a movie page, click Choose, select a movie from your Movies folder, and then click Apply to add the movie to the page. Other templates present these controls in slightly different formats, but they all work similarly—for example, for a Photo Album page, you choose the folder in which the images that will be stored on it are located.

  8. Click the Preview button to see how your page will look.

  9. If you need to make changes, click the Edit button.

  10. When you are done with the page, click Publish. The Web page you created is added to your site and you see its URL.

  11. Click the URL to visit your new page (see Figure 14.10).

    Figure 14.10. An example of a Web page that offers some movie entertainment; using .Mac, I was able to create this page in just a few minutes (and most of that was the time required to upload the movie file into the Movies folder on my iDisk).

Continue adding pages to your site until it contains all you want it to. When you are done, you will see all the pages on your site in the upper-left corner of the HomePage window.

You can also create additional sites and then add pages to those sites using the same process. In .Mac lingo, these additional sites are called groups, meaning that you can collect a set of pages and place them into groups.

To create another group on your site, carry out the following steps:

  1. On the HomePage page, click the arrow next to Add another site. You will move to the Create a site page.

  2. Enter the name of the site you are creating in the Site Name field.

  3. If you want a password to be required for someone to be able to view your site, check the "On" check box and enter the password in the Password field.

  4. Click Create Site. You will return to the HomePage page and will see the new site you have created. The HomePage page will now contain boxes for your sites and the pages on those sites.

  5. To see the pages included in a group, select the group on the Sites pane and its pages will appear in the Pages pane. A preview will appear in the third column on the screen (see Figure 14.11).

    Figure 14.11. My Web site now includes two groups of pages: one is called "Book_Site" and the other is the default group that is called "bradmacosx."

The URL for the Web site you create is http://homepage.mac.com/yourmembername/. (Don't include the period shown in this URL—that is only to please my editors!)

When someone visits this URL, they will see the page you designated as the Start Page. They can use the links on this page to move to the other pages on your Web site.

You can move directly to a specific page using the URL for that page. For example, if you create an iMovie page, the URL for that page will be http://homepage.mac.com/yourmembername/iMovieTheater.html. As you add more pages of each type, the names are differentiated by sequential numbers, as in iMovieTheater1, iMovieTheater2, and so on.

Creating Web sites using HomePage is easy and powerful. Following are some additional tips for your consideration:

  • Set the Home page for each site (called the Start Page in .Mac lingo) for your Web site by dragging the page you want to use to the top of the Pages list.

  • The Home site is always the one with your member name as its URL. Any other sites you create will have URLs based on this one. For example, if you create a site called Book_Information, its URL will be http://homepage.mac.com/membername/Book_Information, where membername is your membername.

  • To add more pages to a site, select that site on the Sites list and click the Add button under the Pages list.

  • To add more sites, click the Add button under the Sites list.

  • You can delete sites or pages by selecting what you want to delete and clicking Delete.

  • Password-protect any sites that contain information you want to limit access to.

  • Use site menu pages to organize your site and enable visitors to move around using links. You can also place images on site menu pages as a preview of the pages that are linked to the site menu page.

  • To place a counter on a page, use the "Show" check box next to the counter icon (a box with a zero in it) that becomes available when you edit the page. This counter counts the number of visits to that page.

  • Use the "Show" check box next to the Send me a message icon to place an e-mail link on a page. Visitors can click this link to send an e-mail to your .Mac e-mail address.

Creating Your Web Site by Adding Your Own Pages to the Sites Folder

Although you can quickly and easily create a basic Web site using the .Mac templates and tools, you are somewhat limited in what you can do. The available templates might or might not be suitable for the site you want to create. Even if you want to do more than you can with the .Mac Web page templates, .Mac is still valuable because you can use .Mac to host any Web site you create using any other Web site editing tools, such as Adobe's GoLive or Macromedia's Dreamweaver. In this scenario, .Mac acts just like any other Web hosting service you might use.

The general process to get your customized Web site on the .Mac is the following:

  1. Create your Web site using the tools you prefer.

    To learn about some excellent Web site creation tools, see "Mac OS X to the Max: Web Creation Software," p. 398.

    NOTE

    Name the Home page of your site index.html. This ensures that a viewer will be taken to the right start page for your site when they move to its URL.

  2. Test the site by accessing it while it is stored on your Mac. You can test a Web site by opening it from within a Web browser. For example, open your site using Internet Explorer by choosing File, Open. Then, maneuver to the Home page for your site and open it. The site will work just as it will after you post it on your .Mac Web site (except that it will be a lot faster, of course). You should test your site in various browsers and operating systems to be sure that your site can be viewed properly.

  3. Fix any problems you find.

  4. When your site is ready to post, copy all of its files and folders into the Sites folder on your iDisk.

  5. Test your site again by accessing it over the Net.

To access the Web site in your Sites folder, use the following URL: http://homepage.mac.com/yourmembername/. (For this to work, you must have named the Home page for the site index.html.)

When you move to the site, you will see the page you named index.html (see Figure 14.12).

Figure 14.12. I created this site on my Mac and uploaded it to the Sites folder on my iDisk.

The Web site you store in the Sites folder does not get integrated into a .Mac Web site that you created using the .Mac template. In fact, any pages that you create using the .Mac templates will not be accessible after you copy your own site into the Sites folder because your custom site replaces any HomePage sites you have created.

Using Other Hosting Services to Publish a Web Site

Thousands of Web hosting services are available for you to use. All of them work similarly to .Mac; you first create your Web site and then upload all the files onto the hosting service's servers. As with the .Mac, the hosting service maintains all the hardware and software needed to serve your site to the Web.

Unlike .Mac, many hosting sites are free or charge only a minimal fee. Some hosting services offer more than just Web serving, including domain name registration, e-mail, FTP, and other services. Hosting services that offer these additional services are usually fee-based. Such fees usually depend on the size of your site and how much traffic it will be generating.

To learn about domain name registration, see "Registering Your Domain," p. 392.

NOTE

You might wonder why companies would offer hosting services free. Most free hosting services generate income by including advertising on the sites that they host. When someone views your Web site, they will also see whatever advertising the hosting service has been able to sell. You usually don't get any say in the sorts of ads that appear on the sites, so you should investigate this before you start using a free site.

If you want to explore the hosting services that are available, develop answers to the following questions:

  • How large is your site? Many hosting services limit the amount of storage space you have (such as the .Mac 100MB limit) or charge you additional fees for larger sites (again, like .Mac).

  • Do you want a more specific URL for your site? If you want your site to have a more specific URL, such as www.yourname.com, you need to register a domain name for that site. Many hosting services will take care of this for you. Most free sites provide the same domain and your page is accessed via a path or document name (such as a .Mac Web address that looks like homepage.mac.com/yourmembername).

  • How much traffic do you expect to generate? Many hosting services limit the total amount of data transferred across your site. Some for-fee companies might allow you to have as much traffic as you can generate, whereas with others, you might have to pay additional fees if the traffic goes over the maximum allowed in your service agreement.

  • What is the purpose of your site? Some hosting sites, especially the free ones, will not permit you to conduct business using their free sites. There are, however, many hosting services that specialize in commercial sites and offer many tools to help you transact business across the Net.

  • What is the nature of the information on your site? Many hosting services have specific guidelines about what is allowed on a site that they host. Make sure that the material you intend to post on your site does not violate these guidelines.

  • What software do you use to create your site? Different Web creation software offers different tools and creates pages in slightly different ways. Some hosting services are optimized for particular Web-creation applications.

  • How much information about your site will you want? Some services offer information about the traffic that comes across your site (such as the number of hits on it), whereas others (mostly the free services) offer little to no feedback to you.

After you have answered these questions for yourself, you can find many different hosting services by doing a quick search on the Web. After you find a hosting service, you can create an account with it (you might also need to pay for it and provide additional information depending on the services you are getting). When you have an account, most hosting services work similarly to .Mac.

NOTE

One of the nice things about .Mac is that it is so easy to post the files for your site to your iDisk. Many services require that you use FTP software to post your files, and sometimes they even require specific FTP applications to be used. Typically, the required applications are shareware or freeware, so it usually isn't a big deal. However, if you try to use the wrong FTP application, you can have problems.


Using Mac OS X to Serve Web Pages

For most Mac users, a hosting service is the way to go. Hosting services handle the hard work of maintaining the hardware and software that is needed to serve your site to the Web. A hosting service must also deal with all the hacking to which most Web sites are subjected. A hosting service enables you to concentrate on your Web site rather than the Web server that provides it to the Web. Additionally, you can get many other services that make your Web site even more powerful (such as domain name registration).

However, there might be situations in which you want to be your own hosting service. If you have a site that will be accessed in a limited fashion by people outside of your local network, hosting your own site can be an easy and effective way to share information. Also, you can easily host a site that will be accessed through your local intranet.

One of the great things about Mac OS X being based on Unix is that many of the tools available for Unix will work with it as well. And when it comes to the Internet, most of the "back end" runs on Unix, so there are many useful tools available.

Even better news is that Mac OS X includes very powerful and sophisticated Web server software—Apache. This software is widely used across the Internet to serve Web pages, and Mac OS X users can take full advantage of it "out of the box." Although Apache is a Unix application, you can do the basic tasks of serving a Web site without messing around with text commands. Of course, to really customize and master Apache, you do need to get your hands into the command line. However, you can get a site up and running without ever interacting directly with Apache.

Establishing and maintaining a Web server is a complex and challenging task. And explaining all the details associated with hosting a Web site is beyond the scope of this book. However, in this section, you will learn the basics of hosting a Web site on your Mac, and you will see how easy it is to get started doing so. From there, you'll see pointers to more information so that you can take your Web hosting to the next level.

CAUTION

If you plan to have a very active Web site with heavy traffic, you are going to need a dedicated machine to act as a Web server. In fact, if you want to be serious about hosting a Web site, you are foolish to use your "production" Mac. Bad things can happen to Web servers, so you should never host a Web site from a machine that you also use to do work. (However, this is feasible if your Web site will be accessed only by a few people and will have little traffic.) The biggest threat to a Web server is the hackers who love to break into such servers and wreak havoc. Because your Mac should be directly connected to the Internet to be able to serve a site, it will be vulnerable to attack. If you use your production machine to host Web pages, you are opening yourself up for trouble. This is a prime advantage of using a hosting service because that service has to deal with the security of its hardware and software. There is no direct link between your Web site and your production Mac.

The general process for using for your Mac to host a Web site is the following:

  1. Create your Web site using any tools you prefer.

  2. Test it to make sure that it works.

  3. Register your domain.

  4. Move the files for your Web site to the appropriate location on your Mac.

  5. Start the Web server.

  6. Monitor your site to ensure that it has adequate performance and is available 24 hours, seven days per week.

For information on some Web creation software, see "Mac OS X to the Max: Web Creation Software," p. 398.

To host a Web site, you need to have the following:

  • A powerful Mac with a large amount of RAM, preferably a dedicated machine that is used for no other purpose. A busy Web site will generate a great deal of activity on the Web server. Don't try to skimp by on a low-end machine or your Web site might be a big flop.

  • A Web server application. Because you are using Mac OS X, you have this one (Apache is built in).

  • A registered domain name. To make it easier for people to find and use your site, you need to register its domain name.

    NOTE

    If you are hosting a site only for a local intranet, you don't have to register a domain name. You can use the IP address of the machine just as well.

  • A direct, high-bandwidth Internet connection. Because the point of having a Web site is so that people can access it, you need to have an "always-on" connection to the Internet. You also need to have high bandwidth to handle all the data that will be moving among many users at the same time. You need to have a fast cable modem for a site on which you don't expect that much activity. You need a T-1 or partial T-1 line for a site on which you expect to have a fair amount of activity.

    NOTE

    Again, you don't need this if you are hosting a site on an intranet. You just need the network connection and an IP address for your machine.

  • Although this goes hand in hand with the previous point, you need to have a permanent IP for the machine from which you will be hosting the site. (After all, how can people find your site if its address changes?) If you can use a static IP address, it will be provided to you by your access provider when you obtain your Net access, such as when you use a T-1 or fractional T-1 connection.

    To learn about connecting your Mac to the Net with a high-bandwidth connection, see Chapter 10, "Connecting Your Mac to the Internet," p. 233.

  • A security system that will protect the Web server. Hackers will try to crack your site so you need to install and use tools to protect it.

Hosting a serious Web site is resource- and labor-intensive, as you can see from this list. (A hosting service looks better and better, doesn't it?)

NOTE

If you try to host a site from a "consumer" ISP, make sure that your license agreement does not prohibit such activity. For example, many cable modem service providers explicitly prohibit you from hosting a Web site through your Internet access account.

Registering Your Domain

Web sites are designed for people, and people don't like to deal with IP addresses. They much prefer working in letters and, even better, words that make some sort of sense to them. Because IP addresses are actually four series of numbers separated by periods, the two have a hard time getting together. That is where the Domain Name Service (DNS) comes in. Basically, the DNS relates text that people use to the numbers that computers use. When someone enters a URL, the DNS server that they use translates the text that they type into the literal IP address so that they can move to that address.

In order for this to happen for your site, you must enter the domain you want to use and the IP address it is associated with. This process is called registering the domain name.

There are various ways to register your domain name (the easiest is to use a hosting service that also offers domain name registration). You can search the Web to find sites at which you can register a domain name. The fees you will pay vary depending on the length of time for which you register the name and the other services that are included.

NOTE

Although many companies will register your name free, you usually have to pay the fee associated with the registration. (A fee is charged for each domain name so someone has to pay that fee.) Some companies will charge you to register the name and you will also have to pay the name fee. And some companies will subsidize the fees if you use other services. Does this sound confusing to you? If so, join the club. There are as many fee structures as there are companies doing this, so you just have to make sure that you know what you are signing up for.

When you search for domain name registration sites, you will find many of them. And most offer similar deals. For example, I could register a name for about $20/year. Some even include additional services in this agreement, such as e-mail forwarding.

NOTE

E-mail forwarding enables e-mail to your domain name to come to your current e-mail address. For example, if I registered the domain mymacrocks.com, I could have e-mail addressed to brad@mymacrocks.com delivered to any address that I prefer.

CAUTION

Be sure that you carefully read all domain name registration agreements before you finalize them. There are many reputable companies out there, but there are also many that are not so reputable.

Put some thought into the domain you register because that is how people will find your site. Avoid really long names, no matter how clever you think they are. Simple names are better.

Configuring Your Mac to Serve a Web Site

Each user account on your Mac can serve its own Web site; this means that you can serve many Web sites from your Mac at the same time. To provide a Web site for a user's account, you place the files for that site in the Sites folder that is contained in that user's Home directory.

NOTE

Each user's Sites folder contains an index.html file that provides a default Home page for that user's Web site. You replace this file with your own index.html file to serve your specific site (you can also modify the default index page if you want).

There is also an overall Web site for the Mac itself. You should also make sure that you add a Web site for the Mac so that when people move to the Home page for your machine, they will see a meaningful site. (You will learn about that shortly.)

NOTE

A default index.html page is stored in each Sites folder. This page contains information about how Web sharing works and is worth reading if you are new to the topic.

After you have created your site, registered a domain name, and configured your Mac for the connection you are using, the steps to get it online are pretty simple:

  1. Place the files for the site you want to post in the Sites folder of the user account you want to use. For example, if the username under which you want to post a site is bmmiser, open the Home directory for that user and then copy the Web site into the Sites folder (see Figure 14.13).

    Figure 14.13. When a Web page is stored in a user's Sites folder, it can be served to an intranet or to the Internet.

    As with the .Mac site, make sure that the name of your Home page is index.html. You can organize the other files and folders according to the scheme used by your Web-creation application.

    TIP

    You can test any user's Web site without actually adding Web pages to the Sites folder. Because the index.html page is part of each Sites folder, that page is served up for every account. So if you move to the URL for a user account on your machine, you should see the Mac OS X Personal Web Sharing page. If you do, that means Web sharing is working. All you need to do is replace the default content with your content.

  2. Open the System Preferences utility and then open the Sharing pane.

  3. On the Services tab, check the "Personal Web Sharing" check box. In the Network Identity area (located at the bottom of the Sharing pane), you will see the IP address of your Mac. You build the URL for your site based on either of these. For example, if your IP address is 12.34.567.89, the basic URL for your site is http://12.34.567.89/. Similarly, if the registered domain name for your Mac is agreatmac.com, the URL to your machine is also http://www.agreatmac.com/. If you use the IP address to access the site, it will be resolved to the host name and that is what appears in the address bar of the browser.

    The URL to a specific user's Web site on your Mac is the URL for the Mac itself with a ~ (tilde character) followed by the short version of the username appended to it. For example, if the short name for my user account is bmmiser, the URL to my Web site would be http://12.34.567.89/~bmmiser/ or http://www.agreatmac.com/~bmmiser/.

    You will also see the URL to the personal Web sharing pages at the bottom of the window.

    NOTE

    The tilde (~) character in the URL indicates that the address points to that user's Home directory, in which the Sites folder is stored. If you leave this out of the URL, the user's site won't be found.

    You need to include the end slash (/) in the URL as well.

  4. Close System Preferences.

  5. Use another machine to access the URL for your Web site.

If you see the site, everything is in great shape and your pages are "out there."

When you attempt to move to a user's Web site, but it can't be found even though the root-level site can be displayed, see "You Can Access Your Root-Level or Other Web Sites, but Not the Site for a Particular User" in the Troubleshooting section at the end of this chapter.

TIP

The concept that each user who has an account on your Mac can have a unique Web site opens many possibilities for you. You can create user accounts for the sole purpose of providing specific Web sites. For example, if I wanted to host a Web site for this book, I could create a user account called SEUsing MacOSX with the short name usingosx. I could then place the Web site in the Sites folder for this account and the site would be published.

If your site isn't found at all, see "Your Web Site Can't Be Found" in the Troubleshooting section at the end of this chapter.

If instead of your Web site, you see an Apache page that says that the Web server is working, see "The Web Server Is Working, but You Don't See Your Site" in the Troubleshooting section at the end of this chapter.

If you are going to be hosting any Web pages on your Mac, you should also configure the root-level Web site for your Mac. This site will appear if someone accesses the Web site on your Mac without including a specific user's account in the URL. For example, if someone enters only http://12.34.567.89/, they would see the root-level Web page.

TIP

Consider creating a Web page that provides URL links to all the Web sites that are hosted on your Mac and posting that at the root level. This would make it easy for a visitor to get to any of the sites on your machine.

NOTE

If you open the directory located at Mac OS X/Library/WebServer/Documents/, where Mac OS X is the name of your Mac OS X startup volume, you will see many index pages. Each of these has an abbreviation for the language for which that page is applicable at the end of its filename (for example, the file index.html.en is the English version of the page). The version that Apache serves depends on how your machine is configured.

To post a root-level Web page, do the following:

  1. Create the Web site that you want to be at the root level of your machine.

  2. Name the Home page for this site.

  3. Place the files and folders for the site in the following location: Mac OS X/Library/WebServer/Documents/, where Mac OS X is the name of your Mac OS X startup volume. Make sure that the index file is in this directory.

By default, a test page is placed at this location so that when you move to your root level, you can tell that the Web server is working (see Figure 14.14). This page also contains links to information about Apache.

Figure 14.14. This page lets you know that Apache is up and working on your Mac.

NOTE

The Web server continues to run as long as your Mac is turned on and the Web site for each user account is served continuously, even if no one is logged in to the system. You can stop the server by shutting the Mac down or by turning Web sharing off using the Sharing pane of the System Preferences utility.

Going Further with Apache

The information in this section has barely scratched the surface of Apache specifically and Web serving in general. However, there is a great deal of information on both topics available within Mac OS X as well as on the Net.

To access the Apache documentation included with Mac OS X, open the manual alias that is within the Documents folder (contained in the WebServer folder). The Apache folder will open. Open the index.html file and the Apache User Guide will open.

To find information on the Web about Apache, visit www.apache.org. There is plenty of information on this site, including some nice tutorials.

CAUTION

Before you leave this section, I must give you two more warnings.

First, make sure that you protect your Mac from attack if you intend to publish and publicize Web pages you host from it.

For information about protecting a Mac from Net attacks, see "Defending Your Mac from Net Attacks," p. 800.

CAUTION

Second, some ISPs have limitations on what you can do from particular types of accounts. For example, the license agreement you signed with your ISP might preclude you from hosting Web sites using that account. Make sure that you understand any such limitations on your ISP account before you use it to host a Web site.

TIP

You can also serve an FTP site from your Mac. On the Sharing pane, check the "FTP access" check box. When you use ftp instead of http in the URLs for your machine, you will move to the FTP site instead of the Web site.


Troubleshooting

The .Mac Plug-In Cannot Be Found

When I attempt to access .Mac services, I see a message stating that the software needed for .Mac cannot be found.

Under Mac OS X, access to .Mac is provided through the .Mac plug-in that is located in the Internet Plug-Ins folder, which is in the Library folder (in the Mac OS X startup volume). If something happens to this plug-in, you won't be able to use .Mac. To solve this problem, use the Mac OS X Installer to reinstall the plug-in.

For help working with the Mac OS X Installer, see Appendix A, "Installing and Maintaining Mac OS X," p. 835.

No Member Sign-In Area Appears

When I log on to the .Mac Web site, the Member sign-in area does not appear; instead I see a message saying that the .Mac installer software must be downloaded and installed.

This situation occurs under Mac OS X when the .Mac software cannot be found on your Mac. This can happen when you update the System folder or when some other system change prevents .Mac from being able to find your information. When this happens, you will automatically be moved to the .Mac Installer download page. Follow the onscreen instructions to download the installer. Run the installer. When the installation is complete, move back to the .Mac Web site and you will see the Member sign-in area in which you can log in to your .Mac account.

Your Web Site Can't Be Found

When I try to move to my Web site's URL, I see a message stating that the site can't be found.

For some reason, your site isn't even making it onto the Net. There are many possible reasons for this, and figuring out which ones are causing your problems can be tough. Start with the most basic and work from there. First, check to make sure that Web Sharing is turned on. Second, double-check that the URL you are entering is the correct one. Third, check the Net connection of the Web server (make sure that it can access the Net). Fourth, ensure that you don't have any firewall or security software or hardware that prevents other computers from connecting to the Web server. If all of these seem to be right, you will have to explore more functions of Apache to make sure that it is working properly. Use the online information that comes with Mac OS X to do so.

The Web Server Is Working, but You Don't See Your Site

When I move to my Web site's URL, I see a page that says that the Web server is working, but I don't see the Web site that I created.

This happens when the index site for your site can't be found. The Apache installation includes a test page so that something will appear when the Web server is operating properly. Your challenge is to figure out why your site is not being served. First, check to make sure that your site's files are in the proper location. Second, make sure that the Home page for your site is named index.html. Third, make sure that the index file is a valid HTML file. When the Web server is working and these conditions are correct, you will see the appropriate Web page.

You Can Access Your Root-Level or Other Web Sites, but Not the Site for a Particular User

When I attempt to move to a specific user's Web site, I get a "site not found" error even though I can access the root-level Web site for my Mac.

Whenever you get a "site not found" error, check the root-level Web site for the machine as well as other Web sites on your Mac. To check the root-level site for your Mac, leave out the portion of the URL related to a specific user account (for example, use http://12.34.567.89/ without the username appended to it). If this works, you know that the problem is related to the specific user's site. Make sure that the tilde character (~) appears before the user's short name and the slash (/) appears after it. If the site is being served (you can access the root-level page) and the URL is correct (for example, http://12.34.567.89/~bmmiser/ ), there might be a problem with the user's account configuration. Sometimes, the short version of the username can cause problems for the Web server. Change the short version of the user's username and then try again. (Use the Accounts pane of the System Preferences utility.)


Mac OS X to the Max: Web Creation Software

Unless you create Web pages using only the templates provided by the hosting service you use, you need some sort of application to create the pages and site that you are going to put on the Net. There are many options, each with its own advantages and disadvantages. Some of the options you have are the following:

  • Adobe GoLive This a sophisticated Web page design and management application that enables you to do just about anything you would ever need to. You can use its graphical tools to create code or punch the code in yourself. It also integrates well with the other Adobe applications (which you are likely to use when creating your pages). If you use other Adobe applications, GoLive can be an especially good choice because you will already be familiar with most of its interface conventions. Download a demo and find out more about it at www.adobe.com/products/golive/main.html.

  • Macromedia Dreamweaver This is another high-end Web development package and competes directly with GoLive. Both applications are quite popular, so you might want to explore both to see which you prefer. They offer similar sets of tools but completely different interfaces so which one you will end up using is largely personal preference. To download a demo and learn more about Dreamweaver, visit www.macromedia.com/software/dreamweaver/.

  • Bare Bones Software BBEdit Unlike the first two in this list, BBEdit approaches Web development from its roots. This application is primarily a text editor that has grown into a Web development tool. It is designed for those who like to hand-code their sites, and who believe that such sites are better because the underlying code is cleaner than the code produced by tools that automate the process. You can also use the application to do word processing. Check it out at www.barebones.com/products/bbedit.html.

  • Microsoft Office The ubiquitous Office suite also can save files as HTML. Although its tools are more limited than some of the other options, you probably already have a copy of Office. And the sites you can create with Office are certainly passable (although purists claim that the code generated by Office is messy). You can learn more at www.microsoft.com/mac/.

  • TextEdit Yes, you can create Web pages by manually coding all the HTML yourself using a basic text editor. But why would you want to?

  • Just about any other application Many applications enable you to save your documents as HTML files. The results are variable; sometimes these files work well and sometimes they are a complete mess. However, check your favorite application to see how it does. Creating Web pages might be as easy as choosing Save As.


Part III: Mac OS X: Living the Digital Lifestyle

15 Creating and Editing Digital Images

16 Listening to and Working with Music

17 Viewing, Editing, and Creating QuickTime Movies

18 Making Digital Movie Magic with iMovie

19 Watching and Creating DVD Movies


Chapter 15. Creating and Editing Digital Images

In this chapter

Capturing Images for the Digital Lifestyle

Understanding Image Resolution

Understanding Image Types

Understanding Color Space and Color Palettes

Capturing Images Using a Digital Camera

Capturing Digital Images Using a Scanner

Capturing Screen Images

Using iPhoto to Master Digital Images

Working with Other Digital Image Tools

Troubleshooting

Mac OS X to the Max: Image File Formats


Capturing Images for the Digital Lifestyle

Images are a huge part of the digital lifestyle. From the snapshots you took on your last vacation to that "killer" graphic extolling the virtues of your product for your Web site, digital images are an important part of what you do on your Mac.

The Mac has long been known as the computer platform of choice for many digital artists. With Mac OS X, the place of the Mac in the hearts and minds of digital artists is ensured. And, just as important, Mac OS X makes it possible for those of us who might not be quite so artistic to create and use excellent digital images.

The situations for which you might create digital images are literally endless. To give you a few ideas, consider the following list:

  • Digital photo albums that make it easy to organize and access all of your photos (unlike all the "hard copy" photos stacked around your house)

  • Sophisticated slide shows that include music and special effects

  • Images of all kinds to enhance your Web site

  • Images to include in the movies you create

  • Desktop images to enhance your working environment

  • Images to include in work projects (proposals, reports, and so on)

To learn how to quickly create a Web page to display your digital photos, see "Creating a .Mac Web Site," p. 381.

To learn how to use digital images in your digital movies, see "Creating and Editing a Movie with QuickTime Pro," p. 518, and "Building a Basic Video Track," p. 539.

To learn how to use QuickTime to create slide shows with your images, see "Creating a QuickTime Slide Show," p. 523.

To learn how to use your favorite images on your desktop, see "Customizing the Mac OS X Desktop," p. 99.

With Mac OS X, there are several ways to create or obtain digital images for your use. These include the following:

  • Use a graphics application to create an image.

  • Use a digital camera to capture an image.

  • Use a scanner to create a digital image from a hard-copy version.

  • Capture a still image from a digital movie.

  • Take a screenshot of your desktop to use in documents or when you are trying to get help with your Mac.

  • Download an image from the Web.

  • Purchase an image from a stock photo CD collection or Web site.

To learn how to capture images with a digital camera, see "Capturing Images Using a Digital Camera," p. 410.

To learn how to capture images with a scanner, see "Capturing Digital Images Using a Scanner," p. 422.

To learn how to capture a screenshot, see "Capturing Screen Images with Grab," p. 424.

Images and Copyrights

Before you use any image you didn't create, you need to be sure that you aren't violating anyone's copyright. If an image is copyrighted, you must have legal permission to use that image. Most copyrights allow you to use images for your own personal use, but distribution of such images is strictly prohibited. Not only is using someone else's images without their permission the wrong thing to do, but you can get into serious trouble if you are caught doing so.

If an image you would like to use is copyrighted, contact the copyright holder for permission to use the image. Sometimes you will be able to use the image for free (for example, if you are creating a not-for-profit project), but often you will be required to pay a fee to license the image.

The best thing about Mac OS X and digital images is Apple's iPhoto application. iPhoto is simply amazing; you can use it to capture, organize, view, print, and be creative with all types of digital images. In fact, iPhoto is so amazing, people have switched to Mac OS X just because of iPhoto! (iPhoto is available only for Mac OS X.) iPhoto empowers you to make the most of digital images for all kinds of purposes, from your own personal snapshots to images for your projects. It might be the only digital imaging application you ever need.


Understanding Image Resolution

One of the most important concepts you need to understand when working with digital images is the resolution with which an image is captured or created and the resolution at which an image will be displayed or used. The resolution of the images you use is critical to their quality and suitability to the purposes you have in mind.

Resolution can be a difficult topic to grasp because the same term is used in different contexts. To understand the resolution you are working with, you need to understand the area you are in (for example, on the desktop versus working with a printer). Differences in resolution on different devices (scanners, cameras, printers, monitors, and even on different operating systems) greatly impacts how specific images look on those devices.

Basically, resolution is a measure of the number of dots a device can work with (a device means a monitor, image capturing, or output device). On a computer monitor, scanner, digital camera, or other digital imaging device, these dots are called picture elements, or more commonly, pixels. On printers and other output devices, dots are called, well, dots.

The confusing part of this is that a pixel has no defined physical size. A pixel on one device can appear larger or smaller than a pixel on another device. This is because every device works with its own range of number of pixels that it can display. Some devices display many pixels in a given area, whereas others display fewer. And almost all devices enable you to change the number of pixels that they use (up to some maximum number of pixels—that is, the maximum resolution of the device).

For a monitor or image-capturing device, resolution is measured by the total number of pixels that can be displayed or captured. This is indicated by the number of pixels that can be displayed or captured in both the horizontal direction and the vertical direction. For example, a common monitor resolution is 800 pixels in the horizontal direction by 600 pixels in the vertical direction—in shorthand, this is written as 800x600.

Understanding that many different resolutions are used is important if you prepare images that will be viewed by other people. For example, if you design a graphic assuming that your audience has a 21-inch monitor set to 1,280x960, users who have a 15-inch monitor set to use 800x600 won't be able to see all of your image at its full magnification because you use a larger display image than they are capable of viewing.

The resolution at which certain types of images are captured also greatly affects the ability to scale or resize those images onscreen. The resolution at which a bitmap image is captured limits how much that image can be scaled onscreen and still look sharp. For example, if you capture a screenshot (which has a low resolution of 72dpi), in some cases, that image will look sharp at the size at which it was captured, but when you magnify the image, it will become pixelated, which means that its edges will have the blocky appearance that you have no doubt seen. This happens because the image contains only so much information (a total number of pixels). When the Mac attempts to add information (pixels) to it, it can't fill them in smoothly and so the image begins to get blocky. However, the same images will look fine when they are made smaller (the Mac doesn't have to make up and then add information; it merely has to discard some of the pixels in the image).

The last general item you need to understand about resolution is that every device has a maximum resolution at which it can work. For example, a 21-inch monitor might be able to display a resolution up to 1,280x1,024, but a smaller monitor might be able to display only up to a resolution of 1,024x768. Similarly, one digital camera might only be able to capture images with a resolution of up to 640x460 pixels. Another camera that can capture images with a resolution of 1,024x768 will result in more detailed images because it can capture more information—more pixels.

Every graphic you create is developed in a specific resolution, which is not dependent on the monitor's resolution. The resolution of an image is sometimes measured in pixels per square inch rather than as a horizontal and vertical measurement, as is the case for a monitor's resolution. In a way, this measurement is fictitious: it's easy to resize an image by changing its resolution, or to change an image's resolution by changing its size, without otherwise affecting the contents of the image. It's best to think of image resolution as a measurement of how much information the image contains—how detailed it is, or how many pixels are used to represent a small portion (an inch) of the image.

The higher an image's resolution, the more detail the image will contain, and the better it will look regardless of the size at which it is viewed. For example, an image that has 120 pixels per inch will look better when a user zooms in on part of it than an image that was created at a resolution of 72 pixels per inch because it contains more information and thus more detail.

You can use Table 15.1 as a rough guide for the proper resolution to use for common imaging devices. The recommendations are for images at 100% size, and do not apply to images that have been scaled in a page layout program or by other means.

Table 15.1. Suggested Image Resolutions for Various Imaging Devices
Device | Suggested Resolution
Monitor (for Web pages and onscreen presentations) | 72 pixels/inch
Laser and inkjet printers | 100–150 pixels/inch
DocuTech | 150 pixels/inch
Imagesetters and direct-to-plate presses | 300 pixels/inch


Understanding Image Types

Another thing you need to know about images on the Mac is that there are two main "families" of computer graphic applications: raster-based programs and vector-based programs. Some graphics programs, and some graphics file formats created by such programs, may not fall neatly into one family or the other, but the difference between the two is essential to understanding how a Mac represents and stores images.

Understanding Raster-Based Graphics

Raster-based graphics, also commonly called bitmap images, break down an image into a grid of pixels. Each pixel is assigned a numerical value that represents the brightness and color value of that pixel. The numerical values are used both to display the image on the Mac's monitor and to store the image on disk.

All the objects in raster-based images are part of the same image; the images are built entirely of pixels. So, if you see a line and try to select it, you won't succeed. That line is actually not a line, but a series of pixels. However, some raster-based applications enable you to use layers; layers make it possible to stack objects one on top of another so that they appear to be part of the same image, but are actually separate images "layered" on top of one another. This is good because you can edit the objects on each layer separately.

NOTE

Raster-based images are also called bitmapped images. This term relates to the fact that each specific bit of information (each dot or pixel) is "mapped" onto the image. In other words, there aren't any objects in the image, only bits of information.

Raster-based images are great for storing images that contain large amounts of detail, such as photographs, art, and 3D renderings.

NOTE

The most commonly used applications for raster-based graphics under Mac OS X are Apple's iPhoto and Adobe's Photoshop. Most other applications that are designed to edit digital photos are also raster-based.

Understanding Vector-Based Graphics

Vector-based images take a different approach to represent images electronically. Rather than representing a picture as a grid of pixels, a vector-based image represents a picture as a collection of geometric shapes and stores the image as mathematical descriptions of each shape.

Because a vector-based graphic is actually a collection of mathematical equations, it is infinitely scalable. You don't have to worry about resolution in a vector-based graphic. It depends on mathematical equations for its shape rather than containing a fixed amount of information (a specific number of pixels).

As you might expect, there is a downside to vector-based graphics, and it is a big one. Vector-based images can't handle complexity, especially complexity on the level of a photograph, very well. I'm not saying that you can't create interesting, complex artwork with vector-based images—because you can. However, creating a vector-based image that contains as much detail as a photograph would be a monumental challenge.


Understanding Color Space and Color Palettes

Another important factor in any graphic is the color used in it. The right colors can make an image sing; the wrong colors turn that song into a dirge. To produce colors that enhance your images, you need to have a good understanding of how your Mac works with color.

Your Mac uses two basic techniques to work with color. With one, your Mac specifies a color's coordinates in a color space. With the other, your Mac specifies the color's position in a fixed palette of colors.

Color Space

A color space is simply a system that uses a set of numbers to represent the gamut of possible colors. Many Mac applications use the Red Green Blue (RGB) color space, which breaks down colors into their red, green, and blue components. Another common color space is HSB, which breaks down color into Hue, Saturation, and Brightness components. Most printers use the Cyan Magenta Yellow blacK, or CMYK, color space.

The "amount" of each component (red, blue, and green, or hue, saturation, and brightness) in a color is indicated by a number that represents how much of that component is in a particular color. The number for each component can be in the range from zero to 255.

For example, in the RGB color space, "pure" red is represented as (255,0,0), as in the following:

Red = 255

Blue = 0

Green = 0

Using coordinates to specify the color of each pixel in an image enables you to choose each pixel's color from a set of more than 16 million possible colors. This system, sometimes called "true color" or "full color," yields the most natural-looking displays on a monitor, and is the color system used in all serious file formats for color printing.

Color Palettes

The extreme resource requirements of color spaces led to the development of color palettes. They solve the resource problem by using a system of abbreviations to store each pixel's color. For example, suppose an image has a palette of four colors, such as the following:

color 0 = (0,0,0) (white)

color 1 = (255,255,255) (black)

color 2 = (255,0,0) (red)

color 3 = (0,0,255) (blue)

Rather than having to store three pieces of information for the color of each pixel, your Mac has to store only one piece of data—the number of the color on the palette. This requires fewer resources than storing the numbers of the three components.

The number of colors on a palette is called its bit depth—bit depth refers to how many bits of data are required to store the color for each pixel in an image. The common bit depths and resulting number of colors are shown in Table 15.2.

Table 15.2. Bit Depth and Number of Colors
Bit Depth | Number of Colors
1 | 2
4 | 16
8 | 256
16 | 65,536
24 | 16,777,216

NOTE

The number of colors in a palette is determined by raising 2 to the number of bits required to store the data needed to define that amount of color. For example, 8-bit depth results in 256 colors (2 raised to the eighth power).

NOTE

Some graphic formats have inherent color limitations. For example, the GIF format is limited to a color depth of 256 colors (which makes it unsuitable for most photographs).

To learn more about image file formats, see "Mac OS X to the Max: Image File Formats," p. 455.

Windows PCs also use color palettes similar to the Mac's. However, the same colors will appear darker on a Windows machine than they do on a Mac. If you are designing an image that will be viewed on Windows machines also, try to make the colors a bit lighter than you might choose for images used only on the Mac.

NOTE

For both resolution and color depth, if you are developing an image that will be widely distributed (such as on a Web page), you will get a better result if you design your image for the capabilities of the lower end of your target market. For example, if you create an image at the 16-bit color depth, but the bulk of your audience can use only 8-bit color, some of your work will be lost because the viewer's computer will have to trim the number of colors down. Plus, higher bit-depth images are larger and require more time to download and to display after they are loaded on a machine.

It is always a good idea to take a look at any image you create in various resolutions and color depths to make sure that it looks okay in as many situations as possible. You should also view it on multiple platforms as well.


Capturing Images Using a Digital Camera

The age of digital photography is upon us. The increase in the quality of the images that digital cameras capture along with an equally impressive drop in their cost has made digital photography available to almost everyone. Digital cameras offer many benefits over film-based cameras, including the following:

  • No cost for each photo There is no film or development cost associated with images you capture with a digital camera. You simply download the image from the camera to your Mac. Because each shot costs you literally nothing, you might find yourself being much more liberal with the capture button than with the shutter button on a film-based camera. It is easy to delete any images that aren't what you want, and poor shots don't cost you anything. This frees you to be more creative when you shoot photos.

  • High quality The images you capture with high-resolution digital cameras are equal or superior to those you would capture with a film-based camera.

  • Customization Because the images you capture are digital, you can use an image-editing application, such as iPhoto, to customize those images in any way you can imagine. You can also easily correct flaws such as red-eye and bad background images.

  • Multiple use The power of digital images and the applications you can use to work with them enables you to use digital images in many ways. You can create digital photo albums, make slide shows, add them to your digital movies, and so on (you can even print them with nearly the quality of film images).

  • Easy transmission to others Unlike film photos that you have to copy and mail, you can easily (and instantly) provide your digital photos to just about anyone via e-mail or on the Web.

Choosing a Digital Camera

Obviously, before you can capture digital images, you need to have a digital camera. Obtaining a digital camera can be intimidating. Hundreds of models are now available, and more seem to come into the market every day. These cameras range in price from $100 to over $1,000. The vast array of features and designs that they offer can be bewildering. However, you can greatly limit the number of models from which you will want to choose by considering the factors described in the following sections.

Mac OS X Compatibility

This might seem like an obvious one, but some digital cameras do not support the Mac. And some support the Mac, but not Mac OS X. You should immediately eliminate any models that are not designed to work with Mac OS X.

If the camera you are considering supports the Picture Transfer Protocol (PTP), you can use it with Mac OS X even if its software is not Mac OS X–compatible. You can use iPhoto or Mac OS X's Image Capture application to download images from any camera that uses PTP. Make sure that you investigate this specification for models in which you are interested if their software is not compatible with Mac OS X.

iPhoto Compatibility

Because iPhoto is an ideal application to use for all aspects of working with images you capture with a digital camera (as you will learn later in this chapter), you are very likely to want to use it. To make the most of its capabilities, you should obtain a camera that is iPhoto-compatible. Fortunately, many brands and models are. To see whether the models you are considering are compatible with iPhoto, visit www.apple.com/iphoto/compatibility/.

Resolution

Resolution is the single most important factor affecting digital image quality. The higher resolution the camera has, the more pixels that it captures in each image and thus the quality of the image is higher. Unlike some devices, it is common to measure the resolution of digital cameras by the total number of pixels in their images. Usually, this is referred to in millions of pixels or megapixels. And using the shorthand 2 megapixel or 3 megapixel further simplifies this.

The resolution you want is determined by how you are going to use the resulting images. If you are going to use images only for onscreen display, such as on the Web or in onscreen slide shows, you don't need images with as high a resolution as if you were going to want to print those photos at large sizes (such as 8x10).

A general guide to the resolution of digital cameras is in Table 15.3.

Table 15.3. Resolutions of Digital Cameras for Specific Purposes
Digital Camera Resolution | Purpose
1 megapixel or less | Low-quality images that should be used only on the Web or strictly for fun.
2 megapixel | Medium-quality images that are great for all sorts of onscreen display and also can be printed at reasonable sizes with good results.
3 megapixel | High-quality images that can be used for any purpose up to the most demanding professional applications.
3 megapixel + | Anything above 3 megapixels should be considered for professional use only (unless you have plenty of money to burn).

All cameras enable you to change the resolution at which they capture images (they usually have low, medium, and high resolution settings). So, the resolution of the camera is really its maximum resolution; depending on the photos you are taking during a session, you might or might not take the highest resolution possible.

TIP

Many retail electronic sites on the Web are great places to do research on products you are considering—especially digital cameras. You can get the technical details about specific models, compare various models easily, and obtain price information instantaneously. One of the best places to look for digital cameras is at www.smalldog.com.

Memory

All those pixels that a camera captures have to be stored in some form of memory. And as with your Mac, more memory is better. In the case of a camera, having more memory available enables you to take more photos without having to download them to your Mac. Some cameras have built-in or fixed memory, but most modern cameras use some form of removable memory (some options are listed in Table 15.4). Most of these formats are used in other devices as well (such as MP3 players), so choosing a memory storage format might depend on the other devices you have.

Table 15.4. Memory Storage Options
Type | Uses
CompactFlash cards | Cameras, MP3 players, and other devices. CompactFlash cards are sturdy memory cards that come in various capacities.
SmartMedia | Cameras, MP3 players, and other devices. These cards also come in various capacities. They have been criticized for not being as robust as CompactFlash, but many digital cameras use them.
Memory sticks | This form is proprietary to Sony. The memory stick is literally a small stick that acts just like other removable media. If you have other Sony devices, this can be a good choice.
CD-R | A newer innovation in image storage used on some devices is an internal CD-R drive that stores images on a CD-R disc. This has the obvious benefit of making images easy to download and the media is quite inexpensive. However, including a CD-R mechanism in the camera makes it larger, heavier, and more sensitive to the environment and handling than RAM-based cameras.
Floppy disks | Some cameras store images on floppy disks. Because your Mac probably doesn't have a floppy drive and floppy disks can't store many images that are high resolution, this really isn't a good option.

NOTE

Decreasing the resolution of an image requires less memory to store it, so you can effectively increase the memory of a camera by capturing images at a lower resolution setting. The trade-off is that those images you capture at lower resolutions won't be as high quality as those captured at higher resolutions.

You can also swap out memory cards, which means that your camera's memory is limited only by the amount of money you can afford to spend on additional memory cards.

Price

As you might expect, higher-resolution cameras are more expensive than lower-resolution cameras. As with most electronic devices, one of your most important criteria should be the amount you can afford to spend. Although prices change so fast that it is impossible to provide specific price information in this book, there are some general guidelines about the cost of various "classes" of camera.

Generally, cameras in the 3-megapixel class cost $350 or more. These cameras are good choices if you are interested in high-quality photos for both onscreen and hard-copy use. One excellent camera in this class is the Nikon Coolpix 885 (see Figure 15.1).

Figure 15.1. Nikon Coolpix cameras have a long history of being among the best digital cameras.

Cameras in the 2-megapixel class generally cost around $250. These cameras are suitable for all onscreen work as well as most hard-copy applications.

Cameras in the 1-megapixel class can be purchased for $200 or less. These cameras are fine for most onscreen work (such as capturing photos for Web sites), but probably will not be adequate for printing your photos.

Cameras in the 4- or 5-megapixel range can be purchased for $700 or more. If you are producing professional-quality images that are used in very high-resolution devices, you might need such devices. But for most people and purposes, a 3-megapixel camera has more than enough quality.

Brand

If you have a favorite brand, you can eliminate many models from consideration. If you are open to any brand, you have more research to do. Most manufacturers of film-based cameras also make excellent digital cameras. These include Kodak, Canon, Nikon, Sony, and Olympus.

TIP

All camera manufacturers maintain Web sites on which you can get extensive information about their products. Although this information isn't exactly unbiased, it is usually very detailed. You can often see very detailed images of a camera, such as the location of its controls, its shape, and so on.

To get to these sites, just go to www.manufacturer.com. For example, to learn about Kodak cameras, go to www.kodak.com.

Features

Digital cameras offer more features than even film-based cameras do; in fact, the sheer number of features can be intimidating. Usually, you can limit the number of features you have to consider by first using the other criteria (such as iPhoto-compatibility, resolution, brand, and price) to eliminate most models from consideration. After you have a "short list" of possible models, you have to decide which features are the most important to you. You aren't likely to find a single model that offers exactly the features you want, so you are looking for the best mix of features to suit your needs.

NOTE

Some digital still-image cameras can capture video clips, and some digital video cameras can capture still images. Usually, the video capture by a still camera is of fairly low quality, but some digital video cameras can capture still images that rival the quality of still-image cameras. An example of this is the Sony DCRPC110. In addition to excellent video, it can capture megapixel still images.

Using a Digital Camera

Using a digital camera is quite similar to using a film-based camera. There are several major differences, however, which include the following:

  • Memory management Because each shot doesn't "cost" you anything, you are likely to take a lot more photos during one session than you would with a film-based camera. You need to keep an eye on the amount of memory you have available so that you don't run out before you are done taking photos. Because digital cameras use counters that work just like those in film-based cameras, this is not a hard task. Unlike film-based cameras, with most digital cameras, you can preview your photos on-the-fly and delete those you don't want. This frees up memory you can use to take more photos. Of course, if you have additional memory cards with you, you can simply pop in another card to boost the available memory.

  • Battery management Digital cameras are power hogs. They burn through batteries many times faster than their film-based counterparts, especially if you use the LCD monitor that most cameras have (which you will). When using a film-based camera, you have to think about battery replacement in terms of years. When using a digital camera, you have to think about it every time you use the camera because you will consume all the battery power in just a few shooting sessions. In fact, this is the only real disadvantage to a digital camera.

    You should use some form of rechargeable batteries in your digital camera, and you will want to have a couple of sets of them so that you can change them during a shooting session as needed. There are also ways to minimize a camera's power consumption, such as turning off its LCD monitor.

TIP

With cameras that use "standard" batteries, such as AA, you should also carry an extra set of "emergency" nonrechargeable batteries for those situations in which you run out of rechargeable batteries (and you will—usually right in the middle of a particularly important shoot). This is assuming that your camera is capable of operating on such batteries, of course.

After your images are captured, the real power of a digital camera comes into play. Unlike film-based cameras in which you have to have the film processed, you can immediately download images to your Mac and begin working with them.

Installing a Digital Camera's Software on Your Mac

If you have a camera that is compatible with iPhoto, you don't need to install any software, including the drivers and applications that came with the camera. This is because iPhoto can manage all aspects of working with that camera.

However, if your camera is not iPhoto-compatible or you want to use other applications to download your images (why you would, I don't know), you will need to install your camera's software. This software might include any drivers needed for your Mac to be able to communicate with the camera and usually includes applications you can use to manage and edit the images you capture.

TIP

If the digital camera you use supports the Picture Transfer Protocol, you don't need to install its software to be able to download images because you can use Mac OS X's Image Capture to do so even if you don't use iPhoto. However, you might still want to use the camera's software for its special features.

Installing a digital camera's software is similar to installing other applications on your Mac.

For help installing applications, see Chapter 6, "Installing and Using Mac OS X Applications," p. 121.

If Classic is launched when you attempt to install your camera's software, see "Classic Is Launched When Installing Camera Software" in the Troubleshooting section at the end of this chapter.

TIP

There are several types of devices you can use to mount the memory card directly on your desktop. For example, the ScanDisk ImageMate enables you to mount CompactFlash memory cards directly so that you can copy the image files from the memory card to the Mac. These devices cost only about $30 and can be simpler even than using Image Capture.

Downloading Images to Your Mac

There are four main ways in which you can transfer the images you capture from the camera to the Mac. These are covered in the following sections.

Using iPhoto to Download Images

iPhoto is the best and easiest way to download and manage your images.

To learn how to use iPhoto to download images from your camera, see "Downloading Images from a Digital Camera into iPhoto," p. 431.

Using Image Capture to Download Images

Mac OS X was designed to work with digital cameras; it includes the basic Image Capture application that provides a consistent interface for various models of digital cameras. Its single purpose is to download images from the camera to your Mac. Because iPhoto is also included with Mac OS X, there isn't a whole lot of reason to use Image Capture, but because Image Capture remains part of the standard Mac OS X applications, you should understand its capabilities.

Image Capture will work with cameras that support the Picture Transfer Protocol (PTP). Many cameras do support this protocol, but some do not. Check the manufacturer's Web site and product specifications to see whether a particular model supports PTP.

NOTE

The more technical name for PTP is ISO 15740.

Image Capture can be used to download images from some scanners, and that is the more likely circumstance in which you will use it. But it works similarly whether your image source is a camera or a scanner.

Image Capture can be configured so that it automatically downloads images when you plug your camera or scanner into your Mac. By default, Mac OS X is configured to open iPhoto when it detects a camera. You can change this behavior with the Image Capture Preferences command.

Working with Image Capture is straightforward. Use the following steps to get images from your camera to your Mac:

  1. Connect your camera to your Mac using its USB cable.

  2. Power up your camera (if it has a mode selector to communicate with a computer, choose that mode—most cameras switch to this mode automatically). If you haven't configured Image Capture to open automatically, open the application (Applications folder). If you have configured Image Capture to open automatically, it will do so when your Mac detects the camera. You will see the Image Capture window, which isn't all that interesting to look at (see Figure 15.2). The application will communicate with the camera to determine how many images need to be downloaded. When the camera is ready to begin downloading images, the Download Some and Download All buttons will become active.

    Figure 15.2. When you connect a supported camera to your Mac, Image Capture displays the number of images that are ready to be downloaded (and you might even see an image of the camera, as is the case for this Kodak DC4800).

    NOTE

    If your camera is not recognized by Image Capture, it probably does not support PTP. In that case, you will have to use the camera's software to download images from it.

  3. Choose the directory into which you want the images to be downloaded on the Download To pop-up menu. By default, Image Capture selects the Pictures, Movies, and Music folders option. You can choose Other on the menu to choose a different directory.

  4. To download all the images on the camera, click Download All. The images you download will be downloaded into the appropriate directories in your Home directory or in the directory you selected on the Download To pop-up menu. For example, photos will be downloaded to the Pictures directory. As the images are downloaded, you will see a progress dialog box that shows you a preview of the images being downloaded (see Figure 15.3). When the application is done downloading images, it will move to the background and the directories into which it downloaded images will be opened.

    Figure 15.3. As Image Capture downloads your photos, you see a preview of each image it is downloading.

  5. Move to the appropriate directory to work with the files you have downloaded.

NOTE

Notice that the default download folders are Pictures, Movies, and Music folders. Some cameras can capture movies and sound. If your camera has QuickTime movies on it, those will be placed in the Movies directory in your Home directory. Likewise, sounds will be placed in the Music directory.

If Image Capture does not recognize your camera, see "The Digital Camera Is Not Recognized by Image Capture or iPhoto" in the Troubleshooting section at the end of this chapter.

To download only selected images, use the following steps:

  1. Connect your camera and open Image Capture.

  2. After the application is ready to begin downloading images, click Download Some. You will see a window that shows you a preview of each image stored in the camera (see Figure 15.4). By default, the window appears in the Icon view.

    Figure 15.4. You can use the preview window to select images to download; you can also rotate images or delete them.

  3. Click the List View button or choose View, as List to see the images in the List view. In this view, you see the images in a Finder-like window. You see a lot of information for each image, including its name, file size, date and time of capture, width and height in pixels, resolution, color depth, aperture, exposure, and so on. You can change the width of the columns in the List view; however, you can't change the sort order—the window is always sorted by image number.

  4. Return the window to the Icon view by clicking the Icon view button or by choosing View, as Icons.

  5. If you need to rotate images, select the images you want to rotate and click the Rotate Left or Rotate Right buttons.

  6. Select the folders into which you want to download the images on the Download folder pop-up menu. The default is the same as when you download all images, but you can change it to be any folder you'd like to use.

  7. Select the images you want to download (use the Shift and [image] keys to select multiple images) and click Download. The images will be downloaded into the selected directory.

TIP

You can connect multiple cameras to your Mac at the same time. To choose the one with which you want to work, use the Camera pop-up menu.

Image Capture has other options that are useful:

  • Automatic Task You can attach AppleScripts to Image Capture so that it performs an action you select from the Automatic Task pop-up menu when you download images. There are a number of actions on the menu by default, including Build web page, Build slide show, Format 3x5, and so on. You can use any of these tasks or add your own. To add a task to the menu, place it in the Mac OS X/Library/Image Capture/Scripts directory, where Mac OS X is the name of your Mac OS X startup volume.

  • Options dialog box If you click the Options button in the Image Capture window, you will see a sheet that contains three tabs. The Download Options tab enables you to configure how downloads are handled, such as whether all images are downloaded automatically, or whether images are deleted from the camera after they are downloaded. The View Options tab enables you to configure the two views in the Download Some window; for example, you can choose the size of the icons in the Icon view or determine which columns are displayed in the List view. The Device Options tab displays information about the device you are using, such as the type of camera and the application your Mac is using to interface with it. If you use Image Capture regularly, you should explore these options.

NOTE

Image Capture will download only those images that aren't already in the selected directory. So, you won't get duplicate files if you have previously downloaded images on the camera and then perform another download with new images.

TIP

Image Capture has a customizable Mac OS X toolbar. You can show or hide it, and change the buttons it contains just like other toolbars, such as the toolbar in Finder windows. To customize this toolbar, choose View, Customize Toolbar.

Several automatic tasks are useful, but the Build web page task is a particularly useful one. When you choose this, Image Capture will build a Web site for the images you download. After the script runs, the Web page will open and you will see your images (see Figure 15.5). On the Web site, you can click an image to open a full-size version (click the full-size image to return to the preview page).

Figure 15.5. This Web site was built automatically when Image Capture downloaded images to my Mac.

TIP

The combination of the List view and the Build web page automatic task is powerful. You can select the images captured on a specific date, such as a party, and quickly build a Web site containing only those images.

Give the Build web page script time to work. You will see it processing each image you selected in the Finder. When it finishes, the Web page will open in your default Web browser (the title of the window will be the directory into which the images have been downloaded). If you mess around with the files while it is working, it can't finish the job.

After you download images using the Build web page task, the directory in which they were downloaded will also contain a folder called Index. If you open this folder, you will see the index.html file. Open this file to see the Web page that was created. This is a great way to catalog and preview your images.

If you want to share your images with others, simply post the Web site that Image Capture creates. For example, you can copy the index.html file and the Index files folder into your Sites folder to publish it. You can also drag those items onto the Sites folder on your iDisk to publish the site on the Internet.

To learn how to publish Web sites, see Chapter 14, "Putting Yourself on the Web," p. 369.

NOTE

If you change the images you downloaded after the Web site is built, the updated image will not be shown on the Web page.

If you use Image Capture to download images from a camera or a scanner, you should configure it to open automatically when the respective device is attached.

  1. Choose Image Capture, Preferences.

  2. On the Camera Preferences pop-up menu, choose Image Capture (iPhoto is selected by default).

  3. In the Scanner Preferences pop-up menu, make sure that Image Capture is selected (it is by default).

  4. Close the Preferences window.

Both pop-up menus include the No application and Other options. If you choose No application, your Mac won't take any action when you connect a device. If you choose Other, you can select any application on your Mac and it will open when a device is detected.

Using "Disk Mode" to Download Images

Some cameras use a disk mode to download images to your Mac. When you attach the camera to your Mac using the USB cable and then power up the camera, it is mounted on your Mac just like a hard or removable disk. To download the images to your Mac, you simply drag them from the camera's disk to the location on your Mac in which you want them to be stored.

This is the same mode you use if you attach a memory card reader to your Mac. The memory card you insert in the reader acts like any other volume you can mount. You simply drag files from the memory card into the appropriate folder.

If your camera is not mounted on the desktop, see "The Camera Is Not Mounted on the Desktop" in the Troubleshooting section at the end of this chapter.

Using Camera-Specific Software to Download Images

Some cameras use a specific application to download images. This software might offer more features than Image Capture or the disk mode (but probably not more than iPhoto), although its purpose is the same. If the camera you use includes such software, check the documentation for your camera to learn how to use it.


Capturing Digital Images Using a Scanner

A scanner enables you to create a digital image from a hard-copy image. The uses for a scanner are almost limitless; these include scanning photographs, business cards, slides and film, 3D objects, and so on. Having and using a scanner enables you to bring items from the analog age into the digital lifestyle.

You can scan images in three basic ways: using Image Capture, using the scanner's software, or scanning through an image-editing application.

Scanning Images Using Image Capture

If the scanner you use is compatible with the Image Capture application, you can use that application to scan images. Using Image Capture to download images from a scanner is quite similar to using it to download images from a camera. By default, Image Capture will open when your Mac detects a compatible scanner and you press its Scan button.

To learn how to use Image Capture, see "Using Image Capture to Download Images," p. 417.

Scanning Images Using the Scanner's Software

Scanners typically include an application you can use to scan images. The application you use depends on the software that was provided with the scanner. If your scanner offers one-button scanning, when you press the Scan button, the scanner's software will be launched and the image will be scanned.

With most scanning software, you can choose to scan automatically, in which case the scanner sets itself, or manually, in which case you control the various scan settings (such as resolution, size, color depth, and so on).

Scanning Images Using an Image-Editing Application

Recognizing the need for a standard means of addressing imaging devices, such as scanners, the TWAIN standard was developed. This standard provides a consistent means for software to interface with a scanner. Most image-editing applications and scanners support this standard, which means that you can usually scan an image from within an editing application.

NOTE

In case you are wondering, TWAIN is not an acronym. It is a play on words, as in "never the twain shall meet."

For example, to scan from within Photoshop, you use the application's Acquire command. After you choose the tool you want to use, such as TWAIN or the scanner's own software, you move directly into the scanning application. Once there, you scan the image. When the scan is complete, the image is opened in the application from which you scanned it.


Capturing Screen Images

In many instances, capturing an image of what is happening on your Mac's screen is useful. One example is if you are writing instructions about how to do a particular task. Another is when you want to capture an error message or some other anomaly you want to be able to explain to someone (for example, you might want to capture the image of an error dialog box so that you can e-mail it when you try to get technical support).

With Mac OS X, you have two built-in ways to capture screen images. One is to use keyboard commands. The other is to use the Grab application.

Capturing Screen Images with Keyboard Shortcuts

Mac OS X includes keyboard commands you can use to capture desktop images. After you capture an image, it will be stored on your desktop as a PDF and will be called Picture X, where X is a sequential number. You have the following two options:

  • Shift+ [image] +3 captures the entire desktop.

  • Shift+ [image] +4 changes the pointer to a plus sign. Drag this pointer to select the part of the screen you want to capture. When you release the mouse button, an image of the selected area will be captured.

Capturing Screen Images with Grab

Mac OS X includes the Grab application. As its name implies, using Grab, you can "grab" an image of your Mac's desktop. There are several options you can use to capture a specific image. To capture a desktop image, follow these steps:

  1. Open Grab (Applications/Utilities).

  2. Choose the Capture mode you want for your screenshot using the Capture menu.

    • Selection captures an area of the screen you select.

    • Window captures the active window.

    • Screen captures the entire screen.

    • Timed Screen provides a timer so that you can set up a screen before it is captured (so that you have time to switch to a window and open a menu before the image is captured, for example).

  3. Follow the instructions you see. For example, if you choose Timed Screen, you open the window you want to capture. When you are ready to take the shot, you click Start Timer and get the window as you want it to be captured. After 10 seconds have passed, Capture will capture the image.

    When the capture is complete, you will see a new window containing the image you captured.

  4. To see the size of the image you captured and its color depth, choose Inspector from the Edit menu. The Inspector window appears and you see information about the image.

  5. Save the image. Grab's default file format is TIFF.

The images you capture with Grab are just like images you create in other ways. You can open them in image-editing applications, preview them in Preview, print them, and so on.

TIP

Grab's capturing capabilities are provided to the OS so that other applications can use them. For example, if you are working in a Carbon or Cocoa application, you can easily grab an image of its screen by choosing the Services command from that application's menu. Then, choose Grab and choose the type of grab from the menu. When you release the mouse button, the image you captured will be displayed. How it is displayed depends on the application from which you captured it. For example, if you grab an image while you are using TextEdit, a Rich Text Format (RTF) file will be created. If you grab an image while using Preview, that image will appear in the Pasteboard window.

NOTE

If you are at all serious about capturing screen images, there is a much better solution than that which Mac OS X provides natively. The best screen capture utility for Mac OS X is Ambrosia Software's Snapz Pro X. This application provides numerous options for your screen captures and it even enables you to capture QuickTime movies of movement on your desktop. Check it out at www.ambrosiasw.com. (All the screen captures in this book were taken with Snapz Pro X.)


Using iPhoto to Master Digital Images

Mac OS X includes one of the most amazing image applications ever produced: Apple's iPhoto. iPhoto enables you to work with digital photos you have captured using a digital camera or from any other source. With iPhoto, you can organize, edit, print, e-mail, and export your photos. You can also do all sorts of other cool things with your images, such as creating books, Web pages, and screensavers.

When you open iPhoto, you will see its three panes (see Figure 15.6). The Source pane enables you to select a source to work with. The Content pane shows either the contents of the selected source or the image you are working with, depending on the mode you are in. The Tool pane of the window contains various tools you use for the mode you are working in. Between the Tool pane and the other two panes, you will see iPhoto controls, the mode buttons, and the Size slider.

Figure 15.6. iPhoto might be one of the best applications ever created for the Mac.

iPhoto has five modes of operation:

  • Import You use the Import mode to import images from a camera.

  • Organize Use this mode to create photo albums, apply keywords to your images, and perform other tasks to keep your images organized.

  • Edit In the Edit mode, you can edit your images by cropping, changing brightness and contrast, removing red-eye, and so on.

  • Book Using Book mode, you can create custom books to display your images.

  • Share The Share mode enables you to do all kinds of interesting things with your images, from printing them to creating custom screensavers.

Between the Source and Content panes and the Tool pane, you see iPhoto controls that are available in whichever mode you are in (see Figure 15.7).

Figure 15.7. You can use the iPhoto tools to perform basic actions with images being displayed in the Content pane.

You have the following controls available to you at all times:

  • Create Album Click this button to create a new album. You will learn more about creating albums later in this chapter.

  • Play Slide Show Click this button and a nice slide show displaying the images in the selected album will play (accompanied by a music soundtrack).

  • Info Click to open or expand the Information area of the Source pane. If the Info area is not displayed, clicking this button once will open it. If it is displayed, clicking this button will expand it. If it is expanded, clicking this button will close it.

  • Rotate Use this button to rotate a selected image by 90° increments in the counterclockwise direction. When you select an image and then click this button, the image is rotated in the Content pane; the image assumes the orientation you choose from that point forward (meaning that the image itself is changed to be the orientation you select). You can change the direction of rotation in the Preferences window. You can also rotate in the opposite direction by holding down the Option key.

  • Selected Image Ratio This ratio shows the number of images you have selected compared to the total number of images in the selected album. If you don't have any images selected, this number will be the total number of images in the selected album.

  • Mode buttons Use these buttons to change the mode in which iPhoto is working. When you click a mode button, the Content and Tool panes will change to reflect the mode you select.

  • Display Size Drag this slider to change the size of the images you see in the Content pane. Moving the slider to the right makes the images larger, whereas moving it to the left makes the images appear smaller and shows more images at the same time. The setting of this slider doesn't actually change the image in any way; it only determines how large the images appear onscreen.

To get started in iPhoto, you should set several of its preferences. The first time you open iPhoto, you will be prompted to set some of these preferences, but you can make changes to them at any time by opening the iPhoto Preferences dialog box (see Figure 15.8).

Figure 15.8. iPhoto's Preferences enables you to fine-tune the application.

The iPhoto preferences you can set are described in Table 15.5.

Table 15.5. iPhoto Preferences
Preference | Options | Description
Photos | Shadow | The Shadow option puts a drop shadow behind the thumbnail images in the Content pane when you are in the Organize mode.
Frame | The Frame option puts each thumbnail in a frame. Use the slider to set the color of the frame (from black to white).
Align to grid | With this option checked, your images remain aligned to the iPhoto grid.
Most recent at top | When this check box is checked, the photos you imported most recently appear at the top of the Content pane.
Rotate photos | Clockwise | When you click the Rotate button, the selected images are rotated in the clockwise direction.
Counter Clockwise | When you click the Rotate button, the selected images are rotated in the counter-clockwise direction.
Double-click action | Edit View | With the Edit View option, when you double click an image, it opens in the Edit mode.
Separate Window | When you double-click an image with the Separate Window option, it opens in a separate window in which you can view the image.
Other | When you choose Other and then use the Set button to choose an application, the image you double-click will open in the application you select. For example, you might choose to double click images to open them in another image editing application.
Assign/Search uses | Keywords | When you choose Keywords, you assign keywords to images and then search for them using those keywords.
Comments | When you choose Comments, you can perform searches for images by the comments you have entered for those images.
Slide Show | Play each slide for __ seconds | Use this control to set the amount of time each image appears on the screen when you click the Slide Show button located under the Source pane.
Repeat slide show when finished Music | With this check box checked, slide shows will continue to play until you stop them manually. Choose the music that plays when you show a slide show when you use the Slide Show butto located under the Source pane. You can choose from several default pieces, you can use Other to select an MP3 file (the application looks in your iTunes music collection by default), or you can edit the list of songs by choosing Edit List.

TIP

When you use the Other option in the Music pop-up menu to select more music for your slide shows, the music you select is added to the Music menu so that you can choose it from there when you play future slide shows. If you want to remove music from this menu, choose Edit List, select the songs you want to remove, and then click Delete.

Finally, set iPhoto to open automatically when you connect a camera to your Mac.

  1. Open the Image Capture application.

  2. Choose Image Capture, Preferences.

  3. On the Camera Preferences pop-up menu, choose iPhoto.

  4. Close the Preferences window and quit Image Capture.

NOTE

The first time you open iPhoto, you are prompted to have iPhoto open automatically when you connect a camera to your Mac. If you do this, you don't need to use Image Capture to set that preference.

Importing Digital Images

The first step in working with images in iPhoto is to import the images you want to work with into the iPhoto Photo Library. You can do this in the following two ways:

  • From a digital camera.

  • From image files outside of iPhoto.

To import images into iPhoto, you use its Import mode. In this mode, the Tool pane contains the following elements (see Figure 15.9):

  • Camera information When iPhoto is communicating with a camera, you will see that camera's information, such as its model name. You'll also see how many images are available to be downloaded into iPhoto. When a camera is not connected, you see the "No camera connected" message.

  • Preview window When you import images, you will see a preview of each image in the Preview window.

  • Progress bar The progress bar displays the progress of the import process.

  • Import/Stop button This button is Import when you aren't importing images. When you click the Import button, the import process starts, and the button becomes Stop (the Stop button does just what you think it does).

  • "Erase" check box If you check the "Erase camera contents after transfer" check box, the images on your digital camera will be erased after they have been imported into iPhoto.

Figure 15.9. When you connect a camera to your Mac, iPhoto moves into the Import mode automatically.

Erasing Images

Here are two comments for you on the "Erase" check box. First, if you don't have a camera connected to your Mac, it is inactive. Second, even when it is active, I recommend that you don't use it. I suggest that you leave images on your camera until you are sure that they have been imported correctly. If something happens to the image you import and it is erased from your camera, it is gone forever. After you have verified that your images have been imported successfully, you can delete them by using your camera's controls.

Downloading Images from a Digital Camera into iPhoto

To download images from your camera into your iPhoto Photo Library, perform the following steps:

  1. Connect your camera to your Mac with its USB cable.

  2. Power up your camera. iPhoto will open if it isn't already open and will move into the Import mode. Your camera will be recognized in the lower-left corner of the Import Tool pane, and you will see how many photos are ready to be downloaded.

  3. Click Import. The application will begin moving the images from the camera's memory into your Photo Library. As the process proceeds, you can see its progress in the Progress bar (see Figure 15.9).

  4. Click the Last Import album in the Source pane. iPhoto will move into the Organize mode, and you will see the photos you just imported.

  5. Work with the Organization mode tools to organize and identify the images you just imported.

To learn how to use iPhoto's Organize mode, see "Organizing Your Images," p. 432.

After you have organized the images you have imported, use your camera's tools to empty its memory card so that you will be ready for your next shooting session.

To remove images from your Photo Library, select the images and press the Delete key. Click OK in the warning dialog box, and the image will be deleted from iPhoto. Obviously, you should do this only with images you are sure you will never want again.

Importing Other Images into iPhoto

You can also add images from other sources to your iPhoto Photo Library. For example, if your digital camera is not compatible with iPhoto, you will have to download images from that camera (such as by using a USB memory card reader) and then import them into iPhoto. Or you might want to add previously scanned photos to iPhoto so that you can use iPhoto's great tools to work with them.

You can import a wide variety of image file formats into iPhoto, including JPEGs, Photoshop files, and other formats you are likely to encounter when dealing with digital images.

  1. Prepare the images you want to import (for example, scan the photos or download them from a USB memory card reader to your Mac).

  2. Choose File, Import. You will see the Import Photos dialog box.

  3. Move to the files you want to import and select them. You can select multiple images at the same time by holding down the [image] key while you click each image.

  4. Click Import (or press Return). The images will be imported into your Photo Library. You can monitor the process by watching the Progress bar—importing images from files is much faster than importing them from a camera, so the process moves along pretty quickly.

  5. Click the Last Import album in the Source pane. iPhoto will move into the Organize mode, and you will see the images you just imported.

  6. Work with the Organization mode tools to organize and identify the images you just imported.

To learn how to use iPhoto's Organize mode, see "Organizing Your Images," p. 432.

NOTE

The Last Import album contains the most recent set of images that you imported or downloaded from a camera. The images remain in this album until the next import, at which point they are replaced by the next set. Of course, because it is an album, it doesn't actually contain the images themselves, just pointers to them. The imported images are always stored in your Photo Library.

Organizing Your Images

Images in iPhoto can be organized into albums; iPhoto albums are analogous to "analog" photo albums that contain the images in your collection. The iPhoto Source pane shows all the albums that are contained in your image collection. iPhoto includes two albums that are always present: Photo Library and Last Import. The Photo Library album contains all the images you have imported into iPhoto (regardless of how you imported the images). The Last Import album contains the images you downloaded during the last time you imported images.

To work with an album, you select it in the Source pane and its contents will be shown in the Content pane. iPhoto will move into the Organize mode automatically. When in the Organize mode, the Tool pane contains tools that enable you to assign keywords to images and to find images based on those keywords (see Figure 15.10).

Figure 15.10. In the Organize mode, you can organize all the images in your Photo Library.

TIP

You can resize the Source pane by dragging the Resize handle to the left or right.

The Organize tool pane has two modes; the mode you are in is determined by the Mode switch setting.

When the switch is in the Assign position, you can assign keywords to images (you'll learn how to create and assign keywords to images later in this chapter). When the switch is in the Search position, only the photos with which the highlighted keywords are associated will be shown in the Content pane.

At the far right of the Tool pane, you see the three Show check boxes. When one of the check boxes is checked, the check box's label is shown next to the images in the Content pane. For example, in Figure 15.10, you can see that the "Titles" check box is checked, so the image titles are shown next to the images in the Content pane.

Identifying and Labeling Your Images

To help you keep your images organized, you can attach several kinds of information to your photos. This information includes the following:

  • Title Each image in your Photo Library can have a title. When you import images, the title iPhoto assigns to them is a sequential number based on the "roll" number in which you imported them (iPhoto counts each import session as a "roll" of film), such as Roll 10-10, Roll 10-11, and so on. These titles aren't very meaningful; fortunately, you can change them easily.

  • Comments The application enables you to add comments to each image. For example, you can provide the context for the image so that when you look at it later, you will understand it better or, if you have a poor memory like I do, you can explain where the information was captured. Comments are especially useful when you create books because they include interesting things you've said about those images.

  • Keywords As you learned earlier, you can attach keywords to your images and use these keywords to find the images with which you want to work using only a couple of mouse clicks.

NOTE

You might have noticed that I did not mention adding date and time information to an image. This is because most digital cameras capture the date on which an image is taken, and iPhoto can read this date and attach it to the images automatically. However, if the date isn't automatically read from the image (such as images you scan and then import), you will probably want to enter the date on which you captured the image as a comment.

Working with Keywords

Keywords help you find photos because you can search a group of images that are associated with specific keywords. You can use keywords to perform fairly complex searches because you can search by multiple keywords at the same time.

iPhoto includes some keywords by default; you will see these in the Tool pane when you are in the Organize mode. However, you can create your own keywords, and you can change any keywords that are available. After you have set the keywords you want to use, you can associate them with your images and use them to search for specific images.

iPhoto's default keywords are okay, but you will probably want to use some that are more specific to your photos. For example, you might want to create a keyword containing a child's name so that you can find photos of that child quickly and easily. To add new keywords to the Organize Tool pane, use the following steps:

  1. Choose Edit, Edit Keywords (or press [image] +K). The None button on the Keyword list will be replaced by the Done button to indicate that you are in the keyword edit mode.

  2. Move into an empty keyword slot in the Tool pane.

  3. Type a new keyword.

  4. Repeat Steps 2 and 3 until you have added all the keywords you want to have available.

  5. Click Done; choose Edit, Done Editing Keywords; or press [image] +K to stop creating keywords.

You can change existing keywords by using steps that are quite similar to those you use when creating new keywords:

  1. Choose Edit, Edit Keywords (or press [image] +K).

  2. Select the keyword you want to change. It will become highlighted to indicate that you can edit it.

  3. Make changes to the keyword.

  4. Repeat Steps 2 and 3 until you have changed all the keywords you want.

  5. Click Done; choose Edit, Done Editing Keywords; or press [image] +K to stop editing keywords.

When you change a keyword on the Tool pane, it changes where it is associated with your photos automatically.

Associating Keywords and Information with Your Images

After you have set your keywords, add information to your images and associate keywords with them.

  1. Click the Organize mode button.

  2. Make sure that the "Titles" and "Keywords" check boxes in the Tool pane are checked; these cause Photo to display this information next to each image.

  3. Locate the group of images that includes the images to which you want to add information. For example, click the Last Import album to work with images you imported in the most recent session. Or check the "Film Rolls" check box and scroll in the Photo Library to find the images you want to work with.

  4. Click the Info button located just underneath the Source pane until you can see the Comments box. Depending on your starting point, you might have to click the button once, twice, or not at all if the Comments box is already displayed.

  5. Select an image you want to attach information to. The image will be enclosed in a box to show that it is selected. In the Info area, you will see iPhoto's default title for the image, the date on which the image was captured (assuming that iPhoto was able to retrieve this information from the source), the size (the resolution at which the image was captured), and the image's file size.

  6. Click in the Title box in the Info area and select the default title.

  7. Type a new title for the image. Titles should be relatively short, such as four words or less (see Figure 15.11).

    Figure 15.11. You can use the Comments box to add comments to your images.

  8. Click in the Comments box and enter comments about the image.

  9. Make sure that the Assign/Search switch is in the Assign position, and click the keywords you want to associate with the image; you can choose as many keywords as you have available. As you click keywords, they remain highlighted to indicate that they will be associated with the selected image.

    If you have the Show check boxes checked, you will see an image's title and keywords next to it in the Source pane.

  10. Repeat Steps 5 through 9 for each image in a roll. When you are done, your images will be more useful because specific images will be easier to find.

This process can be a bit of a pain, but it does pay off when you want to find and use your images later. If you do these steps on a roll of images as soon as you create it (such as when you import images from a camera), the process takes just a few minutes. However, if you wait until you have lots of rolls to do, it can take longer and you aren't as likely to actually keep your image information current.

TIP

To remove a keyword from images, select the images that contain the keyword, make sure that the switch is in the Assign position, and click the keyword in the Tool pane. It becomes unhighlighted and will be disassociated from the selected images.

You might notice that one of iPhoto's default keywords is a checkmark. This is the one keyword you can't change. The checkmark is intended to be assigned to images temporarily so that you can perform a specific task for those images. For example, you might want to order prints from only a few photos in an album. You can apply the checkmark keyword to each image you want a print of and then find those images by searching for the checkmark keyword. (The checkmark actually appears in the lower-right corner of the image itself instead of next to it.) After you order the prints, you can remove the checkmark keyword (choose Edit, Undo Add Keyword, or select the images and click the checkmark keyword again).

Using Keywords to Find Images

After you have associated keywords with your images, it is quite simple to use those keywords to find all the images associated with one or more keywords.

  1. Select the album in the Source pane in which you want to search for images; choose Photo Library if you want to search all the images you have imported into iPhoto.

  2. Click the Organize mode button if it is not already selected.

  3. Move the Assign/Search switch to the Search position. When you are in the Search mode, the None button becomes the Show All button.

  4. Click the keywords that are associated with the images you want to see. For example, if you click the keyword "Vacation," you will find those images to which the keyword "Vacation" has been assigned. You can click as many keywords as you'd like to make your search more specific. For example, clicking "Vacation" and "Scenic" would find only those photos with which both keywords are associated. As you click on keywords, the images in the Content pane will include only those with which the keywords you clicked are associated.

To view all the images in the selected album again, click the Show All button.

Organizing Your Images with Photo Albums

Photo albums are the tool you use to create collections of images for specific purposes, such as to view specific images or to create slide shows, books, and other projects. You can create albums containing the images you are interested in and then work with those images by selecting an album in the Source pane.

NOTE

If you have used iTunes's playlists, the concept of albums should be easy to grasp because playlists and albums are analogous.

You can choose any criteria for the photos you include in an album, and you can include any number of photos in any album you create.

  1. Click the New Album button located just below the Source pane; choose File, New Album; or press [image] +N. You will see the New Album dialog box.

  2. Name your album and click OK. The album you create will appear in the Source pane.

  3. Find the images you want to include in the new album; use the keyword searching technique you learned in the preceding section to do so.

  4. Select the images you want to include in the album (select multiple images by holding down the [image] key), and drag them onto the new album in the Source pane. As you drag the images onto the album, a red circle containing a number will appear—the number is the number of images you have selected.

  5. Continue finding images and dragging them onto the album.

  6. When you are done, select the album in the Source pane, and you will see the images it contains in the Content pane.

Following are points to consider when you work with albums:

  • Placing images in an album does not remove them from the Photo Library; the Photo Library always contains all the images you have imported into iPhoto (unless you have deleted some images from the Library). When you drag an image onto an album, a pointer from the original image to the album is created.

  • You can create an album by dragging images from the Photo Library or from other albums onto the Source pane. An album called Album-# will be created; you can edit the album name by selecting it and, when it is highlighted, changing the name to what you want it to be.

  • You can place the same image in as many albums as you'd like.

  • When you select an album, you can select and then drag the images around in the Content pane to change their order. The order in which images appear in an album will affect projects you create from that album. For example, if you create a book, the images will appear in the book in the same order in which they appear in the album.

  • To remove an image from an album, select it and press the Delete key. The image will be removed from the album, but not from the Photo Library.

  • Changes you make to an image in an album, such as associating keywords with it or rotating it, do affect the image in all its locations, including in the Photo Library.

Editing Your Images

You can use iPhoto's Edit mode to make changes to your images. Although iPhoto is not a full-featured image editing application such as Adobe Photoshop, its tools enable you to make common changes that most people want to make to their images. For example, you can remove red-eye, crop, and so on.

To edit an image, you select it and then click the Edit mode button. The image will fill the Content pane, and you will see the Edit mode's Tool pane (see Figure 15.12). For most actions, you will then select the part of the image you want to work with. You do this by dragging over an area of the image to select it—the selected area of the image appears clear and the unselected part is shaded.

Figure 15.12. In the Edit mode, you can make changes to an image, such as cropping it or removing red-eye.

Most of the Edit buttons don't become active until you select a part of the image (for example, you must select part of the image before the Crop button becomes active).

The tools you see on the Edit mode Tool pane are the following:

  • Constrain You can use this pop-up menu to constrain the portion of the image you select to a specific size. For example, if you choose 5x7, when you select part of the image, the selection will have the 5x7 proportion. This makes it easy to crop images to specific proportions for different purposes.

  • Crop Use this tool to remove any of the image that is outside of the selected area. This helps you get rid of wasted space or parts of the image you don't want to see.

  • Brightness/Contrast Use these sliders to adjust the brightness and contrast of an image. Brightness changes the overall appearance of the image: Dragging the slider to the left makes the image darker, whereas moving it to the right makes the image lighter. Contrast adjusts the relative brightness of objects in the image to one another. Dragging the Contrast slider to the right makes dark parts of the image darker and light parts lighter. Dragging the Contrast slider to the left makes dark parts light so that there is less difference between light and dark (moving the slider all the way to the left washes out the image).

  • Red-Eye Use this tool to remove the red from eyes that is often seen when people or animals are looking directly at the camera when the flash goes off. To use this tool, select an area around the eyes that have that certain demon-eyed appearance. When you click the Red-Eye button, the red will be removed from the selected area. Keep your selection to a small area of the image, because the application doesn't really know what is an eye and what is not; it looks for and removes red, whether it is in an eye or elsewhere.

  • Black & White This button converts the image you are editing into black and white.

  • Previous/Next These buttons take you to the previous or next image in the selected album.

TIP

You can rotate images in any mode. Select the images you want to rotate and then click the Rotate button that is always available just below the Source pane. You can also select images and choose Edit, Rotate, Counter Clockwise (press [image] +R) or Edit, Rotate, Clockwise (press Shift+ [image] +R). Hold down the Option key while you click the Rotate button to rotate images in the opposite direction.

When you edit an image, your changes affect all instances of that image in all your albums and in the Photo Library. Fortunately, iPhoto maintains the original image should you ever want to go back to it. Simply select the image you have edited and choose File, Revert to Original. You will be warned that if you revert to the original, any changes you have made will be lost (which is the whole idea). Click OK, and the image will be returned to the version you imported into iPhoto.

If you want to have multiple versions of an image, say one cropped and one not, you can create duplicates of images. To create a duplicate, select the images you want to duplicate. Choose File, Duplicate or press [image] +D. A copy of the image, including its information and keywords, will be created. This duplicate image is created in the Photo Library and behaves just like the original. You can then perform any actions on the copy that you can on the original, such as adding a title or comments to it, and editing it.

You can create as many copies of an image as you'd like, but remember that each image consumes disk storage space. If you are going to make changes to only one version, there is no need to duplicate it because iPhoto maintains the original version for you.

Building Image Books

In Book mode, you can create very nice books of your photos in various formats and styles. You can also choose to display a variety of information next to the photos in the book. After you have created a book, you can print it yourself or order a printed copy.

In Book mode, the Content pane contains a preview of the selected book page above thumbnails of each page in the book. The Tool pane contains the tools you use to build your book (see Figure 15.13).

Figure 15.13. You can create custom photo albums in various formats and then print them or order copies from Apple.

Creating books is a relatively simple process. First, select the album for which you want to create a book. Second, place the images in the order in which you want them to appear in the book. For example, the first image in the album will be on the cover of the book. Then, use the following tools to create the book:

  • Theme pop-up menu Each book you create can be on one of six themes. The theme determines how images are displayed on each page of the book. For example, if you choose Story Book, images appear at different sizes and orientations on the pages for a more casual look. If you choose the Year Book theme, thumbnail images will appear on each page of the book. Each theme style also has corresponding text boxes in which you can enter commentary of other information for the book.

  • "Show Guides" check box When this box is checked, you see blue guidelines around the various text boxes on a page.

  • Show check boxes These check boxes determine which elements of an image's information appear next to the image in the book. If a check box is checked, that information will appear on the book page. However, some themes don't show certain information, even if the check box is checked. For example, the Story Book theme doesn't display any of the image's information regardless of the check box settings. Instead, that theme provides a separate text box for each page in which you can use text to narrate the book you create.

  • Page Design pop-up menu Use this pop-up menu to choose a page's design, such as making it the Cover or Introduction, or to choose how many images will appear on that page. If pages are selected when you make a choice on this menu, only the selected pages are affected. If you don't select pages, all the pages are affected. You can choose different designs for each page in the book.

  • "Lock Page" check box When this box is checked, you can't change a page's design. Use this to prevent accidental changes to a page.

  • Preview button When you click the Preview button, a separate preview window opens, and you can page through your book as it will be when it is printed. You can also make changes to the book in this window, such as adding text to pages.

TIP

Remember to use the Display Size slider in each mode. For example, when you are editing an image, you can make the image appear larger so that you can make more refined selections. In the Book mode, use the slider to change the size at which the pages you work with appear in the Content pane.

After you create a book, you can print it or you can order a professionally printed book from Apple by using the Share mode.

Sharing Your Images

The Share mode enables you to output your images in various ways. The Share Tool pane contains the tools that are shown in Figure 15.14 and explained in the following list.

  • Print I'll bet you can guess what this tool does. You can configure various options for the prints, such as the style (Contact Sheet, Full Page, Greeting Card, or Standard Prints) and the size of the margins.

  • Slide Show When you click this button, you can show the images in the selected album in a slide show. You can choose the music you want to accompany the images, and you can choose the time for which the images are displayed.

  • Mail Use this tool to e-mail selected photos using the Mail application.

  • Order Prints You can use this tool to order prints from the Kodak Print Service through Apple's 1-Click service. Select the images of which you want to buy prints, click the Share mode button, and then click Order Prints. You will move to the 1-Click setup screen. After your account is set up, you can choose the number and sizes of prints you want to order. This tool makes it quite easy to get professional-quality prints of your photos delivered to you or other people.

  • Order Book This tool is similar to the Order Prints function except you get books printed instead of individual photos.

  • HomePage Use this tool to assemble a .Mac Web page to display the selected photos.

  • Desktop Use this tool to quickly apply an image to your desktop.

  • Screen Saver Use this tool to create a custom screensaver from the selected images.

  • Export You use this tool to export your images in various ways. You can export images as separate files, in case you want to use them in other applications or for other purposes. You can also export images in a Web page or as a QuickTime movie. This is useful for creating and saving custom slide shows.

Figure 15.14. You will find all sorts of cool things to do with your images in the Share mode.

NOTE

The difference between the Slide Show button in the Share Tool pane and the Slide Show button just below the Source pane is that with the Slide Show button below the Source pane, you can't choose any options; the slide show plays with the preferences you have set in the iPhoto Preferences dialog box. When you use the Slide Show tool on the Share Tool pane, you can choose the options for the slide show.

Printing Your Images

Even using an inexpensive inkjet printer, you can print photos that are of pretty good quality. Printing photos from iPhoto is similar to printing documents from other applications (although the specific settings you use are more important because of their effect on the quality of the printed images).

  1. Select the images you want to print.

  2. Click the Share mode button.

  3. Click the Print button. You will see the Print dialog box.

  4. Choose the printer on which you want to print the selected images from the Printer pop-up menu. You will see a preview of the images as they will print in the preview pane.

  5. Use the Presets pop-up menu to select preset settings for the selected printer.

  6. Select the style of prints on the Style pop-up menu and then use the resulting controls to configure that style. For example, if you choose Contact Sheet, you can choose the number of images that are printed across the sheet of paper.

  7. Click the Advanced Options button to use the other controls in the dialog box to adjust how your image will be printed.

  8. When you are done setting options, click Preview. The image as it will be printed appears in the Preview application.

  9. If the image appears as you want it to, print the image. If not, move back into iPhoto and make changes to the print settings.

Each printer has its own set of print options. You should explore the user manual included with your printer so that you understand its options and how they impact the quality of images you print.

Printing images with the highest quality will take some experimentation with your specific printer, printer settings, paper, and so on. Minor changes in settings or using a different type of paper can have dramatic effects on the quality of the images you print. I recommend that you spend some time printing with different combinations of printer settings and paper until you achieve the best results. Then, document the combination that works the best for you so that you can use those same settings the next time you print images.

Viewing a Slide Show from Your Images

iPhoto slide shows are a great way to view images on your Mac.

  1. Select a group of images you want to see in a slide show or choose an album to see all of its images in the show. (If you have a lot of time or not many photos, you can select your Photo Library to see all of your photos in the same slide show).

  2. Click the Share mode button.

  3. Click the Slide Show button in the Tool pane. You will see the Slide Show Settings dialog box.

  4. Use the "Play each slide for __ seconds" box and arrows to set the number of seconds that each image will appear on the screen. The default is about 2 seconds, which seems about right for most photos. If you like to linger over your photos, increase this number. If you are relatively impatient, change this to 1 second.

  5. If you want the slide show to play through once and then stop, uncheck the "Repeat slide show" check box. If you leave this checked, you can stop a slide show by pressing the Esc button or clicking the mouse button.

  6. Choose the music you want to play on the Music pop-up menu. Choose None to play a silent slide show. Choose Other to select a song that does not appear on the list. Choose Edit List to delete songs from the menu.

  7. Click OK or press Return. Prepare to be impressed as your screen fills with your images and they transition smoothly from one to the next.

  8. To stop the slide show before it finishes or if it repeats, click the mouse button or press Esc.

You can display an iPhoto slide show in any mode by selecting some images and clicking the Slide Show button located under the Source pane (the Play button). When you click this, the slide show plays with the settings you have most recently selected in the Slide Show Settings dialog box, which are also transferred to the iPhoto Preferences dialog box.

When you use iPhoto's slide show function, you create a temporary slide show just to view the images on your Mac. You can't save the slide shows that you view with this tool. However, you can use iPhoto to export a series of images as a slide show and then use other digital lifestyle applications to add a sound track, effects, and so on.

E-mailing Your Images

NOTE

By default, this feature works only with the Mail application. However, you can add third-party tools to make it work with other applications, such as Microsoft Entourage.

E-mail is a great way to send your images to other people. To e-mail one or more images, follow these steps:

  1. Select the images you want to e-mail. You can select images individually or select an album to e-mail all the images in that album at the same time.

  2. Click the Share mode button.

  3. Click Mail. You will see the Mail Photo dialog box (see Figure 15.15).

    Figure 15.15. Using the Mail Photo dialog box, you configure how you want the selected photos to be e-mailed.

  4. Choose the resolution of the images on the Size pop-up menu. When you make a selection on this menu, you will see the estimated file size below the menu. Remember what you learned about file size and image resolution earlier. If the recipient uses a slow Internet connection, consider sending low-resolution images or sending the images in small batches.

  5. Use the check boxes in the Include area to determine whether titles and comments are included with the figures.

  6. Click Compose. The selected images will be processed and a new Compose Mail window will appear in the Mail application.

  7. Complete the message by addressing it, adding text, and so on.

  8. Send the message just like any other messages you create.
Ordering Prints and Books of Your Images

Although most of us have an inkjet printer that is capable of printing fairly nice photos, printing photos can be a bit of a pain, and the results you get aren't always the best. Plus, if you want to share those photos with other people, you have to go through the hassle of mailing them, which might be enough to stop you from sharing them.

To save you the hassle of printing or mailing images, you can order prints from Apple (the prints are actually provided by Kodak). The first time you order prints, you will use or create an Apple account; after that, you can order prints with a single click by using the appropriately named 1-Click service.

  1. Select the photos for which you want to order prints (such as by selecting an album).

  2. Click the Share mode button.

  3. Click the Order Prints button. You will see the Order Prints dialog box (see Figure 15.16). Along the left side of the dialog box, you will see the photos you have selected. You can scroll up and down in the dialog box to view all of them. In the right side of the window, you see the list of available sizes, the prices, and the quantity box.

    Figure 15.16. The nicest thing about ordering prints is that they can be ordered and mailed right from your Mac.

  4. Enter the quantity of each size of photo you want to order. The total cost of your order will appear at the bottom of the dialog box. If you want to order 4x6 or 5x7 photos of all the selected images, use the quantity boxes at the very top of the dialog box.

  5. If you haven't used this service before, open the Ship To pop-up menu, choose Add New Address, and create an address. Add addresses for everyone to whom you will send photos.

  6. Choose the address to which you want the current order sent on the Ship To pop-up menu.

  7. Choose the shipping method on the Ship Via pop-up menu. Your choices are Standard or Express. Obviously, Express is faster and is also more expensive.

  8. When you are ready to order, click the Buy Now With 1-Click button.

  9. Follow the onscreen instructions to complete the order. The first time you use this service, you will create or enter information for your Apple account. Then you will work through the remainder of the ordering screens. Your photos will be printed and shipped; Apple keeps you notified of the status of your order via e-mail.

In the Order Prints dialog box, you see the cost of each size of print you can order. Most of these costs are quite reasonable when compared to the cost of the ink and paper required to print images on an inkjet printer. The shipping costs are also reasonable given that you don't have to do any work to get the order shipped anywhere you'd like. However, because it is so easy to order prints, you might find yourself going overboard the first time or two you order. So before you click the Buy Now With 1-Click button, take a moment to double-check what you are ordering.

If images in a group that you select in an album or individually are low resolution, they will have the low-resolution warning icon placed on them. This icon is a yellow triangle with an exclamation point inside it. An image with this icon might or might not print well in prints or in a book you order. Be cautious about including low-resolution images in your orders, or you might be disappointed in the results you get.

If you do want to print low-resolution images, print them in a smaller size to make them look as good as possible.

You can also order professionally printed and bound books by using the same service you use to order prints. The process is also quite similar.

  1. Build the book you want to have printed.

    NOTE

    printed book has to be at least 10 pages long, and it will be whether you have images on all 10 pages or not. So make sure you have at least 10 pages of content before you print a book or your book will be printed with blank pages.

  2. Print your book and check it. Use the draft or black-and-white mode of your printer to make the process faster and less expensive.

  3. When you are sure that your book is right, click the Share mode button.

  4. Click Order Book. Your book will be assembled. Depending on the number of images and pages in your book, this process can take a few minutes. If your book contains low-resolution images or fewer than 10 pages, you will be warned. When the process is complete, you will see the Order Book dialog box. This dialog box is very similar to the Order Prints dialog box and works in the same way.

  5. Select a cover for your book on the Cover Color pop-up menu.

  6. Use the Ship To and Ship Via pop-up menus to enter the shipping information. Use the quantity box and arrows to set the number of books you want to order.

  7. When you are ready to order, click the Buy Now With 1-Click button and follow the onscreen instructions.

Be aware that ordering books is a relatively expensive proposition. The first 10 pages cost $29.99, and additional pages are $3 per page. Shipping for a book is also relatively expensive at $7.99. Take plenty of time to design and check your book before you order it unless you don't mind $40 "experiments."

Creating a .Mac Image HomePage

If you have a .Mac Web site, it is simple to post a group of images on that Web site.

To learn how to create a .Mac Web site, see "Using .Mac to Create and Serve Your Web Pages," p. 371.

  1. Select the images you want to place on the Web (such as selecting an album on the Source pane).

  2. Click the Share mode button.

  3. Click the HomePage button. Your Mac will connect to your .Mac account and you will see the Publish HomePage dialog box (see Figure 15.17).

    Figure 15.17. Using iPhoto's HomePage button, you can create a Web page for your photos in mere seconds.

  4. Select the title text at the top of the page and edit it.

  5. Select the page text just below that and edit it.

  6. Click a frame style at the bottom of the dialog box to apply that frame to all the images.

  7. Choose the .Mac site to which you want to publish the page on the Publish to pop-up menu. If you have created only one site, that is the only one you will see on the menu.

  8. Click Publish. iPhoto will connect to the Internet and transfer your photos to your .Mac account. When the process is complete, you will see a completion dialog box that provides the URL to the page you just created.

  9. Click the Visit Page Now button and enjoy (see Figure 15.18). You can click any image to see a larger version of it.

    Figure 15.18. I added a Web page containing a group of iPhoto images to my .Mac Web site in about 2 minutes.
Using Your iPhoto Images on the Desktop

NOTE

If you use multiple monitors, you can't set a desktop image from within iPhoto. Export the images you want to use, and use the Desktop pane to configure those images on your desktop.

One of the weaker iPhoto tools is the Desktop function. If you select an image and click the Desktop button, the image you selected will be placed on your desktop. Using a single image on a desktop is a bit boring; you can get better results by exporting a group of images and using the Desktop pane of the System Preferences utility to use that group of images and to change them periodically.

To learn how to use a group of images on your desktop, see "Customizing the Mac OS X Desktop," p. 99.

Creating an iPhoto Screensaver

You can create a custom screensaver from a photo album from within iPhoto.

  1. Click the Screen Saver button. You will see the Screen Saver dialog box.

  2. Choose the album containing the images you want to use in your screensaver on the Use pop-up menu.

  3. Click OK. That group of images will be used as your screensaver using the current settings on the Screen Effects pane of the System Preferences utility.

TIP

You can jump to the Screen Effects pane to configure the screensaver by clicking the Preferences button on the Screen Saver dialog box.

Exporting Images from iPhoto

There are various ways you can export images from iPhoto for different purposes. You can export images as separate files so that you can work with them in other applications or to send those files to other people. Or you can export a set of images as a Web site. Another option is to export a set of images as a QuickTime movie.

If you want to use iPhoto photos in other applications, such as iMovie, you need to export those images as individual files.

  1. Select the images you want to export as files, such as by selecting an album.

  2. Click the Share mode button and then click Export (or choose File, Export). You will see the Export Images dialog box (see Figure 15.19).

    Figure 15.19. The three export options you have appear as tabs in the Export Images dialog box.

  3. Click the File Export tab if it isn't already selected.

  4. Choose the file format into which you want the images exported from the Format pop-up menu.

  5. Check the "Use file names" radio button if you want iPhoto to generate filenames for you. Check the "Use titles" radio button if you want the filenames to be the image titles.

  6. Click the "Full-size images" radio button to export the files at their current resolution, or click the "Scale images no larger than" radio button and enter the resolution at which you want the image files to be exported.

  7. Click Export.

  8. Use the resulting sheet to choose a location in which to save the images and click OK. Each image will be saved as a file with the format you selected (such as TIFF) in the location you selected.

Earlier, you saw how easy it is to create a Web page containing photos via .Mac's HomePage. It is also quite easy to create a separate Web site for your photos from within iPhoto so that you can view them on your hard drive, publish the site on a local network, or publish it to a Web site you host with a different Web hosting service.

  1. Select the images you want to include in the Web site, for example, by selecting an album.

  2. Click Share and then click Export.

  3. Click the Web Page tab of the Export Images dialog box.

  4. Enter the title of the page you are creating in the Title box.

  5. Choose the number of rows and columns in which you want the images to be displayed on the Web site. The number of pages in the site will be calculated for you.

  6. Use the "Color" radio button and bar to set the page background to a color (it is white by default) or the "Image" radio button and "Set" button to choose an image as a background for the page.

  7. Use the Thumbnail Max. Width and Max. Height boxes to set the maximum size of the thumbnails of each image.

  8. Use the Image boxes to set the maximum size of the images when the viewer clicks on them on the Web site's Home page.

  9. If you want the titles displayed, check the "Show title" check box.

  10. Click Export.

  11. Select a location to which to save the Web site and click OK. Note that you have to choose a specific folder in which to store the Web site. The Web site will be created in the location you specified.

  12. Open the folder you selected in Step 11 and open the index.html file. You will see the page in a Web browser. You can use this site as a standalone site or add it to other Web sites you have created. You can also edit the site using your favorite Web application.

Viewing a slide show in iPhoto is cool, but it can be even better to create slide shows you can save and place on DVD, the Web, and so on. To do this, you can export images as a QuickTime movie. The steps to do this are similar to the steps to export image files or a Web page.

  1. Select the images you want to include in the Web site, for example, by selecting an album.

  2. Click Share and then click Export.

  3. Click the QuickTime tab of the Export Images dialog box.

  4. Use the Width and Height boxes to enter the size of the QuickTime movie you are creating.

  5. Enter the amount of time you want each image to be displayed in the Display image for box.

  6. Use the Background tools to choose a color or image for the slide show's background.

  7. Check the "Music" check box if you want the current music soundtrack to be exported with the movie.

  8. Use the Save sheet to name the movie and choose a location in which to save it. You can view the slide show with any application capable of playing QuickTime movies.


Working with Other Digital Image Tools

Creating, viewing, and editing digital images is a rich topic and is one that can't be covered fully in this chapter or even this book. However, in the following sections, you will get a quick overview of some other image tasks you can do.

Viewing and Editing Digital Images

You can preview most digital images using Mac OS X's Preview application. Although you can't make many changes in the images you preview, you can get a quick view of images in various formats. Using Preview is simple.

NOTE

Preview might or might not be the default application for viewing image files. If not, you can open any specific image file by first opening the application and using the Open command or by setting Preview to the application associated with a specific image file.

To learn how to associate files with an application, see "Determining the Application That Opens When You Open a Document," p. 142.

When you open an image in Preview, the image will fill the screen by default. You can control the magnification of the image using the Preview's Display menu (see Figure 15.20). You can also rotate the image if you need to.

Figure 15.20. The Preview application is named appropriately—you can use it to preview an image.

One of the nice things that Preview does for you is to enable you to convert an image from one format to another. You can do this using the Export command on the File menu. In Export sheet, you can choose the file format and the options for the format you choose.

For information on common image file formats, see "Mac OS X to the Max: Image File Formats," p. 455.

Many applications enable you to edit your images on the Mac. The king of all of these is Adobe Photoshop. With Photoshop, you can do anything with an image that you can imagine, from cleaning up some red-eye to airbrushing over unwanted parts of an image to creating new parts of an image. If you are serious about editing images, Photoshop is a must-have. To get more information about Photoshop, visit Adobe's Web site at www.adobe.com.

NOTE

If Photoshop is more than you need or want, consider Photoshop Elements, which is a scaled-down version of Photoshop intended for consumers.

Storing, Organizing, and Distributing Digital Images

As you work with images, you will no doubt end up with numerous images. Depending on how many versions of each image you keep and the file format you use, digital images can take up plenty of storage space, and when you get more than a dozen or so, it can be hard to find specific images.

iPhoto enables you to store, organize, and manage all of your images. You should import all the images you need to work with into your iPhoto Photo Library to make them accessible to you.

However, if you don't use iPhoto or you want to keep some of your images outside of iPhoto, consider adding an image cataloging application to your imaging toolkit. These applications enable you to create image libraries so that you can locate images by their thumbnail previews, keyword searches, and other means.

TIP

If you purchased a digital camera or scanner, check the software that came with it. Many of these include an image cataloging application.

Unless you have plenty of hard drive space, you will probably need to store your images on a removable disk of some sort. An excellent choice is a CD-R or DVD-R. You can create image catalogs so that aliases to the image files you store on CD are in the catalog. When you access such a file, you will be prompted to insert the disc on which it is stored. This enables you to manage all your images from one location, even if the image files themselves are stored in many different places.

There are also many options for distributing your digital images including hard copy, e-mail, the Web, on CD, on DVD, on VHS, and so on.


Troubleshooting

Classic Is Launched When Installing Camera Software

When I install my camera's software, the Classic environment is launched.

This happens if the software that is provided with your camera has not been Carbonized or provided as Cocoa software. The solution to this problem is to check the manufacturer's Web site for updates to the camera's software. Download and install the updated software as soon as you find it.

NOTE

If you don't find Mac OS X software for your camera, make sure that you send e-mail or leave comments with the manufacturer so that it knows you need Mac OS X software for their product. The only way manufacturers will update their software is if they believe that customer demand requires it.

Until Mac OS X–compatible software is available, to download images from your camera, you will have to boot in Mac OS 9 and run the Mac OS 9 software for your camera. (If your Mac was produced after January 2003, this won't be an option for you.)

If your camera supports the PTP, you can use Image Capture or iPhoto to download images from it instead of using its own software.

The Digital Camera Is Not Recognized by Image Capture or iPhoto

When I connect a digital camera to my Mac, neither Image Capture nor iPhoto recognizes the camera, so I can't download images.

This situation occurs when Mac OS X does not support the camera you are using, most likely because your camera does not use PTP. In this case, there are two options to try:

  • Obtain Mac OS X–compatible software for your camera and use that to download images If your camera does not support PTP, you will have to use its own software to download images.

  • If you can, start up in Mac OS 9 and use the camera's Mac OS 9 software to download images Assuming your camera does offer Mac-compatible software, you can always restart under Mac OS 9 and use that version of the software to download images from the camera. Periodically check the manufacturer's Web site to see whether Mac OS X software is available.

In some rare cases, there might be a cable or hardware problem. Use the Apple System Profiler to make sure that your Mac is able to communicate with the camera.

To learn how to use the Apple System Profiler, see "Using the Apple System Profiler to Create a System Profile," p. 814.

The Camera Is Not Mounted on the Desktop

When I connect my camera, I can't access it because it is not mounted on the desktop.

This happens if the driver for your camera is not Mac OS X–compatible. You will need a Mac OS X driver for the camera. You should periodically check the manufacturer's Web site for updates—eventually, the manufacturer of your camera is likely to release Mac OS X drivers for it.

Until Mac OS X–compatible software is available, to download images from your camera you will have to boot in Mac OS 9 and install the Mac OS 9 drivers for your camera. When you connect the camera to your Mac, it should be mounted on the desktop.

Classic Is Launched When Installing Scanner Software

When I install my scanner software, the Classic environment is launched.

This happens if the software that is provided with your scanner has not been Carbonized or provided as Cocoa software. The solution to this problem is to check the manufacturer's Web site for updates to the scanner's software. Download and install the updated software as soon as you find it.

NOTE

If you don't find Mac OS X software for your scanner, make sure that you send e-mail or leave comments with the manufacturer so that it knows you need Mac OS X software for their product. The only way manufacturers will update their software is if they believe that customer demand requires it.


Mac OS X to the Max: Image File Formats

As you deal with various images, you will encounter many different file types. Understanding the more common file types you will come into contact with will make you more effective in creating and editing images. Table 15.6 lists some of the more common image file formats and provides some situations in which they are typically used.

Table 15.6. Common Image File Formats
Name | File Format | Mac OS X Extension | Windows Extension | Comments
TIFF | Tagged Image File Format | .tiff | .tif | Used for photos and other images in which lots of detail is needed. TIFF files are large because they are not compressed in any fashion. When working with an image file on your Mac, using the TIFF format is a good way to maintain maximum quality. However, when transferring the file to someone else, you should save it in one of the compressed formats such as JPEG to make the file smaller.
JPEG | Joint Photographic Experts Group | .jpg | .jpg | Used for photographs and other images in which lots of detail is needed. JPEG is a compressed format, which is the reason that most digital photos are stored in the JPEG format. For example, an image that is 1.2MB in the TIFF format might be only 100KB in JPEG. Even though JPEG files are compressed, they still maintain excellent quality. This is the reason that .jpg images are dominant on the Web.
GIF | Graphics Interchange Format | .gif | .gif | This format was developed by CompuServe and is used primarily for simple geometric images that use only a few colors (256 to be precise). Many of the banners, lines, buttons, and other elements of Web sites are GIF files.
PICT | PICTure | .pict | .pic | This is the original image format for the Mac, and was its "native" format for many years. Under Mac OS X, PICT files don't have a prominent place, and there aren't many situations in which you should use them.
QuickTime | QuickTime Image | .qtif | .qtif | These images are intended to be viewed using QuickTime's Picture Viewer application. The file sizes are relatively small and maintain good quality. If you know a recipent uses QuickTime, this format can be useful. Generally, you should stay with a more standard format, such as JPEG.
Photoshop | Native Photoshop file format | .psd | .psd | This format is natively used by Adobe Photoshop. Typically, you maintain an image on which you are working in this format. When the image is complete, you save it to another format for distribution (such as JPEG).
bmp | Bitmap | .bmp | .bmp | This is the native Windows bitmap file format. It can be useful when exchanging files with Windows PC users. However, one of the other file formats, such as JPEG, is often a better choice.
sgi | Silicon Graphics image format | .sgi | .sgi | This file format is designed for the Silicon Graphics platform. You are most likely to encounter this file type when dealing with 3D images.


Chapter 16. Listening to and Working with Music

In this chapter

Understanding Music on the Mac

Listening to Audio CDs with iTunes

Listening to MP3 Music with iTunes

Customizing Music Playback

Making Your Music Mobile

Troubleshooting

Mac OS X to the Max: More Music


Understanding Music on the Mac

Music is an important part of the digital lifestyle. From listening to tunes while you work or play to creating customized audio tracks for your QuickTime movies, music adds tremendously to your Mac life. In addition to the simple act of listening to music, the Mac enables you to customize your music in almost every respect.

The software you can use to make beautiful music is Apple's iTunes. This software enables you to truly master your music. For example, you can do the following:

  • Listen to audio CDs

  • Listen to MP3 music

  • Listen to music in other formats

  • Convert music to the MP3 format

  • Create and manage custom playlists

  • Create custom audio CDs

  • Download music to a portable MP3 player, the best of which is Apple's iPod

  • Listen to Internet radio

  • Listen to other audio streams from the Internet

NOTE

By default, iTunes is installed when you install Mac OS X. If iTunes isn't installed on your Mac, you can download a copy from www.apple.com/itunes/.

NOTE

You can also use iTunes to listen to audio books and other content from Audible.com. This service offers many audio books you can load into iTunes and listen to or transfer to an MP3 player to take with you. Explaining how to work with Audible content is beyond the scope of this chapter. To learn about this, visit www.apple.com/itunes/audiobooks.html.


Listening to Audio CDs with iTunes

The most basic task for which you use iTunes is to listen to audio CDs. In addition to the capabilities provided by a "regular" CD player, iTunes provides many additional features.

Exploring iTunes

When you launch iTunes and insert an audio CD, you will see the iTunes window (see Figure 16.1).

Figure 16.1. iTunes provides complete control over your music.

The iTunes window consists of two panes—Source and Content—and the control and display area that surrounds those panes.

The first time any user launches iTunes, the iTunes Setup Assistant opens and configures iTunes for that user. For example, the assistant will ask you to accept the license agreement, configure iTunes for playback of Internet music, determine whether iTunes should automatically connect to the Internet to download song information, and automatically locate all MP3 files on your Mac.

The last option is useful if you have previously stored MP3 files and want to import them into iTunes. However, iTunes will be able to import only those MP3 files that iTunes has permission to access (for example, those located in the Public folders).

The Source Pane

The Source pane shows the music sources you have available. The Library contains music tracks you have encoded in MP3; these tunes are always available to you. You can browse the contents of the Library and play any music that it contains. The Radio Source enables you to listen to Internet radio broadcasts. When an audio CD is inserted in your Mac, you will see its icon in the Source pane. After you create playlists, they are also shown in the Source pane; iTunes also includes some default Smart Playlists. When you connect a portable MP3 player to your Mac (such as an iPod), you will see it as a source as well.

The Contents Pane

The right pane of the iTunes window is the Contents pane, which displays the contents of the source that is selected in the Source pane. This pane has several modes; the mode changes automatically to fit the source that is selected. In Figure 16.1, you can see that the pane displays the contents of the music Library, such as the selected Genre, Artist, and Album, along with that album's information, such as song title, track time, artist, album, and genre. The columns in this pane work similarly to those in a Finder window in the List view. For example, you can sort the pane by column by clicking its column title, you can resize the column by dragging its right border, and so on.

When you select a specific source, such as a playlist, the Contents pane transforms into a browse window that enables you to view the contents of that source. A similar view is presented when you select an audio CD. When you select an MP3 player as the source, you will see the contents of its memory in the Contents pane.

NOTE

One of the nice features of iTunes is that it automatically connects to the Internet and downloads information about CDs that you play (you can turn this feature off if you want to by choosing iTunes, Preferences; clicking the General button; and then unchecking the "Connect to Internet when needed" check box).

Controls and Display Area

Surrounding these two panes is the control and display area. In this area, you see various controls you can use; the Action button seen in the upper-right corner of the iTunes window changes depending on the source that is selected. When you have an audio CD selected, this button is the Import button, which enables you to create MP3, AIFF, or WAV files from your music. When you have a playlist selected, this becomes the Burn CD button, which enables you to create an audio CD from a selected playlist.

NOTE

AIFF, or Audio Interchange File Format, is a standard audio format that is used to move audio content among applications. WAV, or Waveform Audio File, is a standard audio file format on the PC. iTunes can work with either of these file formats just as well as it can work with MP3. However, because MP3 is the format most widely used for music, the MP3 format is the focus of this chapter.

In the upper-left corner of the window, you see the playback controls, which include rewind/jump to previous track; play, stop, or pause; fast forward/jump to the next track, and the volume slider. These are self-explanatory, and they change depending on the context (for example, when you are playing a CD, the Stop button appears, but when you stop the music, it becomes the Play button).

Just under iTunes at the top of the window, you see the display area. This area also has several modes; you can change these using the Mode control button. One mode displays a graphic equalizer representation of the music that is playing. In another mode, it shows the title of the track that is playing along with a progress bar. When you are encoding a song, it displays a progress bar that shows the progress of the import. In certain situations, this area also contains a Stop button you can use to stop what is happening (such as when you are creating MP3 files). You will see examples of these modes in the various figures in this chapter.

TIP

The name of the track, artist, and album it comes from rotate above the time display; you can change from one to the other by clicking above the progress bar in the display window. You can also switch from the remaining time display to the total time display or elapsed time by clicking the time being displayed.

To the right of the display area is the Search box. You can use this to narrow the contents shown in the Contents pane for any source you select, such as your Library or a CD. Type text in this box and the Contents pane will be narrowed so that it shows only items that contain the text (the text can be in any of the columns shown in the pane) you type. For example, to find all of the items in your Library that have the word "strange" somehow connected with them, you would type strange in the Search box. The Contents pane would then show only those items whose name, artist, or other data contain that text. In this example, if you had selected a source containing the song "Strangers in the Night" and also had a song by Eddie Strange, both of these songs would appear in the Source pane.

In the lower-right corner of the window is the Eject button, which as its name implies, ejects the current CD.

TIP

If you have an Apple Pro keyboard or are using a PowerBook or iBook, you can eject a CD by pressing its Eject key. However, if the CD is playing, the Eject key is disabled so you will have to use the Eject icon or the keyboard shortcut ( [image] +E).

To the left of the Eject button is the Show Visuals button. If you click this button, the center part of the iTunes window becomes a throwback to the 1960s and you see visual effects while the music plays (see Figure 16.2). You can control the size of the visuals and turn them off or on by choosing the commands on the Visuals menu. It is also possible to add additional visuals to iTunes and switch among them.

Figure 16.2. If you want to see as well as hear your music, use iTunes Visual mode.

NOTE

To add additional visuals, download them and place them in the following directory:

Home/Library/iTunes/iTunes Plug-ins/

You can choose the visual to see by choosing it on the Visuals menu.

TIP

When you display the Visuals, the Action button becomes Options. If you click this, you can set various preferences relating the appearance of the visuals, such as the frame rate, whether song information is displayed, and so on.

In the center of the window on the bottom, you will see information about the currently selected source. For example, when you are listening to a CD, you see how many songs are on the CD, the total time, and the total size of all the data on the CD.

TIP

If you leave iTunes open, Visuals on, but no music playing, you get some pretty interesting visual effects.

In the lower-left corner of the window, you see three more buttons. On the right in this group is the Repeat button, which enables you to repeat whatever you are playing. If you click this button once, the source will repeat until you stop it. If you click this button twice, the source will repeat one time. In the center of these three buttons is the Shuffle button. When you click this, the tracks of the source are played in a random order. The far-left button is the Add Playlist button (you will learn about playlists later in this chapter).

All these controls work similarly in the various modes, and after you use them a bit, they will become second nature to you.

NOTE

The commands for the controls, such as Shuffle, Repeat, and Eject, also appear on the Controls menu. And there are also keyboard shortcuts for many of them (you will see these in the "Mac OS X to the Max" section at the end of this chapter).

Playing an Audio CD

CAUTION

Some audio CDs use copyright protection schemes that prevent you from listening to the CD on a computer (with the idea being that you won't be able to make MP3 versions of the songs for illegal purposes). Unfortunately, not only will these CDs not work in your Mac, but they can actually cause damage. Before playing a CD in your Mac, check the label carefully to make sure its label doesn't contain any warnings about playing the CD in a computer or that the CD is not copy-protected. If it does, don't try to use the CD in your Mac.

Playing an audio CD is pretty straightforward. The following steps give you a quick run-through of the process for launching iTunes and playing a CD:

  1. Insert the audio CD. iTunes will open (if it isn't open already) and move to the front. You will see a message telling you that iTunes is looking up the CD on the CDDB database. Depending on how you connect to the Internet, this process can take a few moments. If multiple matches are found for the CD, you will be prompted to choose the correct one. Do so, and then click OK.

    NOTE

    If you have turned off the preference allowing iTunes to automatically check for information, this step will be skipped. Also, if you have a dial-up connection and you don't allow applications to automatically connect, you will have to make the connection manually for this to work.

    The iTunes window will appear.

    TIP

    By default, iTunes will launch automatically when you insert an audio CD. However, you can use the CDs & DVDs pane of the System Preferences utility to choose some other action when you insert an audio CD if you prefer. By default, iTunes is launched, but you can just as easily have your Mac take some other action, such as running an AppleScript.

  2. The CD should be selected as the source automatically; if it isn't, select the CD as the source. You will see its contents in the Contents pane. You might have to resize the window and the columns to be able to see all the CD's information.

  3. Click the Play button and use the other playback controls to control the music.

TIP

You can play a track by double-clicking it. If you uncheck the check box next to a track's title, it will be skipped. You can change the order in which tracks will play by dragging them up and down in the window; iTunes remembers this order and the next time you insert the CD, the same order will be used.

The track that is currently playing is marked with a speaker icon in the Contents pane. You can jump to the current song by choosing Edit, Show Current Song ( [image] +L).

Configuring iTunes

There are several ways in which you can customize iTunes for music playback.

If you click the Maximize button (the green one), the iTunes window will shrink down so that only the playback controls and display are shown (see Figure 16.3). You can use the Resize handle to reduce the size of the window even further until only the playback, window, and volume controls are shown. Click the Maximize button again to restore the iTunes window to its full size.

Figure 16.3. In this mode, the iTunes window takes up much less screen real estate.

Of course, in the full-size mode, you can manually resize the window by dragging its resize handle. Making it larger will display more information. Making smaller will display less; the window has a minimum size that is quite a bit larger than the reduced size you get with the Maximize button.

TIP

If you click the Close button in the iTunes window, its window will disappear, but the music will continue to play. When you move from iTunes into another application, such as the Finder, and then back into iTunes, its window will appear again. You can also display the window by choosing Window, iTunes.

There are also various preferences you can use to control how music plays. To see the options, choose iTunes, Preferences. The iTunes Preferences dialog box has five groups of preferences that are represented by the five icons in the dialog box's toolbar. By default, the General preferences icon is selected (see Figure 16.4).

Figure 16.4. Using the General preference controls, you can control the general appearance of the iTunes window, what happens when you insert a CD, and how iTunes interacts with the Internet.

With the General preference tools, you can control the following preferences:

  • Use the Source Text and Song Text pop-up menus to control the size of the font used in the Source and Content panes.

  • Use the "Show genre when browsing" check box to add the Genre column when you are browsing the Library (you will learn more about this shortly).

  • Use the On CD Insert pop-up menu to control what happens when you insert an audio CD into your Mac. The options are Show Songs, Begin Playing, Import Songs, or Import Songs and Eject.

  • In the Internet section, use the check box to turn off the automatic lookup feature if you don't want it to be used. Use the Set button to set iTunes as the default application for playing all music on the Internet.

NOTE

When you are first building up your music Library, the Import Songs and Eject setting is convenient because it speeds up the creation of your music Library. Even after your Library is complete, you will likely want to use this option because it will automatically import any new CDs you insert into your Mac. After you have imported a CD into iTunes, you aren't likely to ever need to insert it into your Mac again.

You'll learn more about the other preferences controls later in this chapter.


Listening to MP3 Music with iTunes

The MP3 file format has revolutionized the way music is obtained and listened to. From the Napster controversy to pocket-size MP3 players to being able to store an entire music collection using only a few gigabytes of disk space, MP3 has had more effect on music than almost any other innovation (certainly any digital innovation, anyway). iTunes provides all the MP3 tools you need in order to listen to and create your own MP3 music.

NOTE

Depending on how you got your copy of iTunes, the Library might contain songs already. For example, if you purchased a new Mac that had iTunes installed on it, Apple might have preloaded some music in your Library. You can use or remove these songs as you prefer.

Understanding MP3

MP3 is the acronym for the audio compression scheme called Moving Picture Experts Group (MPEG) audio layer 3. The revolutionary aspect of the MP3 encoding scheme is that music data can be stored in files that are only about one twelfth the size of unencoded digital music without a noticeable degradation in the quality of the music. A typical music CD consumes about 650MB of storage space. The same music encoded in the MP3 format shrinks down to about 55MB. Put another way, a single 3.5-minute song shrinks from its 35MB on audio CD down to a paltry 3MB or so. This small file size opens up a world of possibilities.

The other aspect of MP3 that has made it so amazingly popular is that it is quite easy to convert different music formats into MP3.

These two factors alone have changed forever the way music is made, distributed, and listened to.

The first, and most famous (or infamous depending on your point of view), is the ability to move music files over the Internet. Although downloading a 35MB file is prohibitive for everyone except those who have access to high-bandwidth connections, moving a 3MB MP3 file is practical for just about everyone. In addition to the controversial practice of sharing music (sometimes copyrighted music), MP3 over the Internet also has more legitimate uses. Artists can create MP3 music and distribute it over the Internet without requiring that they sign with a record company. This makes self-promotion possible and can eliminate the "middleman" from the music arena. As never before, music can move directly from the musician to anyone anywhere in the world.

Copyright Conscious

Musicians creating their own MP3 files and distributing them over the Net is certainly legitimate. However, it is not legitimate to create MP3 files of someone else's music and distribute them without the appropriate legal permission to do so.

Napster and other music "sharing" sites violate the letter and spirit of copyright laws because people other than those who own the rights to the music are the ones who are distributing it.

When you are dealing with music, you need to be very conscious of copyright status of any music with which you work. Although copyright laws are very complex, the basic idea behind them is not. Simply put, you cannot distribute material to which someone else holds a copyright without their permission (written) to do so.

Unless you create the music yourself (not simply encoding it yourself), you should not distribute it in any form. The exceptions are when you have received a license to use that music or when the music is in the public domain.

A second benefit of MP3 files' small size is that it becomes possible to store an entire music collection in a relatively small amount of disk space, thus eliminating the need to bother with individual CDs. An entire music collection can be easily stored, organized, and accessed with a few clicks of a mouse. And using playlists, that music can be listened to in many different ways.

Third, MP3 has created a new class of portable music devices. Because MP3 files can be stored in small amounts of memory, devices with no moving parts can store and play a decent amount of music. Other devices contain small hard drives and can store huge amounts of music, making it possible to take your entire music collection with you wherever you go. These devices are extremely small and lightweight, and their contents can be easily managed.

Following are the two main sources of MP3 music to which you can listen:

  • MP3 files you download from the Internet

  • Music you encode yourself

Downloading MP3 Files

Although illegal sharing of MP3 files is done over the Internet, there are also many legitimate sites from which you can download MP3 files to listen to. You might wonder why musicians would post their music in MP3 format on such sites. One reason is that they feel a desire to freely share their music with the world. Another reason is that the musicians hope that when you listen to their music, you will like it so much that you will purchase more of it (usually on audio CDs). Either way, you win because there is plenty of great music in the MP3 format that you can listen to.

To find sites from which you can download MP3 files, I recommend that you start at www.mp3.com. This site has thousands of songs you can listen to online and download to your Mac. You can browse music by genre and you can search for music. Whatever way you do it, you are likely to find more music to listen to than you have time to listen to!

TIP

The mp3.com music site enables you to preview songs before you download them. You should take advantage of this to prevent wasting the time required to download music that you don't like and will end up deleting later anyway.

Downloading MP3 files is done in the same way as other files.

To learn how to download files from the Web, see "Downloading and Preparing Files," p. 345.

Preparing Your iTunes Music Collection

After you start using MP3 music (especially after you have started to encode your own music), you will end up with hundreds of MP3 music files. You should understand how iTunes references these files and where iTunes stores the MP3 files you use it to create. You should also develop a music organization and storage scheme so that you keep your music organized and don't end up losing any of it (or having duplicate copies).

By default, iTunes stores all the MP3 files that you use it to create in the following location:

Home/Music/iTunes/iTunes Music/

In the iTunes folder in your Home's Music directory, you will see the iTunes Music Library file and the iTunes Music folder. Within the iTunes Music folder, the music files are contained within folders that are named with the artist's name. Within each artist's folder, each album has its own folder.

The MP3 files you download from the Web will be stored wherever you have set files to be downloaded. It is a good idea to organize music you download in a central location. If you are going to add the songs you download into iTunes, you should store them in the iTunes Music folder, just as iTunes would do if it encoded the files for you. This helps you keep your music organized in a consistent fashion.

NOTE

If you want to share the music you encode with other users of your Mac, you should store it in your Public folder. Other users can then add that music to their iTunes Library and create their own playlists.

Listening to MP3 Music

After you have downloaded MP3 files, you add them to the iTunes library.

It is a good idea to have iTunes store files you download in the iTunes music folder so that all of your music is stored and organized in the same way.

  1. Choose iTunes, Preferences.

  2. Click the Advanced icon.

  3. Check the "Keep iTunes Music folder organized" check box if it isn't already checked.

  4. Check the "Copy files to iTunes Music folder when adding to library" check box if it isn't already checked. This causes iTunes to place copies of MP3 songs in the appropriate iTunes Music folders.

  5. Click OK.

The other options in the Advanced pane of the iTunes Preferences dialog box bear some mention here.

You can use the iTunes Music Folder Location to change the location of your iTunes Music folder. You might want to do this if your startup volume doesn't have a lot of room and you want to store your music elsewhere. Or you might want to store your iTunes music in the Public folder so that everyone who uses your Mac can access it.

The Streaming Buffer Size pop-up menu is used to configure the size of the buffer that iTunes uses when it is playing streaming music from the Net. A larger buffer will tend to play music more smoothly because it can handle longer interruptions in the flow of music to your Mac.

The Shuffle By buttons determine whether iTunes shuffles music by song or album when you play music in the Shuffle mode.

After you have configured iTunes to store the music you add in an organized way, add the music to your library.

  1. Choose File, Add to Library.

  2. In the Add To Library dialog box, move to the MP3 files you want to add to your Library, select them, and click Choose.

    NOTE

    If you have unchecked the "Copy files to iTunes Music folder when adding to library" check box for some reason, you will see a dialog box explaining that iTunes doesn't actually move the files, but it uses a reference to the files you choose. (If this check box is checked, iTunes does make a copy and places it in the appropriate location.) Just read the information in the dialog box and click OK.

  3. Click OK in the dialog box.

The files will be added to your Library.

Before you start listening, make sure that the Genre column is displayed when you browse music because this information can help you get to specific artists and albums more quickly.

  1. Choose iTunes, Preferences.

  2. Click the General icon.

  3. Check the "Show genre when browsing" check box.

  4. Click OK.

Finding and listening to music in the Library is a piece of cake.

TIP

If you have added songs to your library that are scattered all over your Mac, choose Advanced, Consolidate Library to have iTunes place copies of all your music in the iTunes folder. This organizes all of your music files in a single step.

After you have added MP3 songs to your library, you listen to them just like songs on an audio CD.

  1. Choose the Library as the source.

  2. Click the Browse Action button to place iTunes in the Browse mode if it isn't already (see Figure 16.5). The Action button changes depending on the mode in which you are using iTunes. For example, when you choose a playlist, it becomes the Burn button so that you can burn that playlist onto a CD. When you are working with an MP3 player, it becomes the Options button, which enables you to set options for the player.

    Figure 16.5. In the Browse mode, you can easily see all the music contained in your Library.

  3. Click an artist or an album that contains the songs you want to hear. The lower pane of the window will show the contents of whatever you select in the upper pane of the window. For example, to see all the albums by an artist, click that artist's name. In the Album pane, you will see all the albums for that artist. To see the tracks on that album, click its name in the Album column. In the Contents pane of the window, you will see all the tracks on the selected album. To see all the contents of a selected item again, click All.

  4. In the lower pane, select the song you want to listen to and click the Play button, or just double-click the song.

TIP

In the panes of the Browse window, you will see All at the top of each list. When you choose All, all the items in that part of the window will be selected (and played if you click the Play button). For example, if you choose an artist in the Artist column, select All in the Album column, and click Play, all of the albums by that artist will be played. Similarly, if you select All in the Album window and then click Play, all of your albums will be played.

The other controls work just as they do for a CD, such as the check box, Shuffle button, and so on. You can also use the check box to skip songs and play a song by double-clicking it just as you can when you listen to a CD.

If iTunes can't find an MP3 song that you have added to the Library, see "iTunes Can't Find a Song in My Library" in the Troubleshooting section at the end of this chapter.

Using the iTunes Library, Standard Playlists, and Smart Playlists

So far, listening to music with iTunes isn't that much different from using a regular CD player (aside from the ability to download songs, that is). The real power of iTunes is in the ability to completely customize your music.

Earlier you learned about the iTunes Library. This area doesn't actually contain any music—its contents consist of a listing of pointers to MP3 files that are stored on your Mac. That is a key reason why I suggested earlier that you let iTunes organize your MP3 files when you add them to your iTunes Library.

The benefit of creating and using pointers to music files is that you can create customized sublibraries, called playlists, of songs you want to hear. These playlists act like albums—they contain specific sets of songs.

There are two types of playlists. Standard playlists contain a fixed set of songs you select. Smart playlists use a set of criteria that you define to select a playlist's contents dynamically.

TIP

A great way to get a playlist started is to select the songs you want it to contain and then choose File, New Playlist From Selection (or press Shift+ [image] +N). A new playlist will be created and the songs you selected will be added to it.

Creating and Using Standard Playlists

You can create your own standard playlists and add any songs in your library to them. The contents of a standard playlist remain the same until you change them manually. You can add the same song to more than one playlist and you can add the song to the same playlist more than one time. To create a playlist and add music to it, do the following:

  1. Click the New Playlist button or choose File, New Playlist (press [image] +N). You will see a new, untitled playlist in the Source pane.

  2. Name the new playlist—the name is highlighted and ready to edit immediately after you create it. (You can also edit playlist names by clicking on them and waiting a second or so until the name becomes highlighted.)

  3. Click Library to browse your Library to locate songs you want to add to the new playlist.

  4. You can also use the Search field to find the tracks you want to add to your playlist.

  5. Drag the tracks you want to add from the Contents pane of the Library onto the name of the playlist you created (the playlist will be highlighted when the track is on top of it).

  6. Continue adding tracks to the playlist.

  7. Select the playlist in the Source pane to see its contents (see Figure 16.6).

    Figure 16.6. This playlist contains songs from several movie soundtracks.

  8. Set the order in which the tracks will play by dragging them up or down in the Contents pane.

NOTE

As you can see in Figure 16.6, iTunes doesn't always get correct information, especially for music collections and movie soundtracks. (The Artist shown for the music from the movie Braveheart in Figure 16.6 is Various Artists when it should be the soundtrack's creator.) If the incorrect information bothers you, use the Info window to correct it (you'll learn about that later in this chapter).

At the bottom of the iTunes window, you will see the number of songs in the playlist, their total playing time (in Figure 16.6, you can see that it would take more than 8 hours to listen to the selected playlist), and the size of the files you have referenced in the playlist. Because a playlist contains only pointers to tracks, its file size is quite small. However, this size information is very useful when you want to place the playlist on a portable MP3 device or when you want to burn a CD. You can use the size information to ensure that the playlist will fit in the device's available memory.

Listening to a playlist is just like listening to a CD. Select the playlist you want to hear and use the iTunes playback controls to listen to it.

You can delete entire playlists, delete specific songs from a playlist, or remove songs from the Library by selecting the items you want to remove and pressing Delete. You will see a warning dialog box; if you click OK, the playlist or song is removed (when you remove a song from a playlist, the original MP3 file is not affected). If you remove an MP3 file that you created using iTunes, you see a second dialog box asking whether you want iTunes to place the original file in the Trash. If you click OK, the file will also be moved to the Trash. If you click Cancel, the original file will remain on your Mac (you can add it back to the Library if you want to listen to it again).

Creating and Using Smart Playlists

Standard playlists are cool because they enable you to create custom albums for your listening pleasure. However, listening to the same playlists over and over can get a bit dull. This is where smart playlists come in. These playlists are generated by defining a set of criteria for the music that you want to be included in the playlist. Then, each time you play that playlist, the specific songs included are determined dynamically by applying the playlist's criteria to your library. For example, Apple includes the Recently Played smart playlist in iTunes by default. By default, this playlist contains the songs you have played in the past two weeks. The contents of this playlist will change over time as you listen to different music, and, unless you listen only to this playlist, it will never be exactly the same twice.

The criteria you use for a smart playlist can be based on one or more attributes, and you can also limit the size of the playlists to a specific number of songs.

Different icons are used to differentiate smart playlists from standard ones (see Figure 16.1).

To create a smart playlist, follow these steps:

  1. Choose File, New Smart Playlist (or press Option+ [image] +N). The Smart Playlist dialog box will appear. This dialog box has two tabs: Simple and Advanced. The Simple tab enables you to create a playlist based on one criterion (Artist, Composer, or Genre). The Advanced tab enables you to configure more complex playlists.

    TIP

    If you hold down the Option key, the New Playlist button becomes the New Smart Playlist button. Click it to create a new smart playlist.

  2. Click the Advanced tab (see Figure 16.7).

    Figure 16.7. Using the Advanced tab of the Smart Playlist dialog box, you can create fairly complex criteria for your playlist.

  3. Check the "Match the following condition" check box.

  4. Choose the condition you want to match on the first pop-up menu (it will contain Artist by default). You have many options, including Album, Composer, Date Added, Genre, and so on. For example, choose Genre to use that as the condition.

  5. Choose the operand for the condition on the next pop-up menu. You have the usual options: contains, does not contain, is, is not, and so on. For this example, choose contains.

  6. Enter the value for the condition in the empty field. For example, type jazz to find all the music that contains jazz in its genre description.

    TIP

    As you type, iTunes will try to match what you type with existing information. For example, when you select Genre, it will match the genres it includes as you type.

  7. Add another condition by clicking the Add Condition button (+).

    NOTE

    As you add and configure conditions, iTunes will add or remove pop-up menus as needed to configure that condition. For example, if you choose Date Added as a condition and "is in the last" as the operand, a new pop-up menu will appear to enable you to choose days, weeks, or months.

  8. Repeat Steps 4 through 6 for the second condition.

    TIP

    You can remove a condition by clicking the Remove Condition button (–) next to it.

  9. Keep adding and configuring conditions until you have created all of them.

  10. Use the pop-up menu next to the word Match (this appears only after your playlist includes at least two conditions) to define whether all or any of the conditions must be met for a song to be included in the playlist. If you choose all, each condition will have to be true for a song to be played. If you choose any, only one of the conditions will have to be true for a song to be played.

  11. If you want to limit the number of songs in the playlist, check the "Limit" check box.

  12. Choose the criteria by which you want to limit the number of songs from the pop-up menu. Your options include songs (meaning number of songs), hours, minutes, GB (of disk space), or MB.

  13. Enter the number by which you want to limit the playlist in the field next to the pop-up menu. (This would make more sense if the field were located to the right of the pop-up menu.)

  14. Choose the order in which you want the songs to play on the pop-up menu labeled selected by. Your choices include random, album, artist, and so on.

  15. To make the list dynamic, check the "Live updating" check box. If this is checked, the conditions will be reapplied each time you play the playlist. If it's not checked, the conditions will be applied only the first time you play the list and it won't change over time.

  16. Review your conditions to make sure you have them right (see Figure 16.8).

    Figure 16.8. This smart playlist would play (in random order) four hours of the jazz songs I have added to my library within the past month.

  17. Click OK. The smart playlist will appear in the Source pane. iTunes will attempt to name it according to one of the conditions it contains.

  18. Edit the name of the playlist to make it meaningful to you.

You play smart playlists just like standard playlists. For example, when you select a smart playlist, its current contents appear in the Source pane (a dynamic list's contents will change over time). To play the playlist, click the Play button. The difference is that if you have enabled the live updating feature, a smart playlist might be different each time you play it.

You can also edit the default smart playlists that Apple has provided for you or smart playlists that you create.

  1. Select the smart playlist you want to edit.

  2. Choose File, Get Info (or press [image] +I). The Smart Playlist dialog box will appear.

  3. Use the controls to edit a smart playlist in the same way as when you create a smart playlist.

  4. When you are done making changes, click OK. The playlist will use the updated conditions the next time you play it.
Browsing Playlists

You can browse playlists just as you browse your entire library.

  1. Select the playlist you want to browse.

  2. Choose Edit, Show Browser (or press [image] +B). The Browse pane will appear at the top of the window, and you can view the Genre, Artist, and Album information for the songs included in the playlist.

Configuring Views for Sources

You can customize the columns shown for each source in the Source pane, including playlists, CDs, and so on.

  1. Select the source whose view you want to configure.

  2. Choose Edit, View Options (or press [image] +J). The View Options dialog box will appear; the name of the selected source appears at the top of the dialog box.

  3. Check the check boxes for the columns you want to see in the Content pane when you select that source. You can choose from among many options, including Album, Artist, Comment, Date Added, Genre, and so on.

  4. Uncheck the check boxes for those columns you don't want to see.

  5. Click OK. When you select the source, you will see only the columns you selected.

TIP

You can also customize the view for a source by holding down the Control key while you click in a column heading. A pop-up menu will appear and you can quickly add or remove individual columns. You can also have iTunes automatically size one or all columns in the window.

The custom view you create is saved and it returns each time you select that source. You can have different view options for each source you view (meaning your library, every playlist, each CD, and so on).

Using the Info Window for a Track

You can view various items of information, input information, and change several options using the Info window for tracks. To see a track's Info window, select it and choose File, Get Info ( [image] +I). The Song Information window will appear (see Figure 16.9).

Figure 16.9. The Info window for a track enables you to view information about a track, and you can also add your own information about that track.

Click the Info tab to see the Info pane of the window. On this pane, you can see detailed information about that track, including the kind of file it is, its time, its size, where it is stored, the application that encoded it, and so on. In the name field at the top of the window, you can edit the track's name.

NOTE

The Prev Song and Next Song buttons open the Info window for the previous or next songs in the selected source, respectively.

Click the Tags pane to see the tag information for the track—tag information is the data that appears in the Contents pane for that track (see Figure 16.10). The information you see was downloaded by iTunes from the Internet. You can change any of the information shown and add your own information to any empty fields (such as the Comments field).

Figure 16.10. You can edit the tag information for any song in your Library.

Click the Options tab to view the Options pane (see Figure 16.11). In this pane, you can use the Volume Adjustment slider to set the relative volume of a track. You can choose the Equalizer preset that should be used to play the song (you'll learn about the Equalizer later in this chapter). You can rate the song by clicking one of the dots in the My Rating box; when you do, stars will appear according to your rating (click the third dot and get three stars). You can also control the song's start and stop time.

Figure 16.11. One of the best uses of the Options control is to set the relative volume of tracks.

Creating MP3 Music with iTunes

The second source, and probably the more important one, of MP3 files for your iTunes Library is your own audio CD collection. You can encode the music on your audio CDs into the MP3 format and add those MP3 files to your music Library (and then add the songs to any playlists you want). In iTunes lingo, this is called importing music. In more general lingo, this process is called ripping tracks. Either way, creating MP3 tracks from your audio CDs is really powerful.

CAUTION

Some audio CDs use copyright protection schemes that prevent you from listening to the CD on a computer (with the idea being that you won't be able to make MP3 versions of the songs for illegal purposes). Unfortunately, not only will these CDs not work in your Mac, but they can actually cause damage. Before playing a CD in your Mac, check the label carefully to make sure its label doesn't contain any warnings about playing the CD in a computer or that the CD is not copy-protected. If it does, don't try to use the CD in your Mac.

Encoding Music with iTunes

Encoding audio CDs into MP3 files is straightforward. About the only complexity you will encounter is the choice of specific encoding settings you want to use.

NOTE

If you set the preference to encode CDs when you insert them, each track on a CD that you insert in your Mac will be imported. By default, music plays while you encode as well.

To encode music from a CD into the MP3 format, use the following steps:

  1. Insert the CD containing the songs you want to encode. iTunes will connect to the Internet and identify the CD (again, assuming that you haven't disabled this feature).

  2. Select the CD in the Source pane (if you just inserted it, it will be selected by default).

  3. Check the check box next to the title of each song you want to encode—by default, every track is selected.

  4. Click the Import action button.

TIP

You can cancel the encoding process by clicking the small X at the right end of the encoding progress bar in the Display area.

iTunes will begin to encode the songs you selected. Depending on how fast your Mac is and the number of songs you selected, this process can take from a minute or two to half an hour or so. You can see the progress of the encoding process in the iTunes display window (see Figure 16.12).

Figure 16.12. This iTunes window shows a CD being encoded; information about the song currently being encoded is shown in the Display area.

TIP

You can listen to the music you are encoding while it is being encoded. You can also listen to other songs in your Library or playlists at the same time that you are encoding other songs.

When the encoding process is completed, the song is marked with a green circle containing a check mark. The resulting MP3 files are added to your Library and you can listen to them from there and add them to playlists.

The MP3 files that iTunes creates are organized by artist and album and by default are stored in the following directory:

Home/Music/iTunes/iTunes Music/

You can find the location of any song in your Library by selecting it and choosing File, Show Song File ( [image] +R). A Finder window containing that MP3 file will be opened and the file will be highlighted.

Just as with other MP3 files in your iTunes Library, pointers to these files, rather than the files themselves, are stored in the Library. You can also use the MP3 files that iTunes creates just like other MP3 files, such as by adding them to playlists or changing their information.

TIP

The fastest and easiest way to encode your CDs is to use the General pane of the iTunes Preferences dialog box to choose Import Songs and Eject on the On CD Insert pop-up menu. Each time you insert a CD, all the songs on it will be encoded, and when the process is complete, the CD will be ejected automatically.

Setting the Quality of MP3 Encoding

Although the default MP3 encoding settings are probably fine, you should understand that you can make adjustments to the particular encoding settings that iTunes uses to convert your music to MP3. The reason that you might want to do this is to get the smallest file sizes possible while retaining an acceptable quality of playback.

The quality of encoded music is determined by the amount of data that is stored in the MP3 file per second of music playback. This is measured in KiloBits Per Second, or Kbps. The higher the number of Kbps, the better the music will sound. Of course, this means that the file size is larger as well. The goal of MP3 encoding is to obtain an acceptable quality of playback while minimizing the size of the resulting MP3 files.

The encoding level you should use depends on several factors, which include the following:

  • Your sensitivity to imperfections If you dislike minor imperfections in music playback, you should use higher-quality encoding settings. If you don't mind the occasional "bump" in the flow of the music, you can probably get away with lower-quality settings.

  • The music you listen to Some music hides "flaws" better than others. For example, you are less likely to notice subtle problems in the music while listening to grinding heavy metal music than when you listen to classical music.

  • How you listen to music If you use a low-quality sound system with poor speakers, you probably won't notice any difference between high-quality and low-quality encoding. If your Mac is connected to a high-fidelity sound system, the differences in music quality will be more noticeable.

iTunes provides three standard levels of encoding: Good, Better, and High. As an experiment, I encoded the same 4-minute song using each of these levels; the results are shown in Table 16.1. These results might or might not match the particular encoding that you do, but they should give you some idea of the effect of quality level settings on file sizes. In this case, I couldn't detect much difference between the quality levels in the sound of the music, so I could save almost 0.5MB per minute of music by sticking with the Good quality level.

Table 16.1. Default Encoding Levels Versus File Size
Quality Level | Data Rate (Kbps) | File Size (MB)
Good | 128 | 3.8
Better | 160 | 4.8
High | 192 | 5.7

You can also use custom encoding levels if the standard levels aren't suitable for you.

The encoding settings that iTunes uses are accessed with the Preferences command.

  1. Choose iTunes, Preferences.

  2. Click the Importing icon (see Figure 16.13).

    Figure 16.13. The Importing pane of the Preferences dialog box enables you to control the encoding used for your music.

  3. Use the Import Using pop-up menu to choose the particular encoder you want to use. You have three options: MP3, AIFF, or WAV. Obviously, you want to use MP3 to create MP3 files.

  4. Use the Configuration pop-up menu to choose the quality level of the encoding. The Settings area of the window will provide information about the encoding level you have selected.

  5. Click OK.

If the "Play songs while importing" check box is checked, the music you encode will play while you are encoding it. The encoding process will finish much earlier than the playing process so music will continue to play after the encoding is done. This can be a bit confusing. If you choose the Import Songs and Eject option on the On CD Insert pop-up menu in the General pane of the Preferences window, the CD will be ejected when the encoding is done. This is a good reminder that you can encode the next CD. (The music from the previous CD will continue to play.)

If the "Create file names with track number" check box is checked, the MP3 files that iTunes creates will have the track number included as a prefix in the filename.

TIP

You can vary the quality level you use from album to album or even from song to song. For example, if you want to play certain songs on a portable MP3 player, you might want to use a lower level for those songs so that you can download more of them to the player.

You might want to create one version of the tracks at low-quality levels and another version at high-quality levels. You could then create a lower-quality playlist to import to an MP3 player.

You can also create and use custom encoding levels if the standard choices aren't suitable. When you set custom encoding, you have the following options:

  • Bit Rate You can control the bit rate for both mono and stereo encoding. For each, you can choose rates between 8Kbps and 320Kbps. The higher the bit rate, the better the quality, and the larger the file size will be.

  • Variable Bit Rate Encoding With this option turned on, the encoder uses a "guaranteed" minimum bit rate. You can set the level of this encoding using a secondary Quality setting that ranges from Lowest to Highest.

  • Smart Encoding Adjustments This setting enables iTunes to adjust the encoding rates as needed to maintain the optimal ratio of music quality to file size. Unless you have a specific reason not to use this feature, you should leave it turned on.

  • Filter Frequencies Below 10 Hz Music frequencies below 10 Hz are not audible, so there is really no reason to include them in the encoding process because it wastes disk space. This feature should be left on as well.

  • Sample Rate Music is encoded by taking a "sample" of the bits that make up specific instances in the music at various speeds. The rate at which these samples are captured, called sample rate, affects the quality of the music. Higher sample rates result in higher-quality music (again, more data is collected per second of music). You can choose a specific sample rate from the Sample Rate pop-up menu, or you can leave the default Auto setting (which enables iTunes to choose the sample rate).

  • Channels You can choose to capture one channel of music (Mono), both channels (Stereo), or let iTunes decide which to use (Auto).

  • Stereo Mode Your choices here are Normal or Joint Stereo.

To set custom encoding, follow these steps:

  1. Open the Preferences window, and click the Importing icon.

  2. Using the Configuration menu, choose Custom. You will see the MP3 Encoder dialog box.

  3. Use the pop-up menus, check boxes, and radio buttons to configure the MP3 encoder.

  4. Click OK when you are done. You will return to the Preferences dialog box. In the Settings area, you will see a summary of the custom settings you created.

  5. Click OK to close the Preferences window. The custom encoding settings will be used the next time you encode music.


Customizing Music Playback

iTunes provides extensive control over how your music sounds when you play it. There are two general ways you can control how your music sounds. You can configure the iTunes effects preferences and you can use the built-in iTunes Equalizer.

Using iTunes Effects

iTunes includes three effects preferences you can set to control how music sounds. These effects are configured on the Effects pane of the iTunes Preferences dialog box.

  1. Open the iTunes Preferences and click the Effects icon.

  2. Use the "Crossfade Playback" check box and slider to control the amount of silent time between songs in your playlists. To control this time, check the check box and use the slide to set the amount of silent time. If the slider is set to 0, there will be no silence; one song will fade directly into the next. Set the slider to a value up to 12 seconds to have that amount of silence between tracks.

  3. Use the "Sound Enhancer" check box and slide to enable iTunes to apply digital effects to your music to improve its quality (that is a matter of opinion, of course). To enable this feature, check the "Sound Enhancer" check box and use the slider to set the relative amount of enhancing that iTunes does.

  4. To have iTunes automatically adjust the volume of each song as it plays to the same level, check the "Sound Check" check box. This avoids dramatic changes in volume level when you listen to various music.

  5. Click OK. The effects you configured will be applied to all of your music as you play it.

Using the iTunes Equalizer

iTunes includes a graphic equalizer you can use to fine-tune the music you listen to. As with hardware graphic equalizers, you can adjust the relative volume levels of various audio frequencies to suit your preferences. Unlike with hardware graphic equalizers, you can select different preset configurations, and you can create your own configurations. You can apply an equalizer configuration to your music even down to individual songs so that each tune can have its own equalization.

To work with the Equalizer, perform the following steps:

  1. Click the Equalizer button; choose Window, Equalizer; or press [image] +2. The Equalizer window will appear (see Figure 16.14).

    Figure 16.14. These Equalizer settings are designed for Classical music and emphasize both bass and treble frequencies.

  2. To activate the Equalizer, check the "On" check box (it is on by default).

  3. Choose the Equalizer preset configuration you want from the pop-up menu. All iTunes music you play will be adjusted according to the preset you selected.

Use the following ideas as you equalize your own music:

  • Use the Preamp slider to change the relative volume level for every song. This is useful when a piece of music is recorded at a particularly high or low volume level.

  • Create your own Equalizer settings by first choosing Manual from the pop-up menu. Then drag the slider for each frequency to the volume level at which you want that frequency to be played.

  • Add your custom Equalizer settings to the pop-up menu by configuring the Equalizer and choosing Make Preset from the pop-up menu. In the Make Preset dialog box, name your preset and click OK. Your preset will be added to the list and you can choose it just as you can one of the iTunes default settings.

  • Edit the list of presets by choosing Edit List from the pop-up menu. The Edit Presets dialog box will appear. You can use to this to rename or delete any of the presets, including the default presets.

You can also associate Equalizer presets with specific songs.

  1. Select the song to which you want to apply a preset.

  2. Choose File, Get Info (or press [image] +I). The Song Information window will appear.

  3. Click the Options tab.

  4. On the Equalizer Preset pop-up menu, choose the preset you want to be used for that song.

  5. Click OK. When that song plays, the preset selected will be used.

If you frequently apply equalizer presets to songs, use the View Options dialog box to have the Equalizer column displayed in the Content pane. This column includes an Equalizer preset pop-up menu from which you can choose a preset for a song.


Making Your Music Mobile

With all this great music, you aren't likely to want to limit your listening pleasure to those times when you are working at your Mac. There are two ways in which you can make your iTunes music "mobile": by creating your own music CDs or by using a portable MP3 player.

Using iTunes to Create Custom Music CDs

With a Mac and a supported CD recordable drive, you can use iTunes to create your own music CDs. These CDs can contain specific playlists that you can then listen to in your car, on portable CD players, and so on.

CAUTION

If you have a CD recording application installed on your Mac, such as Adaptec's popular Toast, you might have trouble getting iTunes to record CDs. If you experience problems when you attempt to record CDs using iTunes, remove any other CD writing applications you have installed.

The general steps to use iTunes to record a custom CD are the following:

  1. Install and configure your CD recorder.

    For information about installing and using CD-R and CD-RW drives, see "Finding, Installing, and Using a CD Writer," p. 695.

  2. Create the playlist from which you want to create a CD.

  3. Configure iTunes for CD burning.

  4. Record the CD.

NOTE

The process of recording a CD is more commonly called burning a CD, which is the terminology that iTunes uses.

Steps 1 and 3 have to be done only once, so after your system is properly configured, you can burn subsequent CDs quite easily.

Configuring Your CD Recorder in iTunes

Before you can burn a CD, you need to make sure that your CD recorder is properly configured.

  1. Turn on your CD recorder (if it is an external model).

  2. Open the iTunes Preferences dialog box and click the Burning icon.

  3. Ensure that your CD recorder appears next to the "CD Burner" text at the top of the Burning pane.

    If iTunes does not recognize that you have a supported CD-R or CD-RW drive, see "iTunes Can't Find My CD Recorder" in the Troubleshooting section at the end of this chapter.

  4. Set the Burn Speed to the appropriate speed. Try the higher speeds first, but if recording doesn't work properly, reduce the speed. A safe recoding speed is 2x. Unless you are in a tremendous hurry to get a CD done, this will probably be plenty fast for you.

  5. To record an audio CD that will be compatible with standard audio CD players, click the "Audio CD" radio button and set the amount of quiet time between tracks on the CD by using the Gap Between Songs pop-up menu.

  6. To record an MP3 CD, click the "MP3 CD" radio button.

  7. Click OK.
Burning a CD

When your system is configured properly, you are ready to create the CD.

  1. Create the playlist you want to put on the CD. Make sure that the songs are in the order in which you want to listen to them. Also make sure that the playlist contains fewer minutes of music than your CD-R media is rated for—select the playlist and look at the bottom of the iTunes window. Most CD-R media is rated for 70-80 minutes so your playlist should be less than this.

  2. Select the playlist you want to place on the CD.

  3. Click the Burn CD action button. You will be prompted to insert a blank CD.

  4. Insert the blank CD and close the drive (unless you have a slot-loading CD-RW drive, in which case this isn't necessary). In a moment, the Burn CD button will be in color and will start pulsing to indicate that you are ready to burn. iTunes will check to make sure that everything is ready to go. When these checks are complete, you will be prompted to click the Burn CD button.

  5. Click the Burn CD button again to burn the CD.

CAUTION

Use CD-R discs for audio CDs you create rather than CD-RW discs, especially if you will be using the CDs you create in noncomputer CD players. If you create an audio CD using a CD-RW disc, the odds are that you won't be able to play it using any CD player except the one on which you created it (which wouldn't be very useful).

When iTunes records your playlist to a CD, it first translates the music into the standard Audio CD format (assuming that you elected to create an audio CD rather than an MP3 CD, of course). The application will translate each of the songs on the CD prior to burning them. This process will take several minutes to complete. Watch the display area for progress and status messages. When it is done, iTunes will begin recording the CD.

CAUTION

The spinning Burn CD icon gives you a clue as to how fast data is being transferred to the CD recorder. The faster the icon spins, the higher the data transfer rate is being achieved. If the icon slows considerably or stops altogether, you might experience errors because data isn't flowing fast enough to keep the CD burning process fed properly. If this happens, quit all applications that might be accessing any disks on your Mac and make sure that you aren't playing any music in iTunes. This will ensure that the maximum amount of system resources are available for the CD burning process. You can also lower the burn speed to reduce the data flow requirements. Doing so will often alleviate this problem.

Depending on the speed at which your recorder works and the amount of data to record, this process can take quite a while. When it is complete, iTunes will play a sound to indicate that the process is done. The CD you created will be mounted on your Mac and will be selected as the current source.

If iTunes stops the process before it is complete, see "iTunes Stops Recording Before the Process Is Complete" in the Troubleshooting section at the end of this chapter.

If the CD you create can't be read on "standard" CD players, such as those in your car, see "The CDs I Make Won't Play in My Noncomputer CD Player" in the Troubleshooting section at the end of this chapter.

Using iTunes with a Portable MP3 Player

One of the best uses of MP3 music is with a portable MP3 player. These players are very small and lightweight and are simple to operate. Plus, they have no moving parts, so they never skip (unlike portable CD players) and they use very little power.

If you have an MP3 player that is compatible with iTunes, you can use iTunes to download music to the MP3 player.

Choosing an MP3 Player

As with everything electronic, there are many different portable MP3 players available. They all do basically the same thing, which is to let you listen to MP3 music on the move. When choosing your MP3 player, consider the following factors:

  • iTunes compatibility By default, iTunes comes with the plug-ins required to support various MP3 players, including some of the most popular models. If you are interested in using an MP3 player with iTunes, you should get one of the supported models. To see which models are supported by the current version of iTunes, visit the iTunes Web site at www.apple.com/itunes/compatibility/.

  • Memory MP3 players come with a built-in amount of memory. The more memory a model has, the more music you will be able to store and listen to. Typical models come with 64MB of memory or more, which is enough for about an hour or two of music, depending on the encoding method you use. Most MP3 players also use some form of removable memory, such as CompactFlash media.

  • Size and style Most MP3 players are really small (the smallest are the Sony models, which are not much larger than a normal pen). They have various shapes, colors, and so on. Although the style factors don't affect performance, the size and shape of the unit should definitely be a consideration. The whole idea is to carry the unit with you, so you want one that is comfortable for you.

  • Controls Because some MP3 players have been designed largely to make them look "cool," the usability of such a unit's controls can sometimes be compromised. Investigate the model carefully to make sure that the unit has controls that are usable when you are on the move.

  • Cost The largest factor in the cost of an MP3 player is the amount of memory that it has. You can get a "top of the line" MP3 player for about $200.

TIP

If you have another device that uses removable memory cards, consider an MP3 player that uses the same format. Then, you can share cards between the devices.

To learn about the major removable memory formats, see "Memory," p. 412.

Downloading Music to an MP3 Player

Downloading music to an MP3 player is quite simple.

  1. Connect your MP3 player to your Mac. iTunes will automatically recognize your player and it will appear in the Source pane.

  2. Select the MP3 player as the source.

  3. Delete music from the player by selecting the songs you want to remove from its memory and pressing Delete.

  4. Drag songs from the Library onto the MP3 player's icon in the Source list. You can also drag an entire playlist onto the icon to add all the songs in that playlist to the MP3 player.

TIP

Typically, you should create a playlist to put on the MP3 player. Use the size information to make sure that the playlist will fit in your MP3 player's available memory. Also, creating a playlist will enable you to return that set of tracks to the MP3 at some point in the future.

When you are done, you will see the songs that the player currently has available (see Figure 16.15). You can use the Expansion triangle to view the contents of folders on your MP3 player.

Figure 16.15. The songs shown in the MP3's Contents pane are ready to listen to.

If you don't see your MP3 player in the Source list, see "The MP3 Player Doesn't Appear in the iTunes Window" in the Troubleshooting section at the end of this chapter.

When you have an MP3 player selected as the source, the information at the bottom of the Contents window shows you how much of the player's memory has been used. You can use this information to "max out" the memory so that it contains as much music as possible.

TIP

When you click the Action button, which is called Options when an MP3 player is selected, you can rename your player. You can also upgrade its firmware by clicking the Upgrade Firmware button.

NOTE

Some MP3 players enable you to create folders in which to store music. You can rename these folders in iTunes, but you have to create them using the player's controls.

Using iTunes with an Apple iPod

Although the Apple iPod is an MP3 player, it is much more than most MP3 players. Whereas many MP3 players are limited to 64MB or 128MB of memory, the iPod includes its own hard drive with 5GB, 10GB, or even 20GB of storage space. This means you can store an entire music collection on the iPod (about 4,000 songs for the 20GB model), which eliminates the chore of selecting a small subset of your library to take on the road with you. The iPod uses the FireWire interface to communicate with your Mac, which means that data transfers to and from the iPod much more quickly than it does with most other MP3 players (because most use USB, which is much slower than FireWire). And iTunes is designed to make managing your mobile music with the iPod even easier than it is with other MP3 players. For example, you can set up the iPod so that it is automatically synched with your iTunes music collection, including the songs in your Library, your playlists, and so on.

NOTE

You even use an iPod to display your contacts and appointments.

The iPod's only downside is its cost, which is higher than that of many MP3 players. The iPod costs $299 for the 5GB, $399 for the 10GB, or $499 for the 20GB model. However, if you consider that the iPod is actually a very small FireWire hard drive and includes a 10-hour rechargeable battery, its price doesn't seem as high. Also, keep in mind that you would have to buy many, many memory cards for most players for them to even approach the amount of music you can store on the iPod.

Another nice feature of the iPod is that its battery can be recharged through the FireWire port. This means that you can recharge your iPod just by connecting it to your Mac.

iTunes is designed to keep the iPod in synch with your music Library.

  1. Connect the iPod to your Mac using the supplied FireWire cable. Your Mac will recognize the iPod as a new source, and iTunes will begin to download all the music in your Library to the iPod. During this process, the iTunes Information window will display the progress of the process, as well warning you not to unplug the iPod while the update is in process. As songs are downloaded, the refresh icon next to them disappears.

    NOTE

    If your iTunes library contains more music than can be stored on the iPod, you will have to manually configure the music on the iPod. You will learn how to do that shortly.

  2. When the process is complete, disconnect the iPod. Your entire iTunes music library is ready to go with you.

TIP

iTunes contains a complete online help system for the iPod. To access it, choose Help, iPod Help.

When an iPod is connected to your Mac, it is mounted on the desktop and is available as a source in the Source pane (see Figure 16.16). You can work with an iPod as a source in ways that are similar to other sources.

Figure 16.16. When an iPod is connected to your Mac, it appears on the Source pane.

As you add music to your Library, create playlists, remove songs, and so on, you will want to keep your iPod current with your iTunes Library. You can control how this is done by setting preferences for the iPod using the Player Options button, which looks like the iPod itself.

When you click this button, you will see the iPod Preferences window (see Figure 16.17). The options you have in this window are explained in the following bulleted list:

Figure 16.17. The Player Options button enables you to configure how your iPod is synchronized with your iTunes music library.

  • Automatically update all songs and playlists. When this option is selected, the entire iTunes music Library will be synchronized with the music on the iPod each time you connect the iPod to your Mac. This means that the iPod contains a mirror image of the music you are managing in iTunes.

  • Automatically update selected playlists only. When you choose this option, you select the playlists that you want to be updated. When you connect the iPod to your Mac, only the selected playlists are synchronized. This option is useful if there is music in iTunes that you don't really want to carry with you or when you can't fit your entire iTunes Library on the iPod. Create the playlists you want to keep on the iPod and then have them synchronized automatically.

  • Manually manage songs and playlists. With this option, you must manually move songs to the iPod; you do this just as you do for "regular" MP3 players.

  • Open iTunes when attached. With this check box selected, iTunes will open when you attach an iPod to your Mac.

  • Enable FireWire disk use. You can use your iPod as an external FireWire hard disk. To do so, check this check box and also the "Manually manage songs and playlists" radio button. When you attach the iPod to your Mac, you can work with it just like other hard disks. (You can't use this method to transfer music to the iPod, though; instead you must use iTunes to do that.)

  • Only update checked songs. This option enables you to prevent songs from being copied to the iPod. Check this check box and then uncheck the check box next to any songs you don't want to be copied to the iPod.


Troubleshooting

iTunes Can't Find a Song in My Library

I try to play a song in the iTunes Library, but I see a message stating the song can't be used because the original file can't be found.

iTunes doesn't actually store music files in the Library, but rather contains pointers to music files. If the original file is moved around or deleted from your machine, iTunes can't find it and doesn't know how to play that song. When you see this dialog box, you can attempt to locate the file yourself. If you are successful, iTunes will restore its link in the Library and it will work as before. If you can't find the file, you will have to re-create it and add it to the Library again.

iTunes Can't Find My CD Recorder

When I start up iTunes for the first time, I see a message stating that no supported CD recorders were found. Or, my CD recorder is not recognized when I try to record a CD.

This problem occurs when iTunes doesn't detect a supported CD-R or CD-RW drive in your Mac system. In order to be supported, iTunes must have the appropriate device software incorporated into it. This can also occur if your CD-R or CD-RW drive is not properly connected to and working with your Mac.

The first step is to ensure that your drive can work with at least one other application on your Mac. For example, if the CD writing software included with your drive is Toast, use Toast to record a CD. If that works, you know that the problem is related to iTunes. If it doesn't work, you need to troubleshoot your CD-R or CD-RW drive before trying to use it with iTunes.

The second step is relatively easy, but if it doesn't work, there isn't much you can do. Go to the Apple iTunes Web site (www.apple.com/itunes) to see whether a newer version of iTunes is available. If so, download and install it and try again. Apple will continue to add support for various CD-R or CD-RW mechanisms to iTunes, and if you get lucky, yours will be one of them.

If neither of these steps works, you still have several options. One is to buy a CD-R or CD-RW drive that is supported by iTunes (hey, you needed a good reason to buy a new Mac, right?). The other is to use another application to create the CD. For example, Toast also enables you to create audio CDs.

iTunes Stops Recording Before the Process Is Complete

The CD that I am attempting to record is ejected before the process is finished. What is causing this?

When you see a message stating that iTunes is stopping the burn process, some error has prevented iTunes from being able to complete the CD. You usually see an error dialog box; unfortunately, such a dialog box almost always contains an indecipherable message.

The most likely cause of such errors is the inability of iTunes to write data to the drive fast enough. If there are pauses in the data stream that is being recorded to the CD, the process will sometimes fail. Make the following changes to attempt to correct the problem:

  1. Stop all other applications except iTunes. Although Mac OS X provides iTunes with protected memory, other applications might be accessing other drives in your system. This can slow the data being transferred to the CD recorder.

  2. Reconfigure iTunes so that it uses a slow burn speed because slower burn speeds are easier to maintain.

After making these changes, try to burn the disc again. If it still doesn't work, try Apple's support site and search for the specific error message you are seeing.

The CDs I Make Won't Play in My Noncomputer CD Player

When I install a CD that I have burned in a regular CD player, such as that in my car, the disc is ejected and won't play, or the player acts as if no CD were in the player at all.

There are a couple of causes for this problem. One possibility is that the CD you burned was a CD-RW disc rather than a CD-R disc. Standard CD players (noncomputer CD players) are usually not able to read CD-RW discs. You should always create audio CDs that you intend to play in other CD players using CD-R discs.

The other possibility is that the standard CD player you are trying to use does not recognize the format of the CD-R disc. This usually happens only when the CD player is relatively old. The only solution to this is to use a different CD player.

The MP3 Player Doesn't Appear in the iTunes Window

When I attach my MP3 player and start iTunes, it never appears as a source in the iTunes window.

If iTunes doesn't recognize your MP3 player, you won't be able to use it to download music to the player. First, check to make sure that the USB connection you are using is working (use it with another device). Next, check the iTunes Web site for an updated version of the application that might support your particular player. If iTunes does not support your player, your primary options are to use a different MP3 application or to get a different MP3 player (think iPod!).


Mac OS X to the Max: More Music

In this section, you will see a list of all the iTunes keyboard shortcuts, get an overview of using iTunes to listen to music on the Internet, and learn about the commands on the Advanced menu.

Using iTunes Keyboard Shortcuts

Table 16.2 lists helpful iTunes keyboard shortcuts.

Table 16.2. iTunes Keyboard Shortcuts
Action | Shortcut
Add to Library | +O
Eject CD | +E
Full Screen (visual) | +F
Get Info | +I
Hide/Show Browser | +B
Hide/Show iTunes Window | +1
Higher Volume | +Up arrow
Lower Volume | +Down arrow
Mute | +Option+Down arrow
New Playlist | +N
New Playlist from Selection | Shift+ [image] +N
New Smart Playlist | Option+ [image] +N
Next Song | +Right arrow
Open Stream | +U
Play/Pause | Spacebar
Preferences | +Y
Previous Song | +Left arrow
Select All | +A
Select None | Shift+ [image] +A
Show Current Song | +L
Show Song File | +R
Turn Visual On/Off | +T
View Options | +J

Using iTunes to Listen to Internet Radio

You can use iTunes to listen to various Internet radio broadcasts. To do so, follow these steps:

  1. Select Radio as the source. The application will download the current list of available genres and present them in the Contents pane.

  2. Click the Expansion triangle next to a genre to view the channels available in that genre (see Figure 16.18).

    Figure 16.18. For each channel contained in a genre, you see its title, bit rate, and comments (that describe what that channel contains).

  3. Select the channel you want to play and press the spacebar.

The selected channel will begin to stream to your Mac; when the prebuffer is full, it will begin to play.

TIP

You can also double-click a stream to play it.

When you first select the Radio source, iTunes downloads the list of available genres and channels. You can refresh this list at any time by clicking the Action button, which is called Refresh when the Radio Tuner source is selected.

Some of the channels are live, while some are just large playlists that are stored on the Internet. When you listen to one that is a playlist, it will be repeated until you stop playing it.

Using iTunes Advanced Commands

The iTunes Advanced menu contains the following commands:

  • Open Stream This command enables you to enter the URL of an audio stream to listen to it.

  • Convert Selection to MP3 Use this command to convert audio files to the MP3 format. For example, if you have AIFF files that you want to convert into MP3, select the file you want to convert and then choose the command.

  • Consolidate Library Use this command to move copies of all the music that you are managing in iTunes but that are currently stored outside of the iTunes folder into the iTunes folder.

  • Get CD Track Names When you select an audio CD, use this command to update its song information from the Internet.

  • Submit CD Track Names If iTunes is unable to find a CD, you can use this command to submit track information to the database.

  • Join CD Tracks Use this command to combine tracks on a CD into a single track with no gaps between the songs. Select the tracks you want to join and then choose the command. The tracks will be played as a unit.

  • Remove Audible Account Use this command to remove the Audible.com account from your Mac.

  • Convert ID3 Tags This command is used to convert the tag information among various formats. If the tags for songs you add to your Library are not correct, you can try this command to see whether you can correct them. You can also use this command if you want to share music with an application that doesn't use the same tag format as iTunes does.


Chapter 17. Viewing, Editing, and Creating QuickTime Movies

In this chapter

Understanding QuickTime and QuickTime Pro

Upgrading and Configuring QuickTime

Viewing QuickTime Movies

Creating and Editing a Movie with QuickTime Pro

Creating a QuickTime Slide Show

Customizing Your QuickTime Movies

Troubleshooting

Mac OS X to the Max: Taking QuickTime Further


Understanding QuickTime and QuickTime Pro

Apple's QuickTime is the technology that your Mac uses to handle time-synchronized data. Time-synchronized data simply means data that must be managed so that its components remain "in sync" with each other. For example, when you're playing digital video, the video image must remain in sync with the sound track. When you're watching an animation or video, sound effects need to occur at the correct moments.

Since its introduction, Apple's QuickTime has been one of the most successful multimedia standards on any platform. In fact, it's been so successful that it is also widely used on Windows computers; QuickTime movies on Windows play the same way that they do on the Mac. QuickTime has also been widely adopted on the Web. Many Web sites serve video and animation files as QuickTime movies.

Although it is natural to think of QuickTime in terms of video, you should also remember that QuickTime can be used for sound, animation, and other dynamic data as well. And not all components have to be present at all times; for example, you can have a QuickTime movie that consists only of a soundtrack.

You will encounter QuickTime movies in many places, including interactive games, reference titles, entertainment titles, learning tools, and, of course, Web pages.

Mac OS X QuickTime Resources

Various files, folders, and resources are part of Mac OS X's implementation of QuickTime. These include the following:

  • QuickTime Preferences The QuickTime pane of the System Preferences utility enables you to configure various aspects of how QuickTime works. The QuickTime preference file is stored in each user's Preferences folder within the user's Library folder.

  • QuickTime Player As with previous versions of QuickTime, the QuickTime Player is the basic application you use to watch, create, and edit QuickTime movies. It is located in the Applications folder.

  • QuickTime Updater Apple regularly updates QuickTime; this application can be used to ensure that all the QuickTime components on your Mac are in the current version. You can run the Updater from inside QuickTime Player, or you can run it from the Update tab of the QuickTime pane of the System Preferences utility.

  • QuickTime Library folder This folder (Mac OS X/System/Library/QuickTime where Mac OS X is the name of your Mac OS X startup volume) contains some basic files that provide specific QuickTime capabilities. These include QuickTime Channels, which is where your QuickTime TV channels are stored; QuickTimeStreaming, which provides QuickTime with the ability to stream movies from the Web, and QuickTimeVR, which enables QuickTime to display QuickTime Virtual Reality (QuickTime VR) movies.

NOTE

Streaming is the ability to play QuickTime movies as they download from the Web—rather than having to wait until the movie is downloaded to your Mac before you can play it. If you have a fast Internet connection, streaming is very nice because viewing QuickTime movies on the Web is about as responsive as watching TV. If you use a phone modem, you still have to wait a while for most QuickTime movies.

  • QuickTime.framework folder This folder provides the framework files for QuickTime (Mac OS X/System/Library/Frameworks/QuickTime.Framework, where Mac OS X is the name of your Mac OS X startup volume).

    To learn about Mac OS X's framework structure, see "Mac OS X Architecture and Terminology," p. 10.

  • QuickTime Plug-in This plug-in (located in Mac OS X/Library/Internet Plug-Ins, where Mac OS X is the name of your Mac OS X startup volume) enables you to view QuickTime movies on the Web from within a Web browser.

QuickTime Versus QuickTime Pro

Way back in version 3.0 of QuickTime (which was introduced as part of Mac OS 8.5), Apple added a new scheme for QuickTime distribution. QuickTime comes in two flavors: QuickTime and QuickTime Pro. With QuickTime, you get a basic set of capabilities that enable you to watch all sorts of QuickTime movies. But that is about all you can do with it. QuickTime Pro, on the other hand, enables you to create and edit QuickTime movies, along with various other useful things.

QuickTime "Basic"

With the version of QuickTime that is included as part Mac OS X, you'll get substantive QuickTime capabilities. These features include the following:

  • Viewing all flavors of QuickTime movies on and off the Internet

  • Working with more than 30 different audio and video file formats

  • Changing the size at which movies are played

  • Printing frames of movies

  • Watching QuickTime TV

QuickTime Pro

When you pay for the QuickTime Pro upgrade, you'll get many more features. One of the most important features is the ability to create and edit your own QuickTime movies. QuickTime Pro provides you with all the capabilities of QuickTime "basic," plus much more, including the following:

  • Playing full-screen video

  • Viewing files in a wider variety of formats

  • Creating your own QuickTime movies

  • Editing and saving movies in various formats

    NOTE

    If you do much work with multimedia files, just the ability to save files that you can open in QuickTime into other file formats makes the upgrade worthwhile.

  • Copying and pasting material from various formats into QuickTime movies

  • Preparing QuickTime movies for streaming delivery via the Web

  • Using sharpening, color tinting, and embossing filters on movies and images

  • Creating slide shows from a series of still images

Factors Affecting QuickTime Movie Quality

As with other forms of multimedia, certain parameters govern how QuickTime movies appear on your Mac. In order to be comfortable with QuickTime, you should understand some of these basic specifications, which are described in the following sections.

Resolution

QuickTime movies are composed with specific resolutions, just as still images are. The resolution of QuickTime movies is specified similarly to the way the resolution of your monitor is, that being X pixels wide by Y pixels high.

Although a QuickTime movie looks best in its default resolution, you can resize it in the QuickTime Player. Just as with still images, if you try to increase the resolution of a movie by making it larger, your Mac has to create pixels that aren't really there. This usually makes the movie look pixelated. Making a movie smaller usually does not detract from the way it looks because the Mac only has to remove pixels.

QuickTime movies created with larger resolution are better because they have a larger image to view and better definition of those images. The trade-off is in the frame rate at which the movie will play back (covered later in this chapter) and the size of the QuickTime movie file. The larger the resolution, the more information that your Mac has to work with, and thus the harder it has to work to play the movie back and the larger the file sizes will be. Sample resolutions for QuickTime movies are shown in Table 17.1.

Table 17.1. Common Resolutions for QuickTime Movies
Resolution | Approximate Viewing Size on 800x600 Desktop (21-Inch Monitor)
130x160 | 2.75 inchx3 inch
160x120 | 3 inchx2.75 inch
320x240 | 5.75 inchx5 inch
640x480 | 11.5 inchx9 inch

Not So "Quick" Time

When QuickTime first appeared on the Mac, Mac hardware was underpowered; thus, the early QuickTime movies had to be pretty small so that playback could even approach smooth motion. The standard resolution for a QuickTime movie in those days was a paltry 160x120 pixels. This earned QuickTime the label of "postage stamp" size movies by its critics. A bit of an exaggeration perhaps, but the first QuickTime movies were awfully small. Fortunately, both Mac hardware and QuickTime technology have improved so that larger QuickTime movies are practical. In fact, with Web streaming and a broadband Internet connection, QuickTime movies can be full-screen and still have very fluid motion.

Color Depth

Just like still images, QuickTime movies are created with a specific color depth. Movies with a larger number of colors require more processing power and have larger file sizes. Plus, some Macs are limited in the color depth that they can view, so creating a movie in 24-bit color may cause it to look different on those machines that cannot work with that many colors. Therefore, these Macs will have to reduce the number of colors in the movie before the movie is played.

Frame Rate

QuickTime movies—just like their analog counterparts—are actually a series of still images that are slightly different from one another. As these images are shown onscreen, you see the illusion of motion—QuickTime is really just the digital age equivalent of the flipbook. The faster these images "flip" on the screen, the smoother and more lifelike the movie appears. The speed at which the movie plays is called the frame rate.

As with all other aspects of QuickTime movies, there is a trade-off between the quality of the movie and the resources it requires to be played. The higher the frame rate, the smoother and better the movie appears. However, QuickTime movies with higher frame rates require more processing power to view and the files are larger, thus requiring more disk space and download time.

NOTE

The resolution, color depth, and frame rate aren't the only factors that determine how "well" a movie plays. Other factors include processing power, video display hardware, hard disk or CD-ROM speed, and especially connection speed (for a movie over the Internet).

NOTE

Apple maintains an extensive Web site dedicated to QuickTime. This site includes software and updates you can download, information on how QuickTime works, links to QuickTime showcases, and so on. The site is at www.apple.com/quicktime. The site also has some great samples of QuickTime movies you can view.

QuickTime Movie Tracks

QuickTime movies can contain multiple tracks, where each track contains certain information. For example, a movie can have a video track, a text track, and a soundtrack. You can also have multiple tracks of the same type in a single movie. Or, you can have a movie with only one track (for example, a music track can be its own "movie"). Using QuickTime Pro, you can manipulate the individual tracks of a movie.

Multimedia Types Supported by QuickTime Pro

In addition to its native format, QuickTime Pro works with various other formats, including the following:

CAUTION

The following list is for QuickTime Pro. The basic version of QuickTime can work with some of these file formats, but certainly not all of them.

  • Video QuickTime can work with various video formats, including QuickTime, Audio Video Interleave (AVI, which is the Windows standard video format), Moving Picture Experts Group-1 (MPEG-1), MPEG-4, and Digital Video (DV).

  • Audio QuickTime supports many different audio formats, such as Audio Interchange File Format (AIFF), Wav (the PC audio standard), MP3, and more.

  • Image Of course, QuickTime supports PICT and other Mac graphic formats, but it can also display BMP (Windows Bitmap), JPEG, and GIF images.

    For more on image file formats, see "Mac OS X to the Max: Image File Formats," p. 455.

  • Animation QuickTime also supports several standard animation formats, such as PICS files.

Understanding QuickTime Version 6

Mac OS X version 10.2 is the first version that includes QuickTime version 6. Version 6 of QuickTime introduced support for MPEG-4. MPEG-4 is a revolutionary new compression scheme that is capable of delivering very high-quality video and audio in much smaller file sizes than is possible with other schemes. Plus, MPEG-4 is scalable, meaning that various quality and file-size trade-offs are possible. At its best, MPEG-4 provides quality equivalent to MPEG-2, which is the scheme that is primarily used for DVD movies. MPEG-4 can be used in many situations, but the most significant benefit, at least initially, is for movies broadcast over the Internet. MPEG-4 allows movies to be played over the Net in very high quality, even over relatively low-speed connections. In the not-so-distant future, MPEG-4 is likely to become a dominant standard for many aspects of video and audio content.

When you use the Pro version of QuickTime 6, you can produce content in the MPEG-4 format.


Upgrading and Configuring QuickTime

Before you start watching and editing movies, you need to do some configuration of QuickTime so that you get the best results on your system. Because you are serious about using a Mac (if you weren't, I assume that you wouldn't have purchased this book), I suggest that you upgrade to QuickTime Pro. With all the additional capability that it brings to your system, it is a very worthwhile investment.

Going Pro

The Pro upgrade helps you in all digital lifestyle areas, not just QuickTime movies. For example, you can use QuickTime Pro to save QuickTime movies to the DV format so that you can import them into iMovie and use them in your iMovie projects. You can also use QuickTime Pro to convert many different file formats into a specific file format that you need. You can also use QuickTime Pro to save QuickTime movies you find on the Web to your Mac. In fact, QuickTime Pro's benefits are too numerous to list in detail. But even the brief list here should be enough to help you see that it is a worthwhile upgrade.

Upgrading to QuickTime Pro

Upgrading to QuickTime Pro does not require any additional software installation; all you need is a registration code. That code "unlocks" the additional features of QuickTime Pro. There are several ways to obtain your QuickTime Pro registration code:

  • Go to www.apple.com/quicktime/download and click the Upgrade Now link.

  • Open the QuickTime Player application, and choose QuickTime Player, Preferences, Registration. Then, click the Register Online button.

  • Open the System Preferences utility, open the QuickTime pane and click Registration, and then click Register Online. You will move onto the registration Web site.

  • Call Apple at 1-888-295-0648 to order the upgrade by phone.

NOTE

At the time of this writing, the QuickTime Pro upgrade was about $30. After you have used it for a while, you will no doubt agree that this is a real bargain.

Using the Web site to upgrade is quite simple—just follow the onscreen instructions. You will receive your registration code via the order confirmation Web page or via the phone, depending on how you order the upgrade. Save this code because you will need it each time you have to configure QuickTime Pro.

CAUTION

From this point forward, I assume that you have upgraded to QuickTime Pro. If you haven't upgraded to QuickTime Pro, the material beyond basic viewing of QuickTime movies won't work for you.

Configuring QuickTime

You'll need to do some basic configuration of QuickTime to customize it for your system. This configuration is done with the QuickTime pane of the System Preferences utility. Open the System Preferences utility and click the QuickTime icon to open the QuickTime pane. Across the top of the pane, you see the following tabs: Plug-in, Connection, Music, Media Keys, and Update.

The Plug-In Pane

This pane has three check boxes and one button. The "Play movies automatically" check box controls whether QuickTime movies automatically play in your Web browser. This should usually be checked. Check the "Save movies in disk cache" check box if you want movies you view on the Web to be saved in your browser's disk cache. This is a useful option if you like to view a movie more than once during a single browsing session; subsequent viewings are much faster because the movie is read from your disk rather than being downloaded from the Web again. Most users should check this box as well. The "Enable kiosk mode" check box hides some QuickTime Player commands so that movies being viewed can't be saved and other changes can't be made. This option is useful if others will be using your Mac to view movies and you don't want them mucking around with your QuickTime settings or saving movies that they view.

The MIME settings button enables you to choose the types of files that are handled by QuickTime when you encounter them on the Internet. Click the MIME settings button, and you will see the MIME settings sheet. In that sheet, you will see a listing of various groups of file formats, such as Streaming, Video, and so on. Click the Expansion triangle next to each group to see the file formats it contains. Check the box next to the file formats you want to be handled in QuickTime; to have QuickTime handle all the formats in a group, check the group's check box. Click OK.

NOTE

MIME is the acronym for Multipurpose Internet Mail Extensions. As you might guess, MIME was originally developed as a means of exchanging files via e-mail. Now, the term refers to the general encoding schemes used to encode files transferred over the Internet.

The Connection Pane

This pane enables you to configure. This is important because the speed at which you connect to the Net has a huge impact on how movies appear to you when you view them on the Web. Use the Connection Speed pop-up menu to choose your connection speed. If you have a slow connection, such as a 56K modem, the "Allow multiple simultaneous streams" check box will become active (it is disabled for high-speed connections). This option allows QuickTime to download and play multiple QuickTime streams at the same time. With a high-speed connection, this isn't a problem so the check box is disabled (the feature is enabled at all times for fast connections). However, if you use a slow connection, you should uncheck this because the performance will be very poor when your Mac tries to download more than one stream at a time.

NOTE

Some sites will check the speed of connection you have set for QuickTime and will provide the movie size that the provider feels is appropriate for the connection speed you have selected. If you can't access the size you want, try changing the connection speed to a higher value, even if your connection isn't capable of that speed.

The Instant-On button enables you to configure how streaming movies are played when you view them from the Net or from some other streaming source. When you enable the Instant-On feature, you can set the amount of delay that occurs before a movie starts playing. With a shorter delay, movies will start playing faster, but less buffered data will be stored on your Mac. This means that should some network congestion occur and the download process be slowed, interruptions in movie playback will be more likely.

In most cases, the Instant-On feature is beneficial, especially if you have a fast Internet connection. To enable this feature, click the Instant-On button. In the resulting sheet, check the "Enable Instant-On" check box. Then, drag the slider to set the amount of delay before streams begin playing. With the slider all the way to the left, movies will begin playing immediately. Moving the slider to the right causes a delay in playback, which might lower the amount of interruption you experience. You should experiment with various levels of delay until you achieve fast playback with few or no interruptions. When you have set the slider, click OK to close the sheet.

The Transport Setup button enables you to change the protocol and port that QuickTime uses to download QuickTime streams from the Internet (see Figure 17.1). Your choices are User Datagram Protocol (UDP) or Hypertext Transfer Protocol (HTTP). UDP is a good choice because it does less work (such as providing error correction services) and so is likely to provide a better data stream. The port is the logical (rather than physical) connection that is made to your Mac; all services have a unique port. The default UDP port is 554; unless you use another service that uses this same port, there is little reason to change it. If you use HTTP, the default port is 80.

Figure 17.1. The Transport Protocol sheet enables you to change the transport protocol and port used for QuickTime streaming (if you need to—most users won't need to change these).

QuickTime automatically configures the protocol and port for you. However, if you need to set them manually for some reason (such as a conflict with your current configuration), click the Transport Setup button. The Streaming Transport Setup window will appear. Use the pop-up menu to choose the protocol to use and the radio buttons and text field to set the port. You can also reset the automatic configuration by clicking the Auto Configure button. When you are done, close the Streaming Transport Setup window.

NOTE

If your Mac is behind a firewall or uses unusual ports to connect to the Internet, you might need to use the Streaming Transport Setup dialog box to configure QuickTime for your connection.

The Music Pane

QuickTime can play music using different synthesizers (a synthesizer transforms digital or other signals into specific musical notes, tones, and so on). This pane is useful if you work with a Musical Instrument Digital Interface (MIDI) device. By default, the standard QuickTime Music Synthesizer is used. However, you can install various synthesizers and use them to produce the music that is part of QuickTime movie files. If you are involved in creating MIDI files or using a MIDI instrument, you can use this area to select the default synthesizer that should be used.

NOTE

Working with MIDI devices and other synthesizers is beyond the scope of this book. If you want to learn more about MIDI, check out http://dir.yahoo.com/Entertainment/Music/Computer_Generated/MIDI/.

The Media Keys Pane

Media keys enable you to manage your access to protected data files. If you need to get to QuickTime files that are sensitive, you need to use a password (called a key) to be able to access the files. Individual tracks can also be secured with a key. If you use such secured QuickTime files, you can enter the keys needed to play them in this pane of the window.

NOTE

To work with secured QuickTime information, you will need its key. You must get the key from the provider of the QuickTime file. Conversely, if you send secured QuickTime files to someone, make sure that you give them the appropriate keys.

To add a media key, click the Add button. In the sheet that appears, enter the category and key information and then click OK. The key will appear in the Media Keys pane. You will be able to view any QuickTime information that is secured with this key. You can delete keys using the Delete button or change them using the Edit button.

NOTE

Using the security features of QuickTime is beyond the scope of this book. Search the Apple Web site if you need to create or use secured QuickTime files.

The Update Pane

The Update pane enables you to control how updates to QuickTime are handled and to add third-party QuickTime software to your system.

Click the Update Now button to have your Mac check for updates to the QuickTime software. Check the "Check for updates automatically" check box if you want your Mac to check for QuickTime updates when you use QuickTime. If you use a high-speed Internet connection, this option is useful. However, if you use a low-speed connection, you probably won't want to have QuickTime check for updates automatically, so uncheck this check box.

If you click the "Install new 3rd-party QuickTime software" radio button and then click Update Now, your Mac will check for updates to non-Apple QuickTime software.

The Registration Button

Click the Registration button; the Registration sheet will appear (see Figure 17.2). Enter your name, organization, and QuickTime Pro registration code that Apple provided to you. When you are finished entering your information, click OK.

Figure 17.2. You upgrade QuickTime to QuickTime Pro using the Registration sheet (the current version of QuickTime is shown in the middle of the sheet; after you upgrade, this will show that you are using the Pro Player Edition).

Verify that the upgrade was successful by clicking the Registration button again. The version information should now reflect that you are using the Pro Player version.

If the registration was not successful, you will see an error dialog box; or if, when you return to the Registration sheet, you still see that the version is Basic, see "My Attempt to Upgrade to QuickTime Pro Failed" in the Troubleshooting section at the end of this chapter for help.

Restart your Mac to ensure that you use the Pro Player version of the QuickTime Player.

NOTE

The QuickTime Pro registration information is part of the preferences for each user account you have created for your Mac. If you enter this information for only one user, only that user will have access to QuickTime Pro's features. Other users will still be able to use the Basic version of QuickTime. If you want specific users to have access to QuickTime Pro, you will need to repeat the registration process when logged in under those user accounts.

The other information, such as connection speed, is also dependent on the user account that is logged in. You need to configure QuickTime for each user for which you create an account on a single Mac OS X machine.


Viewing QuickTime Movies

You can view QuickTime movies in various contexts, such as from your hard drive, CD-ROMs, the Web, using QuickTime TV, and so on. Although the appearance of the QuickTime Player controls varies a bit between these contexts, the viewing controls work similarly.

NOTE

You can watch QuickTime movies without upgrading to the Pro version. However, if you don't upgrade, you will see a dialog box urging you to upgrade the first time you open QuickTime Player each day. You can choose to upgrade later, or you can use this dialog box to upgrade immediately. Not having to see this dialog box might be one of the best reasons to upgrade!

Setting QuickTime Player Preferences

QuickTime Player is the basic application you use to view and edit QuickTime movies. There are some preferences you might want to set by choosing QuickTime Player, Preferences, Player Preferences. The options in the resulting Player Preferences dialog box are as shown here:

  • Open Movie If you check the "Open movie in new players" check box, each movie you open will appear in a new QuickTime Player window rather than replacing the current movie. When you edit movies, you will probably have several open at the same time, so you should check this box so that you don't have to keep opening and closing the movies with which you are working.

  • Auto-Play If you check the "Automatically play movies when opened" check box, movies will begin to play as soon as you open them.

  • Only Front Movie Plays Sound If the "Play sound in frontmost player only" check box is checked and you have more than one movie playing, only the movie in the frontmost QuickTime Player window will produce sound.

  • Play Sound in Background When the "Play sound when application is in background" check box is checked, a movie's sound will continue to play when you move a movie into the background.

  • Hot Picks Checking the "Show Hot Picks movie automatically" check box means that when you launch QuickTime Player, it will go to the Internet to check for an Apple "hot pick" movie and display that movie in the window (you can choose to watch it or not). This is checked by default. If you don't want to see the hot pick each time you launch the application, you should uncheck the check box.

Watching QuickTime Movies from Your Hard Drive or CD-ROM

If you use a VCR, CD, or DVD player, you won't have any trouble using the basic QuickTime Player controls (see Figure 17.3). Find a QuickTime movie that is on your hard drive or a CD-ROM and open it.

Figure 17.3. The QuickTime Player window provides the basic controls you use to watch and edit QuickTime movies; it has many more commands you can access on the menus or by keyboard shortcuts.

TIP

QuickTime movie files use the extension .mov. If you don't know where a QuickTime movie is, use the Finder to search for files with this extension.

To use the Finder to search for files, see "Finding Files and Folders on Your Mac," p. 93.

NOTE

If the Hot Pick option is enabled, when you open the QuickTime Player, it will search for the current "hot pick" movie and display that movie (or a few frames of the movie) in the window. Usually, you can click on the image to move to the Web to view the movie in its entirety. If the hot pick movies annoy you, disable them using the QuickTime Player preferences setting.

A QuickTime Player window will appear and the movie will be displayed (see Figure 17.3).

Most of the controls in the QuickTime Player window are easily understood. For example, the Review button plays the movie in reverse, the Preview button plays the movie in fast forward mode, and so on.

However, you need to become familiar with the less obvious parts of the QuickTime Player window, especially if you have never worked with digital video before. The current frame is shown in the viewing window (if you haven't played the movie, it is the first frame in the movie). Just below the viewing window, you will see the movie's Timeline bar (also known as the Scrubber bar). This represents the total length of the movie. The location of the Playhead shows where in the movie the current frame is located. As you play a movie, the Playhead moves to the right in the Timeline bar so that it always shows the location of the frame being shown in the viewing window.

At the left edge of the Timeline bar, you see the timecode. The timecode represents the location of the Playhead in the following format: Minutes:Seconds:FrameNumber. For example, if you see 2:34:10, the Playhead is located on the 10th frame of the 34th second of the second minute of the movie.

The crop markers are used to select parts of a movie when you are editing it. The start (or left) crop marker shows the start of a selection, and the stop (or right) crop marker shows the end of the selection. The shaded area between the crop markers shows the frames that have been selected.

Control the size of the movie using the commands on the Movie menu. Increasing the size of a movie beyond the size at which it was created will sometimes decrease its image quality and frame rate. With some movies, this is hardly noticeable; with others, increasing the size can make the movie unwatchable. You can experiment to see which size is the best compromise for a particular movie on your specific system.

TIP

You can also change the size of the QuickTime Player window using the Resize handle. The window will remain in proportion to the size in which the movie was created. If you hold down the Shift key, you can resize the window any way you want (with sometimes amusing effects on the movie itself). You can quickly return a movie to its default size by choosing Movie, Normal Size or by pressing [image] +1.

Click the Play button to view the movie and use the Volume slider to adjust its sound level.

TIP

To mute a movie, click the speaker icon at the left edge of the Volume slider.

QuickTime Player offers many keyboard shortcuts; to learn what shortcuts are available, see "Using QuickTime Player Keyboard Shortcuts," p. 530.

You can get more control over the sound using the Sound controls; display them by choosing Movie, Show Sound Controls. The Timeline bar will be replaced by sliders for balance, bass, and treble. Use the sliders to make the changes you want. Choose Movie, Hide Sound Commands to return to the Timeline bar view.

Similarly, you can control the brightness of the movie using the Video controls; choose Movie, Show Video Controls to display the Brightness bar. Click and drag the Brightness bar to the right to make the movie brighter or to the left to make it less bright; choose Movie, Hide Video Controls when you are done.

NOTE

When you minimize a movie, it moves onto the Dock and continues to play.

That's about all there is to viewing movies. However, you can fine-tune your movie experience using some of the other playback commands listed in Table 17.2.

Table 17.2. Summary of QuickTime Player Playback Controls
Command | Keyboard Command | What It Does
Movie, Loop | +L | Makes the movie play in a continuous loop. Choose the command again to make the movie "unloop."
Movie, Loop Back and forth | None | Makes movie play in a continuous loop, but it plays forward until it reaches the end of the movie. Then it plays in reverse. When it reaches the beginning again, it plays forward.
Movie, Size commands | +0 through | Changes the size of the movie window.
+2 | The choices are Half Size, Normal Size
+F | (the size at which the movie was created), and Double Size.
Movie, Full Screen | +F | The Full Screen dialog box will appear. Choose the movie size from the pop-up menu, choose the Normal or Slideshow option, and click Play. When the movie plays, the QuickTime Player window will disappear (as will your desktop) and all you will see is the movie itself. When the movie is done, you will return to the QuickTime Player window. If you choose the Slideshow mode, you have to click the mouse button or Spacebar to move through each frame of the movie.
Movie, Play Selection Only | +T | Plays only the frames you have selected using the crop markers.
Movie, Play All Frames | None | Causes the entire movie to play, regardless of the frames you have selected.
Movie, Play All Movies | None | Plays all the movies you have open.
Movie, Go to Poster Frame | None | Every QuickTime movie has a poster frame; this is the frame that appears when the movie is first opened. By default, this is the first frame in the movie. Choosing this command moves you to the poster frame for the current movie.
Movie, Set Poster Frame | None | Sets the poster frame for the current movie.
Movie, Choose Language | None | QuickTime movies can contain tracks that provide different languages. If the movie you are watching has multiple language tracks, use this command to choose the one you want to hear.

TIP

If you use multiple monitors and choose the Full Screen option, you can select the monitor on which the movie plays in the Full Screen dialog box.

NOTE

QuickTime movies can also be inserted into many types of documents, such as Word files, PowerPoint presentations, and so on. When you view such a file, you will see a "mini" QuickTime controller that enables you to watch the movie that is embedded in a particular document. Applications can add or remove controls to customize the interface you see in that application, but when you understand how to view movies with the QuickTime Player, you won't have any trouble with these other controllers.

Watching QuickTime Movies on the Web

QuickTime is a major format for movies on the Web. Using the QuickTime plug-in, you can watch QuickTime movies from within a Web browser, such as Internet Explorer. When you do so, you use controls that are quite similar to those in the QuickTime Player application.

One of the best places to view QuickTime movies is at Apple's Movie Trailer site. Here, you can view trailers for the latest creations from Hollywood.

CAUTION

If you use a slow Internet connection, watching movies, such as the movie trailers on the Apple Web site, can be an exercise in patience. High-quality movie files are big. Watching them on the Web, even with the streaming feature and the MPEG-4 format, can take more time than it is worth. If you use a dial-up account, try watching some movies to see whether you can tolerate the length of time that it takes to download enough of the movie so that you can begin watching it. If you can, great. If not, you might have to find smaller movies to watch or, even better, move up to a high-bandwidth connection. You can also use the Instant-On preference to configure the delay before a movie begins to play.

  1. Go to www.apple.com/trailers.

  2. Click a trailer to view it. What happens next depends on how the particular trailer has been created. Related to the previous caution, many of the trailers on the Apple site are offered in different versions, which are sized to be appropriate for various connection speeds. Usually, there are three choices: low (for dial-up connections), medium (for DSL, slower cable, or ISDN connections), and high (for faster cable modem or T-1 connections).

  3. Click the size that your connection supports. You will see a window that contains QuickTime controls you can use to watch the trailer (see Figure 17.4).

    Figure 17.4. This trailer, for The Lord of the Rings: The Two Towers, is an example of how movie trailers can be viewed from the Web.

  4. Some movies will display a link labeled "Click Here to Play Movie." If so, click that link to begin the movie streaming. Other movies will begin to stream as soon as the new window opens.

    The movie will begin to play as soon as enough has been downloaded to your Mac so that the trailer will play continuously. If you use a fast connection and use the Instant-On feature, this will happen quickly. If you use a slow dial-up connection or have configured a delay using the Instant-On slider, it can take longer. You can see how much of a movie has been downloaded by looking at the dark shaded part of the Timeline bar.

    TIP

    You can start a movie at any time by pressing the Spacebar. If you don't wait for the automatic start, the movie might stop before it finishes if it "runs out" of downloaded movie before it gets to the end.

  5. Use the QuickTime controls listed in Table 17.3 to control playback.

If you can only download a QuickTime movie from the Web rather than being able to view it, see "I Can't View QuickTime Movies on the Web" in the Troubleshooting section at the end of this chapter.

Table 17.3. QuickTime Controls for Web Movies
Control | Function
Volume | Click the volume button and a slider will pop up. Use the slider to set the volume level.
Play/Pause | Use this to play or pause the movie. The Spacebar does the same thing.
Slider | Drag this to move to any point in the movie.
Step backward/Step forward | Move back or ahead in the movie by one frame.
QuickTime controls | Pops up a menu of additional commands.

If you have upgraded to QuickTime Pro and click the QuickTime controls button, you will see a pop-up menu with some or all of the following commands on it:

  • About QuickTime Plug-in Shows you the version of the QuickTime plug-in you are using.

  • Open This Link Opens a link.

  • Save As Source What this does depends on the item you are viewing. For .mov files, this does the same thing as Save As QuickTime Movie.

  • Save As QuickTime Movie This command enables you to save a movie you are viewing to your hard drive so that you can view it later. When you save it to your hard drive, it becomes just like any other QuickTime movie on your Mac (you view or edit it using QuickTime Player). This feature is disabled for some movies.

  • Plug-in Settings Enables you to configure your plug-in by opening the QuickTime pane of the System Preferences utility.

  • Connection Speed Enables you to set your connection speed (you should have already set this using the QuickTime pane in the System Preferences utility).

  • QuickTime Language If the movie has tracks for different languages, you can choose the language in which you want to hear the movie.

NOTE

If you aren't using QuickTime Pro, you will see only a subset of these commands. For example, you won't be able to save a QuickTime movie to your local disk. And, depending on the content you are viewing, some of the commands might be disabled.

Exploring a QuickTime VR Movie

QuickTime Virtual Reality (VR) enables you to interact with movies that simulate panoramic, virtual worlds. You can move around within a movie, and you can even closely examine objects within that movie. QuickTime VR is widely used on the Web so that you can examine products, museums, and other interesting things.

If you have never used it before, you may not have any QuickTime VR files on your Mac. If you don't, go to www.apple.com/quicktime/hotpicks/ and look in the News & Entertainment area. There will no doubt be some VR movies for you to view.

Find the movie you want to explore and click it. You won't see the usual QuickTime controls. Instead, you will see special cursors that indicate what you can do with the movie. The standard cursor is a small circle with a dot in the center. When you see this, you know that you are looking at a QuickTime VR movie.

To move around the image, simply hold down the mouse button and drag (the cursor will show an arrow to indicate which way you are moving). The image will move accordingly, and you can explore to your heart's content.

NOTE

You have probably noticed by now, but just in case, www.apple.com/quicktime contains many resources for QuickTime. You will find anything you need in order to understand and use QuickTime at this site.


Creating and Editing a Movie with QuickTime Pro

Watching QuickTime movies is great, but you can go beyond watching QuickTime content. With QuickTime Pro, you can create and edit your own QuickTime movies. Editing movies with QuickTime Player is pretty easy because it works just like most other Mac applications. You can select portions of a movie and paste them into other movies, cut them, or duplicate them. Working with QuickTime content is very similar to working with text or graphics.

CAUTION

You can't edit QuickTime movies unless you upgrade to QuickTime Pro. And, after you upgrade, you sometimes need to restart your Mac to make the upgrade effective. To check this, open the QuickTime Player and open the File menu. If you see any Save commands, you are using QuickTime Player Pro. If you don't see any Save commands, you are still using the Basic version. You need to restart the Mac to get the Pro features.

Creating a New QuickTime Movie and Adding Clips to It

You can create a movie by pasting clips from other movies into it.

  1. Launch QuickTime Player.

  2. Choose File, New Player. You will see an empty QuickTime movie. There isn't anything in the viewing area, so it is collapsed—all you see are the QuickTime Player controls.

  3. Open a movie from which you want to copy a clip to paste into your new movie.

  4. Drag the left crop marker to where you want the copy to start and the right crop marker to where you want the copy to end. The shaded area between the crop markers represents the frames of the movie you have selected (see Figure 17.5).

    Figure 17.5. The shaded area of the Timeline bar shows you the frames that are selected.

  5. Choose Movie, Play Selection Only and then click the Play button (or press [image] +T, then press the spacebar) to play only the frames you have selected.

  6. Fine-tune your selection by placing the Playhead over a crop marker. When you do so, the Playhead "sticks" to the crop marker. Hold down the Shift key and use the Right- and Left-arrow keys to move the crop marker by single frames in either direction.

  7. Repeat the previous step to fine-tune the location of the other crop marker.

  8. Play the selection again and continue to fine-tune it until it has the exact frames you want to copy into the new movie.

  9. Press [image] +C to copy the selected frames.

  10. Move back to the new movie you created in Step 2.

  11. Press [image] +V to paste the clip into the new movie. The previously empty movie will now show the clip you pasted into it. Play the clip by pressing the spacebar.

    NOTE

    The new movie takes on the default resolution of the clip you paste into it, even if the movie was not being displayed at its default size when you used the Copy command. For example, if the movie you copied from was at Half Size, the new movie will be the Normal Size of the movie from which you copied the clip. You can change the playback size of the new movie, but its default resolution (its Normal Size) is based on the largest resolution clip you paste into it.

  12. Open another movie and copy a clip from it (or copy a different clip from the same movie).

    TIP

    You can move the Playhead rapidly while moving a crop marker by holding down the Shift+ [image] keys while you press the Left or Right arrow.

  13. Go back into your new movie and move the Playhead to where you want the next clip to be pasted. You can paste another clip at the beginning, end, or in the middle of your new movie.

  14. Press [image] +V to paste the second clip in the new movie. The frames you paste remain selected in the new movie. If you don't like the results of the paste, undo it or cut the new frames.

  15. Jump to the front of the movie and play it.

  16. Keep pasting clips into your movie until it has all the clips you want in it.

  17. Choose File, Save As.

  18. In the Save dialog box, click the "Make movie self-contained" radio button, name the movie, choose where you want it to be saved, and click Save. Your new movie is complete.

Transition

A transition is the means by which one clip moves into the other. Many different types of transitions are used when creating videos. The most common is the cross fade, where one scene gradually fades into the next. Many more are possible, such as spinning transitions, where one clip spins into the next, and shade transitions, where one scene rolls up like a window shade, and so on.

Unfortunately, you can do only one kind of transition with QuickTime Player: the straight cut. This means that one scene ends and the next begins with no transition effect. If you are careful with the clips you paste together and you judiciously use the Step button to cut your clips, you can make the transitions work fairly well (remember that if your clip has a soundtrack, it goes along with the video and is cut in the same way). The better way to add transitions is to use iMovie.

To learn how to use iMovie, see Chapter 18, "Making Digital Movie Magic with iMovie," p. 535.

When you use resources from one QuickTime movie in another, QuickTime can refer to that information rather than physically placing the material in the movie—this is what happens when you save a movie normally (allowing the movie to depend on the other clip, which QuickTime calls a dependency). This is similar to using an alias to a file. The advantage of this is that the movie file will be much smaller because it is storing only the pointer to the material rather than the material itself in the file. The disadvantage is that if you move the movies around, such as when you e-mail them, the pointer can become invalid, and the movie won't be able to find the referenced material.

If you save a movie with the "Make movie self-contained" radio button selected, the pasted material is actually stored in the file. This means that the movie does not depend on any references. You can move it wherever you want to, and it will work fine.

If you are sure that you won't be moving the clips you are using, use the "Save normally" option. If you think you might move one or more of the clips, use the "Make movie self-contained" option.

To learn about the movie you have created, Choose Window, Show Movie Info. The Movie Info window will appear. Use the Expansion triangle to show all the information in the window (see Figure 17.6).

Figure 17.6. The Movie Info window provides detailed information about your movie, such as Normal Size and format.

Adding, Enabling, and Disabling Tracks

As you learned earlier, QuickTime movies can contain different tracks, and those tracks can contain video, text, sound, and so on. You can have multiple tracks in a movie, and you can even have multiple tracks of the same type in a movie, for example, multiple sound tracks.

Adding different kinds of information to your movie automatically adds a new track to the movie. As an example, you can quickly add a text track that displays a bar containing the text across the bottom of the window.

  1. Use a word processor to create the text you want to add.

  2. Use the font size controls to make the text the size you want it to be and copy the text.

  3. Open the movie to which you want to add the text track.

  4. Use the Crop Markers to select the portion of the movie over which you want the track to appear.

  5. Choose Edit, Add Scaled.

The text track is scaled to appear across all the frames you selected. For example, if you selected the entire movie, the text track will appear the whole time that the movie plays (see Figure 17.7).

Figure 17.7. You can see the text track that I added at the bottom of this movie; you can see the text that I copied in the TextEdit window in the background.

NOTE

Unfortunately, with QuickTime Player you have no control over the background color of the text (black), nor can you change the color of the text track (white). However, the text you paste will maintain the other formatting you applied in the application you used to create it, such as size, italic, and so on.

View the tracks that your movie contains by choosing Edit, Enable Tracks. The Enable Tracks window appears, and you see all the tracks contained in your movie. You can disable a track so that it doesn't play in your movie by clicking it (the On or Off icon next to the track's title indicates whether the track is enabled or disabled). Click OK to close the Enable Tracks dialog box.

Tracks are a very powerful feature of QuickTime, and I have shown you only a bit of what you can do with them. For example, you can add additional sound tracks, video tracks, graphics, and any other content in the same way you added a text track. That is the nice thing about QuickTime—it works in a similar way no matter what kind of data you work with.

Using Other Editing Commands

QuickTime Player has more editing commands you can use. These commands appear on the Edit menu and include the following:

  • Select All Use this to select all the frames in a movie.

  • Select None Use this to quickly unselect any selection.

  • Add The Add Scaled command scales what you paste to the selection in which you are pasting it, but Add just pastes it in and lets the length "fall where it may." For example, if you add a sound track to a movie, the sound will play for its default length. If you use the Add Scaled command instead, it will be scaled so that it plays only as long as the frames you have selected do when you paste it.

  • Replace When you use this command, the frames you have copied or cut replace the frames that are selected when you use the Paste command instead of being added to them.

  • Trim When you use the Trim command, everything outside of the crop markers is removed from the movie.

    NOTE

    Trim is more commonly called Crop in other applications.

  • Extract Tracks Use this command to extract a track from a movie. When you do so, the track is copied from the current movie and placed in a new QuickTime Player window (in which it will be the only track).

  • Delete Tracks Use this when you want to remove a track from a movie.


Creating a QuickTime Slide Show

One of the best ways to display your digital images is to create a QuickTime movie from them. This movie becomes a nice slide show that you show on your Mac. You can also add sound or other tracks, just as you can with other kinds of movies.

  1. Put all the images you want to appear in the slide show in a single folder.

  2. Name the files and add a sequential number at the end of the name (for example, picture1, picture2, and so on).

  3. Open QuickTime Player and create a new player.

  4. Choose File, Open Image Sequence.

  5. In the Open dialog box, choose the first image in the series that you want to appear in the slide show and click Open. You will see the Image Sequence Settings dialog box.

  6. Choose a frame rate from the pop-up menu. This rate determines how long each image stays onscreen. Although video frame rate is measured in multiple frames per second, you want the frames of a slide show (which are the individual images you want in the show) to be onscreen for at least a few seconds. A good frame rate for a slide show is about 3 seconds per frame. This keeps the images onscreen long enough to be seen, but not long enough to get tiresome.

  7. After you have chosen a frame rate, click OK. The images will be imported into the movie in the sequence of the numbers in the names of the files.

    NOTE

    The resolution of the slide show is taken from the resolution of the images you place in it. QuickTime Player will attempt to make all the images the same size—that being the size of the largest image in the sequence. This can result in some very bad distortion if the application scales an image to any significant degree. You should use an image-editing application to make all the images the same resolution before you import them into QuickTime Player.

  8. Press the spacebar to see the slide show. Each image will be shown for the amount of time you set when you set the frame rate.

  9. Choose File, Save As. Name the movie, select either the "Save normally" or the "Make movie self-contained" option, choose a location, and click Save. Your slide show is now saved as a QuickTime movie.

You can also add a sound track (such as music in an MP3 file) to your slide show to make it even more impressive.

  1. Locate the MP3 file you want to use as a soundtrack.

  2. From QuickTime Player, open the MP3 file. It will appear as a movie with no video track.

  3. Play the music so that you are sure it is what you want.

  4. Use the Info window for the slide show to figure out how much music you need.

  5. Select the portion of the music you want to use as the soundtrack and copy it.

    TIP

    Use the timecode to determine exactly how much music you are selecting.

  6. Switch back into the slide show and select the entire movie.

  7. Use the Add command to add the music track to the slide show. The music will be added as a soundtrack and will play when you play the slide show.

NOTE

You can't fade music using the QuickTime Player, so unless you choose your music and work the timing carefully, you might end up with a jarring ending to the soundtrack. You need to use a more capable application, such as iMovie, to be able to fade the soundtrack for a movie.

NOTE

If you use iPhoto, you can also export a group of images as a QuickTime slide show. In addition, you can create a slide show from a group of images using iDVD.

To learn how to use iPhoto, see "Using iPhoto to Master Digital Images," p. 425.

To learn how to create DVD slide shows, see "Preparing Images For a Slide Show on DVD," p. 592.


Customizing Your QuickTime Movies

One of the most powerful editing features in QuickTime Player is not very obvious—the Movie Properties tool. The tool is somewhat hidden by being placed on the Movie menu, rather than on the Edit menu where it belongs.

To open the tool, choose Movie, Get Movie Properties (or press [image] +J). The Movie Properties tool will appear, and at first, you might not be too impressed (see Figure 17.8).

Figure 17.8. Hidden under a rather plain interface is one of the most powerful parts of the QuickTime Player.

The tool has two pop-up menus at the top of the window. From the left pop-up menu, you choose the element with which you want to work. If you open the menu, you will see Movie, which enables you to work with the movie as a whole, and a listing of each track in the movie (such as Video Track and Sound Track). From the right pop-up menu, you choose the aspect of that element that you want to learn more about or that you want to change. The information to view or the controls you can use appear in the lower pane of the window.

The Movie Properties tool is very powerful, and it can help you with many tasks. Although I don't have room to cover it in all its detail in this chapter, a few examples will help you understand how it works. You can explore on your own from there.

NOTE

You can use the Movie selection in the left pop-up menu to control various aspects of the movie itself. For example, you can set the movie to play automatically when it is opened by choosing Auto Play on the right pop-up menu and checking the "Auto Play Enabled" check box. And, you can use the Controller option to choose a different movie controller (or to display no controller at all).

Changing the Size of a Movie

You can use Movie Properties to change many aspects of a movie's appearance, including its size and orientation. This is important for many reasons. For example, if your viewer will be using a different monitor resolution than that on which you originally created the movie (its "Normal" Size), your movie might not fit on the viewer's screen, or it might appear in postage stamp size.

  1. Open the movie you want to change and choose Movie, Get Movie Properties. The Movie Properties tool will open.

  2. Choose the Video Track from the left pop-up menu.

  3. Choose Size from the right pop-up menu (see Figure 17.9).

    Figure 17.9. You can change the size of a movie by using the Size command for the Video Track.

    The lower part of the window will now show controls you can use to resize the movie as well as change its orientation.

  4. Click Adjust. The movie window will have resizing handles you can use to change the movie's size (see Figure 17.10). Drag the handle in any corner of the window to resize the movie. As you move the handles, the size shown in the Properties window will be updated.

    Figure 17.10. You can use the resize handles and other tools in the Movie Properties dialog box to change the size and orientation of the movie.

  5. Click the Rotation tool in the center of the window and drag to rotate the image.

  6. Click and drag the Skew tools on each side of the movie to skew it in either direction.

    TIP

    You can "flip" the image horizontally, vertically, counterclockwise, or clockwise using the buttons at the bottom of the Movie Properties window.

  7. After the size and orientation are correct, click Done.

  8. Save your movie.

The next time the movie is opened, it will be at the size you set it (the size you set becomes the movie's Normal size).

As you saw in Figure 17.9, there are many other choices for the Video Track. Take some time to explore them.

Changing the Volume of a Movie's Soundtrack

There are also many controls you can use to manipulate a movie's soundtrack. They work similarly to the tools you can use for the video track. As an example, you can change the volume of any soundtrack as well as adjust its balance. You might want to do this to change the relative balance of different soundtracks when you have more than one in the same movie. You can make the background music quieter and narration louder, for example.

  1. Open the movie and then the Movie Properties tool.

  2. Choose Sound Track you want to change from the left pop-up menu and open the right pop-up menu (see Figure 17.11).

    Figure 17.11. You can see that there are also many tools you can use to work with a movie's soundtrack.

    NOTE

    If you have more than one soundtrack in a movie, you can select each one to work with them individually.

  3. Choose Volume from the right pop-up menu. The window will contain controls that enable you to change the volume levels of the soundtrack (see Figure 17.12).

    Figure 17.12. Using these volume controls is a matter of setting the various levels by dragging in the bars.

  4. Drag in the Volume bar to change the relative volume level of the track.

    TIP

    If you increase the volume over the default "100" reading, the bar turns red to show that you have "overloaded" the volume level.

  5. Adjust the bass and treble levels using the Bass and Treble bars; they work just like the Volume bar (just drag in the bar to set the level).

  6. Change the balance of the soundtrack using the Balance slider in the lower-right corner of the window.

  7. Play the movie to see whether the levels you set are appropriate. When the movie plays, you can see the relative volume levels for the various sound frequencies in the Equalizer area of the window.

  8. Save the movie.

As with the video tools, there are many more soundtrack tools you can explore to make the most of your movie's soundtracks.

NOTE

If you have a Text or other type of track, you will see controls for that specific kind of track as well. They work similarly to the controls for the video track and soundtracks.


Troubleshooting

My Attempt to Upgrade to QuickTime Pro Failed

When I entered my QuickTime Pro registration information, I see an error dialog box stating that the registration information is not correct. Or, it appeared to work, but when I return to the Registration sheet, the Basic version is still shown and no registration information appears in the sheet.

The QuickTime Pro registration code is tied to the name you used when you obtained it. You must enter this name exactly as you used it; otherwise, the registration code will not be accepted. Also, double-check the registration code you entered; these codes are long and complex, so it is easy to make a mistake. The code and name are case-sensitive, so make sure that you enter them exactly as shown in the information you receive from Apple.

I Can't View QuickTime Movies on the Web

When I attempt to view a QuickTime movie on the Web, I'm unable to do so and am forced to download the file to my Mac instead.

This happens if the QuickTime plug-in has been moved or damaged. In order to reinstall the plug-in, you need to update QuickTime. When the updater runs, it will reinstall the plug-in in the appropriate location and you will be able to use it with your Web browser. To update QuickTime, open the QuickTime Player application, and choose QuickTime Player, Update Existing Software. The appropriate files will be downloaded and installed on your Mac. Restart your Mac and you should be able to view QuickTime movies on the Web.


Mac OS X to the Max: Taking QuickTime Further

You've learned a lot about QuickTime, but even so, there is a lot more you can do. In this section, you'll get some tips to help you go even further with QuickTime.

Using QuickTime Pro to Convert Files into Other Formats

QuickTime supports many types of file formats that you are likely to encounter on the Internet as well as on CD-ROMs and other sources of multimedia files. These files can contain all sorts of content, everything from videos to sounds to still images and combinations of all of these. One of the most powerful features of QuickTime Pro is the ability to use it to convert files into different formats. You can import many file types into QuickTime Player and then export them or save them in a different format.

To import non-QuickTime movie content into QuickTime Player, use the Import command on the File menu.

Table 17.4 lists some of the more useful files you can create using the Export command on QuickTime Player's File menu. In the Save Exported File As dialog box, you can use the Export pop-up menu to choose any of the file formats shown in Table 17.4. After you choose a format, you can set the options used for the export with the Use pop-up menu.

Table 17.4. Useful File Formats to Which QuickTime Player Can Export Content
Export To Format | Use
Movie to AVI | This exports a movie to the Windows AVI format. The AVI format is a standard on the PC side of things, so this is useful if you want to provide movies for Windows users (although they would be better off using the Windows version of QuickTime).
Movie to BMP | You can convert frames of a movie into the BMP format, which is the Windows bitmap image format.
Movie to DV Stream | This is an extremely useful function because it enables you to export QuickTime movies in the DV format so that you can then import them into a digital video editing application, such as iMovie.
Movie to MPEG-4 | Creates an MPEG-4 version of the movie, which will have high quality and relatively small file size. The only downside is that the recipient's movie player has to be able to handle MPEG-4 content, which not all do.
Sound to AIFF | This option enables you to save the movie's sound in the AIFF format, which can be used in almost any application that works with sound. You can also export sounds from your movies in this format to use as system sounds.
Sound to Wave | This is a sound format that is common on Windows PCs.

When you choose one of these export formats, you can use the Options button to configure the specifications to export the file with. In the resulting Settings dialog box, you can configure the format you are exporting. For example, when you export a movie as a DV Stream, you can choose the video format and the audio format. If you use the MPEG-4 format, you will see a Settings dialog box with five tabs that enable you to configure various aspects of the resulting MPEG-4 movie, such as its size, video and audio quality, streaming properties, and compatibility. Although covering the options for specific formats is beyond the scope of this book, you should take a look at the options that are available for specific export formats that you use.

Using QuickTime Player Keyboard Shortcuts

QuickTime Player keyboard shortcuts are shown in Table 17.5.

Table 17.5. Keyboard Shortcuts for QuickTime Player
Action | Keyboard Shortcut
Add | Option+ [image] +V
Add Movie As Favorite | +D
Add Scaled (scale frames to selection) | Option+Shift+ [image] +C
Close Player Window | +W
Export | +E
Find | +R
Find Again | +G
Get Movie Properties | +J
Jump crop markers to Playhead, play movie forward, and begin selecting frames | Shift+ [image] +Right arrow; hold down Shift+ [image] keys to continue process
Loop | +L
Move to next crop marker or to end of movie | Shift+Option+Left arrow
Move to next crop marker or to start of movie | Shift+Option+Right arrow
Move Playhead backward one frame | Left arrow
Move Playhead and crop marker backward one frame | Shift+Left arrow
Move Playhead forward one frame | Right arrow
Move Playhead and crop marker forward one frame | Shift+Right arrow
New Player Window | +N
Open URL | +U
Pause movie (movie playing) | Spacebar or Return
Play movie (movie paused) | Spacebar or Return
Play movie at Double Size | +2
Play movie at Half Size | +0
Play movie at Normal Size | +1
Play movie backward (review) | +Left arrow
Play movie forward at higher speed | +Right arrow
Play movie in Full Screen mode | +F
Play movie in reverse while moving right crop marker to deselect frames | Shift+ [image] +Left arrow; hold down Shift+ [image] keys to continue process
Play Selected Frames Only | +T
Replace selected frames | Shift+Option+V
Select All frames | +A
Select None (no frames) | +B
Show Movie Info | +I
Turn volume down | +Down arrow
Turn volume to maximum | Shift+Option+Up arrow
Turn volume to minimum | Shift+Option+Down arrow
Turn volume up | +Up arrow

Distributing QuickTime Movies

After you create your QuickTime masterpiece, you want to get it to other people so that they can enjoy it, too. Following are some methods you can use and a few comments about each:

  • E-Mail You can e-mail your movies to others. However, make sure that you only e-mail movies that are relatively small (in file size). Many e-mail gateways choke on files larger than a few megabytes, and it doesn't take much of a QuickTime movie to clog up the works. If the movie file you have created is large, use the Movie Properties tool to make the movie smaller. Also make sure that you remove any unnecessary tracks. Make sure that if your movie isn't self-contained, you send all the movies that the movie references.

  • Web A great way to make your movies available to others is to post them on a Web site, such as one you create with .Mac. The guidelines for e-mailing your movies also apply, although to a lesser degree. Generally, Web movies can be larger than those you e-mail to people because the movies can be streamed.

    To learn how to create a .Mac Web site, see "Using .Mac to Create and Serve Your Web Pages," p. 371.

  • CD A CD is one of the best ways to provide your QuickTime movies to others. It offers better performance than all but the fastest Internet connections, and your movies can be pretty large (up to 650MB for a single CD). Putting a QuickTime movie on a CD is very simple, and CD-R discs are very inexpensive. Of course, you have to physically get the disc to your audience, but as long as you aren't planning something major, that usually isn't too difficult.

  • DVD Using iDVD, you can place your QuickTime movies on DVDs that will play both on your Mac and in most standard DVD players. The DVDs you create can even include interesting features, such as motion buttons, menus, and more.

  • Network You can serve your movies to a local network; on most networks, users can view your movies without even copying them to your hard drive. The performance is likely to be pretty good, so you can use a high-quality version of the movie. To make your movie easily accessible, create an Internet location file for it or e-mail its alias to people on your network.

TIP

Consider making different versions of your movie to distribute in different ways. Create a small version for e-mail, a medium version for the Web, and the high-quality version for CD or a network.

Maintaining QuickTime Pro

Apple regularly updates QuickTime and generally, newer versions are better. There are several ways in which you can update the version of QuickTime installed on your Mac. These include the following:

  • Use the Update Existing Software command on the QuickTime Player File menu.

  • Use the QuickTime pane in the System Preferences utility to have the system check for updates automatically.

  • Get the updates from the Software folder in your iDisk.

  • Go to Apple's QuickTime site and download updates.


Chapter 18. Making Digital Movie Magic with iMovie

In this chapter

Working with Digital Video

Choosing and Using a DV Camcorder

Building a Basic Video Track

Adding Transitions

Titling Your Movie

Adding Special Effects

Using Sound in Your Movies

Distributing Your Movie

Troubleshooting

Mac OS X to the Max: iMovie Editing Shortcuts


Working with Digital Video

Digital Video (DV) technology enables you to capture high-quality footage and then transform that raw footage into a movie that people will actually enjoy watching. With Mac OS X, a digital video camera, and iMovie, you can express yourself in ways that are limited only by your own imagination. Your movies can have plots, transitions, sound effects, music, special effects, and more. And you can distribute and watch your movies in many ways, such as on videotape or on the Web.

The three fundamental phases to making a movie are the following:

  • Planning During the planning phase, every aspect of the movie is developed and planned. The major tasks include writing a script or screenplay, developing the storyboards, and so on. The tasks that are required to make the movie are also planned. Shot lists are made, location shoots are scheduled, cast and crewmembers are chosen, and on it goes.

  • Production This is the part that most people think about when they visualize the movie-making process. During this phase, the cameras roll and the file or video clips (from which the movie is eventually made) are captured.

  • Post-production During post-production, the clips are laid into a track to form the basic movie. Special effects and music are added. The movie is edited and reedited until it meets the creator's vision for what it should be. Only after the post-production process does the collection of clips actually become a movie.

Because I have only a few pages to explain the basics of using iMovie, this chapter contains information mostly related to the post-production process because that is the most Mac-intensive phase.

NOTE

Making great movies is more than shooting and then editing DV clips. There is much more to the process than I have room to cover here. If you want to dive deeper into the world of DV, check out my book The Complete Idiot's Guide to iMovie 2.

In the post-production phase of making a movie, you will do the following tasks:

  • Create the basic video track

  • Add transitions, titles, and special effects

  • Create the soundtracks

  • Finish, distribute, and watch the movie

To create DV movies, you should have the following tools:

  • A Mac capable of running iMovie

  • iMovie

  • QuickTime Pro

  • Digital Video Camera

To learn more about QuickTime Pro, see Chapter 17, "Viewing, Editing, and Creating QuickTime Movies," p. 499.

NOTE

The iMovie application is currently part of the standard Mac OS X installation so unless something unusual has happened or Apple has changed its policy on this, you should already have a copy of iMovie installed. If not, read the rest of this note.

Because iMovie for Mac OS 9 costs $50, it is unclear whether Apple intends to continue giving away iMovie for Mac OS X. If the free version is no longer available, you can purchase a copy at the Apple Store at www.store.apple.com.

It is expected that Apple will continue to include a copy of iMovie with new Macs.


Choosing and Using a DV Camcorder

A DV camera enables you to capture your own video and easily import clips into iMovie via FireWire. Obtaining a DV camera can be a baffling and sometimes intimidating process. There are many brands, and each offers many models with dozens of different features. This adds up to more choices than you might want to deal with.

However, by assessing a few specific factors, you can quickly reduce the dozens of choices you have to just a few.

  • iMovie compatibility Compatibility with iMovie should be the most important factor you consider when you choose a DV camera. What does iMovie compatibility mean? Basically, it means that you have the easiest time and get the best results using that camera with iMovie. This is because you can control the camera from within iMovie, which makes transferring clips from the camera into iMovie a snap.

    Apple maintains a list of iMovie-compatible cameras on the iMovie Web page. To see this list, go to www.apple.com/imovie/compatibility.html. You will have the best results if the camera you choose is on this list.

  • Format Many video camera formats are available; the good news is that you need to consider only two formats: Digital8 and MiniDV. The difference between them is, as you probably surmised, size. Digital8 cameras use a digital tape that is the same physical size as an 8mm tape. MiniDV tapes are considerably smaller, and MiniDV cameras tend to be considerably smaller, as well. Because of the size benefits and the fact that MiniDV has become the standard for DV camcorders, I recommend that you consider only cameras that use the MiniDV format.

    NOTE

    If you already have lots of 8mm tapes, give the Digital8 format a closer look. Digital8 cameras can record on standard 8mm tapes as well as digital 8mm tapes. This means that you can continue to view and use your current 8mm tapes. However, if you don't have this situation, MiniDV is likely to be a better choice.

  • Cost How much you have to pay for a camera is likely to be one of the first things you think about. And it might indeed be the most important factor of all. To quickly find out how much specific models cost, make a note of some of the models you see on the supported cameras list. Go to your favorite retail Web site—try www.smalldog.com—and search for the models you noted to see how much they cost.

  • Size, shape, and comfort How often you shoot video with a camera is usually a matter of how convenient it is to carry and use. Fortunately, MiniDV cameras are very small; in fact, a few are almost pocket-size! Make sure that the camera you get is small enough that you're willing to haul it with you (you can't shoot video if you don't have the camera with you!).

  • Magnification The power of the lens determines how close you must be in order to shoot something. Two values are quoted for DV cameras. One value is for optical zoom, and the other is for digital zoom. Optical zoom uses the physical lenses to achieve magnification; digital zoom uses digital enhancements to make the image larger. Optical zoom provides higher quality, but both are useful. For both values, bigger numbers are better (for example, a 20X optical zoom is better than a 10X optical zoom).

    If it comes down to a choice, larger optical magnification is more important than a larger digital magnification. Optical magnification actually improves the image, whereas digital magnification uses the same amount of data to generate the image. For example, a 20X optical zoom with a 75X digital zoom is probably preferable to a 15X optical zoom with a 250X digital zoom.

  • Lighting options Some models have built-in lights to use when you shoot in low-light conditions. Others feature shoes into which you can plug external lights, such as those used for high-quality still cameras. Some models are designed to use the same lights as their 35mm film-based still-image cousins.

  • Input and output ports In addition to the FireWire port, other ports are available to get information into or out of the camera. These include a headphone jack so that you can connect and use a higher-quality or focusable microphone, additional audio/video input/output ports, and so on.

After you have obtained a digital video camera, using one is very similar to using an analog camcorder. Hopefully, you will use a script or storyboard to plan the shooting you will do with it to get the clips from which you will build your movie.

After you have a collection of video clips, you are ready to get into iMovie to begin making a movie.

NOTE

Make sure that the DV camera you get has a port that enables you to record from an external source. This is usually called an A/V port. Often, this is the same port that is used to export video from the camera (the same jack is used to record from a source as is used to export the video to a VCR). This feature enables you to use an analog source to capture clips for your movies (in effect, such camcorders function as digitizers). For example, you can record from a VCR and then use FireWire to transfer that footage through the DV camera into iMovie so that you can use it in your movies. This is easy to do, and the quality is very good (better than with most consumer-level digitizing devices). Even better is a model that enables you to pass-through a signal so that you don't even have to record it with your DV camera because the signal passes through the DV camera into your Mac (via FireWire). This means that you get a higher-quality first-generation recording in your movie rather than a second-generation recording (as you would if you have to record the video on the DV camcorder before you import it into iMovie).

NOTE

Before you start making DV movies, you should make sure that you have lots of space in which to store your iMovie project. If you have 2GB or more available, you have enough to get started; however, you won't be able to store very many minutes of DV footage. If the free space is between 1GB and 2GB, you can get started, but you will have to carefully manage your disk space as you work. If there is less than 1GB of free space, you need to move some of your files off your disk because you won't have enough room for anything except the briefest of movie projects.


Building a Basic Video Track

Open iMovie. If you have not used iMovie before, you will see a dialog box with three buttons: New Project, Open Project, and Quit. In this dialog box, click the New Project button. (If you have previously worked with iMovie, it remembers your last project and automatically opens it for you. In this case, start a new project by choosing File, New Project.)

In the Create New Project dialog box, name your movie. Move to the volume on which you are going to store it and click Create. Unlike many other applications, what you create is not a file but rather a folder that contains all the elements of your project.

NOTE

Make sure that you choose a volume with plenty of free space to store your iMovie project on. If you have a partitioned hard disk, you might need to move outside of your Home directory to store your project in order to have enough room. In the ideal situation, you will have a dedicated hard disk or volume on which to store your project.

Open the project folder you just created, and you will see two items: a folder called Media and an iMovie file (see Figure 18.1). The media folder is used to store the clips, images, additional sounds (such as a music track), and other components you use in your project.

Figure 18.1. When you create a new iMovie project, you create a folder that contains the Media folder and an iMovie reference file.

The iMovie file, which has the same name as your project, is a small pointer file that contains references to all the files in the media folder you are using. If you want to open your project by double-clicking something, this is the file you double-click.

Now you are ready to begin to build your movie; you need to fill the iMovie Shelf with the clips from which you will build your movie. The iMovie Shelf is a holding area for the clips you will use in your movie. You drag clips from the Shelf to the Clip Viewer (more on that in a bit) to place them in your movie. You can also drag clips from your movie and place them back on the Shelf again.

There are several sources for the clips you will import:

  • Clips from a DV camera

  • QuickTime movies

  • Still images

After the clips are in iMovie, you can build the basic video track of your movie.

Importing Clips from a Digital Video Camera

Setting up a FireWire camera to work with iMovie is a snap. Power up your Mac. Turn the camera on to its output setting (this is sometimes labeled VCR or VTR). Connect the FireWire cable to the DV camcorder and your Mac.

CAUTION

If the FireWire plug doesn't slip in easily, take a closer look. FireWire connectors are relatively fragile, so don't push too hard.

You will see a message in iMovie's Monitor window confirming that iMovie is in touch with your DV camcorder. In addition to the "Camera Connected" message, notice that the button just under the Monitor is now Import (see Figure 18.2). This means that you are ready to begin importing your clips into iMovie.

Figure 18.2. This message means that iMovie is ready to begin importing your clips.

The really cool part about an iMovie-compatible DV camcorder is that you can control your DV camcorder using iMovie's controls. The Play, Fast Forward, Stop, and other buttons in the iMovie Monitor control your DV camcorder. If you aren't using a camera that is iMovie-compatible, you will have to control the camera by using its controls and manually control iMovie as well.

If you aren't able to control your camera from within iMovie, see "Nothing Happens with My Camera When I Use iMovie" in the Troubleshooting section at the end of this chapter.

TIP

If for some reason you aren't getting the screen shown in Figure 18.2, try clicking the Camera/Edit Mode switch. With most cameras, this is automatically selected when iMovie realizes that it is connected to a camera.

To begin playing the tape in your camcorder, click the iMovie Play button. The clips on the tape begin playing in the Monitor. Use the iMovie controls to move to the point on your tape at which you want to begin capturing clips from the tape.

Following are the controls that iMovie provides (from left to right and bottom to top):

  • Import You use this when you want to import clips to the Shelf.

  • Camera/Edit Mode This switches iMovie between the camera mode (which you are in now) and the editing mode, which is the mode you use to edit your movie.

  • Rewind/Review When the tape is not playing, the Rewind button rewinds the tape at top speed. When the tape is playing, it plays the tape backward (you see the video, but there is no audio). In the Review mode, you have to "hold" the button down to keep the review going (in other words, if you let up on the button, it goes back into Play mode).

  • Pause This one freezes the video at a specific frame.

  • Play Plays the tape in the camera.

  • Stop The Stop button halts whatever is happening with the camcorder.

  • Fast Forward/Preview When the tape is not playing, the Fast Forward button moves the tape forward at top speed. When the tape is playing, it plays the tape forward at a high speed (you see video, but don't hear any audio).

  • Volume Drag the slider to the right to increase the volume and to the left to decrease it. Note that this affects only the playback volume and doesn't actually change the movie at all. This control affects your system volume level.

Click the Import button (or press the spacebar); iMovie starts the camcorder and begins capturing the clips. It stores the first clip in the first available slot on the Shelf. When it gets to a scene break (the point at which you hit the Stop button while filming with the DV camcorder), it stops that clip and immediately begins capturing the next scene, which it places in the next available slot on the Shelf (see Figure 18.3).

Figure 18.3. When you import clips from a DV camera, iMovie stores them on the Shelf.

iMovie continues this process until it runs out of video to import or out of disk space to store clips, whichever comes first. If you don't want to wait that long, click Import again to stop the capture process (or press the spacebar).

As you import clips into iMovie, keep a close eye on the Disk Gauge that is just under the Shelf. This gauge shows you how much free space is available on the disk where your project is stored. When you are in good shape spacewise, the gauge shows green. When it turns yellow, you are starting to run out of room. When it turns red, the disk you are using is full, and you need to clear more space on it to continue.

If the Disk Gauge turns red, see "The Disk Gauge Has Turned Red" in the Troubleshooting section at the end of this chapter.

Use the iMovie controls to move the tape to the next set of scenes you want to capture, and begin again. Continue until you capture all the scenes that your script and storyboards call for, your disk runs out of space, or your Shelf is so full of clips that you have trouble dealing with so many. Your Shelf now has some nice clips (and probably some not-so-nice ones), ready for you to edit and use in your movie.

When you are done, disconnect your camera and turn it off.

Deleting Clips

As you capture clips, you will realize that some of them just aren't any good and you don't think you will end up using them. That is the time to get rid of the defective clip so that it doesn't consume any precious disk space. On the Shelf, click the clip you want to dump to select it. Drag it to the Trash (or press Delete)—it disappears from the Shelf.

Placing a clip in the Trash gets it off the Shelf, but the clip still consumes disk space. To free up that disk space, you must empty the Trash. To do so, choose File, Empty Trash. Depending on how big the clips in the Trash are, you might see a dialog box asking you to confirm that you want to empty the Trash. Click OK and the contents of the Trash are deleted. The space that this junk consumed on the disk is free for other purposes. (The increased free space will be reflected on the Disk Gauge.)

TIP

If you want to control how clips are broken, instead of letting iMovie do it for you, uncheck the "Automatically start new clip at scene break" check box in the Import tab of the iMovie Preferences dialog box. When you import video, the clips will come in as one continuous "chunk" unless you start and stop the importing process manually. Frankly, dealing with one large clip is much more difficult than letting iMovie break up the clips for you. But if you have recorded your movie using very short multiple clips of the same scene, you might choose to have them come in as one long clip instead.

Importing QuickTime Clips for Your Movie

You might also want to use QuickTime movies in your iMovie project. These QuickTime movies might be some you have digitized yourself, or they might be some you have downloaded from e-mail or from the Web.

Using QuickTime movies in iMovie is a two-step process. Step 1 is to use QuickTime Player Pro to convert the movie into DV format. Step 2 is to import the movies into iMovie.

All clips in iMovie must be in the DV format. Because native QuickTime movies are in QuickTime format, they must be converted to DV in order to be used with iMovie.

To learn how to create a DV movie from a QuickTime movie, see "Using QuickTime Pro to Convert Files into Other Formats," p. 529.

To use a DV clip you have converted, perform the following steps.

  1. Choose File, Import File.

  2. In the Import File dialog box, choose DV Stream File on the Show pop-up menu.

  3. Move to the first clip you converted into the DV Stream format.

  4. Select the DV stream clip and click Import.

You will see a progress bar showing you how the import is moving along. If your clip is fairly lengthy, this process can take a few moments. When the importing process is complete, the clip appears on the Shelf, and it is automatically selected so that you see it in the Monitor. From this point on, it behaves in the same way as any other clip on the Shelf.

Importing Still Images

You can include still images in your movie, or if you want to create a slide show, you can have a movie composed entirely of still images. You can import image files in all the common Mac image file formats, such as JPEG, TIFF, PICT, and so on. For best results, you should size your images so that they have a resolution of exactly 640x480 because iMovie will scale them to that size anyway, which can result in some distortion if the image's size is much different from this.

Moving your photos into iMovie is as easy as importing a DV clip.

  1. Choose File, Import File to see the Import File dialog box.

  2. Move to the folder in which you saved the photos that you want to use in your movie.

  3. Hold down the Shift or Cmd key and click all the images you want to import.

  4. When they are selected, click Import.

A progress window appears; and after a few moments, you will see your images on the Shelf.

Previewing Your Clips

Select a clip by clicking it on the Shelf. The clip is highlighted with a yellow border—this means that the clip is selected. More telling is the first frame of the clip that the Monitor shows (see Figure 18.4). Notice that when you select a clip, iMovie also moves into the Edit mode, in which you can manipulate your clips (if it isn't in the Edit mode, slide the Camera/Edit Mode switch to the right).

Figure 18.4. Clip 41 is selected on the Shelf; its first frame is shown in the Monitor.

Click Play to watch and hear your clip. Click Play again to pause your clip. You can also start and stop play by pressing the spacebar.

As the clip plays, notice that the Playhead moves across the Scrubber Bar (see Figure 18.5). The Scrubber Bar is a visual representation of the timeline for a clip, a group of clips, or your movie (depending on what you have selected). On the Scrubber Bar, the Playhead shows the exact frame that appears in the Monitor as it appears; you use the Playhead to determine where you "are" in a clip. The precise location of the Playhead is shown by the timecode that "floats" next to the Playhead.

Figure 18.5. This clip is playing and is on the fifth frame of the 22nd second of the clip.

The timecode is an important piece of information with which you need to get comfortable. As its name implies, the timecode provides information about the time aspects of a clip or of your movie. Timecodes appear in the following format:

Minutes:Seconds:Frames

If your clip is less than a minute, you will see only two sets of numbers: Seconds and Frames.

The Frames part of the timecode is a counter that measures the number of frames in a single second of the clip. Most clips that you capture have 30 frames per second, which is the number that is required for smooth onscreen motion. Within each second of the clip, the frames are numbered from 00 to 29 (for a total of 30 frames). The Frames part of the timecode tells you where in each second of the clip you are. For example, a timecode of 36:21 means that the clip is 36 seconds long and has gone 21 frames into the 37th second (so it is actually almost 37 seconds long).

As you start editing, the timecode becomes very useful, especially when you are able to interpret it immediately. The first few times it can be a bit confusing, but just keep remembering that the last number in the timecode is the frame number; it'll eventually sink in.

You can preview (called search forward in iMovie lingo) by clicking the Fast Forward button while a clip is playing. The Playhead zooms across the screen until you click the Fast Forward button again. You can do the same thing in the reverse direction using the Rewind/Review button (called search backward).

Adjust the playback volume using the Volume slider. Note that this only affects the current volume of the clip and in no way changes the clip itself.

As you edit, you are constantly moving around a clip to get to specific areas to edit. There are several ways to do this.

Click the Playhead and drag it to the right to move forward in the clip or to the left to move backward in the clip. When you release the mouse button, the Playhead is at the exact position where you left it, and you can see the frame indicated by the timecode. Use this method for gross but quick movements in the clip, such as moving from the beginning to the middle.

You can also move the Playhead much more precisely by using the keyboard; this is essential when you get to detailed editing because you can move by increments as small as a single frame. To move the Playhead one frame at a time, use the Left- and Right-arrow keys. As you probably guessed, the Right-arrow key moves the Playhead forward one frame, and the Left-arrow key moves you backward one frame.

You can also move the Playhead forward or backward 10 frames at a time by holding down the Shift key while you press the Left or Right-arrow keys. This movement is also very useful when you are doing detailed editing because it enables you to quickly move to a precise location in the clip, but you get there a bit faster than by moving one frame at a time.

A fast preview technique is to select a clip and fast-forward through it (press [image] +]) so that you get a good idea of what it contains. If it looks as if it contains no usable footage, delete it. If it looks promising, watch it again at regular speed.

NOTE

You can use a clip's Info window to rename it as well as to see various data about it. To see a clip's Info window, select the clip and press Shift+ [image] +I.

Editing a Clip

The first step in editing a clip is to select the part of the clip you want to edit. You do this with the Crop Markers.

As with most Mac applications, you select the material you want to edit—in this case, frames of the clip—and then perform some action on them.

  1. Click the clip you want to edit to select it; the clip appears in the Monitor.

  2. Using the movement tricks you just learned, move to an area in the clip that you want to remove.

  3. Move the pointer between the underside of the Scrubber Bar and the iMovie controls; two "ghost" Crop Markers will appear to show you where the Crop Markers will be located when you click.

  4. When you are ready to set the crop markers, click and drag. When you do, the Start Crop Marker becomes solid and its location is fixed. Drag to the right to move the End Crop Marker to select a series of frames. The area of the clip that you have selected is indicated by the gold-colored portion of the Scrubber Bar (see Figure 18.6). When you release the Crop Markers, the Playhead jumps to the right Crop Marker.

    Figure 18.6. The Crop Markers indicate the portion of the clip that is selected; you can also see the selected frames by the gold-colored (because the figures in this book are printed in grayscale, you can't really see this in the figure) portion of the Scrubber Bar.

    TIP

    You can also quickly set the Crop Markers by holding down the Shift key and clicking the mouse button while you point to the underside of the Scrubber Bar.

    When the Playhead is aligned with a Crop Marker, it "sticks" to it. This enables you to make very fine selections, even down to the individual frame. You can also make the Crop Marker stick to the Playhead by dragging the Playhead so that it is directly over a Crop Marker (a small line extends down from the Playhead so that you can see precisely where it is located).

    When the Playhead is "stuck" to the Crop Markers, you can make very fine selections by using the arrow keys. To increase the selected frames by a single frame, press the Right-arrow key one time (to shorten the selection by one frame, press the Left-arrow key once). To change the selection by 10 frames at a time, hold down the Shift key while you press the appropriate arrow key.

  5. To get rid of the selected frames, choose Edit, Cut ( [image] +X). The Crop Markers disappear, as do the selected frames, and they are removed from the clip.

  6. Play the clip to see how it is without the frames you just cut. If you don't like the result, you can undo it by choosing Edit, Undo ( [image] +Z).

  7. If you want to remove everything that is not selected instead, choose Edit, Crop instead of Cut. This is useful when you want to remove frames from both the beginning and end of a clip at the same time. Select the portion of the clip that you want to keep by using the Crop Markers; when you crop it, everything else is removed.

NOTE

Copy, paste, and other editing commands work in iMovie just as they do in other Mac applications.

Continue editing your clips until they are close to how you want them to be in your movie. It's usually a good idea to leave a couple of spare frames at each end of the clips so that you have some "extra" to work with when you do the final editing. When you're finished, you should have shorter and fewer clips than you did after you imported all the clips into the project.

Building a Movie from Your Clips

After you have done the rough editing of your clips, you can begin to create your movie. You assemble your movie by placing clips on the Clip Viewer in the order you want them to be in the movie.

Click the Clip Viewer icon, which is the eye, to bring the Clip Viewer to the front (it will probably be in the front already). To begin assembling your movie, simply drag clips from the Shelf onto the Clip Viewer (see Figure 18.7). Drag them onto the Clip Viewer in the order in which you want them to appear; you can reshuffle them later if you want to.

Figure 18.7. I have moved clips from the Shelf to the Clip Viewer; the Clip Viewer shows the sequence in which the clips will be played in the movie.

When you select one or more clips on the Clip Viewer, the Monitor will show the clips you have selected. Vertical lines in the Scrubber Bar mark the boundaries of each clip. If you don't have any clips selected, the Monitor will show the contents of all the clips on the Clip Viewer, in other words, your entire movie.

If the Clip Viewer gets full, use its scrollbar to reveal empty space for more clips.

Press [image] +D to deselect any clips that are selected. Press the Home key to move to the start of your movie. To preview your movie, press the spacebar. Your movie plays. You can use the same movement and editing controls with an entire movie as you can when dealing with an individual clip (such as fast forward). (You can play a single clip again by selecting it on the Clip Viewer.)

NOTE

You learned earlier that you can easily include still images in your movies. Rather than using a frame rate, still images use a duration, which is how long the image appears onscreen. By default, this is 5 seconds, meaning that the still image appears for 5 seconds. You can change the default value if you want, and you change the duration for a still image when you add it to your movie. To do the latter, add the image to your movie. Select the image in the Clip Viewer and edit the value in the Time field (located at the top of the Clip Viewer toward its right end) to be the new duration for the image.

You can change the order of clips by dragging them from one location on the Clip Viewer to another. As you move a clip between two other clips, the clips move apart to show you where your clip will be placed when you release the mouse button.

You can remove a clip from your movie and place it back on the Shelf by dragging it from the Clip Viewer to the Shelf. You can delete a clip by selecting it and then pressing Delete.

To see your movie in full-screen mode, click the Play Full Screen button. Your movie plays back so that it takes up the entire screen. This helps you focus on your movie without any distractions from the iMovie interface. To stop your movie and return to iMovie before your movie has finished, click the mouse button or press the spacebar.

Continue placing clips in the Clip Viewer until you have all the clips that you want to appear in your movie. You don't have to use all the clips on the Shelf; you can leave clips there for later use or delete them when you are sure that you won't use them in this movie.


Adding Transitions

The segment between two clips in a movie is called the transition. You can use different transitions to smooth the flow from one clip into the next so that your series of individual clips doesn't look like a series of clips, but rather a movie that flows smoothly from one scene to the next. All video uses transitions of one sort or another.

The three most common types of transitions are the Straight Cut, Cross Dissolve, and Fade To or From Black. The straight cut isn't a transition that you have to apply; this is what happens when you don't add a transition. A Straight Cut transition occurs when one scene runs right into another. As long as the adjacent scenes are similar enough, the straight cut seems very natural and you don't even notice it. The cross dissolve is also very common. One scene dissolves into the next. This transition can be useful when the adjacent scenes are somewhat similar, but different enough that a straight cut is a bit jarring. The Fade To or From Black is one of the more useful transitions. With the fade, one scene fades to black or fades in from a black screen.

iMovie enables you to add a variety of transition effects to your movies with a simple drag and drop.

To get started, open the Transitions palette by clicking the Transitions button. The Transitions palette pops up and you see the Transitions tools (see Figure 18.8).

Figure 18.8. When you click the Transitions button, the Shelf is replaced by the Transitions palette that you use to add transitions to your movie.

You can preview a transition by clicking it on the transition list. In the Preview window at the top of the Transitions palette, you see the transition applied to the clip you have selected; if you don't have a clip selected, you see that transition applied to the first clip in your movie. When you click Preview, you see a preview of the transition applied to the clip shown in the Monitor window. Because the transition will be applied to the end of the clip, place the Playhead there before you select the transition you are going to apply.

You can control the amount of time over which the transition effect is displayed using the Speed slider, which is just above the transition list. Moving the slider to the left makes the transition last a shorter amount of time. Moving it to the right stretches the transition out so that it takes longer to play. After you release the slider, you immediately see the transition in the Preview window. In the lower-right corner of the Preview window, you can see how long the selected transition takes with the current setting.

Applying a transition can be done in just a few steps, as the following example of applying a cross dissolve shows.

  1. In the Clip Viewer, select the clip after which you want the Cross Dissolve transition to appear and move the Playhead to the end of the clip.

  2. Click Cross Dissolve to choose it and then watch the preview in the Preview window.

  3. Set its duration with the slider; try placing the slider in the middle of its range. If that is too long or too short, use the slider to set the proper amount of time for the transition.

  4. When the timing looks close, click Preview to see how it looks on the Monitor.

  5. After you are satisfied with the transition, drag the transition from the Transitions palette to the Clip Viewer and drop it between the two clips you want to transition between. The transition appears as a green box with arrowheads that indicate the direction of the transition (see Figure 18.9).

    Figure 18.9. Adding a transition is quite similar to adding a clip; the main difference is that transitions have to be rendered.

Transitions are fairly sophisticated effects and they require your Mac to do a lot of work to apply them to a clip. This process is called rendering. When your Mac renders a clip, it applies the proper amount of transition effect to each frame of the affected section of the clip. When you apply a complex transition with a long duration, this can take a while. Fortunately, you can continue to work while your Mac renders transition effects.

When you place a transition on the Clip Viewer, your Mac immediately begins to render it; you see the small rendering progress bar at the bottom of the transition clip (seen in Figure 18.9). When the rendering process is complete, the progress bar disappears. While a transition is being rendered, you can preview the transition or you can move on to something else.

If you want to make adjustments to the transition, select it in the Clip Viewer and use the time slider on the palette to change its duration or use one of the transition's other controls to adjust it. Click Update to apply the change to the transition. (The clip will be rendered again.)

Continue adding transitions until you have made your movie really flow. At the least, add a Fade In at the beginning and a Fade Out at the end.

NOTE

You can place two transitions adjacent to one another. For example, to have one clip fade out and then the next fade in, place a Fade Out and a Fade In between two clips.

Don't feel as though you need to have a transition before and after every clip. Sometimes the default straight cut works just fine. This is where your creativity comes in, so experiment until you achieve an outcome that is pleasing to you.

After you have your transitions in place, you see the new movie timeline in the Clip Viewer. Use the movement and editing techniques to watch your movie. Modify any of the transitions you aren't satisfied with.

TIP

You can play only portions of your movie by selecting the clips you want to play in the Clip Viewer (including transitions). When you press the Play button (or the spacebar), only the selected parts of your movie play. This saves time and helps you focus on particular parts of your movie. To play the whole movie again, deselect all the clips by pressing [image] +D.


Titling Your Movie

When it comes to titles, credits, and other text, your iMovie movies can certainly hold their own. There are many title effects you can add to your movies in almost limitless ways. You will be amazed at how much improvement you can make to your movies with the right title effects.

Although adding onscreen text is called titling, this term refers to much more than just the movie's name. Basically, titling is iMovie's term for overlaying all sorts of text on the screen. The titles you might want to use in your movies include the following:

  • Captions As with figure captions, you can use "clip captions" to add information to the image onscreen. You might want to add some explanation of what is happening on the screen, the date on which the clip was captured, or you can even add subtitles if you want to. Captions are the term for basically any informative text relating to a scene that you want the viewer to see. Captions can appear anywhere in your movie.

  • Credits I'm sure that you are quite familiar with credits, because most modern movies have several minutes of credits at the end. Credits are just what the term implies: the opportunity to take, or give, credit for something in the movie. For example, you can list all the people who appear in the movie. Or if someone helps you with the movie, you might want to give him some fame by mentioning his name. Even though you can use credits anywhere in the movie, most credits appear at the end.

  • Titles Titles are introductory text that can introduce a movie, a scene, or anything else you think warrants an introduction. Titles normally appear at the beginning of something, whether it be a movie or scene.

iMovie provides various titling tools you can use to add almost any sort of text to your movie that you want. Titles are added using tools that are similar to the Transitions tools.

Understanding Titling Tools

You add and manipulate titles using the Titles palette. To see the palette, click the Titles button (see Figure 18.10).

Figure 18.10. The Titles palette provides all the tools you need to add great text effects to your movies.

The following tools are included on the Titles palette:

  • Preview window This works just as it does on the Transitions palette. When you click a title style, you see a preview of it in the preview window. You also see a preview whenever you make changes to the title.

  • Preview button When you click this, you see a preview of your title in the Monitor.

  • Update button If you make changes to a title you have already placed in your movie, click this button to update the title to include the changes you have made.

  • Speed slider Just like transitions, all titles have a set amount of time that it takes for the title effect to occur. You use the duration slider to set this time. Drag it to the left to make the title faster or to the right to make it slower.

  • Pause slider If there is a pause element in a title's motion, use the Pause slider to control how long that pause is. Drag the slider to the right to make the pause last longer or to the left to make it a shorter pause.

  • Title style You click a title style to use it. The tools that are active on the palette change, depending on the style you select.

  • Direction arrows Some styles involve motion for which you can set the direction. You choose a direction by clicking one of the active direction arrows.

  • Color menu Click this to change the color of the text in the title (it also affects the stripe color in Stripe Subtitle).

  • Over Black check box By default, when you place a title, it's applied over the clip that is selected or on which you drop the title. When you place the title on a clip, the clip might be split in such a way that there are two clips. One contains the title effect, and the other contains the remainder of the clip. If you want the title to appear in the first part of the clip, drop the title on the left side of the clip. If you want the title to appear on the end of the clip, drop it on the right side of the clip. The adjacent clips slide apart to indicate where the title clip is placed.

    If you prefer the title to appear over a black background, you can check the "Over Black" check box. Instead of being applied to a clip in your movie, the title appears in a new black clip that is added to your movie wherever you drop the title.

  • QT Margins A QuickTime movie has different proportions than a standard TV screen. For title styles that appear on the bottom edge of the screen, this can be a problem because those titles can get cut off when the movie is viewed on a TV. Unchecking the "QT Margins" check box moves the title up on the screen so that it won't be cut off when you show the movie on a TV. Checking it moves the title back down again so that it appears in a better location on the screen when viewing the movie in the QuickTime Player. You should leave this unchecked unless the style you use leaves text at the bottom of the screen. The only styles for which you need to use this are Music Video and Stripe Subtitle.

  • Font Family menu You can choose a font family for a title using this pop-up menu.

  • Font Size slider This slider enables you to make the selected font larger (drag it to the right) or smaller (drag it to the left).

  • Text blocks You type the text for your title in the text blocks that appear on the palette. You see two or more styles of text block, depending on what style you use. Most styles use single lines of text. Others use a larger text block into which you can place a fair amount of text.

  • Add/Remove buttons Some styles allow you to add text blocks to the title. When the Add button (the +) is active, click it to add text blocks to your title. Click Remove (the –) to remove text blocks.

You see different tools and options on the palette, depending on the title style you use. Some styles (for example, Centered Multiple) allow you to add more lines or blocks of text. With these styles, the Add button is active. Other styles (for example, Scrolling Block) involve motion of which you can set the direction; the direction arrows are active for these types.

Using Titling Tools

Following are the general steps you use to add titles to your movies:

  1. Decide what sort of text you want to add (caption, credit, date, or title) and to which clip you want to apply the text (or whether you want to apply it to a black background).

  2. Based on the kind of text you add and where you apply it, decide on a title style to use.

  3. Open the Titles palette and click a title style to select it.

  4. Type your text in the text boxes for that style. Use the Add button (if available) if you want to add more text blocks to the title.

  5. Choose a font, color, and size for the title.

  6. Set the direction of the motion (if applicable).

  7. Set the speed and pause (if applicable) of the title.

  8. Preview the title in the Preview window and by clicking the Preview button to preview it in the Monitor.

  9. Make adjustments to the title until it is "right."

  10. Place the title in your movie by dragging it to the Clip Viewer.

  11. View the section of your movie that contains the title to make sure that it works the way you want it to.

  12. If it doesn't, select the title and make changes to it using the Titles palette; then click Update to update the title.

Even though you do most of these steps, you might choose to do them in a different order than I suggest. Just experiment to find the order that suits you best.

Just as the transitions effects have to be rendered before they can be added to your movie, titles must be rendered before they appear onscreen. Rendering can take a while, so use the Preview function to get your titles in great shape before you actually add them to your movie. Just as with transition effects, you see a red progress bar in the title clips as they are rendered. You also see a progress counter that displays the rendering progress frame-by-frame (as in 16 frames complete of 385 total frames in the title). If you update a title, its clip must be rerendered.

NOTE

Sometimes, existing transitions block you from adding a title clip. If this happens, delete the transition, add the title clip, and after the title has been rendered, add the transition back in. If you are going to use many titles in your movie, it can be easier to add the titles before you add transitions.

A quick example of these steps should make them very clear. In this example, I will create and apply a title over a black screen at the front of a movie to introduce it.

  1. On the Titles palette, click Centered Title to choose it.

  2. Click the "Over Black" check box.

  3. Type the title in the text boxes (with this style, you can have two lines of text).

  4. Choose a font and the color for the text (leave the color in the default as White because you are using a black background).

  5. Use the Speed and Pause sliders to set the title's duration. As you make these selections, the title will be shown in the Preview window.

  6. When you think that the title is getting close to being ready, click Preview to preview it in the Monitor.

  7. When the title is right, drag the title style from the Titles palette to the Clip Viewer before the first clip in the movie (see Figure 18.11). The title will be rendered.

    Figure 18.11. This movie now has a title screen at the beginning.

  8. Preview the title clip by selecting it and pressing the spacebar.

  9. If you want to make changes to the title clip, start by selecting the title clip. Make the changes you want to make using the Titling tools and click the Update button. The clip will be rendered again.

You can add other title styles in a similar way, although the specific set of tools you use might be slightly different.


Adding Special Effects

You can add all sorts of interesting visual effects to make your movie look better and even more interesting.

Making a Clip Play in Reverse

You can make a clip play in reverse in your movie. Why would you want to do this? There are several possible reasons. One is for comedic effect. Another might be to create an instant replay sort of effect (you will want to increase the speed of the clip to do this, and you learn how later in this section).

  1. Select the clip you want to play in reverse.

  2. Choose Advanced, Reverse Clip Direction (or press [image] +R). On the Clip Viewer, a direction arrow appears indicating that the clip plays from right to left.

NOTE

Reversing a clip also reverses its audio. You can mute the audio of any clip as you will learn later in this chapter.

The first scene of the clip becomes the last one in the movie, and the thumbnail view you see becomes the last frame (which is now the first frame).

NOTE

A transition impacts the clips to which it is attached. If you reverse a clip that has an attached transition, a warning dialog box appears and tells you that reversing the clip invalidates the transition. It then asks whether you want to rerender the transition. If you proceed with the reversal, the affected transitions are rerendered.

You can restore a clip to its proper direction by selecting it and using the Reverse Clip Direction command again.

Applying Special Effects to Your Movie

The Effects palette contains a number of other special effects you can apply to your clips (see Figure 18.12).

Figure 18.12. You can use the Effects palette to apply a variety of special effects to your clips (in this case, the Water Ripple effect is being applied to a clip of a 747 taking off).

The Effects palette is a bit different from the Transitions and Titles tool palettes. The tools on the Effects palette are related to each other only in that they are effects you apply to the video track. This differs from the tools on the Transitions palette, for example, on which all the tools are related to creating transitions.

All of these effects work similarly—after you use some of them, you can easily use all of them. Table 18.1 lists all the effects on the default Effects palette and provides some examples of when you might want to apply each effect.

Table 18.1. iMovie Special Effects Tools
Tool | What It Does | When to Use It
Adjust Colors | Enables you to adjust the hue, color, and lightness of a clip | When a clip has poor color or seems somewhat dingy
Black and White | Converts a clip into black and white | For artistic effects
Brightness/Contrast | Enables you to adjust the brightness and contrast of a clip | When a clip is too dark, too bright, or has poor contrast
Sepia Tone | Applies a "wood grain" texture to the clip | For artistic effects (often used to make a clip appear as if it were filmed a long time ago)
Sharpen | Adjusts a clip's sharpness | When a clip is too "fuzzy"
Soft Focus | Applies a blur to the images in a clip | For artistic effects
Water Ripple | Makes the image look as if it were being shot through water | For artistic effects

NOTE

Be careful about using the brightness and contrast controls on your clips. The relative brightness levels of video can vary depending on the device you use to show your movie. For example, you might find that a clip will appear slightly darker in iMovie than it does when you export it to videotape. Thus, if you make it brighter in iMovie, it might appear washed out when you view it on a TV. You should do some testing on your setup and how you will view your movie (such as exporting a sample to videotape) before you make many of these adjustments.

The general steps to apply a special effect are the following:

  1. Choose a clip to which you want to apply an effect.

  2. Choose the effect you want to apply.

  3. Set the time it takes for the effect to be applied and the time over which it disappears.

  4. Use the effect's other controls to adjust that effect's properties, while previewing the effect along the way.

  5. Apply the effect to the clip.

The Effects palette features two buttons you haven't seen before: Restore Clip and Commit. When you apply an effect to a clip, iMovie reworks that clip using the effect you apply. However, it saves the original clip so that you can go back to it if you want to (this is like an undo you can use at any point in the future). If you decide that you don't want an effect any more, select the clip and click Restore Clip. The clip is returned to the condition in which it was before you changed it.

That's nice, but saving two versions of a clip (the modified one and the original one) consumes extra disk space that you might not be able to afford. To keep the clip with the effect applied and remove the original (so that it doesn't use disk space), select the clip and click Commit. When you do that, iMovie deletes the original version and you're stuck with the version you have "improved."

Avoid using the Commit button as long as you can. Being able to go back to a pristine version of your clip is often desirable in the event you mess a clip up (of course, you can always re-import it from your camcorder). After you are sure that the changed clip is what you want, click Commit to free up some disk space.

I'm sure that you have seen a movie or documentary in which there were video clips of something that just couldn't have been filmed. For example, at the opening of the movie Tombstone, there is a "historical" sequence in which you see Wyatt Earp and other Westerners in the late 1800s. There were no film cameras in those days, so how did they get these old-looking clips? The answer is through special effects.

One of the effects you can use to achieve this "aged" effect is to apply Sepia Tone to a clip. This makes the clip appear in hues of beige and gray; it has also been described as a wood-grain sort of effect. This effect gives the impression of age, in some ways, even more than black and white does.

Use the following steps for a quick example that will help you apply any of the effects to your movie.

  1. Select the clip to which you want to apply the effect.

  2. Click the Effects button and from the Effects list, click Sepia Tone. You see a preview of the effect in the Preview window on the palette.

  3. Use the Effect In slider to set how long the effect takes to transition in; if you want the whole clip to be in Sepia Tone, leave the slider set all the way to the left. The farther to the right you drag the slider, the longer it takes for the full effect to kick in.

  4. Use the Effect Out slider to determine when the effect begins to go away, thus returning your clip to its previous appearance. If you leave the slider all the way to the right, the clip remains in Sepia for the duration. The farther you move the slider to the left, the earlier in the clip the effect begins to disappear.

  5. When you think that you are close to where you want to be, click Preview. You see a preview of the affected clip in the monitor.

  6. Continue refining the effect until you are happy with it.

  7. When you are done, click Apply and the effect is applied to the clip.

NOTE

If you work with particularly long clips, you might not be able to apply an effect over the entire clip. If this happens, split the clip into two shorter segments and apply the effect to each segment.

The clip has the letters "fx" in the upper-right corner of its thumbnail to indicate that a special effect has been applied (see Figure 18.13).

Figure 18.13. The Sepia Tone effect has been applied to this clip of a 747 taking off.

As with other features, such as titles and transitions, these visual effects have to be rendered in your movie. If the clip to which you apply the effect has a transition attached to it, the transition has to be rerendered, as well.

Other special effects can be applied in a similar way, although the specific tools that are available when you select the effect to apply are different.

Changing the Speed at Which a Clip Plays

To this point, you have used only one of iMovie's two viewers. The Clip Viewer is a good place to focus on the video track of your movie. But as you get into finer levels of detail in the editing process and when you start working with audio, you switch over to the Timeline Viewer. This view provides a more detailed view of your movie, and you "see" all the tracks that make up your movie.

To switch to the Timeline Viewer, click its tab (it has the clock icon) to see the Timeline Viewer (see Figure 18.14). This viewer looks more complicated than the Clip Viewer, and it is. This complexity enables you to do lots of great things, especially with your movie's audio track.

Figure 18.14. The Timeline Viewer enables you to see all the tracks in your movie.

In the top bar of the viewer, you see a graphical representation of the video track of the movie. Each clip is in its own section, and you see a thumbnail view of the clips. You also see the clip's name and timecode in its bar. Transition and title clips have the same symbols as they do in the Clip Viewer.

You use the Timeline Zoom pop-up menu to choose a magnification level for the view that you see. The larger the magnification level, the larger the clips appear (and the less of a clip that you can see on the viewer without scrolling). Choosing a lower magnification "zooms out" and you see more clips, but less detail for each clip. As you work, you should use this control to change the view to make your tasks easier. For example, when you are synchronizing sound with video, increase the magnification so that you have finer control over the process. When you are moving clips around, choose a lower magnification so that you can see more of the movie at one time.

If you choose the Auto setting on the Timeline Viewer Zoom pop-up menu, the Timeline Viewer zooms to a level that iMovie considers to be optimal for editing. This may or may not be optimal for you; if not, choose a specific magnification level.

NOTE

You can do everything on the Timeline Viewer that you can on the Clip Viewer. You click a clip to select it. The clip is highlighted in yellow, and then you can apply effects, transitions, and titles to it. You can also edit in the Monitor just as you can when you select a clip on the Shelf or in the Clip Viewer. Use the Clip Viewer when you want to make large changes to your movie, such as placing and moving clips, adding transitions, and so on. For finer work, such as adding sound effects, use the Timeline Viewer.

There is one special effect located on the Timeline Viewer (which is why I introduced it here). This is the Clip Speed slider, which you can use to make a clip play faster than normal or slower than normal.

Using the slider is trivially easy. Select a clip in the Timeline Viewer and drag the slider to change its speed. To make the clip play faster, drag the slider to the left. When you play the clip, it plays at the faster speed. It appears as "compressed" on the Timeline Viewer to show that it requires less time to play than it did originally. To slow the clip down, drag the slider to the right. Now, when you play the clip, it plays more slowly. The clip expands on the Timeline Viewer. Put the slider back in the center to return the clip to its normal speed.

When you apply speed effects to a clip, the fast forward or the play slow symbol appear on that clip in the Clip Viewer.

TIP

You can combine the direction and speed effects to add an "instant replay" to your movie. Select the portion of the clip that you want to replay and copy it. Paste it twice so that you have the three copies of the clip in a row. Choose the middle copy and make it play in reverse. Use the Clip Speed slider to make this "rewind" really quickly. When you play this section, it appears as if the clip were rewound at high speed before replaying, thus looking just like instant replay.


Using Sound in Your Movies

Using iMovie, you can create rich, full sound tracks for your movies. You can include four types of sound in your movies, which are the following:

  • Native sounds When you import clips into iMovie, any sound that was part of those clips comes in, too. If your clips had sound, you've already heard it numerous times while you were assembling your movie from those clips. You can use iMovie tools to control some aspects of your movie's native sounds.

  • Sound Effects You can add sound effects to your movie to bring it to life. You can use iMovie's built-in sound effects, and you can import other sound effects to use.

  • Narration If you want to explain what is happening in a movie or add your own commentary, you can record narration for your movie. You can also use the narration tool to record sounds from a tape player or other audio device.

  • Music The right music makes a movie a better experience. You can import music to your movies from many sources, such as audio CDs, MP3 files, and so on.

You use the Timeline Viewer to control the audio portion of your movie. As you saw in the previous section, the Timeline Viewer enables you to see all the tracks that are part of your movie. Click the Timeline Viewer tab (the clock icon) to see the Timeline Viewer (see Figure 18.15).

Figure 18.15. The Timeline Viewer and the Audio palette provide the tools you need in order to create sound tracks for your movies.

Each track on the Timeline Viewer is used to create and edit one of the three audio tracks you can have in your movie. The top track displays the native sound in your clips. Typically, the Audio 1 track is used for sound effects and narration and the Audio 2 track is used for music. Functionally, there is no difference between these tracks, and you can use them however you'd like.

In Figure 18.15, you also see the Audio palette, which you use to add sound effects, narration and other sounds you record, and music to your movie.

The tracks you see are all time-based "views" of your movie. The left side of the tracks represents the beginning of your movie, and the right side represents the end. You also see the Playhead, which works the same way it does in the Clip Viewer and the Monitor. For example, you can move it in the same ways, and the timecode shows its location in the movie. The frame at which the Playhead is currently located appears in the Monitor window.

Some of the controls you see on the Timeline Viewer do the same things for each track (or selected clip). These are the following:

  • Timeline Zoom pop-up menu Use this to control the "magnification" of the viewer. Choosing a higher magnification enables you to make more detailed changes because each second in the movie is shown in more detail. Choosing a lower magnification enables you to see more of your movie without scrolling.

  • Mute controls Using a particular sound track is an all-or-nothing affair. The track is either on and you hear its sounds, or it isn't and you don't. You use the "Mute" check boxes to turn a sound track off. If the "Mute" box at the end of a track is not checked, that track is muted. You're most likely to use this on the Native track, but you might occasionally use it with the others, as well.

  • Fade controls The "Fade In" and "Fade Out" check box controls do what you would expect them to. They make a selected sound clip fade in or fade out, depending on which boxes are checked.

    TIP

    If you double-click a sound clip or a video clip, its Info window appears. In the Info window, you see two Fade sliders along with check boxes. If you check a Fade check box, you can use the slider to set the duration of the fade. When you use the "Fade In" and "Fade Out" controls on the Timeline Viewer, the fades have a preset duration.

  • Relative volume slider You use the Relative Volume slider to set volume levels of clips relative to one another. For example, if you don't want your sound effects to drown out the sounds on the Native track, you can control how loud the effect is relative to the native sound.

Working with Native Sound

Your movie probably has some sound that came with the video clips. If you recorded your clips with a DV camcorder, these sounds are whatever you recorded, for better or worse. Each clip has its own soundtrack, which is what you see represented in the Native track of the Timeline Viewer. The bars you see show the beginning and end of each audio clip (and by no coincidence, each video clip).

Muting Native Sounds

The most basic change you can make is to mute the Native track so that you don't hear any of its sounds. To mute the Native track, uncheck the "Mute" check box located on the right end of the Native track. Now when you play your movie, you don't hear any Native sound from it. To hear the native sounds again, check the "Mute" check box.

Changing Relative Volume Levels

Because your clips probably came from different sources or were recorded under different conditions, the sound level from one clip to the next might vary quite a bit. Although some variation is natural (you expect the roar of a jet plane to be louder than a cat walking across the road), too much variation (or the wrong variation, such as if the cat is louder than the airplane) can be annoying or distracting.

Use the Relative Volume slider to set the relative sound levels of the various sound clips on the Native track.

  1. On the Native track, select a clip that should be at the "average" volume level; after you do, the clip's bar on the track becomes highlighted in yellow to show that it is selected.

  2. Move the Relative Volume slider toward the middle of its range. This sets the volume level of the selected clip at an "average" level.

  3. Now move through each clip in the movie and use the Relative Volume slider to set its volume relative to your "average" sound level. Select the first clip in your movie that has native sound (assuming that your first clip isn't also your average clip, of course).

  4. If you want its sound to be louder than your average clip, drag the Relative Volume slider to the right of the position you set as the average volume level; if you want it to be quieter, move the slider to the left. Or, if you want it to be about the same, place the slider in about the same position as it is for the average clip.

  5. Continue this process with all the clips that have native sound.

TIP

You can change the relative sound levels for several clips at once by holding down the Shift key while you select the clips. With the clips selected, move the Relative Volume slider. The relative volume of all the selected clips will be set at the level you choose.

Now when you play your movie, the sound should make sense. Loud parts are louder, quiet parts are quieter, and the average is just right (relatively speaking, of course).

Fading Sounds

If you have assembled your movie from a series of clips, the sound probably jumps from one clip to the next. For example, if your clip has music in its native sound track, it is highly unlikely that the editing you have done has resulted in smooth cuts in the music; more likely it is a rough cut from one part of the music to the next. This can be really jarring and disrupts the flow of your movie.

You can use the Fade controls to make the sound of a clip fade in or out smoothly. If you make a clip's sound fade in, it starts completely silent and smoothly comes to its full level. Similarly, if you fade out a sound, its volume smoothly becomes quieter until by the end of the clip, it has faded to silence.

NOTE

If you add a Fade Out or Fade In transition to a clip, its sound also fades, so you don't need to use the Timeline Viewer fade controls on that clip.

To make a clip's sound fade in, select the clip and check the "Fade In" check box. If you want it to fade out, check the "Fade Out" check box.

You can control how long the fades are by opening the Info window for a sound clip (double-click it or select it and press Shift+ [image] +I to open its Info window). Check the "Audio Fade In" check box and use the slider to set its duration. Check the "Audio Fade Out" check box and use its slider to control how long the fade-out takes. Click OK when you are done.

Editing a Clip's Native Sound

As you learned when you began editing your clips, whatever you do to a clip's video, you do to the clip's sound. This works the other way, too; changing the sound affects the video—unless you extract the sound from the clip (you will learn how to do this in the next section). You should play each clip and listen carefully to its sound. Crop or trim the clips as needed to eliminate sounds you don't want or to include sounds you do want (without messing up the video).

Extracting a Clip's Native Sound

You can extract the audio portion of the clip so that you can work with it independently from the video clip. Extracting the audio from a clip also enables you to move it relative to the video clip. This is useful if you don't want to use all of the audio, but want to keep all of the video in a clip.

One of the best uses for the extracting audio feature is when you have a clip containing background music that should be at least somewhat synchronized with the video, such as a ballet performance. You can extract the audio, and then you can edit the video part of the clip without hacking up the music that goes with it. You can then "spread" the extracted music so that the single music clip covers all of the video. Although the music may not exactly match what is happening in the video anymore, this is much less distracting than music that jumps around as the edited scenes play.

To extract a clip's sound track, select that clip on the Timeline Viewer. Choose Advanced, Extract Audio. The audio portion of the clip is extracted, and is placed on the Audio 1 track. When you extract it, it's still in sync with the video clip from whence it came.

After the audio clip is extracted, you can use the audio-editing techniques that you'll learn about in the rest of this chapter to work with it. For example, you can move it around, lock it in place, and so on.

When you extract audio from a video clip, the audio actually is copied to the audio track rather than being cut from the video clip. The volume of the audio that is part of the video clip is set to zero so that you never hear it again. Does this matter? Not really, but you shouldn't extract an audio clip unless you really need to. Because it is not actually removed from the video clip, your movie file will be larger than if you didn't extract the audio (because iMovie will carry two versions of that sound around). If you want to mute only a specific audio clip, set its relative volume to zero instead of extracting it.

This also means that you can hear the sound of a video clip from which you have "extracted" the sound by selecting that clip and using the Relative Volume slider to increase the sound of the clip again. You can use this for some interesting sound effects because you can have multiple versions of the sound playing at the same time, with each being slightly out of sync with the others.

TIP

You can lock audio to a video clip so that when you move the video, the audio goes along for the ride and always remains in sync with the video. When a clip is locked, you see the locked icons. One appears at the beginning of the locked audio and the other appears at the point at which the audio is locked on the corresponding video clip.

Adding Sound Effects to Your Movie

One of the more fun aspects of making a movie is adding sound effects to it. You add sound effects using the Audio palette. To open the palette, click the Audio button. The palette pops up and at the top of the palette you see several sound effects you can use (scroll through the list to see and hear all of them). To hear one, click it. The effect you click plays so that you can preview it. Continue clicking sounds until you find one you want to use in your movie.

When you find the perfect sound effect, drag the sound effect from the Audio palette and drop it onto the Audio 1 track. When you move it over the track, a yellow line appears on the track where the clip will be placed when you release the mouse button; this line indicates the point at which the sound effect will start playing. In other words, where you place the effect on the track determines where in the movie the effect is heard. When you release the mouse button, a small square appears on the track. This square represents the sound effect you have added. You can work with the sound effect just as the other elements in a track. For example, if you select it, you will see its name and duration at the top of the Timeline Viewer (see Figure 18.16).

Figure 18.16. Here the Crowd Applause sound effect has been added to the end of the movie.

Drag the Playhead to the left of the sound effect you just placed and press the spacebar to preview it. To move the sound effect, click it to select it (its box will darken to indicate that it is selected), and drag it to a new location. When you select the effect, the Playhead jumps to the beginning of the sound effect. At that point, the Playhead "sticks" to the sound effect, and you can move it frame by frame using the Left- and Right-arrow keys (hold down the Shift key to move it 10 frames at a time).

When you have the effect positioned so that it plays at the perfect point in the video, it is a good idea to lock it to that spot so that, if you move the video, the sound effect will still play at the right time. To do so, select the effect and choose Advanced, Lock Audio Clip at Playhead ( [image] +L). You will see the locked indicators and from that point on, the sound stays at the relative location of the Playhead when you used the command.

If you want to move the sound relative to the video track again, select the clip and choose Advanced, Unlock Audio Clip ( [image] +L).

NOTE

The Fade and Relative Volume slider controls work on sound effects just as they do on native clips.

You can also overlap sound effects. To do so, simply drag one effect on top of another. At those moments where the sound effects overlap, both effects play. You can more easily manage overlapped sound effects by placing one in the Audio 1 track and the overlapping sound in the Audio 2 track.

Recording Sound for Your Movie

Using the Audio palette, you can record your own sounds to play during your movie. One obvious use for this is to add narration to various parts of your movie.

NOTE

The record button in iMovie is actually labeled Record Voice. But don't let that fool you—you can use this button to record any sound you want. For example, you can attach the output of an audio tape player to your Mac through its microphone jack or USB port to record the sound output of that device to use in your movie.

To record your own audio to go with your movie, do the following:

  1. Click Audio to open the Audio palette.

  2. Test your microphone setup by speaking into it. If everything is working, you'll see a sound level bar in the area just above the Record Voice button that shows you the level of the sound that is being input. This bar should be moving to levels at least above halfway across the bar. If it isn't, move closer to the microphone so it gets better input.

  3. Drag the Playhead to the point in your movie at which you want to begin recording.

  4. Click Record Voice. Your movie will begin playing. Speak into the microphone (or start the audio playback device).

  5. Click Stop when you are done recording.

In the narration track, you will see that your sound has been recorded. The recorded sound is represented by an orange bar with a Crop Marker at each end (see Figure 18.17).

Figure 18.17. The bar shown in the Audio 1 track is a sound that was recorded via a microphone.

You can edit a recorded sound in ways that are similar to editing other elements of your movie. When you click the bar that represents the recorded sound, the bar darkens to show that it is selected. You can do the following:

  • Move the sound by selecting it and then dragging it to a new location. (If you are narrating something specific, the sound might become out of sync with the video.)

  • Lock the sound in its relative place.

  • Apply the Fade and Relative Volume slider controls to the recorded sound.

  • Move the sound's Crop Markers (which are always visible, unlike those for a video clip) so that they enclose the part of the sound you want to keep. Choose Edit, Crop to remove all the sound except that between the Crop Markers.

NOTE

When you move a sound's Crop Markers, the part of the sound outside the markers won't play anymore. You can use this to fine-tune what you want to play before you actually change the sound clip. When you have it set to what you want to play, you should crop it so that the movie's file size will be smaller.

  • Name the recorded clip by selecting the clip and then typing a new name in the Audio Selection box (or double-click it to open its Clip Info window and rename it there).

  • Overlap sound effects with the recorded sound by dragging an effect on top of the recorded sound.

  • Remove a recorded sound by selecting it and pressing Delete. The sound is removed from your movie and placed in the Trash.

TIP

As you work, remember to empty the trash once in a while to free up disk space.

Adding Music to Your Movie

A music sound track can help you convey a full range of emotions or simply make your movies more enjoyable to watch. There's just something about music; we love to hear it, even when our main purpose is to watch something.

Because working with music is much like the other sounds you have already learned about, you already understand almost everything you need to know about adding music to one of iMovie's audio tracks. You can use the Audio 2 track to store the music you want to play during all—or parts—of your movie. You can use several different pieces during your movie, or you can have one piece play throughout.

You can use two methods to add music to your movies. One is to record music from an audio CD by using the tools on the Audio palette. The other is to import music that is contained in an MP3 or AIFF file.

Copyright Conscious

Generally, all the music you listen to, unless you created it yourself, is protected by some sort of copyright. Mostly, these copyrights prohibit you from distributing the copyrighted work as your own or profiting from its distribution. Many copyrighted works can't be redistributed by you in any form; the copyright entitles you to personal use of the material only. Be aware of any copyright issues related to the music you use in your movies. Generally, as long as you keep your movies to yourself or distribute them to just a few other people, you will be okay copyright-wise. However, if you distribute your movie to many people or use it for any sort of profit-generating work, make sure that you have sufficient licenses to cover that use of the music.

The way to be able to use music that other people have created in your movies for so-called nonpersonal use is to obtain the proper license to use that material. Although you aren't likely to be able to license popular music groups or singers, there is plenty of great music for which you can buy a license to be able to use it in your movies—even if you distribute it for profit. Royalty-free music, also called music with a buy-out license, can be used in any manner you see fit.

You can purchase many kinds of music that come with a buy-out license from The Music Bakery at www.musicbakery.com. At the time of this writing, you can get a CD full of music for $59.

Adding Music from an Audio CD

Recording music from an audio CD is very simple; the hardest part is figuring out which music is right for each scene in your movie. To record music for your movie, do the following:

  1. Open the Audio palette.

  2. Insert an audio CD into your Mac's CD or DVD drive.

  3. Use the Play, Rewind, and Fast Forward controls on the Audio palette to find the song you want to use in your movie.

  4. Now move the Playhead to the point in your movie at which you want the music to begin. You don't have to be terribly precise here because you can always move the music around on the audio track later.

  5. Use the controls on the Audio palette to get the music to a point just before you want to start recording.

    TIP

    You can jump to a specific track on a CD by clicking it on the Audio palette.

  6. Click the Play button and start recording by clicking Record Music. Your movie begins to play as the music is recorded. You see the purple music clip being laid down in the Audio 2 track.

  7. When you are done recording, click Stop. The portion of the Audio CD track you recorded will be imported into your movie.

NOTE

Don't worry that you can't hear the other sounds in your movie while you're recording from an audio CD. That's normal.

Continue recording tracks from CDs until you have all the tracks you want to use in your movie. You can have as many different tracks as you have room for.

TIP

You can also drag a track from the CD window onto either of the Audio tracks to add the entire CD track to your movie.

Adding MP3 Music to a Movie

The better way to add music is by importing MP3 files into your iMovie project to use as soundtracks for your movie.

To learn how to create MP3 files from your audio CDs, see "Creating MP3 Music with iTunes," p. 480.

To import MP3 files into your iMovie project, do the following:

  1. Move the Playhead to the point you where want the MP3 music clip to begin to play.

  2. Choose File, Import File.

  3. Move to the MP3 file you want to use, select it, and click Import.

The music will be imported and a new music clip will appear on the Audio 2 track.

Editing the Music

Now that your movie has some music in the music track, you can use the sound controls, with which you are already familiar, to edit it (see Figure 18.18).

Figure 18.18. The Audio 2 track contains music that was recorded from an audio CD.

NOTE

If you used the CD on which you have recorded music in iTunes, its name (along with the names of the tracks on it) will appear in the CD window. Of course, this assumes that iTunes is configured and able to connect to the Internet to download the information.

You can edit the music by performing the following tasks:

  • Name the music clip by selecting it (the bar darkens to indicate that it is selected) and typing a name for it in the Audio Selection box. If the song's title is already there (because you have previously identified the song title), you will see the name in the Audio Selection box.

  • Position the music clip by dragging it on the track. Align the Playhead with the left or right Crop Marker to make it stick to the clip, and then use the arrow keys to precisely position it. When it is properly aligned, use the Lock Audio at Playhead command to lock it relative to the video clip.

  • Use the Fade In, Fade Out, and Relative Volume slider controls just as you did with the native sound and sound effects. To use these, select the music clip and then use the appropriate control to apply it. (The Info window works with these music clips, too.) Most of the time, you will end up using the Fade Out control on music clips, unless you get lucky and they end at precisely the right time.

  • You can crop the music if it is too long or if you want to remove either or both ends of it. Select the clip you want to edit. Move the Crop Markers so that the music you want to keep is between them. Choose Edit, Crop. The music outside the Crop Markers is removed from the track.

Move the Playhead to the start of the music clip and press the spacebar to view the movie and hear its music track.

Adding and Using Your Own Sound Effects

Although iMovie comes with several sound effects, you can import any Audio Interchange Format File (AIFF) and use it as a sound effect in your movie. This means that a huge number of sounds are available on the Internet for you to use. The better news is that you can convert practically any sound on your Mac into AIFF and then use it in iMovie.

You can bring an AIFF file into iMovie in one of two ways:

  • You can install the file in the Sound Effects folder (which is within the Resources folder in the iMovie for Mac OS X folder). Any AIFF sounds you install in this folder appear on the Audio palette. You can easily reuse these sounds by dragging them from the palette onto the one of the audio tracks. Use this option when you want to install a sound effect that you think you might want to reuse often.

  • The other option is to import the AIFF file into iMovie. With this method, the sound is placed on the Audio 2 track at the current location of the Playhead. You can then treat it as you do a sound effect that you recorded. You should use this option if you want to use the sound only once or only very rarely. Importing and using an AIFF file works in exactly the same way as importing an MP3 file.

To learn how to extract and convert the sound from any QuickTime movie into AIFF so that you can import it into iMovie, see "Using QuickTime Pro to Convert Files into Other Formats," p. 529.

Mixing Audio Tracks

After you have added all of the audio to your movie, play it. Listen to the individual tracks (use the Mute buttons to turn off tracks) and then listen to how the various sounds interact. Use the editing controls to change the relative volumes of the tracks. For example, your music should be quieter than any sound effects you want your audience to hear. You can use the Relative Volume slider to make this happen.

You can also move music and sound effects between the two Audio tracks. This can be especially useful if you want to use part of one track, but mute the rest of it. You can drag the sound from one track to the other and mute the track you don't want to hear.

NOTE

If any of your sound tracks extends beyond the end of your video track, it will continue to play while the video track shows a black screen. When you change video after you have added audio, make sure that you preview the entire movie again.


Distributing Your Movie

Watching a movie in iMovie is okay, but iMovie is not really intended to be a viewing application. After you have finished your movie and are ready to release it to the world, you export your movie from iMovie. What you export it to depends on how you want your viewers to be able to watch your movie.

People can watch your movie in three primary ways. You can record your movie on videotape that others can watch with a VCR. Or you can export your movie to a QuickTime file that can be viewed on a computer; you transmit your movie file to others in a variety of ways, including by e-mail, on the Web, or on CD-ROM. The third, and definitely the coolest, is to record your movies on DVD that can be played in a standard DVD player. The good news is that you can export the same movie by using any or all of these methods to get your movie to as many people as possible.

Distributing Your Movie on Videotape

Distributing your movie on videotape offers several benefits. The first is that the quality of your movie appears to be higher because you don't have file size or other technical limitations to deal with (as you do when you want your movie to be viewed on a computer). The second is that almost everyone has access to a VCR and TV, and it's pretty easy to watch a videotape. A third benefit is that it is very easy to store a movie on videotape (a tape doesn't hog valuable disk space, for example). Using videotape results in good viewing quality, as well as easy viewing and storage.

The first step to getting your movie on videotape is to export your movie from iMovie to your DV camcorder. This process works similarly to getting clips from the DV camcorder into iMovie.

Follow these steps to export your movie:

  1. Connect the FireWire port on your camcorder to the FireWire port on your Mac (this is the same setup you used to import clips from the camcorder into iMovie).

  2. Open your iMovie project. The Monitor will display the Camera Connected message.

  3. Use the iMovie controls to move the tape in the video camera to the point at which you want to begin recording your movie.

  4. Choose File, Export Movie.

  5. In the Export pop-up menu, choose To Camera (it is probably selected already).

  6. If you want more than the default one second of black to appear before your movie begins and after it ends, increase the value in the "Add _ seconds of black before movie" and the "Add _ seconds of black to end of movie" fields.

  7. Click Export.

Several things happen, all of which are automatic, so you can sit back and relax. iMovie sets your camcorder to record and then waits a few seconds to make sure that your camcorder is ready. The camcorder begins recording while displaying one second (unless you set it to a different amount) of black screen. After the black screen, your movie begins to play and your camcorder records it. A progress bar shows you how much longer you have to go (because your whole movie plays, the process takes as much time as your movie is long). You won't hear any sound while your movie is being recorded—this is normal operation.

When your movie is finished, iMovie stops your camcorder. You now have your movie captured on the camcorder; from here on, you can treat it just like any other movie you have recorded. For example, you can connect the camera to a VCR and record your movie to a VHS videotape.

NOTE

Some DV camcorders enable you to pass-through a signal. This means that you can output to VCR at the same time that you are inputting to the DV camcorder through FireWire. This is good because you can make a first-generation recording directly on the VCR at the same time that you record it on your DV camcorder. In fact, you might not even have to record it on the DV camcorder at all. To find out whether your DV camcorder has this feature, connect it to a VCR at the same time as you connect it to your Mac. If you see a picture through the VCR while you export the movie to the DV camcorder, you can pass on through.

Distributing Your Movie Electronically

You can also distribute your movie as a QuickTime file for viewing on a computer. The primary advantage of this method is that it is an easier and much less expensive way to get your movie to many people than using videotape.

The primary disadvantage to viewing your movie on a computer is that the quality is largely dependent on the computer that is being used and the technical savvy of the person to whom you have sent the movie. (Although it's easy, playing a QuickTime movie requires a bit more knowledge than playing a videotape does.)

The steps to create a QuickTime version of your movie are the following:

  1. Choose File, Export Movie.

  2. Choose To QuickTime from the Export pop-up menu. You will see the Export Movie window; the window now has a Formats pop-up menu. You can use this menu to choose a format in which to export your movie.

  3. Click the Formats pop-up menu. You have several options to choose for the format of the movie that you want to export.

  4. Choose the format you want to use. The format you choose determines the size of the QuickTime file as well as its playback quality.

  5. Click Export. You will see the Export QuickTime Movie dialog box.

  6. Name your movie, choose a location in which to save it, and click Save.

iMovie begins to export your movie, and a progress bar that gives you an idea of where you are in the process will appear onscreen. You can also see the Playhead moving and the movie plays in the monitor in the background. Unless your movie is really short, the export process takes a long time, so plan on doing something else for a while. Eventually, the progress bar goes away. When it does, you are finished exporting the movie. This QuickTime movie can be viewed just like any other QuickTime movie (for example, in the QuickTime Player or on the Web).

To learn about viewing QuickTime movies, see "Viewing QuickTime Movies," p. 510.

The only complicated part of this process is choosing the format in which you want to export the movie. When exporting to QuickTime, you must always trade off file size versus quality. The better the quality of your movie, the bigger the file is (and the more resources that it consumes to send or store). For example, Table 18.2 shows the resulting file sizes for various export formats for the same movie, which is 5:21:20 long.

Table 18.2. File Sizes for Various Format Options
Export Format Choice | File Size (MB)
Email Movie, Small | 3.4
Streaming Web Movie, Small | 7.9
CD-ROM Movie, Medium | 25.5
Full Quality, Large | 1,100.0

When choosing quality and file size, always keep the recipient of the movie in mind. If you know that the person to whom you plan on e-mailing it uses a 56K modem, keeping the file size small is important. If you are using a CD, maximize quality; it doesn't matter how big the file is (as long as it isn't bigger than the amount of space on the disc, of course).

TIP

You can decrease the size of the QuickTime file by muting soundtracks before you export the movie (muted soundtracks are not exported).

After you have created the QuickTime version you want to distribute, you can distribute it in many ways, including the following:

  • Attach it to an e-mail message

  • Post it to a Web site

  • Burn it on a CD

To learn about using Mail to send attachments, see "Sending and Receiving Files with E-Mail," p. 323.

To learn about creating a Web site, see Chapter 14, "Putting Yourself on the Web," p. 369.

To learn about burning CDs, see "Finding, Installing, and Using a CD Writer," p. 695.

NOTE

You might want to create multiple QuickTime versions of your movie and distribute it in more than one way.

Using Expert Formatting Options

Most of the time, one of the standard format options will be what you need to use. However, you can use the Expert format to specify all aspects of how your movie is formatted. When you choose Expert from the Formats pop-up menu, you will see the Expert QuickTime Settings dialog box (see Figure 18.19).

Figure 18.19. You can control many aspects of how your movie is exported by using the Expert format options.

Although a discussion of the specifics of all the options you have is beyond the scope of this book, a quick overview will give you some idea of how this works.

Basically, when you export a movie, you control the image and audio settings for that exported movie and how the movie is prepared for the Internet. You can control the resolution of the movie's video, the compression that is applied to it, and so on. You can also control the compression and other settings for the audio portion of the movie. And you can choose the type of Web server that will be serving your movie (standard or QuickTime Streaming).

In the Image settings area, you can set the width and height of the movie (its resolution). If you click the Settings button, you will see the Compression Settings dialog box, which enables you to choose the compression, depth, quality, and motion settings for the movie.

If you click the Settings button in the Audio area, you will see the Sound Settings dialog box. You can use the controls in this dialog box to set the audio properties of the QuickTime movie.

TIP

It is interesting to select one of the predefined options and read the information box just below the Formats menu. There you will see the settings that Apple has input for the various format choices (such as for Streaming Web Movie, Small). This can give you some insight into the options you see if you use the Expert format settings.

Exporting Your Movie to DVD

Using the iDVD application and a DVD-R drive, you can put your iMovie projects on DVDs that can be played in a standard DVD player.

To learn about DVD, see Chapter 19, "Watching and Creating DVDs," p. 583.


Troubleshooting

Nothing Happens with My Camera When I Use iMovie

When I connect my digital video camera to my Mac, iMovie is not able to access it or iMovie can't control it.

If you don't see the "Camera Connected" message when you have your digital video camera connected to your Mac while iMovie is open, iMovie is unable to communicate with your camera for some reason.

Check the FireWire cable to make sure that it is plugged in properly. Make sure that your camera is turned on and in the output mode.

If these steps don't help, make sure that your camera is on Apple's iMovie compatibility list (see www.apple.com/imovie/compatibility.html). If it is on the list, there might be a problem with the FireWire port on your Mac; try another device in the port if you can. If your camera is not iMovie-compatible, you might need to try a different DV application.

The Disk Gauge Has Turned Red

When I'm editing my movie, the disk gauge turns red.

This means that the volume on which you have stored your iMovie project is getting full and you need to clear more space on the volume on which you are working. Try the following actions to get more working room:

  • Delete unused clips from the Shelf.

  • Select clips to which you have applied special effects and click the Commit button.

  • Empty the iMovie Trash.

  • Using the Finder, move files off the volume on which your project is stored.

  • Move the iMovie project to another volume that has more space.


Mac OS X to the Max: iMovie Editing Shortcuts

Table 18.3 lists iMovie editing shortcuts that you should learn and use to make your editing time shorter and more

Table 18.3. iMovie Shortcuts
Action | Shortcut
Create Still Clip | Shift+ [image] +S
Crop | +K
Decrease volume | Down arrow
Export Movie | +E
Extract Audio | +J
Fast Forward +]
Get Clip Info | Shift+ [image] +I
Import File | +I
Increase Volume | Up arrow
Lock Audio Clip at Playhead/Unlock Audio Clip | +L
Move audio clip backward by 1 frame | Click audio clip, then Left arrow
Move audio clip backward by 10 frames | Click Audio clip, then Shift+Left arrow
Move audio clip forward by 1 frame | Click audio clip, then Right arrow
Move audio clip forward by 10 frames | Click audio clip, then Shift+Right arrow
Move backward 1 frame | Left arrow
Move backward 10 frames | Shift+Left arrow
Move Crop Marker backward by 1 frame | Click Crop Marker, then Left arrow
Move Crop Marker backward by 10 frames | Click Crop Marker, then Shift+Left arrow
Move Crop Marker forward by 1 frame | Click Crop Marker, then Right arrow
Move Crop Marker forward by 10 frames | Click Crop Marker, then Shift+Right arrow
Move forward 1 frame | Right arrow
Move forward 10 frames | Shift+Right arrow
Move Playhead to beginning of clip/movie | Home
Move Playhead to end of clip/movie | End
Paste Over at Playhead | Shift+ [image] +V
Play/Stop (Edit mode) | Spacebar
Revers Clip Direction | +R
Rewind +[
Save Frame As | +F
Select All | +A
Select None | +D
Split Clip at Playhead | +T
Start/Stop Capture (Camera mode) | Spacebar


Chapter 19. Watching and Creating DVD Movies

In this chapter

Taking Advantage of DVD on the Mac

Watching DVD Movies on the Mac

Creating Your Own DVDs

Troubleshooting

Mac OS X to the Max: And DVD for All


Taking Advantage of DVD on the Mac

There are two purposes for which you can put DVD technology to use on your Mac. The first is to enjoy all the great content that is available in the DVD format, that being everything from your favorite movies and TV shows to documentaries and music videos. Any Mac OS X Macintosh that includes a DVD-ROM drive can display DVD discs through the DVD Player application. The second, and even more fascinating, way to benefit from DVD is by creating your own DVDs that you can view on the DVD player in your Mac or on most standard DVD players that you use to view DVD content via a television or home theater system. Macs equipped with a DVD-R drive, such as Apple's SuperDrive, can use the amazing iDVD application to place content on DVDs. The DVDs you create with iDVD can include motion menus and other great effects so that they act just like the latest DVDs from Hollywood. You can place movies you create with iMovie, QuickTime movies, slide shows, and other content on DVD just by dragging and dropping. You can create slide show content using iDVD too.


Watching DVD Movies on the Mac

DVD movies are the latest and best way to watch movies. Because they are digital, the image and sound quality of DVD movies is superb. And the digital format enables special features that can't be duplicated with other means, such as videotape. For example, with DVD movies, you can get true 5-, 6-, or even 7-track soundtracks to provide unbelievable surround sound and sound fidelity. Plus, DVD discs usually have lots of features—missing scenes, trailers, and so on.

NOTE

Watching DVD movies from a desktop Mac is okay, but DVD movies on the Mac really shine when you use a PowerBook or iBook. Forget the crummy selection of movies that are usually shown on airplanes (when there even are movies) that you can't see or hear anyway. With a DVD-equipped Mac OS X mobile Mac, you can watch movies anytime, anywhere. If you travel a lot, you might find that this is reason enough to get your own mobile Mac. And waiting for just about anything will never be the same. With a mobile Mac and your favorite DVD, time is never wasted.

Mac OS X supports the playback of DVD movies with the DVD Player application.

Using DVD Player to Watch Movies

The DVD Player application (located in the Applications folder) has the following three windows (see Figure 19.1):

  • Viewer This is the window in which you watch the DVD content.

  • Controller This window provides the controls for movie playback.

  • Info This window provides information about the disc you are playing.

Figure 19.1. With DVD Player, you can enjoy all the amazing content that is available on DVD, such as complete seasons of your favorite TV shows.

NOTE

If you try to capture screenshots of a DVD using the Mac's built-in tools, such as the Grab application, all you will get is a black screen. To be able to capture DVD content in a screenshot, you need to use the excellent Snapz X Pro on a Mac that is equipped with an NVidia graphics card.

The Viewer window is straightforward. The DVD's content appears in this window; you can choose various sizes for the window from Half Size to Full Screen. In Full Screen mode, the Mac OS interface disappears and you can see only the DVD content and the DVD windows you choose to display.

The Controller window contains the controls you use to watch movies. It has two orientations, which are vertical and horizontal. It is in the horizontal mode by default (see Figure 19.2). You can change the orientation to vertical by choosing Controls, Controller Type, Vertical.

Figure 19.2. The Controller does just what you think: it enables you to control DVD playback.

The Controller has more controls that you do not see by default. To reveal them, click the Additional Controls button, which is the three dots located at one end of the Controller (see Figure 19.3).

Figure 19.3. You can use the Additional Controls button to expose more DVD Player controls.

If you have used a standard DVD player or VCR, the DVD Player controls will be easy to understand. To play and control a movie, use the following steps:

  1. Insert the DVD into your Mac's DVD drive. After a moment, the DVD will be mounted on the machine. By default, DVD Player will open and begin to play the DVD. Depending on the DVD, the disc's main menu might appear or you might be prompted to choose a soundtrack or other features.

    If you see a message about the DVD's region code, see "When I Play a Movie, I See a Message About the Region Code Needing to Be Set" in the Troubleshooting section at the end of this chapter.

    TIP

    To configure what action your Mac takes when you insert a DVD, use the CDs & DVDs pane of the System Preferences utility.

  2. Select the menu option you want, such as Play. The movie will begin to play in the Viewer window. In the upper-left corner of the window, you will see text for a moment that shows the control you used most recently (such as Play).

  3. Use the commands on the Video menu to control the size of the Viewer. If you choose Full Screen, the image will become as large as possible and the Mac OS interface will be hidden. After a designated time passes, the Controller will disappear too.

  4. To bring the Controller back, move the pointer, press a key, or press Ctrl+C.

    NOTE

    If you minimize the Viewer, it moves into the Dock and the movie continues to play. Unlike QuickTime movies, you won't be able to see the movie in the Dock icon, however.

  5. To see information about the movie you are watching, choose Window, Show Info. The Info window will appear and you can see where you are in the movie and the features that are being used, including subtitles, the angle being shown, and so on (see Figure 19.4).

    Figure 19.4. The Info window provides information about a movie you are watching.

    If you see the "NOT PERMITTED" message when you use a control, see "An Action I Try Isn't Permitted" in the Troubleshooting section at the end of this chapter.

    NOTE

    Use the commands on the Window menu to show or hide the Viewer, Controller, and Info windows.

  6. Use the other controls on the Controller to watch the movie.

Following are some other DVD playback notes:

  • DVD Menus All DVD movies include a menu that provides access to the content of the disc and to its special features. You can highlight and select commands on these menus using the keyboard's arrow buttons, by using the mouse to point to them, or by using the mouse to point to them on the Controller.

  • Use the additional controls to change the movie's settings quickly For example, you can control subtitles using the Subtitles button.

  • Scan forward or backward When you scan forward or backward, you can control the rate of the scan by choosing Controls, Scan Rate, and then the rate at which you want to scan (such as 8x speed).

  • Keyboard commands work best As you watch movies, you will find that the best way to control them is using the keyboard. Most of the major functions in the player have keyboard shortcuts. For the best DVD experience, learn to use these shortcuts.

To learn the many keyboard shortcuts for playback and configuration that DVD Player offers, see "DVD Player Keyboard Shortcuts," p. 617.

Configuring DVD Player

DVD Player is a relatively simple application, you can do some configuration to make it work the way you want it to. The DVD Player preferences window has three tabs: Player, Disc, and Windows (see Figure 19.5). The preferences settings are summarized in Table 19.1.

Figure 19.5. You can control DVD Player using its Preferences dialog box.

NOTE

You can't control a movie while the Preferences dialog box is open.

Table 19.1. DVD Player Preferences
Tab | Preference | Effect
Player | Go To Full Screen Mode If Disc Is Mounted | Because most of the time when you watch a movie it will be in the Full Screen mode, this preference selects the Full Screen mode when you have a DVD mounted on your des top and DVD Player starts up (which it does by default when a DVD containing movie content is mounted on your Mac).
Player | Start Playing Disc | With this enabled, the movie will start playing when DVD Player opens.
Player | Start Playing Disc | With this enabled, a DVD starts to play when you insert it into your Mac.
Player | Default Viewer Size | Select the default size of the Viewer window. Unfortunately, Full Screen is not an option.
Player | Enable Viewer Resizing In Full Screen | When this is enabled, you can resize the Viewer window when it is in the Full Screen mode.
Player | Hide Controller If Inactive For __ Seconds | Use this to control the automatic hiding of the Controller when you aren't using it. By default, the Controller will be hidden after 10 seconds. You can change this time or turn off the feature if you want to manually hide and show the Controller.
Disc | Audio | Use the Audio pop-up menu to select the default language. The default setting is "Use Disc Default," which means that you will use the default language for each disc.
Disc | Subtitle | Use the pop-up menu to choose the default language for subtitles. The default setting is "Off," meaning that no subtitles will be shown.
Disc | DVD Menu | This sets the default language for the DVD menu text.
Disc | Enable DVD@ccess Web Links | Some DVDs include Web links. Turn this preference on to be able to access those links.
Windows Display | Controller Help Tags | This preference provides pop-up text identifying the buttons on the Controller when you point to them
Windows Display | Status Window | The status window appears at the top of the Viewer and provides information about what is happening, such as when you press a control.

NOTE

Most DVDs that claim to offer DVD-ROM or Web content are not compatible with the Mac. However, you can often open these DVDs via the Finder to access some of this additional content.


Creating Your Own DVDs

Watching DVDs that others create is fun, but because you use a Mac, you aren't limited to taking what others give. With a Mac equipped with a DVD-R drive, such as an Apple SuperDrive, and Mac OS X, you can use the iDVD application to put your own content on DVD. You can view these DVDs on your Mac using the DVD Player application. But even better, you can play the DVDs you create on most standard DVD players, such as the DVD player connected to your TV.

You can place the following two general types of content on DVD:

  • Movies you have created with iMovie, or QuickTime movies you have created yourself or obtained from other sources

  • Slide shows made up of images from iPhoto or from other sources

In addition to being able to place this content on DVDs, with iDVD you can create motion menus and buttons that enable you to showcase your content from the DVD's main menu; these menus work just like the menus on commercially produced DVDs.

NOTE

iDVD won't even open on your Mac unless you have a compatible DVD-R drive, such as an Apple SuperDrive.

When you use iDVD to create a DVD, you will use the following four steps:

  1. Prepare content that you are going to put on the DVD.

  2. Design the DVD.

  3. Preview the DVD and fix any problems you find.

  4. Burn the DVD.

Preparing Content for Your DVD

As you learned earlier, there are two basic types of projects you can put on DVD: QuickTime movies and slide shows. In both cases, you should prepare your content before jumping into iDVD. If you prepare the content before you get into iDVD, the process of creating your DVD will go more smoothly and more quickly.

When you place content on a DVD, it is encoded in the MPEG-2 format, which is the standard for DVD. MPEG-2 provides very high quality with relatively small file sizes (thus making digital movies on DVD possible). Fortunately, iDVD manages the encoding process for you in the background as you work.

Your DVDs can contain up to 90 minutes of content. However, iDVD uses a higher-quality encoding scheme when the content in a DVD project is 60 minutes or less—you should try to keep your DVDs within this limit, if possible. iDVD chooses the 90-min or 60-min format for you automatically based on the amount of content you add to the DVD.

Preparing Movies for DVD

Both QuickTime Player Pro and iMovie enable you to save your movies in both the QuickTime and the DV (Digital Video) formats. You should use the DV format whenever possible because your results will be the best possible (however, the results you get with movies in the QuickTime format will also be quite good, depending on the specific project—you might not even notice the difference).

To prepare your iMovie projects for iDVD, you can export the iMovie project for iDVD by choosing For iDVD on the Format pop-up menu in the Export dialog box.

To learn how to use iMovie to create projects for your DVD, see Chapter 18, "Making Digital Movie Magic with iMovie," p. 535.

You can use QuickTime Player Pro to export your own QuickTime movies in various formats, including QuickTime and DV Stream. Either of these formats will work fine, but for best results use the DV Stream format.

To learn how to export QuickTime movies using QuickTime Player Pro, see Chapter 17, "Viewing, Editing, and Creating QuickTime Movies," p. 499.

Preparing Images for a Slide Show on DVD

There are two ways in which you can place slide shows on a DVD. One is to create a QuickTime or DV movie version of the slide show. The other is to use iDVD's slide show tools to create the slide show within iDVD.

There are many ways to create slide shows as QuickTime movies. You can use QuickTime Pro, iPhoto, and iMovie to do so; each tool has its own advantages and disadvantages.

If you use iPhoto to store all the images you want to include in a slide show, you can export those images as a QuickTime movie. You can also export the images as individual files and use iDVD's slide show tool to construct the slide show.

You can also build a slide show within iMovie and export it as a QuickTime movie. You place such QuickTime movies on a DVD just like other QuickTime movies.

Yet another option is to use QuickTime Player Pro to build the slide show and then add that slide show to a DVD just as you do any other QuickTime movie.

To learn how to create slide shows from iPhoto, see "Using iPhoto to Master Digital Images," p. 425.

To learn how to use iMovie to create projects for your DVD, see Chapter 18, "Making Digital Movie Magic with iMovie," p. 535.

To learn how to export QuickTime movies using QuickTime Player Pro, see Chapter 17, "Viewing, Editing, and Creating QuickTime Movies," p. 499.

Last, but certainly not least, you can also use iDVD's own tools to create a slide show. Your slide shows can include images that you have captured using a digital camera and have exported from iPhoto or from many other sources. You can use images in the common image file formats in an iDVD slide show, including JPG, TIFF, and so on.

Although you don't have to be too concerned about the file format of the images you include in an iDVD slide show, you do need to be aware of the resolution of the images you include. iDVD will scale your images to the 640x480 resolution when it creates a slide show. If an image does not have this proportion, black bars might appear at the top and bottom or left and right sides of the image when it appears on the screen. If this bothers you, you should resize your images to the 640x480 size before you place those images in iDVD. You can use an image editing application to do this, or you can choose to limit your images to this size when you export them from iPhoto.

Designing a DVD

After you have prepared content for your DVD, you are ready to design the DVD. First, plan the contents of your DVD. Then, create your iDVD project. After you start working with your project, you organize its contents by designing the DVD's menus. Then, you add the content to the DVD. Finally, you design and build your DVD's menus and buttons.

The first step is to organize your content by menu. Think about a menu as being a folder for specific content, and you'll get the idea. Each menu appears in its own window on the DVD. For example, you might choose to group projects related to specific time periods on different menus, or you might want to put all of a DVD's movies on one menu while its slide shows appear on another. You can have up to six buttons on a single menu, so this is the maximum number of projects that can appear on a single DVD screen. A button can represent a project (such as a movie) or a submenu (analogous to a subfolder on your desktop) that contains additional projects or submenus. Create a list of each menu and its contents so that you have a guide to design your DVD. Each menu can have a name; use this name to help the viewer identify the type of content that is included under that menu. For each menu, list the specific files (as in QuickTime movie files), slide shows (that you will create with iDVD), or submenus that will appear on that menu.

Create a folder in which to place the contents of the DVD you will create. Within that folder, create a folder for each submenu that you have planned for the DVD, and place the QuickTime movies and images that you will store on each submenu in their respective folders. This makes adding the right content to the right menu simple.

For best DVD writing performance, make sure that all the media you will put on the DVD is located in the same folder on your Mac, preferably on your Mac's fastest internal hard drive. After you have added content to a DVD, don't move it until you have burned the DVD. Doing so can cause iDVD to lose track of the content (and thus it won't appear on the DVD). Later in this chapter, you'll learn how to check for missing content before you burn a DVD.

After you have prepared your content and planned the DVD, you should open iDVD and get started building it.

The iDVD Window

When you launch iDVD, you see the iDVD window (see Figure 19.6). Like iMovie, iDVD automatically opens the last project you worked on. If you haven't used it before, you can create a new project.

Figure 19.6. iDVD's window looks simple, but that simplicity provides tremendous power and capability.

The top pane of the iDVD window is called the menu. This is the area that appears onscreen when the DVD is played. Buttons represent each project or submenu that has been placed on the DVD; you select a button to view the content with which it is associated. Each menu can include up to six buttons; a disc can contain multiple submenus so that you can store as many projects on a disc as you have room for on the DVD.

Each menu has a theme that determines how the menu looks and sounds. At the most basic, a theme is simply a static image that is the menu's background. However, menus can contain motion, which means that a movie can play as the menu's background while the menu appears on the screen (if you have watched DVD movies, you have no doubt seen examples of motion menus). Motion menus can include a movie with sound, a movie without sound, or a static image with sound. You can apply one of iDVD's default themes to your menus, and you can create and save your own themes.

Buttons can also have motion, which means that the content which is accessed by that button plays within the button itself while the button is being viewed. This type of motion provides a preview of the content without the viewer having to actually open it. (Again, if you have viewed commercially produced DVD movies, you'll know that sometimes the chapter buttons contain motion and show you part of the chapter associated with the button.)

iDVD Controls

Along the bottom of the iDVD window, you will see the six iDVD control buttons:

  • Theme This button opens or closes the iDVD Drawer (the Drawer is covered in the next section).

  • Folder When you click this button, you create a new folder that represents an additional submenu on the DVD. When you open a folder, you see the related submenu.

  • Slideshow Use this button to create a slide show. When you click it, iDVD moves into the Slideshow mode.

  • Motion This button toggles the motion effects (for both menus and buttons). When the button is "on," it is green and motion effects play. When it is "off," it is gray and no motion effects play. Because motion effects can be annoying while you are designing a DVD, it is helpful to turn them off. Turn them on again before you burn the DVD or to preview your work.

  • Preview This button puts iDVD in the Preview mode that enables you to view the DVD as it will be when you burn it. In this mode, iDVD behaves just like DVD Player.

  • Burn Click this one to burn the DVD after you have built it.

The iDVD Drawer

The iDVD Drawer contains controls and information you use while you design a DVD. When you click the Theme button, the iDVD drawer appears (see Figure 19.7).

Figure 19.7. You use the iDVD Drawer to design and apply themes to a DVD, to customize your DVD's appearance, and to monitor the status of your DVD project.

The iDVD Drawer has the following three tabs:

  • Themes tab The Themes tab displays the themes that are available to you (see Figure 19.7). These themes include the default themes included with iDVD and any themes you have created and saved. You can choose the type of themes you want to see by using the View Themes pop-up menu; for example, if you choose Motion, you will see only those themes that include motion. Your other choices are All, Picture only, Picture with audio, or Favorites (favorites are themes you create).

  • Customize tab The Customize tab contains controls you can use to design the themes and buttons that are used on your DVD (see Figure 19.8). You can set a menu's background and title and configure the buttons that appear on that menu. You can also configure the length of motion effects that play when the menu is displayed.

    Figure 19.8. You use the Customize tab to customize the appearance of your DVD's menus and buttons.

  • Status tab The Status tab shows the total duration of the DVD you are creating, along with the encoding status of each project you have placed on the DVD (see Figure 19.9). (You'll more about encoding later in this chapter.)

    Figure 19.9. You use the Status tab to monitor the status of your DVD project.

iDVD Modes

When you work with iDVD, you will use the following three modes of operation:

  • Design This is the mode in which you design the look and feel of your DVD. You see the contents of your DVD organized into its various menus, buttons, and so on.

  • Slideshow In the Slidesh ow mode, you create slide shows from images that you place in the Slideshow window. You'll learn how to do this later in this chapter.

  • Preview In the Preview mode, you see the DVD as it will be when you burn it and play it in a DVD player (see Figure 19.10). When you preview a DVD, a controller that simulates the controller used to view DVDs (on a computer or on a standard DVD player) appears. You use the controls on the controller to watch your DVD. This enables you to simulate how your DVD will perform before you burn it.

    Figure 19.10. The Preview mode enables you to view your DVD as it will be after you burn it.

  • Burn When your DVD is ready for production, you use iDVD's tools to burn it.

iDVD Preferences

You can use the iDVD Preferences command to set the following preferences:

  • Delete rendered files after closing a project As iDVD adds content to a DVD, it encodes the content in the MPEG-2 format. iDVD calls this rendering the content. If you enable this preference, iDVD will delete the rendered files when you close a project. You should use this preference only if you always create and burn a DVD in a single session. It is better to let iDVD handle the rendering for you in the background so that you don't have to wait for all rendering to be complete when you want to burn your DVD. With this preference disabled, iDVD will keep encoding your project's files as you work with it. When you close and then open a project, iDVD picks up the rendering process where it left off. If you enable this preference, iDVD has to start over each time you close and then reopen a project.

  • Show Watermark This option displays the Apple logo (checked) or doesn't display it (unchecked). If you want to proudly display your Mac colors on your DVDs' menus, you can leave this option turned on. However, for most projects, you will probably want to turn this off.

  • Video Standard The National Television Standards Committee (NTSC) format is the primary video format in the U.S. Phase Alternating Line (PAL) is the primary video format in Europe. Each format has its own parameters, such as frame rates and such, but you really don't need to worry about the details. If you are creating projects that will be displayed on U.S. equipment, choose the NTSC radio button. If you are creating projects for display on European systems, choose PAL. If you change format, the change you make will apply to new projects, so make a preference choice before you start a new iDVD project.

  • Add Slideshows to DVD-ROM With this preference enabled, any slide shows you create for your DVD will be added to the DVD-ROM "portion" of the DVD you create and so can be viewed outside of a DVD viewing application. For example, you could view the slide show in QuickTime Player Pro instead of just the DVD Player application.

  • Always scale slides to TV-Safe area Because the proportions of images that are displayed on a monitor are different from what is displayed on most TVs, iDVD offers a TV-Safe area, which it presents as a red box on the screen. When you keep content inside this box, you ensure that all the image will be displayed when the DVD is viewed on a TV. If you enable this preference, iDVD scales images for slide shows to this safe area for you automatically. This can have unexpected results, so carefully review your slide shows to make sure that iDVD has scaled the images properly.

Creating and Organizing an iDVD Project

When you create a DVD, you first create an iDVD project. The project contains all the content you will put on the DVD, along with its "look and feel." Creating an iDVD project involves three steps:

  1. Launch iDVD.

  2. Choose File, New Project (or press [image] +N).

  3. Name your project, choose a location in which to save it, and click Save.

You can name your project anything you'd like because the name you choose won't appear when the DVD is played (names of individual menus on the DVD do appear).

Where you save your project is an important consideration. The files that iDVD creates (and that you will put on DVD) can be quite large for a DVD with a significant amount of content on it. Make sure that the disk on which you store your project has plenty of room. Typically, you will need several GBs of disk space for the project folder that iDVD creates. Although the specific amount of disk space you will need depends on your content, you shouldn't try to store an iDVD project on a disk with less than 3–4GB available. This does not include the space required to store your content files; this amount is required for the rendered versions of your content that iDVD creates when it prepares a DVD.

After you have created a new project, an empty menu window will appear—this menu will have one of iDVD's default themes applied to it, but it won't contain any content (see Figure 19.11). If the theme for that menu includes motion, it will begin to play. Because this can be distracting, click the Motion button (located at the bottom of the iDVD window) to turn off the motion effects (the Preview button will turn gray to indicate that motion effects are turned off). Click the Theme button to open the iDVD Drawer.

Figure 19.11. This is a new iDVD project, ready for content to be added.

The title you see at the top of the menu window (in Figure 19.11, it is Global) is the name of the theme that was applied to that menu when you created the new project. How this default menu looks doesn't matter because you will redesign the menu later.

The menu that iDVD creates when you create a new project is the main menu. This is the menu from which all content on the DVD will originate.

Creating Submenus

Your first task is to create and name all the submenus for the DVD. Refer to your DVD design document to determine what you will call the main menu, how many submenus you will need, and what the name of each submenu is. After you have this information, you can "flesh out" the DVD's contents by following these steps:

  1. Click on the main menu name, which by default is the name of the theme that iDVD applied to the main menu when you created the project. It will become highlighted.

  2. Replace the default theme name with the name of your DVD. The name you create will appear as the disc's title when you view it. Again, don't worry about the format of the text. Just get the structure in place for now.

  3. Click the Folder button. A new empty folder button will appear (it will be titled My Folder). In iDVD, folders represent submenus. So you will create a folder for each submenu contained on the main menu.

    Keep in mind that you can have up to six buttons on a single menu. The buttons you create include those for submenus as well as the content that is provided on that menu.

  4. Select the folder's name so that it becomes highlighted. A colored box will appear around the folder icon to show you that it is selected, and you will see a slider at the top of the icon.

  5. Type the submenu's name. This name will identify the button on which the viewer will click to move to that menu.

  6. Repeat Steps 3 through 5 until you have created all the submenus that appear on the main menu.

    Next, open each submenu and create the submenus that appear on that submenu.

  7. Double-click the folder icon for the submenu to which you want to add a submenu. The submenu will open, and you will see the default theme and menu title again. Because this is a submenu, you will see the Return button, which is a curved arrow. You click this button to return to the previous menu, which will be the main menu for the first level of submenus you create.

  8. Repeat Steps 3 through 6 to add submenus to the menu that is currently being displayed.

  9. When you are done, click the Return button to move back to the previous menu.

TIP

To delete a submenu, select it and press the Delete key. The submenu and any submenus it contains will be deleted from the project.

Continue adding submenus to the DVD until you have added all the content your project plan calls for. Again, don't worry about how the buttons or menus appear; you will customize the appearance of the DVD later. Your purpose now should be to create the organization for the contents you will put on the DVD (see Figure 19.12).

Figure 19.12. This DVD's main menu has three submenus.

After you have created the DVD's organization, you can start to add content to it.

Adding QuickTime Movies to the DVD

Much of the content you place on a DVD will probably be in the form of QuickTime or DV movies. Adding QuickTime movies to a DVD is just a matter of dragging the files you want to add from the Finder onto the iDVD project window.

  1. Open the main menu or submenu to which you want to add a QuickTime movie. (To open a submenu, double-click its folder icon and you will view the contents of that submenu. To move back to a previous menu, click the Return button.)

  2. When you are viewing the submenu on which you want to place a QuickTime or DV movie, drag the movie file from your deskto p to the iDVD menu window. A button will be created on the menu; its icon will be the first frame in the movie. The name of the button will be the name of the movie file.

    NOTE

    Don't worry about the location of the movies as you place them on the submenu. iDVD will snap them to its design grid. You can change their location after you get all of your content into the iDVD project. That is the general pattern you should follow: organize your DVD project, add content to it, and then customize its interface.

  3. Click the Motion button to turn on motion effects. The first few seconds of the QuickTime movie will play inside the button, providing a preview of the movie. Any effects included in the theme applied to the submenu will also play.

  4. Click the Motion button again to turn off the motion effects because they can be distracting when you are designing the DVD. Later in this chapter, you will learn how to configure the motion effects for each button.

  5. Select the button/movie name to highlight it, and change the button name to be what you want to be displayed onscreen. You can name your DVD's buttons to be just about anything you want; however, you can't include a line break in a button name. The entire name will be placed on the same line.

  6. Repeat Steps 1 through 5 until you have placed all the QuickTime movies you want on the submenu.

  7. Click the Motion button to preview the menu (see Figure 19.13). Click it again when you are done previewing the current motion effects.

    Figure 19.13. This submenu (you can tell it is a submenu because of the Return button) now has three QuickTime movies on it.

  8. Repeat the previous steps until you have placed all your QuickTime and DV movies on the DVD.

As you place QuickTime movies on the DVD, iDVD begins to encode them automatically in the background (all content must be encoded before you can burn a DVD). Fortunately, iDVD handles this task for you, so you don't really need to think about it much. The encoding process goes on whenever iDVD is open until all the content has been encoded. You can assess the progress of the encoding process by following these steps:

  1. Open the iDVD drawer.

  2. Click the Status tab. On this tab, you will see movies you have added to the DVD. Each movie has a progress bar that displays the current state of the encoding process for that movie. At the top of the Status tab, you will see the amount of content that is currently on the DVD. For example, in Figure 19.14 you can see that the DVD currently has a little over 10 minutes of content.

    Figure 19.14. Three movies have been placed on this DVD so far; the encoding process is done for one movie, is in process for another, and hasn't started for the third.

Each menu and submenu can contain up to six buttons (a button can represent a movie, slide show, or submenu). But you can add as many submenus as you need in order to place all of your content on the DVD.

You can also add QuickTime content to the DVD by choosing File, Import, Video. In the resulting dialog box, move to the movie you want to add, select it, and click Open. The movie will be added to the DVD just like when you drag it there.

The total length of content (movies and slide shows) must be 90 minutes or less. For maximum quality, keep the total content to 60 minutes or less. Use the information on the Status tab of the iDVD drawer to monitor the length of the DVD as you create it.

Adding Slide Shows to the DVD

You can use iDVD's tools to transform a set of images into a slide show that contains a soundtrack.

NOTE

You can also add a slide show to a DVD by creating the slide show as a QuickTime movie. You can do this by exporting images as a QuickTime movie from iPhoto, by using iMovie to create a slide show, or by using QuickTime Player Pro to create the QuickTime movie. You add a slide show QuickTime movie to a DVD just like any other QuickTime movie.

To get started, collect the group of images from which you want to create a slide show. If you keep your images in iPhoto, export the images as files. If you have images from other sources, gather those images as well. It will be easier to create the slide show if you place all of its images in the same folder.

  1. Open the menu or submenu on which you want to place a slide show.

  2. Click the Slideshow button. A button titled My Slideshow will appear (slide show buttons have two slides as part of their icon).

  3. Select the slide show name so that it becomes highlighted and rename the slide show with the name you want to appear on the menu.

  4. Double-click the slide show's button. You will see iDVD in the Slideshow mode; the name you gave the slide show's button will appear at the top of the window (see Figure 19.15). Just above the iDVD toolbar, you will see iDVD's slide show tools.

    Figure 19.15. This slide show is called Smokies.

  5. Drag the images that will be in the slide show from the folder in which you placed them on your desktop to the iDVD window. You will see a progress bar as iDVD processes the files. When the process is complete, you will see thumbnails of the images in the window.

    The order in which you place them in the iDVD window determines the order in which they appear in the slide show, with images at the top of the window appearing in the slide show first. The # column shows the order of the images as well.

  6. To make the thumbnails larger so that you can see the images better, choose Large on the Thumbnail pop-up menu.

    NOTE

    The filename of the images in the iDVD slide show window is the filename that the files have in the Finder. For example, if you exported the images from iPhoto, the filenames will be those that are associated with the images within iPhoto. You can rename the images before you import them into iDVD if you want. The names you give the files will appear in the File column in iDVD. However, the filenames have no effect on the slide show itself, so leaving them as you find them works too (and is easier).

  7. If you want to change the order of any images in the window (and thus in the slide show), drag the images up or down in the window and release the mouse button. As you move an image between other images, they will slide apart to "make room" for the images you are moving.

  8. To remove an image from the slide show, select it and press Delete.

  9. Continue reordering and deleting images until the window contains only the images you want in the show and they are in the order in which you want them to appear.

  10. Add a soundtrack to the slide show by dragging an audio file, such as an MP3 that you have created with iTunes, onto the Audio well that is located next to the Slide Duration pop-up menu. You should choose music that is about the length you want the slide show to be (you will match the duration of the slide show to the length of the soundtrack). When you add music to the slide show, the Fit To Audio option will become available and will be selected by default. The causes the slide show to play for the duration of the soundtrack you added.

  11. Now set the duration of the slide show. If you added a soundtrack and want the slide show's duration to match the length of the soundtrack, you don't need to do anything. For most slide shows you create, this is the best option. However, you can also choose the amount of time you want each image to appear onscreen by choosing a value on the Slide Duration pop-up menu (such as 3 seconds). If you choose a duration, the soundtrack might end before or after all the images have been displayed. I recommend that you use the Fit To Audio option for any slide show with a soundtrack. If you don't include a soundtrack, use the pop-up menu to set the image display time for the slide show. If you choose Manual, the person viewing the slide show will have to move through the slide show manually by clicking the Forward and Backward arrows.

  12. If you want the Forward and Backward arrows to appear while the slide show plays, check the "Display <> during slide show" check box. You can click these arrows to move ahead or backward through a slide show.

  13. If you want the slide show images to be accessible outside of DVD Player, check the "Add to DVD-ROM" check box. This creates a folder for the images that make up the slide show. When someone mounts the DVD, they can copy the image files to their computer to work with them.

  14. Click the Preview button. Your slide show will fill the iDVD window and you can watch it and listen to the soundtrack.

  15. To stop the slide show, click the Preview button again. You will return to the Slideshow mode window.

  16. Continue making changes to the slide show until it is done.

  17. Click the Return button to move back to the menu from which you started.

You can also import images into a slide show by choosing File, Import, Image. Use the resulting dialog box to select images you want to import and click Open. The selected images will be placed at the end of the slide show.

You can import a soundtrack into a slide show by choosing File, Import, Audio. Use the resulting dialog box to select the MP3 file you want to import, and click Open. The selected audio will be placed in the Audio well, and you will see an MP3 icon located there. To remove a soundtrack, drag its icon out of the Audio well. It will disappear in a puff of smoke.

You can create title slides for your slide show by adding text to images using an image editing application, such as Photoshop. Just drag the title images onto the slide show where you want the titles to appear. Solid black (or other color) screens with white text make nice title slides.

If you want to also provide the images in the slide show as separate files on the DVD so that someone can copy and use those images individually, you can take advantage of the Add to DVD-ROM option so that these files are available on the DVD. If you choose this option, you can access the DVD-ROM portion of the disc by using the Status tab of the Drawer.

  1. Open the Drawer.

  2. Click the Status tab.

  3. On the pop-up menu, choose DVD-ROM Contents. The DVD-ROM contents of the DVD will be displayed. You will see a folder for the slide shows on the disc.

  4. Expand the Slideshows folder. You will see a folder for each of the slide shows on the disc.

  5. Expand a slide show's folder to see the image files it is made of (see Figure 19.16).

    Figure 19.16. Using the DVD-ROM Contents option, you can view the images in a slide show that will be accessible outside of the DVD Player application.
Creating Themes for DVD Menus

You can customize the appearance of a menu by applying a theme to it. A theme can include two elements: a background and an audio track. The background can be a static image or a video clip. The audio track can be an MP3, AIFF, or other audio file. The audio track is optional. You can apply a different theme to each menu on the DVD or you can use the same theme for all menus on the disc.

There are two sources for the themes you use on a disc. You can use the default themes that are part of iDVD. You can also create your own custom themes; you can save the themes you create as your favorites so that you can apply them to other menus on the same disc or to menus that are part of other iDVD projects.

As you design your menus, it is a good idea to keep the viewing platform in mind. If you intend to view the DVD on a television, you should work in the iDVD TV Safe Area. By keeping all of your content in this area, you can be sure that the content will appear on the screen when the disc is viewed on a TV. (If you intend to view the DVD only on a Mac, you don't have to worry about this area because your Mac will display the entire contents of the iDVD window.) If objects are outside of this area, they might or might not be shown completely on a TV screen. To see the TV Safe Area, choose Advanced, Show TV Safe Area (or press [image] +T). A red box will appear in the iDVD window; inside this box is the TV Safe area. (The area outside this box is shaded to better indicate the TV Safe Area.) Keep the buttons on the DVD in this area to ensure that they won't be cut off when the disc is viewed on a TV.

Start the process of applying themes with the main menu. After you have completed its theme, apply a theme to each submenu on the DVD. These menus can be the same, similar, or completely different. It all depends on the look and feel you want for the DVD.

Applying a default theme to a menu is quite simple.

  1. Open the menu to which you are going to apply a theme.

  2. Click the Theme button to open the Drawer.

  3. Click the Themes tab if it isn't selected already. The available themes will appear on the Themes tab and the theme currently applied to the menu will be highlighted. Themes that have motion effects have the Motion icon (the figure of a person) in the lower-right corner.

  4. Use the pop-up menu at the top of the tab to select the themes you want to view by category; your choices are All, which shows you all the available themes; Motion, which displays only themes that contain motion effects; Picture only, which displays themes that contain only a static image; Picture with audio, which displays only themes that have a static image and a soundtrack; or Favorites, which displays the themes you have created and saved.

  5. Use the tab's scrollbar to preview the available themes in the selected category.

  6. Apply a theme to the current menu by clicking it. After a moment, the menu's appearance will be updated to the new theme.

  7. If the theme you select has motion effects, click the Motion button to preview the theme (see Figure 19.17).

    Figure 19.17. This submenu now has the Family theme applied to it (you can see that the buttons are too close together—that will be fixed when it is time to customize the buttons).

  8. Continue applying and previewing themes until you find the one you want.

  9. To apply a theme to all the submenus, open each submenu and repeat Steps 4 through 8.

TIP

If you want to apply the same theme to every menu on the DVD, apply the theme to the current menu and choose Advanced, Apply Theme to Project.

You can also create your own themes and apply them to your menus. For those themes you want to be able to reuse, you can save them as favorites so that they will be accessible on the Themes tab just like the default themes that are included in iDVD.

TIP

You can modify iDVD's default themes and then save those modified themes as favorites. If one of the default themes is close to what you want, use it as a starting point.

  1. Open the menu for which you want to create a custom theme.

  2. Open the Drawer and click the Theme tab.

    TIP

    You can also open or close the drawer by choosing Project, Show/Hide Theme Panel, or by pressing Shift+ [image] +B.

  3. Click the Customize tab. You can use the tools on this tab to design a theme. The tab is organized into three areas: Background, which you use to apply a background to your theme; Title, which you use to format the menu's title; and Button, which you use to design the menu's buttons (you'll learn about designing buttons in the next section). At the top of the tab, you will see the Motion Duration slider, which controls the length of time that motion effects play, if the theme has them. At the bottom, you will see the Save in Favorites button, which you use to save a customized theme on the Themes tab.

  4. To apply an image or a movie clip to the theme's background, drag an image or movie file from the desktop to the Image/Movie well. For the image, you can use files of the usual types, such as JPGs and TIFFs. For movie backgrounds, you can use QuickTime movie or DV files. The icon in the well will be replaced by a thumbnail view of the file you placed there.

  5. To apply a soundtrack to the menu, drag an MP3 or AIFF file onto the Audio well. An icon that represents the audio file will be displayed in the well.

    NOTE

    To remove a background movie, image, or soundtrack, drag its icon out of the respective well. To replace a background movie, image, or soundtrack, drag a new file onto the respective well.

  6. Either if the background is a movie or if you have included a soundtrack, use the Motion Duration slider to set the amount of time that the effects play until starting over—the maximum is 30 seconds. If you use a clip or an audio file longer than 30 seconds, you can play only up to the first 30 seconds of the file. The motion effects will loop continuously while the menu is being displayed. For example, if you choose 10 seconds on the slide, the first 10 seconds of the background movie will play and then repeat.

  7. Use the Title Position pop-up menu to set the location of the menu title. You can choose a specific location, such as Top Center. Or choose Custom and then drag the title to place it anywhere on the menu. Choose No Title to remove the title from the menu.

  8. Use the Title Font pop-up menu to choose the font used in the menu title.

  9. Use the Title Color pop-up menu to set the color of the menu's title.

  10. Use the Title Size pop-up menu to choose the size of the text in the title.

  11. If your theme uses motion effects, click the Motion button to preview them. The background movie and soundtrack will play.

  12. Select another menu on the DVD and repeat Steps 4 through 11 to customize its theme. Continue customizing themes until you have done each menu on the disc (see Figure 19.18).

    Figure 19.18. I have created and applied a custom theme to this menu (compare the way it looks now to Figure 19.16).

If you want to apply a custom theme to every menu on the DVD, choose Advanced, Apply Theme to Project.

If you want to be able to reuse the theme, you can save it as a favorite (design its buttons first, though, so that your button design is part of the theme you save).

You can use the commands on the File, Import menu (your choices are Audio, Image, and Background Video) to apply the background and soundtrack to a menu.

TIP

If a menu's buttons will contain motion, it is often better to use a relatively plain image as the background. Otherwise, the motion of each button and the background can be chaotic.

Customizing the General Appearance of Buttons

You can also design the appearance of each button on each menu on the DVD. Remember that three types of buttons are available in iDVD. A button can represent a folder (a submenu), a movie, or a slide show. Designing buttons is quite similar to designing menus, but how you design a button also depends on what kind of button you are working with.

First, design the general style for all the buttons on a menu; then configure each button individually.

  1. Open the menu containing the buttons you want to design.

  2. Open the Drawer and click the Customize tab.

  3. Use the pop-up menu in the Button area to select the shape of the buttons. If you choose From Theme, the shape will be based on the default theme that was most recently applied to the menu. Otherwise, the shape you choose on the pop-up menu will be applied to each button on the current menu.

  4. If you want to locate each button on the screen manually, click the "Free Position" radio button and drag each button to the position where you want it to appear. If you want the buttons to be organized according to iDVD's grid, click the "Snap to Grid" radio button. When you drag a button, it will snap to the grid when you release the mouse button.

  5. Choose the title position for each button on the Button Position pop-up menu. You have five position options that place the text in position relative to the button. For example, Bottom places the button's title on the bottom of the button. If you choose Text Only, buttons will contain only their title text. If you choose No Text, buttons will consist of an image only.

  6. Use the Button Font, Color, and Size controls to set the text properties of each button's title (see Figure 19.19).

    Figure 19.19. Now the buttons on the menu have a more appealing style and location (at least to my eye!).
Saving and Using Favorite Designs

To save a custom theme as a favorite so that you can use it again, perform the following steps:

  1. Open the menu that contains the custom theme you want to save.

  2. Open the Drawer, click the Customize tab, and click Save in Favorites.

  3. In the resulting sheet, name the custom theme you are saving.

  4. If you want the custom theme to be available to everyone who uses your Mac, check the "Shared for all users" check box.

  5. Click OK.

To see the custom themes you have saved, click the Themes tab and choose Favorites on the pop-up menu. You can apply your favorite themes to other menus just like you apply iDVD's default themes.

There is no way to delete a favorite theme from within iDVD. To remove a theme you have created, open the following folder:

Home/Library/iDVD/Favorites

Drag the theme you want to delete to the Trash.

Customizing the Appearance of Individual Buttons

After you have done the general button design for a menu, you can design the contents of each button individually. How you do this depends on the kind of button you are working with.

To design the button that represents a movie, carry out the following steps:

  1. Select the button for a movie. It will become highlighted and a slider and check box will appear above it.

  2. If you want the movie to play inside its button, check the "Movie" check box. If this check box is unchecked, a single frame of the movie will be displayed instead.

  3. Use the slider to set the frame at which the movie will begin to play (if the "Movie" check box is checked) or to select the frame that will be displayed in the button (if the "Movie" check box is not checked). If the "Movie" check box is checked, the movie will play inside the button when motion effects are on; the Motion Duration slider on the Customize tab determines the amount of the movie that will play before it loops.

To design the button for a slide show, perform the following steps:

  1. Select the slide show's button. A slider will appear above the button.

  2. Drag the slider to the image that you want to appear in the button.

TIP

You can also drag an image file onto a slide show's button. That image will appear in the button.

You can design the buttons that represent a submenu by carrying out the following steps:

  1. Select the button you want to design.

  2. Drag an image or a movie file onto the button.

  3. If you place a movie file on the button, use the button's slider to set the beginning frame for the button's motion.

TIP

When you select a button that represents a menu, you can drag the slider that appears to select an image from one of the projects that are contained on that menu.

You can apply the design of the buttons on a menu to all the folders on the DVD by choosing Advanced, Apply Theme to Folders.

Continue designing the buttons for each menu until you have designed them all (see Figure 19.20).

Figure 19.20. On this menu, I have selected the images I want to be displayed in the slide show buttons and the starting frame for the movie buttons.

TIP

To delete a button, which also deletes its contents from the DVD, select it and press the Delete key.

Preparing a DVD for Burning

Before you burn the DVD you have created, you should preview it. Then, you can fix any mistakes or make changes to the appearance of the DVD, such as changing the location of buttons or improving the font used for buttons.

  1. Turn the motion effects on by clicking the Motion button.

  2. Click the Preview button. The Drawer will close, and you will see a DVD controller (see Figure 19.21). Use the controller's buttons to view the DVD. Most of the controls you see (Stop, Pause, Volume, and so on) are self-explanatory. Use the controller's arrow buttons to select various buttons on a menu; use the enter button to choose a button you want to view. If the button is a movie or a slide show, that item will play in the iDVD window. If the button is a submenu, that submenu will open.

    Figure 19.21. Using the Preview mode to check all the buttons and menus on the DVD is a good way to avoid wasting discs.

  3. Continue previewing your DVD until you have seen all of its content. After you burn the DVD, you can't change it, so now is the time to fix any problems you find or to make improvements in the way the DVD looks and sounds.

  4. When you are done previewing the DVD, click Preview again.

When you preview a disc, make sure that the TV Safe Area is shown. This will often reveal problems with the content on the DVD, such as people's heads being cut off in images in a slide show. If you find such problems, you have to go back to the content source files and fix them. Then re-add the content to the DVD (you will also have to reset the content's button design).

As a final check, make sure that all the media for your DVD is included in the project.

  1. Choose Project, Project Info. The Project Info window will appear (see Figure 19.22). Each file in your project will be listed along with its status.

    Figure 19.22. Use the Project Info window to ensure that your project has access to all the files used in it.

  2. Scroll down the window and make sure that every file has a checkmark in the Status column. If it doesn't, you need to fix that file before you create the DVD. For example, if you have moved a movie file since you placed it on the DVD, iDVD won't be able to find it, and you will have to replace it on the appropriate menu.

  3. Click OK to close the window.

Burning a DVD

Remember that you can write to a DVD-R disc only once. After you burn a disc, you can't change it—if something is wrong, the disc you burned becomes a somewhat expensive coaster. Before clicking the Burn button, leave your project for a while and go do something else. After some time has passed, come back to the project and preview it again. Make any changes that are needed. Now you are ready to make it real.

Burning a DVD is very Mac-intensive. Because the process also tends to be a bit finicky, you should make sure that iDVD has all of your Mac's resources available to it during the burning process. For the best chance at creating a good DVD, quit any other applications that are open (save your changes first), including the Classic environment.

To burn the DVD, follow these steps:

  1. Open your project and make sure that the motion effects are on.

  2. Save your project.

  3. Click the Burn button. Its icon will become active.

  4. Click the Burn button again.

  5. At the prompt, insert a blank DVD-R disc into the drive. The burn process will start, and iDVD will manage it from start to finish. Expect the process to take some time, usually around three times the length of the content on the DVD. For example, if your DVD contains an hour of content, burning the DVD will take about three hours.

When the burning process is complete, your DVD will be ready to play. You can play it on your Mac using the DVD Player application, or you can play it in most standard DVD players.

After you burn a DVD, check it out using your Mac's DVD Player. If it plays fine, you have created a good DVD. If it doesn't play properly, something went astray, probably in the burning process (for example, another application might have taken too many resources away from iDVD). Check out the project carefully to make sure that all the media are available. Preview it again to make sure that it plays okay within iDVD. Then try burning the disc again, being sure to use the list you read earlier to maximize your chances of creating a good disc.

If you have limited disk space available, after you are sure that your DVD is right and that you have made all the copies you want, you can delete the iDVD project file. These files are large, so if you don't have the space to store them permanently, getting rid of them will free up disk space. You can also delete the individual content files if you no longer want to store them. Ideally, you will have a tape backup system to which you can archive this data, but if not, you will have to decide which is more important—having more hard disk space or keeping all the files. Try to at least save the content files (such as your movies) if you can because you can more easily re-create the DVD project than you can re-create the individual content files.

If the DVD you create behaves oddly when you play it in a standard DVD player, see "My DVD Isn't Working" in the Troubleshooting section at the end of this chapter.


Troubleshooting

When I Play a Movie, I See a Message About the Region Code Needing to Be Set

When I try to play a DVD movie, I get a message about region codes.

All DVD movies contain a code so that they play only in one of six regions in the world. This ensures that the format is supported by the display systems in that part of the world and also helps with piracy issues.

If you try to play a movie that has a code other than the one with which your player is set, you will see a dialog box enabling you to change the code for your player (in this case, the DVD drive in your Mac). If you choose to change the code, your DVD drive's code will be changed. However, you can make this change only five times. At that point, the drive's code becomes permanent. I don't recommend that you change your drive's region code unless you are sure that most of the DVDs you will play in the future will have that code. If a code different from most of your movies becomes permanently set for your drive, you will only be able to play movies with that region code.

An Action I Try Isn't Permitted

When I try to use a control, a message "NOT PERMITTED" appears on the screen.

The controls for a DVD movie can be activated only at specific times. For example, sometimes you can't scan forward through the warnings at the beginning of every DVD. The only solution is to wait until you are able to use the control.

My DVD Isn't Working

When I try to play a DVD I have created in my home DVD player, the menus behave oddly and the DVD doesn't play very well.

The DVDs you create with iDVD are playable in most standard DVD players. Unfortunately, if you experience difficulties when you attempt to play a DVD you have created, such as not being able to select menu buttons or the content not playing properly, you might have one of the situations for which the word "most" is inserted.

Make sure that the DVD you made was recorded properly. Play it in your Mac. If it works okay, then you know that there is nothing wrong with the DVD itself. If it doesn't play properly, something probably happened during the burn process or the disc has been damaged somehow. You will have to reburn your project and try again.

If the DVD works fine in your Mac, chances are that you have one of the few DVD players that is not compatible with DVDs produced by iDVD. Your only recourse is to purchase a new DVD player. Fortunately, they aren't very expensive these days. Most newer DVD players are compatible with discs that you produce using iDVD.

To see a list of iDVD-compatible DVD players, visit www.apple.com/dvd/compatibility/. Getting a player on the list that is known to be compatible ensures that you will be able to play your own DVDs on it.


Mac OS X to the Max: And DVD for All

This section contains some additional info for your DVD enjoyment.

DVD Player Keyboard Shortcuts

Table 19.2 contains keyboard shortcuts for DVD Player.

Table 19.2. Keyboard Shortcuts for DVD Player
Action | Keyboard Shortcut
DVD Menu +'
Eject | +E
Highlight DVD menu options | Up, Down, Left, Right arrows
Horizontal Controller | Shift+ [image] +H
Next chapter | Right arrow
Previous chapter | Left arrow
Play/Pause | Spacebar
Vertical Controller | Shift+ [image] +V
Viewer size to half | +1
Viewer size to normal | +2
Viewer size to maximum | +3
Viewer size to full screen | +0
Scan backward | +Left arrow
Scan forward | +Right arrow
Select DVD menu options | Return
Show/Hide Controller | Ctrl+C
Show/Hide Info Window | Ctrl+I
Show/Hide Viewer | Ctrl+V
Stop +.
Mute | +K
Volume up | +Up arrow
Volume down | +Down arrow

Turning Your Mac into a Home Theater System

Unless you have an Apple Cinema Display (and even if you do have one), you might want to use your Mac to see movies at a larger size than what your monitor provides. After all, even with a 23-inch monitor, viewing movies on a Mac is not practical for more than one or two people.

The solution to this is to add a projector to your system. You can attach a projector to any Mac that has a video out port (which all modern Macs do have). Then you can project your movies to almost-theater size for an even better movie experience. And you can also project the Web to that size along with any other tasks you do on your Mac.

NOTE

A PowerBook or iBook and a portable projector make an instant movie theater wherever you are.

One of the best projectors I have seen is the Mitsubishi X80U (see Figure 19.23). This projector projects with 1500 Lumens and has all the input and output ports you need. Its image quality is amazing—when connected to a G4 PowerBook, I was able to show movies that looked spectacular and up to enormous screen sizes (I was able to have the size as large as 8 feet in the horizontal direction, and I was limited to that only because my room wasn't big enough to move the projector farther back!).

Figure 19.23. The Mitsubishi X80U projector provides excellent performance and versatility.

And just as easily as you can project your movies, you can project the Web, your iMovies, slide shows, images, and anything else you work with.

Although projectors are fairly expensive (at press time, you could get the X80 for about $3,000), they are comparably priced to a big-screen HDTV television. And by adding an HDTV tuner, you can also project HDTV images with many projectors as well. So the projector can be used with various sources in addition to your Mac.

NOTE

Check out the X80 at www.largescreen.com/Products/x80.html.

To add better sound from your Mac theater, you can also route the sound output of your Mac to your sound system, or if your Mac can accept PCI cards, you can install a surround sound card to achieve digital sound as well.


Part IV: Mac OS X: Expanding Your System

20 Understanding Input and Output Technology

21 Working with Input Devices

22 Finding, Installing, and Using Output Devices

23 Understanding and Using Data Storage Devices

24 Installing and Configuring Connection Devices


Chapter 20. Understanding Input and Output Technology

In this chapter

Understanding Interface Technology

Working with External Interfaces

Using Internal Interfaces


Understanding Interface Technology

The heart of any computer is its processor. For this processor to be able to do anything, it has to have data on which to operate. There are many ways in which data is moved into, out of, and within your Mac. Just to use a Mac, you do not need to understand the various technologies that are involved in data transfers. However, if you add enhancements to your machine—whether they are external peripherals or internal system upgrades—you do need to understand these technologies.

In this chapter, you will gain a fundamental understanding of the various input and output technologies that your Mac uses to move data. This understanding will help you when the time comes to add devices or other improvements to your system.

NOTE

The term interface refers to the location at which two devices are physically connected. The term also refers to the technology that particular interface uses. For example, when someone refers to devices that use a USB interface, this implies that a specific physical connector is used (a USB connector) over which data following the USB specification is communicated.

On your Mac, there are two general types of input and output interfaces: those with external interfaces (ports) and those whose interfaces are internal to the machine.

CAUTION

Obviously, the type of interfaces you have available to you depend on the model of Mac you are using and whether you have added additional components to it. This chapter focuses on modern Mac models, such as the Power Mac G4, G4 PowerBook, and so on. In this chapter, you will find information on the more common interfaces used on Macintosh computers, but this chapter is not intended to explain all the interfaces that can be used.


Working with External Interfaces

The most obvious data input and output interfaces are those whose ports are located on the outside of the machine. Modern Macs have a number of built-in interfaces you can use to move data into or take data out of the machine.

NOTE

All data that travels around your Mac eventually moves from one device to another. When data "crosses over," it is said to have crossed a bus. A data bus is simply a channel through which data flows. There are many buses inside your Mac, and all devices have at least one bus (the point at which data enters or leaves the device).

NOTE

If you want to really dive into the details of computer buses and other technology, check out www.pcguide.com/ref/. Although this site is PC-focused, it does contain lots of great general information that is equally applicable to the Mac. For example, you can learn all you need to know about the various hard drive technologies at this site in addition to finding detailed information on memory buses, monitors, and just about anything else about which you want to learn.

Ethernet

Ethernet is the interface that is used for almost all Local Area Networks (LANs). Ethernet is designed for hub-based networks, which means that information flowing across the network is controlled to some extent by a central Ethernet hub.

All modern Macs have built-in Ethernet ports to enable you to network with other machines; Ethernet on all modern Macs uses an RJ-45 connector, which looks like an overgrown telephone connector (see Figure 20.1).

Figure 20.1. All modern Macs have an Ethernet port. The only variation is in the speed that the port supports.

Three different speeds of Ethernet are supported by the Mac. These are the following:

  • 10 megabits per second (Mbps) This was the speed of the "original" Ethernet.

  • 100BASE-T This flavor of Ethernet is 10 times as fast as the original and is also known as Fast Ethernet. It communicates at speeds up to 100Mbps. All modern Macs support at least 100BASE-T Ethernet.

  • Gigabit Ethernet The newest Ethernet standard can communicate at 1,000Mbps. Newer Power Mac G4 machines support Gigabit Ethernet.

NOTE

The Power Mac G4 was the first PC to support Gigabit Ethernet as a standard feature. It follows in the tradition of earlier Macs, which were the first to provide built-in Ethernet support as standard equipment.

Ethernet-capable devices can communicate at various levels of speed up to their maximum speed (such as Gigabit Ethernet). Higher-speed devices can communicate at lower speeds, but lower-speed devices can't communicate at the higher speeds. Therefore, data speed over Ethernet connections always defaults to the maximum speed of the lower-speed device.

A protocol is the "language" in which data is being communicated over a particular interface at a particular time. The physical interface might be able to transmit data in more than one protocol. For example, Ethernet can be used to transmit data in the AppleTalk protocol as well as using TCP/IP (Transmission Control Protocol/Internet Protocol).

All Ethernet devices are designed to work with an Ethernet hub (or router) that acts as a traffic controller for the data being communicated among the attached devices.

Ethernet is used exclusively for networking computers to hubs or routers or to other computers.

To learn more about Ethernet hubs, see "Finding and Installing an Ethernet Hub," p. 710.

To learn more about creating and using an Ethernet network, see Chapter 25, "Building and Using a Network," p. 721.

Direct Connect Ethernet

Because Ethernet is designed to be used with hubs, you can't simply connect two Ethernet ports together to connect two machines. Instead, you have to use a special Ethernet cable, called a crossover cable. Using such a cable, you can connect any two Ethernet devices directly. If you use a standard Ethernet cable, the devices must be connected with an Ethernet hub.

An exception to this is the Ethernet port on newer PowerMac G4s and G4 PowerBooks. It can sense if it is connected to another device or to a hub and configure itself appropriately for either situation using a standard Ethernet cable.

FireWire

FireWire is a fast technology that provides an interface for many types of peripheral devices. FireWire was designed to enable very high data rate transfers, such as those required to move digital video data. FireWire is relatively new to the Mac, but has quickly been applied to all modern Mac models.

NOTE

FireWire is Apple's brand name for an industry-standard interface definition. The actual specification for the interface is IEEE 1394. Other companies use specific names for their implementation of the interface, such as Sony's term for it: iLink.

FireWire offers several major advantages, which are the following:

  • High speed FireWire is capable of communicating at up to 400Mbps, making it suitable for many high-bandwidth applications.

  • Chainable FireWire devices can be chained together; the interface supports up to 63 devices per port.

  • Hot-swappable FireWire devices can be connected to your Mac while the Mac is running.

  • Self-powered The FireWire interface is capable of providing power to a peripheral device through the bus. Devices that use the capability don't require a separate power supply.

FireWire connectors are an unusual shape and consist of a rectangle with a triangular top section (see Figure 20.2). FireWire ports are marked with a high-tech–looking "Y."

Figure 20.2. FireWire ports can be used for various devices, the most prominent of which are digital video cameras.

The connector shown in Figure 20.2 is that used to connect FireWire devices to your Mac. Consumer and other FireWire-equipped devices can use differently configured FireWire ports. For example, you won't find a port like that shown in Figure 20.2 on a DV camera. Because of size limitations, DV cameras use a much smaller FireWire port that looks quite different from the FireWire ports on a Mac. Typically, these devices include the specialized cable that you need to attach their ports to the FireWire port on your Mac.

CAUTION

FireWire connectors are relatively delicate. You should always exercise care when connecting a FireWire device to a FireWire port. The pins in the connector are somewhat fragile and can be bent if you attempt to insert the connector when it is not aligned properly.

Because of its ability to move large amounts of data quickly, the FireWire interface is used for several devices, including the following:

  • Digital video cameras

  • External hard drives

  • External CD drives, including CD-RW and DVD-R drives

  • Scanners

Competition

Apple's implementation of FireWire has led the industry. For example, Apple is almost single-handedly responsible for the dramatic rise in the use of digital video technology. Most other computers still require that a separate card be added in order to be able to use devices that transfer data via the FireWire interface.

FireWire's "competitor" is the USB 2 interface. USB 2 is much faster than the previous USB specifications, but still isn't as fast as FireWire. Why hasn't everyone adopted FireWire then? Mostly for business and PR reasons. Apple is a leader in the FireWire arena, and Intel probably doesn't want to be cooperative with anything Apple is leading. So the platform wars continue. FireWire has been adopted by some key companies, such as Sony, but it remains to be seen whether FireWire will become a dominant interface on Windows PCs or whether USB 2 will be the norm.

PCI

Peripheral Component Interconnect (PCI) is actually an internal interface that is used to provide additional external interfaces for specific purposes through PCI cards. These cards are plugged into available PCI slots inside the Mac, and then the ports provided by that card become available for you to use (see Figure 20.3).

Figure 20.3. This photo shows the three open PCI slots in a Power Mac G4; a graphics card occupies the AGP slot located toward the bottom of the photo.

NOTE

AGP is the abbreviation for Accelerated Graphics Port. On Macs that include PCI slots, the AGP slot is filled with the graphics card that is installed in the Mac when it is built.

Adding PCI cards to a Mac is rather straightforward. You open the Mac's case, remove a blank cover from an available slot, insert the card into an available slot, and replace the screw that holds it in place. After any required software is installed, the ports provided by that card become available.

One of the best applications of a PCI card is to add a second monitor to your Mac by adding a second graphics card to it. On the newer Power Mac G4s, the video card already supports dual monitors, but on those machines, you can add more graphics cards to add even more monitors.

To learn more about installing a second monitor for your Mac, see "Installing and Using a Second Monitor," p. 664.

Many PCI cards are available for your Mac, including the following:

  • Graphics cards

  • Video digitizers

  • Other interfaces (such as SCSI)

  • Advanced audio cards

Earlier Power Mac G4 models came with four PCI slots; one was occupied by the graphics card installed by Apple leaving three open slots as shown in Figure 20.3. Beginning with the models released in January 2001, Power Mac G4s have four open PCI slots plus the AGP slot occupied by a graphics card.

NOTE

PCI is also an industry-standard interface. Earlier in the Mac's history, Apple used a proprietary interface, called NuBus, to accomplish the same purpose. Because NuBus cards were unique to the Mac, there were fewer types available and those that were available were also expensive. Wisely, Apple adopted the PCI standard, which means that Macs can use the same PCI cards as PCs can. Developers need only provide Mac-specific software to enable their devices to work with the Mac.

Modem

A modem (MOdulator-DEModulator) is another interface device that provides networking services to your Mac. The great benefit of a modem is that it can provide these services over standard phone lines, thus enabling the age of online services—most importantly, the Internet.

Specific modem hardware implements a specific communication standard, with more modern standards providing higher-speed connections. The current dial-up modem standard is V.92. Modems supporting this standard are capable of communicating at 56,700 bps (bits per second, more commonly referred to as 56K). Although dial-up modem speed has increased significantly over the past few years, it is still relatively slow, especially for data-intensive applications, such as video.

All modern Macs include a built-in modem capable of 56K speeds.

NOTE

As with Ethernet, the actual speed obtained with a dial-up modem depends on each side of the connection. The communication speed between two devices is the highest speed at which they both can communicate. Because dial-up modems use phone lines, they are also greatly affected by the noise that is prevalent in most telephone architectures. Unless the phone lines used are exceptionally "clean," it is unlikely that modem communication will occur at the maximum speed possible.

There are other types of modems as well, including cable, DSL, and so on. These modems provide much greater speed and reliability, but depend on the respective service being available to you.

For more on modems, see "Choosing a Modem," p. 718.

USB

The Universal Serial Bus (USB) is an interface that also provides access to external peripheral devices for your Mac. USB is a fairly slow interface, and is capable of transferring data at the rate of 12Mbps. Although slower than many of the other interfaces, this speed is more than adequate for many peripheral devices.

USB ports on Macs have a thin rectangular shape (see Figure 20.4).

Figure 20.4. USB ports enable you to connect your Mac to a large variety of devices.

NOTE

Similar to FireWire, the USB ports on peripheral devices can look quite different from the USB ports on a Mac. Many USB devices have a USB port that is almost square; others have specialized shapes (such as those on digital still cameras that tend to be quite small).

USB offers advantages that are similar to those offered by FireWire:

  • Chainable As with FireWire, USB devices can be chained together. A single USB port can support up to 127 devices.

  • Hot-swappable USB devices can be connected to or unconnected from your Mac while it is running.

  • Self-powered The USB interface can also provide power to a peripheral device, so that such devices do not require a separate power supply.

Apple Leads Again

Adoption of the USB interface across the entire computer industry can also be largely attributed to Apple. Although USB is an industry-standard interface, it was not widely used until Apple released the iMac. The success of the iMac encouraged other computer manufacturers to more strongly support the adoption of USB. All PCs are now also equipped with USB ports. Eventually, USB will replace several different ports on the PC (such as the parallel port) as it has on the Mac.

Because USB is an industry-standard interface, Macs can use the same USB hardware as PCs do. The manufacturer only has to provide Mac-specific software for the device to be Mac compatible.

All modern Macs are equipped with at least one USB port and most have two or more. To connect more USB devices, you can install a USB hub for your system.

To learn more about USB hubs, see "Finding, Installing, and Using a USB Hub," p. 714.

Numerous devices can use the USB interface, including the following:

  • Mice

  • Keyboards

  • USB hubs

  • Printers

  • Digital cameras

  • Microphones

  • Speakers

  • CD-R and CD-RW drives

  • Cradles for Palm OS devices

  • Scanners

NOTE

Although USB supports up to 127 devices and FireWire supports up to 63, these are somewhat theoretical limits. The actual number of devices you can connect to these ports depends on the power requirements of the devices. For example, you could not connect 127 USB devices that get their power from the USB interface to a single Mac because the bus could not provide enough power for all those devices.

USB 2 is a much faster implementation of the USB interface. In fact, USB 2 is so much faster that it is suitable for hard drives and other high data rate transfer devices (FireWire is still faster and is capable of much more). USB 2 is becoming a standard on Windows PCs. USB 2 and USB 1 devices can exist on the same USB chain. To take advantage of USB 2, a computer must have a USB 2 controller. Because Intel is a prime driver behind USB 2, it is reasonable to expect that USB 2 will be standard on Windows PCs.

Mostly for business reasons (Apple is part of the consortium that developed and supports FireWire), USB 2 is being pushed in the PC world instead of FireWire for higher speed devices. It remains to be seen what kind of USB 2 support Macs will provide by default, if any. To use USB 2 devices in current Macs, the appropriate controller hardware and software must be installed.

Video

The video interface in the Mac provides the video output of the machine to a monitor or other device. Depending on the particular Mac model you are dealing with, several different types of video interfaces might be available. On Power Mac G4s, you can add more video options through PCI cards.

Power Mac G4 Cubes and Power Mac G4s have at least one built-in graphics card (in the Power Mac G4, this card occupies the AGP 4x slot) to which you attach a monitor or other display device. Although PowerBooks, eMacs, iMacs, and iBooks have built-in monitors, the PowerBook, eMac, iMac, and newer iBook also have external video interfaces so that you can connect them to external displays, projectors, and other display devices. (You can also attach a USB video device to enable Macs to provide output to external displays.)

Apple Display Connector (ADC)

The Power Mac G4 and short-lived Power Mac G4 Cube include the Apple Display Connector (ADC) (see Figure 20.5). This video connector is proprietary to Apple and was designed primarily for its Cinema Displays and is now supported on all Apple external displays. The ADC carries several different data streams, those being analog video, digital video, USB, and power. This enables ADC-equipped machines to take advantage of all the features of digital flat-panel monitors.

Figure 20.5. The ADC interface provides video, USB, and power so that you can take advantage of the advanced features of Apple's Cinema Displays.

For information about working with ADC devices, see "Finding, Installing, and Using a Monitor," p. 660.

NOTE

In Figure 20.5, you can also see that the three PCI slots are still available (the "blanks" are still installed). If other PCI cards were installed, you would see the additional ports that those cards would provide.

Mini D-Sub VGA Connector

All Macs provide a standard Video Graphics Array (VGA) port to which you can attach a monitor or other display device (see Figure 20.5). The benefit of the VGA port is that VGA is the video standard for the PC as well, so you can use just about any monitor with a Mac that has a VGA port.

NOTE

Some Macs, such as iMacs and eMacs, provide only a "duplicate" image through the VGA port to that of the desktop. For example, when you connect an external monitor or projector to an iMac, the image you see on that device is the same as that on the iMac's monitor. This is called video mirroring.

DVI

The Digital Video Interface (DVI) is designed for flat panel digital displays. The DVI interface is standard on all digital flat panel displays, except Apples that use the ADC interface. Modern Power Mac G4s include video cards that offer both ADC and DVI ports so that you can use either type of display. You can also connect a display to each port so that you have two monitors available. (To use dual Apple displays, you must connect one of them through a DVI/ADC adapter.)

NOTE

Interestingly, support for VGA or analog monitors for Power Mac G4s requires an adapter. The age of analog monitors on Macs is mostly over (the exception is eMacs that include a flat CRT monitor).

S-video Connector

Some Macs, such as the G4 PowerBook, include an s-video output port. S-video provides a high-quality video signal and can be connected to television monitors, VCRs, and other video devices.

NOTE

The list of video interfaces in this section is by no means exhaustive. For example, many PCI video digitizing cards provide other video ports, such as those for standard RCA video inputs and outputs.

Audio

Several basic audio interfaces are provided on specific Mac models. Some models, such as the iBook, have only one audio interface (the headphone jack). However, there are many audio devices that use the USB or FireWire interfaces (such as microphones, speakers, and so on), so even the lack of audio ports does not really limit you too much.

Standard audio ports on Mac models include the following:

  • Headphone jacks to which you connect standard headphone mini-jack connectors.

  • Speaker jacks to which you can attach speakers. The difference between a headphone jack and a speaker jack is that headphone jacks provide amplified signals, but speaker jacks generally do not (most computer speakers are externally powered).

  • Microphone jacks to which you can attach a microphone. Strictly speaking, you are supposed to use PlainTalk-style microphones in the microphone jacks in Macs. These microphones have longer plugs that make contact in different places than a standard mic jack. However, for some uses and with some Macs, a standard microphone will work just fine. You can also obtain adapters or use a USB microphone.

NOTE

Some Mac models, such as iMacs and PowerBooks, have built-in microphones.

For information on speakers, see "Finding, Installing, and Using Speakers," p. 669.

As with video, many PCI cards provide additional audio interfaces.

PC Card

PowerBooks support the PC card interface. This interface provides a slot into which you can plug PC cards to add additional capability to the PowerBook.

Technologies Supported by OS X, but Not Part of Modern Macs

When Apple moved to USB and FireWire as the primary external interfaces, it left behind some of its previously standard interfaces. Some older Macs, such as beige G3 Power Macs, might have these interfaces, and they are supported by Mac OS X.

  • Apple Desktop Bus (ADB) The ADB port was used to connect mice, keyboards, and other input devices to the Mac. ADB devices were sometimes difficult to work with because they were not hot-swappable; removing an ADB device from or attaching such a device to a running Mac could cause major problems (in some cases, doing so wrecked the machine's motherboard).

  • Serial bus Previous-generation Macs used two serial ports: the Modem port and the Printer port. These ports were actually functionally identical and provided an interface to printers, modems, digital cameras, and other devices.

  • SCSI The Small Computer System Interface (SCSI, which is pronounced skuzzy) is a general interface for attaching various devices to a computer. Older-generation Macs included an external SCSI port to which you could attach a chain of SCSI devices. The SCSI interface is a relatively fast one, but it is also relatively difficult to work with. Each device has to have a unique identifier, and each SCSI bus was limited to seven devices. Creating SCSI device conflicts is easy to do, and the cables and connectors are large and can be hard to work with.

TIP

You can add an external SCSI interface to Power Mac G4s by adding a SCSI PCI card. This enables you to connect and use external SCSI devices, such as hard drives, scanners, and so on. Of course, you will need the appropriate Mac OS X drivers to be able to use such devices.

For more on SCSI, see "SCSI," p. 637.

NOTE

A great resource on the Net from which you can learn about various interface technologies is http://webopedia.internet.com/. In addition to plenty of information about input and output technologies, you can find information on just about any computer-related terminology you encounter. When you find a term, you are also presented with links to additional sites at which you can get more detailed information.


Using Internal Interfaces

There are numerous types of internal interfaces you will never deal with—unless you build your own Mac or do complex repairs. However, some of the internal interfaces are important to understand because you use them to expand your system.

AirPort

All modern Mac models provide an AirPort card slot in which you can install an AirPort card to add wireless networking capabilities to the machine.

To learn more about AirPort, see Chapter 11, "Using an AirPort Network to Connect to the Internet," p. 265.

ATA

The AT Attachment (ATA) interface is a PC standard specification for hard disk drives and has been adopted on modern Macs. The ATA interface provides high-speed communication, and because it is a PC standard, ATA hard drives are inexpensive.

As with other specifications, there are various "flavors" of the interface, with each offering a specific speed. For example, modern PowerMac G4s use the Ultra ATA/100 standard, which means that the throughput of devices using this standard is 100 megabytes per second (MBps). If you add additional hard drives to a modern PowerMac G4, or replace an existing drive with a larger one, make sure that the drive you use is an Ultra ATA/100 drive.

Other Mac models might support different ATA specifications. When replacing or adding hard drives, make sure that the drive you add is appropriate for the ATA specification your Mac supports.

NOTE

When you deal with internal devices, you might also hear the term IDE, which stands for Integrated Drive Electronics. IDE devices are those on which the controller is integrated into the device rather than being provided by the computer. This term is often used as a synonym for ATA because ATA devices are also IDE devices. But IDE refers to the general technology, whereas ATA refers to a specific specification.

DIMM and SO-DIMM

The Dual In-line Memory Module (DIMM) interface is the standard for RAM chips in all modern Macs. DIMM chips use a 64-bit path. You use this interface when you want to expand the RAM capability of your Mac (see Figure 20.6).

Figure 20.6. You can add more RAM to available DIMM slots such as those in this Power Mac G4 (you can see that this Mac still has two open DIMM slots).

PowerBooks and iBooks use Small Outline-DIMM (SO DIMM), which is a physically smaller interface, but provides the same capabilities as the full-size DIMM.

SCSI

Earlier in this chapter, you read that SCSI was once a standard external interface. Because of its speed advantages, it was also a standard internal interface that was used for all Mac hard drives. In fact, Apple was the only manufacturer that included the SCSI interface and drives as standard equipment. This speed advantage was one reason that the Mac became popular with graphics professionals and others who needed to move lots of data quickly.

In an effort to cut the cost of its machines, Apple did away with the SCSI interface as the standard one for internal data communication. At the same time, the speed of the PC standard interface, ATA, increased such that this imposes little to no performance penalty for modern Macs. (FireWire replaced SCSI to connect external devices.) However, Apple still offers the SCSI interface and SCSI drives as an option for new Power Mac G4 machines for those users who need absolutely top-level performance.

There is more than one SCSI standard, each of which offers a specific speed along with other specifications. Some examples are the following:

  • Fast SCSI Supports speeds up to 10MBps

  • Ultra SCSI Supports speeds to 20MBps

  • Ultra Wide SCSI Supports speeds up to 40MBps

The various SCSI specifications use various connectors and cables—it is usually impossible to connect a device using one standard to an interface that uses another. As with other interfaces, the actual speed of communication across a SCSI interface defaults to the maximum speed of the lowest-speed device that is connected to the interface.


Chapter 21. Working with Input Devices

In this chapter

Choosing an Input Device

Finding, Installing, and Configuring a Keyboard

Finding, Installing, and Configuring a Mouse

Finding, Installing, and Using a Trackball

Finding, Installing, and Using an Ink Device

Troubleshooting

OS X to the Max: Other Input Devices


Choosing an Input Device

Technically speaking, an input device is any device you use to move data into your Mac. Some input devices enable you to input data to create documents, images, movies, and so on. The other type of data input devices enables you to control your Mac.

In the context of this chapter, the term input device refers to the essential devices you use to input data and to control your Mac. Other sorts of input devices that are used only for data input, such as cameras, scanners, and so on, are covered elsewhere in the book.

To learn about digital cameras and scanners, see Chapter 15, "Creating and Editing Digital Images," p. 403.

To learn about digital video cameras, see Chapter 18, "Making Digital Movie Magic with iMovie," p. 535.

There are two types of essential input devices: keyboards and mice. However, there are many varieties of each device, and in the case of mice, some of the varieties are hardly recognizable as being a device of that type. There are other types of input devices you might want to use, such as a graphics tablet.

NOTE

All the devices described in this chapter use the USB interface.

To learn more about USB, see "USB," p. 630.

New to Mac OS X version 10.2 is the built-in handwriting-recognition system called Ink. With Ink, you can use a tablet to write or draw and the Ink system will convert your writing into text and graphics.


Finding, Installing, and Configuring a Keyboard

The keyboard is one of the most fundamental, and at the same time, simplest devices in your system. You are likely to spend most of your "Mac" time pounding on its keys, so it pays to make sure that you have a keyboard you like.

Choosing and Installing a Keyboard

All Macs come with a keyboard of one type or another, so if you are happy with the keyboard that came with your Mac, there is no need to consider another type. The most recent Apple keyboard, the Apple Pro Keyboard, is widely recognized as an excellent keyboard because it combines a very nice feel with good ergonomics and features. The Apple Pro Keyboard also provides several control keys, which are the mute, volume, and eject keys; these are located along the top of the number pad. And it looks pretty cool, too.

However, other types of keyboards are available, such as those designed for maximum ergonomics, to provide additional controls (such as an Internet button), and so on.

NOTE

You can check out available keyboards by visiting the peripherals section at www.smalldog.com.

All modern keyboards use the USB interface, so installing a keyboard is a trivial matter of plugging it in to an available USB port. (And remember that, as you read in Chapter 20, USB devices are hot-swappable so that you can connect and disconnect them without turning off the power to your Mac.)

Configuring a Keyboard

With Mac OS X, you can change the key repeat rate and the delay-until-repeat time. You can also configure the function keys and set the language in which your keyboard is configured.

  1. Open the System Preferences utility, click the Keyboard icon to open the Keyboard pane, and click the Settings tab if it isn't selected already. The Keyboard pane has two tabs. The Settings tab enables you to configure some basic aspects of the keyboard. The Full Keyboard Access tab enables you to set up your keyboard so that you can access menus and other elements.

  2. Use the Key Repeat Rate slider to set how fast a key repeats itself.

  3. Use the Delay Until Repeat slider to set the amount of time it takes for a key to repeat itself. You can test your settings in the text area below the sliders.

  4. Click the Full Keyboard Access tab.

  5. Check the "Turn on full keyboard access" check box to turn this feature on.

  6. Use the Press Control (crtl) with pop-up menu to choose which keys will be active when you hold down the Control key. Your options are Function keys, Letter keys, or Custom keys. When you make a selection, the keys that activate various features will be shown in the center of the window.

  7. Select the highlight option you want using the radio buttons at the bottom of the pane. If you choose "Text input fields and lists only," the Tab key takes you only to text input fields and lists. If you choose "Any control," the Tab key takes you to each element in a dialog box or window.

  8. If you chose Custom keys, set the keys you want to use.

  9. Click the Show All button on the System Preferences utility toolbar and then click the International icon.

  10. Click the Input Menu tab. You use this area to turn on the Keyboard menu on the Finder menu bar and to configure your keyboard for multiple languages (see Figure 21.1). The default language, which was set when you installed Mac OS X, is checked in the pane.

    Figure 21.1. You can customize the language properties of your keyboard with the Input Menu tab of the International pane.

  11. Check the check boxes next to the other languages you want to be available. When you do so, the Keyboard menu will appear on the desktop (see Figure 21.2). You can make a different language active by selecting it on this menu. You can also open the Character Palette from this menu.

    Figure 21.2. This menu enables you to choose the language setting for your keyboard; it appears when you activate more than one language using the Keyboard Menu tab.

  12. Click the Options button. You will see a sheet that enables you to set several options relating to the languages you are using. You can choose the keyboard shortcuts to use to rotate between keyboard layouts. You can also disable font and keyboard synchronization (when this is enabled, the fonts available to you are linked to the keyboard configuration you have selected).

  13. Set the options you want and click OK.

  14. Quit the System Preferences utility.

NOTE

Mac OS 9 introduced some nice keyboard control options, such as the ability to quickly and easily set a function key to open any file. Mac OS X takes a few steps backward in this area and provides only minimal control over your keyboard. You can regain some of this lost ground by using an automation tool, such as AppleScript or QuicKeys. Hopefully, Apple will add these features back in when it releases future versions of Mac OS X.

If you turn on the Full Keyboard Access feature, you can access the interface elements with the designated keys: Menu bar (opens the Apple menu; use the arrow keys to move to and open other menus and the commands they contain), Dock (selects the Finder icon; use the arrow keys to select other Dock icons), and so on.

If you use a keyboard that provides additional functionality, such as an Internet button, that keyboard will come with software to provide additional controls for the keyboard you are using.

TIP

One of the best things you can do to increase your personal productivity is to learn and use keyboard shortcuts. In the "OS X to the Max" sections of other chapters in this book, you will find many keyboard shortcuts. You should take the time to learn and practice the shortcuts for the OS, as well as shortcuts for any applications you use frequently. The Mac Help Center also lists some keyboard shortcuts.


Finding, Installing, and Configuring a Mouse

When the Mac was first introduced, its mouse separated it from all the computers that came before it, and those that came after it, for a long time. Until Windows and other platforms adopted the mouse as one of their primary input devices, the Mac and its mouse really stood out from the crowd.

Choosing and Installing a Mouse

All desktop Macs come with the Apple Pro Mouse. This is an optical mouse, which means that it uses light to translate your movements into input information (as opposed to the rolling ball in previous generations of mice). Optical mice eliminate the frequent cleaning that is required by the ball-based ancestors. The Apple Pro Mouse uses the entire top half as its "button," which makes using it even easier (if that is even possible). And it shares the same clear or white plastic look as the Apple Pro keyboard.

NOTE

Schools love the Apple Pro Mouse, too. In schools, kids often take the balls out of "regular" mice, thus rendering the mouse unusable until a replacement ball is located or the mouse is replaced. By switching to the optical mouse, some school districts have saved several hundred dollars that they would have otherwise spent because of missing mouse balls.

There are two main considerations when choosing a mouse. One is its comfort in your hand. Mice come in various shapes and sizes. Using one that is suited to your own hand will cut down on fatigue in your hand and lower arm. The other factor is the number of buttons and other features on the mouse. Apple's mice all provide a single mouse button, but other mice come with two or more buttons. These buttons can be programmed to accomplish specific tasks, such as opening contextual menus. Also, some mice include a scroll wheel that enables you to scroll in a window, such as a Web page, without moving the mouse.

Mouse Trivia

One of the worst input devices ever created was the infamous "hockey puck" mouse that came with the early generations of iMacs and Power Mac G4s. This mouse was totally round and provided no tactile clues about its orientation. These mice are a pain because they can easily get turned in your hand so that when you intend to move up, you move sideways, and so you get disoriented. I don't know how Apple ever released such a miserable device to the marketplace; a few minutes of testing should have revealed this bomb for what it was. At any rate, that mouse is long dead and hopefully forgotten.

As long as I am ranting a bit, I have also never understood why Apple hasn't gone to a two- or three-button mouse. With the advent of contextual menus way back in Mac OS 8.5, a one-button mouse doesn't provide all the control that it should. Why should a control key be needed along with a mouse to open a menu? My only guess is that Apple didn't want to copy Windows computers, which use a two-button mouse as standard equipment.

Like installing a keyboard, installing a mouse is trivially easy—just plug it into an available USB port.

Configuring a Mouse

Configuring a mouse is much like configuring a keyboard; however, if you use a mouse that offers additional features, you will need to install and configure the software that comes with that device first in order to take advantage of all of its features. Without this software, your mouse will default to acting like a standard one-button mouse.

To configure a mouse, do the following:

  1. Open the System Preferences utility and click the Mouse icon in the Hardware section.

  2. Use the Tracking Speed slider to set the tracking speed of the mouse. A faster tracking speed means that the pointer moves farther with less movement of the mouse.

  3. Use the Double-Click slider to set the rate at which you have to click the mouse button to register a double-click. You can use the test area to check out the click speed you have set.

  4. Quit the System Preferences utility.

NOTE

PowerBooks and iBooks use a trackpad instead of a mouse (although you can connect a mouse to one of these machines just as you can any other Mac).

For information about working with a trackpad, see "Using and Configuring the Trackpad," p. 871.

If your mouse's additional buttons don't work, see "My Multiple-Button Mouse Acts Like a Single-Button Mouse" in the Troubleshooting section at the end of this chapter.


Finding, Installing, and Using a Trackball

Trackballs are really upside-down, roller-bearing mice. Instead of the ball being inside the body, the ball is on the outside of a trackball and you move just the ball instead of the mouse body. Trackballs have several advantages over mice. Because you don't actually move the trackball itself, it takes up less space than a mouse does. And you don't have to lift it up to move it when you run out of room or reach. Because your hand remains stationary, you don't rub the sensitive areas of your wrist across the edge of your desk, which can lead to damage of the tissues in your forearm. Trackballs also have more than one button, and you can program the other buttons to perform various functions. For example, you can set a button to add a modifier key to the click so that you can bring up contextual menus with a click instead of having to hold down the Control key while you click. And trackballs can move the cursor either faster to cover more screen real estate or more slowly to give you more precise control than a mouse.

Choosing a trackball is similar to choosing a keyboard or mouse (except that Macs don't ship with a "default" trackball). Look for one that fits your hand and has the features you want—such as the number of buttons it has.

One of the best trackballs is Kensington's Orbit (see Figure 21.3). The Orbit has two buttons you can program, and you can even have those buttons perform different functions depending on the application you are using. This is managed through the excellent Kensington MouseWorks software. For example, I have my Orbit set to click the left button as a standard single-click and the right as a double-click, and both as a Control-click for contextual menus.

Figure 21.3. The Kensington Orbit is a trackball that offers comfort along with two programmable buttons.

NOTE

You can learn more about Kensington input devices at www.kensington.com.

Installing trackballs is also similar to installing keyboards and mice. You attach the device through an available USB port and then install and configure its software.

Caution

If you experience fatigue or pain when using any input device, make sure that you experiment to see whether you can find a more comfortable position for the device. If you can't, consider replacing the device with another type that is more suited to you. Discomfort, even of a mild nature, can indicate that some damage is being done to your body. If this happens over a long period of time, you can end up with serious health problems.

It's a good idea to have several different devices and positions among which you can rotate so that you can avoid repeating exactly the same actions over an extended period of time. For example, you might want to have both a mouse and a trackball and switch between those devices every so often.


Finding, Installing, and Using an Ink Device

Mac OS X version 10.2 supports handwriting recognition, meaning that you can input text and graphics using a pen and tablet device. This is accomplished through Mac OS X's Ink technology. When you install an Ink-compatible device, an Ink pane appears in the System Preferences utility; you use this to configure how you want handwriting recognition to work. Then, you can input directly into most applications or you can input into the InkPad application and paste the content into another application.

Finding and Installing a Tablet

Tablet devices enable you to input information and execute control using a pen-type mouse that you use to "write" on the tablet. These devices are often favored by artists and others who need more precise input capabilities and a "softer touch" than can be achieved with a standard mouse. However, because support for handwriting recognition is built into Mac OS X, anyone can use a tablet to input information into a Mac.

Mac OS X supports tablets produced by Wacom Technology, which is the major manufacturer of such devices. Just because you are limited to a single manufacturer, though, doesn't mean that you don't have options. Wacom produces various tablets that offer different sizes and features (see Figure 21.4).

Figure 21.4. Here, you see the variety of Wacom tablets that are available.

NOTE

Check out all the details about Wacom tablets on www.wacom.com. You can purchase a tablet at the Wacom site or at www.smalldog.com.

Choosing a tablet is mostly a matter of deciding how much you can afford to spend and the specific features you want. For example, you can get a 4x5 tablet for less than $100. A 9x12 tablet costs about $470. All the tablets include an input pen and a mouse with at least two buttons. A good mid-level tablet is the Intuos2 6x8 tablet that includes the two-button mouse with scroll wheel and the input pen (see Figure 21.5).

Figure 21.5. The Intuos2 6x8 tablet provides a good amount of working space and includes a pen and a nice two-button, scroll-wheel mouse.

Installing a tablet is not any more complicated than installing any other device. You simply connect the tablet to an available USB port. However, because the tablet needs power to operate, you must connect it using a USB port that provides power to peripheral devices. You can connect it to a USB port on the Mac itself, one on an ADC display, or one on a powered USB hub. You can't connect it to a USB port on the keyboard.

Then install the software provided with the tablet. That is all there is to it.

NOTE

Because Ink support is built into Mac OS X, you might wonder why you need to install additional software. You should install the software that comes with the tablet to ensure that the latest drivers are installed. The Wacom software also provides access to advanced configuration options that are beyond those you can configure with Mac OS X's Ink technology. Covering the details of advanced configuration of a tablet is beyond the scope of this chapter. To explore the tablet software, open the Wacom Tablet application that is installed in the Wacom folder located in the Applications folder.

Configuring Ink

NOTE

Before you get started with Ink, you need to understand that getting handwriting recognition to work reliably takes some time and experimentation. Unless you have picture-perfect penmanship, you will have to do some trial and error to get it to work reliably. Expect to spend some time and effort configuring and experimenting with Ink. Make adjustments to Ink, then try writing. Then, make more adjustments and try again. Eventually, you will be able to make it work pretty well.

After you have installed a tablet, you need to turn on handwriting recognition and configure it.

  1. Open the System Preferences utility. You will see the Ink icon (see Figure 21.6).

    Figure 21.6. When you install a tablet, the Ink icon will appear in the System Preferences utility.

  2. Click the Ink button to open the Ink pane (see Figure 21.7). The Ink pane has three tabs. You use the Settings tab to configure handwriting recognition. The Gestures tab shows you symbols you can write to enter symbols or to do specific commands. For example, if you write an upside down "T," a Tab is entered. You can use the Word List tab to add words that you use frequently but that might not be recognized by Ink.

    Figure 21.7. You use the Ink pane of the System Preferences utility to configure handwriting recognition.

  3. Turn on handwriting recognition by clicking the "On" radio button. The InkPad window will appear. At first, the InkPad is collapsed and you will see only the InkPad toolbar (see Figure 21.8). The InkPad window floats on top of all other windows so that it is always available.

    Figure 21.8. The InkPad toolbar provides the controls you use to work with Ink.

  4. Use the Allow me to write pop-up menu to determine where you want to be able to make input via the tablet. If you choose Only in InkPad, you will always use the InkPad writing area to write or draw and then paste your input into another application. If you choose Anywhere, you can write directly in any application, such as an e-mail application or a word processor.

    TIP

    If you choose Anywhere on the pop-up menu, the Mode button on the InkPad toolbar becomes a Pen to indicate that you can write anywhere. You can click the Mode button to switch back and forth between these modes.

  5. To configure the input sensitivity for your handwriting style, use the slider labeled My handwriting style is. If you tend to place your letters closely together, move the slider to the left. If your letters are more widely spaced, move the slider to the right. (As you can see in Figure 21.7, I have adjusted Ink for my writing, in which letters are spaced far apart.) You will need to adjust this slider to match the handwriting recognition to your writing style.

  6. Use the InkPad font pop-up menu to choose the font that is used in the InkPad writing window.

  7. If you want to hear sounds while you write, leave the "Play sound while writing" check box checked. If you don't want this audible feedback, uncheck the check box.

  8. Leave the Ink pane open because you will need to use it again.

After you have done some basic configuration, get started experimenting with Ink to see how well it recognizes your handwriting.

  1. In the InkPad toolbar, click the Open Writing Area button. The InkPad window will expand and you will see a virtual sheet of paper.

  2. Move the Ink pane of the System Preferences utility so that you can see it and the InkPad writing area.

  3. Click the Gestures tab so that you can see the list of characters and commands you input by making specific gestures (see Figure 21.9).

    Figure 21.9. The Gestures tab shows you the gestures you can make to input specific characters and commands.

    TIP

    The tablet has a pen mode, in which you write on the tablet with the pen, and a mouse mode, in which you use the mouse on the tablet just like using a regular mouse. The mode buttons are located at the top of the tablet's writing area. Make sure you press the pen mode button before you start writing.

  4. Click the Text input button to place the tablet in the text mode—it is selected by default.

    NOTE

    If you leave your other mouse connected, it can be confusing to know where the pointer is currently located because it will tend to remain at its last position. When you relocate it with the pen, it will remain there only as long as you continue to provide input with the pen. When you release pressure on the pen, the pointer will jump back to its previous location, which might be outside of the InkPad window. For best results, disconnect your standard mouse when you are using the tablet. When you want to use a mouse, put the tablet in mouse mode and use its mouse.

  5. Move the pointer over the writing area on the InkPad. When you are over the writing area, the pointer will change to a pencil icon.

  6. Use the tablet's pen to write on the tablet. Don't use cursive characters; write in "printing" format. As you write, you will see your characters appear in the window. When you pause for a specific period of time, Ink will attempt to interpret your input and will enter the characters you write as words. Sometimes this will work fairly well and the words you intended to write will be right. Sometimes what you will see is gibberish. The results you get depend on how closely Ink's configuration matches your penmanship. This is where trial and error comes in.

    Using a pen can be a bit challenging because, unlike a mouse, the pen doesn't have to be in contact with the surface of the tablet to register a location. You can move the pointer just by placing the pen fairly close to the tablet's surface. The pen's location will be registered and you can move the pointer by moving the pen. However, the mouse works just like a standard mouse: It has to be in contact with the tablet's surface to make input.

  7. When you place the pen on the tablet's surface, you can start to write. Write smoothly and pause between each word. When you see that you are approaching the edge of InkPad's window, lift the pen and move it to another location. Where you write in the InkPad window doesn't matter, nor does the location of each word relative to the others. Ink recognizes your input on a word-by-word basis. The words you write will be input as a sentence no matter where you write each word. In fact, you can write one word right on top of another if you want to. Ink captures everything from the time you touch the pen to the tablet until you raise the pen again as a word.

    When you pause for a period of time, Ink will translate your writing and you will see the text at the top of the InkPad window (see Figure 21.10).

    Figure 21.10. Using a pen to write text efficiently takes some time and practice.

    NOTE

    If you move the pointer outside of the InkPad window, you won't be able to continue writing. For best results, use the InkPad window's Resize handle to make it as large as possible.

  8. After you have written quite a bit of text, use the Ink pane of the System Preferences utility to fine-tune Ink to your writing style (an explanation of your options is provided in the following paragraphs).

Use the Ink controls to configure Ink so that it better recognizes your handwriting.

Use the My handwriting style is slider located on the Settings tab of the Ink pane to adjust Ink for your handwriting. If Ink enters words before you are done writing them, meaning that you end up with partial words, it may be that you space characters more widely apart and so Ink thinks you are done with a word because of the space between the letters you write. If this is the case, move the slider to the right.

You can access additional controls by clicking the Options button on the Settings tab (see Figure 21.11).

Figure 21.11. Use these options to fine-tune Ink to match your handwriting style.

Use the Recognize my handwriting after slider to adjust the time between the point when you lift the pen off of the tablet and when Ink recognizes words. If you tend to write slowly, move the slider to the right. If you write quickly, move the slider to the left so that Ink can keep up with you.

Use the Start inking after the pen moves slider to determine how sensitive Ink is to your moving the pen on the tablet. Move the slider to the left to have Ink start writing (called inking). Move the slider to the right to require more movement to start registering characters.

Use the Use pen as mouse after slider to set the amount of time you must hold the pen still to use it as a mouse.

Check the "Recognize my handwriting when the pen moves away from the tablet" check box to trigger word recognition after you lift the pen from the tablet.

Check the "Hide pointer while writing" check box if you want the point to be hidden while you use the pen to write.

Continue experimenting with writing in the InkPad and making adjustments until your writing is recognized reliably. This will take some time and patience, but if you continue refining the adjustments, you can make it work fairly reliably.

NOTE

There are numerous adjustments you can make to the tablet, pen, and mouse using the Wacom Tablet application. For example, you can configure the mouse's buttons and the pen's button. Covering the details of this application is beyond the scope of this chapter. If you are going to use a tablet, you should explore this application to better configure your tablet.

Using Ink

After you have configured Ink to reliably recognize your handwriting, there are two general ways you can use it.

One is to make all input via the InkPad application.

  1. Open the application in which you want to make input, and create a new document, such as an e-mail message.

  2. Switch to the InkPad window.

  3. Write your e-mail message.

  4. Click the Send button. The text you input will be pasted into the active document window. You can then edit it just like text you typed in (see Figure 21.12).

    Figure 21.12. Here you can see that text that I entered in the InkPad has been pasted into a new Mail message window.

You can also write directly in many applications.

  1. Open the Ink pane of the System Preferences utility and choose Anywhere on the Allow me to write pop-up menu. (You can also click the mode button in the InkPad toolbar.)

  2. Open an application and create a new document, such as a new e-mail message.

  3. Move the pointer into the blank document and start writing. As you write, an InkPad window will pop up and show you the text you are writing. When you release the pressure on the pen, Ink will recognize what you wrote and enter that text in the document (see Figure 21.13).

    Figure 21.13. Here I am entering text directly into an e-mail message.

Not all applications will recognize Ink input, but most OS X applications will. The best way to figure out whether an application that you use supports Ink is to try it. If an application doesn't support direct entry using Ink, you can always use the InkPad to enter text.

TIP

If you click the Graphic mode button (the star) at the bottom of the InkPad window, you can also draw in the window and paste the result into your documents.

There are many more tricks of the handwriting trade you will need to learn in order to use Ink effectively, but the information in this section should get you started. To learn more, explore the Ink help system and Apple's Support Web site.

NOTE

The most advanced tablets are incorporated into LCD monitors so that you can input directly onto the images on which you are working. Check them out at www.wacom.com/lcdtablets/index.cfm.


Troubleshooting

My Multiple-Button Mouse Acts Like a Single-Button Mouse

My mouse has more than one button, but only the "primary" button works. Why can't I get the other buttons to function?

All mice default to the "dumb" mouse condition (and act as if they have only one button). In this case, the software that controls the additional buttons on the mouse is not installed or is not functioning properly. Make sure that the related software has been Carbonized or is written in Cocoa; the mouse won't be able to use Classic software. Check the manufacturer's Web site to make sure that you have installed the most recent version and any patches that have been released. If not, download and install the revised software. If you have the most recent version installed (and it is Mac OS X–compatible), you probably have some sort of conflict with another piece of software or hardware. Check the support area on the manufacturer's Web site to see whether you are experiencing a known problem.

Also, try installing the mouse in another USB port, such as one that is part of the Mac itself. Rarely, a USB hub will have difficulty passing on the required data. Moving the mouse's USB connector to the Mac will eliminate a USB hub as the source of the problem (assuming that the problem doesn't go away by installing a software update).


Mac OS X to the Max: Other Input Devices

Although keyboards and mice (along with their variants) are the primary input devices you are likely to use, they are by no means the only types available. Following are some other types of more specialized control devices:

  • Speech recognition This category of device is more software than hardware (the only hardware required is a microphone of one type or another), but its purpose is the same as the other devices in this chapter. You can use speech recognition to both input information to and provide control over your Mac. Although the idea of being able to speak to your Mac is quite appealing, most implementations of this concept fall far short of the ideal. In fact, they tend to fall so far short of the ideal that they tend not to be useful other than for a few rare moments of "gee whiz" when they actually do work as promised.

    There have been many attempts to develop a usable voice-recognition system over the years. However, analyzing the human voice is an incredibly complex task, and only with the recent increases in processing power has this become even possible on a personal computer. Having several of these systems collecting dust in my office, I don't believe that this technology is yet ready for practical, everyday use (unless you happen to get lucky and have the perfect voice for it—even then, you will be doing lots of tweaking to get such a system to work reliably). Although speech recognition sounds appealing, the reality is that a keyboard and mouse-type device provide much faster, more reliable, more precise, and more efficient input than any speech-recognition system. As the technology continues to evolve, hopefully this will change and speech recognition will become a feasible alternative.

    NOTE

    There are two leading speech-recognition applications for the Mac. One is IBM's ViaVoice for Mac; check it out at www.ibm.com/software/speech/mac/. The other is MacSpeech's iListen; MacSpeech's Web site is www.macspeech.com.

  • Wireless devices Many keyboards, mice, and other input devices are available in wireless varieties. The benefit of these devices is that you don't have to deal with wires. Other than that, they function just like their wired counterparts.

  • Bluetooth devices Bluetooth is a wireless communication standard that is used by many devices, including computers, personal digital assistants, cell phones, and so on. Mac OS X is designed to be Bluetooth capable so that your Mac can communicate with Bluetooth devices, such as to synchronize the calendar on your Mac with one on your Handspring PDA.

    To use Bluetooth on a Mac, you must obtain and install a Bluetooth adapter. These USB devices enable a Mac to send and receive Bluetooth signals from PDAs, cell phones, and other devices. You must also download and install the Bluetooth software. Then your Mac will be able to recognize and communicate with Bluetooth devices.

    You can learn more about Bluetooth on the Mac at www.apple.com/bluetooth/.

  • Joysticks and gamepads These devices serve one purpose, and that is to make game playing a more satisfying experience. In fact, some games, such as flight simulators, can't be played very well without a good joystick. Other games, such as those involving lots of rapid hand motions, are much better played with a gamepad.

NOTE

The leader in joysticks for the Mac is Gravis (which is actually part of the Kensington Technology Group). Check it out on www.gravis.com.


Chapter 22. Finding, Installing, and Using Output Devices

In this chapter

Working with Output Devices

Finding, Installing, and Using a Monitor

Finding, Installing, and Using Speakers

Finding, Installing, and Using Printers

Working with PDFs

Synchronizing Color Among Devices

Troubleshooting


Working with Output Devices

Your Mac's output devices determine how the data you are manipulating appears to you, and in the case of a printer, to the world. Using high-quality output devices can make your Mac experience more enjoyable and productive.

In this chapter, you will learn about the following output devices:

  • Monitors

  • Speakers

  • Printers

In addition to these hardware items, you will also learn about a significant output mechanism that isn't hardware: Portable Document Format (PDF). PDF offers many benefits; the most important is that you can distribute electronic versions of your documents—the viewer does not have to have the same application or fonts that you used to create the document to be able to view the document. The PDF will appear to the viewer just as it does on your computer. Even better, support for creating PDF documents is built into Mac OS X.

Finally, because color is such an important part of Mac OS X, you will learn about synchronizing color across multiple output devices.


Finding, Installing, and Using a Monitor

Next to your Mac itself, your monitor might be the most important element of your system. Having the right type and size of monitor can make working with your Mac more efficient and more enjoyable.

Choosing a Monitor

The fundamental factors you need to take into account when choosing a monitor are detailed in the following sections.

Display Type

There are two options in the way a monitor displays information. With a Cathode Ray Tube (CRT) monitor, information appears on the screen as the result of an electron gun spraying electrons against the inside of the monitor screen, which is covered with phosphors that glow when struck by those electrons. The other choice is a Liquid Crystal Display (LCD), which uses a liquid-based display medium. This technology enables the viewing area to be very thin and light, which is why all laptops are equipped with LCD displays.

The image quality of both types of displays is very good. Until recently, the cost of LCD displays has prevented their use except where nothing else will work because of size limitations, such as in a laptop. Recently, the cost of LCD monitors has decreased, so you can now get somewhat affordable LCD monitors for desktop machines as well.

Although the cost difference might still be prohibitive for some people, LCD monitors offer several benefits. One is their size and weight; a comparably sized LCD display will be much smaller and lighter than a CRT monitor. And a high-quality LCD monitor will have a sharper and more vibrant picture than its CRT cousin.

Display Size

Display size might be the single most important factor when considering a monitor. Various sizes of display area are available. The most common CRT monitor sizes are 15 inches, 17 inches, 19 inches, and 21 inches. Common LCD monitor sizes are 15, 17, and 18 inches along with Apple's spectacular Cinema Displays, which come in a 22-inch flat-panel display and a 23-inch high-definition model. When it comes to display size, bigger is better. You should get a quality monitor in the largest size you can afford because more display space yields more working area.

Interface Type

On modern Macs, there are three interfaces to which you connect a monitor: VGA, DVI, and Apple Display Connector (ADC). All Macs except Power Mac G4s support external VGA monitors along with their built-in displays (flat panel in the case of PowerBooks, iBooks, and iMacs; CRT in the case of the eMac). Depending on the video-card configuration, Power Mac G4s support ADC and DVI (newer machines) or ADC and VGA (older machines); using adapters, you can connect other types of monitors to them as well.

All of these interface types provide excellent image quality and each offers its own benefits. The primary benefit of VGA is that it is the standard interface for PC monitors so that you can use almost any monitor with your Mac. The Digital Video Interactive (DVI) offers superior quality and direct interface to many types of flat-panel displays. Among the benefits of ADC is that it is a digital signal and an Apple ADC display offers other features, such as including two additional USB ports, requiring only one cable (from the Mac to the monitor), and enabling you to power up your Mac and make it sleep or wake up.

TIP

If you use an Apple ADC monitor (one of its flat-panel displays), you can power up your Mac by pressing the Power button on the monitor. You can put your Mac to sleep by pressing the Power button again. Press the Power button while your Mac sleeps, and it will wake up.

Dot Pitch

On CRT monitors, the electron gun sprays electrons on a metallic grid on the inside of the glass. The smaller the distance between the holes in this grid is, the finer an image the monitor can display. Monitors with smaller pitches are better than those with larger pitches, all other things being equal. Typical pitch sizes range from .24mm to .28mm. Dot pitch is not applicable to flat-panel displays.

To learn more about video interfaces, see "Video," p. 632.

Picking a Display

NOTE

The monitor issue is not just for Power Mac G4 users to consider. All modern Macs that include a built-in monitor have a VGA output port. For example, you can connect a monitor to an iMac's VGA port to use an external monitor with it. The image you see will be the same as that shown on the iMac's internal display, but you can use a larger monitor that way, or you can show the same image to several people at the same time (such as for a presentation).

Choosing a monitor can be difficult because of the number of choices that are available. However, there are several factors you can use to quickly narrow down the options to a few monitors that meet your criteria. First, decide how much you can afford to spend. You can spend as little as $130 for a 14-inch CRT to around $3,500 for the top-of-the-line Apple Cinema HD Display. Second, decide whether you want a CRT or LCD display. If you can afford to spend a bit more, I strongly recommend that you consider an LCD display. In addition to the size and weight advantages, the display quality of some of the displays is amazing. Additionally, many offer special features such as additional ports. Third, choose the largest size in a quality brand of the type you choose that fits in your budget.

NOTE

Before you invest in an Apple flat-panel display, make sure that your Mac supports the ADC interface. Not all Power Mac G4 machines do.

I hate to sound like a commercial here, but Apple's displays are the best available. If you have a Mac with the ADC interface, you should really consider either the flat-panel 15-inch or 17-inch Apple Studio Display or, if money is no object, one of the Apple Cinema Displays, which are the largest flat-panel screens available that use the ADC interface. Although the 15-inch version might seem sort of small, its amazing clarity and brightness more than make up for giving up a bit of screen real estate. For example, at one point, I had one of the Apple 15-inch flat-panel displays sitting next to a high-quality 21-inch CRT monitor. I had to turn down the brightness of the Apple display to make the contrast between the two tolerable—even with a smaller size, the Apple flat panel blows away the larger CRT monitor. The Apple 17-inch display provides the same image quality, but gives you more screen space. And the Apple Cinema Display is magnificent. Currently, I have the 22-inch cinema display and the 15-inch Studio display connected to my Power Mac G4.

Apple has converted its entire monitor line to LCD displays, so that is clearly the future for Mac users. The only machine that Apple currently produces that uses CRTs is the eMac.

NOTE

Another output option is a projector. Although covering these is beyond the scope of this chapter, the cost of the devices has decreased such that obtaining a decent-quality projector is in the realm of possibility for many Mac users. Adding a projector to your Mac system has all sorts of uses, such as for a home theater.

To learn more about projectors, see "Turning Your Mac into a Home Theater System," p. 618.

Installing a Monitor

Installing a monitor requires two steps. First, connect the appropriate cables to the monitor and the Mac (in the case of ADC displays, only one cable is required). Second, install any software that was provided with the monitor. Some monitors include a ColorSync profile; if yours does, you should install and use it. If you are adding a second monitor to your Mac and have to install an additional graphics card, the graphics card you install might also have software that provides its special features.

To learn more about ColorSync, see "Synchronizing Color Among Devices," p. 682.

Configuring a Monitor

After you have installed a monitor, use the Displays pane of the System Preferences utility to configure it. If you use a single monitor, this pane has two tabs, which are Display and Color. If you use multiple monitors, the pane also includes the Arrangement tab (see Figure 22.1). You use the Display tab to configure the resolution, color depth, refresh rate, and brightness of the display. The specific options you have will depend on the graphics card and monitor you are using. In any case, use the menus, sliders, pop-up menus, and other controls to configure the display. Generally, you should use the highest resolution that is comfortable for you to view. Then, choose the largest color depth and highest refresh rate that are supported at that resolution. Finally, set the brightness to a comfortable level for you.

Figure 22.1. The Display pane of the System Preferences utility for an Apple 22-inch cinema display; the Arrangement tab indicates that this machine is using multiple monitors.

Setting the resolution of a display is a matter of personal preference, but generally, you will be able to tolerate higher resolutions on larger monitors. For example, on 21-inch monitors, resolutions of 1152x870 or 1280x1024 are comfortable for many people. On smaller monitors, 800x600 might be appropriate. The resolution also depends on the sharpness and clarity of the display. For example, on the Apple 15-inch flat panel, a resolution of 1024x768 is very comfortable, but that same resolution might not be on a lower-quality CRT display.

Use the "Show displays in menu bar" check box to turn on the Displays menu in the menu bar. You can configure a display, such as setting its resolution, by choosing the resolution you want to use from the Displays menu.

For more information on resolution and color depth, see Chapter 15, "Creating and Editing Digital Images," p. 403.

After you have configured the Display tab, use the Color tab to choose a ColorSync profile for your display.

To learn more about ColorSync, see "Synchronizing Color Among Devices," p. 682. (this chapter)

Installing and Using a Second Monitor

To create the ultimate amount of desktop working space, consider adding multiple monitors to your system. With the Mac OS, you have always been able to have two or more monitors working at the same time, with each monitor displaying different portions of the desktop. For example, you can display a document on which you are working on one monitor and all the toolbars and palettes you are using on a second. Or you might want to have a document open on one screen and your e-mail application open on the other.

NOTE

Most Power Mac G4 models offer support for multiple monitors "out of the box." These machines include an ADC port and a DVI port on the AGP graphics card so that you can connect one of each type of monitor to take advantage of multiple monitors. You can also use a DVI/ADC adapter so that you can attach two ADC displays to the same machine. All you need to do is to add the second display (and an adapter if needed), and you are good to go.

To have multiple monitors installed on a machine without "out of the box" multiple monitor support or to add even more monitors to a machine that already supports multiple monitors, you need to install a PCI graphics card for each monitor.

NOTE

Modern Power Mac G4s and Power Mac G4 Cubes feature an Accelerated Graphics Port (AGP) slot in which the preconfigured graphics card is installed. This slot offers the greatest video performance and is where the RADEON or NVIDIA graphics card is installed. When you add a second monitor, you install additional graphics cards in the PCI slots that are available. Because there is only one AGP slot, you won't be able to achieve the same level of performance from the video cards installed in the PCI slots. However, you can still achieve very good performance with PCI-based graphics cards. And you can always configure your system so that you work with applications and documents that require the maximum performance on the displays that use the AGP slot. You can use the other displays for less graphics-intensive applications.

Choosing a PCI-Graphics Card

Many graphics cards are available, each offering differing levels of performance and special features. When choosing a graphics card, consider the following factors:

  • Mac OS X compatibility Not all graphics cards are Mac OS X–compatible, so any that you consider should be.

  • Performance Graphics cards offer varying levels of performance, such as 2D and 3D acceleration and the display resolution that they support. The amount of memory installed on a card is a large determinant of this performance, with more memory being better. Common memory amounts are 32MB, 64MB, or 128MB. Generally, you want to obtain the highest performance you can afford.

  • Video interface support Many graphics cards support VGA monitors. Some support the DVI interface that is used by many non-Apple flat-panel displays. Some offer support for both interfaces. If you are going to add a flat-panel display as a second monitor, get a card that supports DVI (assuming that the monitor does) because it will result in better image quality and will enable you to use the monitor's special features.

  • Special features These include video digitizers that enable you to digitize video from analog sources, TV tuners that enable you to watch TV or the output from a VCR on your display, and other features for which you might have a use.

NOTE

You can also replace the default AGP video card in your Mac with one that offers better performance. Just make sure that the card you get is compatible with your Mac. Replacing the AGP card is similar to installing a PCI card.

Installing a Graphics Card

Installing a PCI-graphics card is a relatively easy process.

CAUTION

The following steps are an example of how a typical graphics card is installed on a Power Mac G4. You should follow the instructions that came with your Mac and the graphics card you are adding.

To install a new or additional graphics card, do the following:

NOTE

If software is provided for the card, such as drivers and applications, generally, you should install the software before you install the card. However, check with the instructions that came with the card to see the order in which the manufacturer recommends the items be installed.

  1. Power down your Mac.

  2. Open the case.

  3. Locate the PCI slot in which you want to install the card. You can use any open slot; they are functionally identical.

  4. Remove the blank cover from the PCI slot you are using.

  5. Install the PCI card in the slot and secure it with the screw that was being used to hold the blank cover in place.

  6. Close the case.

  7. Attach a monitor to the VGA or DVI output of the graphics card.

  8. Restart your Mac.

To learn where the PCI slots are located in a Power Mac G4, see "PCI," p. 628.

Working with Two Monitors

If you have installed an additional graphics card and connected it to a monitor or if you have a Mac that supports multiple monitors, you need to configure the displays to work together. When you have more than one monitor installed, one of the monitors must be the primary monitor. This is the monitor on which the menu bar, Dock, mounted volumes, and other desktop items will be displayed. The rest of the monitors contain windows that you place on them.

To display items on more than one monitor, do the following:

  1. Open the Display pane of the System Preferences Utility. When you do so, you will see the Displays pane on each monitor. The settings shown in each pane are those that are currently being used for that monitor. The "regular" Displays pane will appear on the primary monitor. A third tab, called Arrangement, will appear in the Displays pane (see Figure 22.2) on the primary display. The Displays pane on the other monitor will contain the normal tabs, but it will not contain any part of the System Preferences interface (see Figure 22.3).

    Figure 22.2. This Display pane contains the Arrangement tab and so is being displayed on the primary display.

    Figure 22.3. This Display pane is on a secondary monitor; note that the resolution setting is different from that of the primary display.

  2. Set the resolution, color depth, and refresh rates for each monitor using its Display pane. You can use different settings for each monitor; for example, if one monitor is larger than the other, you might want a higher resolution on the larger monitor.

  3. Click the Arrange tab on the primary monitor's Display pane. You will see a graphical representation of the monitors attached to your system (see Figure 22.4). The primary monitor is indicated by the menu bar across the top of the monitor window (on the right display in Figure 22.4).

    Figure 22.4. This system has two monitors attached to it; the relative resolution settings are indicated by the size of the monitors in this pane. The primary monitor, located on the right, is set to a higher resolution than the one on the left.

  4. Organize the monitors by dragging them on the pane. For example, drag the monitor that you want to display "to your left" to the left side of the pane.

  5. Set the primary monitor by dragging the menu bar onto it.

  6. Quit the System Preferences utility.

If you can't get both monitors working, see "My Second Monitor Doesn't Work" in the Troubleshooting section at the end of this chapter.

You can have the monitors display the same image by turning on display mirroring. Set the monitors to the same resolution. In the Arrange tab of the Display pane, check the "Mirror Displays" check box. The monitors will display the same image. This is useful if you want to display the same images to a larger group. For example, you can connect a projector to one video port and mirror your monitor on it.

If you connect a monitor to the VGA port on a PowerBook, iBook, iMac, or eMac, you can only use video mirroring.

You can drag windows and palettes from one monitor to another. For example, you might have an image open in Photoshop on one monitor and all the Photoshop palettes on the other. You can move between the monitors by moving "across" the divide between them. Or, you can have a Word document open on one monitor and a Web browser on another. After you use multiple monitors for even a short time, you might find that you can never get along with just one again.

NOTE

You can drag windows between the monitors, but the menu bar, Dock, and other desktop items always remain on the primary display.

If you add the Displays menu to your menu bar, you can control display mirroring, resolution, and color depth of each monitor by choosing the setting you want on the menu. You can also open the Displays pane of the System Preferences utility from the menu (see Figure 22.5).

Figure 22.5. Control the resolution and other settings of all the displays attached to your Mac from the Displays menu in the Mac OS X menu bar.

    [ Team LiB ]


Finding, Installing, and Using Speakers

Sound is an important part of the Mac experience. Adding speakers to your system is a good way to enhance the experience of music, movies, games, and other multimedia.

There are four basic types of speakers you can use with your Mac:

  • Built-in The built-in speakers on eMacs and older iMacs provide fairly good sound. The built-in speakers in PowerBooks and iBooks are okay as long as you are on the move and can't use anything better. But the built-in speakers on other Macs are pretty sorry.

  • Analog Analog speakers connect to the Mac's headphone or speaker jack. You can find very high-quality computer speakers, some of which rival their home stereo counterparts in sound quality.

  • Apple Pro Some Macs, such as the iMac, include a jack for Apple Pro speakers. These machines include a pair of Apple Pro speakers, also known as eyeball speakers. These are analog speakers that offer decent sound quality and a very stylish design.

  • USB Digital speakers use the USB interface to connect to your Mac. USB speakers also offer excellent quality.

Choosing and Installing Speakers

As with other system components, choosing speakers is primarily a task of balancing how much you want to spend versus how demanding you are in terms of quality. In either analog or USB, speaker sets come with a number of speakers. A basic set has two speakers; however, unless you have very little budget, you should get a set that also includes a subwoofer. More advanced speaker sets can have up to six speakers to simulate surround sound.

NOTE

Surround sound is an area in which Macs trail PCs. Sound cards that provide true surround sound are available for PCs, but at the time of this writing, they are not available for the Mac. However, you can obtain systems that do an excellent job of simulating surround sound.

A good choice for many systems is Harman Multimedia SoundSticks (see Figure 22.6). These USB speakers provide excellent sound, and they are among the best-looking speakers around.

Figure 22.6. SoundSticks sound as good as they look.

Installing speakers requires that you provide power to the subwoofer, attach all the satellite speakers to it, and then connect the subwoofer to your Mac (via the headphone or speaker jack or a USB port). If you use Apple Pro speakers, you attach them to the Apple Prospeaker port.

Using Speakers

You can control the audio output of your system in several ways.

Some speakers come with volume and other controls on one of the satellites.

You can control the system volume of your Mac through the keyboard volume controls on the Apple Pro keyboard or on the PowerBook's and iBook's built-in keyboard.

You can also use the Sound pane of the System Preferences utility to set sound levels. At the bottom of the pane, you can use the Output volume slider to set the general sound level for your system, including muting it. You can also choose to install the Sound menu on the Mac OS X menu bar. If you do so, you can set the volume level by clicking the speaker icon and setting the volume level with the slider.

NOTE

You can also control volume using controls within specific applications, such as iTunes or iMovie. When you do so, the volume control in the application changes the volume of that application's output relative to the system volume level.

When you use the volume controls on an Apple Pro keyboard, you change the system volume level.

The Sound pane has three tabs: Sound Effects, Output, and Input.

On the Sound Effects tab, you can set the relative volume level of alert sounds, the alert sound you want to use, the audio controller through which alert sounds play, whether user interface sound effects play, and whether you hear feedback when you change the volume level using the keys on the Apple Pro keyboard.

One of the nice features of Mac OS X is that with some speakers, you can set the alert sound to play through the Mac's internal speaker while the rest of the sound plays through the external speakers. You do this by setting "Built-in audio controller" from the "Play alerts and sound effects through" pop-up menu (see Figure 22.7). This means that alert sounds play through the Mac's built-in speaker rather than through the external speakers, such as SoundSticks. This prevents you from being jarred by an alert sound when listening to loud music or movies.

Figure 22.7. The Sound Effects pane of the System Preferences utility provides complete control over your Mac's sound effects, such as the alert sound.

NOTE

If you use external analog speakers that get their output from the speaker jack on your Mac, you won't be able to choose those speakers separately from the Mac's built-in audio controller because the Mac's controller controls the output to the speaker jack. Only when you use USB speakers, such as the SoundSticks, or when you install a PCI sound card can you configure separate sound output devices.

If you check the "Play user interface sound effects" check box, you will hear sound effects for various actions, such as when you place items in the Trash.

If you check the "Play feedback when volume keys are pressed" check box, you will hear a sound when you change the system volume level using the volume keys on your keyboard. The louder the volume setting, the louder the feedback sound is.

Use the Output tab to select the output devices you want to use to play sound, other than system alerts (see Figure 22.8). When you install additional devices, such as SoundSticks, you will see each device in the output device list. Choose the device you want to use to play sound and then set the settings for that device. The settings you have will depend on the device you have installed. For example, with SoundSticks, you can control the balance of the satellite speakers.

Figure 22.8. The Output tab of the Sound pane of the System Preferences utility enables you to configure the balance of SoundSticks satellite speakers.

Use the Input tab to configure sound input devices, such as USB microphones (see Figure 22.9). You will see a list of all sound input devices in the upper part of the pane. You can use the Input volume slider to set the input volume level for the selected device. Use the Input level display to monitor the input volume being received by the input device. The "blips" show you how "loud" the input sound is. A blip remains at the highest level of sound input to show you where the maximum is. Generally, you should set the level so that most of the sound is coming in at the middle of the range.

Figure 22.9. You can use the Input sound to set the input volume for USB microphones and other input devices.

    [ Team LiB ]


Finding, Installing, and Using Printers

If you want to get your work out on paper, you can use a number of different types of printers to get the job done. Mac OS X has completely changed the way that you interact with printers when compared to previous versions of the operating system. Under Mac OS X, you install and manage printers using the Print Center application. And Mac OS X includes support for a large number of printers by default.

NOTE

The Chooser had been a fixture in the Mac OS since it first came to be. However, the Chooser is noticeably absent from Mac OS X. The Print Center has replaced it as the means by which you select and manage printers.

Four basic categories of printers are available, based on the technology that the printer uses to imprint the paper.

  • Inkjet Inkjet printers spray small dots of ink on the paper to form images and text. Inkjet printers produce excellent quality text and good-to-excellent quality graphics. For personal printers or those that are shared by only a few people, inkjets are hard to beat. A good quality inkjet printer costs less than $150, so they are also an excellent value. Support for many Hewlett-Packard, Epson, and Canon inkjet printers is built into Mac OS X.

  • Laser Laser printers produce superb quality for both text and graphics. They are also very fast and are the best choice for network printing. Lower-end laser printers are affordable enough to also be a good choice for a personal printer. Unfortunately, all reasonably priced (for home or home office use) laser printers are black-and-white only.

  • Color laser Color laser printers produce excellent text and graphics and also have color capability. Unfortunately, color laser printers are very expensive, and are not likely to be an option for you unless high-quality color printing and network support are required and you have a business that can justify their expense.

  • Other printers Beyond color laser printers are dye-sublimation and other higher-quality printers that are used in graphic design and other high-end businesses.

NOTE

A factor to consider when selecting a printer is that inkjets use lots of ink and cartridges are expensive. If you do much black-and-white printing, a laser printer can be a less expensive option when you consider the cost of the consumable supplies (ink versus toner).

There are two ways you can connect a printer to your Mac: directly or through a network. To connect a printer directly to your Mac, you simply attach the printer cable to the appropriate port on your Mac (USB or Ethernet for newer Macs, serial or Ethernet for older Macs). How you connect a printer to your network depends on the kind of network you are using. If you are using an Ethernet network, you can attach a cable from the nearest hub or print server to your printer. You can also choose to share either type of printer over a wired or wireless network.

Mac OS X supports a number of printer communication protocols, including AppleTalk, directory services, IP Printing, and direct connection through USB.

Mac OS X also enables you to share printers over a wired or wireless network.

Choosing a Printer

Covering the mind-boggling variety of printers that are available is beyond the scope of this book. However, it is possible to identify some printer classes that you might want to consider.

  • Inkjet A good-quality inkjet printer will serve almost everyone. Even the inexpensive models can do a great job with text and graphics, including printing photos and other high-resolution images. If your page quantity needs are fairly modest, an inkjet printer is a good choice, especially if you need color output.

  • Laser If you have higher quantity demands or if your printer needs to support several users, a laser printer might be a better choice. Laser printers are faster and less expensive per page than are inkjets. Many laser printers are networkable so that it is easy to support your local network with a single printer.

  • Other options If you have the need for a color laser printer or dye-sub printer, you are probably in a company that has an IT staff that handles obtaining and installing these devices. As long as the printer uses standard network printer drivers, Mac OS X machines will be able to print to them just fine.

NOTE

All-in-one devices feature an inkjet printer along with a scanner, copier, or fax. An excellent all-in-one unit is the HP PSC 750. This unit does a great job of printing, copying, and scanning. However, Mac OS X–compatible software was not available for this unit before this book went to press. If you need to be able to scan and copy in addition to print and want to save some space and the hassle of dealing with three separate devices, check this unit out at www.hp.com.

With version 10.2, Mac OS X includes support for Rendezvous. This technology enables your Mac to actively seek devices to which it is networked. In the case of Rendezvous printers, your Mac can discover the printers it can access and will automatically configure itself to use those printers. No configuration on your part is required. However, printers have to be Rendezvous capable for this to work.

Installing a Local Printer

As long as it offers Mac OS X–compatible drivers, you can install and use just about any USB printer. Using such devices is relatively straightforward.

  1. Connect the printer to the power supply and to your Mac's USB port.

  2. Install the printer driver software, if necessary. If the printer you are using is an inkjet from HP or Epson, the drivers are probably already built into Mac OS X.

    TIP

    To see which specific printer models are supported natively by Mac OS X, open Mac OS X/Library/Printers, where Mac OS X is the name of your Mac OS X startup volume. Open the folder for the printer brand in which you are interested. The models that are supported will have a .plugin file.

  3. Configure the printer in the Mac OS X Print Center.

Support for some inkjet printers is built into Mac OS X. For example, you can use the following steps to install, configure, and use an Epson 740i inkjet. Other models of inkjet printers will work similarly.

  1. Connect power to the printer.

  2. Connect the printer's USB cable to a USB port on your Mac.

  3. If the printer has Mac OS X–compatible software, install it—support for several printers is built into the operating system.

  4. Open the Print Center (Applications/Utilities).

  5. In the Printer List window, click Add.

  6. Choose the type of printer configuration you want to add from the pop-up menu at the top of the Printer List sheet (see Figure 22.10). Your default choices are AppleTalk, Directory Services, IP Printing, and USB. You will also see various options that relate to any printers your Mac was able to detect. In Figure 22.10, you can see several options for the Epson 740 printer that I was installing.

    Figure 22.10. To configure an Epson USB printer, choose Epson USB on the pop-up menu.

    In this case, I chose EPSON USB. When you've made your selection, the USB bus will be scanned and the available USB printers will be listed in the window.

    You will see a list of possible printers for the configuration you selected.

  7. Select the printer you want to add, and click Add. You will return to the Printer List, and the printer you added will be listed in the window.

  8. To make the printer you added the default, select it and click the Make Default button.

  9. If configuration options are available for the printer, you can select it and click Configure. Use the resulting window to set any options that appear.

  10. Quit the Print Center.

TIP

If you hold down the [image] key and click the Hide/Show Toolbar button in the Printer List window, you will cycle through toolbar configurations, including various icon sizes and a text-only toolbar.

Installing a Network Printer

Using a network printer is a good way to share a printer among multiple users; with the rise of home networks, installing a networked printer in a home or home office is also a practical option.

Installing a network printer is similar to installing a local printer. The specific steps you use will depend on the network you are using and the particular printer model. Support for most laser printers is built into Mac OS X.

In the following example, an HP LaserJet 2200DN is installed on a small Ethernet network. The steps to install other printers on different types of networks are similar.

  1. Connect power to the printer.

  2. Connect the printer to an Ethernet hub.

  3. If the printer has Mac OS X–compatible software, install it—support for most laser printers is built into the operating system.

  4. Open the Print Center (Applications/Utilities).

  5. In the Printer List window, click Add Printer.

  6. Choose the type of printer you want to add from the pop-up menu at the top of the Printer List sheet. Your default choices are AppleTalk, Directory Services, or IP Printing. For a small Ethernet network, AppleTalk will work; choose it on the pop-up menu and then choose the AppleTalk zone you want to access. For larger networks, assign an IP address to the printer and use the IP Printing option; enter the printer's address and queue name, and choose a model on the Printer Model pop-up menu. For printing using directory services, choose Directory services. Then choose Rendezvous or NetInfo Network.

    The network will be scanned and the available printers will be listed in the Add Printer sheet.

    TIP

    If the exact printer model has a driver in Mac OS X, the Printer Model pop-up menu will be inactive (because the driver for the specific model was found). If the specific model of printer you have selected does not have a corresponding driver installed, the Printer Model pop-up menu will become active. Choose the brand of printer you are installing and then choose the specific driver you want installed on this menu. If you leave the option "Auto Select" selected, Mac OS X will choose the driver it thinks is the best match.

  7. Select the printer (and driver, if necessary) that you want to add, and click Add. You will return to the Printer List, and the printer you added will be listed in the window (see Figure 22.11). In the Printer List window, the default printer is indicated by its name appearing in bold.

    Figure 22.11. Two printers are now available in the Print Center; the PET printer is a laser printer installed on the network.

  8. Quit the Print Center.

TIP

To set the default printer, select it in the Printer List window and click the Make Default button.

Sharing a Printer

Under Mac OS X, version 10.2, you can share printers connected to your Mac over wired and wireless networks, as well as those connected directly to your Mac through USB. Follow these steps to share your printers:

  1. Open the Sharing pane of the System Preferences utility.

  2. Check the "Printer Sharing" check box or select Printer Sharing and click the Start button. The status message will indicate that printer sharing is on (see Figure 22.12).

    Figure 22.12. This Mac is sharing its printers.

  3. Quit the System Preferences utility.

Any printers that are connected to your Mac will be available for others. For example, if you provide an AirPort network, users of that network will be able to print to a USB printer connected directly to the Mac.

Printing Under Mac OS X

When you print a document, you will see the print dialog box for the default printer (see Figure 22.13). You can choose any other printers that are installed by using the Printer pop-up menu. This dialog box contains a variety of pop-up menus and other tools you can use to configure the print job.

Figure 22.13. Mac OS X printer dialog boxes offer many more features than were possible with previous versions of the OS.

The specific options you see in the print dialog box depend on the printer you are using. You choose the settings you want to configure from the middle pop-up menu (which shows Copies & Pages in Figure 22.13) and then configure those settings with the controls that appear in the lower part of the dialog box. Depending on the printer you select, you can have the following options:

  • Printer You can use this pop-up menu to select a printer to print to. You can also open the Print Center by choosing Edit Printer List.

  • Presets You can switch between the standard settings for the selected printer or you can save a custom configuration and switch to that one.

  • Copies & Pages These controls enable you to set the number of pages you want to print and choose the part of a document you want to print.

  • Duplex If a printer is capable of duplexing, you use these controls to configure it, such as by printing on both sides of the paper.

  • Layout These commands enable you to control how many pages print per sheet of paper, the direction in which your document layout will print, and whether a border is printed.

  • Output Options This pane enables you to print the document as a PDF or PostScript file.

  • Paper Feed These controls enable you to select a paper tray for the print job or you can choose to do a manual feed.

  • Error Handling With these controls, you tell the Print Center how to handle errors that occur during the printing process.

  • Print Settings Controls in this pane enable you to choose a paper type and to select from the print modes offered by a printer (such as color, black and white, draft, and so on).

  • Image Quality Use these controls to determine the quality with which images are printed—to save toner, for example.

  • Advanced Settings This pane can contain various commands, such as halftoning, flipping horizontal, and other specialized settings.

  • Color Management On color printers, you can use this pane to control the color. Your options are to use ColorSync or to set various aspects of the colors manually.

  • Summary The Summary area displays a description of the print job you have currently configured. This can be useful if you have configured a complex print job and want to check it before you run it.

TIP

In the Copies & Pages dialog box for most printers, you have the option to collate documents. If you have ever had to hand-collate a large document, you will really appreciate this feature.

You can preview a print job by clicking the Preview button. When you are ready to print, click Print or press Return.

You can check the status of a print job by double-clicking the printer on the Printer List; when a job is sent to a printer, the Print Center icon will open on the Dock and will begin to bounce. You can open a printer to access its status window (see Figure 22.14). You can use the commands on the Queue menu to control print jobs. You can also sort the jobs in the queue by Status, Name, or Priority.

Figure 22.14. You can monitor the status of print jobs by double-clicking a printer in the Printer List to open the monitor window for that printer.

Using a Printer from the Classic Environment

Printing from the Classic environment can be a bit problematic because Classic has trouble interfacing properly with the USB ports. Some printers will work fine from within Classic, but others will not.

To print from within Classic, you need to first install the printer's software in the Classic environment. Then you use the Classic Chooser to select the printer to which you want to print. You will probably have more luck printing to network printers than you will printing to USB or other local printers.

The only way to figure out whether the printer you want to use will print under Classic is to give it a try. I had mixed results. An Epson 740i printer could not be selected because Classic Chooser did not find the USB ports—printing to my HP PSC 750 was also unsuccessful because the USB port could not be found. However, I was able to print to a networked laser printer just fine.

If you are unable to print to a printer in Classic, see "I Can't Print Under Classic" in the Troubleshooting section at the end of this chapter.


Working with PDFs

Portable Document Format (PDF) files are one of the most useful ways to output documents for electronic viewing. Any PDF document can be easily read by anyone using any computer platform. PDF documents maintain their appearance because they do not rely on fonts and other aspects of the system on which they are viewed.

Under previous versions of the Mac OS, the Acrobat Distiller application was required to create them. Under Mac OS X, PDFs are a native file format. You can create PDFs from within any Mac OS X application, and you can read PDF files with the Preview application or with the Acrobat Reader that is part of the standard Mac OS X installation.

Creating PDF Files

Creating PDF files is an extremely simple task.

  1. Open the document for which you want to create a PDF.

  2. Choose File, Print.

  3. Choose Output Options from the Options pop-up menu.

  4. Check the "Save as File" check box and select PDF on the Format menu.

    TIP

    You can also click the Save As PDF button instead of performing steps 3 and 4.

  5. Click Save.

  6. Name the document and choose a location in which to save it. Use the filename extension .pdf.

  7. Click Save.

NOTE

When you do a print preview under Mac OS X, the preview is in PDF. You can also create a PDF file by previewing a file; when the preview window appears, choose File, Save As PDF.

Creating a PDF using the Output Options command does not create or preserve any hyperlinks in a document. For example, if you create a PDF of a Web page, the links on that page will not be functional. Similarly, if you create a text document that contains a Table of Contents in which the entries are hyperlinked to the sections in the document, the resulting PDF will not contain active links. Basically, creating a PDF using the Print command simply replicates a paper document without adding any features of an electronic document. Even so, being able to create a PDF from any document using the Print command is quite useful when you want to be able to send your documents to other people.

To create PDFs that contain hyperlinks and other electronic document features, you will need to use a more sophisticated application. For example, Adobe applications can save documents in PDF format and can preserve hyperlinks within those documents. Or, you can use the Acrobat application to create more sophisticated PDFs from any application.

NOTE

You can't use the print dialog box to create PDFs from Classic applications. You will either need to open the document using a Mac OS application or create the PDF using Acrobat or other application that is capable of creating PDFs (such as Adobe FrameMaker).

Viewing PDFs with Preview

To view the document you created, open it. Unless you have configured PDFs to open in a different application, Preview will launch and you can view the PDF. Use the commands on the Display menu to navigate in and control the appearance of the PDF. For example, use the Zoom In command ( [image] +Up arrow) to magnify the PDF file.

TIP

Because Acrobat Reader enables you to take advantage of all the features that PDF documents offer, you might want to designate it as the default application for all PDF documents so that it opens automatically when you view PDFs.

To learn how to associate file types with applications, see "Determining the Application That Opens When You Open a Document," p. 142.

NOTE

If you are serious about creating PDFs, consider getting a copy of Adobe Acrobat. With this application, you can create full-featured PDFs that can contain hyperlinks, hot-linked indexes, and so on.


Synchronizing Color Among Devices

One of the most challenging aspects of creating color documents for output on paper or electronically is maintaining consistent color among the images and text in those documents. Each device you use, such as monitors, printers, scanners, and so on, can have slightly different interpretations of particular colors. This makes it quite difficult to create a document that contains the colors you really want.

Apple's ColorSync technology is an attempt to solve this problem. With ColorSync, you configure a ColorSync profile for each device with which you work. If all your devices use a ColorSync profile, the colors across the elements of your document should be consistent.

The general steps to use ColorSync are the following:

  1. Calibrate your monitors.

  2. Use the ColorSync pane of the System Preferences utility to select a ColorSync profile for each device you will use.

  3. Use the color management features of the application that you want to use to create a document to choose the ColorSync workflow for that project.

Configuring ColorSync

To configure a ColorSync workflow, do the following steps:

  1. Open the Display Calibrator application (Applications/Utilities).

  2. If you have multiple monitors installed, click on the monitor you want to calibrate. The Display Calibrator Assistant will open (see Figure 22.15).

    Figure 22.15. The Display Calibrator Assistant guides you through the calibration of your monitors.

  3. Work through the steps in the assistant to calibrate your monitor; at the end of the process, give your calibration settings a name.

  4. Open the ColorSync pane of the System Preferences utility (see Figure 22.16).

    Figure 22.16. You should use the ColorSync pane to select the devices you use on color projects.

  5. Click the Default Profiles tab.

  6. Use the pop-up menus to select profiles for the RGB, CMYK, and Gray defaults. If you can't find the profile for the device you are using, you will need to install its ColorSync profile.

  7. Click the CMMs tab and choose the color-matching method you want to use. If you haven't installed additional CMMs, your choices are Automatic or Apple CMM.

  8. Quit the System Preferences utility.

If you can't find profiles for the devices you want to use, see "I Don't See a ColorSync Profile for My Device " in the Troubleshooting section at the end of this chapter.

Using ColorSync

After you have installed and configured your device profiles and workflows, the way you use ColorSync depends on the particular applications you use. For example, you can employ the ColorSync profiles when you print a document by using the Color Management options on the Options pop-up menu in the Print dialog box (see Figure 22.17).

Figure 22.17. Choosing ColorSync for the color management option in the Print dialog box makes it more likely that the colors in a hard copy document will match those you see onscreen.

    [ Team LiB ]


Troubleshooting

My Second Monitor Doesn't Work

When I install and connect a second monitor, it remains dark when I restart my Mac. Why isn't the second monitor working?

Isolate the problem to the graphics card or the monitor by connecting the monitor that is working to the second graphics card and the monitor that isn't working to the first card.

If the second monitor (now connected to the original graphics card) works, but the other monitor does not, you know that the problem is related to the graphics card. The most likely cause is an incompatible card. Check the manufacturer's Web site to make sure that card is supported on Mac OS X. Download and install any updated drivers for that card. Finally, make sure that the card is properly seated in the PCI slot.

If the second monitor doesn't work when it is connected to the original graphics card, you know the problem lies with the monitor itself.

I Can't Print Under Classic

When I try to print from a Classic application, errors are generated and I am not able to print.

First, make sure that you have installed the printer software under the Classic environment you are using. Next, make sure that printer is selected in the Classic Chooser.

If you still can't print, you will have to restart in Mac OS 9 and print from there.

I Don't See a ColorSync Profile for My Device

I don't see a profile for a specific device that I want to use. How do I obtain the correct profile?

For you to be able to choose a profile for a device, that profile has to be installed. It should have been installed when you installed that device's software. However, if it wasn't, check the Web site for the manufacturer of the device. Locate a ColorSync profile and download it. Install it in the Library/ColorSync/Profiles directory in your Home directory.

If you still can't find a profile, the profile might be damaged. Run the ColorSync Utility (Applications/Utilities) to verify and repair your profiles.


Chapter 23. Understanding and Using Data Storage Devices

In this chapter

Understanding Data Storage Options

Choosing, Installing, and Using a Hard Drive

Finding, Installing, and Using a CD Writer

Burning DVDs with Apple's SuperDrive

Using a Tape Drive

Working with Other Removable Media Drives

Troubleshooting

Mac OS X to the Max: Other Data Storage Applications


Understanding Data Storage Options

A general law of Mac use—especially when you start using DV, MP3 music, and other multimedia technologies—is that you can never have too much room in which to store your data. In this chapter, you will learn more about the following types of data storage devices:

  • Hard drives

  • CD writers

  • Apple's SuperDrive

  • Other removable media drives

  • Tape drives


Choosing, Installing, and Using a Hard Drive

Your Mac's hard drive is one of its most important devices, and its performance and operation have a major impact on the performance and operation of your system. At some point, you will probably want to increase the amount of hard disk space available to you. Adding more hard drive space is relatively simple in most cases, and offers many benefits to you.

Choosing a Hard Drive

When it comes to choosing a hard drive, you should consider the following factors:

  • Will your Mac support additional internal hard drives? If you use a G4 Power Mac or other desktop Mac, the answer to this question is yes. If you have an iMac, Power Mac G4 Cube, PowerBook, or iBook, the answer is no.

  • Should you go with an external drive instead? If your Mac won't support the addition of another internal hard drive, you will likely want to add more hard drive space by using an external hard drive. Even if your Mac can handle an additional internal hard drive, you might choose to go with an external drive instead because external drives are simpler to install and easier to use with different machines. For example, you can share the same external hard drive among several Macs.

  • What drive interface does your Mac use? For internal drives, the choices are ATA or SCSI. For external drives, the choices are FireWire, USB 2, or SCSI.

    NOTE

    You will also find some external hard drives that use the USB 2 interface. However, because USB 2 is slower than FireWire, you should not use a USB 2 drive for data you actively work with. For an inexpensive backup or portable drive, a USB 2 drive might be an acceptable choice. However, in most cases, FireWire external drives should be your first choice.

  • What size drive do you need? Drives come in various sizes; generally, you should get the largest drive you can afford in the format you select.

  • Do you need to meet specific performance requirements? If you intend to use the drive for high data rate work, such as DV, typically, you need to get a drive that spins at least 7,200rpm. Some drives spin even faster, which means that they can transfer data at a greater rate. (Some drives that spin at slower rates are also acceptable; check with the drive's manufacturer to see what data rate the drive can sustain.)

NOTE

If you have a Mac with room for only one internal hard drive, you can replace that drive with one of a higher capacity. For PowerBooks and iBooks, this is a relatively simple operation. For iMacs, this is a more complex task, and is not recommended unless you are very comfortable working with hardware.

To learn about the various interfaces related to hard drives, see Chapter 20, "Understanding Input and Output Technology," p. 623.

After you have answered these questions, you should have a good idea about the type of drive you need, such as an internal drive with at least 45GB that offers performance suitable for DV work.

Head to your favorite retail site (one of mine is www.smalldog.com) to research or purchase hard drives (see Figure 23.1).

Figure 23.1. This IBM DeskStar 120GB drive is a relatively inexpensive way to add more hard drive space to a Power Mac G4.

CAUTION

Before you purchase a drive, check the owner's manual for your Mac to make sure that the specifications for the drive are compatible with your Mac.

To begin using a drive, you must complete the following tasks:

  1. Install the drive.

  2. Initialize and partition the drive.

Installing an External Hard Drive

Installing an external hard drive is about as simple as things get. You connect the power supply to the drive, if needed (some FireWire drives take their power from the FireWire interface). Then, connect the FireWire, USB 2, or SCSI cable to the drive and your Mac.

If you install a SCSI drive, you must make sure that it has a unique SCSI ID number for the external SCSI bus to which you are attaching it. You also need to make sure that the drive is properly terminated.

If your Mac won't restart after connecting a SCSI drive to it, see "My Mac Won't Start Up After I Connect a Drive to It" in the Troubleshooting section at the end of this chapter.

For more information about SCSI, see "SCSI," p. 637.

CAUTION

Remember that SCSI devices, unlike FireWire or USB devices, are not hot-swappable. You must power down your system before adding or removing a SCSI drive.

NOTE

Most modern Macs require a SCSI PCI card to be added to be able to use external SCSI drives. Unless you specifically need SCSI for some reason, a FireWire drive is a better choice.

Installing an Internal Hard Drive

Installing an internal hard drive is a bit more complicated than installing an external drive, but it is still relatively easy to do.

NOTE

Because I don't recommend that most users replace a hard drive in most Macs, this section provides information only on adding additional hard drives to a Power Mac G4. If you are comfortable enough with working inside a Mac to be able to replace a hard drive, you probably don't need any help doing so.

The following steps describe how to install an internal ATA drive in a Power Mac G4. Installing a SCSI drive is similar, although it uses the SCSI interface and cables rather than ATA cables as this example shows. These steps are provided only as an example; you should follow the instructions provided with your Mac.

Before you get started, read through the instructions contained in your Mac's user manual.

  1. Get the drive ready to install by configuring it as a slave drive; see the instructions that came with the drive for help with this. Typically, this involves configuring jumper clips on specific pins at the back of the drive (see Figure 23.2). Most of the time, these pins are already set in the appropriate configuration.

    Figure 23.2. This photo shows the back of a hard drive; the jumper clips are configured to make this drive the slave.

  2. Back up the data on your Mac (just in case).

  3. Power down your Mac.

  4. Open the case.

  5. Locate the bay in which you are going to install the drive; in Power Mac G4s, this bay is located at the bottom of the machine toward the back (see Figure 23.3).

    Figure 23.3. The hard drive that came with this G4 Power Mac is installed in the lower part of the drive carrier located in the drive bay; an additional drive can be added to the upper part of the carrier.

  6. Unplug the power cable from the motherboard and both cables from the existing drive.

  7. Remove the screw that holds the driver carrier in place.

  8. Install the new drive in the upper part of the drive carrier; use the screws that were included in the accessory kit that came with your Mac.

  9. Install the drive carrier back in the Mac.

  10. Connect the power and data cables to each drive.

  11. Reconnect the power cable to the motherboard.

  12. Close the Mac and power it up.

The Mac should restart normally. When it boots up, you won't notice any difference because you can't use the drive until you initialize it.

Initializing and Partitioning a Hard Drive

Before you can use a hard drive, whether it is internal or external, you must initialize it. You can also partition it in order to create multiple volumes on a single drive (for example, you might want to be able to install more than one version of the Mac OS on a single disk).

  1. Launch Disk Utility (Applications/Utilities). In the Disk Utility window, you will see two panes. In the left pane, you see the drives that are installed in your system (the drives are labeled by their capacity). At the top of the right pane, you will see five tabs; each tab enables you to view data about a drive or to perform a specific action.

  2. Select the drive with which you want to work. When you select a drive, the information for that drive will be shown on the Information tab. You can expand a drive to see the partitions that it currently contains (see Figure 23.4).

    Figure 23.4. Disk Utility can see two drives; the lower drive has just been installed in this Mac and needs to be initialized and repartitioned.

  3. Click the Partition tab.

  4. Select the number of partitions you want to have on the drive by using the Volume Scheme pop-up menu. Each partition will be represented by boxes in the Volumes pane of the window. The partitions will be called Untitled, Untitled 2, and so on.

  5. Select a volume by clicking it on the Volumes pane. The information for that volume will be shown in the Volume Information area.

    TIP

    You can divide a volume into two partitions of the same size by selecting the partition and clicking the Split button.

  6. Name the volume by typing a name in the Name box.

  7. Choose the format type from the Type pop-up menu. You should almost always choose Mac OS Extended.

    NOTE

    The other format options are Mac OS Standard, Unix File System, and Free Space. These are useful in some special circumstances. For example, if you are going to run a Unix OS system (apart from Mac OS X) on your machine, you should use the Unix File System for one partition.

  8. Enter the size of the volume in the Size box.

    You can also set the size of a partition by dragging its Resize handle in the Volumes pane.

    If you check the "Locked for editing" check box, the information will be reset and locked (you won't be able to change it).

  9. If you are going to use the partition while booted up under Mac OS 9, leave the "Install Mac OS 9 Disk Drivers" check box checked. If you are using the partition for Mac OS X only, as a Unix drive, or for some other special purpose that doesn't involve Mac OS 9, you should uncheck this check box.

    The status of the disk with whichyou are working is shown in the lower-right corner of the window. For example, if you can initialize the disk, you will see a status message saying so.

  10. Select the next partition in the Volumes pane.

  11. Repeat Steps 6 through 10 for each of the volumes (see Figure 23.5).

    Figure 23.5. This drive will contain two volumes after it has been partitioned; one is called "Book Projects" and is about 16GB, and the other is called "DV Projects" and is about 27GB.

  12. Click OK.

  13. If you are sure that you want to initialize and partition the drive, click Partition in the Warning dialog box. You will see a progress window showing you how things are proceeding. After a few moments, you will return to the Disk Utility window.

  14. Select the drive you partitioned, expand it, and click the Information tab. Confirm that the drive has been initialized properly (see Figure 23.6).

    Figure 23.6. The drive now has two partitions on it.

  15. Select one of the partitions you just created. The Information tab will reveal information about that partition, such as the format, capacity, available space (which will be about the same as capacity immediately after you partition a drive), and so on.

  16. Explore each partition to make sure they are configured properly.

  17. Quit Disk Utility.

When you return to your desktop, you will see the new volumes that are ready for your data (see Figure 23.7).

Figure 23.7. The Book Projects and DV Projects volumes are ready to use.

Disk Utility can't see your new drive? See "Disk Utility Can't See My Drive" in the Troubleshooting section at the end of this chapter.

You can also use Disk Utility for various other tasks, such as erasing a disk or a volume, disk maintenance, and creating a RAID disk.

To learn how to use Disk Utility for disk maintenance tasks, see "Maintaining Your Hard Disks," p. 776.


Finding, Installing, and Using a CD Writer

Writing data to CDs has many useful applications, such as for general data storage, sending large amounts of data to other people, creating custom audio CDs, and so on. Being able to write to CDs requires that you have a Compact Disc Recordable (CD-R) or Compact Disc Recordable reWritable (CD-RW) drive and a CD-burning application.

A CD-RW drive can write to CD-R and CD-RW discs. The difference between these two technologies is that CD-RW discs can be erased and reused, whereas CD-R discs can be filled only once (depending on the application you use, you can sometimes fill a disc in multiple recording sessions). Because CD-RW discs are more expensive (about $1 per disc) when compared with CD-R discs (less than $.50 per disc), you typically use a CD-RW disc to create a CD for test purposes. When you are sure that the CD will be created properly, you burn a CD-R disc.

NOTE

CD-R drives have largely gone by the wayside. CD-RW drives can do everything that CD-R drives can do plus write on CD-RW discs, so there is no real reason to use a CD-R drive (you probably couldn't find one to buy even if you wanted to).

Choosing and Installing a CD Writer

Most modern Macs include CD-RW drives as standard equipment; if you have a machine that is so equipped, you don't need to think about this type of drive any further. However, if your Mac doesn't have an internal CD-RW drive, you can easily add an external CD writer.

NOTE

Apple's SuperDrive is a combination DVD-R and CD-RW drive. This drive is included with some high-end Mac models. However, even the low-end eMacs and iMacs include a CD-RW drive.

When choosing a CD-RW drive, you have three basic options, which are based on the interface the drive uses. Any of the options work well for most users.

  • USB CD-RW drives that use the USB interface are slower, and are also less expensive than the other options. All modern Macs offer at least one USB port so that you can add a USB CD writer to any system.

  • FireWire CD-RW drives that use FireWire are a bit better because of the higher data transfer rate, which can sometimes prevent problems when you are creating discs for certain types of data. FireWire CD writers are also slightly more expensive than USB drives. Most modern Macs feature at least one FireWire port and so are compatible with FireWire CD-RW drives.

  • SCSI Some CD-RW drives use the SCSI interface. Older Macs or those to which a SCSI PCI card has been added are candidates for a SCSI CD-RW drive. However, I recommend that you stick with one of the other interface types if you can because they are standard on all current Macs.

In addition to the interface, you should consider several other factors.

  • Mac OS X Compatibility Although USB or FireWire drive hardware is the same for any platform, the software that they use is not. Make sure that the drive you choose includes Mac OS X–compatible software.

  • Speed CD-RW drives can burn CDs at various rates of speed; faster drives take less time to burn a CD. If burning a CD quickly is important to you because you will do it frequently, get the fastest drive you can afford. Otherwise, if you only burn CDs occasionally, speed is not a very important factor.

  • Portability If you have a PowerBook or iBook, look for a portable CD-RW drive, preferably one that gets its power from the interface so that you have only one cable to connect; you will then be able to burn CDs while away from a power supply.

  • Software All CD-RW drives include the software you need in order to burn CDs. Various CD-burning applications are available. If you have a preference for one of them, look for a drive that features that application. However, because you can burn CDs from the Finder and from iTunes directly, you probably don't need a specific burning application. Some of these applications, though, offer features that aren't found in the Mac's "built-in" burning software.

NOTE

If you intend to use your CD-RW drive to back up your Mac, make sure that the one you choose comes with the Dantz Retrospect backup application.

First, select the interface you want to use. If your Mac has FireWire ports and you can pay a bit more for the drive, head to your favorite retailer and check out the FireWire offerings for Mac OS X-compatibility, speed, portability, and software. If you need to go USB, consider the same issues. Any drive you choose will likely work pretty well.

If there is a specific CD burning application you want to be able to use, such as Apple's iTunes, check the software publisher's or Apple's Web site to make sure that the drive you are considering is supported by that application. Not all drive mechanisms are supported by all applications so you need to make sure the mechanism you get is supported by the applications you want to use.

Of course, you can also install an internal CD-RW drive in a machine that doesn't have one. This usually involves replacing the machine's current CD or DVD drive. The process for doing this is quite similar to installing an internal hard drive.

Installing an External CD Writer

Installing an external CD writer involves two steps. First, physically connect the drive to your Mac using a FireWire, USB, or SCSI cable, and then connect the power supply to the drive (if required). Second, install any software that is provided with the drive.

TIP

If you install a USB drive, connect it to a port that is as "close" to the Mac as possible. For example, if you use a USB hub, it is better to plug the drive into one of the ports on your Mac. Sometimes, sending data through a hub can slow it slightly and in rare cases, this can cause CD writing problems. This is especially important if the drive also gets its power from the USB port.

CAUTION

If you use a SCSI drive, you must make sure that the drive has a unique SCSI ID and that it is terminated properly.

Using a CD Writer

Using a CD-RW drive is dependent on the particular application you use to create CDs. Several applications are available that serve this purpose, and most of them offer benefits that are unique.

One of the easiest to use is Apple's own Disc Burner application that is built into the Mac OS X Finder. Disc Burner enables you to create CDs from the Finder by using drag and drop. This is about as simple as it gets.

NOTE

Disc Burner does not support recording to a CD in more than one session. You have to place all the files you want on a disc at the same time.

To learn about some of the major CD-burning applications, see "CD-Burning Software," p. 708.

If you are unable to create CDs, see "I Can't Create a CD" in the Troubleshooting section at the end of this chapter.

TIP

If your CD-burning application can create disc images, you should do this before burning a CD. You can create and then test the disc image. If it works, go ahead and burn it to a CD.

Configuring Mac OS X to Burn CDs

Before burning CDs from the Finder, you should configure Mac OS X to work with the drive you have installed. You do this through the CDs & DVDs pane of the System Preferences utility.

Open the System Preferences utility and click on the CDs & DVDs icon to open that pane (see Figure 23.8).

Figure 23.8. You use the CDs & DVDs pane of the System Preferences utility to configure the actions your Mac takes when you insert CDs and DVDs of various types.

Use the "When you insert a blank CD" pop-up menu to select the action you want your Mac to take when you put a blank CD into your machine. You have the following options:

  • Ask what to do When you insert a blank CD, your Mac will prompt you and provide a list of possible actions from which you can choose (see Figure 23.9). The Action pop-up menu contains a similar set of choices to those on the "When you insert a blank CD" pop-up menu on the CDs & DVDs pane, such as Open Finder and Open iTunes. From this dialog box, you can also name the CD by entering its name in the Name field. You can make the action you select on the Action pop-up menu to be the default (checking the "Make this action the default" check box in the prompt window does the same thing as selecting that option in the CDs & DVDs pane). The Eject, Ignore, and OK buttons in the dialog box do what you expect (eject the disc, ignore it, or implement the changes you make, respectively). Because this option provides you with the most flexibility, I recommend that you choose this option. However, for specific situations, the other choices might be more appropriate for you.

    Figure 23.9. When the Ask what to do option is selected, you will see this prompt when you insert blank CD media into your Mac's drive.

  • Open Finder When this option is the default or if you select it in the prompt, the blank CD is mounted and the Finder becomes the active application. You can then use the Finder to name the CD, add contents, and burn it. If you usually burn CDs from the Finder and don't like to be interrupted by the prompt, this option is probably for you.

  • Open iTunes When a disc is mounted, iTunes becomes the active application. If you mostly burn audio CDs, this setting can make the process more convenient.

  • Open Disk Copy You can use the Disk Copy application to burn CDs from disk images. When this option is selected and you insert a blank CD, the Disk Copy application opens and you are prompted to locate the image you want to burn to the CD. This option is most useful when you always create disc images before you burn a CD.

  • Open other application If you choose this option, you will be prompted to select the application you want to open. That application will then be opened when you insert a blank CD. This is the option you want if you use a third-party application, such as Toast, to burn CDs.

  • Run script With this option, an AppleScript that you select is launched when you insert a blank CD. After you select the script you want to launch, it will appear on the "When you insert a blank CD" pop-up menu. If you have a custom burn process that is implemented through an AppleScript, this is the option you want to choose.

  • Ignore When you insert a blank CD, your Mac takes no action. In fact, this disc is not even mounted in the Finder. You have to manually take some action later, such as opening an application that can burn CDs, to do something with the disc. If you prefer to keep blank CDs in your Mac and don't want to be interrupted when you insert them, this might be the option you want to choose.

After you have configured your Mac, burning CDs from the Finder is very straightforward, as the following steps demonstrate (these steps assume that you have selected the Ask me what to do option; however, using the Open Finder option works similarly).

  1. Insert a CD-R or CD-RW disc into the drive. You will be prompted to select an action (see Figure 23.9).

  2. Choose Open Finder on the Action pop-up menu.

  3. Enter the name of the CD you are burning in the Name field. You can name CDs just as you name other volumes on your Mac, such as hard drives. The one area of caution should be if you intend to share the disc with other users. If so, you should keep the name short (eight characters or fewer) and avoid spaces or special characters to avoid causing problems on other computers.

  4. Click OK. You move into the Finder and you will see that the CD you just named is mounted (see Figure 23.10).

    Figure 23.10. The CD called Book Backup is ready to burn.

  5. Drag the files you want on the CD to the mounted CD-R or CD-RW disc, just like any other volume to which you can copy or move files. The files will be copied to the CD and you will see the standard move/copy progress window.

  6. Arrange and organize the files as you want them to be on the CD (see Figure 23.11).

    Figure 23.11. Here, I have moved files for this book onto the CD (note the CD icon in the Finder window's status bar).

    CAUTION

    Because burning CDs from the Finder is a single session, you can burn to a CD-R disc only once. After it has been burned, you won't be able to add files to it. Make sure you have all the files on the CD that you want before you burn it. If you want to be able to burn in multiple sessions, you will need to use a different application to create CDs.

  7. Select the CD and choose Finder, Burn Disc.

  8. In the resulting dialog box, select the speed at which you want to burn the disc. In most cases, Maximum is the best choice. However, if you are having problems burning discs at your drive's maximum speed, you can open the Burn Speed pop-up menu and choose a slower speed.

  9. Click Burn. You will see a progress window as the data is prepared and the disc is recorded. When the process is complete, the CD will be mounted on the desktop and ready to use (see Figure 23.12).

    Figure 23.12. The CD called Book Backup has been recorded and can be used. Note how its icon is now a standard CD icon whereas in the previous figure it had the CD-R icon.

TIP

You can use Disk Utility to erase CD-RW discs. To do so, launch the application, insert the CD-RW you want to erase, click the Erase tab, and use the tab's tools to erase the disc.

Burning CDs from the Finder is just that simple. In fact, burning CDs is just as easy as using floppy drives was back in the old days—except CDs hold about 500 times more data, of course.


Burning DVDs with Apple's SuperDrive

Apple's SuperDrive is a special case because along with CD-RW and CD-R discs, it can also burn DVD-R discs that can be used to record data and can be mounted on the desktop or played in consumer DVD players when you burn them using iDVD or another DVD-creating application. When it was first released, this drive was available only on the top-of-the-line Power Mac G4. Now, this drive is also available on high-end iMacs as well as all Power Mac G4s except the lowest-end.

NOTE

Just as with CD-RW drives, third-party DVD-R/DVD-RW hardware and software are available. However, because Apple's DVD-R technology works so well and is included with Mac hardware and as part of Mac OS X, Apple's technology is the focus of this section.

One downside to this technology is the expense of DVD-R discs, which currently cost about $5 per disc. Of course, when you compare that cost on a per-MB basis, DVD-Rs seem not to be so expensive after all.

Creating a data DVD is very similar to creating a data CD, except that you can store up to 4.7GB of data on a single disc (compared to about 750MB on a CD).

First, configure your Mac for the action you want it to take when you insert a blank DVD-R disc.

Open the System Preferences utility and click on the CDs & DVDs icon to open that pane. Use the "When you insert a blank DVD" pop-up menu to select the action you want your Mac to take when you put a blank DVD into your machine. You have the following options:

  • Ask what to do When you insert a blank DVD, your Mac will prompt you and provide a list of possible actions from which you can choose. The Action pop-up menu contains a set of choices similar to those on the "When you insert a blank DVD" pop-up menu on the DVDs & DVDs pane, such as Open Finder and Open iDVD. From this dialog box, you can also name the DVD by entering its name in the Name field. You can make the action you select on the Action pop-up menu be the default (checking the "Make this action the default" check box in the prompt window does the same thing as selecting that option in the DVDs & DVDs pane). The Eject, Ignore, and OK buttons in the dialog box do what you expect (eject the disc, ignore it, or implement the changes you make, respectively). Because this option provides you with the most flexibility, I recommend that you choose this option. However, for specific situations, the other choices might be more appropriate for you.

  • Open Finder When this option is the default or if you select it in the prompt, the blank DVD is mounted and the Finder becomes the active application. You can then use the Finder to name the DVD, add contents, and burn it. If you usually burn DVDs from the Finder and don't like to be interrupted by the prompt, this option is probably for you.

  • Open iDVD When a disc is mounted, iDVD becomes the active application. If you mostly burn DVDs using iDVD, this setting can make the process more convenient.

  • Open Disk Copy You can use the Disk Copy application to burn DVDs from disk images. When this option is selected and you insert a blank DVD, the Disk Copy application opens and you are prompted to locate the image you want to burn to the DVD. This option is most useful when you always create disc images before you burn a DVD.

  • Open other application If you choose this option, you will be prompted to select the application you want to open. That application will then be opened when you insert a blank DVD. This is the option you want if you use a third-party DVD-burning application.

  • Run script With this option, an AppleScript that you select is launched when you insert a blank DVD. After you select the script you want to launch, it will appear on the "When you insert a blank DVD" pop-up menu. If you have a custom burn process that is implemented through an AppleScript, this is the option you want to choose.

  • Ignore When you insert a blank DVD, your Mac takes no action. In fact, this disc is not even mounted in the Finder. You have to manually take some action later, such as opening an application that can burn DVDs, to do something with the disc. If you prefer to keep blank DVDs in your Mac and don't want to be interrupted when you insert them, this might be the option you want to choose.

CAUTION

To burn a data DVD, you need to have lots of hard disk space available on your startup drive. In fact, you should have at least 5GB of free space before attempting to burn a data DVD.

After you have configured your Mac, burning DVDs from the Finder is very straightforward, as the following steps demonstrate (these steps assume that you have selected the Ask me what to do option; however, using the Open Finder option works similarly).

  1. Insert a DVD-R disc into the drive. You will be prompted to select an action.

  2. Choose Open Finder on the Action pop-up menu.

  3. Enter the name of the DVD you are burning in the Name field. You can name DVDs just as you name other volumes on your Mac, such as hard drives. The one area of caution should be if you intend to share the disc with other users. If so, you should keep the name short (eight characters or fewer) and avoid spaces or special characters to avoid causing problems on other computers.

  4. Click OK. You move into the Finder and you will see that the DVD you just named is mounted.

  5. Drag the files you want on the DVD to the mounted DVD-R disc, just like any other volume to which you can copy or move files. The files will be copied to the DVD and you will see the standard move/copy progress window.

  6. Arrange and organize the files as you want them to be on the DVD.

    CAUTION

    Because burning DVDs from the Finder is a single session, you can burn to a DVD-R disc only once. After it has been burned, you won't be able to add files to it. Make sure you have all the files on the DVD that you want before you burn it.

  7. Select the DVD and choose Finder, Burn Disc.

  8. In the resulting dialog box, select the speed at which you want to burn the disc. In most cases, Maximum is the best choice. However, if you are having problems burning discs at your drive's maximum speed, you can open the Burn Speed pop-up menu and choose a slower speed.

  9. Click Burn. You will see a progress window as the data is prepared and the disc is recorded. When the process is complete, the DVD will be mounted on the desktop and ready to use.

To create a DVD for video, images, and other multimedia content, you can use Apple's iDVD application, which enables you to drag and drop QuickTime movies, images, and other multimedia files to create a custom DVD, including DVD motion menus.

To learn how to use iDVD, see "Creating Your Own DVDs," p. 591.

NOTE

Apple also offers DVD Studio Pro, which is a professional-quality DVD creation application.

CAUTION

DVD-R drives are currently in their infancy and there are many formats competing for dominance. If you are considering a third-party DVD-R drive, make sure that it is compatible with iDVD if that is the software you want to use with it—not all drives are compatible. Eventually, DVD-RW drives will likely take the place of CD-RW drives, but for the next few years, you can expect some turbulence in this area.


Using a Tape Drive

Tape drives offer a tremendous amount of storage space at a relatively low cost. However, because of the slow rate at which they can read and write data, tape drives are limited to a single purpose: data archival and backup. However, for these functions, a tape drive is unbeatable.

To learn about tape drives and backing up your Mac, see "Backing Up Your System," p. 780.


Working with Other Removable Media Drives

Quite a few other data storage options are available. Table 23.1 summarizes several of them.

Table 23.1. Removable Media Drive Options for Modern Macs
Technology | Configuration | Comments
DVD-RAM FireWire, External SCSI, External

Uses dual-sided DVD-RAM discs that can store up to 5.2GB of data. These discs cost about $20 each. This is a good choice as a backup drive on which you can also store working files.

At one point, Apple included DVD-RAM as an option on new machines, but has aban doned this option in favor of CD-RW and DVD-R drives.

Floppy | USB, External | The good old floppy is still around. These drives enable you to read and write standard 3.5-inch floppy disks. Some also enable you to read and write to 120MB "super" floppy disks.
Zip ATA, Internal FireWire, External USB, External SCSI, External

The Zip drive uses a 250MB or100 MB removable disk that costs about $12 per disk. At one point, Zip drives were extremely popular and were standard equipment on Power Macs (at the time of this writing, a Zip drive is offered as an option).

However, with the rise of the CD-RW drive, there isn't really any reason to use a Zip drive. Because a CD-R disc is only about $0.50 and holds nearly as much as three Zip disks, CD-R makes much more sense for most purposes.

Jaz SCSI, External

Jaz drives use a 2GB disk. However, a 2GB disk costs more than $100, so this technology can't compete very well with DVD-RAM (for which a 5.2GB disc costs less than $20) or CD-R for general data storage.

This is another format that was extremely popular for a while, but has since faded.


Troubleshooting

My Mac Won't Start Up After I Connect a Drive to It

After I connect a SCSI drive to my Mac, it won't start up.

Every SCSI device on each SCSI bus must have a unique SCSI ID on that bus; SCSI devices can have an ID number between zero and seven. When you connect a SCSI device that has the same SCSI ID number as a device currently on the same SCSI bus, your Mac will be unable to start.

  1. Remove the drive from your Mac.

  2. Launch Apple System Profiler and click the Devices and Volumes tab.

  3. Check the device numbers of the SCSI devices on the bus to which you are attaching the drive; there might be more than one SCSI bus, so make sure you are looking at the right one.

  4. Reset the SCSI ID to an unused number between zero and seven.

  5. Reattach the drive and start up your Mac.

If the Mac restarts, you can initialize the drive.

If your Mac still won't restart, the drive you have attached has not been properly terminated. Check the manual that came with the drive to see how to terminate it. If the drive is not self-terminating, you have to add a SCSI terminating cable to it.

Disk Utility Can't See My Drive

When I launch Disk Utility, it does not recognize the drive that I installed.

The fundamental problem is that your new drive is not registering with your Mac. There can be many causes for this problem, but the most likely are the following:

  • The drive is incompatible with your Mac Double-check the drive's specifications against those in your Mac's owner's manual.

  • The drive is improperly installed Repeat the installation steps to make sure that the drive is installed and connected properly.

  • The drive is not set to be the slave You must set any additional drive to be the slave; your Mac's "first" preinstalled drive must be the primary drive. See the instructions that came with your drive to see how to set it as the slave.

I Can't Create a CD

When I try to create a CD, the CD-RW drive can't be found or the process is never completed.

Creating CDs can be a finicky process.

One complexity associated with using CD-burning software is that these applications support only specific CD-RW drives. If a particular drive isn't supported by the application you want to use, it won't work. Your only option is to find a version that will support your drive or find another application that will.

CD-burning applications can also interfere with one another. If you have more than one CD-burning application installed on your Mac and have trouble creating CDs, remove all the applications but one.

You can also have data transfer speed problems. Most CD-RW drives include a buffer to which data is written before it is placed on the CD. This buffer ensures that a steady stream of data is written to the CD. If this stream is interrupted and the buffer becomes empty, the process will fail or it will appear to finish, but the CD will be unusable. If this happens, make sure that no other applications are running before you attempt to create CDs.


Mac OS X to the Max: Other Data Storage Applications

Apple produces applications you can use to format drives and burn CDs; however, there are other applications for each of these purposes as well.

Hard Drive Formatting Software

Disk Utility works well in many situations; however, there are other disk formatting utilities of which you should be aware.

FWB Hard Disk Toolkit

FWB's Hard Disk Toolkit has long been recognized as one of the best drive formatting utilities available. It handles more devices than Disk Utility does and provides greater control over formatting and partitioning drives.

NOTE

Check out Hard Disk Toolkit at www.fwb.com.

Anubis

Charismac Engineering's Anubis Utility also provides support for a greater variety of devices than does Disk Utility. It also offers several features that Disk Utility does not.

NOTE

Check out Anubis on www.charismac.com/Products/Anubis.

CD-Burning Software

The Finder's built-in Disc Burner is a useful application, but its features are somewhat limited when compared to some of the other applications mentioned in the following sections.

Toast

Toast, from Roxio, has long been the king of Mac CD-burning applications, and for very good reason, too. Toast offers features not found in any other application on the Mac. For example, Toast enables you to quickly create CDs that keep your digital photos organized and accessible. If you regularly create CDs, you should explore Toast.

NOTE

Check out Toast on www.roxio.com.

iTunes

Apple's own iTunes is limited to creating audio CDs, but it does quite a good job at that.

To learn how to burn CDs with iTunes, see "Using iTunes to Create Custom Music CDs," p. 486.

Discribe

Charismac's Discribe is another full-featured CD-burning application. Similar to Toast, it offers many features not found in Disc Burner.

NOTE

You can check out Discribe and download a demo version at www.charismac.com/Products/Discribe/.


Chapter 24. Installing and Configuring Connecting Devices

In this chapter

Using Hubs to Connect Your Mac to Networks or Peripheral Devices

Finding and Installing an Ethernet Hub

Finding, Installing, and Using a USB Hub

Finding, Installing, and Using a FireWire Hub

Choosing a Modem


Using Hubs to Connect Your Mac to Networks or Peripheral Devices

Some devices serve the purpose of connecting your Mac to networks or peripheral devices. In the case of networks, you use an Ethernet hub to enable your Mac to communicate with other computers, printers, network file servers, and the Internet. In the case of peripheral devices, you can use a USB or FireWire hub to expand the number of peripheral devices, such as printers, cameras, scanners, and so on, that you can connect to your Mac at the same time. Hubs are usually simple to install and configure (in fact, they often don't require much configuration at all).


Finding and Installing an Ethernet Hub

Ethernet is a hub-based network architecture, meaning that all the data that flows through an Ethernet network must flow through a hub of one type or another.

NOTE

The exception to this rule is using an Ethernet crossover cable to connect two devices. This special cable acts as a very basic hub, so there is no need to use a specific hub device.

To learn more about Ethernet, see "Ethernet," p. 625.

Understanding Ethernet Hubs

The basic function of an Ethernet hub is to enable data to flow through an Ethernet network. There are three basic types of Ethernet hubs.

  • Passive or "Dumb" Hubs These hubs don't do anything but allow data to be passed back and forth between the devices to which they are connected. All the traffic through a passive hub goes to every device on the network, thus compromising the performance of the network because much of the data being communicated is "wasted."

  • Intelligent or Manageable Hubs In addition to the basic function, which is to connect various Ethernet devices, these hubs offer additional features that can be used to monitor and manage the data flowing through the network.

  • Switching Hub This type of hub is the most active; it actually directs the flow of each packet of information based on the destination of that packet. Because data is sent only where it is actually needed, the data flow on the network is efficient. Switching hubs offer the best performance of any hub type.

    These hubs can also accomplish load balancing, which means that they analyze the flow of information and direct information such that the load on various devices on the network is balanced. This prevents particular devices from being overloaded while others sit idle. Load balancing is particularly important for situations in which there are active Web or other servers on a network. A Web server can easily generate large amounts of traffic; load balancing can smooth the data flow around such servers so that no one server gets overwhelmed, thus slowing network traffic to a crawl.

In addition to the core features of enabling the communication of data to multiple devices on a network, many hubs also offer additional features, which include the following:

  • Support for Multiple Speeds Hubs can support the various speeds of Ethernet; many hubs support multiple speeds and can intelligently switch between speeds so that you can have both low- and high-speed devices attached to the same network. The hub manages the differences in speeds to prevent bottlenecks and other performance problems.

  • Number of Ports Every Ethernet hub offers a specific number of ports, such as 5 or 10. The more ports a hub has, the more devices it can support. Hubs can also be attached to other hubs to enable even more devices to be attached to a network.

  • Firewall Some hubs can act as firewalls to protect the networks to which they are connected from outside attack.

    To learn more about hubs that provide a firewall, see "Defending Your Mac from Net Attacks," p. 800.

  • Internet Account Sharing Hubs offering this feature enable everyone on a network to share a single Internet account. Such hubs usually include a DHCP server and often offer firewall protection.

  • Network Analysis and Management Software Some hubs include software you can use to analyze the traffic flow on the network to which they are attached so that you can identify problems, such as a bottleneck (which is a spot on the network at which point the data flow is slowed, usually because of a device being overloaded).

Choosing and Installing an Ethernet Hub

Choosing the right Ethernet hub for your network is a matter of identifying the features you need and then locating a hub that offers those features. Some features to consider are the following:

  • Speed All modern Macs can communicate at speeds of at least 100Mbps, so you should make sure that the hub you get can handle this speed. If you have newer Power Mac G4s on the network, you should look for hubs that support Gigabit Ethernet. Most hubs are capable of switching speeds and are rated with the speeds that they support, such as 10/100 for a hub that can support 10Mbps and 100Mbps.

  • Number of Ports Hubs support multiple devices through the ports that they offer. You need a port for each device on the network, such as each Mac, AirPort Base Station, printer, cable modem, and so on. Generally, you should get a hub with more ports than you think you will need to allow room for your network to grow.

  • Internet Account Sharing If you plan on sharing an Internet account, you need to find a hub that supports this.

    NOTE

    With version 10.2 of Mac OS X, Internet account sharing is built in to the OS. However, using a hub to share an account is often a better choice because a Mac that provides account sharing always has to be on and it takes some performance to share an account. Sharing hubs are dedicated devices and are always on by design. Because such hubs are inexpensive and easy to use, they are usually the best choice.

  • Firewall If you connect your network to the Internet, you should use a hub that offers a firewall—such hubs often support sharing an Internet account as well.

    NOTE

    With version 10.2 of Mac OS X, it is simple to configure Mac OS X's built-in firewall to protect individual machines. However, if you have other machines that don't offer a firewall, you should make sure that the hub you use provides one.

    To learn how to configure the Mac OS X firewall, see "Defending Your Mac Against Net Hackers," p. 503.

  • Mac OS X Compatibility Because Ethernet is not platform-specific, most hubs support Macs, Windows, and other machines. However, some hubs offer particular features that are platform-specific.

  • Other Features If there are specific features you need, such as network management software, look for hubs that offer those features.

Hubs generally fall into two camps: those designed for small networks with few or no features (see Figure 24.1), and those designed to support a larger number of devices or that offer other features (see Figure 24.2).

Figure 24.1. This Asante hub is an example of a basic Ethernet hub that is designed for small networks.

Figure 24.2. This Linksys hub includes 24 ports and is designed for a larger network.

Typically, if you evaluate the list of factors provided previously, the type of hub you need becomes clear fairly quickly. Then it is a matter of choosing among the brands that offer the type of hub you need.

In theory, installing an Ethernet hub is easy; you simply connect power to the hub and then connect each device (computers, printers, and so on) to it using CAT 5 Ethernet cables with RJ45 connectors at each end. In practice, routing the cables can be a major challenge, especially if you are covering large distances in a building that is not designed to allow easy routing of such cables.

Ethernet Cards

In order to attach a specific device to an Ethernet network, that device must have an Ethernet card installed in it. Although all Macs have Ethernet cards built in, other devices might not. For example, Ethernet cards are not installed in every printer, even those that are capable of being networked. Some Windows PCs do not include Ethernet as a standard configuration item, especially those that are designed for home use.

The type of Ethernet card you need to install in a device depends on the specific device you are installing on the network. For example, the interface card for a printer will need to match the specifications for a particular brand and model. On the other hand, devices that can use PCI cards can accept a standard Ethernet PCI card to enable that device to be attached to a network.

After an Ethernet hub is physically installed on the network, you might have to install some software or configure that hub (for example, if you will be sharing an Internet connection over it, you have to configure the hub's DHCP server).

NOTE

Most hubs include an uplink port to which you can attach other hubs. This enables you to expand a network by adding more devices to it than a single hub has ports. After you have filled the ports on one hub, you can attach another hub to the first hub's uplink port and begin using the ports on the second hub to add more devices to the network.

Using an Ethernet Hub

For most applications, after a hub is installed and configured, you don't need to think about it anymore. It simply does its work. If you use network-monitoring software, you run that from a device connected to the hub.

Most hubs offer a basic set of diagnostic lights you can use to monitor the traffic across each port on the hub. These lights can be useful if your network has problems you need to diagnose. One type of diagnostic light included for each port on most hubs is an activity light that illuminates when the hub senses activity from the device connected to that port. Most hubs also include a speed indicator light for each port to give you information about the speed of communication with a specific device; this light can help you make sure that each device is communicating with the network at the maximum possible speed.

To learn how to configure and use an Ethernet network for file sharing, see Chapter 25, "Building and Using a Network," p. 721.

To learn about using a hub to share an Internet account, see Chapter 26, "Sharing an Internet Connection," p. 755.


Finding, Installing, and Using a USB Hub

Because so many peripheral devices use the USB interface, you will probably run out of available USB ports before you run out of devices you want to attach to your Mac. That's where a USB hub comes in.

To learn more about the USB interface, see "USB," p. 630.

Understanding USB Hubs

A USB hub expands the number of USB ports that are available on your Mac; USB hubs are one of the simpler devices you will use. USB ports offer the following features:

  • Number of ports The number of ports a USB hub offers determines the number of devices you can attach to it. Typical USB hubs offer four ports, but some offer more than that (such as seven ports).

    CAUTION

    Sometimes the number of ports offered by a hub can be a bit deceiving. Remember that you have to use one port to connect the hub to your Mac or to another USB hub. Some hubs count this "upstream" port, but others do not. For example, some four-port hubs allow you to connect only three USB devices because one port is required to connect the hub to your Mac or to another hub. Other four-port hubs provide an additional port for the upstream connection so that you can actually connect four devices to them.

  • Self-powered or bus-powered Some hubs get the power they need from an external power supply (they provide this power to the devices that are attached to them if needed). Others take power for the hub and the USB devices from the USB bus itself.

NOTE

Although most Macs include two or more USB ports, you can often find additional ports in the other devices attached to your Mac. For example, the Apple Pro keyboard has two USB ports built into it. Some of the Apple monitors, such as the 22-inch Apple Cinema Display, also include additional USB ports. Make sure that you account for these available ports before adding a dedicated USB hub to your system.

Choosing, Installing, and Using a USB Hub

Choosing a USB hub is mostly a matter of deciding the number of USB devices you want to be able to connect to your Mac at the same time (see Figure 24.3).

Figure 24.3. This Asante 4-port hub is an example of a simple, inexpensive USB hub you can add to your system.

TIP

Remember that USB is hot-swappable, meaning that you can connect and disconnect USB devices at any time. There are many devices you will need to connect only periodically, such as a digital camera. So you don't really need a USB port dedicated to every USB device you have—just those you want to always be available. Having one or more extra ports above that number enables you to add other devices as you need them.

Next, you should decide whether you want a self-powered or bus-powered hub. Because some devices take their power from the USB interface, you should get a USB hub that is capable of providing its own power (many hubs can operate either on their own power or on power from the USB bus). If you are going to use the hub primarily on the move, such as with your PowerBook, a bus-powered hub might be a better choice (it will be smaller than a powered hub).

Some hubs offer other features that aren't required, but that can be useful. For example, some hubs provide status lights for each port. These lights show you when a device is actively using the port; this can be helpful when you are troubleshooting problems with a specific peripheral device.

Installing a USB hub is quite simple. You just attach its uplink port to a USB hub on your Mac or on another USB hub. Then, attach each device to a port on the hub. If the hub is self-powered, attach its power source. That's it.

There isn't anything to using a USB hub, either. They just work.


Finding, Installing, and Using a FireWire Hub

A FireWire hub is analogous to a USB hub; its primary purpose is to provide additional FireWire ports to which you can connect FireWire devices.

For more information on FireWire, see "FireWire," p. 626.

Understanding FireWire Hubs

Because many Macs include only two FireWire ports (most mobile Macs have only one), and peripheral devices such as keyboards and monitors don't include additional ports, you are more limited in the number of FireWire devices you can attach to your Mac than you are with USB "out of the box."

If you use multiple FireWire storage devices, such as a hard drive, CD-RW, or other device that you will want to be connected at all times, you are probably going to need to add more FireWire ports to your system.

FireWire hubs work in a way that is quite similar to a USB hub, and you have similar parameters to choose from:

  • Number of available ports; most FireWire hubs include either three or six ports

  • Self-powered, bus-powered, or both

Choosing, Installing, and Using a FireWire Hub

The process of choosing, installing, and using a FireWire hub is also analogous to the same tasks for a USB hub (see Figure 24.4). First, decide how many ports you need. Second, decide whether you need a more mobile hub that can take its power from the bus. Third, look for any special features you might need (there aren't many available, so this won't take much time).

Figure 24.4. This Belkin FireWire hub offers six additional ports.

NOTE

Remember that one port will be used to connect the hub to the Mac or to another hub. Most of the time, you can connect one less device to a hub than the number of ports it offers. Because FireWire devices are also hot-swappable, you need only a dedicated port for those devices you want to be connected to your Mac at all times. As long as you have at least one available port for the devices you use only periodically, it isn't a big deal to connect and disconnect those devices.

Installing and using a FireWire hub is also as simple as installing and using a USB hub. Simply connect the hub to your Mac using a FireWire cable, connect its power supply (if applicable), and connect FireWire devices to the hub.

NOTE

Some FireWire devices include multiple FireWire ports, so you can use them as hubs or to daisy chain other devices.

The FireWire cable you use depends on the device. Many devices use a FireWire cable with a standard FireWire connector on each end, but some devices, such as digital video cameras, have a uniquely shaped FireWire port. The specialized cable you need for such devices is usually included with the device.

TIP

You can chain both USB and FireWire hubs. This means that you can connect hubs of the same type to one another to continue to add devices to your system, up to the maximum number of devices supported by that interface.


Choosing a Modem

The other major type of connecting device you are likely to use is a modem. Modems come in several flavors, depending on the type of connection through which the modem works. The major modem types are the following:

  • Phone line or dial-up All modern Macs include a 56K modem as standard equipment. The only significant benefit of dial-up modems is that they work over any standard phone line, which makes them the only practical option for many people. However, phone line modems are slow and are not as reliable as other modem types.

  • Cable Cable modem connections to the Internet are among the fastest and most reliable. Cable Internet service availability can be limited, but if it is an option for you, you should definitely consider it.

  • DSL Digital Subscriber Line modems offer benefits that are similar to those of a cable modem. However, in many areas, DSL connections are even less available than are cable modems.

  • ISDN At one point, it seemed as if Integrated Services Digital Network (ISDN) modems were going to be the best way to connect to the Net. However, with the rise of cable and DSL modems, ISDN modems are usually preferable only when those two options are not available. ISDN modems are faster than dial-up modems, but they aren't nearly as fast as cable or DSL. An ISDN account also tends to be more expensive than other options.

Choosing the kind of modem you will use depends on the type of Internet connection you will be using. Most cable, DSL, and ISDN providers offer modems with their service (although you usually have the option to provide your own modem as well).

Installing and configuring these modems is also dependent upon the type of connection you are using.

To learn more about installing and configuring a modem, see Chapter 10, "Connecting Your Mac to the Internet," p. 233.

NOTE

There are other ways to connect to the Internet, such as with a fractional T-1 line. However, if you are going to be connecting your system with technology like this, your provider will usually handle the configuration and installation of the equipment you need.


Part V: Mac OS X: Living in a Networked World

25 Building and Using a Network

26 Sharing an Internet Connection


Chapter 25. Building and Using a Network

In this chapter

Local Area Networking with Mac OS X

Designing a Network

Building a Network

Configuring the Services on a Network

Monitoring and Administering a Network

Troubleshooting

Mac OS X to the Max: Networking Mac OS X with Windows Computers


Local Area Networking with Mac OS X

Wherever there is more than one Mac in the same general physical area, there is an opportunity to network those Macs into a Local Area Network (LAN). A LAN offers many benefits, including the following:

  • Sharing devices, such as printers

  • Sharing files

  • Providing a local Web

  • Sharing an Internet connection

  • Providing FTP, e-mail, and other services

A LAN can be as simple as two Macs (or a Mac and a network device, such as a printer) connected together using an Ethernet crossover cable. A LAN can be as complex as hundreds of computers, dozens of printers, and many other devices. Local networks can also be anything in between, from a small home office with a couple of Macs to a workgroup that has 10 or more workstations in it.

Creating and managing a large Ethernet network (such as one with hundreds of devices on it) is a major task, coverage of which is beyond the scope of this book. This chapter assumes a more modest network that includes several Macs, a Windows PC or two, and a couple of network devices, such as printers. Coincidentally, this is the environment in which Macs are most likely to be used. The principles of managing larger networks are the same, but the details are much more complicated.

Similarly, this chapter focuses on the two networking technologies for which support is built into the Mac OS: Ethernet and AirPort. There are other means of networking machines together, but they are specialized and beyond the scope of this book. For most Mac networks, Ethernet and AirPort are the best tools to create a LAN.

Networking Services Supported by Mac OS X

More than any previous version of the Mac OS, Mac OS X supports a variety in both range and depth of network services. The network services supported by Mac OS X are summarized in Table 25.1.

Table 25.1. Networking Services Provided by Mac OS X
Service/Protocol | Abbreviation | Function
Apple File Protocol | AFP | Enables file sharing on machines running older versions of the Mac OS, such as Mac OS 8 and Mac OS 9.
AppleTalk | AppleTalk | Set of services used to communicate on Macs running older versions of the Mac OS or AppleTalk devices such as printers. AppleTalk continues to be supported under Mac OS X.
Bluetooth | Bluetooth | Enables Macs to communicate with various wireless devices, such as cell phones and PDAs.
Common Internet File System | CIFS | Provides remote file access on many platforms, such as Windows.
Dynamic Host Configuration Protocol | DHCP | Provides automatic assignment of IP addresses to devices on a network.
Bootstrap Protocol | BOOTP
File Transfer Protocol | FTP | Enables fast transfer of files over TCP/IP networks.
Hypertext Transport Protocol | HTTP | Provides transmission and translation of data between a Web server and Web client.
Internet Protocol | IP | Enables communication across a wide variety of devices and services.
Lightweight Directory Access Protocol | LDAP | Service enables users to locate resources,such as files and hardware devices, on anetwork.
Network File Service | NFS | Enables file sharing on Unix-compatible devices, such as Mac OS X computers.
Network Time Protocol | NTP | Synchronizes time across devices on anetwork.
Open Transport | OT | Another set of networking protocols that was introduced under earlier versions of the Mac OS.
Point-to-Point Protocol | PPP | Provides TCP/IP services over dial-up connections (PPP) and over Ethernet connections (PPPoE).
Point-to-Point Protocol over Ethernet | PPPoE
Printer Access Protocol | PAP | Provides services necessary to printto network printers.
Rendezvous | Rendezvous | Enables Rendezvous-compatible devices on a network, such as computers and printers, to discover and configure other Rendezvous compatible devices automatically.
Short Message Block | SMB | Enables Macs to connect to Windows andUnix file servers.
Service Location Protocol | SLP | Enables devices on a network to be discoveredautomatically.
Transmission Control Protocol/Internet Protocol | TCP/IP | Enables transmission of data acrossextended networks, such as the Internet.
User Datagram Protocol/ | UDP/IP | These protocols do not provide services Internet Protocolin themselves, but are the means by which data is transmitted across networks.
Web-based Distributed Authoring and Versioning | WebDAV | Extends http to provide collaboration and file management on remote Web servers.

NOTE

Support for SMB and CIFS makes it possible to integrate Macs onto Windows and Unix networks with no additional software installations. If you have ever been treated as a second-class citizen by a Windows network administrator, this feature alone makes Mac OS X a great thing.

All the services listed in Table 25.1 can be useful, but covering all of them is beyond the scope of this book. In this chapter, you will learn how to implement the two services you are most likely to use: file sharing and FTP. After you have learned to configure these, you can apply similar principles to configure additional services on your network.

To learn how to configure Mac OS X's built-in Web server to implement HTTP services, see "Using Mac OS X to Serve Web Pages," p. 389.

NOTE

The WebDAV standard is a relatively new one that is gaining wide use. It provides a much better environment for file sharing and other services across HTTP networks, primarily the Web. For example, when you use an iDisk under Mac OS X, you are using the WebDAV standard. This enables you to remain connected to the iDisk for long periods of time without being disconnected when there are idle periods.

Implementing a Network

To implement a network, you should do the following:

  1. Design your network.

  2. Build your network.

  3. Configure the services that will be available on the network.

  4. Monitor and administer your network.


Designing a Network

Before you implement a network, you need to design the network you want to create. As a starting point, answer the following questions:

  • What kind of services do you want to provide over the network? Will you provide file serving? Do you want to share an Internet connection? How about FTP or Web services? The answers to these questions will drive the rest of your network design. For example, if you plan on sharing an Internet connection, you will most likely want to include a hub that can act as a DHCP server.

  • How many devices do you want to be on the network? The devices for which you plan must include all of the workstations on the network as well as shared devices, such as printers, modems, and so on. The answer to this question determines how many access points into the network you will need to provide.

  • How will you connect the devices together? For example, will you use Ethernet for all devices or will you include an AirPort hub (hardware or software Base Station) in the network? The answers to these questions determine the connecting devices you will need to use, such as Ethernet hubs, AirPort Base Stations, and so on.

  • Who will need access to the services you are providing? How will they connect to the network? The answers to these questions help you identify the users on your network.

  • What are the security implications of the services you are providing on the network? This question should drive you to make sure that you protect machines that will have access to the network. For example, you need to be very careful about providing FTP access to machines on which sensitive or critical data is stored. There are security concerns with any network service you provide; you should understand these when you design your network so that you will know how to provide proper security for it.

To learn how to use a network to share an Internet connection, see Chapter 26, "Sharing an Internet Connection," p. 755.

To learn how to protect your network from attack, see "Defending Your Mac from Net Attacks," p. 800.

As you answer the previous questions, you should be ready to design your network. You should document your network design with at least a simple sketch of the network, the list of the devices you need to include on the network, and so on. Also, include the services you will be providing from specific machines on the network. An example of a design for a small office network is shown in Figure 25.1.

Figure 25.1. A simple network design document, such as this one for a small office network, can aid network design, implementation, and maintenance.

TIP

Having your network design documented will enable you to expand it more easily when you outgrow it. It is much simpler to determine what needs to be done to expand a network when you see it on paper than it is by looking at it in the "real world." (Besides, unless all the machines are in the same room, you probably won't be able to see them all at the same time anyway.)


Building a Network

After your network design is complete, you can start building that network.

Obtain the devices and cables you need and assemble the network.

Your network design document will identify the devices you need on the network. For example, you can determine the type of Ethernet hub you need by counting the number of devices you are connecting to it and whether it must provide services to the network, such as DHCP server, so that you can share a single Internet account among the devices. You also need to determine the types and length of cable you will need to attach the devices to the network, how the cables will be routed, and so on.

To learn more about Ethernet hubs, see "Finding and Installing an Ethernet Hub," p. 710.

After you have obtained the devices that will be installed on the network, you need to connect and configure those devices to access the network.

Connecting the devices to the network is simply a matter of attaching an Ethernet cable to the Ethernet hub and to each device; of course, depending on the physical locations of the devices on the network, this can be quite a challenge, especially if you have to traverse long distances or connect machines located on different floors. If you are using AirPort on your network, you need to install AirPort cards in machines using AirPort services.

Configuring the devices attached to the network includes configuring the Internet access and firewall (if needed) for each machine, configuring an AirPort Base Station, and so on.

To learn how to configure Mac OS X machines for Internet access, see Chapter 10, "Connecting Your Mac to the Internet," p. 233.

To learn how to install and configure an AirPort network, see Chapter 11, "Using an AirPort Network to Connect to the Internet," p. 265.

To learn how to share an Internet connection among the devices on the network, see Chapter 26, "Sharing an Internet Connection," p. 755.

To learn how to protect machines on your network from Internet attacks, see "Defending Your Mac Against Net Hackers," p. 803.

NOTE

When you create a LAN, you are actually creating an intranet. You can provide most services on an intranet that are available on the Internet. The only difference is that you can control what happens on the intranet much more closely than you can anything on the Internet.

As you install a device, test its basic access to the network by accessing various resources on the network, such as networked printers and Internet access if that is provided through the network. This step will confirm that the physical aspects of the network are working properly and that the basic network configuration for Internet access is done properly.

After you have confirmed that the devices are correctly attached to and configured for the network, you need to configure the particular services that each machine will use and the access that others on the network will have to those services; examples of such configuration are provided in the next section.

NOTE

Tutorials on creating and managing Ethernet networks is located at www.lantronix.com/learning/index.html.


Configuring the Services on a Network

As you learned in Table 25.1, Mac OS X supports a large number of network services. To access these services, you must configure each machine that will be using them. This configuration involves configuring the particular machine that will be providing those services (the server), and then enabling access to those services on various machines on the network that will be accessing those services (the clients).

Explaining how to configure each of the services that are possible is beyond the scope of this book. However, learning about some examples of services you are likely to use will enable you to configure the others.

Some services of which you will want to take advantage on most networks are the following:

  • File sharing

  • FTP server

  • Windows file sharing

  • Printer sharing

  • Web server

To learn how to share files with Windows computers, see "Mac OS X to the Max: Networking Mac OS X with Windows Computers," p. 752.

To learn how to share the printers attached from a Mac OS X machine, see "Sharing a Printer," p. 677.

To learn how to host Web sites from a Mac OS X machine, see "Using Mac OS X to Serve Web Pages," p. 389.

Configuring and Using File Sharing

The Mac OS has long provided peer-to-peer file-sharing capabilities to enable Macintosh computers on a network to share files. Support for such file sharing continues under Mac OS X, but be aware that the improved security features of Mac OS X make configuring and accessing files on a specific machine a bit more complicated than it was on previous versions of the Mac OS.

Under Mac OS X, file sharing is improved because in addition to Mac OS X machines, you can also share files with Macs running OS 9 and earlier, Windows file servers, and Unix file servers. For other Macs, you can use AppleTalk for file sharing or you can use TCP/IP. For Windows and Unix, you can use SMB and CIFS services.

When connecting to other Macs for file sharing, the machines communicate through either TCP/IP or AppleTalk. To log in to a Mac OS X file-sharing machine serving files via TCP/IP, that machine must have an IP address. Typically, this IP address is assigned as part of connecting that machine to the Internet. When a machine has a static, or fixed, IP address, this isn't a big deal.

Mac OS X includes support for Rendezvous. This technology enables devices to seek out other Rendezvous-compatible devices on a network and configure access to those devices automatically. All Macs that have Mac OS X version 10.2 or later are Rendezvous aware and so can take advantage of this technology to connect to other Macs easily and quickly. However, other devices, such as printers, can also support Rendezvous so that those devices can be configured automatically as well.

AppleTalk is the Mac's original network protocol, and it continues to be part of Mac OS X. When you are connecting to Macs running OS version 8.6 or earlier, you will have to use AppleTalk as support for file sharing over TCP/IP, which was added in Mac OS 9.0.

In the next chapter, you will learn how to share an Internet account using a DHCP server. Such a server assigns IP addresses to the machines connected to it. The "D" stands for dynamic, meaning that these addresses can change. This can make locating a specific machine by its IP address tough. Fortunately, with most DHCP servers, you can choose to manually assign IP addresses to the devices attached to it. When you do this, machines will have the same IP address even though they are using a DHCP server to obtain that address.

With Rendezvous, you won't need to worry about the IP addresses of individual machines because your Mac will seek out the devices that are communicating on a network and configure access to those devices automatically.

To identify the current IP address of a Mac OS machine, open the Sharing pane of the System Preferences utility. The current IP address is shown next to the Network Address text. To identify the current IP address of a Mac OS 9 machine, open the File Sharing control panel.

TIP

If your purpose in file sharing is one-way—for example, enabling others to download files from a specific machine, but not to upload files—consider using FTP services on a machine rather than file sharing. You will learn how to provide FTP services in a later section of this chapter. You can also use Web sharing to enable people to download files from a Mac OS X machine.

Configuring File Sharing

To share files from a Mac OS X machine, you must enable the Personal File Sharing service on that machine. This includes turning on the service, turning on AppleTalk (if you will be sharing files with Mac OS 9 machines), naming the machine, and so on.

NOTE

The following steps assume that the Mac has access to the network (via Ethernet or AirPort) and that the default privileges are in place on the file-sharing machine. You can change the default privileges for items to share to make them more available. You will learn how to do that in a later section.

  1. Open the System Preferences utility.

  2. Click the Sharing icon to open the Sharing pane (see Figure 25.2). At the top of the pane, you will see the computer's name, its Rendezvous name, and the current network address (its IP address).

    Figure 25.2. You enable the network services a Mac provides by using the controls on the Services tab of the Sharing pane.

    The Sharing pane has three tabs. The Services tab is used to view and configure the services that the machine will be providing. You use the Firewall tab to enable and configure the machine's firewall. You use the Internet tab to enable a machine to share its Internet connection with other machines.

    To learn how to configure a Mac's firewall, see "Defending Your Mac Against Net Hackers," p. 803.

    To learn how to share an Internet connection among the devices on the network, see Chapter 26, "Sharing an Internet Connection," p. 755.

  3. Provide the computer's standard name by entering a name in the Computer Name text box; use a name that will help others on the network easily identify the machine. The default computer name will be the user's name entered when the machine was registered, with an apostrophe, an "s," and the word "Computer" tacked onto it (see Figure 25.2). You can use the default computer name or change it to one you prefer.

  4. Give the computer a Rendezvous name if you want it to have a unique name for machines that will access it using Rendezvous. By default, this name is the same as the computer name except that spaces are converted to hyphens and any special characters, such as the apostrophe, are removed. When you provide the Rendezvous name of the machine, make sure that you don't use spaces or special characters, and limit the name to letters, numbers, and hyphens. Fortunately, your Mac won't let you enter any characters that are not allowed.

  5. Select the service you want to activate on the machine, such as Personal File Sharing.

  6. Click the Start button to turn on the selected service. If you have selected Personal File Sharing, that service will be activated; after a moment or two its status will become On and you will see the afp address of the machine at the bottom of the window. When you enable other services, information related to that service will be shown in the window instead. When the service is running, the Start button becomes the Stop button.

  7. If you want to share files with Windows PCs (to enable Windows machines to access files stored on the Mac), select Windows File Sharing and click the Start button. The address that Windows machines can use to access the Mac is shown at the bottom of the pane.

    If you will be sharing files with Macs running a version of the Mac OS older than Mac OS X and those machines don't allow file sharing over TCP/IP, you need to make AppleTalk active on the Mac OS X machine. If the machines to which you will be providing file-sharing services do allow file sharing over TCP/IP, you don't need AppleTalk and can skip to Step 13.

    CAUTION

    If you don't need to use AppleTalk to use file sharing, leave it off. AppleTalk can sometimes interfere with other network services, such as TCP/IP services to the Internet. AppleTalk can also make your machine visible to a local or wide area AppleTalk network.

  8. Click the Edit button at the top of the pane to open the Network pane of the System Preferences utility.

  9. Choose the network port over which AppleTalk access will be provided on the Show menu. For example, choose Ethernet to enable machines to use the AppleTalk protocol over Ethernet. Choose AirPort to provide AppleTalk over an AirPort network.

    NOTE

    You can provide AppleTalk over a single network port at a time. For example, you can provide AppleTalk over Ethernet or over AirPort, but not both at the same time.

  10. Click the AppleTalk tab and check the "Make AppleTalk Active" check box. The computer name you entered in the Sharing pane will be shown at the top of the tab.

  11. If you have AppleTalk zones on your network, choose the zone from the AppleTalk Zone pop-up menu. You can configure AppleTalk zones using the Configure pop-up menu (choose Manually if you want to configure the network manually or Automatically to have your Mac configure it automatically).

  12. Click Apply Now.

  13. Review the services you have configured on the Sharing pane (see Figure 25.3).

    Figure 25.3. This Mac is providing file sharing services to Macs and Windows PCs and it is also sharing the printers connected to it.

  14. Close the System Preferences utility.

Firewalls and Network Services

If you have a firewall installed on the machine you are configuring as a file server, you must configure that firewall such that it allows the type of access needed for others to be able to access it from the network. For example, to enable the machine to provide AFP services, you must configure the firewall to allow machines from the network to connect to the file server. With some firewalls, you can allow access to specific services, such as AFP, only from specific IP addresses. All other requests for services will be denied.

If you use the Mac OS X built-in firewall that you can enable on the Firewall tab, the services you enable on the Services tab are allowed automatically. If you use another type of firewall or configure the built-in firewall using another method (such as the Brickhouse application), you must enable access to the services you are providing through that firewall.

Similarly, if some machines on your network are connected through AirPort, you won't be able to access those machines from machines that are connected outside of the AirPort network, such as via Ethernet. Because an AirPort Base Station provides NAT protection of the machines that it connects, machines outside the AirPort network can't see any of the machines on the AirPort network.

However, if you have configured the AirPort Base Station to provide Ethernet bridging, AirPort machines will be able to communicate with other devices on the network just as if they were connected to the network directly.

Always be aware of the security settings of the networks you are configuring and using. Sometimes, you can waste a lot of time troubleshooting a network problem that is actually a case of things working just as planned (such as when you try to figure out why no one can connect to a machine that is protected by a firewall that isn't configured to allow those services to be accessed on the machine).

Accessing Shared Files from a Mac OS X Computer

To access shared files stored on a Mac OS X file server from a Mac OS X machine, do the following:

  1. Switch to the Finder.

  2. Choose Go, Connect to Server (press [image] +K). The Connect to Server dialog box will appear. The Mac will begin searching the network to locate the devices it can communicate with. In the left pane of the window, you see the devices currently recognized by the machine, such as machines providing file services to the network (see Figure 25.4).

    Figure 25.4. The Connect to Server dialog box enables you to access file servers on your network; in this case, three machines were found on the network.

    In the list of devices that are found on the network, the machine you are currently using will be found, assuming that you have enabled it to provide services to the network. If you attempt to connect to the same machine you are using, you will get an error dialog box explaining that you are connected to the machine already and that you should access its files locally.

    If a machine can communicate via Rendezvous, you will see both its computer name and its Rendezvous name in the window. If you select the Rendezvous name, you will see the machine's address in the Address bar.

    NOTE

    You can collapse or expand the Connect to Server dialog box using the Expansion arrow located next to the At pop-up menu. If you expand the window, you will see all the networks available to you. If you collapse the window, you will see only the currently selected device.

  3. Select the machine to which you want to connect. The name of the server will appear in the At pop-up menu, and you will see an icon representing the type of file server it is (see Figure 25.5). If the machine is not part of the local network, its URL will be shown under its icon as well as in the Address field.

    Figure 25.5. The server called Brad Miser's Main Mac has been selected and can be connected to.

    TIP

    When you access a server using the Apple File Protocol, Mac OS X automatically adds afp:// before the IP address; this URL indicates that it points to a server providing AFP services, which are those that provide file sharing.

    If the machine you want to access isn't found, you can type the address of the machine in the Address field. You need to use the URL for the specific service you want to access. For example, to access Mac OS X file sharing the URL will start with afp, for FTP services it will start with ftp, and so on.

  4. Click Connect. You will see the Connect to the File Server dialog box (see Figure 25.6).

    Figure 25.6. Using this dialog box, you can log in to a file server.

  5. If you have a username and password on that file server, enter them and click Connect. For example, if you have a user account on the machine, use your username and password for that account. If you don't have a username and password, click the "Guest" radio button and click Connect. You will see a dialog box enabling you to choose the volumes you want to mount.

    TIP

    Logging in as a Guest provides the same access to the Public folders on the machine as logging in under an account that is not an Administrator. Because logging in as a guest does not require a username or password, it is quicker to log in as a guest. However, if you want to access any resources other than those in Public folders, you will need to log in under a valid user account.

    The share volumes you see when you log on to a Mac OS X machine depend on the type of user account you use to log in to the machine. If you log in through an account that is not an Administrator, you will see a volume for your Home directory. You will also see a volume for each user account on the machine you are accessing; the name of each volume is the short name of the respective user account on that machine. This volume is that user's Public folder. If you log on with an Administrator account, you will see all the volumes on that machine (which is what you will see when you use Mac OS 9 file sharing).

  6. Choose the volume you want to mount—hold down the Shift key to choose multiple volumes—and click OK. A Finder window will open and will display the contents of the volumes you selected (see Figure 25.7).

    Figure 25.7. The volumes Classic, bmiser, and Mac OS 9 Clean are shared volumes on the network.

  7. Open the volume you want to access. If you logged in as a guest, you will see the contents of the Public folder for other user accounts. You can view or copy files and folders within the other user's Public folder, but you can't change their contents; except for the Drop Box folder into which you can place, but not view, files or folders (only someone logged in to that user account can see its contents). If you log in under a user account, you can work with the volumes as if you had physically logged in to that machine directly.

The volumes you selected will be mounted on your machine (see Figure 25.8). Network volumes have the network server icon, which is a disk icon with a globe on it. You can work with the files contained on mounted servers just like volumes that are physically connected to your Mac. For example, you can open the files on the file server, copy files to your machine, or move files from your computer onto the file server.

Figure 25.8. The volume called data_disk_1 is on a machine providing file sharing services.

If you have your preferences set such that mounted volumes appear on your desktop, you will see the shared volumes there as well.

TIP

To unmount a shared volume, select it in a Finder window and choose File, Eject ( [image] +E).

Following are some additional tips about using a Mac OS X machine to access file-sharing services.

  • When you sign on to a Mac OS X file-sharing machine as a registered user, meaning that you have a username and password, the Options button in the Connect to Server dialog box will be enabled. If you click this button, you can set some preferences related to your accessing the file-sharing services on this machine. You can add the password for the file server to your keychain, allow clear text password (on by default), receive a warning when sending a password in cleartext (also on by default), or allow secure connections using the SSH protocol. When you change these settings, click Save Preferences to save them. You can also change your password (if your user account allows this) by clicking the Change Password button.

  • When you are logged in to a file-sharing machine, you can quickly choose other volumes to mount by opening the Connect to Server dialog box (press [image] +K), choosing the file server on which you are logged in, and pressing Return. You will jump to the Select Volume dialog box (because you are already logged in) and you can choose another volume to mount on your machine.

  • To log back in to the same file-sharing machine under a different user account, such as an Administrator account, you must unmount any shared volumes on that machine and repeat the initial login process.

  • At the top of the Connect to Server dialog box, you will see a pop-up menu that shows the most recent server you accessed. If you open this menu, you will see two sections: Favorite Servers and Recent Servers. The Favorite Servers area lists those servers you have made favorites; you can quickly return to a favorite server by choosing it on the pop-up menu. In the Recent Server area, you will see those servers you have most recently accessed; again, you can choose a server from this list to return to it.

    You can add a server to your favorites list by choosing it in the Connect to Server dialog box and clicking the Add to Favorites button. The Add to Favorites button becomes active when the server address is shown in the Address field.

    Favorite servers also appear as individual IP addresses in the available servers pane of the Connect to dialog box.

  • If you click the Expansion triangle next to the At pop-up menu at the top of the Connect to Server dialog box, you can collapse or expand the dialog box. In the expanded mode, you will see the local network icon and the servers that are found on it. In the collapsed mode, you don't see the center pane and see only the pop-up menu, Address field, and the buttons at the bottom of the dialog box.

If you are unable to access the file server, see "I Can't See the File Server Using the Connect to Server Command" in the Troubleshooting section at the end of this chapter.

Using File Sharing with Mac OS 9 Computers

You can use file sharing with Mac OS 9 computers just as you can with Mac OS X machines.

The access you have to a Mac OS 9 machine from a Mac OS X machine will be determined by the file-sharing settings of the Mac OS 9 machine.

NOTE

Explaining setting up file sharing on a Mac OS 9 machine is beyond the scope of this chapter. For help, see my book The Mac OS 9 Guide.

When you enable access to a Mac OS X file-sharing machine from a Mac OS 9 machine, the user of the Mac OS 9 machine will have the same options as someone who signs on to the file-sharing computer using a Mac OS X machine. For example, if they sign on under a non-Administrator account, they will be able to mount any of the Public folders on the file-serving machine. If they log in under an Administrator account, they will be able to access any volumes on that machine.

If you have trouble using file sharing from a Mac OS 9 machine, see "My Mac OS 9 Machine Can't Share Files" in the Troubleshooting section at the end of this chapter.

NOTE

Remember that the Macs running older versions of the Mac OS must be configured to allow file sharing via TCP/IP or you must turn AppleTalk on for the Mac OS X file server.

Configuring and Using FTP Services

Among its other network services, Mac OS X also includes a built-in File Transfer Protocol (FTP) server. Using an FTP server can be an even more convenient way to enable others to access files stored on a particular machine. Other people can use a standard Web browser or FTP application to download files via the FTP services that you enable on a machine.

CAUTION

Granting FTP access to a machine has security implications that are beyond what I have room to cover in this chapter. If you intend to use the FTP services on a machine that has sensitive data on it, you should investigate the implications of running FTP services on a Mac under Mac OS X that has data on it that you need to protect.

It is sometimes possible to move outside of the particular Home directory for the account under which you log on to the FTP site, so be very careful about granting FTP access to a machine unless you are very sure about the person who will be using it.

Configuring FTP services under Mac OS X is very similar to providing file sharing services.

  1. Open the Services tab of the Sharing pane of the System Preferences utility.

    NOTE

    You can configure the name and other information in the Sharing pane for FTP just as you do for file sharing services. See the preceding section for details on doing so.

  2. Select the FTP Access service.

  3. Click Start. FTP services will start up and you will see the FTP address for the machine at the bottom of the pane.

  4. Quit the System Preferences utility.

If you use the Mac OS X built-in firewall on the machine on which you are enabling FTP services, you must do a bit more configuration to allow FTP access across the firewall.

  1. Open the Network pane of the System Preferences utility.

  2. Choose the port through which the FTP machine is connected to the network on the Show pop-up menu.

  3. Click the Proxies tab.

  4. Check the "Use Passive FTP mode (PASV)" check box.

To access the FTP server, use a Web browser or an FTP client and use the URL ftp://ip_address/ where ip_address is the IP address of the machine providing FTP services. You will be prompted to enter the username and password; enter the short name and the password for the user account whose Home directory you want to access. That directory will appear and you can use it just as other FTP sites you have used (see Figure 25.9). You can browse the various directories you see and download the files you want. If you attempt to access a directory to which you don't have the required access privileges, your request will be denied.

Figure 25.9. This FTP site is being served by a standard Mac OS X machine and is being accessed by Internet Explorer; you can browse the various directories it contains and download files from them.

NOTE

Remember that you can see the FTP address of a machine at the bottom of the Sharing pane of the System Preferences utility.

If you use a non-Administrator account to log in to the FTP server, you will have access to the entire Home directory for that user account. If you log in under an Administrator account, you will have wider access to files on the machine.

If you can't access the FTP site on a machine, see "I Can't See the FTP Site" in the Troubleshooting section at the end of this chapter.

If you are initially able to enter the FTP site, but then it stops working, see "FTP Access Was Working but Now It Isn't" in the Troubleshooting section at the end of this chapter.

Configuring and Accessing Network Services Via AirPort

You can use an AirPort Base Station to provide services to a wired network as well as to those machines that connect over an Ethernet network. You do this by enabling AirPort to Ethernet bridging. To use this, you need to have the AirPort Base Station connected to the Ethernet network to which you want to provide a bridge. When the Base Station acts as an Ethernet bridge, computers that are connected via AirPort will be able to access network resources connected via Ethernet just as they could if they were physically connected to the network. For example, AirPort machines can print to networked printers, share files, and so on.

To enable bridging for a Base Station, perform the following steps:

  1. Open the AirPort Admin Utility application (Applications/Utilities). The application will search for available base stations.

  2. Choose the Base Station you want to configure.

  3. Click the Configure button. If you need to enter a password, enter it and click OK. If the base station's password is part of your keychain, you won't need to enter it, but you might need to grant permission for the keychain item to be used.

  4. Click the Network tab.

  5. Check the "Enable AirPort to Ethernet bridging" check box.

  6. Click the Update button. The new settings will be transferred to the Base Station.

After you have enabled bridging, AirPort machines can access services on the Ethernet network just as if they were physically connected to the network.


Monitoring and Administering a Network

In addition to the tools you need to configure and start various network services, such as file sharing or FTP, Mac OS X includes tools you can use to monitor and administer your network. Two of these are the Network Utility, which enables you to diagnose your network connections, and NetInfo Manager, which provides comprehensive control over many aspects of a Mac OS X machine.

Using the Network Utility to Assess Your Network

The Network Utility provides a set of tools you can use to assess the condition of communication across machines on your network as well as a set of tools to enable you to get information about various sites on your network and on the Internet.

When you launch Network Utility (Applications/Utilities), you will see a window with eight tabs, one for each service that the application provides (see Figure 25.10).

Figure 25.10. Ping is a useful way to test your connection to another machine (in this case, I pinged www.apple.com).

Table 25.2. Tabs in the Network Utility Application
Tab | Function
Info | Provides information about the selected network interface.
Netstat | Presents various statistics about the performance of the different network protocols.
Ping | Contacts a specific server to assess network performance.
Lookup | Provides various information about a specific Internet address.
Traceroute | Traces a specific route between machines and provides statistics about that route, such as the maximum number of hops needed.
Whois | Enables you to look up information about a domain or IP address such as whom it is registered to.
Finger | Reports information about a specific individual based on the person's e-mail address.
Port Scan | Enables you to scan for open access ports on a specific domain or IP address.

Covering each of these services in detail is beyond the scope of this chapter, but the next couple of examples should be helpful in getting you started.

Checking Network Connections with Ping

Troubleshooting network problems can be difficult because it can be hard to identify where the source of the problem is; for example, with the machine you are using, with the machine you are accessing, with an application, and so on. Ping is a way to check on the fundamental communication between two machines. If the ping is successful, you know that there is a valid communication path between two machines. If it isn't, you know that there is a fundamental problem with the communication between the machines, and this helps you know where to troubleshoot.

To ping a machine, perform the following steps:

  1. Open the Network Utility and click the Ping tab.

  2. Enter the IP address or URL for the machine you want to ping.

  3. Click Ping.

Watch the results in the lower part of the window. You will see your machine attempt to communicate with the machine whose address you entered. If they are able to successfully communicate, you will see statistics about how fast the pings are taking (see Figure 25.10). If the ping is successful, you know that the communication path between the machines is valid. If not, you know that you have a fundamental connection problem.

Tracing a Route with Traceroute

Sometimes looking at the specific route between two machines can help you identify the source of problems you might be having.

  1. Open the Network Utility and click the Traceroute tab.

  2. Enter the domain name or IP address to which you want to trace a route, and click Trace. The window will be filled with information that shows you each step of the path from your machine to the one whose information you entered (see Figure 25.11).

    Figure 25.11. This Traceroute window shows the path from my machine to www.apple.com.

Understanding and Setting Permissions

Access to items on your Mac OS X machine, whether from the machine directly or over a network, is determined by the access privileges that are set for those items. There are three levels of access privilege that can be set for any item; these are the following:

  • Owner

  • Group

  • Others

The owner is the owner of the item.

The group is a set of users. By default, Mac OS X includes a number of groups for which various permissions are assigned to different volumes and directories. Many of these default groups will look odd, and some are even nonexistent (you will see Members of group "").

Others includes those users who are neither the owner nor members of a group.

For each level of access, there are four access options:

  • Read & Write This is the broadest level of access and lets the user to whom it is assigned read and write to the item to which it is assigned.

  • Read only This privilege lets a user see items in a directory, but not change them.

  • Write only (Drop Box) With this privilege, a user can place items into a directory, but can't see the contents of that directory.

  • No Access The user can't do anything with the item.

If you open the Info window for an item and expand the Ownership & Privileges area, you will see the current access privileges for the item for the owner, group, and others. For example, Figure 25.12 shows the Privileges information for the volume on which Mac OS X is installed, whereas Figure 25.13 shows similar information for a folder within the logged-in user's Home directory.

Figure 25.12. This Info window for the startup Mac OS X volume shows that only the owner and group can modify it.

Figure 25.13. This Info window is for the Documents folder within a user's Home directory; its pop-up menus are active and you can use them to set access privileges for the item.

There are several things you need to know about the Privileges information shown in the Info window.

First, unless you are logged in under the root account, you can't use the pop-up menus to change the Privileges assigned to items on the Mac OS X startup volume above a particular user's Home directory—this even includes when you are logged in under the Administrator account. However, when you open the Privileges pane of the Info window for an item on another volume or within a user's Home directory, the pop-up menus become active and you can use them to change the privileges for the item.

Second, the groups you see in the Info window are default groups created when you installed Mac OS X. The user accounts that are members of these groups can access the item with the group's privileges. You can't change the members of those groups from the Finder; you have to use the NetInfo Manager application, as you will see in the next section.

NOTE

Under previous versions of the Mac OS, you configured groups using the File Sharing control panel and the Sharing pane of the Info window. Accomplishing the same tasks under Mac OS X is a bit more complicated.

To be able to configure access privileges for most items, you will need to be logged in as an Administrator or you have to authenticate yourself in the Info window. To do so, click the Lock icon and enter an Administrator username and password.

To set the access privileges for all items, perform the following steps:

  1. Log in under the account that is the owner for the items for which you want to change access privileges. For example, to change the access privileges for the items in a user's Home directory, log in under that user account. (Remember that you can see the owner for any item by opening the Privileges pane of the Info window for that item.)

    NOTE

    The owner for most items you will see is the original Administrator account. The owner of items with the user directories is the user account for that directory. The owner of system items is "system," which is actually the root account.

    To learn how to log in under the root account, see "Logging In As Root," p. 206.

  2. Select the item for which you want to set permissions and press [image] +I.

  3. Expand the Ownership & Permissions section in the Info window.

    Use the access privilege pop-up menus to set the access privileges for each type of user. Different pop-up menus are active depending on the specific item for which you are setting access permissions and the user account you are using. If you aren't in a position to change an aspect of the permissions, the pop-up menus for that aspect will be disabled.

  4. If the Owner pop-up menu is active, use it to set the owner of the item. When you open this menu, you will see each user account on the machine plus a bunch of other user accounts you probably have not seen before. The only ones you need to concern yourself with are system, which is the root account, or nobody, which makes no account the owner of an item. The current user account is indicated by the text "(Me)" next to the user account name.

  5. Use the Owner Access pop-up menu to configure the access that the owner has to that item. Typically, the owner of an item is granted Read & Write access, which is the broadest access possible.

  6. Open the Group pop-up menu and assign a group to the item. As with the Owner pop-up menu, you will see all sorts of odd-looking groups on the Group pop-up menu. The staff group is selected for many items by default—you will be a member of this group. The other groups you see have been created by default or by using the NetInfo Manager application. You can determine the members of the groups by using this application as well.

  7. Use the Group Access pop-up menu to configure the access that members of the group will have to the item. Usually, you will allow Read access for a group.

  8. Use the Others pop-up menu to set the access that everyone else (everyone who is not the assigned owner or a member of the assigned group) has. Typically, you will allow either None or Write only (Drop Box) to others.

  9. If you want the same privileges to apply to every item contained in the item you selected, click the button labeled Apply to enclosed items. The same set of permissions will be applied to every item contained in the current item.

  10. Continue setting privileges for other items as needed.

Under Mac OS X, version 10.2, you can open multiple Info windows at the same time. This is a handy way to compare and contrast the permissions provided for different items.

Using NetInfo Manager to Administer Your Network

The NetInfo Manager application (Applications/Utilities) can be used to view and change an extensive amount of configuration information for a system. The application presents information based on a selected directory; by default, this is the information for the localhost directory, which is the machine on which Mac OS X is installed.

CAUTION

Using the NetInfo Manager application is not for the faint of heart. The information it presents and the controls that it provides are quite complicated and can also be quite dangerous to your system. This section can only scratch the surface of this application, and you should be a bit careful if you explore the application on your own.

When you open the application, click the Lock icon and enter your Administrator account information to enable changes to be made. You will see a two-paned window with some tools across its top (see Figure 25.14).

Figure 25.14. This NetInfo Manager window shows information for the base level of the localhost machine.

Networks and Complexity

As you explore networking, you might find yourself thinking that Mac OS X is much more complicated and less intuitive to set up and manage than were previous versions. If you have these thoughts, I agree with you. Although under Mac OS 9, it is quite simple to set up users and groups and apply permissions to specific items to enable file sharing for anyone on the network, the same tasks aren't so easy under Mac OS X. And under previous versions of the OS, you never had to deal with anything approaching the complexity of the NetInfo Manager application.

This complexity is part of the price paid for the additional capabilities and security of Mac OS X when compared to previous versions of the OS. Mac OS X is based on Unix, and the complexity of Unix comes to the forefront more in some specific areas of the OS than in others. And networking is a prime example of where Unix really moves to the foreground. Fortunately, as you have seen, it is relatively simple to use the default configuration to provide basic services, such as file sharing, Web sites, and so on. It is only when you are doing more complex tasks, such as changing the composition of the default user groups, that you have to get face-to-face with Unix.

In the upper pane, you see a browse window that works similarly to a Finder window in the Columns view. In the center column, you can browse the contents of an item selected in the left column. Similarly, in the far-right column, you can browse the contents of an item selected in the center column.

In the lower pane, you see the details for the item you have selected in the upper pane. The specific details you see are related to what you have selected in the upper pane. For example, in Figure 25.15, you see the details for the user account mmiser—selected in the upper pane—in the lower pane of the window.

Figure 25.15. You can use the NetInfo Manager to view and change information about the items you select.

When you have selected an item, you can change its information by editing the property and value data in the lower pane of the window.

NetInfo Manager is an extremely powerful utility, and you can administer many parts of your system with it. Because of space limitations, I can't cover it in much detail. However, a sample task will show you how it works in general.

You can change the members of a group through which access privileges are assigned by changing the members in that group. For example, you can add members to the group admin to change which user accounts have Administrator privileges on your machine.

  1. Open the NetInfo Manager application (Applications/Utilities).

  2. Authenticate yourself as an Administrator by clicking the Lock icon and entering an Administrator username and password.

  3. In the center column of the window, click groups and then select admin in the right column. In the lower pane, you will see the various properties and their corresponding values.

  4. Click the Expansion triangle next to the users property to expand it (see Figure 25.16). You will see each member listed on a separate line. If you have created only one Administrator account, you will see that account and the root account in the list.

    Figure 25.16. Expanding the users property by clicking its Expansion triangle will reveal the members of the admin group (in this case, root and bmiser).

  5. Choose Directory, New Value. A new line will be added to the users property; the value will be "new_value."

  6. With the new value highlighted, change it to the short name of the user account that you want to make a member of the admin group; then press Return.

  7. Repeat the steps to add other members to the admin group.

  8. Quit the application; in the Quit dialog box, click Review Unsaved and then click Save in the Warning dialog box.

  9. In the next dialog box, click the Update this copy button.

TIP

If the changes you make don't appear to be reflected, restart Mac OS X. This will force the new values to be implemented.

NOTE

You can make copies of directories so that you can make changes to one and use it without writing over the previous version. This gives you a way to recover in case you mess something up.

The users you added to the admin group will have the privileges for this group. If you open the Accounts pane of the System Preferences utility, you will see that the user account you added to the admin group is now designated as an Administrator account.

You can change the members of other groups you encounter in the same way.

NOTE

Of course, it would be a lot faster to use the Accounts pane of the System Preferences utility to edit a user account to make it part of the admin group, but this example serves to show you generally how the NetInfo Manager application works. To change the members of other groups, you have to use the NetInfo Manager application, and you can do so using the same steps as those to change the members of the admin group.

Using iChat to Communicate with Others on Your Network

Version 10.2 of Mac OS X introduced the iChat application. This application is designed to enable you to use instant messaging to communicate with other people, such as those who use AOL Instant Messenger. Because of space limitations, I don't cover using iChat for instant messaging in this book. However, iChat can be used to quickly communicate with users on your network who use Rendezvous-enabled computers. This capability can come in very handy.

To use iChat for instant messaging even over the Internet, a user must have a .Mac or AOL account. However, a user does not need one of these accounts to communicate via Rendezvous.

First, configure iChat to communicate via Rendezvous:

  1. Open the iChat application (use the icon on the Dock or open the Applications folder). You will be prompted to enter your user information, such as your .Mac account information. This enables you to use iChat instant messaging.

  2. Enter your .Mac information. If you don't have a .Mac account, just enter your first and last name. You will be prompted to turn on Rendezvous messaging.

  3. Click Yes to enable it. You will move to the iChat application and will see two windows. The Rendezvous window enables you to communicate over the network, and the Buddy List window enables you to communicate over the Internet using instant messaging. In the Rendezvous window, you will see the users who are currently available for messages (see Figure 25.17).

    Figure 25.17. This window shows that one person is available for chatting over Rendezvous.

To send a message to a user on your network, carry out the following steps:

  1. In the Rendezvous window, double-click the person with whom you want to communicate. The Instant message window will appear.

  2. Enter your message in the message line. The message will appear on the recipient's computer.

The person with whom you communicate can reply to your message. If the recipient does reply, you will see the reply in the window with the person's name as its title (see Figure 25.18).

Figure 25.18. Replies you receive to your messages appear in threads in the person's window.

If people on your network don't show up in the Rendezvous window, see "I Can't Communicate with Others on My Network" in the Troubleshooting section at the end of this chapter.


Troubleshooting

I Can't See the File Server Using the Connect to Server Command

I have configured file sharing on a machine on the network, but am unable to access it using the Connect to Server command.

There can be many causes of this problem. The information in the following paragraphs should help you to identify the source of the problem and solve it.

First, make sure that the file server can access the network. If Internet access is provided over the LAN, attempt to access Internet resources from the file server. If there is a printer or other network device, attempt to use that device from the file server. If that is successful, you know that the problem lies with the configuration of the machine. If you can't access any network resources from the file server, there is a problem with the network connections for the file server. Check all the cabling to make sure that the machine is properly connected to the network.

Second, make sure that File Sharing is turned on.

Third, make sure that the file server's firewall is not blocking access to the service you are attempting to use. Mac OS X includes a built-in firewall you can use to protect your machine from attack. This firewall can block the very services you are attempting to access. If this is true, the machine won't be visible to the network.

To learn how to configure the firewall built into Mac OS X, see "Defending Your Mac from Net Hackers," p. 803.

My Mac OS 9 Machine Can't Share Files

When I try to access a Mac OS X file server from a Mac OS 9 machine, I can't see it in the Chooser.

Make sure that the Mac OS 9 machine can access the network. Use the Chooser to select a network printer or other device. If that works, you know the problem lies with the configuration of the machine. If it doesn't, you have a networking problem. Check the cables and hubs to make sure everything is connected properly.

On the Mac OS 9 machine, turn AppleTalk off using the Chooser, assuming that the Mac OS 9 machine has an IP address. AppleTalk can cause problems with TCP/IP file sharing.

If the Mac OS 9 machine does not have an IP address, make sure that AppleTalk is turned on for the Mac OS X file server.

I Can't See the Ftp Site

When I try to move to the FTP site, I get a "connection refused" or "site not found" error.

First, check to see whether any TCP/IP services are working. Turn Web sharing on for the machine you are attempting to use for FTP. If you can successfully connect to its Web site, there is a problem with the FTP services themselves. If you can't successfully connect, you have a network problem.

If the problem is related to the FTP service, make sure that you don't have a firewall installed that blocks FTP services. Also, try shutting the FTP machine down and then starting it up again.

Even though enabling the Passive FTP mode on the Proxies tab of the Network pane of the System Preferences utility is supposed to enable FTP services through the Mac OS X firewall, I had trouble getting reliable access to machines on which the Mac OS X firewall was enabled, especially when using an AirPort connection. If you have trouble accessing an FTP site on a Mac OS X machine, try disabling the firewall on that machine (make sure that you aren't connected directly to a broadband Internet connection with the firewall disabled) to see whether that is blocking access to the FTP services.

Ftp Access Was Working but Now It Isn't

I have successfully accessed FTP services on a machine before, but now it isn't working.

If you are using a Web browser to access the FTP site, quit the browser, restart it, and try again.

If several unsuccessful logins to an FTP service have been attempted, subsequent logins will be denied. When this happens, restart the machine providing the FTP services.

I Can't Communicate with Others on My Network

I can see other computers on my network, but when I open the Rendezvous window in iChat, I don't see the other users in the window.

The other computers have to be capable of communicating via Rendezvous for you to be able to chat with them. This means they must be using Mac OS X version 10.2 or later. Also, the means that they use to connect to the network must be Rendezvous aware. For example, if the person uses an older version of AirPort to connect to the network, he won't be able to access Rendezvous services, such as chatting on the local network.


Mac Os X to the Max: Networking Mac OS X with Windows Computers

Because support for Windows and Unix file-sharing protocols is built in to Mac OS X, using a Mac on a Windows or Unix network is much easier under Mac OS X than it was under previous versions of the Mac OS.

You can use Mac OS X to access files provided on a network via the SMB protocol without doing any additional configuration. To use files that are provided on a Windows or Unix network that uses SMB, perform the following steps:

  1. Connect your Mac OS X to the Windows or Unix network.

  2. Open the Connect to Server dialog box. Depending on the SMB servers on your network and how the network is configured, the SMB servers might or might not appear in the list of available servers, so you might have to enter the server address manually.

  3. If you don't see the SMB server to which you want to connect, enter the address of the server to which you want to connect; the form of the address is smb://ServerName/ ShareName/. ServerName is the name of the server to which you are connecting; ServerName can be an IP address or URL. ShareName is the name of the item being shared with you, such as a disk or directory.

  4. Click Connect. You will be prompted to enter your workgroup/domain, username, and password for that server.

  5. Enter the required information and click OK. You will be logged in to the shared resource and you can use the files it contains just as a Mac that is acting as a file server (see Figure 25.19).

    Figure 25.19. The DDRIVE folder is located on a Windows XP machine on the local network.

Connecting to Windows computers can be problematic depending on the specific network you are using. If the preceding steps don't enable you to connect to a Windows computer, try using the Apple support document located at

http://docs.info.apple.com/article.html?artnum=106471

NOTE

You can't have more than one SMB share mounted on your Mac at the same time. Before trying to connect to a shared device, unmount any SMB shares that are mounted on your Mac.

To enable Windows users to access files stored on your Mac, carry out the following steps:

  1. Open the Services tab of the Sharing pane of the System Preferences utility.

  2. Select the Windows File Sharing service and click Start. The address to which Windows users need to connect is shown at the bottom of the pane. You will need to provide this address to the Windows users you want to be able access the machine.

    Now, create a user account that the Windows user can use to access your machine.

  3. Open the Accounts pane and click New User.

  4. Enter the user account information for the account you want to create.

  5. Check the "Allow user to log in from Windows" check box.

  6. Click Save. The user account will be created.

  7. Provide the user account, password, and address to the Windows users you want to be able to log in. They can then log in to your Mac to share files just like Macs on your network (see Figure 25.20).

    Figure 25.20. This Mac OS X folder is being accessed from a Windows XP computer.
    [ Team LiB ]


Chapter 26. Sharing an Internet Connection

In this chapter

Enabling Multiple Macs to Use a Single Internet Account

Using AirPort to Share an Internet Account

Using a Mac Running OS X to Share an Internet Account

Using Multiple IP Addresses to Share an Internet Account

Using a Hardware DHCP Server to Share an Internet Account

Troubleshooting


Enabling Multiple Macs to Use a Single Internet Account

One of the primary advantages of networking computers together is that they can share a single Internet account. This is especially useful for broadband accounts; however, you can share a dial-up connection too.

NOTE

Dial-up accounts are relatively slow. Supplying several computers through slow access will divide that limited bandwidth and make access even slower.

And you can share a single Internet account on mixed networks that include both Macintosh and Windows computers.

Most means of sharing an Internet account rely on the Dynamic Host Configuration Protocol (DHCP). This protocol enables IP addresses to be dynamically assigned to each device on a network. A DHCP server assigns and manages these addresses. This protocol means that each device doesn't have to have a unique IP address; the DHCP server has a unique address and assigns IP addresses to the machines "under" it, as they are needed.

NOTE

Each device for which a DHCP server provides an address must have a unique IP address; the DHCP server provides these addresses and ensures that they are unique. Most DHCP servers also provide Network Address Translation (NAT) protection for the devices to which they provide services. When NAT protection is active, all the machines under the server appear to be from one IP address, which is that of the DHCP server. Using a DHCP server with NAT isolates the machines that it serves from direct contact with other machines on the Internet, at least to some degree.

In this chapter, you will learn how to share an Internet account using the following techniques:

  • AirPort

  • Mac OS X's built-in Internet sharing feature

  • Multiple IP addresses for a single account

  • A hardware DHCP server/hub


Using AirPort to Share an Internet Account

One of the easiest and best ways to share an Internet account is to use AirPort. In fact, using AirPort automatically means that you are able to share an Internet account among computers using an AirPort-compatible, wireless connection. And you can also use an AirPort-equipped Mac to share an Internet connection with machines on an Ethernet network.

When you install and configure an AirPort Hardware Access Point (also known as an AirPort Base Station), you can share the Internet account with which it is configured among AirPort-equipped Macs that can access that network. You can also share an Internet account among computers that are connected to the Hardware Access Point via Ethernet. This is because the Hardware Access Point is capable of acting as a DHCP server for the network and can provide that service to computers connected via AirPort and via Ethernet at the same time.

When used with a broadband connection, an AirPort Hardware Access Point also provides your network with some rudimentary firewall protection when you use Network Address Translation, or NAT (which will be explained later in the chapter). Because the only thing directly connected to the Internet is the Base Station itself, hackers can't see the computers that are connecting to the Net through the Base Station. They can see the Base Station, but because it isn't a computer, there isn't much that they can do to it.

Because AirPort is easy to install, configure, and maintain and because you also get wireless access for AirPort-equipped devices, using AirPort is one of the best ways to share an Internet account.

To learn how to install, configure, and use an AirPort network to share an Internet connection, see Chapter 11, "Using an AirPort Network to Connect to the Internet," p. 265.

NOTE

An AirPort Base Station is a great way to share a dial-up Internet connection. Because the modem (if you use a dial-up account) and software required to maintain the dial-up connection are part of the Base Station, this method doesn't place any processing burden on the Macs that are using the AirPort network.


Using a Mac Running OS X to Share an Internet Account

Mac OS X includes a built-in DHCP server you can use to share a single Internet connection with other devices on your local network. And if the Macintosh on which you configure the DHCP server includes an AirPort card, you can also provide a wireless AirPort network without the use of an AirPort Base Station.

NOTE

The function of the DHCP server is to provide and manage IP addresses to devices on the network. The DHCP server doesn't actually provide the Internet access itself; that comes from the connection method you use (such as a cable modem). The DHCP server manages the traffic between the Internet connection and the devices on the network.

One advantage of this approach is that you don't need to add dedicated Internet sharing hardware (such as a sharing hub or an AirPort Base Station) to your network; a standard Ethernet hub will enable you to share an Internet account over an Ethernet network, and an AirPort card will enable you to share an account over a wireless AirPort network. Another advantage is that it doesn't cost anything to share an account (assuming that you already have the connection hardware, such as for an Ethernet network).

NOTE

You can use Mac OS X's built-in firewall to protect the DHCP machine from attacks from the Internet (and because it sits between the Internet and the other devices on your network, it protects those devices as well).

To learn how to configure the Mac OS X firewall, see "Defending Your Mac Against Net Hackers," p. 803.

This approach does have one significant disadvantage and one minor drawback, however. The significant disadvantage is that the Mac that is providing DHCP services must always be running for the machines that use it to be able to access the Internet. If the DHCP machine develops a problem, no device on the network will be able to access the Internet. The less significant issue is that the DHCP services do require some processing power. Providing these services will most likely not result in any noticeable performance decrease, but if your machine runs at its limits, asking it to provide these services might slow down other tasks slightly.

NOTE

DHCP servers are not platform specific. For example, if you have a DHCP server running on a Macintosh, you can connect a Windows computer to the network and use the same DHCP server to share the Internet account with it. Or, you can install a DHCP server on a Windows machine and use it to share the account with Macs on the network.

Configuring a Mac to provide DHCP services to a network requires the following general steps:

  1. Connect the Mac to the Internet.

  2. Install the network you will use to connect the Mac with other machines.

  3. Configure the Mac to share its Internet account.

Connecting the DHCP Mac to the Internet

It goes without saying (but I will say it anyway) that in order to use a Mac to share an Internet account, that Mac must be connected to the Internet. The method you use to connect to the Internet doesn't matter. You'll get the best results if you use a broadband connection, such as a cable DSL modem, but you can also share a dial-up connection if you want (don't expect speedy operation, though).

To learn how to connect a Mac to the Internet, see Chapter 10, "Connecting Your Mac to the Internet," p. 233.

Installing the DHCP Mac on a Network

The next step is to install the DHCP Mac on the network you are going to share the Internet connection with. You can build a wired network using Ethernet, or you can install an AirPort card to connect the Mac to other AirPort-equipped Macs (you can share an account with other machines using both networking methods at the same time).

To learn how to install, configure, and use an AirPort network, see Chapter 11, "Using an AirPort Network to Connect to the Internet," p. 265.

To learn about Ethernet, see "Ethernet," p. 625.

To learn about Ethernet hubs, see "Finding and Installing an Ethernet Hub," p. 710.

To learn how to build and manage a network, see Chapter 25, "Building and Using a Network," p. 721.

Configuring the DHCP Mac to Share an Account

After you have configured the Mac for Internet access and connected it to other computers (with or without wires), you need to configure the Internet sharing services on it.

There are three possibilities when you configure Internet sharing on your Mac:

  • Your Mac is connected to the Internet via an Ethernet connection, and it also has an AirPort card installed in it.

  • Your Mac is connected to the Internet via Ethernet and it does not have an AirPort card installed in it.

  • Your Mac is connected to the Internet via an AirPort Base Station, in which case you can share the Internet account by connecting that Mac to other computers to share its account via an Ethernet network.

When you configure Internet sharing on your Mac, it automatically determines which case is true for your machine and will present the appropriate options for you. To configure Internet sharing, use the following steps:

  1. Open the System Preferences Utility and click the Sharing icon to open the Sharing pane.

  2. Click the Internet tab. What you see depends on how the Mac is connected to the Internet. For example, in Figure 26.1, you see the Sharing Internet tab for a machine that is connected to the Internet via Ethernet and that does not have an AirPort card installed in it. In Figure 26.2, you see an example of a machine that is connected to the Internet via an AirPort Base Station.

    Figure 26.1. This Internet Sharing tab is for a computer connected to the Internet via Ethernet.

    Figure 26.2. This Internet Sharing tab shows a machine that is currently connected to the Internet via AirPort.

  3. If you see a "Share the connection…" check box, check it; if the Start button is already active, skip to Step 5. You might see a dialog box warning you that activating sharing might cause problems for other ISP customers or might violate your service agreement (some providers prohibit sharing an individual account on multiple machines).

  4. Read the dialog box and click OK to close it. The Start button should become active.

  5. Click Start. Your connection will be shared with all the devices your Mac can communicate with. For example, if your Mac is connected to a local network via Ethernet, other devices on the network can use the account via the DHCP services your Mac provides.

  6. Quit the System Preferences Utility.

  7. Configure the other devices on the network to use the Mac's DHCP server to access the Internet.

To learn how to install, configure, and use an AirPort network, see Chapter 11, "Using an AirPort Network to Connect to the Internet," p. 265.

To learn how to connect a Mac to the Internet, see Chapter 10, "Connecting Your Mac to the Internet," p. 233.

TIP

If you share an Internet account over AirPort, an upward pointing arrow is added to the center of the AirPort icon in the menu bar. This indicates that the connection is shared and also indicates that you can access the sharing controls from the menu.


Using Multiple IP Addresses to Share an Internet Account

With some broadband accounts, such as cable, you can purchase additional IP addresses (or DHCP names) so that you can configure multiple machines to access the same account. The requirements to do this are an address for each device that will be using the account, and an Ethernet or other network, which typically consists of a hub with the cable or DSL modem connected to the WAN port and each device connected to a LAN port.

NOTE

Some ISPs use DHCP to provide IP addresses to you. In these cases, you assign a DHCP name to your computer. The ISP's DHCP server assigns IP addresses to you as you need them. To share an Internet account among several devices, you need a unique DHCP name for each device; you use this DHCP name to configure the network on each device.

To share an account using multiple IP addresses, do the following:

  1. Contact your ISP to determine whether this option is available.

  2. If it is, obtain additional addresses (or DHCP names); you will need one address for each machine or device (such as an AirPort Base Station) that you want to share the account. You will probably need to pay an additional fee for each IP address you obtain.

  3. Connect the cable or DSL modem to the WAN port on the hub for your network.

  4. Connect each device to a LAN port on the hub.

  5. Configure each machine with one of the available addresses (or DHCP names).

If you can't use a device on your network because of an error message about the same IP address being used on more than one device, see "I Get an Error Message Telling Me That Multiple Devices Have the Same IP Address" in the Troubleshooting section at the end of this chapter.

One advantage to this method is that you can use a standard Ethernet hub to facilitate sharing the account; these hubs are quite inexpensive and are simple to install and use. And setting up each device to use its address is straightforward as well. You simply configure each machine as if it were the only one using the account. Another advantage is that you get maximum speed for each machine because each connects directly to the account; the traffic doesn't have to be managed by a DHCP server on your network. And, because there isn't any software on your network that has to manage the Internet traffic, as a DHCP server does, your connection for each device is only dependent on your modem and service, making it more reliable than some of the other methods.

One possible disadvantage is that might you have to pay an additional fee for each address you use. The typical cost of additional addresses is $5 to $7 per month per address on top of the address included with your base account. This can get expensive if you have several devices on your network; however, you can balance that cost against not needing a hub (Ethernet or AirPort) that has Internet account sharing built in.

Another disadvantage is that you don't get any special features, such as a built-in firewall. You will have to add protection for your network in some other way.

For help choosing and installing an Ethernet hub, see "Finding and Installing an Ethernet Hub," p. 710.

For help installing and configuring a network, see Chapter 25, "Building and Using a Network," p. 721.

For help with protecting your Mac from Net attacks, see "Defending Your Mac from Net Attacks," p. 803.


Using a Hardware DHCP Server to Share an Internet Account

One of the best ways to share an Internet account is to use a hub device that provides DHCP services to the network. These devices have the DHCP software built in and handle the administration of IP addresses for the network automatically.

In addition to basic DHCP services, some of these devices also include special features, such as built-in firewall protection for your network.

The general steps for installing and using such a device are the following:

  1. Choose and obtain the device.

  2. Install the device on your network.

  3. Configure the device to connect to the Internet.

  4. Attach the computers and other devices to the network and configure each device to use the DHCP server.

NOTE

Not all ISPs support sharing a single Internet connection. Make sure that you check the agreement you have with your provider to make sure that sharing an account is within your rights under that account. Some configurations can actually block access to your account by a hub or other sharing device, thus preventing you from sharing the account using a hardware device. Before you purchase a hub, make sure that it is compatible with your Internet account or else you might end up wasting your money.

Choosing and Installing a DHCP Hub

Choosing a DHCP hub is very similar to choosing an Ethernet hub. For example, these hubs offer different numbers of ports, different speeds, and so on. In addition to the DHCP services that they provide, the major difference between standard Ethernet hubs and DHCP hubs is that DHCP hubs also offer a variety of other special features.

For help choosing and installing an Ethernet hub, see "Finding and Installing an Ethernet Hub," p. 710.

For help installing and configuring a network, see Chapter 25, "Building and Using a Network," p. 721.

For help with protecting your Mac from Net attacks, see "Defending Your Mac from Net Attacks," p. 803.

NOTE

The AirPort Hardware Access Point is a DHCP hub; its most special feature is that it can communicate with other devices wirelessly.

One of the most important of these special features is a firewall. Installing a DHCP hub that includes a firewall protects the devices on your network from being attacked by hackers coming to your network from the Internet.

One form of firewall is the Network Address Translation (NAT) standard. Using NAT, there is one IP address for your network. The device providing NAT services shields the devices on your network by using a set of internal IP addresses for those devices. Thus, hackers trying to attack the only IP address that they can see get the hub device, which is typically immune to such attacks. Thus, your network is protected from external attack.

Various such devices are available, such as the Asante DLS/Cable Router (see Figure 26.3).

Figure 26.3. This Asante hub enables you to share an Internet account with multiple computers.

Some of my favorite sharing and networking hubs are produced by Linksys (see Figure 26.4). Linksys hubs provide excellent features and are easy to install and configure. These hubs enable you to share an Internet account and provide NAT protection for your network.

Figure 26.4. Linksys produces excellent sharing hubs that are easy to install and configure.

NOTE

You can learn more about the Linksys products by visiting www.linksys.com.

Clumps of Data

When data is communicated across a network, it is done so in "clumps" of data. These "clumps" of data are more properly called packets. Each packet contains information that identifies its origin and destination (this is used to assemble all of the packets together into a useful string of data). When a firewall filters IP packets, it examines each packet that comes into the network to make sure that it originates from the expected place. It rejects any packets that do not meet its requirements, thus protecting the network from unexpected traffic, which is likely to have been generated by hacking activity. Packet filtering adds an additional layer of protection for a network.

The XRouter Pro is another example of a sharing hub that is simple to install and configure. For most homes or home offices, the XRouter is an excellent choice.

NOTE

You can learn more about the XRouter Pro by visiting www.macsense.com.

Because of space limitations, I will be focusing on XRouter Pro in the remainder of this section. However, other devices, such as the Linksys hubs, can be installed and configured in a fashion similar to the XRouter Pro.

Installing a DHCP Server

Installing a DHCP hub is similar to installing a standard Ethernet hub.

  1. Connect the output from the cable or DSL modem to the WAN port on the hub.

  2. Connect the Ethernet cable from each computer to a port on the XRouter.

  3. Connect the XRouter's power supply.

NOTE

You can attach the XRouter Pro to an existing Ethernet hub to provide its services to more than four devices at a time. To do so, connect one port on your current hub to the crossover port on the XRouter and use the crossover switch to select the crossover mode.

In the same way, you can also chain multiple hubs together to share an Internet account among more than four devices. For example, you can connect an AirPort Base Station to the hub to add AirPort-equipped devices to the network.

Configuring Mac OS X Macs for DHCP Services

After the physical connections are made, you need to configure each computer on the network to use DHCP for TCP/IP services.

NOTE

Consider creating a location for each TCP/IP configuration you use. This makes switching between configurations simple and fast.

To learn how to configure and use the Location Manager, see "Configuring and Using Locations," p. 872.

To configure machines on a network to connect to a DHCP server, follow these steps:

  1. Open the Network pane of the System Preferences utility.

  2. Choose the location you want to configure from the Location pop-up menu.

  3. Choose Built-in Ethernet from the Show pop-up menu (assuming that you are connecting to the hub through Ethernet, of course).

  4. Click the TCP/IP tab.

  5. Choose Using DHCP from the Configure pop-up menu (see Figure 26.5).

    Figure 26.5. Typically, configuring a Mac to use a DHCP server is simply a matter of selecting Using DHCP from the Configure pop-up menu.

    NOTE

    Some DHCP servers will require that you use a DHCP Client ID name. If so, enter that name in the DHCP Client ID field.

  6. Click Apply Now to save the configuration.

  7. Close the System Preferences utility.

  8. Repeat these steps or use similar steps to configure the Macs on your network. For example, for Macs running Mac OS 9, use the TCP/IP control panel to choose Using DHCP Server.

  9. Configure the other devices on your network so that they use DHCP.

Configuring a DHCP Hub

After the hub is physically connected to your network and the other devices are installed and configured, you need to configure the hub. How this is accomplished varies among different devices, but most devices enable you to use a standard Web browser to configure the hub.

To install a typical DHCP hub, do the following:

  1. Launch a Web browser.

  2. Move to the IP address for the hub (the XRouter's IP address is 192.168.1.1).

  3. When prompted, enter the username and password, and then click OK (the XRouter's username is blank and the password is admin). You will see the administration screen for the device (see Figure 26.6).

    Figure 26.6. This Web page is being served by the XRouter Pro and enables you to configure the hub.

  4. Configure the hub following the instructions provided by your ISP. You configure the hub using the same settings as you would for a computer with which you were accessing the Internet account. For example, if your ISP provides manual IP addresses, use the Static or Manual option to configure the hub.

    For help configuring an Internet account, see Chapter 10, "Connecting Your Mac to the Internet," p. 233.

  5. Quit the Web browser.

NOTE

Make sure that you explore the configuration options your hub provides. For example, some hubs will enable you to assign fixed IP addresses to certain devices. These addresses are provided in a range of addresses that your hub provides (the first three sets of numbers in the IP address are the same for all the devices on the network, but you can choose the fourth set from a specific range of numbers). One use for this is to enable file sharing across those devices. Because you use IP addresses to share files under Mac OS X, having a fixed IP address enables you to connect to the same machine each time. If you allow the server to assign addresses, the address for each machine can change as machines connect to and disconnect from the network.

The machines on your network should be able to access the Internet using a single account. If your hub provides NAT services, your network is relatively secure from outside attack because the internal IP addresses of devices are not exposed to the Internet.

NOTE

If your hub provides a firewall, explore its configuration page to control how your network access is configured. Typically, you can limit the access to specific URLs or direct all traffic to a specific machine on your network.

If none of the machines on your network is able to access the Internet, see "None of the Computers Can Access the Internet" in the Troubleshooting section at the end of this chapter.


Troubleshooting

I Get an Error Message Telling Me That Multiple Devices Have the Same IP Address

When I attempt to start up one of the devices on my network, I see an alert stating that a device has already been assigned the IP address and that IP services are being shut down. How do I correct this problem?

Two devices on the same network cannot have the same IP address. If you start up one device and see this error message, you have two or more devices trying to use the same address. Check the configuration of each device to see which devices are using that address (for Mac OS X machines, use the TCP/IP tab of the Network pane of the System Preferences utility to see how the computer is configured). Make sure that each device has a unique address, including an AirPort Base Station or other device that is sharing the account.

Occasionally, your hub will "remember" the devices that are using specific IP addresses and you will see this error even though you made sure that each device had a unique address. If this happens, power down your entire network, including the hub and all other devices attached to it. Wait a few minutes and power up everything again. The error should be cleared as each device registers its unique address on the network.

None of the Computers Can Access the Internet

When I attempt to access a service on the Internet, such as the Web, I get an error message stating that the resource can't be found. Why am I getting this error?

Troubleshooting a network connection to the Internet can be quite challenging. Your approach should be to eliminate potential sources of the problem one by one until you find the specific problem you are having.

If you are unable to connect to the Internet after you have installed and configured the hub, try the following steps:

  1. Remove the hub again and return your configuration to the way it was before you installed the new hub.

  2. Return one Mac to the condition it was in when you were able to access the Internet.

  3. Check to see whether you can access the Internet. If you can, that means your modem is working properly and the configuration information is correct.

  4. Attach that single computer and your modem to the DHCP hub again. This removes potential causes of problems that are due to the interaction of devices on the network.

  5. Repeat the hub configuration and verify that the settings match those you used to connect the single Mac to the Internet.

  6. Set the TCP/IP settings on the Mac to use a DHCP server.

  7. Try to connect to the Internet. If you can connect, add your other machines back to the network. If the problem recurs, you know that it is related to interaction among the devices.

  8. In some cases, you might need to configure your hub to use MAC address cloning. A MAC, or Media Access Control, address uniquely identifies each node on a network. In some cases, you will need to clone, or copy, the MAC address of one of the computers on your network onto the router. See the instructions that came with the hub to learn how to configure MAC cloning on your router.

  9. If you still can't connect, call your ISP for support.

NOTE

Some broadband providers support only one computer for each IP address or DHCP name for each account. In these cases, you might have to purchase additional addresses in order to be able to share a single account.

TIP

You might be able to share an account using a software DHCP server even if you can't use a hardware device to do so. For example, try using an AirPort Software Base Station to share your account.


Part VI: Mac OS X: Protecting, Maintaining, and Repairing Your Mac

27 Maintaining and Protecting Your Mac

28 Solving Mac Problems


Chapter 27. Maintaining and Protecting Your Mac

In this chapter

Keeping Your Mac Safe and in Good Working Condition

Maintaining Your Mac

Securing Your Mac

Defending Your Mac from Net Attacks


Keeping Your Mac Safe and in Good Working Condition

Time and effort that you have to spend troubleshooting problems is time and effort that you don't have available to accomplish what you want to accomplish. To avoid having to spend time solving problems, you should take specific steps to maintain and protect your Mac. In this chapter, the following preventive activities are described:

  • Maintaining your Mac in good working condition

  • Securing your Mac so that people who use the machine or the network to which it is attached don't accidentally or maliciously cause you problems

  • Defending your Mac from attacks from the Internet


Maintaining Your Mac

Maintaining your Mac in good condition isn't terribly difficult, and the effort you do put in will pay off in your having to spend less time and effort solving problems. In this section, you will learn about the following maintenance tasks:

  • Maintaining your system software

  • Maintaining your hard disks

  • Backing up your system

  • Maintaining alternate startup volumes and discs

  • Building and maintaining a Mac toolkit

  • Maintaining your applications

Using Software Update to Maintain Your Software

Apple continuously updates the OS to solve problems, enhance performance, and introduce new features. Keeping track of the updates manually is time-consuming. Fortunately, you don't have to. You can use the Software Update tool to check, download, and install updates to Mac OS X and related software (such as firmware updates, updates to Apple applications you use, and so on). To do so, follow these steps:

  1. Open the System Preferences utility, and then open the Software Update pane (see Figure 27.1).

    Figure 27.1. The frequency with which you check for updates depends on your connection to the Net; for most people, weekly updates are sufficient.

  2. Use the check box, pop-up menu, and other buttons to configure the Software Update schedule (the options are described in the following bulleted list).

  3. Quit the System Preferences utility.

TIP

Software Update also checks and updates many Apple applications, such as iTunes and iMovie.

Using Software Update, you have the following options:

  • Manual or automatic updates Use the "Automatically check for updates when you have a network connection" check box to determine whether your system will automatically check for updates when you have a network connection. If you choose to use automatic updates, use the pop-up menu to set the frequency with which this checking is done. Your choices are Daily, Weekly, or Monthly.

  • Check Now You can click the Check Now button to manually check for updates.

  • Installed Updates tab You can see a history of all the updates that Software Update has installed for you on the Installed Updates tab. Click the tab to see the list of files that were changed and when the changes were made. If you click the Open as Log File button, you will see a Console window that provides the same list, but in a different format.

NOTE

Immediately installing available updates is not always a good idea. Sometimes, the updates are flawed, in which case the problems will become known pretty quickly. If you want to avoid "early adopter" problems, you might want to wait a few days after an update is available before you install it on your Mac.

When an update is available (whether you check for them manually or automatically), you will be notified. The notification window also tells you which updates are available. You can download and install the software by checking the check box next to the update you want to install and clicking the Install button.

After you have downloaded and installed an update, use the Installed Updates tab to verify that the updates were installed.

To view the updates that have been installed on your Mac, you can also open the folder Mac OS X/Library/Receipts, where Mac OS X is the name of your Mac OS X startup volume.

In this directory, you will see all of the updates that Software Update has downloaded and installed. Most are in .pkg files—you can run the update's installer again if you need to. If you want to see what a specific package installed, open the package file. Authenticate yourself and start working through the installer. Typically, the Read Me pane is the second or third window. On this pane, you can get a good idea of what areas of the system were changed and how they were changed. Quit the installer when you are done reading about it.

NOTE

The Mac OS X Log.rtf file contains information related to the installation of Mac OS X on your machine. You might want to take a few moments to read through this file.

NOTE

If you want to manually check for Apple software updates, go to www.apple.com/support. Use the tools on the Apple Support pages to locate and download updates. For example, in the Downloads section, you will see a list of the current updates that are available.

Maintaining Your Hard Disks

Maintaining your disks will go a long way toward maximizing performance and preventing problems. You can use the Mac OS X Disk Utility application to do basic disk maintenance and repair. For maximum performance, you should also consider defragmenting and optimizing your disks.

Maintaining Your Disks with the Disk Utility

The Disk Utility application (located in the Applications/Utilities directory) enables you to check for problems with your disks and then repair problems that are found.

NOTE

Under previous versions of the Mac OS, the Disk Utility was called Disk First Aid. You can still see that heritage in the First Aid tab at the top of the Disk Utility window.

To check and repair a volume, perform the following steps:

  1. Launch Disk Utility. In the left pane of the window, you will see all the disks that are mounted on your Mac. Each volume on each disk will be listed under the disk's icon.

  2. Highlight the disk you want to check. You will see information about that disk in the right pane of the window under the Information tab. You can also highlight a volume to get information about it, such as its size and format.

  3. Click the First Aid tab. You will see some information explaining how Disk Utility works.

  4. Click Verify Disk. The application will check the selected disk for problems. As it works, you will see progress messages in the First Aid pane. When the process is complete, you will see a report of the results (see Figure 27.2).

    Figure 27.2. The disk named Mac OS X and Apps appears to be OK.

    TIP

    You can expand or collapse the information window in the First Aid tab by dragging the Resize handle located in the center of the window, just above its top border.

  5. If problems are found, you will be prompted to repair them. Do so.

  6. Quit the application.

NOTE

Note that you can't repair the startup volume or any other volumes on which the Locked icon appears (such as CD-ROMs). However, you can verify the startup volume as well as other volumes to which you can't write information (such as a CD-ROM). If problems are found, you need to start up from an alternative startup volume and run the Disk Utility from there.

For the Mac OS X startup volume, you never really need to run Disk First Aid. That is because the disk is checked and repaired during startup. You can also run a Unix disk repair utility during startup as well.

To learn how to run a Unix disk repair utility during startup, see "Starting Up in Single-User Mode," p. 203.

You can choose to repair a volume rather than to verify it. When you do so, repairs are made for any problems found immediately after the volume is checked. Generally, you should use the Repair button because it saves you a step.

TIP

You can erase a volume by clicking the Erase tab. Select the volume you want to erase, choose the format on the Volume Format pop-up menu, name the volume, and choose to install Mac OS 9 drivers if you want them. Click Erase and the volume will be erased.

To learn how to use the Disk Utility to initialize and partition hard disks, see "Initializing and Partitioning a Hard Drive," p. 692.

You can also use the Disk Utility to repair the permissions on the startup volume you are using. This can solve access problems with specific files on the machine when you don't have the required permissions.

  1. Select your current startup volume (you have to select the volume, not the disk on which the volume is stored).

  2. Click Verify Disk Permissions. The utility will begin checking the permissions for the startup volume. When the process is complete, you will see the results in the information window on the First Aid tab.

  3. If problems are found, you will be prompted to repair them. You should choose to do so.

  4. Quit the Disk Utility application.

You can use the Repair Disk Permissions button to verify and repair disk permissions in a single step.

Defragmenting and Optimizing Your Hard Disks

As you save files to a disk (again, this means any kind of disk you have mounted on your Mac, except for CD-ROMs and locked disks from which you can only read data), data is written to the disk. The Mac is also frequently writing other sorts of data (such as preference changes and other system-level data) to the startup disk. As data is written to a disk, it is written in the next available space (called a block). After the data is "laid down," the Mac returns to what it what was doing. When it is time to save more data, the next batch is written in the next open space, and so on. Think of this as the Mac putting all the data down in a straight line (yes, the disk is round, but it is easier to think of it this way), one chunk after another.

As files are opened and closed, data from different files is laid down in the next available space so that instead of all the data from one file being in a continuous block, it can be stored in blocks located in various spots around the disk. In this state, the data is fragmented. Although fragmentation is a normal part of the way disk drives function, excessive fragmentation can slow down the disk. Things slow down because the drive head must read data from all the blocks that make up a particular file. As those blocks become more numerous and are spread out around the disk, it takes longer and longer to read all the data for that file.

You use a process called defragmentation to correct this condition. You need a disk maintenance program to do this, such as Tech Tool Pro. What the defragmentation process does is to "pick up" all the data blocks for each particular file and write them in a continuous block. It does this for every file on the disk. After the data is laid out nice and neat, the drive will perform faster because it doesn't have to move as far to read and write the data for a particular file.

NOTE

To learn more about Tech Tool Pro, visit www.micromat.com.

Because a hard drive is made up of a round disk that spins at a constant speed, it takes longer to read and write data to various parts of the disk. Data near the center is read more quickly than data out near the rim. Data can be written to the disk in such a way that the access speed of the drive is optimized.

To do this, the data that is used constantly, but not changed much—such as the system software and applications—is stored near the center of the disk. The documents and other data that are infrequently used are stored out toward the edge of the disk. This arrangement speeds up the disk because access to the most frequently used data is faster, and keeping the static data together means that it will not become fragmented. Thus, the data is read and written in an optimized (for speed) fashion. You also need a disk maintenance tool to optimize a disk.

Usually, defragmentation and optimization are done at the same time using the same tool. The steps to perform these tasks depend on the particular software you use. Generally, this is not complicated and is a matter of choosing the drives you want to defragment and optimize and clicking Start.

Cleaning Up Your Drives

You can do a lot for the performance of your disks by simply keeping them cleaned up. The more data that is on your drive, the less room you have to store new files. If your disks get too full, their performance will slow down significantly. More data means that there is more information for your Mac to manage, and thus it has to work harder. You can also run into all kinds of problems if you try to save files to disks that are full to the brim; how full this is depends on the size of the files with which you are working.

Learn and practice good work habits such as deleting files you don't need, uninstalling software you don't use, and archiving files you are done with (such as on a CD-R disc).

NOTE

Many disk maintenance applications enable you to retrieve files you have deleted (an "undelete" or recover function). This is possible because during normal deletes (when you empty the Trash) the file is removed from the active system but might still exist on the disk in some form. The only way to be permanently rid of a file so that it can't be recovered is to write over the area in which that file was stored with other data. To do this, you need an application that writes zeros or other bogus data over the location where the file you are deleting is stored. Typically, disk maintenance and other tools will enable you to "really" delete files that you don't want to be able to be recovered.

Backing Up Your System

If you use a computer, at some point, your system will crash and you will lose information you would rather not lose—maybe not today or tomorrow, but it is the inevitable nightmare. Think of the information you have on your Mac at this very moment that would be difficult—if not impossible—to reconstruct if your computer bombed and destroyed it. This data might be a report for work, a school project, your tax information, a complex spreadsheet, or even the great American novel on which you have been working. Whatever the information, rest assured that some day, somewhere, somehow, you will suddenly lose it. When that happens, you will want to be able to restore all the information on your Mac so that you can quickly re-create your data. Backing up is the means by which you ensure that you are always able to preserve most of your work, no matter what happens to your Mac.

Backups: Insurance for Your Data

You need a good backup for more than just catastrophic failures of your hardware. I'll bet that you have accidentally deleted a file right before you needed it. If you have a backup, you can quickly recover a document that you accidentally delete. Or perhaps you edited a document and discovered that all your changes were actually worse than the original. You can use your backup to bring the file back to the way it was. If your Mac is ever stolen or destroyed, your backup enables you to recover from the disaster.

Although backing up your data is strongly recommended by computer authors, experts, and support personnel, it is a task that many Mac users never do for a variety of reasons. Some people don't back up data because they think their systems are infallible and won't crash. Still others are confused about how to make a backup of their system, or they lack the hardware and software necessary to maintain good backups. And then there are always those who simply don't believe that protecting their data is enough of a priority to waste their time on it.

However, because you are reading this book, I assume that you are serious about your Mac and recognize the value of a good backup system.

There are four steps to creating and implementing a solid backup system. These steps are the following:

  • Define a strategy You need to define your own backup strategy; your strategy should define the types of data you will back up and how often you will back up your data. These choices will guide you as you decide on the kind of hardware and software you use.

  • Obtain and learn to use backup hardware You need some kind of hardware on which to store the backed-up data. There are many types of hardware you can use, including tape drives, removable media drives, additional hard drives, DVD-R drives, or CD-RW drives.

  • Obtain and learn to use backup software Ideally, you should use some sort of software to automate the backup process. The easier you make it on yourself, the more likely it is that your backup system will work reliably.

  • Maintain your backup system Like all other systems, you need to maintain your backup system and make sure that your data is safe.

Defining a Backup Strategy

One of the first things you need to decide is what data on your machine will be backed up.

There are three general categories of data you should consider backing up:

  • Documents and other important data you create These documents are, after all, the reason you use a Mac in the first place. You will want to back up all your documents because they don't exist anywhere other than on your computer. If you lose important documents, it might be impossible to re-create them. Even if you are able to re-create them, you will be wasting a lot of valuable time redoing what you have already done.

  • System files You probably have a CD-ROM that contains your Mac OS software, so you usually don't risk losing the Mac OS software itself. What you do risk losing is any customization you have done, updates you have installed, and so on. If you have adjusted any settings or added any third-party software, all the settings you have changed will be lost in the event of a major failure.

    Additionally, don't forget about all the configuration information you have on your machine. For example, if you lose your system for some reason, you might lose all the configuration you have done to make your Mac connect to the Internet. You might also lose all the serial numbers of your software, which you will have to re-enter if you need to re-install it.

  • Applications and other third-party software As with the OS software, you probably have CDs containing much of your third-party software. What you lose if you have a failure without a backup is the customization of those applications. Plus, you will have to re-install that software—not an easy task if you have lots of applications installed on your Mac. In any case, it can be very time-consuming to re-install your applications.

NOTE

These days, you probably obtain a lot of your software by downloading it from the Net. If you lose the installers or patches you download without having a backup, you will have to download them again—assuming they are still available of course. Sometimes, the version you want to use will have been replaced by a newer version that you don't want to use. And, occasionally, software moves from shareware to commercial, in which case it becomes unavailable. You should keep a copy of any software installers or updates you download so that you can re-install that software if you need to—whether or not it is still available from the source.

In conjunction with the kind of files you will back up, there are also several types of backups you can make:

  • Full backup In a full backup, you back up each and every file on your system. The advantage of doing full backups is that it is easy to restore your entire system as well as just particular parts of it.

  • Selected files only Using this scheme, you select particular files to back up; usually these are your important documents and some of your customization files (for example, preferences files). The advantage of this scheme is that you can make a backup quickly while protecting the most important files on your computer.

  • Incremental backup This scheme combines the first two techniques in that all files are backed up the first time, but after that, only files that have changed are backed up until the next full backup. This scheme protects all your files, but avoids the time and space requirements of doing a full backup each time.

What you decide about the type of data you will back up and how you will back it up should determine the type of backup system you develop and use. For example, if you decide that you don't mind having to re-install applications and reconfigure settings or you mainly use small document files, you might be able to simply copy your document files onto a CD-RW or other removable media drive. If you have a great deal of data to protect, you will need to implement a more sophisticated system.

If you can assemble the hardware and software to do incremental backups, you should use this approach. It is the only one that is both practical for frequent backups and also protects all your data.

Ideally, you want your backup system to work without any supervision or intervention by you. This is called an unattended backup because you don't even need to be there for the system to work. You can set the system to automatically back up during times when you are not working on your Mac. This is not only convenient; it also means that because you don't have to do anything, you can't forget or be too lazy to keep your backups up to date.

Choosing Backup Hardware

The hardware you use for your backup system is important because having hardware that doesn't match the kind of backups you want to make will doom your backup plan to failure.

For example, if you go with a tape drive, you will be able to do frequent, incremental backups. The easier and better you make your backup system, the less work you have to do with it, and the more likely it is that you will do the backups. Table 27.1 lists the major types of backup hardware and summarizes their advantages and disadvantages.

Table 27.1. Backup Hardware
Drive Type | Backup Capability | Advantages | Disadvantages
CD-R and CD-RW | Can handle large amounts of data for full and incremental backups | Drive has multiple uses (mastering CDs for distribution, creating audio CDs, and so on) | Capacity of individual discs is limited so unattended backups are not always possible
Data is easy to share and recover because all computers have CD-ROM drives | Relatively slow
Provides nearly permanent storage; this is a good choice for archival purposes
Backups can be stored away from your Mac
CD-RW drives are standard on many Macs
Media is very inexpensive
DVD-R | Can handle large amounts of data for full and incremental backups | Fairly fast | Media is relatively expensive for backup use
Media can be mounted in DVD-equipped Macs | Media is not reusable
Can store large amounts of data on each disc | Technology is relatively new and unproven
Drives are available only in newer machines
Might not be supported by backup software
DVD-RAM drive | Can handle large amounts of data for full and incremental backups | Large storage capability is perfect for unattended backups | Few Macs have DVD-RAM drives so it is not likely that you will be able to use it to share data with others
Backups can be stored away from your Mac
You can use the discs to store files you are working on | Drives and media are relatively expensive (DVD-RAM discs are about $30 per 5.2GB data)
Hard drive | Depending on size, can handle large amounts of data for unattended full and incremental backups | Very fast | High cost per MB of data storage
Data is easily accessible
Data is harder to share
Drive can be mounted and used for other tasks
Unlikely to have sufficient storage space to make full backups
Backup drive is likely to be used for other purposes and thus might not be available for backing up
More difficult to store backups away from your Mac
Backup is subject to power surges and other outside causes of failure
Capacity can't be expanded
Removable media (Zip, Jaz, SyQuest, and so on) | Depending on type, can the drive handle small to medium amounts of data | Drives can be mounted and used for work as well as for backups | Unlikely that a single disk will hold all the data on your Mac so full, unattended backups won't be possible
Can be used to easily share data with others
Backups can be stored away from your Mac | Magnetic storage devices can be affected by magnetic forces and will degrade over time
Many lower-capacity disks (such as 250MB Zip disks) will be required for large amounts of data
Tape | Can handle large amounts of data for full and incremental backups | Large storage capability is perfect for unattended backups | Tape can't be mounted; a tape drive is a single-purpose device
Media is inexpensive (for example, a Travan 20GB as little as $34) tape costs | Tapes can be affected by magnetic forces and will degrade over time
Backups can be stored away from your Mac | Relatively slow
Drives can be expensive
Difficult to share with others because a tape drive of the same format must be available

Table 27.1 lists many options, but a careful review of the table should reveal that there are really only four choices for a serious backup system: tape, hard drive, DVD-R, or CD-RW.

The following list explains how I rate these options, in order of preference:

  • Tape drives This option wins by a mile. When it comes to backing up, nothing comes close to a tape drive. Because the capacity of each tape is so large, a single tape drive can handle unattended backups for all but medium or large networks (in which a more sophisticated system is required). And the media for a tape drive is relatively cheap, can be reused, and is portable. The downside of a tape drive is that it is somewhat expensive. However, because Mac tape drives are external, you can take the tape drive with you as you move up to new systems.

    An excellent tape drive is Imation's 20GB Travan FireWire External drive (see Figure 27.3). Because it is FireWire, this drive is relatively fast and is easy to work with.

    Figure 27.3. At the time of this writing, www.smalldog.com was offering an Imation 20GB tape drive for $495.

    Other types of external tape drives are available, some of which use other formats, but the general idea is the same. If you have valuable data, you should do what it takes to obtain a tape drive to use for your backups.

  • External FireWire hard drives Using a hard drive for backup provides the fastest performance, and it is usually possible to get a drive that is large enough to store all the files needed to back up your primary drives. You can easily configure automated backups so that your data is constantly protected.

    There are two significant downsides to using a hard drive to back up data. One is that you can't archive data on a hard drive; a hard drive can be used only for your current backups. The other is that the capacity of the drive is fixed. The only way to expand the capacity of your system is to add more drives.

    Another downside is that you will be tempted to use the drive for additional purposes when your other drives get full.

  • DVD-R drives DVD-R discs provide a good amount of storage space on each disc (4.7GB). This is enough room to do full and incremental backups, although it is unlikely that you will be able to store an entire backup on a single disc. Another plus is that many Macs include a SuperDrive so you don't need to spend money on additional hardware to back up your system. DVD-R is an excellent option for archiving data and should provide good long-term storage for the data you don't need to work on any longer.

    Of course, a DVD-R drive is also very useful for other purposes, such as for creating DVDs with iDVD.

  • CD-RW drives This option takes a distant fourth place, in my opinion. These drives are also useful for backup purposes because CD-R media is so inexpensive (about $0.50 or less for 650MB) and because many Macs have a CD-RW drive built in. Plus, there are many other ways to use a CD-RW drive, such as for creating audio CDs. Because every computer has a drive that can read CD-R discs, the data is very accessible.

    However, even with these benefits, CD-RW drives are not an optimal choice for backing up. This is primarily because a CD will hold only 650MB of data. Although that is a significant amount for everyday documents, it is inadequate for even some types of projects. For example, when you consider iMovie projects, a single disc usually can't hold even one project. This means that unattended backups are usually not practical. Backing up an entire system on a CD-RW drive can take a long time, and you have to be there to swap new media in and out. And then, you have to manage the many discs that will be required for your backups.

    Still, if you already have a CD-RW, it is a good way to get your backup system started and to at least back up your documents.

Although you can make the other types of drives work in a backup system, they won't work that well over a long period of time. My recommendation is to go with one of the first three options in the previous list.

Choosing Backup Software

Backup software enables you to define which files will be backed up and how often the backup will be updated. It also enables you to restore your data when the time comes. The software should enable you to automate the process as well.

Although there are many choices on the hardware side, there is one best option for Mac backup software: Dantz Corporation's Retrospect.

NOTE

Note that Retrospect comes in various "flavors" depending on what you are backing up. Retrospect Express Backup is targeted to individual users with relatively simply backup needs whereas Retrospect Workgroup Backup can back up a networked workgroup.

Retrospect does only one thing: It helps you create, implement, and maintain backups. Although limited in scope, Retrospect excels in function; it is a "must have" piece of software. It is easy to use, yet it includes all the functions you need to establish and automate your backup strategy. If you intend to back up your Mac, you simply must use Retrospect.

Unfortunately, I don't have the space to explain how to use Retrospect, but suffice it to say that this software is extremely well designed and excellently implemented. After you install and configure it, it is so good that you won't have to deal with it very much (which should be a goal for any backup system).

Even better, many backup drives include this software, so you get everything you need for your backup system in one package.

To learn about Dantz and Retrospect, check out www.dantz.com (see Figure 27.4). You can get your questions about backing up your system answered there. I have been a customer for years, and have been amazed by the exceptional support this company offers.

Figure 27.4. When it comes to Mac backup software, there is Dantz and no one else.

If you have a .Mac account, you can download and use Apple's Backup version 1.2. This application provides good backup capabilities. In addition to being able to back up to CD or DVD, you can back up your files to your iDisk (which takes the idea of remote storage of your data to a new level). You can also automate your backups. The application is simple to use and is free to anyone who has a .Mac account.

To learn about Backup, visit www.mac.com. If you have a .Mac account, you can download a copy of the software.

Using a Backup System

I can't emphasize enough how important it is to maintain good backups for your data. Here are a few tips to keep in mind:

  • Develop your own strategy based on the hardware and software you have or can afford to purchase. At the least, make sure that your critical data files are protected.

  • Make sure that backing up is easy. If you have to do a lot of work to back up or if it takes a lot of your time, you won't end up keeping up-to-date backups. Ideally, you want to be able to do unattended backups; a tape drive and a copy of Retrospect are your best bet.

  • Be consistent. Whatever strategy you decide upon, keep up with it. Old, out-of-date backups are not much better than no backups.

  • Always refresh your backups before you install any new software or make major changes to your system. This will enable you to recover data if the changes you make to your system cause problems.

  • Make sure that you test your backups regularly. Try to restore a file or two to make sure that everything is working properly. If you don't, you might get a nasty surprise when you really need to restore some data.

  • Maintain your equipment. Almost all equipment needs some kind of maintenance now and again, so follow the manufacturer's guidelines to keep your system in top condition.

  • Maintain more than one set of backups. Create multiple copies of your backups in case something happens to one set.

  • Keep a set of backups offsite. Keep a copy of your backups in a different location than your Mac is in. This will save you in the event of a catastrophic event such as fire or theft.

NOTE

Archiving is slightly different from backing up. Backing up is done mostly for the "active" data on your Mac, whereas archiving is done with data you don't really need to work with anymore. Fortunately, you can use your backup system to archive data as well. For archiving smaller documents, a CD-RW drive is a good choice because the media is very cheap and relatively permanent. For larger amounts of data, a DVD-R disc is a good way to archive. When you archive, you want to use a solution that won't degrade over time. In this case, an optical media is a better choice than magnetic media, such as a tape.

Maintaining Alternative Startup Disks

One of the most important tasks you need to be able to do reliably and quickly is to start up from an alternative startup volume. There are several situations in which you might need to do this. For example, if you find problems on your current startup volume, you will need to start up from another volume to be able to repair that volume. If something happens to your startup volume such that your Mac can no longer use it, you need to be able to use an alternative startup volume to get your Mac running.

There are several possibilities for alternative startup volumes; you should maintain at least one, and preferably two, of the following options:

  • Your Mac OS X installation disc You can always use the disc that contains the Mac OS X installer as a startup volume. It contains the basic software you need in order to start up your system and to repair the system software it contains. One downside to this is that any updates you have applied to your active system are not included in the version on the CD.

  • An alternative Mac OS X installation on a different volume It is a good idea to install a backup installation of Mac OS X on a different volume from the one that you use for your primary system—if you can spare the disk space required to do so. Ideally, this alternate volume will be located on a separate disk (not just a separate volume) from your primary installation.

    TIP

    If you choose to install a backup version of Mac OS X on an alternative startup volume, you should delete any applications in that Mac OS X installation that you won't need to use when you are started up from that volume. This will reduce the storage space that it consumes. You also should start up from the volume and run Software Update every so often to keep the alternative startup volume current.

  • Third-party application discs Many third-party applications, such as disk maintenance, antivirus, and backup software, include CDs that contain system software you can use to start up your Mac. These discs also enable you to run the application software with the idea that you will be able to correct a problem that has prevented you from starting up your system from the primary startup volume.

To start up your Mac from an alternative volume, restart the machine and hold down the Option key. After a few moments, each valid startup volume will appear. Select the volume from which you want to start up and press Return (or click the right-facing arrow).

TIP

You can refresh the list of available startup volumes by clicking the Refresh button (its icon is a curved line with an arrowhead).

NOTE

As always, you can start up your Mac from a CD by holding down the C key while the machine is starting up.

Building and Maintaining a Mac Toolkit

One of the best maintenance-related tasks you can do is to assemble and maintain a Mac toolkit. In times of trouble, this toolkit can enable you to get back to work quickly. Not having to find your tools in times of trouble will also reduce the stress you experience. Following are some fundamental items you should keep in your toolkit:

  • Your system configuration When you need help or are considering adding something to your system, having a detailed understanding of your system is very important. Use the Apple System Profiler application (in the Applications/Utilities directory) to generate a report on your system. Print that report and keep it handy (in case you can't generate it when you need to).

    For more information about Apple System Profiler, see "Using the Apple System Profiler to Create a System Profile," p. 814.

  • Up-to-date backups Your toolkit should include everything you need to restore as much of your system as possible.

  • A disk maintenance application You need one of these applications to solve disk problems you might encounter. Examples are Tech Tool Pro and Disk Warrior.

    CAUTION

    When selecting a disk maintenance application, make sure you get one that is written for Mac OS X. Using one designed for an older version of the OS can be harmful to your Mac and its data.

  • An antivirus application You'll need this to protect your machine from infection and in the event that your system becomes infected.

  • Your Mac OS X installation CD Sometimes, this is the only thing that will get your Mac started again.

  • Your original application CDs, serial or registration numbers, and updates You should maintain the current versions of all your applications by maintaining the CDs on which they came. You should also create CDs or DVDs containing updates to those applications along with any applications you download from the Internet. Finally, make sure that you have a list of the serial or registration numbers for your applications so that you can restore them if needed. (You'll learn more about this in the next section.)

TIP

Consider devising some secure way to record passwords, usernames, serial numbers, and other critical data so that you don't have to rely on memory to retrieve such information when you need it. Although keeping such information in hard copy is usually not advised, some people find it safer to develop and use some sort of code for this information and then have a hard copy of the encoded information handy.

Maintaining Your Applications

Along with the system software, you should also maintain the applications you use. It is good practice to regularly check for updates for the applications on which you rely. There are several ways to do this, including the following:

NOTE

Many applications include the ability to go online to check for updates, either automatically or manually. For example, most Adobe applications can check for updates to keep you informed when new versions or patches are available.

  • Company mailing lists Some publishers maintain a mailing list for each application. Updates are announced in the mailing list and the link to get to the update is provided.

  • Company Web sites Software publishers announce updates to their applications on their Web sites. Typically, you can check for and download updates from the Support area of a publisher's Web site.

  • Mac news Many Mac news sites and mailing lists include information about updates to popular applications.

  • Version Tracker Most Mac applications are listed on www.versiontracker.com. You should regularly check this site to look for application updates and patches.

NOTE

As with the system software, it is sometimes wise to let a few days or a week pass after an update is released before you download and install it in case problems are introduced by the update.

You should also organize your applications and make sure that you have all the registration and serial number information you need for each application. It is amazing how easy it is to lose this information; getting it from the publisher can be a time-consuming task. Consider making a list of each application along with its serial number or registration number and keeping that list with the original CDs for your applications. When you need to re-install an application, this list will be a great timesaver.

Downloading Applications

If you obtain an application by downloading it rather than getting it on a CD, you should store the application installer so that you can re-install it even if the publisher withdraws the installer for some reason (for example, sometimes the installer for one version is removed if a newer version is released). You can save hard drive space by placing these installers on a DVD-R or CD-R disc and storing that disc with your other application CDs.

You should also maintain the installer for any updates or patches that you download and install so that you can return the application to its current condition if anything happens to the version you have installed.


Securing Your Mac

An important preventive maintenance task is to protect your Mac from other people who use it or from those who access its files from a network. You can also use keychains to help you manage your own security information.

Securing Your Mac with User Accounts

You should create user accounts for everyone who uses your Mac. In addition to the features that user accounts provide, such as a Web site and well-organized file storage, user accounts prevent unauthorized users from changing the system configuration of your machine.

To learn how to create and configure user accounts, see "Creating User Accounts," p. 22.

Securing Your Mac with Privileges

For those who access your Mac over a network, you can control the access to specific items by setting privileges for those items. You can control access in several levels of privilege from not being able to even see the item to being able to read and write to it.

To learn how to configure privileges, see Chapter 25, "Building and Using a Network," p. 721.

Securing Your Mac with Keychains

For security and other reasons (such as making online shopping more convenient), you need usernames and passwords to access network resources, whether those resources are on a local network or on the Internet. After using even a few of these, you will have a large collection of usernames and passwords. Remembering these can be a challenge. Fortunately, your Mac lets you store all your usernames and passwords in a keychain. You can then apply your keychain to whatever resource you want to use and the appropriate information is provided so that you can access what you need. All you need to remember is the password, called a passphrase, which unlocks your keychain.

You can configure your keychain so that you can gain automatic access to secured resources during each working session. To secure those resources again, you can lock your keychain, which means that the passphrase must be entered for that keychain to be applied.

Before you can use a keychain, one has to be created. A keychain is created automatically for each user account you create. However, you can create additional keychains for specific accounts if you need to.

To use a keychain, it must be unlocked. To unlock a keychain, you enter its password when you are prompted to do so. When you log in to your user account, the default keychain for that account is unlocked automatically.

Adding a Keychain

Sometimes, you might want to add a keychain to your current account. For example, if you create a new user account, you might want to move your current keychain to the new account. You can add a keychain to your user account using the following steps:

  1. Open the Keychain Access application (Applications/Utilities directory). You will see a keychain that is called by the short name for your user account (see Figure 27.5). In the keychain's window, you will see a list of all the usernames and passwords that are stored in it, and the date that each was created or modified.

    Figure 27.5. This keychain can access the items listed in the window; several are for various e-mail accounts.

  2. To add a keychain, choose File, Add Keychain.

  3. Locate the keychain you want to add, select it, and click Open. The keychain will be added to your user account and you will be able to access the resources contained in it.

You can see all the keychains installed for your user account by choosing View, Show Keychains. A drawer will appear and each keychain installed in your user account will be listed. Locked keychains are marked with the closed lock icon. Open keychains have the open lock icon.

Adding Items to a Keychain

After you have created a keychain, you can add items to it in the following ways:

  • When you access a network resource, such as a file server, look for the "Add to Keychain" check box. When you check this, the username and password for that resource will be added to your keychain.

  • Drag a network server onto the Keychain Access window.

  • Drag the Internet Resource Locator file for a Web page onto the Keychain Access window.

  • Manually create an item.

TIP

You can create an Internet Resource Locator file by dragging the icon next to the URL for that resource from the Internet application to your Mac. For example, in Internet Explorer, the icon appears immediately to the left of the address in the address bar. When you drag this icon onto your Mac, an Internet Resource Locator file is created. Open this file to move to the source at which it points.

NOTE

If a Web site uses a cookie to store information about your account (usually sites that don't include sensitive information in your account) and you enable your browser to accept cookies, you don't need to add it to your keychain.

One of the best uses of a keychain is to store user accounts and passwords for Web sites you access. The simplest way to add such an item to your key is to use drag and drop.

CAUTION

For the drag-and-drop method to work, your username and password must be encoded in the URL for which you create an Internet Resource Locator. If it isn't, when you access that item, you won't be logged in to your account.

  1. Open the Web page you want to add to your keychain.

  2. Drag its Internet Resource Locator icon from the Web browser to your keychain. This icon is located near the URL in the Address bar. You will be prompted to enter the username and password for the site.

  3. Enter the username and password for the site, and click Add.

CAUTION

Not all applications support keychain access. If a particular application or resource doesn't support keychains, you won't be able to access that resource automatically. However, you can still use Keychain Access to store such an item's username and password for you, thus enabling you to recall that information easily, and it is stored more securely than writing it down on a piece of paper.

To manually add an item to your keychain, perform the following steps:

  1. Open Keychain Access.

  2. Open the keychain to which you want to add the item (your default key is opened automatically) by choosing Keychains and then the keychain you want to change.

  3. Choose File, New, New Password Item to see the New Password Item dialog box.

  4. Enter the name of the item in the Name box. If you are adding an Internet resource, such as a Web page, enter its URL.

  5. Enter the username for the item in the Account box.

  6. Enter the password for the item in the Passphrase box.

  7. Click Add. You will return to the keychain's window and see the new item you added, and you will be able to access that item using your keychain.

TIP

You can set the default keychain for your user account by opening the keychain you want to make the default one and choosing File, Make "keychain name" Default.

Using a Keychain

When you have a keychain configured for an account and it is unlocked, you can access the items that it contains without entering your username or password. For example, when you open a server, it will open for you immediately.

NOTE

By the way, this is how Mac OS X can access your .Mac account without you having to log in each time. When you create a .Mac account, it is added to the Keychain for the Mac OS X user account related to it. Mac OS X can use this Keychain to access the .Mac account without requiring that you log in manually.

To prevent a keychain from being accessed, lock it. Do so by opening the keychain and choosing File, Lock keychain name.

To unlock a keychain again, click its Unlock button and enter the password for that keychain.

NOTE

If the keychain isn't open, select it from the Keychains menu, enter the password, and click OK to unlock it.

Your keychains are stored in the Library/Keychains folder in your Home directory. You can add a keychain from one account to another account by moving the keychain file to a location that can be accessed by the second account. (For example, you can copy your keychains into the Public folder of your Home directory to enable other users to add that keychain to their own accounts.) To add a keychain to a user account, open Keychain Access under that account and use the Add button. This is useful if you want to be able to use the same keychain from several accounts. To remove an item from your keychain, select it and click Remove.

Getting Information About Keychain Items

If you are using keychain items to store information, you can get information about a keychain item. Or, you might want to get information about a keychain item to see the details about what it accesses.

TIP

Earlier, I mentioned that you should find a secure way to store password and serial number information for software. You can use Keychains to do this even if you don't actually use the Keychain to access the item. For example, you can create a Keychain item for a piece of software that you use to store that software's serial number. To do this, click the Password button to create a new Keychain item, enter the name of the application, and then enter the serial number as the passphrase. Whenever you need this information, select the item and then check the "View passphrase" check box. After you unlock the item, the serial number will appear in the passphrase field. This is a secure way to store this type of information. Of course, if something happens to your Keychains, the data will be lost too so make sure that you have it backed up.

  1. Select the keychain item about which you want information. Its information will appear in the Attributes tab (see Figure 27.6).

    Figure 27.6. You can use the Attributes tab to see information about an item installed in your keychain.

  2. Check the "Show passphrase" check box.

  3. Confirm the passphrase by entering it at the prompt and choosing to allow access to the item. When you return to the Attributes tab, you will see the item's password.

  4. Click the Access Control tab. You will see a list of each application that has access to the keychain item.

  5. Use the access controls in the window to control which applications can access this item (see Figure 27.7). In Figure 27.7, you can see that Microsoft Entourage has access to the selected keychain item.

    Figure 27.7. You can determine which applications can access a keychain item by using the Access Control tab.

  6. To allow access to the item without warning, check the "Always allow access to this item" radio button.

  7. To allow access, but require confirmation, click the "Confirm before allowing access" radio button, and check the "Ask for Keychain password" check box if you want to be prompted for your keychain's passphrase before access is allowed.

  8. To enable an application to access the keychain item, click the Add button and select the application to which you want to provide access. Then use the preceding two steps to configure the access that the application has to that item.

  9. To remove an application's access to the item, select the application and click Remove.

The Keychain Access application has various other useful features, such as the following:

  • The Note function is used to store information in the keychain that you want to protect. For example, you can use secured notes to store serial number and registration information for applications. Your keychain's passphrase will be required to access the information stored in the note.

  • You can access a keychain item for an Internet or network location, by selecting the keychain item and clicking the Go button in the Keychain Access toolbar.

  • When prompted to enter the passphrase for a keychain, such as when an application needs to access a keychain item, you can click the Always Allow button to avoid this prompt in the future. When the application needs to access the keychain, it will be able to do so automatically.

  • In the keychain access prompt, you can click the Show Details link to expose the details of the keychain access being requested.

  • The Keychains button in the toolbar provides you with a list of all the keychains installed for your user account.


Defending Your Mac from Net Attacks

The Internet is a major source of threat to the health and well-being of your Macs and the network to which they are connected. You face two fundamental types of threats: viruses and hackers. Although viruses receive more media attention, it is easier to defend against viruses than against attacks from hackers. However, with some relatively simple activity, it is possible to protect yourself from either threat.

Defending Your Mac from Virus Attacks

No matter what level of computer user you are, because of the extensive media hype about viruses, you are likely to be keenly aware of them. Although many viruses are relatively harmless, some viruses can do damage to your machine. Part of practicing smart computing is understanding viruses and taking appropriate steps to protect your machine from them.

CAUTION

Under previous versions of the Mac OS, there were many fewer viruses on the Mac platform than for Windows or other operating systems. However, because Mac OS X is based on Unix, it is possible that Unix viruses will be a threat to machines running Mac OS X. Until this threat is more fully understood, Mac OS X users would do well to pay additional attention to virus threats.

Understanding the Types of Viruses

Although there are many types of individual viruses, there are two major groups of viruses of which you need to be aware:

  • Application viruses These viruses are applications that do something to your computer. What they do might be as harmless as displaying a silly message, or as harmful as corrupting particular files on your hard drive.

  • Macro viruses A macro virus can be created in and launched by any application that supports macros (such as the Microsoft Office applications). When you open a file that has been infected by a macro virus, that virus (the macro) runs and performs its dirty deed.

Covering the multitude of viruses that are out there is beyond the scope of this book, and besides, there is no real need to become an expert on the viruses that exist. It is more important that you understand how to protect yourself from these viruses and be able to recover from an infection should one occur.

Preventing Virus Infection

I hate to use this cliché, but when it comes to viruses, an ounce of prevention is indeed worth a pound of cure. The main way to avoid viruses is to avoid files that are likely to have viruses in them. Following are some practices to help you "stay clean":

  • Find and use a good antivirus software program; keep the virus definitions for that application up to date.

  • Be wary when you download files from any source, particularly e-mail. Even if an e-mail is apparently from someone you know, that doesn't mean that attachments that it contains are safe. Some users will unknowingly transmit infected files to you (especially beginning users). Some viruses can use an e-mail application to replicate themselves. Before you open any attachment, make sure that it "makes sense" given who the recipient is.

  • When you do download files, download them from reputable sites, such as magazine sites or directly from a software publisher's site. These sites scan files for viruses before making them available so your chances of getting an infected file are lower. Remember the expression "Consider the source."

  • After you download a file, run your antivirus software on it to make sure that it isn't infected. Most programs let you designate the folder into which you download files and will automatically check files in this folder.

Identifying Virus Infection

Even with good preventive measures, you might occasionally become infected. Hopefully, you will find out that you have been infected by being notified by your antivirus software—that means it is doing its job. But if you suddenly notice that your computer is acting peculiarly, you might have become infected. What does acting peculiarly mean? Viruses can have many different effects on your computer; some of the more common effects are the following:

  • Weird messages, dialog boxes, or other unexpected interface elements Sometimes viruses make themselves known by presenting something odd onscreen. So, if you suddenly see a strange dialog box, you may have stumbled across a virus (for example, one of the Word macro viruses causes a happy face to appear in Word's menu bar). They can also cause menu items to disappear or to be changed in some way.

  • Loss in speed Viruses often make your computer work more slowly.

  • Disappearing files Some viruses cause files to be deleted or hidden.

  • Errors Many viruses will cause various errors on your computer and will prevent applications from working properly. If you haven't changed anything on your machine for a while, and you suddenly start experiencing errors, you should check your computer for a possible infection.

Using Antivirus Software

Although the best defense against viruses is being very careful about the files you transfer onto your machine, you should also obtain and use a good antivirus application. Good antivirus applications generally perform the following functions:

  • Monitor activity on your computer to identify potential infection.

  • Periodically scan your drives to look for infections.

  • Notify you if an infection is discovered.

  • Repair the infected files and eliminate the virus.

  • Delete infected files if it is not possible to repair them.

  • Enable you to identify particular folders that they should scan automatically, such as the folder into which you download files.

  • Update themselves automatically.

NOTE

Most viruses are identified by their code. The antivirus software knows about the virus's code through its virus definition file. As new viruses appear, this virus definition file needs to be updated so that the new viruses will be recognized as being viruses. You can usually obtain an updated virus definition file from the Web site of the manufacturer of your antivirus software. Most programs automate this process and can update the virus definition at intervals that you set.

NOTE

One of the important things to look for in an antivirus program is that it can detect and repair macro viruses. Macro viruses are easy to create and spread, and some of them are quite nasty.

As with previous versions of the Mac OS, there are several major antivirus applications, which include Norton AntiVirus for Mac and Virex.

These applications provide most of the features in the previous list, and they work well. You should obtain and use one of these applications to protect your Mac against viruses and to repair your Mac should it become infected.

If you have a .Mac account, you can download a free copy of Virex. When you download and install Virex, you can keep its virus definitions current and you can access other virus resources as well.

To get more information about Virex and to download it (if you have a .Mac account), visit www.mac.com.

Viruses and You

Frankly, viruses are less of a problem than they appear to be from the tremendous amount of media hype that they receive. Most of the time, you can protect yourself from viruses by being very careful about the files you receive in e-mail or download from the Web. Because the only way for a virus to get onto to your machine is for you to accept a file in which it is contained, you can protect yourself from most viruses by using common sense. For example, if you receive an e-mail containing an oddly titled attachment (such as the famous I Love You file), you should request more information from the sender before you open the file or simply delete the message.

Adding and using an antivirus application will make your machine even safer, but if you are very careful about downloading files, you might find that you can get by just fine without one.

Defending Your Mac Against Net Hackers

If you have a broadband connection to the Internet such as a cable or DSL modem, being attacked by hackers is a much more real threat than are viruses. And with a broadband connection, you will be attacked, daily if not hourly or even more frequently. Hackers are continuously looking for machines that they can exploit, either to do damage to you or to use your machine to do damage to others (such as using your machine to launch a spam attack). Most of these attacks are carried out by applications, so that they can be both automatic and continuous.

CAUTION

Never expose a machine containing sensitive or production data to a broadband connection without protecting that machine from network attack. Doing so makes everything on such a machine vulnerable to exposure to a hacker, and the machine itself can be used to carry out attacks on other networks and machines.

There are two fundamental ways you can prevent your Mac from being hacked through your broadband Internet connection: Use a server/hub to isolate the machines on your network from the outside world or use a software firewall to protect each machine on the network from attack.

Using a Server and Firewall to Protect Your Network

You can isolate the machines on your network from attack by placing a physical barrier between them and the public Internet. You can use a Dynamic Host Configuration Protocol (DHCP) server that provides Network Address Translation (NAT) protection for your network, or you can add and use a hub that contains a more sophisticated firewall to ensure that your network can't be violated. A benefit to these devices is that you can also use them to share a single Internet connection.

To learn how to install and use a DHCP server or firewall, see Chapter 26, "Sharing an Internet Connection," p. 755.

NOTE

One of the easiest and best ways to protect machines on a local network from attack and to share an Internet connection is to install an AirPort Hardware Access Point. These devices provide NAT protection of any computers that obtain Internet service through them, and for most users, this is an adequate level of protection from hacking.

Using a Software Firewall to Protect Your Network

You can also install and use a software firewall; a software firewall prevents unexpected access to your Mac from the Internet. Software firewalls can be quite effective and might be the best solution if you have only a single Mac connected to the Internet.

CAUTION

Unlike a hardware firewall or NAT hub, a software firewall must be installed on each computer that is attached to your network.

A software firewall works by blocking access to specific ports on your Mac; these ports are linked to specific services. If hackers can access these ports on your machine, they can use them to attack your machine directly to launch attacks on other computers, servers, and networks (such as Denial-of-Service attacks, in which a system is overloaded by repeated requests from many machines).

Because Mac OS X is based on Unix, it has built-in firewall protection. You can enable this firewall to protect a Mac from Net attacks.

  1. Open the System Preferences utility.

  2. Click the Sharing icon to open the Sharing pane.

  3. Click the Firewall tab.

  4. Click the Start button. The firewall will begin working and will block inappropriate requests for access to your Mac (see Figure 27.8).

    Figure 27.8. Enable Mac OS X's built-in firewall by clicking the Start button on the Firewall tab.

    CAUTION

    To enable a service to access your Mac through the firewall, you need to enable the service on the Services tab first.

  5. If you want to enable specific ports for a service that you are allowing access through the firewall, select the service and click Edit. (You can't change the ports for built-in services, such as personal file sharing.)

Only the services you allow will be permitted to access your Mac. All others will be denied. This provides more than adequate protection for most Mac users.

You can gain more specific control over the firewall if you choose to. However, configuring this firewall directly requires a fairly complete understanding of Unix and firewalls and requires more energy and time than most Mac users will care to spend on it. A better solution is to use an application that provides an interface for the firewall so that it is much easier to configure.

One such application is Brian Hill's Brickhouse.

NOTE

To download a copy of Brickhouse, go to www.versiontracker.com and search for it.

NOTE

Brickhouse is shareware; the registration fee is $25. If you use the application, you should register it by going to http://order.kagi.com/?5MG.

Using Brickhouse to protect your Mac requires two tasks: install the application and then configure it. After it is running on your machine, you can use its log feature to monitor attacks on your machine.

NOTE

Brickhouse includes documentation that provides details about how to use it. You can access this information by choosing Help, Brickhouse Help. You should refer to this help to get more detailed information about how to configure the firewall than I have room to provide here.

Install and configure Brickhouse with the following steps:

  1. Download, decode, and uncompress the Brickhouse application; install it on your machine (such as in the Applications folder).

  2. Launch the application (see Figure 27.9). When the application opens, it will be in the Quick mode, which provides a GUI interface that enables you to easily configure the firewall settings. The Brickhouse window has two areas. The Ethernet/LAN Options area provides settings for services that are accessed via an Ethernet network. The PPP Options area enables you to configure firewall settings for services that are accessed via a dial-up or PPPoE connection.

    Figure 27.9. You can protect services accessed over your Ethernet network by using the controls in the Ethernet/LAN Options area; use the PPP Options area to configure your firewall for a dial-up or PPPoE connection.

  3. Click Apply to apply the configuration to your Mac.

  4. Use the Monitor by pressing [image] +2 to see the activity that is being allowed or denied (see Figure 27.10).

    Figure 27.10. Brickhouse keeps you informed about the activity that is passing over your Internet connection.

  5. If you are satisfied with the level of protection, click Install to activate that protection each time that your Mac is restarted.

TIP

You can learn more about each service listed in the Configuration window by pointing to it and reading the information window that pops up.

Following are some other features of Brickhouse you should explore:

  • Expert mode If you click the Expert button, you can use the command line to configure the firewall.

  • Monitor The Monitor window displays the activity of the firewall at specific points in time so that you can assess how it is working. You can see the traffic across specific services, whether it has been allowed or denied, the amount of data transferred and so on. Using the Monitor is a good way to get familiar with what the firewall does.

  • Settings You can use the Settings tool to create, use, and manage different sets of firewall configurations.

  • Firewall Log You can log the activity on your firewall in order to have a record of it. This is disabled by default. To enable it, open the Firewall Log window (press [image] +4) and click the Enable button. When you are under frequent attack, this log can become large quickly, so after you are sure that the firewall is providing the protection you need, you should disable it again.

NOTE

One of the services most used by hackers is the Network News Transfer Protocol (NNTP). If you don't use this service, you should make sure that it is disabled by Brickhouse.

After you have applied and installed the firewall configuration, its protection remains on until you disable it. The configuration you install applies to all user accounts for your Mac; in other words, this is a system-level service, not a user account level service.

The firewall configuration is stored in the directory Mac OS X/Library/StartupItems/Firewall, where Mac OS X is your Mac OS X startup volume.

You can disable the firewall by deleting this directory or by choosing Options, Remove Startup File from within Blockhouse.

You can also control the firewall directly by using the command-line interface. You can do this from within Brickhouse by choosing Options, Expert Configuration or by clicking the Expert button. In the Brickhouse window, you will be able to directly enter commands. To see how the current configuration translates into commands, click the Import Current button (see Figure 27.11). You can modify the commands directly in this window and apply them just as you would apply settings using the GUI window.

Figure 27.11. You can configure the firewall by typing commands in the Expert mode.

TIP

You can also configure the firewall in the Terminal application. To see the commands that are available, in the Terminal, type man ipfw.

To learn about using Unix commands, see Chapter 9, "Unix: Working with the Command Line," p. 213.


Chapter 28. Solving Mac Problems

In this chapter

Handling Mac Problems

Understanding the Causes of Problems

Preventing Problems

Assessing Your Mac

Solving Problems


Handling Mac Problems

Even though Mac OS X is more stable than any previous version of the Mac OS, it is inevitable that you will experience problems. You might experience crashes or hangs, or an application just might not work the way it is supposed to. You might even experience minor annoyances, such as having to do something in several steps that should require only one. In any case, one of these days, you will run into a situation that requires you to troubleshoot and solve a problem.

Dealing with a problem, especially related to Mac OS X, can be intimidating even if you are a "power user" because there is so much going on that you might not understand. Although the top-level Mac interface is still relatively simple and intuitive, the Unix underpinnings of the OS have added a tremendous amount of complexity to the operating system. Nowhere is this more apparent than when you are trying to solve a problem. As you use the various tools that are part of Mac OS X to diagnose and solve a problem, you are likely to run into information that doesn't make much sense to you—unless you have lived in the Unix world for a long time, in which case you will feel right at home. However, the rest of us Mac users must do without most of the problem-solving tricks that worked so well in previous versions of the OS. Instead, we need to learn a new bag of tricks for those times when things aren't going our way.

NOTE

Some of the most common troubleshooting techniques under previous versions of the Mac OS, such as rebuilding the desktop, managing RAM, and so on, are no longer applicable under Mac OS X.

Fortunately, you don't need to be a Unix expert to be able to troubleshoot and solve Mac OS X problems. Mostly, what is required is the ability to carefully observe what is happening and to be able to follow logical trails. Being able to communicate clearly to others is also very important when you need to get help from someone else.

From the title of this chapter, you might be under the impression that you will be seeing many solutions to specific Mac problems you might encounter. If that is your expectation, I must be up front with you here. There simply isn't room in this book to provide lists of problems and solutions that would be detailed enough to help you with the specific problems you will face.

Instead, the purpose of this chapter is to help you learn how to troubleshoot Mac OS X problems in general. You can then apply the techniques and tools you will learn about in this chapter to any problems you face; these techniques will help you solve problems on your own. In the long run, the strategies you need to know in order to solve problems will be much more useful to you than lists of problems that might or might not include those you experience.

NOTE

The goal of this chapter is to help you learn general problem-solving techniques, but solutions to specific problems you might encounter are explained in the Troubleshooting sections in many chapters of this book.


Understanding the Causes of Problems

The causes of the problems you experience will be one—or a combination—of five general types of problems:

  • User error

  • Bugs

  • Conflicting software

  • Attacks on your system

  • Hardware failures

Each of these problems is detailed in the sections that follow.

User Error

The results of many investigations into aviation accidents can often be summed up with the phrase "pilot error." Similarly, this is often the case with an "accident" in the Mac world. Many problems are the direct result of a user (this means you) doing something improperly—or not doing something properly. Some of the things you might do to cause problems for yourself are the following:

  • Not following instructions This is the big one. Many times, you will cause your own problems simply because you fail to follow the instructions provided with software or hardware. You should become a believer in the old adage "If all else fails, follow the instructions."

  • Operating a machine past its limits If you know that a particular application requires a computer with a G4 processor, but you try to run it on a G3-equipped Mac, you are bound to have troubles. If you live on the edge of your machine's capabilities, you will have more problems than you might with a more capable machine.

  • Not doing proper maintenance on your system If you don't keep an eye out for patches and updates to Mac OS X as well as the applications you use, you might experience more problems than you have to. Take advantage of the many ways in which you can keep your system up-to-date. For example, Mac OS X's Software Update feature can help you keep your system and all your Apple applications current.

  • Not keeping enough free space on a drive This is a fairly common cause of problems. All drives need to have free space in order to be able to store files, sometimes temporarily. If a drive is full, or very close to being full, you will have problems as you try to store more data on it. This can be even a bigger problem under Mac OS X because virtual memory is always on—low disk space can cause problems related to insufficient RAM as well.

Bugs

Sometimes the cause of a problem is a "bug" inherent in the design of the products involved. The bug can be a design flaw, a manufacturing problem, or a conflict with some other part of your system. Although companies often do the best they can to prevent bugs, there is usually no way to prevent all the possible bugs in a product. Many bugs aren't revealed until a piece of software or hardware is combined with some other pieces of hardware or software.

Conflicting Software

One of the most common causes of problems is conflicting software. Some programs just don't play well with others. Conflicts are often associated with system-level applications and resources because they modify the low-level operations of the system. However, applications can also conflict with one another and cause you headaches.

Because Mac OS X features protected memory, these types of conflicts are much less common under Mac OS X than they were under previous versions of the Mac OS. Because of protected memory, you aren't likely to experience any conflicts between applications. However, there is still the potential for conflict between software that modifies the system and the core OS.

Attacks on Your System

There are two primary sources of attacks on your system that come from the outside: viruses and hackers. Viruses can cause all sorts of problems from simple and silly messages appearing to strange dialog boxes to major system crashes and even data deletions or hard disk failures. However, viruses that do serious damage have been traditionally fairly rare on the Mac, but because Mac OS X is based on Unix, it remains to be seen whether viruses will be a more significant source of concern than they have been traditionally for Mac users. Fortunately, viruses are among the easier problems to avoid. On the other hand, if you use a broadband connection to the Internet, your Mac will be subjected to all sorts of hackers who want to do damage to you or to others. These are definitely the more serious of the two possible sources of attacks.

NOTE

Although attacks are normally associated with someone from outside your local network, this is not always the case. Sometimes, even unknowingly (such as in an e-mail-based virus attack), users on your local network can wreak havoc on your system. The proper use of user accounts and permissions and a bit of paying attention will go a long way toward preventing incursions on your Mac from a local user.

To learn how to defend yourself against these attacks, see "Defending Your Mac from Net Attacks," p. 800.

Hardware Failures

The most unlikely cause of problems is a hardware failure. Although hardware does fail now and again, it doesn't happen very often. Hardware failures are most likely to occur immediately after you start using a new piece of hardware or close to the end of its useful life. Sometimes, you can induce a hardware failure when you upgrade a machine or perform some other kind of maintenance on it; for example, if you install new RAM in a machine, but fail to seat a RAM chip properly.

The most common problems associated with hardware devices are actually related to the device drivers that enable the OS to communicate with the device.


Preventing Problems

It is better to prevent problems than to try to solve them. Following are three techniques you can employ to minimize the problems you experience:

  • Maintain your Mac properly and protect it. This will go a long way toward minimizing your problems.

    For information about protecting and maintaining your Mac, see Chapter 27, "Maintaining and Protecting Your Mac," p. 773.

  • Be cautious about upgrades, updaters, and other changes to the system software or applications. Generally, you should wait a period of time after an upgrade is released before putting it on your system. You should always carefully evaluate the benefits of a new version of an application versus the potential for problems that it might introduce. This holds true for updaters and patches as well. If you are not experiencing the problems that are solved by an updater or patch, you might be better off without it.

    You should try to keep a log that records the date and time when you do make significant changes to your system, such as adding new software, changing network settings, and so on. Such a log can help you identify possible causes of problems when there is a time lag between when you make a change and when problems occur. Mac OS X's Software Update feature maintains such a log for you automatically. But when you make changes outside of that tool, you will have to record the relevant information manually.

    TIP

    If you support more than one computer, it is a good idea to have a test system on which you can install new software to test for a while before exposing other systems to it.

  • Make as few changes as possible at one time. There are at least two reasons why you should make changes to your system (such as installing software, making major configuration changes, and so on) incrementally. The first and most important is that making multiple changes at one time can obscure the cause of problems. For example, if you install three or four applications at once and then experience problems, it will be difficult to determine which of the applications you installed is causing the problem. The second reason is that sometimes making multiple changes at once will cause problems for you. When you change something significant, go slowly and take one step at a time. Introduce changes only after you are fairly sure that the changes you previously introduced are working properly.


Assessing Your Mac

Key to being able to troubleshoot and solve problems that you can't prevent is to be able to accurately and precisely assess how your Mac is performing and to know the specific configuration of your system. Mac OS X offers many more diagnostic tools than previous versions of the OS; however, several of these tools are quite complicated. Still, even if you might not be able to interpret all of their output, people who are trying to help might be able to, so even in this case it is useful for you to know how to use them. You should understand how to use these tools before you need them.

NOTE

If you choose Apple menu, About This Mac, you will see a window displaying the version of Mac OS X you are running, the amount of RAM installed in your machine, and the specific processors that it contains. In previous versions of the Mac OS, you could also get information about the RAM allocations for the applications running on your machine, switch among applications, and so on. Because Mac OS X manages RAM for you, this information is no longer valid, so the About This Mac window no longer serves the purposes that it once did. However, for a quick insight into these major system parameters, it is a useful reference.

TIP

If you click the Mac OS X version number shown in the About This Mac window, you will see the specific build number of the version you are using. Click this information and you will see your Mac's serial number.

Using the Apple System Profiler to Create a System Profile

For quite some time, the Mac OS has included the Apple System Profiler application. This application enables you to get a detailed view into your system at a particular point in time.

To create a profile of your system, perform the following steps:

  1. Launch the Apple System Profiler (Applications/Utilities directory). The Apple System Profiler provides a window with six tabs; each tab provides information about a specific aspect of your system (see Figure 28.1).

    Figure 28.1. The System Profile tab of the Apple System Profiler provides an overview of your hardware and system software.

    TIP

    You can open the Apple System Profiler by clicking the More Info button that appears in the About This Mac widow.

  2. Click the tab for the part of the system about which you want information. One of the more useful tabs is the Devices and Volumes tab, which provides you with information about the PCI, USB, FireWire, and storage devices that are part of your system (see Figure 28.2).

    Figure 28.2. The Devices and Volumes tab provides very useful information about the various devices that are part of your system.

  3. View the information you need; use the Expansion triangles to expand or collapse specific information.

The six tabs shown in the Apple System Profiler window provide the following information:

  • System Profile This tab contains information about the fundamental hardware and software in your system. You will see detailed information about the current system software you are using, your Mac's hardware configuration, the RAM installed, and information related to Ethernet and AirPort networks of which you are a part.

  • Devices and Volumes This tab provides information about the devices and volumes on the major external and internal buses in your system. For example, you can see how each hard disk is partitioned, get a listing of each device attached to the USB ports, and so on. Expand each device or volume to get more detailed information.

  • Frameworks This tab lists the Mac OS X frameworks installed on your startup volume. You see the name of the framework, its version, when it was last modified, its Info String (which can sometimes tell you more about the framework), and its location.

  • Extensions On this tab, you will see the Mac OS X extensions that are installed on your startup volume. The information available for each is similar to that available for frameworks.

  • Applications This tab locates and displays information about the applications installed on your startup volume. You see the application name, version number, modification date, Info String, and location.

  • Logs [image] This tab provides access to various error and other logs created by the system and individual applications. Each log can be expanded to reveal its detail. For example, in Figure 28.3, you can see the detailed information about a Word crash that happened to me. The information in these logs is quite technical. However, if you need to ask for help, being able to access these logs can enable you to provide more specific information to the person trying to help you and might result in a problem being solved more quickly.

    Figure 28.3. Log files, such as this detailed information about a Word crash, can be quite useful when you are troubleshooting problems.

TIP

You can copy log information from the Apple System Profiler window and paste it into other applications. For example, if you are getting help, it might be helpful to copy the log information for the problem you are experiencing and e-mail it to the person who is helping you.

The Apple System Profiler Commands menu contains some additional commands that might be useful to you. For example, Window, Refresh causes Apple System Profiler to refresh all of its information.

Using the Process Viewer to Understand and Manage Processes

To provide services, your Mac runs many processes. These processes fall into three categories. User processes are those that are related to your user account, such as running an application. Administrator (also called root) processes are those that are fundamental to the OS and are controlled by the OS, such as the Desktop database. NetBoot processes are those related to network services, such as Apple File Server.

The Process Viewer application enables you to get detailed information about any process that is running on your Mac at any point in time. This information can be useful when it comes time to troubleshoot your system.

For each process, you can see the user to which it is related, its status, the percentage of CPU activity that it is causing, and the percentage of memory it is using.

The following steps walk you through using the Process Viewer:

  1. Open Process Viewer (Applications/Utilities directory). You will see a window providing a listing of all the active processes on the machine (see Figure 28.4).

    Figure 28.4. Process Viewer enables you to get detailed information about any process on your Mac; in this case, specific information about the Grab process is displayed.

  2. Choose the category of process you want to view from the Show pop-up menu. For example, choose User Processes to see the processes that are related to your user account.

    If it isn't already open, open the more info pane by clicking the Expansion triangle next to the text "More Info." This area contains two tabs. The Process ID tab provides identification for a selected process. The Statistics tab provides information about when the process was launched, the virtual memory size, and the physical RAM being allocated to the process.

  3. Select a process in which you are interested. The Process ID and Statistics tabs at the bottom of the window will become active.

  4. Click the Process ID tab to get identification information about the process, such as its process number, the parent process that spawned it, and so on.

  5. Click the Statistics tab to see the process's total CPU time (which is somewhat misleading because what you see is actually the processes start time) along with information about the process's memory use.

The following list outlines some additional tasks you can perform in Process Viewer:

  • Select a running process and press Option+ [image] +Q to bring up a dialog box that enables you to quit the process normally or to force it to quit. You can use this to stop a process that is hung.

  • Sort the processes shown in the window by clicking the column by which you want them sorted. The current sort criterion is shown by the highlighted column name. You can reverse the direction of the sort with the sort order button that is just above the scrollbar.

    TIP

    Sorting the window by the % Memory or % CPU columns is very useful because you can see which processes are consuming the most system memory. If a process is consuming a large amount of memory (such as 80%), that can indicate something is wrong with that application. Sorting by process status can also be a useful way to identify processes that are currently hung.

  • Find specific processes by typing in the Find box. The list will be reduced to only those processes that contain the text you type.

  • Change the rate at which processes are sampled using the Sample Every text box and arrows. Increasing the sample rate provides data closer to "real time."

Using the CPU Monitor to Monitor Processor Activity

The CPU Monitor application provides a graphical representation of the activity in the processors of your Mac (see Figure 28.5).

Figure 28.5. The CPU Monitor's windows give you an insight into the level of processor activity at any moment in time; these windows all tell the same story—the dual processors in this Mac are mostly idle.

When you launch the application (Applications/Utilities directory), you can use the commands on the Processes menu to choose three different windows in which to see the processor monitoring information. The Standard window shows a wide bar graph for each processor. The Floating window provides a similar view, but without any elements of a typical window. The Expanded window provides you with a view of processor activity over time. In the Expanded window, the different colors of bars represent the different categories of process; for example, by default, user processes are shown in green and root processes are shown in red.

You can have all three windows open at the same time or any combination of them. The windows are floating so that they are always on top of the window stack.

NOTE

Because all three windows float, you might wonder why one of them is called the Floating window. Although I don't know the answer, I think it is because the Floating window is designed to take up less room (for example, it has no borders or title bar) and so is the one you are most likely to leave open all the time. The other windows are larger and because they do "float," you aren't likely to want to use the screen real estate required to leave them open all the time.

Use the CPU Monitor's Preferences command to set various aspects of the window's behavior. One of the more useful preferences is the Application Icon Settings. You can choose to display the Standard or Expanded views as icons in the Dock. This keeps the window out of the way, while making it convenient to view CPU activity (see Figure 28.6) .

Figure 28.6. Placing the Extended view of the CPU Monitor on the Dock enables you to quickly gain an insight into the processor activity of your Mac.

TIP

You can open the Process Viewer from within the CPU Monitor by choosing Processes, Open Process Viewer ( [image] +P). You can jump to Top (which you will learn about in the next section) by choosing Processes, Open Top ( [image] +T).

Viewing System Activity with Top

The Top window is a Terminal window that provides detailed information about the current operation of your Mac. To access it, open the CPU Monitor and choose Processes, Open Top.

TIP

You can also open the Top window by typing top in the Terminal window.

The Top window provides very detailed information about your system, although not in the most easily understood format (see Figure 28.7). At the top of the Top window, you see a summary of the activity on your machine; the lower part of the window lists all the running processes and detailed information about each.

Figure 28.7. Using Top can be a bit intimidating, but the information it provides is worth getting to know.

In the summary area of the window, you can see how many processes are running versus the number sleeping, how many threads are running, the average loads, and the percentage of CPU usage of user processes versus system usage. The PhysMem information contains data about your RAM. For example, the amount shown as active is the RAM currently being used by running processes. The VM information provides data about the virtual memory being used.

In the lower part of the window, you see a table that provides data on each process that is similar to but more detailed than the information in the Process Viewer. For example, you see the PID, which is the same Process ID as is displayed for a process in the Process Viewer. You can also see the percentage of CPU use, the processor time, and other more technical information. Much of this information will probably not be useful to you unless you are quite technically oriented; however, it can be useful to others when you are trying to get help.

You can save the information seen in the Top window by selecting the information in the window and choosing Shell, Save Selected Text As. This text file can be useful to you or to provide to someone else when you are getting help with a problem.

Using the Console to View System Messages

The Console application provides a window to which Mac OS X writes system messages you can view. These messages are mostly error messages; some of these can be useful when you are troubleshooting problems (see Figure 28.8). The messages you see are quite technical; unless you are a programmer or are extremely technically knowledgeable, they probably won't mean much to you. However, Console messages can be helpful when you are communicating a problem to someone else.

Figure 28.8. The Console provides system messages that can be of help when you are troubleshooting.

NOTE

The Console is cleared when you log out. When you log in again, it begins collecting system messages in a new log.


Solving Problems

If you understand the general techniques you should use when troubleshooting, you will be able to handle almost all of the problems you are likely to encounter. Having a good understanding of what you need to do will also make you more confident, which in turn will help you be more effective.

The general process of solving problems can be broken down into four phases, which are the following:

  1. Implementing a workaround

  2. Understanding and describing your problem

  3. Fixing problems yourself

  4. Getting help

You should work through these phases in the order that they are listed. Doing so will help you solve your problem as efficiently as possible.

Implementing a Workaround

One of the tough things about troubleshooting is that you usually have to do it at an inconvenient time—for example, in the middle of a big project. At times like these, you are likely to feel stress, which can lead to frustration, which in turn often leads to hasty actions. Haste will often drive you down the wrong path.

Effective troubleshooting requires a cool head. The best approach when you are working under a deadline is to find a quick workaround for the problem that will enable you to complete the job you need to get done immediately. Then you can come back and really fix the problem later when you are more in a "troubleshooting" frame of mind.

There are many kinds of workarounds you might be able to implement to get you working well enough to meet your immediate needs. Some examples are the following:

  • Use a different application to complete the project If your trouble is with a specific application, use an alternative one to get the project done.

  • Restart from an alternative startup volume If the problem is related to the system itself, use one of your alternative startup volumes until you have time to fix your current one.

  • Restart in Mac OS 9 If the application you need is available under Mac OS 9 and you have a Mac that was produced before January 2003, restart your Mac in Mac OS 9 and get back to work. If your Mac was released after January 2003, this won't be an option for you.

  • Use a different Mac If you use your Mac for important work, you should consider having a backup machine so that you can switch to it in times of trouble.

Understanding and Describing Your Problem

When you start to troubleshoot, the most important thing you can do is to understand your problem in as much detail as possible. This understanding will enable you to know what you need to do to correct the problem. As you gain insight into your problem, you should be able to describe it in detail; this will help you get help from others if you are not able to solve the problem yourself.

Use the assessment tools that you learned about earlier in this chapter to help you understand what is happening.

Putting the Problem in Context

Many problems are triggered by something you do (this doesn't mean that you cause the problem, but that some action you take initiates the problem). When a problem happens, think about what you were doing immediately before the problem occurred. Following are some questions you need to answer:

  • What applications and processes were running (not only the particular one with which you were working)?

  • What, specifically, were you trying to do (print, save, format, and so on)?

  • Have you made any changes to the computer recently (installed software, changed settings, and so on)?

NOTE

If you create a system change log as was suggested earlier, answering the last question in the previous list will be much easier. Remember to use the Software Update logs to track changes to your Apple software, including those made to the OS itself.

The answers to these questions provide significant clues to help you figure out what is triggering the problem. Identifying the trigger goes a long way toward identifying the cause.

Trying to Repeat the Problem

When a problem occurs, you should recover the best you can, and then try to make the problem happen again. Try to re-create everything that was happening when the problem first appeared.

CAUTION

Obviously, you shouldn't intentionally re-create a problem in such a way that you will lose data. Make sure that your data is safe by having a good backup before you do much troubleshooting.

If you can replicate the problem, it will be much easier to figure out what is happening. The hardest problems to fix are those that only occur occasionally or intermittently.

Describing the Problem in Detail

After you have developed an understanding of how and when the problem is happening, write down a description of the problem. Be as detailed as you can. This description will help you decide on the best course of action, and if you are not able to solve the problem yourself, you will be in an excellent position to ask for help.

Fixing Problems Yourself

After you have described your problem, you should have some idea of where it lies. There are four general areas in which you will experience problems: applications, system, hardware, or during startup.

Correcting Application Errors

Application errors usually fall into one of the following kinds:

  • Hangs Sometimes application errors will cause your application to hang. Fortunately, because Mac OS X has protected memory, a hung application will usually only affect the application itself and your other applications will continue to work normally. You are likely to lose unsaved data in the hung application, but at least your losses will be limited to a single application.

  • Quits Sometimes, the application you are using will suddenly quit. You might or might not get an error message saying something like, "The application has unexpectedly quit because of an error." When this happens, you lose all the changes you made to the open document since the last time you saved it.

  • Won't do what it is supposed to do Many times, errors will occur that prevent you from doing what you want to do—whether using a particular function of the software, printing, saving files, and so on.

NOTE

When you see an error alert that provides an error id number, you should make a note of it. Although the number is not likely to be meaningful to you unless you have seen it before, it might be very meaningful to someone else when you ask for help.

Obviously, application problems are usually unpredictable. And when they happen, there isn't usually much you can do to recover your unsaved data (if you are saving frequently, you will limit your losses when the inevitable does happen). With an application problem, your real task is to figure out how to prevent future occurrences of the problem.

TIP

Some applications, such as Microsoft Office, have a recover feature that attempts to recover documents on which you were working when the application crashed or hung. This sometimes works and sometimes doesn't. However, you should take a look at recovered documents when you restart the application to see how much of your work you can restore.

Typically, there are many things you can try to correct an application error. Following are the general tasks you should attempt to get the application working properly again.

Hung Application

When an application is hung, your only option is to force it to quit. You can do this by bringing up the Force Quit Applications window by pressing Option+ [image] +Esc. Select the application that you want to force quit and click Force Quit. You can also use the Process Viewer to force an application to quit—the benefit of the Process Viewer is that you can see all the processes that are running along with their status. If other processes are also hung, you will be able to see them by looking at the Process Viewer window. This can provide important clues as to the source of the problem (where two or three hung processes are gathered, there is likely a problem in their midst).

After you unhang the application, try to replicate the conditions under which it hung. If the problem is repeatable, it is either a bug in the application or a conflict with another part of the system.

Try running the application by itself while re-creating the situation in which the problem occurred (use your problem description to be able to do this). If the hang doesn't occur again, you know that the problem is some sort of conflict with another part of your system—be aware that this is much less likely to occur under Mac OS X than with previous versions of the OS.

If the hang is repeatable, the most likely solution is to install an update to the application. Visit the support area of the manufacturer's Web page to see whether the problem you have is a known one. If so, there is probably an update to correct it. If not, report the problem to tech support to see what the application's manufacturer recommends.

TIP

When an error dialog box appears or when an application hangs, it can be useful to capture a screenshot so that you can reproduce it later when you are writing down the description of your problem. In the case of a hung application, capturing a screenshot can help you re-create at least a screen's worth of data if you lose it all. Sometimes this can be helpful (such as for a table of data). To capture a screenshot, use the Grab application or download and use the much more capable Snapz Pro X.

To learn how to capture screenshots, see "Capturing Screen Images with Grab," p. 424.

Quits

When an application unexpectedly quits, you should do the same tasks as when it hangs—except that you don't need to force it to quit because it already has. The solution to most quits is to get an updated version of the application from the manufacturer.

TIP

Applications under Mac OS X are like applications under other versions—they don't always work as they should and will sometimes crash or hang, in which case you will lose any changes you have made since you last saved your document. Make it a practice to save your documents frequently; make sure you take advantage of auto-save features to automate this task, such as in Microsoft Office applications. You can also use automation tools, such as QuicKeys, to save any documents at regular intervals.

Unexpected Behavior

If the application isn't working as you expect it to, the most likely causes are that the application has a bug or that you aren't using it in the way it was intended.

Eliminate the second possibility first. Check the application's documentation, help, or readme files to make sure that you are doing the task in the way the manufacturer intends. If you ask for help for something that is covered in the application's documentation, the responses you get might be embarrassing or unpleasant.

If you seem to be using the application properly, the likely cause is a bug and the solution is to get an update from the manufacturer.

NOTE

If the problem you have is related to a Classic application, you should try running the application under Mac OS 9 (if your Mac was released after January 2003, this isn't an option for you) rather than in the Classic environment. If the problem doesn't occur under Mac OS 9, you know it is something related to the Classic environment. When this is true, you will need to either live with the problem or run the application under Mac OS 9 until the manufacturer releases a Carbonized or Cocoa version. Some manufacturers have released updates to make their applications work better in the Classic environment, but many won't do so.

Correcting System Errors

System errors can be tougher to solve because they are usually harder to isolate. Your goal should be to isolate the problem as much as you can. If you have carefully investigated and described your problem, you should have some idea where it originates.

Your first step should be to make sure that your system software is current—use the Software Update tool to check this.

The following list provides some general things to try for various sorts of system errors:

  • If the problem seems to be related to a disk, run the Disk Utility or other disk maintenance application to correct it. The problem might be related to the disk being too full, so check that as well.

    There are many Unix commands that can be helpful when you are trying to solve system problems, such as getting rid of files that you can't delete in the normal way, and working with directories.

    To learn how to use some basic Unix commands, see Chapter 9, "Unix: Working with the Command Line," p. 213.

  • If the problem seems to be related to a specific user account, try repeating the same action under a different account. If the problem goes away, you know that something is wrong in the user account configuration.

    Some troubleshooting tasks will be possible only when you are logged in to your Mac as root. Logging in as Root can be dangerous, so you should know what you are doing before you try any action under the root account.

    To learn about logging in as root, see "Logging In As Root," p. 206. (Chapter 8)

  • If the problem is more general, you might have to reinstall the system or specific components of it.

    For help maintaining and installing the OS, see Appendix A, "Installing and Maintaining Mac OS X," p. 835.

TIP

Consider creating a "test" user account for those times when you are troubleshooting problems. Keep this account relatively clean, meaning that you should leave this account configured in the default state as much as possible. You can use this account to isolate problems that are caused by some aspect of a user account configuration.

Correcting Hardware Errors

Hardware problems are almost always caused by one of the following two conditions: improperly installed hardware or problematic drivers.

Eliminate the first cause by reviewing the steps you took to install the hardware. Check out the instructions that came with the device to make sure that you are following the manufacturer's recommendations.

If the hardware is an external device, check the cable you used to connect it; if you have another cable, try that. If the device is connected to a hub, reconnect it to a port on the Mac itself.

TIP

A good way to check to see whether a device is successfully communicating with your Mac is to use the Apple System Profiler. Use the Devices and Volumes tab to see whether the device with which you are having trouble is listed.

If the hardware is internal, repeat the installation process to make sure that it is correct.

The most likely cause of hardware problems is a faulty or buggy driver. Your only solution to this problem is to get an updated driver from the manufacturer. Visit the manufacturer's Web site for help.

NOTE

Many devices have a Mac OS 9 driver available. If the device you are using does and your Mac was produced before January 2003, consider restarting in Mac OS 9 and using the hardware from there until a better Mac OS X driver is available.

It is also possible that the hardware is simply defective. Although this doesn't happen very much, it can occur. If none of the other solutions works, you might be left with this possibility, in which case all you can do is to exchange the unit for a different one or repair it.

Solving the Startup Problem

One of the worst problems you can have is when your Mac won't start. This can be caused by many things, including software conflicts, buggy software, disk problems, failed hardware, or a combination of all of these. Instead of loading the system, the machine just sits there and flashes a broken folder icon, meaning that your Mac can't find a suitable System Folder to use to start up the machine. (If the system doesn't try to start up at all, but you just hear the chimes of death, that means you definitely have a hardware problem.)

NOTE

If you create and maintain at least one other valid startup volume, running Mac OS 9.2 (Macs made before January 2003) or Mac OS X, you should be able to use that to start up in most cases. Although you won't be able to solve Mac OS X problems when you are booted up in the Mac OS 9 environment, you can at least get to work. And you should also be able to access the Internet to get help with the problem. If you have Mac OS X and Mac OS 9 installed on the same volume, a problem with that volume might prevent you from starting up in either system. That is one reason it is better to have the versions of the OS installed on separate volumes.

In this case, start up from an alternative startup volume, such as a CD-ROM. Most likely, you will have to reinstall the OS on the volume that you can't use to start up to correct the problem. However, before you do that, try running the Disk Utility on the disk containing Mac OS X to make sure that it isn't a disk problem.

NOTE

If you have a backup of your entire system when it was working properly, you can restore that version instead of reinstalling a new one. The advantage of this is that you won't have to reinstall your third-party software.

Getting Help with Your Problem

Unless you can instantly see how to solve your problem or one of your tools takes care of it, the odds are that you will need to get help. There are plenty of sources for troubleshooting help, including the following:

  • Manuals and online help

  • Technical support from the manufacturer

  • Web sites

  • Newsgroups

  • Magazines

  • Troubleshooting software

  • Mailing lists

  • Co-workers and other people you know personally

When asking for help from people—regardless of the means you use, such as the telephone or e-mail—be sure that you keep the following in mind:

  • Use basic manners You have no call to be rude to people who are trying to help you, even if they happen to work for the manufacturer of the software or hardware that is giving you trouble. Besides being the right thing to do, using good manners will probably get you better help. Manners are equally important when making requests via e-mail or other online sources. "Please" and "thank you" go a long way toward encouraging people to be willing to help you. Sometimes this basic rule can be hard to remember when you are stressed out about a problem.

  • Give accurate, specific, and complete information Use the work you did earlier to provide a complete description of your problem. Unless you give the person who is trying to help you a good idea of what is really going on, that person is unlikely to be able to help.

  • Don't wear out your welcome with someone who is only trying to help You need to be careful not to impose on people who are trying to help you only out of the goodness of their hearts. If you are asking a friend, co-worker, or even a complete stranger to help you with a problem, use their time efficiently. Be prepared to describe your situation. Be specific. And if the person can't help you after a reasonable amount of time, go to someone else. It is not fair to ask a "volunteer" to spend large amounts of time trying to solve your problems. You can usually tell if someone is willing and able to help you quite quickly. If you sense that you are butting up against a dead-end, bow out gracefully and try another path.

Getting Help More Effectively

An ineffective request for help goes something like this, "I was printing and Word quit. Help!" This kind of question—which happens more than you might imagine—is just about impossible to answer.

A more effective question might be something like this: "I am using a 500MHz Power Mac G4 running Mac OS X version 10.2.2 that is connected to an Epson 740i. While I was trying to print from Microsoft Word for Mac OS X version 1.1, Word unexpectedly quit. I didn't get any sort of error message. I am able to print from other Mac OS X applications, and I have installed the latest printer drivers. Do you have any suggestions that might help?"

Table 28.1 lists some specific sources of online help with Mac OS X issues.

Table 28.1. Sources of General Help for Problems
Source | Contact Information | Comments
MacFixIt | www.macfixit.com | This is the ultimate source of information related to problem solving and should be your first stop whe ever you need help. You can get help on literally every aspect of using a Mac. Most of the information comes from Mac users, and you can ask specific questions although the answer to your question is probably already available. You can get access to current information free; however, you must pay to access older information maintained in an exhaustive set of archives. The fee is quite reasonable for the quality of the information to which you have access.
Apple | www.apple.com/support | Apple's support pages are also great sources of information about problems, and you can also download updates to system and other software. Check out the Tech Info Library to search for specific problems. You can also read manuals and have discussions about problems.
MacInTouch | www.macintouch.com | This site offers lots of Mac news that can help you solve problems, especially if those problems are solved by a software update of which you are unaware.
MacCentral | www.maccentral.com | Another source of Mac news. Be aware that some of this "news" is press releases from various companies. However, you sometimes learn useful information from press or marketing information.
The Mac Resource Page | www.macresource.com | More Mac news and information.
Version Tracker | www.versiontracker.com | You can quickly find out whether updates have been released for applications with which you are having trouble.
Mac OS X for Users list | www.themacintoshguy.com/lists/X4U.html | Mailing lists discussing many aspects of Mac OS X, especially solving problems. You can ask questions or lurk to get help with your problems. Visit the FAQ at the URL listed in this table; you can subscribe to the list from this location. Several Apple employees are active on this mailing list, so you sometimes get to read information directly from the source.
Me | seusingmacosx@mac.com | You can e-mail me to ask for help, and I will do my best to provide a solution for you or at least to point you to a more helpful source if I can't help you directly.


Part VII: Mac OS X: Appendixes

A Installing and Maintaining Mac OS X

B Computing on the Move with PowerBooks and iBooks


Appendix A. Installing and Maintaining Mac OS X

In this chapter

Moving to and Maintaining Mac OS X

Moving to Version 10.2 from Mac OS 9.x.x or Earlier

Moving to Version 10.2 from Previous Versions of Mac OS X

Maintaining Mac OS X

Troubleshooting


Moving to and Maintaining Mac OS X

If you are completely new to Mac OS X, making the change from previous versions of the Mac OS to Mac OS X is a big jump—Mac OS X is a quantum leap over any other upgrade Apple has produced. If you are upgrading to Mac OS X version 10.2, aka Jaguar, from earlier versions of Mac OS X, the leap is just as "quantum" in some areas, such as networking, but is recommended in all areas.

As you can probably guess from the previous paragraphs, there are two paths to Mac OS X. One is for those users who are making the jump from Mac OS 9.x.x or earlier; the other is for those who are moving from a previous version of Mac OS X. Not coincidentally, there are two major sections in this chapter that describe how to make the transition to version 10.2. The section called "Moving to Version 10.2 from Mac OS 9.x.x or Earlier" will guide you through the process of moving from older Mac OS versions to OS X. The section called "Moving to Version 10.2 from Previous Versions of Mac OS X" will help you if you are already using a version of Mac OS X. Obviously, you should skip whichever section is not applicable to your situation.

After the installation is complete, you should review the section called "Maintaining Mac OS X" regardless of which installation path you followed.

NOTE

Because of changes Apple made in its approach to Mac OS X right when I was finishing this book, some clarification is needed. First, if your Mac was made after January 2003, you won't be able to install or start up in Mac OS 9.2; you will be limited to some version of Mac OS X (which isn't really a limit because it is rare to need to start up under Mac OS 9 these days). In this case, you should ignore everything about starting up under Mac OS 9. Second, this appendix makes reference to installing Mac OS 9; this assumes you have a Mac OS 9 installation CD. At one point, this was included with Mac OS X, but it is no longer part of the OS X package. If you have a Mac that is capable of starting under Mac OS 9, you should have an installation CD that has some previous version of the OS (unless your Mac is really old, this will be some variant of OS 9). If the version of Mac OS 9 you have is older than version 9.2, you won't be able to choose it as your Classic environment, but you should still be able to start up in it.


Moving to Version 10.2 from Mac OS 9.x.x or Earlier

Moving up to Mac OS X from earlier versions offers many benefits (you will learn about many of them throughout this book), but all this gain requires some pain, that being the pain of installing and learning to use a brand-new operating system. This appendix helps you with the first part, whereas the rest of the book helps you with the second. Following a logical sequence of steps will result in the best chance for you to be able to install Mac OS X without any problems. The major steps you should take are the following:

  1. Assess your Mac to make sure that it can handle Mac OS X.

  2. Make sure that your Mac's firmware is up-to-date (if not, update it).

  3. Prepare a Mac OS X volume on which to install the OS.

  4. Run the Mac OS X Installer.

  5. Configure the OS.

After you install Mac OS X, you should maintain the OS with any updates that Apple provides to keep it running as well as possible.

Assessing Your Mac's Capability to Handle Mac OS X

To minimize problems you might experience installing or using Mac OS X, make sure that your Mac meets the following minimum requirements as stated by Apple:

  • One of the following: Power Mac G4, Power Mac G4 Cube, Power Mac G3 (both the Blue and White and the original Beige models), PowerBook G3 (except the original PowerBook G3), PowerBook G4, iMac, eMac, or iBook.

    CAUTION

    Although most iMacs and iBooks can run Mac OS X, if you have one of the original versions of either model, you might have trouble installing the OS, or if you are able to install it, it might not run very well. The original iMacs and iBooks are not really powerful enough (especially in terms of RAM) for Mac OS X. For example, a 233MHz or 266MHz G3 processor might not be fast enough to provide satisfactory performance for you. These machines typically came with only 32MB or 64MB of RAM, which is not adequate for Mac OS X. If you have one of these older machines, I recommend that you get a new Mac to take full advantage of Mac OS X.

  • At least 128MB of RAM. At press time RAM was really inexpensive, and providing 512MB of RAM could be done for only a few hundred dollars (less than $100 if you already have a couple hundred meg installed). Of course, your machine might not be able to take that much, but for all Macs, maximizing your Mac's RAM is one of the best investments you can make.

  • A video card that has a Mac OS X–compatible driver. If you have an Apple-supplied video card, such as an ATI or Nvidia graphics card (the standard cards in modern Macs, including the options on the Power Mac G4), you meet this requirement.

  • At least 1.5GB of free disk space. This is the minimum amount for just the OS. Because Mac OS X is designed to store all of your documents and applications on the same partition, you will likely need a lot more space on your Mac OS X startup volume than this. In fact, I recommend that you install it on partitions of 20GB or preferably even larger. This will give you plenty of room for your iTunes, iPhoto, and iMovie libraries, along with your applications and other documents.

If your Mac meets all these requirements, skip to the next section, "Updating Your Mac's Firmware."

If you don't have one of the Mac models listed, you are probably out of the Mac OS X game. For example, you can't even install Mac OS X on older Macs, such as those that use the 604 processor. If you have upgraded an older Mac's hardware so that it has a G3 or G4 processor, you might or might not be able to install Mac OS X. Installing a major system update on a system whose hardware has been upgraded is always a bit of a gamble. Some upgrades will handle the new OS okay, but others will balk at it. Before you try to install Mac OS X on an upgraded system, check with the manufacturer of that upgrade to see whether it is Mac OS X–compatible.

CAUTION

Apple will not provide support for Mac OS X on machines on which you have installed an upgrade card.

You will have a much better Mac OS X experience if you install it on hardware that is on Apple's compatibility list.

If you have less than 128MB of RAM, you might be able to install and run Mac OS X, but you aren't too likely to be happy with its performance. You might be able to run Mac OS X with as little as 64MB of RAM, but you won't be able to use the Classic environment with this amount of memory. You should upgrade your Mac with as much RAM as it can handle or as much as you can afford—more RAM is better! Mac OS X manages its RAM much better than previous versions of the OS did, but you still need to provide plenty for it to work with.

Your Mac is very likely to meet the video card requirement. All Macs come with at least one Apple-installed video card. Unless you have done something unusual, such as replacing the card that came with your Mac with another one, you won't have trouble with the video card requirement.

CAUTION

If you have multiple monitors attached to your Mac, you might need to remove any third-party video cards before you can install Mac OS X. If you leave the card installed and the Mac OS X installation is successful, the monitors connected to any third-party cards might not work. Until you install a Mac OS X–compatible driver for the video card, you aren't likely to be able to use any of its special features. I recommend that you remove third-party graphics cards that weren't installed by Apple before you install Mac OS X. After you have finished the installation, you can reinstall the additional cards.

Whether less than 1.5GB of free disk space will enable you to install Mac OS X is also a bit of a crapshoot. You might be able to get away with slightly less, but it isn't recommended. It depends on how much less you are trying to get away with. If you can free up at least 1.5GB on the volume on which you are going to install Mac OS X, you will be happier in the long run.

Because of the way Mac OS X is designed to store files (within user folders on the Mac OS X startup volume), you should have plenty of free hard drive space on the volume on which you will install Mac OS X. Mac OS X is designed so that you store all of your documents and other files on the same volume as the system is installed on so you should have as much space on that drive as possible. (Don't worry—you aren't limited to storing documents on the same drive as the OS—you can store documents on any mounted volume, but not all of Mac OS X's features will be available for other volumes.)

Updating Your Mac's Firmware

Before you install Mac OS X, it is a good idea to update your Mac's firmware. (Of course, it is a good idea to update your Mac's firmware once in a while even if you don't install Mac OS X!)

Your Mac must have access to some basic software in order for it to start up. For example, it needs to know where to look for system software that it can use to start up. This software used to be permanently stored in hardware called Read Only Memory (ROM). This permanent ROM could not be updated, so what came with the Mac was as good as it could get. With modern Macs, the "base" software is stored in firmware that is sort of a combination between software encoded in hardware and normal software. The advantage of this is that Apple can update the firmware on modern Macs to correct problems or improve performance.

To update the firmware on your Mac, do the following steps:

  1. Use a Web browser to go to Apple's software support page, which is located at www.info.apple.com/support/downloads.html.

  2. To search for any firmware updates for your Mac, enter your Mac's model or processor and the word "firmware." For example, if you have a Power Mac G4, type Power Mac G4 and firmware. If you have an iMac, type iMac and firmware. The search will find all updates that meet your search criteria.

  3. Find the most recent firmware update for your Mac and download it.

  4. Double-click the updater to mount the disk image on your desktop.

  5. Open the disk image.

  6. Open the text file that is provided with the update.

  7. Follow the instructions in that text file to install the firmware update on your Mac.

Typically, you will launch the updater and then restart your machine while holding down the programmer's key (until you hear a long tone). After the updater has finished, it will restart your Mac and it will be using the updated firmware.

TIP

You can also check for firmware updates by using the Software Update control panel under Mac OS 9.

Preparing a Volume for Mac OS X

Because Mac OS X is such a radical change from previous versions of the Mac OS, it can also be a bit more complicated to install. Before you get started installing it, there is a fundamental decision you need to make about how you are going to install the new OS.

To learn more about disk partitions, see "Initializing and Partitioning a Hard Drive," p. 692.

Choosing a Disk Configuration Option

Ideally, you should install Mac OS X on a separate "clean" volume from where your current Mac OS system lives. This enables you to more cleanly start your Mac in either Mac OS X or in a previous version of the operating system (such as Mac OS 9.2 assuming that your Mac was produced before January 2003). This is advantageous because you can return to the older operating system in the event that something you need has not been ported to Mac OS X yet (such as a hardware device for which there is not yet a Mac OS X driver). This is somewhat complicated if you don't already have a system that has multiple volumes on which to install different versions of the OS.

The other option, which is not as desirable, is to install Mac OS X on the same volume as the current version of the OS. The advantage to this is that you don't need to worry about having multiple volumes on your Mac. You can simply install Mac OS X "over"the current OS. When you do this, the Mac OS X Installer will install Mac OS X on the same volume on which you have Mac OS 9.2 installed. This will likely work fine, but things are cleaner and more organized if you install each operating system on its own volume.

If you already have more than one volume or one disk available, you should definitely install Mac OS X on a separate partition than the one that contains the current OS. If you have only one partition and aren't able to create multiple partitions, you will need to install Mac OS X on that partition. If either of these situations is the case for you, skip ahead to the section "Install Mac OS X."

If you can partition one or more drives in your system, it is worth the effort to do so before installing Mac OS X.

Before you get into the details of preparing a disk, you need to understand the following terms:

  • Initialize Before a disk can be used, it must be initialized. When a disk is initialized, the sectors on the disk are organized and the disk is prepared for use. All data on the disk will be destroyed when the disk is initialized.

  • Partition When a disk is partitioned, it is separated into different logical volumes that act as if they were different disks. Each partition is independent of the others, at least to a point. You can install a unique OS on each partition and boot from that partition. Although partitions appear to be independent, they are part of the same physical disk. Therefore, you can't initialize or format a partition. Those tasks can be done only on an entire disk. However, you can erase and reformat a partition without affecting other volumes, even if they are on the same physical disk.

  • Volume A volume is an electronic construct that acts like a disk. A volume can be a disk, a partition on a disk, a network disk, a disk image, and so on. Anything that mounts on the desktop is a volume.

Using Mac OS 9 to Create Multiple Partitions on a Disk

Because this option enables you to start up your Mac in your current version of the Mac OS, you can always return to that version of the OS in the event that something you need does not work or does not work properly under Mac OS X. (This is the most likely to be necessary for any hardware devices for which you don't have Mac OS X–compatible drivers.)

CAUTION

This section assumes that you are installing Mac OS X on a system that is running some variation of Mac OS 9. If you are using an older version of the OS, the steps will be similar, although the details might be slightly different.

NOTE

To be able to use the Classic environment, you must have Mac OS 9.2 installed on at least one volume.

When you partition a hard drive, you must initialize it, which means that you will destroy all the data on that disk. Before you partition a disk, make sure that one of the following situations is true for you:

  • You have all the original CDs for your software and you can store your data files on some sort of removable disk (such as a Zip disk or CD-R).

  • You have a current backup of the disk you are going to partition.

Because you will erase the drive you are going to partition, you will have to rebuild it "from scratch." The best way to do this is to have an effective backup system you can use to restore the contents and configuration of the drive. If you have to install the original software from CDs when you rebuild the drive's data, the process will take much longer.

To learn more about backup systems, see "Backing Up Your System," p. 780.

To partition your drive, do the following steps:

  1. Capture the current data on the disk (use your backup system or locate all your CDs and data disks).

    CAUTION

    Don't blow through this step too quickly. Losing data is no fun.

  2. Insert the CD containing the installer for the version of the Mac OS you are currently running. You should use the Mac OS 9.2 CD that was included with Mac OS X or your Mac OS 9.2 system software restore discs.

  3. Restart your Mac, and as your Mac restarts, hold down the C key to boot from the Mac OS 9.2 CD-ROM.

  4. After your Mac boots up, open the Utilities folder on the CD-ROM and then launch Drive Setup. You will see the Drive Setup window (see Figure A.1). Drive Setup will look for all the drives available on your system, and they will be listed in the window. Note that you might see some drives you cannot initialize, such as the DVD-ROM drive. You can also see the bus and ID numbers of all the drives connected to your system.

    Figure A.1. Use Drive Setup for the previous version of the Mac OS that you use to partition a drive for Mac OS X.

    If you don't see a drive that is installed in your Mac in the Drive Setup window, see "An Installed Disk Does Not Appear in the Drive Setup Window" in the Troubleshooting section at the end of this appendix.

    CAUTION

    Some non-Apple drives are not compatible with Drive Setup. If you use a third-party drive, make sure that it is compatible with Drive Setup before you try to initialize it (you can launch Drive Setup and see whether it recognizes the drive or you can check with the drive's manufacturer).

    If Drive Setup is not compatible with your drive, you will need a third-party drive utility such as FWB's Hard Disk Toolkit.

  5. Select the drive you want to initialize and partition. If it is ready to be initialized and partitioned, you will see a message saying so in the bottom of the window. If not, the software will tell you what the problem is (for example, you can't initialize a disk that contains the active system software).

    CAUTION

    Don't proceed unless you are sure that you have another copy of all the data on the disk you are going to partition.

  6. Click Custom Setup to open the Custom Setup dialog box. You can see the disk's current name at the top of the window. Just under the Partitioning Scheme pop-up menu, you can see the capacity of the disk (see Figure A.2).

    Figure A.2. You use this window to select the number and size of the partitions on a disk.

  7. Choose the number of partitions you want on this disk from the Partitioning Scheme pop-up menu. In the Volumes area, you will see a graphical representation of the volumes with the partitions applied.

    NOTE

    Although I can't tell you specifically how many partitions you should set up, I can give you some general guidelines. Unless you have a very specific purpose in mind or are working with a small disk, I wouldn't create any partitions smaller than 10GB, especially if you plan to install an OS or applications on it. You will need at least one partition for each version of the Mac OS that you want to be able to independently start up in.

    If you plan on having one Mac OS 9 startup disk and one Mac OS X startup disk, you will need at least two partitions.

    If you plan on using Mac OS X's disk organization to store all of your data files and applications, make sure that you create a large partition for it (preferably 20GB or larger).

  8. Choose the type of partition you want for the first partition from the Type pop-up menu. Unless you have a specific reason not to do so, choose Mac OS Extended for all the partitions.

  9. Enter the size for the first partition in the Size box or use the graphical representation of the volumes to adjust the size (drag the handle on the black box around the partition).

  10. Continue selecting partition types and sizes until you have set up the total number of partitions you want on that disk (you have allocated the disk's entire capacity). You can have partitions with a different type on the same disk. In some cases, you might want to have a format that is more compatible with a specific purpose for the partition. For example, you might want to run Linux on a partition, in which case you should format that partition as a Unix disk.

    You should have at least two Mac Extended (also known as HFS+) partitions, with one being 20GB or more (the one you will install Mac OS X on).

    When you are done, you will see the completed dialog box, and you are ready to initialize the disk.

  11. Click OK.

  12. In the Initialize dialog box, click Initialize if you are sure you want to continue. You will see the Drive Setup window again, and you can see the progress of the initialization and partitioning process. If the drive is large and requires a low-level format, this process will take a long time. If the disk is small or it does not need a low-level format, the process will be done fairly quickly. When it is complete, you will see the partitions listed at the bottom of the Drive Setup window.

  13. Quit Drive Setup. You will see the new volumes on your desktop.

  14. Name the partitions you created. For example, name the partition on which you are going to install Mac OS X, "Mac OS X." You might name the partition on which you are going to maintain Mac OS 9.2, "Mac OS 9.2."

The volumes are now ready for your data. If you open them, you will see approximately the amount of free data you specified for the partition.

NOTE

You won't ever get exactly the size of the partition that you set; usually, it is just a tad smaller than what you asked the Mac to create. That occurs because the structure of the drive itself requires some data to store, thus reducing the amount of free space on that volume. Plus, there are some invisible files on every partition, and they take space to store.

Installing Mac OS 9.2

After you have created your partitions, install Mac OS 9.2 using the following steps:

CAUTION

You must have Mac OS 9.2 installed somewhere on your system to be able to run Classic applications. You can have other versions of the OS installed on separate partitions as well.

  1. Run the Mac OS 9.2 installer. If you haven't restarted your Mac since you partitioned your hard drive, you can run the installer from the CD that you used to run Drive Setup.

  2. After the installation is complete, reinstall any third-party software (such as your Classic applications) on your Mac OS 9.2 partition.

  3. Restart your Mac using the startup volume you created that contains Mac OS 9.2.

  4. Configure Mac OS 9.2 so that it meets your requirements (such as installing additional software).

After Mac OS 9.2 is configured properly, you are ready to install Mac OS X on another partition.

TIP

For help working with Mac OS 9, see my book The Mac OS Guide.

Installing Mac OS X

After you have prepared a volume for Mac OS X, install it using the following steps:

  1. Insert the first Mac OS X CD (you might have only one disc, depending on how you acquired Mac OS X) in your Mac, restart your Mac, and hold down the C key to restart from the CD.

    TIP

    You can also start the installation process by inserting the Mac OS X Installation CD in your Mac and opening the Install Mac OS X file. You will be prompted to restart your machine. Click the Restart button. Your Mac will restart and immediately jump into the Mac OS X installer.

    The system will go through several checks that will be different from the startup process under previous versions of the OS. Eventually, you will see it begin to prepare the installation process.

    NOTE

    When your Mac is starting up under version 10.2, you won't see the Happy Mac icon as with previous versions of the OS. That icon has been replaced by the Apple logo. Apparently, Apple felt that the Happy Mac had outlived his usefulness and didn't look version 10.2–compatible. Oh well, rest in peace, Happy Mac!

    As things begin to progress, you will see the Install Mac OS X Select Language window—but even before that, you will notice that you have entered a new world. You see the Mac OS X menu bar and you will notice that the Install Mac OS X window looks quite a bit different from any Mac windows you have seen before.

  2. Select the language you want to use as the primary Mac OS X language and then click Continue. You will move into the Mac OS X Installer, and you will see the welcome message.

  3. Read the information in the next several windows; click Continue to move ahead in the process. Pay special attention to the information in the Read Me window because it includes information about system compatibility.

  4. When you reach the Software License Agreement window, click Continue, and click Agree when prompted.

    The installer will check the disks installed in your system. When it finishes, you will see the Select a Destination window. In this window, you will see all the volumes on your machine. If you created multiple partitions, each partition will be shown in the window. You will also see the size of each volume.

  5. Choose the volume on which you want to install Mac OS X. The volume you selected will have a circle and green arrow on it to indicate that it is the currently selected volume.

    If you can't select the volume on which you want to install Mac OS X, see "The Installer Won't Recognize a Partition" in the Troubleshooting section at the end of this appendix.

    NOTE

    If you are upgrading your Mac OS X installation rather than installing a "full" version, you must have had Mac OS X installed on at least one partition to run the installer. If you have deleted your previous Mac OS X installation for some reason, you will have to reinstall that version and then come back to the Mac OS X update installer.

  6. Click the Options button. You will see the Options sheet, which provides several installation options. The option you select will depend on which version of the OS you are coming from. Because this path is based on Mac OS 9.x.x or earlier as a starting point, you will install a completely new version of Mac OS X.

  7. Assuming that you are installing Mac OS X on a separate volume from that on which you installed Mac OS 9.2, click the "Erase and Install" radio button and choose Mac OS Extended from the Format disk as pop-up menu. If you are installing Mac OS X on the same volume that Mac OS 9.2 is installed on, select the "Install Mac OS X" radio button instead.

    CAUTION

    Make sure that you don't choose the Erase option if you are installing Mac OS X on the same volume as your Mac OS 9 installation.

  8. Click OK. You will return to the Select a Destination window. The action you are about to take will be shown in the lower part of the window. Read this to make sure you are actually doing what you intend to.

  9. Click Continue. You will see the Easy Install dialog box.

    TIP

    If you aren't concerned about installing things you won't ever use, skip the next step and click Install instead to use the Easy Install option. This installs every possible file on your machine. It is really an easy install, but you will probably end up storing lots of files you will never use (thus, wasting valuable disk space).

  10. Click Customize to move to the Custom Install window. Use the tools in this window to deselect any files you don't want to install.

  11. Click the triangle next to the "Additional Printer Drivers" check box to see a list of the printer brands that Mac OS X supports. If you aren't ever going to want to use any of the brands of printers shown, uncheck their check boxes.

  12. Click the triangle next to the "Localized Files" check box to see a list of the languages that Mac OS X supports. If you aren't ever going to want to use any of the languages shown, uncheck their check boxes. Or you can uncheck the "Localized Files" check box to unselect all of them at once.

  13. Uncheck any of the other options you won't use.

    TIP

    At the least, leave the BSD Subsystem and Additional Applications options selected.

  14. Click Install. You will see a progress window that displays information about the various steps that the installer goes through to check and prepare the volume on which you are installing Mac OS X. This information includes an estimate of how long the process will take, but, of course, this is only an estimate. When the process is complete, your Mac will restart in Mac OS X and move into the Additional Software installation part of the process. (If you choose not to install the additional software, you will move right into the Setup Assistant.)

    NOTE

    Mac OS X comes in a variety of ways depending on how you purchased it. For example, if you bought the complete upgrade package, you will have two Mac OS X CDs. If Mac OS X came with your Mac, you will have a variety of Software Install and Restore CDs (in which case, you won't have to do an initial install, but you might reinstall it some day). Just insert the appropriate CDs when prompted to do so.

    If the installation isn't completed successfully, see "The Installer Couldn't Finish" in the Troubleshooting section at the end of this appendix.

  15. Remove the Mac OS X Installation CD and insert CD #2. The additional software will be installed and progress information will be displayed in the window. When this process is complete, you will move to the Setup Assistant.

If you have more than one monitor installed on your Mac but only one monitor works, see "One of My Monitors Doesn't Display or Some Features Don't Work" in the Troubleshooting section at the end of this appendix.

Configuring Mac OS X

When Mac OS X starts up for the first time, it runs the Setup Assistant application that guides you through the basic configuration of Mac OS X. You will see the Welcome display, hear some music, and eventually end up in the Welcome screen.

Using this application is straightforward. Just read the text and follow the onscreen instructions.

  1. In the first window, choose the country in which you will be using Mac OS X and click Continue.

    TIP

    To see a list of all the countries supported by Mac OS X, check the "Show All" check box. This list is determined by languages you choose to install or choose not to install.

  2. Choose the default keyboard layout you want to use and click Continue.

  3. Complete the Registration information and click Continue.

  4. Complete the profiling information and click Continue.

  5. Click Continue in the Registration confirmation window and you will move into the Create Your Account window.

    NOTE

    Mac OS X is a multiuser system, which means that you must have a username and password to be able to use it. The Setup Assistant creates the first user account for you.

    After you install Mac OS X, the first time you start up and so run the Setup Assistant, you will need to create at least one account, which is the Administrator account. Administrator accounts are the fundamental accounts on your Mac and are the only ones that can change certain aspects of the OS.

    To understand Mac OS X's user accounts, see "Starting Up Mac OS X," p. 18.

  6. Complete the account information for the Administrator account.

    • Name is your "full" name; it doesn't have to be your real full name—this is the name you use to log on to this user account. The default value contains the first and last name you entered in the registration information window. You can leave that name as it is or enter a different full name.

    • Short Name is the name used as the name of your Home directory, in the URL when you provide a Web or FTP site, and so on.

      TIP

      The short name is used in several places, such as the Web site for this user account. Choose a meaningful short name, preferably some variation of your real name.

      The Short Name must be 8 characters or fewer and can't contain any spaces, dashes, or other special characters (Mac OS X won't let you enter any characters that are unacceptable). It is better to stick with letters and numbers, although underscores are acceptable. After you enter the Name, a Short Name is created for you based on the Name you enter. You can accept the Short Name created by the OS or change it as you see fit.

    • Password is what you would expect—the password you use to access the administrator account. Your password must be at least 4 characters long. For better security, use a password that is 8 characters long and contains both letters and numbers (this makes the password harder to "crack"). Passwords are case sensitive; for example, mypassword is not the same as MyPassword.

    • The password hint appears when a user is unable to log in after three attempts. You can provide a phrase that might help the user remember his password. Obviously, you really shouldn't put the password in the hint field, but anything that will help someone remember the password without giving it away is okay.

  7. Select the picture you want to be used to represent the user account in the Login window. You can change this later, such as by using your actual picture.

    To learn how use custom account pictures, see "Starting Up Mac OS X," p. 18.

  8. When you have entered all the Account setup information, click Continue to move to the Get Internet Ready step. When you do so, your user account will be created.

  9. Choose one of the options in the Get Internet Ready window and click Continue. If you choose to set up your Internet access now, you will work through another series of dialog boxes in which you configure your Internet connection for your Mac.

    If you aren't familiar with configuring your Mac for the Internet, see Chapter 10, "Connecting Your Mac to the Internet," p. 233.

    TIP

    If your Mac is connected to a network that features a DHCP server, such as a computer running the AirPort Software Base Station software or a Hardware Base Station, it will ask whether you want to automatically use that server for your Internet connection.

    In some cases, it is easier and faster to configure your Internet connection manually. If you prefer to do that, choose the "I'm not ready to connect to the Internet" option. If you choose not to configure your Mac for the Internet now, you will be prompted to confirm that choice. When you confirm it, you will move to the next step in the configuration process, which is the configuration of the .Mac service.

    NOTE

    The "default" Internet Service Provider for Mac OS X is EarthLink. EarthLink is an excellent ISP and is very pro-Mac, which is one reason Apple includes it in the OS. EarthLink provides national service in the United States and offers a number of different ways to connect. You can choose to create a new Internet account with EarthLink in the Setup Assistant. Just select the EarthLink option you want and work through the screens to configure your new account.

    If you choose to configure your Mac for the Internet now, work through the series of screens for the connection option you selected.

    When the process is complete, you will see the Get .Mac window.

  10. Enter your choice for .Mac in the Get .Mac window and click Continue.

    If you don't have a current .Mac account, click the "I'd like a free .Mac trial membership" radio button. You will then be led through the steps needed to create the account. (Your Mac must be able to connect to the Internet to be able to configure a .Mac account.)

    If you already have a .Mac account, click the "Use my existing .Mac membership" radio button and enter the User Name and Password for your .Mac account.

    If you don't want to work with .Mac, click the "I'll set up a .Mac membership later" radio button.

    For information about using .Mac, see "Using .Mac to Create and Serve Your Web Pages," p. 371.

  11. After you have selected or entered your .Mac choices, click Continue.

    Depending on the option you selected, you might have to work through the configuration of your .Mac account. Eventually, you will reach the Ready to Connect screen.

  12. Click Continue. You will be connected to the Internet and registration information will be sent to Apple.

    If your Mac can't connect to the Internet, see "My Mac Won't Connect" in the Troubleshooting section at the end of this appendix.

    When that process is complete, you will see the Set Up Mail dialog box. This dialog box enables you to configure your e-mail account. If you have a .Mac account, your .Mac e-mail account will be configured for you automatically.

    You can choose to use the .Mac account only or you can add additional accounts. If you add other e-mail accounts, your .Mac e-mail account will also be configured for you.

  13. Configure another e-mail account by checking the "Add my existing email account" radio button and entering its setup information in the Set Up Mail dialog box; when you are done, click Continue.

    For help configuring an e-mail account, see Chapter 12, "Using E-Mail," p. 289.

  14. Choose your time zone using the map and the pop-up menu; click Continue to move to the next screen. To select your location, drag the highlight bar to choose your time zone or select it from the pop-up menu. Then, choose the exact part of the world in which you live on the pop-up menu.

  15. Click Go in the last window to complete the initial configuration.

    The Mac OS X desktop will appear and you can get to work.

To learn what to do next, see Chapter 2, "Getting Started with Mac OS X," p. 17.


Moving to Version 10.2 from Previous Versions of Mac OS X

Although the upgrade from previous versions of Mac OS X to version 10.2 takes you from version 10.1.x to 10.2, the change is a lot more than just .1 would indicate. Version 10.2 is a major update (in my opinion, it should have been called version 10.5 or even 11), and moving to it requires more thought than the minor updates that had been released previously. It takes some thought and work to get into version 10.2's world, but the benefits are well worth the effort.

What You Need to Know Before You Install Version 10.2

Before you jump into the installation process, take a few moments to read through the following sections to ensure that you can make the transition smoothly.

Assessing Your Situation

Most major Mac applications that required an update for version 10.2 have been updated, but some have not. If you use an application that has not been updated for 10.2, it might work fine, it might not run at all, or you might experience problems when you run it. Check the software developers' Web sites, and download and install any updates for version 10.2. You might have to pay upgrade fees for some applications.

If applications you need are not available in version 10.2–compatible versions, check the software's Web site for the known issues when running the application under version 10.2. If you can live with those issues, proceed with the upgrade. If not, you might have to wait until those applications have been updated or switch to an alternative application that has been made "version 10.2 aware."

Choosing an Installation Method

There are three primary options, each having its own pros and cons:

  • Upgrade your current version of Mac OS X. Using this option, you let the Mac OS X installer overwrite or revise your current Mac OS X installation as it sees fit. The benefit of this approach is that it is the easiest and most straightforward method. The downside is that various problems have been reported when this option is used.

    The reported problems are related to specific situations, and there is no way to list all the possible conditions that might cause you problems. So using this option is a bit of a crapshoot.

  • Perform a clean install on the same partition as your current version of Mac OS X. Using this option, the installer creates a brand-new installation of Mac OS X; then, you transfer files from the previous installation to the new one. The benefit to this method is that the OS itself is likely to be installed better and cause you fewer problems. The downside is that you have to do some manual labor to finish the configuration.

  • Install a new version of Mac OS X on an empty partition or on a partition you will erase. This path is basically the same as the one you follow when upgrading to Mac OS X from Mac OS 9.x.x or earlier. The only difference is that if you need to create a new partition, you will use Mac OS X tools to create the partition on which you will install Mac OS X version 10.2. The benefit to this method is that you get a "fresh start" and rebuild your system from the ground up. The downside is that it requires the most work in that you have to reinstall all your applications, reconfigure your entire system, and so on.

To learn how to use Mac OS X tools to prepare and partition a disk, see "Choosing, Installing, and Using a Hard Drive," p. 688.

To learn how to install Mac OS X on an empty partition, see "Installing Mac OS X," p. 835.

If you are comfortable mucking around in the Mac OS X system files, I strongly recommend that you adopt the second approach and perform a clean install. This will help you achieve the best results and will also get you more knowledgeable about the OS. If that process doesn't appeal to you, you can let the Mac OS X installer perform the required upgrades for you. For some people, this will work just fine, but problems with this approach are not uncommon. If you are determined to rebuild your system or if you need to repartition your drives anyway, the third option is for you.

NOTE

To share some personal experience, while researching the various upgrade options while writing this book, I experienced several problems with the versions of the OS that I installed over an existing one, such as Microsoft Word quitting unexpectedly, losing all of my personalization (such as Dock and desktop preferences), and so on. Hopefully, future versions of the installer will manage this process better. But as of the time of this writing, I recommend that you stick with the Clean Install option.

Creating a Backup of Your Data and Applications

Although the risk of losing all your data during the upgrade is small, the results of that happening could be unrecoverable if you don't have everything backed up properly. For example, imagine losing your iPhoto library. Without a backup, your photos would be gone forever. Performing the upgrade without a backup system is about like playing Russian Roulette. The odds are with you, but if you lose, you lose big.

To learn more about backup options, see "Backing Up Your System," p. 780.

Upgrading to 10.2 from Earlier Mac OS X Versions

CAUTION

Because of problems I experienced when writing this book, I can't recommend this approach to upgrading to Mac OS X version 10.2. Using the Clean Install approach provided much better results for me. So if you choose this method, proceed with caution. Hopefully, the installer will get better over time and this will become a more viable option. I was using an early version so this improvement is likely.

As you read earlier, you can install version 10.2 directly over a previous version. The installer manages all aspects of the upgrade for you and attempts to maintain as much of your current configuration as it can—however, don't expect it to retain much in the way of personalization because you will have to reconfigure most of the user interface after the upgrade is complete. When this method works properly, this is an easy and fast way to upgrade. When it doesn't work, you can experience problems such as applications quitting unexpectedly. If you want to have the installer perform the upgrade, perform the following steps:

  1. Start up in the Mac OS X environment you want to upgrade.

  2. Insert the first Mac OS X version 10.2 installation CD.

  3. Open the Install Mac OS X application.

  4. Click Restart at the prompt.

  5. Confirm that you are an Administrator for the machine. Your Mac will restart and boot from the installation CD, and you will move right into the Mac OS X installation process. The system will go through several checks that will be different from the startup process under previous versions of the OS. Eventually, you will see it begin to prepare the installation process.

    As things begin to progress, you will see the Install Mac OS X Select Language window.

    NOTE

    When your Mac is starting up under version 10.2, you won't see the Happy Mac icon as with previous versions of the OS. That icon has been replaced by the Apple logo. Apparently, Apple felt that the Happy Mac had outlived his usefulness and didn't look version 10.2–compatible. Oh well, rest in peace, Happy Mac!

  6. Select the language you want to use as the primary Mac OS X language and then click Continue. You will move into the Mac OS X Installer, and you will see the welcome message.

  7. Read the information in the next several windows; click Continue to move ahead in the process.

  8. When you reach the Software License Agreement window, click Continue, and click Agree when prompted.

    The installer will check the disks installed in your system. When it finishes, you will see the Select a Destination window. In this window, you will see all the volumes on your machine.

  9. Choose the volume on which the current version of Mac OS X is installed. The volume you selected will have a circle and green arrow on it to indicate that it is the currently selected volume. In the lower pane, you will see a message stating that you have elected to update Mac OS X on this disk.

  10. Click Continue. You will see the Easy Install dialog box.

    TIP

    If you aren't concerned about installing things you won't ever use, click Upgrade instead to use the Easy Install option (skip to Step 15). This installs every possible file on your machine. It is really an easy install, but you will probably end up storing lots of files you will never use (thus, wasting valuable disk space).

  11. Click Customize to move to the Custom Install window. Use the tools in this window to deselect any files you don't want to install.

  12. Click the triangle next to the "Additional Printer Drivers" check box to see a list of the printer brands that Mac OS X supports. If you aren't ever going to want to use any of the brands of printers shown, uncheck their check boxes.

  13. Click the triangle next to the "Localized Files" check box to see a list of the languages that Mac OS X supports. If you aren't ever going to want to use any of the languages shown, uncheck their check boxes. Or you can uncheck the "Localized Files" check box to unselect all of them at once.

  14. Uncheck any of the other options you won't use.

    TIP

    At the least, leave the BSD Subsystem and Additional Applications options selected.

  15. Click Upgrade. You will see a progress window that displays information about the various steps that the installer goes through to upgrade Mac OS X. This information includes an estimate of how long the process will take, but, of course, this is only an estimate. When the process is complete, you will be prompted to restart your Mac.

  16. Click Restart. Your Mac will start up in Mac OS X version 10.2. After the system starts up, you will see the Additional Software window (assuming that you chose to install the additional software, of course).

    TIP

    If you don't click Restart, your Mac will restart itself after about 30 seconds.

    NOTE

    Mac OS X comes in a variety of ways depending on how you purchased it. For example, if you bought the complete upgrade package, you will have two Mac OS X CDs. If Mac OS X came with your Mac, you will have a variety of Software Install and Restore CDs (in which case, you won't have to do an initial install, but you might reinstall it some day). Just insert the appropriate CDs when prompted to do so.

  17. Remove the Mac OS X Installation CD and insert CD #2. The additional software will be installed and progress information will be displayed in the window. When this process is complete, you will move to a new version 10.2 login window.

When you login and move to the version 10.2 desktop, you might see that few of your preferences are saved from the previous version of Mac OS X. For example, you might have to reset your Dock location, desktop photos, and so on. This was the case when I wrote this appendix—hopefully the installer will be improved in the future so that more of the personalized settings are maintained. But even if some of your personalization is lost, that is okay because you will want to take advantage of Mac OS X version 10.2's improved tools to do this. The chapters in this book will help you configure various aspects of the OS.

NOTE

Although version 10.2 will likely maintain your network configuration, you might have to re-add any printers that are on your network or that you have connected to your Mac directly.

If your system is not working properly after installing 10.2 over a previous version of Mac OS X, see "The 10.2 System I Installed Is Not Working" in the Troubleshooting section at the end of this chapter.

Performing a Clean Install from a Previous Version of Mac OS X

Performing a clean install of version 10.2 on your current Mac OS X volume is the safest way to make the leap. Under this method, you use the installer's archive option to save your current system while it installs a clean version of Mac OS X version 10.2 on your machine. Then, you re-install any files you need from your current version in the 10.2 version. This method is a bit more work than the others, but you are likely to end up with the best results.

There are two major parts to this upgrade process:

  1. Perform a clean installation of Mac OS X version 10.2 on your current Mac OS X volume.

  2. Move needed files from the previous version of Mac OS X to version 10.2.

The first part is rather simple, as you can see in the following steps:

  1. Start up from the first Mac OS X version 10.2 installation CD by inserting it into your Mac, restarting the machine, and pressing C while the machine restarts.

    NOTE

    When your Mac is starting up under version 10.2, you won't see the Happy Mac icon as with previous versions of the OS. That icon has been replaced by the Apple logo. Apparently, Apple felt that the Happy Mac had outlived his usefulness and didn't look version 10.2–compatible. Oh well, rest in peace, Happy Mac!

    As things begin to progress, you will see the Install Mac OS X Select Language window.

  2. Select the language you want to use as the primary Mac OS X language and then click Continue. You will move into the Mac OS X Installer, and you will see the welcome message.

  3. Read the information in the next several windows; click Continue to move ahead in the process.

  4. When you reach the Software License Agreement window, click Continue, and click Agree when prompted.

    The installer will check the disks installed in your system. When it finishes, you will see the Select a Destination window. In this window, you will see all the volumes on your machine.

  5. Choose the volume on which the current version of Mac OS X is installed. The volume you select will have a circle and green arrow on it to indicate that it is the currently selected volume. In the lower pane, you will see a message stating that you have elected to update Mac OS X on this disk.

  6. Click Options. You will see the Install Options sheet.

  7. Click the "Archive and Install" radio button.

  8. Check the "Preserve Users and Network Settings" check box. This causes the installer to move all the existing user accounts, network configurations, and so on to the new version 10.2 installation. You should choose this option unless you have a very good reason not to do so, such as you want to start out with a new set of user accounts. When you use this option, you will skip the Setup Assistant application because the installer will carry all that information over for you. (The rest of these steps assume that you have used this option. If not, you can review the "Installing Mac OS X" section earlier in this appendix to help you work through the Setup Assistant.)

  9. Click OK to close the sheet. In the Select a Destination window, you will see a message stating that you are installing a new version of 10.2 while saving the previous version and moving all user accounts to the new version.

  10. Click Continue. You will see the Easy Install dialog box.

    TIP

    If you aren't concerned about installing things you won't ever use, skip to Step 15 to use the Easy Install option. This installs every possible file on your machine. It is really an easy install, but you will probably end up storing lots of files you will never use (thus, wasting valuable disk space).

  11. Click Customize to move to the Custom Install window. Use the tools in this window to deselect any files you don't want to install.

  12. Click the triangle next to the "Additional Printer Drivers" check box to see a list of the printer brands that Mac OS X supports. If you aren't ever going to want to use any of the brands of printers shown, uncheck their check boxes.

  13. Click the triangle next to the "Localized Files" check box to see a list of the languages that Mac OS X supports. If you aren't ever going to want to use any of the languages shown, uncheck their check boxes. Or you can uncheck the "Localized Files" check box to unselect all of them at once.

  14. Uncheck any of the other options you won't use.

    TIP

    At the least, leave the BSD Subsystem and Additional Software options selected.

  15. Click Install. You will see a progress window that displays information about the various steps that the installer goes through to upgrade Mac OS X. This information includes an estimate of how long the process will take, but, of course, this is only an estimate. When the process is complete, your Mac will restart in Mac OS X version 10.2 and move into the Additional Software installation part of the process.

    NOTE

    Mac OS X comes in a variety of ways depending on how you purchased it. For example, if you bought the complete upgrade package, you will have two Mac OS X CDs. If Mac OS X came with your Mac, you will have a variety of Software Install and Restore CDs (in which case, you won't have to do an initial install, but you might reinstall it some day). Just insert the appropriate CDs when prompted to do so.

  16. Remove the Mac OS X Installation CD and insert CD #2. The additional software will be installed and progress information will be displayed in the window. When this process is complete, you will move to the Mac OS X 10.2 login window and you will be running under a clean version of Mac OS X version 10.2. In the login window, you will see all the accounts that existed in the previous version.

NOTE

If your accounts have pictures associated with them, you might see placeholders instead. Version 10.2 does not include the same set of images that previous versions did, so you might have to choose new images for some user accounts.

When you log in to version 10.2, you will find that many of your configurations from the previous version have been maintained, such as your login items, desktop photos, and Dock configuration. Some will not be (for example, my time and date settings were not maintained). Usually, it takes only a few minutes to set these back to the way you want them.

The only downside of installing a clean version is that you have to move files you still need from the previous version to the new version. Mostly, these are the files related to specific applications you have installed.

Before you bother looking for files to move, try to work with the system as it is. You might find that everything works just fine and you don't need to do the second part. After you are confident that you don't need the previous versions of the OS, you can just trash them. If you do find some things that aren't working as you expect, proceed with the second part of the process.

Finding and moving all the files you need from the old system to the new one can be a bit tricky, but with some patience and a bit of luck, you can work through it.

  1. Open the volume on which you installed version 10.2. In addition to the folder called System, you will see a folder called Previous Systems (see Figure A.3). This contains the previous versions of OS X that existed when you did the clean install.

    Figure A.3. The Previous System folder contains, amazingly enough, the previous version of Mac OS X.

  2. Open the Previous Systems folder and then open the most recent previous system folder contained within that folder. For example, if this is your first clean install, open the folder called Previous System 1. You will see the set of folders that were contained in that version of the OS (see Figure A.4).

    Figure A.4. These folders contain the files you might need to move to your clean installation of Mac OS X.

  3. Drag the files you think you might need from the folder in the Previous System folder to the corresponding folder in the 10.2 System folder.

You might or might not need any of these files and folders—it all depends on your specific setup. In my testing, I found that my system worked fine without any of the old files, but in the event you need to move some files over, consider the following folders:

  • Applications This folder contains the previous versions of Apple and other applications that were part of the default installation. If you used the Additional Software install option, it is highly unlikely that you will ever need these older versions.

  • Library This folder contains the library files that provide functionality for various areas of the OS, such as Audio, Fonts, Java, and QuickTime.

  • System This folder contains only one folder, which is the system Library folder. In this folder, you will find core application services and frameworks, such as Classic, Displays, and OpenSSL.

  • Users If you chose to move all user accounts to the clean installation, this folder will contain only the Shared folder from the previous installation. You can use this to re-create any files that were shared under the previous OS.

Various applications can store individual files within these folders as well, so if something doesn't seem to be working properly, explore these folders to see whether you can find files for those applications. Then, move those files to the corresponding folders in 10.2 system folders.

After you have used 10.2 for some time and are confident that it is working properly, you can dispose of the previous system folders to recover some disk space.

If an application does not work properly after you have installed Mac OS X, see "An Application Doesn't Work Under OS 10.2" in the Troubleshooting section at the end of this chapter.

If an application has lost your preferences after you install 10.2, see "An Application Lost My Preferences Under OS 10.2" in the Troubleshooting section at the end of this chapter.


Maintaining Mac OS X

As with the other software it produces, Apple frequently updates Mac OS X to improve security and reliability, fix bugs, and so on. You can configure the Software Update utility to help you maintain Mac OS X to the most current version.

  1. Open the System Preferences utility.

  2. Click the Software Update icon. You will see the Software Update window (see Figure A.5). This window has two panes. The Update Software pane enables you to configure automatic updates and to update your software manually. The Installed Updates tab shows you the updates you have installed previously.

    Figure A.5. You can use the Software Update utility to maintain Mac OS X.

  3. If you have a network connection to the Internet, click the "Automatically" radio button and choose the frequency with which you want to check for updates using the pop-up menu.

    TIP

    If you use the "Automatically" option, I recommend a frequency of weekly. Checking more often than that adds a lot of network activity that isn't really necessary. If you hear about a software update, you can always open the Software Update pane of the System Preferences utility and do a manual update.

  4. If you don't have a network connection (you use a dial-up modem) or if you want to perform a manual update, you can click the Check Now button to check for updates manually.

    When the utility finds updates to the software installed on your Mac, including Mac OS X, you will be able to download and install them.

  5. Click the Installed Updates tab to view a log of Software Update's activity.

  6. Quit the System Preferences utility.


Troubleshooting

An Installed Disk Does Not Appear in the Drive Setup Window

A disk that is installed in my Mac does not appear in the Drive Setup window, so I can't initialize or partition it.

This occurs when a disk is not installed properly, is not compatible with the bus to which it is attached, or the disk itself is defective. It can also occur with some disks that are not compatible with Apple's Drive Setup application.

If you have never used the disk before, it is possible that the disk is not installed properly.

If you installed the "missing" disk yourself, open up your Mac and check the physical installation of the disk. Ensure that it is properly connected to the correct bus. You also need to make sure that the disk is the correct format for the bus to which it is attached. For example, if you are using an ATA bus, you must have an ATA disk rather than a SCSI disk. Make sure that you have attached a power supply to the disk.

If you have used the drive in the same machine before or if the installation checks out okay, the odds are that the drive is not compatible with the Drive Setup application. You will need to obtain a different application, such as FWB's Hard Disk Toolkit and attempt to format and partition the disk with that utility.

If neither of these steps solves the problem, the disk itself might be defective. The only options in this case are to replace the disk or to have it repaired.

The Installer Won't Recognize a Partition

I can't choose the volume on which I want to install Mac OS X because the volume is grayed out.

On some machines, the installer won't be able to install Mac OS X on a volume that is not contained entirely within the first 8GB of its ATA hard drive. Affected machines might include PowerBook G3, Power Macintosh G3, Macintosh Server G3, and iMacs with processors running at 333MHz or less.

On the affected machines, you must install Mac OS X on a volume that is completely contained within the first 8GB of its hard drive.

If you have a hard drive that is larger than 8GB, you will have to partition that drive so that it contains a volume that is 8GB or less in the first 8GB of the drive. You will then be able to select that partition to install Mac OS X.

If you have a partitioned drive, one of the first partitions must be 8GB or less. If not, you will have to repartition the drive so that one of the first partitions is less than 8GB.

To partition a drive, use the Drive Setup application under Mac OS 9.x.x or the Disk Utility under Mac OS X.

If you are installing Mac OS X from an upgrade rather than a full version, you must have an earlier version of Mac OS X installed on the disk on which you want to install the update. If not, you won't be able to select the disk. If you have erased the previous version of Mac OS X from that volume for some reason, you will need to reinstall the previous version of Mac OS X and then run the Mac OS X upgrade installer again. When the installer detects a previous version of Mac OS X, you should be able to choose the disk on which the previous version is installed.

To learn how to partition a drive under Mac OS 9.x.x, see "Using Mac OS 9 to Create Multiple Partitions on a Disk," p. 841.

To learn how to partition a drive under Mac OS X, see "Initializing and Partitioning a Hard Drive," p. 692.

The Installer Couldn't Finish

The Mac OS X installer quits before it finishes the installation.

This problem can happen for two main reasons: Your Mac is not capable of running Mac OS X or there is a problem with the volume on which you are trying to install it.

If your Mac is not capable of running Mac OS X, the installer might not even start. However, it might start if you are running it on a machine that is one of the supported Macs, but does not meet the minimum requirements, such as having at least 128MB of RAM. Your only option is to upgrade your Mac so that it meets all the requirements or replace the Mac with a newer one.

The installer might also balk if there is a problem with the volume on which you chose to install it. Run the installer again and choose to erase and reformat the volume (if you didn't do so the first time). If you did choose to erase and reformat the volume, try to install it on another volume instead.

If none of this works, you should contact Apple for help.

One of My Monitors Doesn't Display or Some Features Don't Work

I have more than one monitor installed on my Mac, but only one of them works under Mac OS X. Or a monitor works, but some of its features aren't available.

This occurs when Mac OS X does not support one of the graphics cards installed.

The solution is to obtain a Mac OS X–compatible driver for your graphics card from the card's manufacturer.

My Mac Won't Connect

When my Mac tries to connect to the Internet to send my information to Apple, it can't connect.

If this happens, you will see a dialog box that offers a Retry button. Try to connect again—try to connect several times.

If you still can't connect to the Internet, your Internet account is probably not configured correctly. Cancel the attempt to connect and complete the Mac OS X installation process. After you have started up in Mac OS X, reconfigure your Internet connection.

You don't really need to connect to the Internet to complete the Mac OS X installation; the primary reason the installer tries to connect is so that it can send your registration information to Apple.

For information on configuring your Internet account, see Chapter 10, "Connecting Your Mac to the Internet, " p. 233.

The 10.2 System I Installed Is Not Working

After I installed Mac OS 10.2 over a previous version of Mac OS X, things are screwy.

If you are having problems (such as applications that worked fine before 10.2 that are now starting to quit unexpectedly) after installing Mac OS X 10.2 over a previous version, it probably means that you are enjoying one of the situations in which the installer was unable to properly upgrade your system. In this case, one of the following two solutions should get you running version 10.2 properly:

  • Use your backup to reinstall the previous version of Mac OS X, and then perform a clean install of Mac OS X version 10.2. Assuming that you followed good practice and backed up your system before attempting the upgrade, you can restore your previous system. Then, upgrade your system using the Clean Install option.

    To learn how to perform a clean install of 10.2, see " Performing a Clean Install from a Previous Version of Mac OS X," p. 855.

  • Prepare an empty volume and install Mac OS X on it. Create an empty partition and install the OS on it. Then move any data you need from your back-up system into your new system. This amounts to a total rebuild of your system, but sometimes, that is the only option you have.

To learn how to use Mac OS X tools to prepare and partition a disk, see "Choosing, Installing, and Using a Hard Drive," p. 688.

To learn how to install Mac OS X on an empty partition, see "Installing Mac OS X," p. 845.

An Application Doesn't Work Under OS 10.2

After I installed Mac OS 10.2, an application that had worked under previous versions stopped working.

Two reasons that this can happen are the following:

  • The application is not version 10.2 compatible. Version 10.2 includes many major changes from previous versions of Mac OS X. Some applications will break when they run under 10.2. If an application does not work under 10.2, check the manufacturer's Web site to see whether the version you are running is compatible or whether a compatible version is available.

  • You did not move all required application files to your new Mac OS X installation. If you performed a clean installation of 10.2, you need to make sure that any files that the application installed in the system are moved from the previous version to the new version.

To learn how to move files from the previous version of Mac OS X to 10.2, see "Performing a Clean Install from a Previous Version of Mac OS X," p. 855.

If the version of the application you are using is supposed to be compatible with version 10.2 and you can't find any of that application's files in the previous version of Mac OS X's system, try reinstalling the application from the original CD or download the installer again. Make sure that you also reinstall any patches.

An Application Lost My Preferences Under OS 10.2

After I installed Mac OS 10.2, an application lost my preferences.

This happens if you don't move application files from the previous version of the Mac OS X system to the 10.2 system. Check the previous version of the operating system to make sure that you have moved all the application's files over. If you have, you might just have to reconfigure the application's preferences.


Appendix B. Computing on the Move with PowerBooks and iBooks

In this chapter

Using Mac OS X on a Mobile Computer


Using Mac OS X on a Mobile Computer

Using Mac OS X on a laptop Mac, such as an iBook or PowerBook, isn't much different from using it on a desk-bound machine. The two primary tasks that are unique to mobile Macs are the following:

  • Managing your Mac's power

  • Configuring and using the trackpad

Although managing locations isn't unique to mobile Macs, you are more likely to need to switch among network configurations when using a PowerBook or iBook, so you should also understand how to use the Location Manager to make reconfiguring your Mac's network connections fast and easy.

Managing Your Mobile Mac's Power

The factor that makes a mobile Mac mobile is the capability to run it off battery power. This is obviously a good thing, but it also adds another task for you, which is managing that power so that you maximize your battery life and thus your working time while on the move.

When you run Mac OS X on a mobile Mac, by default you will see the battery icon (see Figure B.1). If you click this icon, the power management menu will appear. At the top of this menu is an icon that keeps you informed about the power state of your Mac. When the battery is fully charged and you are running on the AC adapter, you will see the plug icon. When the battery is charging, you will see the lightning bolt icon and an estimate of either the time or the percent until the battery is fully charged. If you open the menu, you will see the percentage until charged if you are displaying the time or vice versa, a menu you can use to change the displayed value, and the Open Energy Saver command to open the Energy Saver pane of the System Preferences utility.

Figure B.1. The battery icon and menu on the menu bar keep you informed of the power state of your mobile Mac.

NOTE

The first item on the power management menu is always the opposite of what you have selected to display. For example, when you choose to display time on the icon, the percentage is shown on the menu, and vice versa. If you don't show time or percentage in the icon, you will see time on the menu.

When you are running on battery power, the icon changes to a battery. The battery icon is "filled" proportionally to the amount of power you have left (see Figure B.2). At the top of the power management menu, you will see the time or percentage remaining until you are out of power (you can also choose to show neither).

Figure B.2. This Mac is running on battery power and has 3 hours and 18 minutes of running time left at current power usage levels.

When you plug the power adapter back into the Mac, the icon changes to a battery with a lightning bolt to indicate that the battery is charging.

NOTE

The battery icon takes a few seconds to update. For example, if you unplug the AC adapter and then immediately point to the icon, you will still see the charging status information. While your Mac is calculating how much time you have left, you will see the word "Calculating" next to the icon; just wait a few moments and the information shown will be updated.

You can configure the power management icon on the menu bar in the following ways:

  • Open the menu and choose Show Time to show the time remaining for the battery or for the charging process next to the icon.

  • Open the menu and choose Show Percent to show the percent of power/time remaining for the battery or for the charging process next to the icon.

  • Return to the battery icon alone by selecting Show Neither.

  • Open the Energy Saver pane of the System Preferences utility by choosing Open Energy Saver.

TIP

To hide the battery icon, open the Energy Saver pane of the System Preferences utility and uncheck the "Show battery status in the menu bar" check box.

You should consider the following tasks to maximize your battery life:

  • Dim your screen Your Mac's screen is a major source of power consumption. If you dim the screen, it will require less power and thus extend your battery life. To dim your screen, use the Brightness slider on the Displays pane of the System Preferences utility. Dim the display as much as you can while still being able to see it comfortably. For example, when you are traveling on a darkened airplane, you can set your display brightness to a lower level than when you are using it in a well-lit room.

    TIP

    Some PowerBooks and iBooks have dedicated function keys to control screen brightness. When you press one of these, an onscreen level indicator pops up to show you the relative brightness level.

  • Configure the Energy Saver pane for the work you are doing while you are on the move Use the Energy Saver pane to configure your mobile Mac's power usage to maximize battery life. You'll learn how a bit later in this chapter.

  • Avoid applications that constantly read from a CD or DVD The CD or DVD drive is another major source of power use. If you can copy files you need onto your hard drive and use them from there, you will use power at a lower rate than if your Mac is constantly accessing its removable media drive. In some cases, such as when you are watching a DVD movie, this isn't possible. At other times, you can store the files you need on the hard drive. For example, when you want to listen to music, you can convert the files you need to MP3s so that you don't need to use the CD or DVD drive.

  • Put your Mac to sleep whenever you aren't actively using it You can put your Mac to sleep by choosing Apple menu, Sleep or by closing your Mac's lid. Because Mac OS X manages sleep much better than previous versions of the Mac OS did, this isn't nearly as intrusive as it was. When you open your Mac or press a key, the Mac will instantly wake up as compared to 30 seconds or more of wake-up time for a Mac under previous versions of the OS.

One of the most important power management tasks is to actively use the Mac's Energy Saver pane of the System Preferences utility. This enables you to customize your Mac's energy settings to maximize battery life for the kind of work you are doing.

You can do this in two ways. One is to use the pane's standard energy setting configurations. The other is to configure the details yourself.

To use the standard configurations, perform the following steps:

  1. Open the System Preferences utility and click Energy Saver, or click the battery icon to open the power management menu and choose Open Energy Saver. You will see the Energy Saver pane. At the top of this pane is the Optimize Energy Settings pop-up menu. This enables you to configure your Mac to use power settings appropriate for specific tasks.

  2. Open the Optimize Energy Settings pop-up menu and choose the settings you want to use. When you do so, a summary of those settings will appear below the menu (see Figure B.3).

    Figure B.3. You can use the Optimize Energy Settings pop-up menu to quickly configure your Mac's energy use.

  3. Quit or hide the System Preferences utility.

The default energy settings are the following:

  • Automatic. These settings are optimized for performance when your Mac is plugged in and battery life when it isn't.

  • Highest Performance. These settings are optimized for performance at all times.

  • Longest Battery Life. These settings are optimized for battery life at all times.

  • DVD Playback. These settings are optimized for DVD Playback. For example, screen sleep is disabled (if you have ever had the screen go dark during a movie, you know why this is a good thing).

  • Presentations. These settings are optimized for presentations and are actually the same as the DVD Playback settings.

  • Custom. These settings are those you configure.

If you prefer a more hands-on approach, you can use the Detail mode to customize the energy-saving settings yourself.

  1. Open the System Preferences utility and click Energy Saver, or open the power management menu and choose Open Energy Saver.

  2. Click the Show Details button. The pane will expand and you will see controls you can use to configure the energy-saving settings in detail (see Figure B.4). By default, the Sleep tab is selected; you use the controls on this tab to configure the sleep settings for your system.

    Figure B.4. When you show details, you can adjust several aspects of the energy-saving settings independently.

  3. Choose Custom on the Optimize Energy Settings pop-up menu.

    TIP

    If you choose one of the standard settings on the Optimize Energy Settings pop-up menu with the Details shown, you can see the details of that configuration. For example, choose DVD Playback and you will see that the sleep timer is set for 3 hours, display sleep is off, and hard disk sleep is on.

  4. Choose the power source for which you want configure energy savings on the Settings for pop-up menu; your choices are Power Adapter or Battery Power. You can have a separate configuration for each power mode.

  5. Use the top slider to control the amount of inactive time before the entire system goes to sleep.

  6. Check the "Use separate time to put the display to sleep" check box and drag the slider to set the amount of inactive time before the screen goes dark.

    Because the screen is such a major consumer of power, you should have the display sleep after only a few minutes of inactivity. This also protects the flat panel display in your mobile Mac from damage and early failure.

    NOTE

    If you set the display sleep time to be less than the time at which your screen effects (such as the screen saver) activate, you will see a warning saying so and the Screen Effects button will appear. You can click this button to change your screen effects settings. Normally, when you are running on battery power at least, you want the screen to go dark rather than using the screen saver because the screen saver will consume battery power for processing and screen display.

  7. Unless you have a very good reason not to, leave the "Put the hard disk to sleep when possible" check box checked. The hard disk is another major consumer of power, and putting it to sleep will save significant amounts of energy.

  8. Review the settings summary that appears just below the controls area to make sure that the settings are what you desire.

  9. Click the Options tab.

  10. Use the check boxes on this tab to further configure Energy Saver.

  11. You can set wake options so that your Mac will wake up when it detects a call on its modem or when the network needs to access your machine.

  12. Use the "Restart automatically after a power failure" check box if you want your Mac to restart after the power fails. Because your iBook or PowerBook has a battery, this option isn't as meaningful as it is for a desktop Mac.

  13. Choose the other power mode on the Settings for pop-up menu, and configure the Sleep and Options tabs for that mode.

  14. If you don't want it to appear, turn off the battery icon on the menu bar by unchecking the "Show battery status in menu bar" check box.

  15. Quit the System Preferences utility. Your energy settings will take effect.

Energy Saver settings are global, meaning that they are the same for all user accounts on your Mac.

NOTE

You can put your mobile Mac to sleep even when the Login dialog box is displayed by closing the lid.

Using and Configuring the Trackpad

Configuring and using the trackpad is quite straightforward. You use the Mouse pane of the System Preferences utility to control how your trackpad works.

  1. Open the Mouse pane of the System Preferences utility (see Figure B.5).

    Figure B.5. When you are running Mac OS X on a mobile Mac, you can set the trackpad options using the Mouse pane.

  2. Use the Tracking Speed slider to set the speed at which the pointer moves relative to your finger speed on the pad.

  3. Use the Double-Click Speed slider to control how fast you have to click the trackpad button or the trackpad itself to register a double-click.

  4. If you want to be able to "click" the trackpad, check the "Clicking" check box.

  5. Use the "Dragging" and "Drag Lock" check boxes to control how you can drag items with the trackpad.

    NOTE

    If you turn on these options, you can drag an item by touching your finger to the trackpad and dragging your finger across it. You can release an item by "clicking" the trackpad again.

  6. To disable the trackpad while you are typing, check the "Ignore Trackpad while typing" check box. This option prevents unwanted interference from the unintentional taps on the trackpad while you are typing. When you stop typing, the trackpad becomes active again.

  7. If you want the trackpad to be disabled when you connect an external mouse to your mobile Mac, check the "Ignore trackpad when mouse is present" check box.

  8. Quit the System Preferences utility.

Configuring and Using Locations

As you move your mobile Mac around, you will probably want to connect to different networks from different locations. For example, you might use an AirPort network to connect to the Internet at home, an Ethernet network to connect when you are at work, and a dial-up connection when you are on the road.

The Mac OS X Location Manager feature enables you to configure multiple network configurations on your Mac. You can then switch among these configurations easily (rather than having to manually reconfigure your Mac each time you change locations).

NOTE

You can have more than one active port on the same machine, meaning that you can have different means of connecting to a network active at the same time (such as AirPort and Ethernet). You don't need to have a location for each active port. You should use locations when you want to have different sets of active ports that you want to be able to switch among easily.

To configure a new network location, use the following steps:

  1. Open the Network pane of the System Preferences utility (see Figure B.6).

    Figure B.6. If you regularly change networks, configure a location for each network you use so that you can easily switch between them.

  2. From the Location pop-up menu, choose New Location.

  3. Name the location and click OK. You will return to the Network pane and the location you created will appear in the Location pop-up menu.

  4. Use the Show pop-up menu to choose the connection method you want to configure for this location—for example, Internal Modem to configure a dial-up connection.

  5. Use the tabs in the Network pane to configure that connection method.

    For help configuring an Internet connection, see Chapter 10, "Connecting Your Mac to the Internet," p. 233.

    For help configuring an AirPort connection, see Chapter 11, "Using an Airport Network to Connect to the Internet," p. 265.

    For help configuring a network connection, see Chapter 25, "Building and Using a Network," p. 721.

  6. Quit the System Preferences utility.

The default location for your Mac is called Automatic. If you don't use any other locations, this might be okay, but you might want to rename it to be more meaningful. You can do this by editing the location.

  1. Open the Network pane of the System Preferences utility.

    TIP

    You can quickly jump to the Network pane by choosing Apple menu, Location, Network Preferences.

  2. Choose Edit Location from the Location pop-up menu.

  3. Choose the location you want to change.

  4. Rename the location by clicking the Rename button, entering the new name, and pressing Return.

  5. Delete a location you no longer use by selecting it and clicking Delete.

  6. To duplicate a location, select it and click Duplicate; you can then rename it and modify it as needed.

  7. Click Done.

  8. Make any other changes to the location selected in the Location pop-up menu and click Apply Now.

  9. Close the System Preferences utility.

Changing your network settings is as easy as choosing Apple menu, Location, and then the location you want to use (see Figure B.7). Your changes take effect immediately—you don't need to restart your Mac or even log out.

Figure B.7. The locations you configure will be available to all the users of your Mac.

Changing locations does not necessarily immediately disable configuration settings for other locations. For example, if you have a dial-up configuration for one location and an AirPort configuration for another location, switching from the location with the AirPort configuration to the location with the dial-up configuration will not disrupt your AirPort connection unless the dial-up location also has a different AirPort configuration.

In other words, settings under one location do not affect all the configuration settings for other locations. Only when you configure a specific network connection differently under one location does it affect that connection under the other location.

However, if you log out or restart your Mac, you will lose access to the services you were using under a previous location.


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

Dynamic Host Configuration Protocol
(DHCP)
XE finding
MP3s
(*) asterisk character
(+) plus sign
(-) hyphen character
(/) forward slash
(/) slashes
(\) backslash
(|) pipe symbol
(~) tilde character
.bin file extensions
.dmg files
(Disk Image files)
.gz file
.hqz file
.img file
.Mac
accounts
accessing 2nd 3rd
creating 2nd 3rd 4th
e-mail accounts
HomePage service
iCards
iDisk 2nd 3rd 4th 5th 6th
folders 2nd
information sharting 2nd 3rd 4th
opening
upgrading 2nd
member sign-ins
troubleshooting
plug-ins
troubleshooting
software
Web hosting 2nd
Web sites
creating
customizing 2nd 3rd
HomePage templates 2nd 3rd 4th 5th
pages, adding 2nd 3rd 4th 5th
troubleshooting 2nd
.Mac accounts
logging in
logging out
.Mac tab
.Mac Web sites
images, posting 2nd
.pkg file
.sea file
.sit file
.tar file
.zip file
/ (end slash)
URLs
~ (tilde)
URLs
100BASE-T Ethernets

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

About command 2nd
About This Mac command (Apple menu)
Accelerated Graphics Port
.AGP
Accelerated Graphics Port (AGP)
access
e-mail
troubleshooting 2nd 3rd
Access Control tab
access privileges
configuring 2nd 3rd
everybody else
group
options 2nd
owner
accessing
.Mac accounts 2nd 3rd
Apache documentation 2nd
Favorites directory
fonts
users
FTP servers, problems with
FTP sites
Internet
Internet pane configuration 2nd 3rd 4th
modem configuration 2nd 3rd 4th
PPP configuration
system configuration 2nd
TCP/IP configuration
troubleshooting 2nd
items
Dock 2nd
network services
Public directory
shared files
networks 2nd 3rd 4th
Sites directory
account types (e-mail accounts) 2nd
accounts
.Mac
accessing 2nd 3rd
creating 2nd 3rd 4th
logging in
logging out
Administrator 2nd 3rd
features
security
broadband Internet providers
dial-up 2nd
reliability
e-mail
.Mac
e-mail.e-mail accounts
Internet 2nd
configuring 2nd 3rd 4th 5th 6th
DHCP Mac 2nd 3rd 4th 5th
DHCP servers 2nd
Mac OS X 2nd 3rd
managing multiple 2nd
multiple IP addresses 2nd 3rd
multiple users 2nd 3rd 4th 5th
multiple, configuring 2nd
sharing 2nd
testing 2nd
iTools
unlocking
PPoE
configuring 2nd
testing 2nd
root 2nd
activating 2nd 3rd 4th
Home directory
logging in 2nd 3rd
permissions
Unix 2nd
user
capabilities
configuring 2nd 3rd 4th
creating 2nd 3rd 4th 5th
deleting 2nd
editing 2nd 3rd
logging out
login pictures
login problems
Login window appearance 2nd
names
password hints, enabling
passwords
passwords, resetting
root accounts
testing 2nd 3rd
users 2nd
Administrator 2nd 3rd
Home directory 2nd 3rd
security
Accounts button
Accounts pane 2nd
buttons
troubleshooting
Acrobat Reader 2nd
Acrobat Reader application
Action button
activating
root accounts 2nd 3rd 4th
Activation tab
active applications
viewing
Active Content option (Internet Explorer)
Active Network Ports controls
active ports
activity (system)
viewing 2nd
ADB (Apple Desktop Bus)
ADB port
ADC 2nd
ADC (Apple Display Connector)
Add button
iMovie
Add command
QuickTime
Add Playlist button
Add Sender to Address Book command (Message menu)
Add to Favorite button
Add To Library dialog box
adddresses
IP
adding
addresses
to Address Book 2nd 3rd
buttons to toolbars
cards
PCI
clips
QuickTime movies 2nd 3rd 4th 5th
colors to Finder window backgrounds 2nd
docklings
Dock
folders
Dock 2nd 3rd
icons
Dock 2nd
iPhoto images
desktop
items to keychains 2nd 3rd 4th 5th
keychains 2nd
music
movies 2nd
music from audio CDs
movies 2nd 3rd
music from MP3s
movies 2nd
pages
.Mac Web sites 2nd 3rd 4th 5th
pages to .Mac Web sites
projectors
types
QuickTime movies
DVDs 2nd 3rd 4th
PowerPoint
Word files
slide shows
DVDs 2nd 3rd 4th 5th 6th
songs to libraries
sound effects
movies 2nd 3rd 4th 5th
tracks
QuickTime movies
transitions 2nd 3rd 4th 5th
adding QuickTime media keys
Address Book
address cards
duplicate
address groups
addresses
adding
adding information with vcards
importing form other applications
modifying
saving from e-mail messages
buttons
New
contacts
deleting
photos
DOck
setup
vcards
adding information to Address Book
dragging
address books
e-mail
storing information 2nd
keyboard shortcuts 2nd
address cards
Address Book
duplicate cards
contact photos
address groups
Address Book
addresses
Address Book
adding
adding information with vcards
importing from other applications
modifying
saving from e-mail messages
e-mail
IP
Internet accounts, sharing 2nd 3rd
troubleshooting
static
configuring
Web customer support
addressing
e-mail 2nd
administering
networks 2nd 3rd 4th 5th 6th
NetInfo Manager 2nd 3rd 4th 5th 6th
Administrator account 2nd 3rd
features
security
administrator processes 2nd 3rd
Adobe Acrobat Reader.Acrobat Reader
Adobe GoLive
Adobe GoLive Web site
Adobe Photoshop
Adobe Web site
advanced commands
iTunes
Advanced Settings pane
printers
Advanced tab
Classic pane
advanced virtual memory
Mach
AFP
(Apple File Protocol) 2nd
AGP
(Accelerated Graphics Port)
AGP (Accelerated Graphics Port)
AIFF 2nd
(Audio Interchange File Format
(Audio Interchange Format File)
AIFF files 2nd
iMovie
AirPort 2nd
configuration
troubleshooting
configuring networks
functions
AirPort Base Station
AirPort cards
AirPort software
AirPort-equipped computers
AirPort-ready Macs
Internet connections
network connections
hardware
troubleshooting
Internet account sharing 2nd 3rd
Internet connections
networks
troubleshooting
signals
troubleshooting
software
AirPort Admin Utility 2nd 3rd 4th 5th 6th 7th
AirPort Base Station
Airport Base Station
AirPort Base Station
configuring 2nd
installing 2nd
network service configuration 2nd
password problems
AirPort Base Stations
configuring
AirPort Setup Assistant 2nd 3rd 4th 5th 6th
Mac OS 9
manually 2nd 3rd 4th 5th 6th 7th
AirPort cards
installing 2nd 3rd
AirPort docklings 2nd
AirPort Hardware Access Point 2nd
configuring 2nd
AirPort Hardware Access Points
AirPort icon
AirPort menu
AirPort network
connecting
AirPort cards 2nd 3rd
AirPort networks
Mac OS X, configuring for 2nd 3rd 4th
AirPort docklings 2nd
computer-to-computer networks 2nd
hidden networks
AirPort Setup Assistant 2nd 3rd 4th 5th 6th
Base Station configuration 2nd 3rd 4th 5th 6th
Aladdin's DropStuff application
Aladdin's DropStuff Web site
Aladdin's Stuffit Expander application
alert sounds
configuring 2nd
installing 2nd 3rd 4th
Sound pane 2nd
Alert Volume slider
alerts
errors
Alerts tab 2nd
aliases
creating 2nd
Allow Multiple Simultaneous Streams check box
Amazon Web site
Ambrosia Software's SnapzProX application
Ambrosia Web site
America Online Web site
analog speakers
animating
icons
Dock 2nd
animation
formats
QuickTime supported
QuickTime
antialiasing
antivirus application (Mac toolkit)
antivirus software 2nd 3rd 4th
functions
Anubis
Web site
Apache
documentation, accessing 2nd
Apache software
Apache Web site
appearance
iDVD buttons 2nd 3rd 4th 5th
appearances
desktop 2nd 3rd 4th
Apple
applications
Disc Burner
SuperDrive.SuperDrive
Apple Computer Web site
Apple Desktop Bus (ADB)
Apple Display Connector.ADC
Apple File Protocol
(AFP)
.AFP
Apple menu 2nd 3rd
Classic applications
commands 2nd
About This Mac
Dock, Dock Preferences
Force Quit
Location
Location, Network Preferences
Log Out 2nd
Restart
Shutdown
Sleep 2nd
System Preferences 2nd
Apple Pro speakers
Apple software updates Web site
Apple Store Web site
Apple System Profiler 2nd 3rd 4th 5th
starting
Apple System Profiler Commands menu
Apple Web site
Apple's Movie Trailer
Apple's software support Web site
AppleCare channel (Sherlock)
AppleTalk 2nd
support
AppleTalk pop-up menu
AppleTalk tab
Application menu 2nd
Application menus 2nd
commands
About
Hide and Show
Preferences
Quit
Services
application subsystems 2nd
Application Support directory
application viruses
applications 2nd
Acrobat Reader
active
viewing
Aladdin's DropStuff
Aladdin's Stuffit Expander
antivirus
Asia Text Extras
backing up
Mac OS 10.2 installation
Backup
Brickhouse
configuration 2nd
features 2nd 3rd 4th 5th
installing 2nd
bundles
Carbon
Classic 2nd
Apple menu
defined
documents
hardware devices 2nd
installing 2nd 3rd 4th
plug-ins, troubleshooting
printing
secured folders
troubleshhoting
Cocoa
Console
CPU Monitor 2nd 3rd
starting
Digital Color Meter
Disc Burner
Disc Burner (Apple)
Discribe
Disk Copy 2nd
disk maintenance
Disk Utility 2nd 3rd 4th
launching
reasing disks
Display Callibrator
Dock.Dock
document type associations
contextual menus 2nd
filename extensions 2nd
Get Info window 2nd 3rd
downloading
DropStuff
downloading
DVD Player 2nd 3rd 4th 5th 6th 7th
configuring
Controller window
controls 2nd 3rd
Info window
keyboard shortucts 2nd
playback
preferences
Viewer window
environments
Carbon
Classic 2nd
Cocoa
Java
errors 2nd
hangs 2nd 3rd
hardware errors 2nd 3rd
quits 2nd
startup errors 2nd
system errors 2nd
unexpected behviors
force quitting
Grab 2nd 3rd
helper 2nd
configuring 2nd 3rd
hiding
iChat
iDVD 2nd
Image Capture 2nd 3rd 4th 5th 6th 7th 8th
configuring 2nd 3rd 4th 5th
features 2nd
Image Editing
scanning images
installing 2nd 3rd
Applications directory
drag and drop 2nd 3rd 4th 5th
drag and drop method
Home directory
Installer program 2nd 3rd 4th
troubleshooting
Internet Connect
iTunes
Java
Keychain Access
launching 2nd 3rd 4th
Mac OS 9.2
Mac OS X
Mail
keyboard shortcuts 2nd
Mail.
maintaining 2nd
company Web sites
Mac news sites
mailing lists
menus 2nd
NetInfo Manager 2nd 3rd 4th 5th 6th
Norton AntiVirus
opening
Process Viewer 2nd 3rd
starting
quitting
quitting XE quitting
applications XE closing.quitting
Samba Unix server
installing
Script Editor
features
setting
creator applications
SnapzProX
standard
StuffIt
Stuffit Expander 2nd
configuring 2nd
preferences
system backups
System Profiler 2nd 3rd 4th
starting
Terminal
keyboard shortcuts 2nd
Toast
toggling 2nd
troubleshooting
UNIX
Unix
commands, entering 2nd
Terminal
Terminal keyboard shortcuts 2nd
vi 2nd 3rd
Virus
Watson
Web site
Applications directory 2nd
Applications tab 2nd
applicatons
Address Book.
opening
Apply Text button
applying
special effects
identifying clips with special effects applied
transitions
Aqua
architecture
Mac OS X 2nd 3rd 4th 5th 6th 7th
archiving
data
tape drives
defined
arguments
commands
Arrange tab
arrows
direction
iMovie
Asante hubs
Asia Text Extras
assessing
networks
Network Utility 2nd
performance
associating
document types with applications
contextual menus 2nd
filename extensions 2nd
Get Info window 2nd 3rd
asterisk character (*)
AT Attachment.ATA
ATA 2nd
ATA (AT Attachment)
attaching
files with e-mail 2nd 3rd 4th
attachments
e-mail
troubleshooting 2nd
attacks (system) 2nd
attributes
finding folders/files 2nd 3rd 4th 5th
Audible.com 2nd
audio
AIFF format
CDs
burned, playing
burning 2nd 3rd 4th 5th 6th
burning problems
creating 2nd
playing 2nd 3rd
recorders, configuring 2nd
track info 2nd 3rd
formats
QuickTime supported
interfaces 2nd
music. 2nd
ports
Audio Interchange File Format
.AIFF
Audio Interchange Format File
.AIFF
audio output
speakers
Audio palette 2nd
audio tracks
mixing
audio.sound
audiobooks 2nd
authentication (e-mail accounts)
author e-mail
AutoFill 2nd
Status toolbar
AutoFill button
automatic login
disabling
Automatic Login
disabling
enabling 2nd 3rd 4th
automatic startup
configuring 2nd 3rd 4th
AVI files
QuickTime Pro

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

Baby page (HomePage templates)
Back button
Back/Forward button
background text color (QuickTime movies)
backgrounds
Finder window
colors 2nd
backing up
applications
Mac OS 10.2 installation
data
Mac OS 10.2 installation
tape drives
systems 2nd
backup hardware
backup software
full backups
hardware 2nd 3rd 4th 5th 6th 7th
incremental backups
maintaining backups 2nd 3rd
selected files
software 2nd 3rd
startup disks 2nd 3rd
strategies 2nd 3rd 4th
backslash (\)
Backup application
backup hardware
backup software
Balance slider
balancing
load balancing
Bare Bones Software BBEdit
Bare Bones Software Web site
Base Station (AirPort)
configuration, troubleshooting
Base Station Password dialog box 2nd
Base Stations
AirPort
configuring 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th 12th 13th 14th 15th 16th
installing 2nd
password problems
AirPort-equipped systems
configuring as 2nd 3rd 4th 5th
batteries
digital cameras
battery icon
BBBEdit
beauty
Mac OS X
benefits
Mac OS X 2nd
beauty
compatibility
customizable
high-technology support
multiple user support
network support
organization
power
reliability
security
speed
stability
usage
bit depth
colors
bit rate
Bitmap file format
bitmap images.raster-based images
black & white button
blocks
defined
Bluetooth devices
BMP
books
Unix, learning
books (image)
creating 2nd
books (photo)
ordering 2nd
books(audio) 2nd
booting
troubleshooting
booting.starting
BOOTP
(Bootstrap Protocol)
Bootstrap Protocol
(BOOTP)
brands
digital cameras
Brian Hill's Brickhouse Web site
Brickhouse application
configuration 2nd
features
Expert mode
firewall log
monitors
settings
installing 2nd
Brickhouse Web site
brightness
iPhoto images
movies
QuickTime movies
Brightness slider
brightness/contrast sliders
broadband Internet providers
hardware
Browse Action button
browsers
Web
files, downloading
browsers.browsing, Web
browsing
playlists
Web 2nd
iCab
Internet Explorer.
OmniWeb
bugs 2nd
build-in screensavers 2nd 3rd 4th 5th 6th
building
Mac toolkit
antivirus application
installation CD
original CDs
system configuration
up-to-date backups
Mac toolkits
disk maintenance application
networks 2nd 3rd
built-in speakers
bundles
applications
defined 2nd
framework
loadable
Burn button
Burn CD button 2nd
burn mode (iDVD)
burning
CDs 2nd 3rd 4th 5th 6th
Disc Burner
Discribe
Finder 2nd 3rd 4th 5th 6th 7th
iTunes
playing
recorders, configuring 2nd
Toast
troubleshooting 2nd
DVDs 2nd 3rd 4th 5th 6th 7th 8th
preparations 2nd
Burning CD icon
burning CDs
bus-powered USB hubs
busses
ADB
serial
busses (data)
buttons
Action
Add Playlist
Add to Favorites
Address Book
New
Apply Text
Browse Action
Burn CD
Collapse Toolbars
(Internet Explorer)
Compose
Delete
Download All
Download Some
Duplicate
Edit
Edit Text
Effects
Eject
Expert
File Sharing Start
Free Sign Up
iMovie Play 2nd 3rd
List View
Mail toolbar
Get Mail
Maximize
MIME Settings
mouse buttons 2nd
New Project
New User
Open Project
Play
PPPP Options
Quit
Refresh
Repeat
Send
Show Log
Show Visuals
Shuffle
Titles
Toolbar (Finder) 2nd
adding 2nd
Upgrade now
Web Sharing Start

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

cable modems 2nd 3rd 4th
compared to DSL service
downloaded file size
cables
crossover cables
FireWire
camcorders
DV
camera formats
cost
iMovie compatibility
importing clips to iMovie 2nd 3rd 4th
lighting options
magnification
ports
selecting 2nd 3rd 4th 5th
sizes
troubleshooting
camera manufacturers Web site
Camera pop-up menu
camera-specific software
cameras
.DV camcorders
digital 2nd 3rd
batteries
brands
costs 2nd
downloading images 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th
features
functions 2nd
image resolution 2nd
iPhoto compatibility
Mac OS X compatibility 2nd
memory 2nd 3rd
memory management
selecting
software 2nd
digital video
importing clips from 2nd 3rd 4th
Digital8
iMovie
troubleshooting
maqnification
capabilities
user accounts
Capabilities sheet
captions
movie titling
Capture menu
Carbon applications
Carbon environment
cards
address cards
contact photos
AirPort
installing 2nd 3rd
CompactFlash
Ethernet
graphics
compaibility, Mac OS X
features
installing 2nd
performance
video interface support
greeting
.Mac
memory
mounting
NuBus
PC
PCI
adding
removable memory
portable MP3 players
SmartMedia
video
requirements
Cathode Ray Tube
.CRT
causes
problems 2nd
application errors 2nd
bugs 2nd
context 2nd
details
hangs 2nd
hardware errors 2nd 3rd
hardware failures 2nd
help sources 2nd 3rd 4th
quits
repeating problems
software conflicts
startup errors 2nd
system attacks 2nd
system errors 2nd
unexpected behaviors
user error 2nd
cd command
CD Insert pop-up menu
cd pathname command
CD recorders
troubleshooting
CD-R
CD-R discs
CD-R drives
CD-Rs
CD-Rs (Compact Disc Recordable)
CD-RW
CD-RW discs
CD-RW drives 2nd 3rd 4th 5th 6th 7th
burning CDs
Finder 2nd 3rd 4th
installing 2nd
selecting 2nd 3rd 4th 5th
CD-RWs (Compact Disc Recordable reWritable)
CDs
adding music to movies 2nd 3rd
burned
playing
burning 2nd 3rd 4th
Disc Burner
Discribe
Finder 2nd 3rd 4th 5th 6th 7th
iTunes 2nd 3rd
recorders, configuring 2nd
Toast
troubleshooting 2nd
creating
iTunes 2nd
ejecting
encoding music
playing 2nd 3rd
QuickTime movie distribution
recording (iTunes)
from playlists
storage space
track info 2nd 3rd
writing
CDs & DVDs pane
Change button
Change Password button
changing
directories
Go menu 2nd 3rd
keyboard
Path pop-up menu
Toolbar
changing the size of movies
channels
QuickTime
Sherlock
subscribing 2nd
channels (MP3)
Character Palette
favorites 2nd
installing
tabs 2nd
characters
favorites 2nd
finding
troubleshooting
Charismac Discribe
Charismac Engineering Anubis Utility
Charismac Web site
choosing
hardware backups 2nd
CD-RW drives
DVD-R drives
Internet technologies
choosing. selecting
choosing.selecting
CIFS
(Common Internet File System)
support
Classic applications 2nd
Apple menu
defined
documents
hardware devices 2nd
installing
Mac OS 9.2
Mac OS X 2nd
plug-ins, troubleshooting
printing
secured folders
troubleshooting
Classic disk utilities
Classic disk Utility
troubleshooting
Classic environment 2nd
extensions 2nd
printing
troubleshooting 2nd
Classic environments 2nd 3rd 4th
closing 2nd
configuring 2nd 3rd 4th
manually 2nd
controlling 2nd
crashing
force quit
hardware support
installing 2nd 3rd
operating systems 2nd 3rd
memory
not opening
performance
resource monitoring
resources
troubleshooting
restarting 2nd
running 2nd 3rd 4th
starting
troubleshooting 2nd 3rd
Classic pane 2nd 3rd
clean installations 2nd 3rd 4th 5th 6th
disadvantages
transferring files from old system 2nd
cleaning
disk drives 2nd
hard disks
Client ID names
DHCP
Clip Viewer 2nd
rendering clips
Clip Viewer icon
clips
building movies from 2nd 3rd
editing 2nd 3rd
iMovie shortcuts
importing to iMovie 2nd 3rd 4th
instant replays
playing
in reverse 2nd
previewing 2nd 3rd 4th
QuickTime
importing 2nd
Scrubber Bar
speed 2nd 3rd 4th
timecode
transitions 2nd 3rd 4th 5th
applying
previewing
rendering
stacking
Transitions palette
types
clocks
desktop 2nd 3rd
closing
Classic environment 2nd
Finder
windows
Cocoa applications
Cocoa environment
Collapse Toolbars button
(Internet Explorer)
collections (Fonts) 2nd
Collections pane (Font Panel)
color
background text (movies)
fonts 2nd
color depth
movies
color documents
ColorSync 2nd 3rd
configuring 2nd
color laser printers
Color Management pane
color palettes 2nd
Color Picker 2nd
fonts 2nd
modes
color space 2nd
defined
ColorPickers directory
colors
bit depth
Finder window backgrounds
adding 2nd
images
color space 2nd
palettes 2nd
Mail
setting
colors palette
Colors panel 2nd
ColorSync 2nd 3rd
configuring 2nd
profiles, troubleshooting
ColorSync pane 2nd 3rd
columns
windows
resizing
Columns view
windows 2nd 3rd 4th
Columns view (Finder)
customizing
comfort
mouse
command
File menu
New View Window
Command mode (vi) 2nd
commands
About 2nd
About This Mac
Add
QuickTime
Apple menu 2nd
About This Mac
Dock, Dock Preferences
Force Quit
Location
Location, Network Preferences
Log Out 2nd
Restart
Shutdown
Sleep 2nd
System Preferences 2nd
Application menus
About
Hide and Show
Preferences
Quit
Services
arguments
cd
cd pathname
Connect to Server
troubleshooting
Consolidate Library (iTunes)
Convert ID3 Tags (iTunes)
Convert to MP3 (iTunes)
cp
CPU Monitor's Preferences
Customize Toolbar
Delete Tracks
QuickTime
Edit menu
This Is Me
editing
QuickTime movies 2nd 3rd
Empty Trash 2nd
env
Export
Extract Tracks
QuickTime
File menu
New Finder Window
New Group
New Group From Selection
Find 2nd
Finder File menu 2nd
Finder menu
Empty Trash
Font
Force Quit
Format menu
Font
Make Rich Text
Get CD Track Names (iTunes)
Get Fonts
Go menu
Go To Folder
Go To Folder 2nd
Hide
Hide and Show
Hide/Show
iTunes
Join CD Tracks (iTunes)
kill
Layout
Location
Log Out
ls
Mail menu
Preferences 2nd
Mailbox menu
Get New Mail
Get New Mail in Account
man
menus
Message menu
Add Sender to Address Book
movie
Go to Poster Frame
Movie Size
Movie, Choose Language None
Movie, loop
Movie, Loop Back and Forth
Movie, Play All Frames None
Movie, Play All Movies None
movie, play selection only
Movie, Present movie
mv
Open Stream (iTunes)
options
Output Options
Page Holder Favorite
Preferences 2nd 3rd
pwd
Quit 2nd 3rd
keyboard shortcuts
Remove Audible Account (iTunes)
Replace
QuickTime
Restart
rm
Select All
QuickTime
Select None
QuickTime
Services 2nd 3rd
set poster Frame None
Shutdown
Sleep
Submit CD Track Names (iTunes)
sudo
System Preferences 2nd
Trim
QuickTime
uname
Unix
arguments
defined
entering 2nd 3rd 4th 5th
manuals 2nd
options
paths
pipe symbol
slashes
View menu
Hide Mailboxes
Hide Status Line
Show Mailboxes
Show Status Line
Window menu 2nd
comments
iPhoto images
Commentssection (Info window)
Commit button (Effects palette)
Common Internet File System
.CIFS
communication
networks
iChat 2nd
troubleshooting
Compact Disc Recordable reWritable.CD-RWs
Compact Disc Recordable.CD-Rs
CompactFlash cards
compatibility
digital cameras and iPhoto
digital cameras and Mac OS X systems
PTP
graphics cards and Mac OS X
iMovie and DV camcorders
Mac OS X
Components directory
Compose button
Composing pane
composing preferences
Mail 2nd 3rd
compressed files
Unix
compressing
files
defined
file extensions 2nd 3rd
Unix
Computer button
Computer directory 2nd 3rd
startup volume directory 2nd
Applications directory
Library directory
System directory
Users directory
computer-to-computer networks 2nd
computers
mobile
Energy Saver pane 2nd 3rd 4th
locations 2nd 3rd 4th
power 2nd 3rd 4th 5th 6th 7th
power conservation
trackpads 2nd 3rd
Conclusion dialog box
Configuration pop-up menu 2nd
Configure button
Configure pop-up menu
Configure pop-up menus
configuring
access privileges 2nd 3rd
AirPort
troubleshooting
AirPort Base Station 2nd 3rd
AirPort Setup Assistant 2nd 3rd 4th 5th 6th
Mac OS 9
manually 2nd 3rd 4th 5th 6th 7th
AirPort Hardware Access Point 2nd
AirPort networks
AirPort-equipped system as a Base Station 2nd 3rd 4th 5th
alert sounds
automatic startup 2nd 3rd 4th
Brickhouse application 2nd
CD recorders 2nd
character favorites 2nd
Classic environment 2nd 3rd 4th
manually 2nd
ColorSync 2nd
DHCP hubs 2nd 3rd
DHCP Mac 2nd 3rd
DHCP services 2nd
disks 2nd
downloads folder
Internet Explorer 2nd
DVD Player application
e-mail
rules 2nd 3rd 4th
e-mail accounts 2nd 3rd 4th 5th 6th 7th
Ethernet hubs
Favorites page 2nd
file servers
networks 2nd 3rd
file sharing
networks 2nd 3rd 4th 5th
file-sharing
filename extensions
firewalls
FTP servers 2nd 3rd
global downloads folders
helper applications 2nd 3rd
Image Capture application 2nd 3rd 4th 5th
Ink 2nd 3rd 4th 5th 6th
Internet accounts 2nd
data requirements 2nd 3rd 4th
Internet Explorer 2nd
Internet pane 2nd 3rd 4th
iTunes 2nd
iTunes source views
keyboard languages 2nd
keyboards 2nd 3rd
languages
keyboards 2nd
locations
mobile computers 2nd
Login window
automatic login 2nd 3rd
Mac OS X 2nd 3rd 4th 5th 6th 7th 8th
Internet connections 2nd
passwords
serving Web sites 2nd 3rd 4th 5th
short name
Mac OS X for AirPort networks 2nd 3rd 4th
AirPort docklings 2nd
computer-to-computer networks 2nd
hidden networks
Mail
Mail toolbar 2nd
modems
Internet access 2nd 3rd 4th
monitors 2nd
mouse 2nd
multiple Internet accounts 2nd
network services 2nd
AirPort 2nd
power management menu
PPoE accounts 2nd
PPP
Internet access
preferences
date and time 2nd
general 2nd
international 2nd
screen 2nd 3rd 4th 5th 6th
sound 2nd 3rd 4th
speech
Universal Access 2nd
proxy servers 2nd 3rd
QuickTime 2nd
connections 2nd 3rd
media keys
music
plug-ins
protected data files
registering 2nd 3rd
updates 2nd
shared files
networks 2nd 3rd
Sherlock preferences 2nd 3rd
sound
speech recognition
static addresses
Stuffit Expander application 2nd 3rd
systems
Internet access 2nd
TCP/IP
DHCP servers 2nd 3rd
Internet access
user accounts 2nd 3rd 4th
volume
Dock
configuring QuickTime
conflicts (software)
Connect button 2nd
Connect to Server command
troubleshooting
Connect to Server dialog box 2nd
Connect to the File Server dialog box
connecting
AirPort network
AirPort cards 2nd 3rd
AirPort-equipped computers
DHCP servers 2nd
dial-up
troubleshooting 2nd 3rd
Ethernet
troubleshooting 2nd 3rd
Internet 2nd
AirPort 2nd
EarthLink
steps 2nd
technologies 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th 12th 13th 14th
network
AirPort
networks
ping 2nd
ports
Ethernets
Web
Ethernet
Connection pane 2nd 3rd
connections
Internet
broadband modems
configuring Mac OS X 2nd
networks
QuickTime configuration 2nd 3rd
troubleshooting
connectors
FireWire 2nd 3rd
mini D-Sub VGA
RJ-45
S-video
video
conserving
power 2nd
Console
Consolidate Library command (iTunes)
constrain tool
constraining
iPhoto images
contacts
Address Book
deleting
content
DVDs
Content Index section (Info window)
Content pane
iPhoto
Content pane (iTunes) 2nd 3rd
content searches
folders/files 2nd
context
problems 2nd
contextual menus 2nd 3rd
associating document types with applications 2nd
contextual menus (Internet Explorer) 2nd
continuous loop movies
continuous play movies
contrast
iPhoto images
Controller window (DVD Player application)
controlling
Classic environment 2nd
controls
Copies and Pages
DVD Player application 2nd 3rd
iDVD 2nd
image quality
iMovie 2nd 3rd
iPhoto
iTunes 2nd 3rd 4th
paper feed
portable MP3 players
print settings
QuickTime
Player
saved settings
Timeline Viewer 2nd
Convert ID3 Tags command (iTunes)
Convert to MP3 command (iTunes)
converting
files
QuickTime Pro 2nd
Copies and Pages controls
Copies and Pages dialog box
copying
files
folders
copyrights
digital images
MP3 files
music
CoreServices directory
correcting
hardware errors 2nd 3rd
startup errors 2nd
system errors 2nd
cost
DV camcorders
iPod
portable MP3 players
projectors
costs
digital cameras 2nd
domains, registering
Mac OS X
Countries tab (Sherlock Preferences pane)
cp command
CPU Monitor 2nd 3rd
starting
CPU Monitor's Preferences command
crashes
Classic environment
Create New Project dialog box
creating
digital images
e-mail rules 2nd 3rd
mailboxes (e-mail) 2nd 3rd
movies
production
MP3 encoding levels 2nd
user accounts
credits
movie titling
Crop Markers 2nd
crop markers (QuickTime)
crop tool
cropping
iPhoto images
Cross Dissolve transition 2nd
cross fades (movies)
crossover cables
Crowd Applause sound effect
CRT
(Cathode Ray Tube)
CRT displays
CRT monitors
dot pitch
Custom Setup dialog box
customizable
Mac OS X
Customize button
Customize tab (iDVD Drawer)
Customize Toolbar command
customizign
Dock
customizing
.Mac Web sites 2nd 3rd
CDs (iTunes)
Columns view
desktop
appearances 2nd 3rd 4th
clock displays 2nd 3rd
Dock 2nd 3rd 4th 5th 6th 7th
docklings 2nd
e-mail
Mail window
Finder window views
Icon view 2nd 3rd 4th 5th
iDVD buttons 2nd
iDVD themes 2nd
Internet Explorer
Active Content
Fonts and Size options
keyboard accessibility
Language options
Page & Link options
Page Content
toolbar settings
Internet Explorer toolbars 2nd
iTunes
effects 2nd
equalizer 2nd
List view 2nd 3rd
MP3 encoding levels 2nd
native sounds
editing
extracting 2nd
fading 2nd
muting
volume levels
network timeservers
PDFs
screen savers
iPhoto images
Sherlock toolbar
sound
movies 2nd 3rd 4th 5th 6th 7th 8th 9th
speed
movies 2nd 3rd 4th
status bar (Finder)
Toolbar (Finder)
showing/hiding 2nd
tools, customizing 2nd 3rd
Toolbar tools 2nd 3rd
Unix directories 2nd 3rd
views
desktop
customizing QuickTime movies 2nd
Movie Properties tool 2nd
size 2nd 3rd

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

Dantz Web site
Darwin
Open Source
Darwin code
VFS
Darwin code Web site
Darwin core 2nd 3rd
Mach 2nd 3rd
data
archiving
tape drives
backing up
Mac OS 10.2 installation
tape drives
Internet accounts requirements 2nd 3rd 4th
processing 2nd
time-synchronized
data busses
date
configuring 2nd
Date & Time pane
Date and Time pane 2nd
Date and Time tab
Date tab
decoding
files 2nd 3rd
default encoding levels (MP3)
default panes
System Preferences utility
Default Voice tab
defragmenting
defined
hard disks 2nd 3rd
Delay Until Repeat slider
Delete button 2nd
Delete Tracks command
QuickTime
Delete User button
Deleted Users folder
deleting
contacts
Address Book
digital images
DVD files
e-mail
e-mail messages
files 2nd
folders 2nd
icons
Dock
iDVD buttons
keywords
recorded sound effects
Trash items
user accounts 2nd
deleting playlists
dependency (QuickTime movies)
design
iDVD
saving 2nd
iDVD buttons 2nd 3rd 4th 5th
design mode (iDVD)
designing
DVDs 2nd
networks 2nd 3rd 4th
device connections
devices
security
service access
services, types of
designs
iDVD
custom themes 2nd
themes 2nd 3rd
desktop
appearances 2nd 3rd 4th
Apple menu 2nd 3rd
commands 2nd
clock displays 2nd 3rd
customizing
DVDs, watching
iPhoto images, adding
keyboard shortcuts 2nd
views
customizing
Desktop directory
Desktop folder
desktop folders
Mac OS 9.2
desktop images
capturing 2nd
Grab application 2nd 3rd
keyboard shortcuts
Desktop Pictures directory
Desktop tool
iPhoto
details
problems
Device Profiles tab
devices
ink 2nd
finding
Ink 2nd 3rd
Ink configuration 2nd 3rd 4th 5th 6th
installing
resources
input
Bluethooth
gamepads
ink devices 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th 12th 13th
joysticks
keyboards 2nd 3rd 4th 5th 6th 7th
keyboards.keyboards
mouse 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th
resources
selecting 2nd
speech recognition
trackballs 2nd 3rd 4th
troubleshooting
wireless
networks
connecting
output
monitors 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th 12th 13th 14th 15th 16th 17th 18th
printers 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th
printers.printers
speakers 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th
USB compatibility
Devices and Volumes tab 2nd
DHCP
(Dynamic Host Configuration Protocol) 2nd
DHCP Client ID
DHCP hubs
configuring 2nd 3rd
firewalls
installing 2nd 3rd 4th 5th
selecting
DHCP Mac
Internet account sharing
configuring 2nd 3rd
installing
DHCP servers
Client ID names
connections 2nd
functions
Internet accounts, sharing
multiple
Internet accounts
NAT
TCP/IP, configuring 2nd 3rd
DHCP services
configuring 2nd
dial-up accounts
reliability
dial-up connections
troubleshooting 2nd 3rd
dial-up modems 2nd 3rd 4th
dialog boxes
Add To Library
Base Station password
Base Station Password
Conclusion
Connect to Server 2nd
Connect to the File Server
copy and Pages
Create New Project
Custom Setup
Easy Install
Enable Tracks
Expert QuickTime Settings
Export Images
Font - Collections 2nd
Font - Sizes 2nd
Go To Folder
Import File
Initialize
iPhoto Preferences
Login 2nd
Mail Photo
New Album
New Mailbox
New Password Item
Open 2nd 3rd 4th 5th
Order Prints
Publish HomePage
Save 2nd 3rd 4th
Select a Picture
Select Volume
Set Up Mail
sheets
Sheets
Smart Playlist 2nd
View Options
Dictionary channel (Sherlock)
digital cameras 2nd 3rd
batteries
brands
costs 2nd
downloading images
camera-specific software
Disk Mode
Image Capture 2nd 3rd 4th 5th 6th 7th 8th
features
functions 2nd
image resolution 2nd
iPhoto compatibility
Mac OS X compatibility
PTP
memory 2nd 3rd
memory management
mounting
troubleshooting
selecting
software 2nd
troubleshooting 2nd
Digital Color Meter
digital images
colors
color space 2nd
palettes 2nd
copyrights
creating 2nd
deleting
digital cameras 2nd 3rd
batteries
brands
costs 2nd
features
functions 2nd
memory 2nd 3rd
memory management
resolution 2nd
selecting
software 2nd
distributing 2nd
downloading
camera-specific software
Disk Mode
Image Capture 2nd 3rd 4th 5th 6th 7th 8th
iPhoto 2nd
scanners 2nd
editing 2nd
importing
iPhoto 2nd
iPhoto.
resolution 2nd 3rd 4th
monitors
pixels
storing 2nd
viewing 2nd
digital speakers
Digital Subscriber Line. DSL
Digital Video
.DV
Digital Video Interface.DVI
Digital Video stream,DV stream
Digital8 cameras
DIMM
DIMM (Dual In-line Memory Module)
dimming
screens
direction arrows
iMovie
directories
Application Support
Applications 2nd 3rd 4th
changing
Go menu 2nd 3rd
keyboard
Path pop-up menu
Toolbar
ColorPickers
Components
Computer 2nd 3rd
startup volume directory 2nd
CoreServices
defined 2nd
Desktop
Desktop Pictures
Documentation
Extensions
Favorites
accessing
creating
Fonts
Frameworks
Home 2nd 3rd 4th 5th 6th
folders 2nd 3rd
root accounts
viewing
Internet Plug-ins
Library 2nd 3rd 4th 5th
OpenSSL
paths
PreferencePanes
Preferences
Printers
Public
accessing
Receipts
Sites
accessing
Sounds
startup volume 2nd
Applications directory
Library directory
System directory
Users directory
StartupItems 2nd
System 2nd
directory examples
Unix
contents, customizing 2nd 3rd
viewing 2nd 3rd 4th 5th
Users
Directories button
directory structure (Finder) 2nd
changing
Go menu 2nd 3rd
keyboard
Path pop-up menu
Toolbar
disabling
Automatic Login mode
automatic logins
e-mail accounts
QuickTime movie tracks
Restart button 2nd
Shut Down button 2nd
Trackpad
Disc Burner application (Apple)
disc images
Discribe
discs
CD-R
CD-RW
installation
third-party applications
Disk Burner
Disk Copy application
Disk Copy applications
disk drives
cleaning 2nd
disk gauge
troubleshooting
Disk Image files
.dmg files
disk images
mounting
disk maintenance application (Mac toolkit)
disk maintenance applications
Disk mode
disk space
requirements
disk utilities
Classic
troubleshooting
Disk Utility 2nd 3rd 4th 5th
launching
starting
troubleshooting
Disk Utility application
erasing disks
disks
configuring 2nd
ejecting 2nd
erasing
floppy
digital cameras
hard
cleaning
defragmenting 2nd 3rd
maintaining 2nd 3rd 4th
optimizing 2nd 3rd
icons
iDisk 2nd 3rd 4th
.Mac
folders 2nd
information sharing 2nd 3rd 4th
mounting
opening
sharing information with users
upgrading 2nd
initializing
inserting
installed, troubleshooting
multiple partitions
partitioning
partitions
troubleshooting
startup
maintaining 2nd 3rd
display area
iTunes 2nd
Display Callibrator application
Display Callibrator Assistant
Display Size slider
Display tab
displays
CRT 2nd
interfaces
ADC
VGA
LCD
sizes
Displays pane 2nd
distributing
digital images 2nd
movies
electronically 2nd 3rd
QuickTime
videotapes 2nd 3rd
QuickTime movies 2nd
dmg files 2nd
installing
DNS 2nd
(Domain Name Server)
(Domain Name Service)
Doc
QuickTime
Readme documents
Sherlock
System Preferences
doc files
Dock 2nd
Address Book icon
customizing 2nd 3rd 4th 5th 6th 7th 8th
default items 2nd
Dock Preferences command (Apple menu)
docklings 2nd 3rd
adding
adding to Dock
download Web site
downloading/installing 2nd
installing 2nd
document icons
Finder icon
folders
adding 2nd 3rd
functions 2nd
Genie Effect
hiding/showing 2nd 3rd
iChat icon
icons 2nd
adding 2nd
animating 2nd
deleting
moving 2nd
iMovie icon
Internet Explorer icon
iPhoto icon
items
accessing 2nd
iTunes icon
keyboard shortcuts
locations
magnification
magnifying
Mail icon
minimized windows
minimizing
navigating
organizing
pop-up menus
preferences 2nd
Scale Effect
setup 2nd
size 2nd 3rd 4th
Trash
volume control
Dock pane 2nd
Dock Size slider
dock.dock file extention
docklings 2nd 3rd
adding to Dock 2nd
download Web site
downloading/installing 2nd
installing 2nd
docks
AirPort 2nd
document icons
Dock
documentation
Apache
accessing 2nd
Documentation directory
documents
application association
contextual menus 2nd
filename extensions 2nd
Get Info window 2nd 3rd
Classic applications
color
ColorSync 2nd 3rd 4th 5th
filename extensions
hiding 2nd
viewing 2nd
iDisk
saving
Mac OS 9.2
opening 2nd 3rd
application association 2nd 3rd 4th 5th 6th 7th 8th
Open dialog box 2nd 3rd 4th
troubleshooting 2nd
Readme
Dock
saving 2nd 3rd
filename extensions 2nd 3rd 4th
Mac OS X
PDFs 2nd 3rd
storing
system backups
Documents folder
Documents folder (iDisk)
dolders
defined
Domain Name Server
.DNS
Domain Name Service
.DNS
domains
registering 2nd 3rd
costs
registration sites
search
dot pitch (CRT monitors)
Double-Click slider
Double-Click Speed slider
Download All button
Download button
Internet Explorer
Download Manager 2nd 3rd 4th 5th 6th
Download Manager window
Download Some button
downloading
applications
digital images
camera-specific software
Disk mode
Image Capture 2nd 3rd 4th 5th 6th 7th 8th
iPhoto 2nd
docklings 2nd
DropStuff application
files
iDisk
FTP files 2nd 3rd
images
scanners 2nd
movies
MP3 files 2nd
music
portable MP3 players 2nd 3rd
screensaver modules 2nd
Web files
Download Manager 2nd 3rd 4th 5th
FTP client
Interarchy 2nd 3rd
Web browsers
downloads folders
configuring
Internet Explorer 2nd
Draft mailbox
saving messages to
drag and drop method (applications) 2nd 3rd 4th 5th 6th
dragging
vcards
Address Book
Drawer (iDVD) 2nd
Dreamweaver
Drive Setup window 2nd
drives
Apple SuperDrive.SuperDrive
CD-R
CD-RW 2nd
CD-RW drives.CD-RW drives
disks
cleaning 2nd
DVD-R
DVD-RAM
external FireWire hard drives
floppy
hard
formatting 2nd
partitioning 2nd 3rd 4th 5th 6th
hard.hard drives
jaz
partitioning
removable media
SCSI
installing 2nd
tape 2nd
zip
Drop Box folder
DropStuff application
downloading
DropStuff Web site
DSL (Digital Subscriber Line)
DSL modem
DSL modems 2nd 3rd
DSL service
DSLindiana Web site
Dual In-line Memory Module.DIMM
dumb hubs
duplexing
printing
duplicate address cards
Address Book
Duplicate button
DV
(Digital Video)
camcorders
camera formats
cost
iMovie compatibility
importing clips to iMovie 2nd 3rd 4th
lighting options
magnification
ports
selecting 2nd 3rd 4th 5th
sizes
troubleshooting
movies
creating
planning
post-production 2nd
production
requirements
DV camcorders
passing-through a signal
DV stream
DVD Player
DVD Player application 2nd 3rd 4th 5th 6th
configuring
Controller window
controls 2nd 3rd
Info window
keyboard shortcuts 2nd
playback
preferences
Viewer window
DVD Research Web site
DVD-R
DVD-R drives
DVD-RAM
DVD-RAM drives
DVDs
burning 2nd 3rd 4th 5th 6th 7th 8th
burning preparations 2nd
content
creating 2nd
designing 2nd
exporting iMovies to
files, deleting
iDVD
burning 2nd 3rd
burning preparations 2nd
button appearances 2nd 3rd 4th 5th
controls 2nd
creating projects
custom themes 2nd
designs, saving 2nd
Drawer 2nd
iDVD window 2nd
menu themes 2nd 3rd
modes 2nd
preferences 2nd 3rd
project themes
QuickTime movies, adding 2nd 3rd 4th
saving projects
slide shows, adding 2nd 3rd 4th 5th
submenus 2nd 3rd
TV Safe Area
movie preparations 2nd
QuickTime movie distribution
slide shows, placing 2nd
troubleshooting
NOT PERMITTED messages
not playing
region code messages
video standard
watching
desktop
DVD Player application 2nd 3rd 4th 5th 6th
watermark
DVI
DVI (Digital Video Interface)
DVolume module
DVolume Web site
Dynamic Host Configuration Protocol
.DHCP

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

e-mail
.Mac
access
troubleshooting 2nd 3rd 4th
accounts
adding to Mail
iTools
addressing 2nd
attachments
troubleshooting 2nd
author
configuring
rules 2nd 3rd
customizing
Mail window
deleting
deleting messages
file attachments
receiving
uncompressing
files, attaching to 2nd 3rd 4th
files, receiving with
files, sending with
headers
formatting 2nd
Mail.
mailboxes, creating 2nd 3rd
mailing lists
organizing
QuickTime movie distribution
reading
reading XE "shortcuts" XE shortcuts
e-mail;reading
receiving 2nd
replying 2nd 3rd 4th 5th 6th
RTF
rules
saving address to Address Book from messages
saving messages to Draft mailbox
searching 2nd
text 2nd
sending 2nd 3rd 4th
troubleshooting
spell-checking 2nd
storing mail 2nd
unread
writing 2nd 3rd
e-mail accounts
account type 2nd
authentication
configuring 2nd 3rd 4th 5th 6th 7th
enabling/disabling
host name
POP
versus IMAP
E-mail tab
e-mailing
iPhoto 2nd
EarthLink 2nd
Earthlink Web site
Easy Install dialog box
eBay channel (Sherlock)
Edit button
Edit File Helper window
Edit menu
commands
This Is Me
Edit mode (vi) 2nd
Edit Text button
Edit User button
editing
Address Book addresses
clips 2nd 3rd
digital images 2nd
font collections 2nd
images 2nd 3rd
iMovie shortcuts
iPhoto images 2nd 3rd
movies
QuickTime
native sound
native sounds
recorded soun
smart playlists
sound
music 2nd
user accounts 2nd 3rd
editing commands
Add (QuickTime)
Delete Tracks (QuickTime)
Extract Tracks (QuickTime)
QuickTime movies 2nd 3rd
Replace (QuickTime)
Select All (QuickTime)
Select None (QuickTime)
Trim (QuickTime
editing macros.
emacs
editing QuickTime Pro movies 2nd
Education page (HomePage templates)
effects
iTunes 2nd
Effects button
Effects palette 2nd 3rd 4th 5th
Commit button
Restore Clip button
Eject button 2nd
Eject icon
ejecting
disks 2nd
electronically distributing movies 2nd 3rd
emacs
(editing macros)
Empty Trash command
Empty Trash command (Finder menu)
Enable kiosk mode (movies)
Enable Tracks dialog box
Enable Tracks window
enabling
Automatic Login mode 2nd 3rd 4th
e-mail accounts
password hints
QuickTime movie tracks
encoding
defined
files
file extensions 2nd 3rd
music 2nd
MP3 format 2nd
quality 2nd 3rd 4th 5th 6th
encoding files
defined
end slash (/)
URLs
Energy Saver pane 2nd 3rd 4th 5th 6th 7th
entering
commands
Unix 2nd 3rd 4th 5th
Entourage (Microsoft)
vcards
env command
environments
Carbon
Classic 2nd 3rd 4th 5th 6th
closing 2nd
configuring 2nd 3rd 4th 5th 6th
controlling 2nd
crashing
extensions 2nd
force quit
hardware support
installing 2nd 3rd 4th 5th 6th
memory
not opening
performance
printing
printing problems
resources, monitoring
resources, troubleshooting
restarting 2nd
running 2nd 3rd 4th
starting
troubleshooting 2nd 3rd 4th
Cocoa
Java
Unix 2nd
Eqaulizer window
equalizer
iTunes 2nd
erasing
disks
error alerts
error ID numbers
error messages
sufficient priviliges
errors
applications 2nd
hangs 2nd 3rd
hardware errors 2nd 3rd
quits 2nd
startup errors 2nd
system errors 2nd
unexpected behaviors
viruses
hardware
correcting 2nd 3rd
startup
correcting 2nd
system
correcting 2nd
errors (user) 2nd
Ethernet
Web, connecting to
Ethernet cards
Ethernet connections
troubleshooting 2nd 3rd
Ethernet hubs 2nd 3rd
configuring
dumb
features 2nd
finding
firewalls 2nd
installing 2nd 3rd 4th
intelligent
Internet account sharing 2nd
manageable
networks
passive
platform-specific
ports 2nd
selecting 2nd 3rd
speeds 2nd
switching
uplink ports
Ethernet networks Web site
Ethernets 2nd 3rd 4th
100BASE-T
Fast
Gigabit
ports
connecting
RJ-45 connectors
speeds 2nd
everybody else access privileges
Expert button
expert formatting options
QuickTime movies 2nd
Expert mode
Expert QuickTime Settings dialog box
Export command
Export Images dialog box
Export tool
iPhoto
exporting
iPhoto images 2nd 3rd 4th
movies
DVD
QuickTime movies
DVD format 2nd
slide shows
DVD 2nd
extensions
Classic environment 2nd
filename 2nd 3rd 4th
hiding 2nd
viewing 2nd
filenames 2nd
configuring
files
.bin
.gz
.hqz
.img
.pkg
.sea
.sit
.tar
.zip
QuickTime
.mov
extensions (file)
dock.dock
Extensions directory
Extensions Manager
configuring for Classic environment
Extensions tab
extentions
files
compressed/encoded files 2nd 3rd
external FireWire hard drives
external hard drives
installing 2nd
versus internal hard drives
external hardware
troubleshooting
external interfaces 2nd 3rd 4th 5th
audio 2nd
data busses
Ethernet
Ethernets 2nd 3rd
FireWire 2nd 3rd 4th
modems 2nd
PC cards
PCI 2nd 3rd 4th
USBs 2nd 3rd 4th 5th 6th
video 2nd 3rd
Extract Tracks command
QuickTime
extracting
files
Unix
native sound 2nd
native sounds 2nd
Extras pop-up menu

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

Fade To/From Black transition
Fade Volume slider
fading
native sounds 2nd
sound
movies
fading sounds
movies 2nd
failures
hardware 2nd
Family pane (Font Panel) 2nd
Fast Ethernets
Fast SCSI
favorite characters 2nd
Favorites button
Favorites collection (Fonts)
Favorites directory
accessing
creating
Favorites page
configuring 2nd
features
.functions
Brickhouse application
Expert mode
firewall log
monitors
settings
graphics cards
Script Editor
file extensions
vcf
File Format pop-up menu
file formats
BMP
converting
QuickTime Pro 2nd
File menu
commands
New Finder Window
New Group
New Group From Selection
New View Window
file servers
configuring 2nd
firewalls
troubleshooting
File Sharing page (HomePage templates)
File Sharing Start button
file systems
.VFS
HFS 2nd
HFS+
ISO 9660
UDF
File Transfer protocol
(FTP)
File Transfer Protocol
.FTP
File Transfer Protocol server
.FTP server
filename extensions 2nd 3rd 4th 5th 6th
associating document types with applications 2nd
configuring
hiding 2nd
viewing 2nd
filenames
Unix
files
.dmg 2nd
installing
.mov
.pkg
installing
.rtfd
.smi 2nd
installing
.tiff
AIFF
iMovie
aliases 2nd
applications
setting to open
attaching to e-mail 2nd 3rd 4th
compressed
Unix
compressing
defined
file extensions 2nd 3rd
compressing/uncompressing
Unix
copying
creating
decoding 2nd 3rd
deleting 2nd
disk images
mounting
doc
downloading
iDisk
DVD
deleting
e-mail attachments
receiving
uncompressing
encoding
defined
file extensions 2nd 3rd
extension
.gz
extensions
.hqz
.img
.pkg
.sea
.sit
.tar
.zip
compressed/encoded files 2nd 3rd
extentions
.bin
dock.dock
extracting
Unix
finding 2nd
attributes 2nd 3rd 4th 5th
content 2nd
formats
Bitmap
GIF
images 2nd 3rd 4th
JPEG
Photoshop
PICT
QuickTime
Silicon
TIFF
Internet Resource Locator
jpeg
jpg
lost
viruses
MP3
copyrights
downloading 2nd
importing
listening to 2nd 3rd 4th 5th
storing 2nd 3rd
naming 2nd 3rd
pdf
PDFs
creating 2nd 3rd 4th
customizing
previewing
saving documents as 2nd 3rd
receiving with e-mail
rtf
sending with e-mail
shared
accessing 2nd 3rd 4th
configuring 2nd 3rd 4th 5th 6th 7th 8th
Mac OS 9 2nd 3rd 4th 5th
Mac OS X
troubleshooting
sharing
configuring
storing
system backups
transferring between system versions 2nd
uncompressing 2nd 3rd
Wave
Web
downloading 2nd 3rd 4th 5th
downloading with Download Manager 2nd 3rd 4th 5th
xls
filter frequencies
MP3
Find button
Find command 2nd
Finder 2nd
Application menu
burning CDs 2nd 3rd 4th 5th 6th 7th
Disk Burner
File menu
commands 2nd
Go menu 2nd 3rd 4th 5th
Help menu
keyboard shortcuts
Path pop-up menu
status bar
customizing
Toolbar
customizing
directories, changing
showing/hiding 2nd
tools, customizing 2nd 3rd
windows 2nd
closing
Columns view 2nd 3rd 4th 5th
directory structure
directory structure.directory structure (Finder)
Icon view 2nd 3rd 4th 5th 6th 7th
items, selecting 2nd 3rd
keyboard shortcuts
List view 2nd 3rd 4th 5th 6th 7th 8th
maximizing
minimizing
moving
navigating 2nd 3rd 4th 5th 6th
opening 2nd 3rd 4th 5th 6th
scrolling 2nd 3rd 4th
sizing 2nd
spring-loaded
views 2nd 3rd 4th 5th 6th 7th 8th
Finder icon
Finder menu
commands
Empty Trash
Finder window
background color 2nd
Finder's menus
Application
finding
characters
files 2nd
attributes 2nd 3rd 4th 5th
content 2nd
folders 2nd
attributes 2nd 3rd 4th 5th
content 2nd
hubs
Ethernet
images
keywords 2nd
ink devices
Finger tab
Network Utility
firewall log
Firewall tab
Sharing pane
firewalls
configuring
DHCP hubs
hackers, preventing
hubs
Ethernet 2nd
software 2nd 3rd
FireWire 2nd 3rd 4th
advantages
cables
competitor
connectors 2nd 3rd
importing clips from a DV camera
FireWire hubs 2nd 3rd
installing 2nd 3rd
selecting 2nd
firmware
updating 2nd
First Aid tab (Disk Utility)
Flights channel (Sherlock)
floppy disks
digital cameras
floppy drives
Folder
System
folders
aliases 2nd
copying
creating
Deleted Users
deleting 2nd
Desktop
desktop
Mac OS 9.2
Dock
adding 2nd 3rd
Documents
Documents (iDisk)
downloads
configuring
Internet Explorer 2nd
Drop Box
finding 2nd
attributes 2nd 3rd 4th 5th
content 2nd
Fonts
global downloads
configuring
Home directory 2nd
Desktop
Documents
Drop Box
Library
Public
Sites
icons
iDisk 2nd
iTunes Music
Library
Library/Keychains
locked
menus
hierarchical 2nd
Movies (iDisk)
Music (iDisk)
naming
Network
opening
new windows
Pictures (iDisk)
portable MP3 players
Public
Public (iDisk)
QuickTime framework
QuickTime Library
QuickTime Player Applications
Sites
Sites (.Mac)
Sites (iDisk)
Software (iDisk)
system
Mac OS 9.2
unlocked
folders.
directories
Font command (Format menu)
Font Family menu
iMovie
Font panel
Font Size slider
iMovie
Font [image] Collections dialog box 2nd
Font [image] Sizes dialog box 2nd
fonts
Character Palette
favorites 2nd
installing
tabs 2nd
collections 2nd
color 2nd
favorites
installing 2nd 3rd
Mail
setting
previewing
sizes 2nd
smoothing
system versions
types
users
accessing
Fonts & Color pane
Fonts and Size options (Internet Explorer)
Fonts directory
Fonts folder
Fonts panel 2nd
collections 2nd
Collections pane
Color Picker 2nd
Family pane 2nd
Favorites collection
Preview pane
Sizes pane 2nd 3rd
force quit
Classic environment
Force Quit command (Apple menu)
force quitting 2nd
applications
Format menu
commands
Make Rich Text
Font command
formats
animation
QuickTime supported
audio
QuickTime supported
DV camcorders
files
Bitmap
GIF
images 2nd 3rd 4th
JPEG
Photoshop
PICT
QuickTime
QuickTime Pro conversions 2nd
Silicon
TIFF
images
QuickTime supported
QuickTime movies
QuickTime movies XE movies
QuickTime;formats
QuickTime Pro supported 2nd
video
QuickTime supported
Formats pop-up menu
formatting
e-mail
headers 2nd
hard drives
Anubis
FWB Hard Disk Toolkit
QuickTime movies 2nd
forms
AutoFill 2nd
Status toolbar
automatically completing.AutoFill
forward slash (/)
Fox News Web site
fractional T1 cabling 2nd
fragmenting
defined
frame rate
movies
processing power
quality
framework
bundles
Frameworks directory
Frameworks tab
Free Sign Up button
frequencies
filter (MP3)
FTP
(File Transfer Protocol) 2nd
downloads 2nd 3rd
FTP client
files, downloading
FTP server
(File Transfer Protocol)
accessing, problems with
troubleshooting
FTP servers
configuring 2nd 3rd
FTP sites
accessing
full backups
Full Keyboard Access tab (Keyboard pane)
function keys
functions
.features
AirPort
AirPort Base Station
AirPort cards
AirPort software
AirPort-equipped computers
AirPort-ready Macs
Internet connections
network connections
antivirus software
DHCP servers
digital cameras
Dock 2nd
PDF
proxy servers
FWB's Hard Disk ToolKit

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

gamepads
Gap Between Tracks pop-up menu
General pane 2nd 3rd
general preferences
configuring 2nd
General section (Info window)
Genie Effect
Gestures tab
Ink pane
Get CD Track Names command (iTunes)
Get Fonts command
Get Info button
Get Info window
associating document types with applications 2nd 3rd
Get Mail button (Mail toolbar)
Get New Mail command (Mailbox menu)
Get New Mail in Account command (Mailbox menu)
GIF file format
Gigabit Ethernets
global downloads folders
configuring
Go menu 2nd
commands
Go To Folder
directories, changing 2nd 3rd
Go To Folder command
Go To Folder command (Go menu)
Go To Folder dialog box
GoLive (Adobe)
Grab application 2nd 3rd
graphics
.images
graphics cards
compatibility, Mac OS X
features
installing 2nd
performance
video interface support
graphics subsystems 2nd
Gravis
group access privileges
groups
address groups.

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

hackers 2nd
preventing
firewalls
software firewalls 2nd 3rd
hangs (applications) 2nd 3rd
Hard Disk ToolKit
Hard Disk Utility Web site
hard disks
cleaning
defragmenting 2nd 3rd
maintaining 2nd 3rd 4th
optimizing 2nd 3rd
hard drives
external
installing 2nd
versus internal
external FireWire
formatting
Anubis
FWB Hard Disk Toolkit
initializing 2nd 3rd 4th 5th
interfaces
internal
installing 2nd 3rd
multiple
partitioning 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th
performance requirements
selecting 2nd 3rd 4th
size
system backups
watching QuickTime movies 2nd 3rd 4th 5th
hardware
AirPort
troubleshooting
Classic applications 2nd
Classic environment support
DHCP servers 2nd
errors
correcting 2nd 3rd
external
troubleshooting
failures 2nd
internal
troubleshooting
system backups 2nd 3rd 4th 5th 6th 7th 8th
CD-R
CD-RW
CD-RW drives
DVD-R
DVD-R drives
DVD-RAM
external FireWire hard drives
hard drives
removable media
tape
tape drives
Hardware Access Point
AirPort
configuring 2nd
Harman Multimedia SoundSticks
headers
e-mail
formatting 2nd
headphone jacks
Hearing tab
help
.troubleshooting
troubleshooting 2nd 3rd 4th
Help Center icon
Help menu 2nd
helper applications 2nd
configuring 2nd 3rd
HFS (Mac OS Standard Format)
HFS+
(Hierarchical File System Plus)
hidden networks
AirPort
Hide and Show command
Hide command
Hide Mailboxes command (View menu)
Hide Status Line command (View menu)
Hide/Show command
hiding
applications
Dock 2nd 3rd 4th
filename extensions 2nd
Mail toolbar
Reading pane
Toolbar (Finder) 2nd
Hierarchical File System Plus.HFS+
hierarchical menus
folders 2nd
high-technology support
Mac OS X
hints (passwords)
enabling
hockey puck mouse
Home button
Home directory 2nd 3rd 4th 5th 6th
folders 2nd
Desktop
Documents
Drop Box
Library
Public
Sites
root accounts
viewing
home pages
.HomePage templates
HomePage service
.Mac
HomePage templates
.Mac 2nd 3rd 4th
Baby page
Education page
File Sharing page
iMovies page
Invites page
Personal page
Photo Album page
Resume page
HomePage templates (iTools)
HomePage tool
iPhoto
host name (e-mail accounts)
hosting
Web
.Mac 2nd
.Mac.
Apache 2nd
defined
Mac OS X 2nd 3rd 4th 5th 6th
Mac OS X configuration 2nd 3rd 4th
services 2nd 3rd 4th 5th 6th
Web sites
.Mac Web sites, creating
Hot Corners tab
hot-swappable
HTML
codes Web site
http
(HyperText Transport Protocol)
hubs
Asante
DHCP
configuring 2nd 3rd
firewalls
installing 2nd 3rd 4th
selecting
Ethernet 2nd 3rd
configuring
dumb
features 2nd
finding
firewalls 2nd
installing 2nd 3rd 4th
intelligent
Internet account sharing 2nd
manageable
networks
passive
platform-specific
ports 2nd
selecting 2nd 3rd
speeds 2nd
switching
uplink ports
FireWire 2nd 3rd
installing 2nd 3rd
selecting 2nd
Linksys
USB 2nd
bus-powered
installing 2nd
ports 2nd
selecting 2nd
self-powered
XRouter Pro
HyperText Transport Protocol
(http)
hyphen characater (-)

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

IBM ViaVoice
iCab 2nd
iCab Web site
iCards
.Mac
iChat 2nd 3rd
Dock
Icon view
windows 2nd
Icon view (Finder)
customizing 2nd 3rd 4th 5th
icons
AirPort
battery
Burning CD
Clip Viewer
disks
Dock 2nd
adding 2nd
animating 2nd
deleting
moving 2nd
document
Dock
documents, opening
troubleshooting
Eject
Finder
windows 2nd
folders
Help Center
iDisk
Internet Connect
Internet Explorer
Internet Resource Locator
Lock
Mouse
Preview
selecting
Sharing 2nd
Signatures
Software Update
Stuffit Expander
Trash 2nd
volume
IDE (Integrated Drive Electronics)
identifying
viruses
application errors
computer speed
lost files
messages
iDisk 2nd 3rd 4th
.Mac
documents
saving
files
downloading
folders 2nd
information sharing 2nd 3rd 4th
iTools
sharing information with users
mounting
opening
upgrading 2nd
iDisk button
iDisk icon
iDVD 2nd
burning 2nd 3rd
burning preparations 2nd
button appearances 2nd 3rd 4th 5th
controls 2nd
custom themes 2nd
designs, saving 2nd
Drawer 2nd
iDVD window 2nd
menu themes 2nd 3rd
modes 2nd
preferences 2nd 3rd
projects
creating
saving
themes
QuickTime movies, adding 2nd 3rd 4th
slide shows, adding 2nd 3rd 4th 5th
submenus 2nd 3rd
TV Safe Area
IEEE 1394
iLink
iListen
Image Capture application 2nd 3rd 4th 5th 6th 7th 8th
configuring 2nd 3rd 4th 5th
features 2nd
Image Editing application
scanning images
image quality
printers
images
attaching to e-mail messages
books
creating 2nd
colors
color space 2nd
palettes 2nd
desktop
capturing 2nd 3rd 4th 5th 6th
digital
copyrights
creating 2nd
deleting
digital camera software 2nd
digital cameras 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th 12th 13th 14th 15th
distributing 2nd
downloading 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th
downloading into iPhoto 2nd
editing 2nd
importing 2nd
iPhoto.
resolution 2nd 3rd 4th 5th 6th
scanners 2nd
storing 2nd
viewing 2nd
disk images
disks
mounting
editing 2nd 3rd
file formats 2nd 3rd 4th
finding
keywords 2nd
formats
QuickTime supported
importing
iPhoto 2nd
iPhoto
books, creating 2nd
books, ordering 2nd
brightness
comments
constraining
contrast
cropping
desktop
e-mailing 2nd
editing 2nd 3rd
exporting 2nd 3rd 4th
keywords 2nd 3rd 4th 5th 6th 7th 8th
organizing 2nd 3rd 4th
posting on .Mac Web sites 2nd
printing 2nd
prints, ordering 2nd
publishing to Web sites
QuickTime movies, creating
red-eye
screensaver, creating
sharing 2nd
slide shows 2nd
titling
login pictures
user accounts
raster-based 2nd 3rd
functions
scanning
Image Editing application
scanner software
still
importing 2nd
vector-based
functions 2nd
IMAP accounts
versus POP accounts
iMovie
AIFF files
audio tracks, mixing
Clip Viewer 2nd
rendering clips
clips
building movies from 2nd 3rd
editing 2nd 3rd
playing in reverse 2nd
previewing 2nd 3rd 4th
speed 2nd 3rd 4th
timecode
controls 2nd 3rd
Crop Markers 2nd
disk gauge
troubleshooting
Dock
DV camcorder compatibility
editing
shortcuts
exporting movies to DVD
importing
sound effects 2nd
importing clips to 2nd 3rd 4th
installing
instant replays
movies
special effects 2nd 3rd 4th 5th
titling tools 2nd 3rd 4th 5th 6th
music
adding 2nd
audio CDs, adding 2nd 3rd
edting 2nd
MP3s, adding 2nd
narration
QuickTime clips, importing 2nd
search forward/backward
Shelf
sound 2nd 3rd 4th 5th
fading
music
native sounds 2nd 3rd 4th 5th 6th 7th 8th 9th
recording 2nd 3rd 4th
sound effects 2nd 3rd 4th
volume
special effects
tools
still images, importing 2nd
Timeline Viewer
transitions 2nd 3rd 4th 5th
applying
previewing
rendering
stacking
Transitions palette
types
iMovie Play button 2nd 3rd
iMovie-compatible cameras Web site
iMovies
movies
titling
titling.movies, titling
iMovies page (HomePage templates)
implementing
networks
Import File dialog box
Import Using pop-up menus
importing
addresses to Address Book
clips
iMovie 2nd 3rd 4th
QuickTime 2nd
digital images
iPhoto 2nd
images
iPhoto 2nd
MP3 files
sound effects 2nd
still images 2nd
Importing tab
increasing
movie size
incremental backups
independent windows (Internet Explorer) 2nd
inetrfaces
video
graphics cards
Info button
Info tab
Network Utility
Info window 2nd
Comments section
Content Index section
General section
iTunes 2nd 3rd
Languages section
Name & Extension section
Open with section
Ownership & Permissions section
Preview section
Info window (DVD Player application)
ing tab
Initialize dialog box
initializing
disks
hard drives 2nd 3rd 4th 5th
Ink
configuring 2nd 3rd 4th 5th 6th
input
writing
Ink button
ink devices 2nd
finding
Ink 2nd
input
Ink configuration 2nd 3rd 4th 5th 6th
installing
resources
Ink pane
inkjet printers
selecting
inkjet printers Web site
InkPad toolbar
InkPad window
input devices
Bluetooth
gamepads
ink devices 2nd
finding
Ink 2nd 3rd
Ink configuration 2nd 3rd 4th 5th 6th
installing
resources
joysticks
keyboards
configuring 2nd 3rd
installing 2nd
selecting 2nd
mouse
buttons 2nd
comfort
configuring 2nd
hockey puck mouse
installing 2nd 3rd
selecting 2nd 3rd
troubleshooting
selecting 2nd
speech recognition
trackballs
installing 2nd
selecting
troubleshooting
wireless
Input Menu tab
Input tab
Sound pane
input/output ports (DV camcorders)
Input/Output services
inserting
disks
Install Mac OS X Select Language window 2nd
installation CD (Mac toolkit) 2nd
installation discs
Installer program (applications) 2nd 3rd 4th
installers
troubleshooting 2nd
installing
AirPort Base Station 2nd
AirPort cards 2nd 3rd
alert sounds 2nd 3rd 4th
applications 2nd 3rd
Applications directory
drag and drop method 2nd 3rd 4th 5th 6th
Home directory
Installer program 2nd 3rd 4th
troubleshooting
Brickhouse application 2nd
CD-RW drives 2nd
Character Palette
Classic applications
Mac OS 9.2
Mac OS X 2nd
Classic environment 2nd
Classic environments
operating systems 2nd 3rd
clean installations 2nd 3rd 4th 5th 6th
disadvantages
transferring files from old system 2nd
DHCP hubs 2nd 3rd 4th 5th
DHCP Mac
digital camera software 2nd
dmg files
docklings 2nd 3rd 4th
drives
SCSI 2nd
fonts 2nd 3rd
graphics cards 2nd
hard drives
external 2nd
internal 2nd 3rd
hubs
Ethernet 2nd 3rd 4th
FireWire 2nd 3rd
iMovie
Interarchy
iTunes visuals
keyboards 2nd
local printers 2nd
Mac OS 10.2 2nd 3rd 4th 5th
assessments
backups
selecting 2nd 3rd
Mac OS 9.2 2nd
Mac OS X 2nd 3rd 4th 5th 6th
Mac OS X versions
modems
monitors
multiple
mouse 2nd 3rd
OmniWeb 2nd
pkg files
plug-ins 2nd 3rd
printers
local 2nd
network 2nd 3rd
smg files
speakers 2nd
tablets
trackballs 2nd
USB hubs 2nd
instant replays
Instant-On button
Integrated Drive Electronics.IDE
Integrated Service Digital Network
.ISDN
Integrated Services Digital Network.ISDN
intelligent hubs
Interarchy
files, downloading 2nd 3rd
installing
Interarchy Web site
interfaces
defined
displays
ADC
VGA
external 2nd 3rd 4th 5th
audio 2nd
Ethernet
Ethernets 2nd 3rd
FireWire 2nd 3rd 4th
modems 2nd
PC cards
PCI 2nd 3rd 4th
USBs 2nd 3rd 4th 5th 6th
video 2nd 3rd
hard drives
internal 2nd
AirPort
ATA 2nd
DIMM
SCSI
SO-DIMM
protocols
SCSI
USB 2 2nd
user
Aqua
internal hard drives
installing 2nd 3rd
versus external hard drives
internal hardware
troubleshooting
internal interfaces 2nd
AirPort
ATA 2nd
DIMM
SCSI
SO-DIMM
International pane 2nd
international preferences
configuring 2nd
Internet
.Web
accessing
Internet pane configuration 2nd 3rd 4th
modem configuration 2nd 3rd 4th
PPP configuration
system configuration 2nd
TCP/IP configuration
accounts
DHCP servers
multiple IP addresses 2nd 3rd
sharing 2nd
AirPort connections
configuring
functions 2nd 3rd 4th 5th 6th 7th
AirPort.
connecting
AirPort
steps 2nd
technologies 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th 12th 13th 14th 15th 16th
connections
broadband modems
dial-up accounts
EarthLink
networks
username/passwords
helper applications 2nd
configuring 2nd 3rd
managing multiple accounts 2nd
multiple accounts
configuring 2nd
plug-ins
installing 2nd 3rd
radio broadcasts
iTunes 2nd
security 2nd 3rd 4th
Internet access
troubleshooting 2nd
Internet accounts 2nd
configuring 2nd
data requirements 2nd 3rd 4th
DHCP Mac 2nd 3rd 4th 5th
Mac OS X 2nd 3rd
multiple users 2nd 3rd 4th 5th
passwords
phone numbers
testing 2nd
usernames
Internet channel (Sherlock)
Internet Connect
installing
Internet Connect application
Internet Connect icon
Internet connections
configuring Mac OS X 2nd
Internet Explorer 2nd
configuring 2nd
contextual menus 2nd
customizing
Active Content
Page & Link options
Page Content
Dock
Download Manager 2nd 3rd 4th 5th
downloads folders 2nd
Favorites page
configuring 2nd 3rd
Fonts and Size options
keyboard accessibility
keyboard shortcuts 2nd
Language options
Page Holder 2nd 3rd
Scrapbook 2nd
Status bar
toolbar settings
toolbars
customizing 2nd
version 5.2.2
windows 2nd
Internet Explorer icon
Internet Explorer Preferences window
Internet Explorer Web site
Internet pane
configuring 2nd 3rd 4th
Internet Plug-ins directory
Internet Protocol
(IP)
Internet Resource Locator file
Internet Resource Locator icon
Internet Setup Assistant 2nd
Internet tab
Sharing pane
Invites page (HomePage templates)
IP
(Internet Protocol)
IP addresses 2nd
multiple
Internet accounts 2nd 3rd
static
dynamically assigned routers
troubleshooting
iPhoto
Content pane
controls
digital cameras
compatibility
Dock
downloading images from digital cameras 2nd
images
books, creating 2nd
books, ordering 2nd
brightness
comments
constraining
contrast
cropping
desktop
e-mailing 2nd
editing 2nd 3rd
exporting 2nd 3rd 4th
keywords 2nd 3rd 4th 5th 6th 7th 8th
organizing 2nd 3rd 4th
posting on .Mac Web sites 2nd
printing 2nd
prints, ordering 2nd
publishing to Web sites
QuickTime movies, creating
red-eye
screensaver, creating
sharing 2nd
titling
importing images 2nd 3rd 4th
Last Import album
modes
opening automatically
preferences 2nd 3rd
slide shows 2nd
Source pane
iPhoto Preferences dialog box
iPod
ISDN
(Integrated Service Digital Network)
ISDN (Integrated Services Digital Network)
ISDN modems 2nd 3rd
ISO 9660
ISPs
EarthLink
Internet connection support
items
Dock
accessing 2nd
iTools
e-mail accounts
storage limitations
iDisk
sharing information with users
iTools accounts
unlocking
iTunes 2nd 3rd
burning CDs
troubleshooting
CD recorders
troubleshooting
CDs
burning 2nd 3rd 4th 5th 6th
creating 2nd
playing 2nd 3rd
recorders, configuring 2nd
recording
commands
configuring 2nd
Content pane 2nd 3rd
controls 2nd 3rd 4th
display area 2nd
Dock
effects 2nd
encoding music 2nd
custom levels 2nd
MP3 format 2nd
quality 2nd 3rd 4th
equalizer 2nd
Info window 2nd 3rd
Internet radio broadcasts 2nd
iPod
keyboard shortcuts 2nd
Library
building
songs, adding
MP3s 2nd 3rd 4th
creating
downloading 2nd
listening to 2nd 3rd 4th 5th
storing 2nd 3rd
opening
playlists
browsing
deleting
recording
smart 2nd 3rd 4th 5th
standard 2nd 3rd
portable MP3 players
compatibility
controls
cost
downloading music to 2nd 3rd
folders
iPod
memory
removable memory cards
selecting 2nd
size
styles
troubleshooting
preferences 2nd
Source pane 2nd
source views
visuals 2nd 3rd 4th
Web site
iTunes Library
troubleshooting
iTunes Music folder
iTunes Setup Assistant
iTunes Web site

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

jacks
headphone
microphone
speaker
Java applications
Java environment
Jaz drives
Join CD Tracks command (iTunes)
joysticks
JPEG file format
jpeg files
jpg files

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

Key Repeat slider
keyboads
languages
configuring 2nd
Keyboard menu
Keyboard pane 2nd
keyboard shortcuts
address books 2nd
desktop images, capturing
Dock
DVD Player application 2nd
Finder
Finder window
Internet Explorer 2nd
iTunes 2nd
Mail applications 2nd
QuickTime Player 2nd
Quit command
Terminal application 2nd
Keyboard tab
keyboards
accessing
Internet Explorer
configuring 2nd 3rd
directories, changing
installing 2nd
selecting 2nd
selecting Finder window items 2nd 3rd
shortcuts
desktop 2nd
Keychain Access application
keychains
adding 2nd
creating
information 2nd 3rd
items, adding 2nd 3rd 4th 5th
locking
security
software information, storing
storing
unlocking
unlocking iTools accounts
Keychains menu
keys
function
keywords
iPhoto images 2nd 3rd
associating with information 2nd 3rd
creating
deleting
finding images 2nd
kill command
killing
processes 2nd
Kodak cameras Web site

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

LAN
(Local Area Network)
defined
LAN port
Language options (Internet Explorer)
Language tab
languages
keyboards 2nd
configuring 2nd
Languages section (Info window)
laser printers
selecting
Last Import album
launching
applications 2nd 3rd 4th
Disk Utility
Network Utility 2nd
Layout commands
LCD
(Liquid Crystal Display)
LDAP
(Lightweight Directory Access Protocol)
levels
MP3
customizing 2nd
MP3 encoding 2nd
custom 2nd
Library
iTunes
building
songs, adding
troubleshooting
Library directory 2nd 3rd 4th
Library folder
Library folder (QuickTime)
Library/Keychains folder
lighting
DV camcorders
Lightweight Directory Access Protocol
(LDAP)
Links button
Linksys hubs
Linksys Web site
Liquid Crystal Display
.LCD
List view
windows 2nd 3rd 4th 5th
List view (Finder)
customizing 2nd 3rd
List View button
Listening tab
load balancing
loadable bundles
Local Area Network
.LAN
local networks
.LAN
local printers
installing 2nd
Locate button
Location command (Apple menu)
Location Manager
Location pop-up menu
Location, Network Preferences (Apple menu)
locations
Dock
mobile computers 2nd 3rd 4th
configuring 2nd
naming 2nd
Locations tab (Sherlock Preferences pane)
Lock icon
Lock Page check box
locked folders
locking
keychains
Log Out command (Apple menu) 2nd
logging in
.Mac accounts
automatic
disabling
enabling 2nd 3rd 4th
Mac OS X
root accounts 2nd 3rd
troubleshooting
logging out
.Mac accounts
Mac OS X
user accounts
Login dialog box 2nd
Login Items pane 2nd
login pictures
user accounts
Login window
automatic login 2nd 3rd
configuring
user account appearance 2nd
logins
automatic
disabling
Lookup tab
Network Utility
lost files
viruses
ls command

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

Mac news sites
Mac OS 10.2
installing 2nd 3rd 4th 5th
assessments
backups
selecting 2nd 3rd
troubleshooting
applications
installation
preferences
Mac OS 9
AirPort Base Stations
shared files
networks 2nd 3rd 4th 5th
Mac OS 9.2
applications
Classic applications
installing
Classic environments
desktop folders
documents
installing 2nd
restarting 2nd
running
system folders
Mac OS 9.2 installer
Mac OS Standard Format.
HFS
Mac OS X
applications
architecture 2nd 3rd 4th 5th 6th 7th
benefits
beauty
compatibility
customizable
high-technology support
multiple user support
network support
organization
power
reliability
security
speed
stability
usage
configuring 2nd 3rd 4th 5th 6th 7th 8th
Internet connections 2nd
passwords
short name
configuring to serve Web sites
costs
Darwin core
Mach
digital cameras
compatibility 2nd
documents
saving
installing 2nd 3rd 4th 5th 6th
versions
logging in
logging out
maintaining 2nd 3rd
requirements 2nd 3rd
disk space
RAM 2nd
video cards
restarting 2nd
shared files
networks
shutting down
MAC OS X
starting
Home directory 2nd 3rd
user accounts 2nd
Mac OS X
terminology 2nd 3rd 4th 5th 6th 7th
troubleshooting
Web hosting
Mac Resource Page Web site
Mac Setup Assistant
Mac toolkit
antivirus application
disk maintenance application
installation CD
original CDs
system configuration
up-to-date backups
Mac Web sites 2nd 3rd
MacCentral Web site 2nd
MacFixIt Web site 2nd
Mach 2nd 3rd
advanced virtual memory
pre-emptive multitasking
protected memory
virtual memory
MacHome magazine Web site
Macintosh Guy (The) Web site
MacInTouch Web site 2nd
macro viruses
Macromedia Dreamweaver
Macromedia Dreamweaver Web site
Macs
maintaining
hard disks 2nd 3rd 4th
software 2nd 3rd 4th
macsenseWeb site
MacSpeech iListen
Macworld magazine Web site
magnification
Dock
DV camcorders
magnifying
Dock
Mail
adding e-mail accounts
colors
setting
configuring
mail
Dock
Mail
fonts
setting
preferences
composing preferences 2nd 3rd
setting 2nd 3rd
signature preferences 2nd
viewing preferences 2nd
rules
setting
Mail application
keyboard shortcuts 2nd
Mail menu
commands
Preferences 2nd
Mail Photo dialog box
Mail Preferences window
Mail tool
iPhoto
Mail toolbar
buttons
Get Mail
configuring 2nd
showing/hiding
Mail window
Mailbox Drawer
navigating
opening
Mailbox menu
commands
Get New Mail
Get New Mail in Account
mailboxes
multiple
viewing
nested
Personal Mailboxes
mailboxes (e-mail)
creating 2nd 3rd
mailing lists
application maintenance
e-mail
maintaining
applications 2nd
company Web sites
Mac news sites
mailing lists
hard disks 2nd 3rd 4th
Mac OS X 2nd 3rd
Macs
software 2nd 3rd 4th
startup disks 2nd 3rd
system
system backups 2nd 3rd
Make Rich Text command (Format menu)
man command
manageable hubs
management software
managing
multiple Internet accounts 2nd
manually
configuring
AirPort Base Station 2nd 3rd 4th 5th 6th
connecting Internet
manually configuring
AirPort Base Station
manuals
Unix commands 2nd
Margins (QT)
iMovie
Maximize button 2nd
maximizing
Finder
windows
media
removable
media keys
Media keys pane
Member Name (.Mac accounts)
member sign-ins
.Mac
troubleshooting
memory
Classic environment
digital cameras 2nd 3rd 4th
portable MP3 players
protected
Mach
virtual
Mach
memory cards
mounting
memory sticks
Menu Bar Clock tab 2nd
menus
AirPort
Apple 2nd 3rd
Classic applications
commands 2nd
Apple System Profiler Commands
AppleTalk pop-up
Application 2nd
commands 2nd 3rd 4th
Applications 2nd
applications 2nd
Applications
commands
Camer pop-up
Capture
CD Insert pop-up
commands
Configuration pop-up 2nd
Configure pop-up 2nd
contextual 2nd 3rd
contextual (Internet Explorer) 2nd
custom themes
DVDs 2nd
Edit
File
commands
Finder
File 2nd 3rd
Go 2nd
Help
Finder Application
Finder's
Application
Font Family
iMovie
Format
Font command
Formats pop-up
Gap Between Tracks pop-up
Go 2nd
commands
directories, changing 2nd 3rd
Help 2nd
hierarchical
folders 2nd
Import Using pop-up
Keychains
Location pop-up
Page Design pop-up
Partitioning Scheme pop-up
pop-up (Dock)
power management
configuring
Printer Model pop-up
printer pop-up
Song Text pop-up
Sound
Source Text pop-up
Startup Options pop-up
Streaming Buffer Size pop-up
Stuffit Expander
Theme pop-up
themes
DVDs 2nd 3rd
Timeline Zoom pop-up
Title Color pop-up
Title Position pop-up
Title Size pop-up
Use Control with
View
Window 2nd 3rd
commands 2nd
Message menu
commands
Add Sender to Address Book
messages
e-mail
attaching images to
deleting
organizing
saving to Draft mailbox
NOT PERMITTED (DVDs)
region code (DVDs)
system
viewing
microphone jacks
Microsoft Entourage
vcards
Microsoft Internet Explorer
.Internet Explorer
Microsoft Office
Microsoft Office Web site
MIDI (Musical Instrument Digital Interface)
MIME
(Multipurpose Internet Mail Extensions)
MIME Settings button
mini D-Sub VGA connectors
minimized windows
Dock
minimizing
Dock
Finder
windows
movies
windows
mirroring
video mirroring
Mitsubishi X8OU projectors
mixing
audio tracks
mobile computers
Energy Saver pane 2nd 3rd 4th
locations 2nd 3rd 4th
configuring 2nd
naming 2nd
power 2nd 3rd 4th 5th 6th 7th
power conservation
trackpads 2nd 3rd
Modem pop-up menu
Modem status icon
modems 2nd
broadband
connecting
cable 2nd 3rd 4th
compared to DSL service
checking status
configuring
Internet access 2nd 3rd 4th
dial-up 2nd 3rd 4th
DSL 2nd 3rd 4th
installing
ISDN 2nd 3rd
phone line
selecting 2nd
speed
modems (modulator-demodulator)
modes
Color Picker
Disk
iDVD 2nd
iPhoto
single-user startup 2nd
stereo (MP3)
verbose startup
modifying
address cards
Address Book
addresses
Address Book
network settings
sound
movies 2nd 3rd 4th
modifying.customizing
modulator-demodulator.modems
modules
DVolume
screen savers 2nd
screensavers
downloading 2nd
monitoring
resources
Classic environment
monitors
configuring 2nd
CRT
dot pitch
graphics cards 2nd
installing 2nd
image resolution
installing
multiple
multiple 2nd
displaying items 2nd 3rd
troubleshooting
screen savers
.screen savers
selecting
display sizes
display types 2nd 3rd
interface types
troubleshooting
Motion button
Motion Duration slider
mounting
digital cameras
troubleshooting
disk images
iDisk
memory cards
mouse
buttons
comfort
configuring 2nd
hockey puck mouse
installing 2nd 3rd
optical
selecting 2nd 3rd
troubleshooting
mouse buttons
Mouse icon
Mouse pane
Mouse tab
mov files
mov format
Movie Info window
Movie Loop command
Movie menu (QuickTime)
Movie Properties tool (QuickTime) 2nd
size 2nd 3rd
volume 2nd 3rd
movie resolution
resizing 2nd
Movie Size command
Movie, Choose Language None command
Movie, Go to Poster Frame command
Movie, Loop Back and Forth command
Movie, Play All Frames None command
Movie, Play All Movies None command
Movie, Present Movie command
movies
adding to DVDs 2nd 3rd 4th
Allow Multiple Simultaneous Streams
background text color
brightness
changing the size 2nd
clips
adding 2nd 3rd 4th 5th
building movies from 2nd 3rd
editing 2nd 3rd
native sounds 2nd
native sounds
playing in reverse 2nd
previewing 2nd 3rd 4th
speed 2nd 3rd 4th
timecode
color depth
commands
continuous loop
continuous play
creating
QuickTime Pro 2nd 3rd 4th 5th
video tracks
crop markers
customizing 2nd
default resolution
dependency
distributing 2nd 3rd
electronically 2nd 3rd
videotapes 2nd 3rd
downloading
DVD preparations 2nd
DVDs
watching
DVDs.DVDs
editing commands 2nd 3rd
Enable kiosk mode
exporting to DVD
frame rate
Hollywood trailers
iMovie
building movies from clips 2nd 3rd
Clip Viewer 2nd
clips, importing 2nd 3rd 4th
controls
Crop Markers 2nd
editing clips 2nd 3rd
installing
previewing clips 2nd 3rd 4th
QuickTime clips, importing 2nd
search forward/backward
Shelf
still images, importing 2nd
timecodes
transitions 2nd 3rd 4th 5th
iMovie.iMovie
instant replays
minimizing
Movie menu
multiple, playing
music
adding 2nd
adding from audio CDs 2nd 3rd
adding from MP3s 2nd
editing 2nd
muting
on the Web
planning
playing
post-production 2nd
printing frames
production
quality 2nd
QuickTime
color depth
creating 2nd
distributing
expert formatting options 2nd
formats
frame rate
resolution 2nd 3rd
tracks
viewing 2nd 3rd
web
QuickTime VR
requirements
resolution 2nd 3rd
saving
Web
size 2nd 3rd
size, increasing
sound 2nd 3rd 4th
audio tracks, mixing
fading
fading sounds 2nd
music
muting
narration
native sounds 2nd 3rd 4th 5th 6th 7th 8th 9th
recording 2nd 3rd 4th
sound effects 2nd
sound effects
sound effects
volume
volume levels 2nd
sound effects
adding 2nd
special effects 2nd 3rd 4th 5th
identifying clips with special effects applied
tools
still images
importing 2nd
streaming 2nd
timecode
timeline bar
titlin
titling 2nd
captions
credits
tools 2nd 3rd 4th 5th 6th 7th 8th 9th
tracks 2nd 3rd
adding
disabling
enabling
transitions 2nd 3rd 4th 5th 6th
applying
previewing
rendering
stacking
Transitions palette
types
troubleshooting
Video controls
video tracks
creating 2nd 3rd 4th
viewing
Web
volume 2nd 3rd 4th
VR 2nd
Web site
VR (Virtual Reality)
Web
saving
viewing
Web controls
Movies channel (Sherlock)
Movies folder (iDisk)
Movies Properties tool
automatic play
moving
Finder
windows
icons
Dock 2nd
pages
Internet Explorer Page Holder 2nd 3rd
scroll arrows
Moving Picture Experts Group audio layer 3.
MP3s
MP3.com Web site
MP3s 2nd 3rd 4th
adding music to movies 2nd
copyrights
creating
downloading 2nd
encoding
custom levels 2nd
quality 2nd 3rd 4th
finding
importing files
listening to 2nd 3rd 4th 5th
music, encoding
portable players
controls
cost
downloading music to 2nd 3rd
folders
iPod
iTunes compatibility
memory
removable memory cards
selecting 2nd
size
styles
troubleshooting
sources
storage space
storing 2nd 3rd
MP3s (Moving Picture Experts Group audio layer 3)
mulitple
windows (Internet Explorer)
multimedia
QuickTime
QuickTime Pro formats 2nd
multiple
monitors
displaying items 2nd 3rd
troubleshooting
partitions
systems
Internet accounts 2nd 3rd
user accounts
deleting 2nd
users
Internet accounts 2nd
multiple hard drives
multiple mailboxes
viewing
multiple monitors
installing
multiple user support
Mac OS X
multiple windows (Internet Explorer)
Multipurpose Internet Mail Extensions
.MIME
multitasking
pre-emptive
Mach
music
adding to movies 2nd
audio CDs 2nd 3rd
MP3s 2nd
audio.
CDs
burned, playing
burning 2nd 3rd 4th 5th 6th
burning problems
creating 2nd
ejecting
recorders, configuring 2nd
copyrights
downloading
portable MP3 players 2nd 3rd
editin 2nd
encoding 2nd
MP3 format 2nd
quality 2nd 3rd 4th 5th 6th
iTunes
library
building
movies
MP3s 2nd 3rd 4th
copyrights
creating
downloading 2nd
finding
listening to 2nd 3rd 4th 5th
sources
storing 2nd 3rd
QuickTime configuration
required storage space
software 2nd
track info 2nd 3rd
Music Bakery (The) Web site
Music folder (iDisk)
Music pane
Musical Instrument Digital Interface.MIDI
muting
native sounds
sound
movies
muting movies
mv command
My Account pane
user accounts, editing 2nd

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

Name & Extension section (Info window)
names
pathnames
short
user accounts
naming
files 2nd 3rd
folders
locations
mobile computers 2nd
narration
movies
recording for movies
NAT
(Network Address Translation) 2nd 3rd
DHCP hubs
native sounds
editing
extracting 2nd
fading
movies 2nd
editing
extracting 2nd
fading 2nd
muting
volume levels
navigating
Dock
Finder
windows 2nd 3rd 4th 5th 6th
Mailbox Drwer
nested mailboxes
Net hackers 2nd
preventing
firewalls
software firewalls 2nd 3rd
NetBoot processes 2nd 3rd
NetInfo Manager 2nd 3rd 4th 5th 6th
netowrks
Internet connections
AirPort
Netscape
Netstat tab
Network Utility
Network Address Translation
.NAT 2nd
Network Address Translation .NAT
network analysis software
Network File Service
(NFS)
Network File System
.NFS
Network folder
Network pane 2nd
network printers
installing 2nd 3rd
network settings
modifying
Network Time Protocol
(NTP)
Network Utility
launching 2nd
tabs
networking
MAC OS X with Windows 2nd
networking services 2nd
Apple File Protocol
AppleTalk
Bootstrap Protocol
CIFS
CIFS (Common Internet File System)
Dynamic Host Configuration Protocol
File Transfer Protocol
HyperText Transport Protocol
Internet Protocol
Lightweight Directory Access Protocol
Network File Service
Network Time Protocol
Open Transport
Point-to-Point Protocol
Point-to-Point Protocol over Ethernet
Printer Access Protocol
Samba
Service Location Protocol
Shot Message Block
Transmission Control Protocol/Internet Protocol
User Datagram Protocol/Internet Protocol
WebDAV
WebDAV standard
networking systems 2nd
AirPort 2nd 3rd
DHCP servers 2nd
IP addresses, multiple 2nd 3rd
networks
access privileges
configuring 2nd 3rd
options
administering 2nd 3rd 4th 5th 6th
NetInfo Manager 2nd 3rd 4th 5th 6th
AirPort
configuring
connecting 2nd 3rd 4th
Mac OS X, configuring for 2nd 3rd 4th 5th 6th 7th 8th 9th
troubleshooting
building 2nd 3rd
communication
iChat 2nd
troubleshooting
connections
ping 2nd
designing 2nd 3rd 4th
device connections
devices
security
service access
services, types of
DHCP Mac installation
Ethernet hubs
file servers
configuring 2nd 3rd
troubleshooting
file sharing
configuring 2nd 3rd 4th
file-sharing
configuring
troubleshooting
firewalls
FTP servers
configuring 2nd 3rd
implementing
local
.LAN
Network Utility
tabs
privileges
security
QuickTime movie distribution
routes
tracing
security
firewalls
software firewalls 2nd 3rd
services
AirPort configuration 2nd
configuring 2nd
shared files
accessing 2nd 3rd 4th
configuring 2nd 3rd 4th
Mac OS 9 2nd 3rd 4th 5th
Mac OS X
support
Mac OS X
timeservers, customizing
volumes
Windows with Mac OS X 2nd
New Album button
New Album dialog box
New button (Address Book)
New Finder Window command (File menu)
New Group command (File menu)
New Group From Selection command (File menu)
New Mailbox dialog box
New Message window 2nd
New Password Item dialog box
New Playlist button
New Project button
New User button
New View Window command (File menu)
news servers
next button
NFS
(Network File Service)
(Network File System)
no access privilege option
Norton AntiVirus
NOT PERMITTED messages (DVDs)
troubleshooting
NTP
(Network Time Protocol)
NuBus cards
Numbers tab

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

Office (Microsoft)
OmniWeb 2nd
installing 2nd
OmniWeb Web site
Open dialog box 2nd 3rd 4th 5th
Open Movie preference
Open project button
Open Source
Darwin
Open Stream command (iTunes)
Open Transport
(OT)
Open with section (Info window)
OpenGL
opening
applications 2nd
Dock pane
documents 2nd 3rd
application association 2nd 3rd 4th 5th 6th 7th 8th
Open dialog box 2nd 3rd 4th
troubleshooting 2nd
Finder
windows 2nd 3rd 4th 5th 6th
folders
new windows
iDisk
iPhoto automatically
iTunes
Mailbox Drwer
Screen Saver pane
specific file types
System Preferences utility
OpenSSL directory
operating systems
Classic environments 2nd 3rd
optical mouse
optimizing
defined
hard disks 2nd 3rd
options
access privileges 2nd
commands
Order Book button
Order Book tool
iPhoto
Order Prints button
Order Prints dialog box
Order Prints tool
iPhoto
ordering
photo books 2nd
photo prints 2nd
organization
Mac OS X
Organize mode button
organizing
Dock
iPhoto images 2nd 3rd 4th
OT
(Open Transport)
ouput
audio
speakers
output devices
monitors
configuring 2nd
graphics cards 2nd 3rd 4th
installing
multiple
multiple monitors 2nd 3rd 4th
selecting 2nd 3rd 4th 5th
printers
installing
local 2nd
network 2nd 3rd
selecting 2nd 3rd
sharing 2nd
types
speakers
audio output
installing 2nd
selecting 2nd
types 2nd 3rd 4th 5th
Output Options command
Output Options pane
Output tab
overloading sound (QuickTime)
owner access privileges
Ownsership & Permissions section (Info window)

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

package files
.pkg files
packets
defined
Page and Link options (Internet Explorer)
Page Content option (Internet Explorer)
Page Design pop-up menu
Page Holder (Internet Explorer) 2nd 3rd
Page Holder Favorite command
Page Holder tab
pages
adding to .Mac Web sites 2nd 3rd 4th 5th 6th
moving
Internet Explorer Page Holder 2nd 3rd
storing
Internet Explorer Scrapbook 2nd
palettes
Audio 2nd
Palettes
Character
favorites 2nd
installing
tabs 2nd
palettes
color 2nd
defined
Effects 2nd 3rd 4th 5th
Commit button
Restore Clip button
Titles 2nd 3rd
tools 2nd 3rd
Transitions
panels
Colors 2nd
Font
Fonts 2nd
collections 2nd
Collections pane
Color Picker 2nd
Family pane 2nd
Favorites collection
Preview pane
Sizes pane 2nd 3rd
Software Update control panel
panes
Accounts 2nd
buttons, troubleshooting
Advanced Settings
CDs & DVDs
Classic 2nd 3rd
Collections
Fonts panel
Color Management
ColorSync 2nd 3rd
Composing
Connection 2nd 3rd
Content
iPhoto
Content (iTunes) 2nd 3rd
Date & Time
Date and Time 2nd
Displays 2nd
Dock 2nd
Energy Saver 2nd 3rd 4th 5th 6th 7th
Family
Fonts panel 2nd
Fonts & Colors
General 2nd 3rd
Ink
International 2nd
Internet
configuring 2nd 3rd 4th
Keyboard 2nd
Login Items 2nd
Media keys
Mouse
Music
My Account
user accounts, editing 2nd
Network 2nd
Output Options
Plug-In
Preview
Fonts panel
QuickTime
Reading pane
hidng
Screen Effects 2nd 3rd 4th 5th 6th 7th
Screen Saver
opening
Share Tool 2nd
Sharing
Sherlock Preferences
Sherlock Results
Sizes
Fonts panel 2nd 3rd
Software Update 2nd
Sound 2nd 3rd 4th 5th 6th 7th
alert sounds 2nd
Alerts tab
Input tab
Output tab
Sound Effects tab
Source
iPhoto
iTunes
Source (iTunes) 2nd
Speech 2nd
Startup Disk 2nd
startup volumes
System Preferences utility 2nd
Sound pane
System Preferences utility default
Tool
Universal Access 2nd 3rd
Update
Viewing
PAP
(Printer Access Protocol)
paper feed controls
partitioning
disks
troubleshooting
drives
hard drives 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th
Partitioning Scheme pop-up menu
partitions
multiple
passive hubs
passphrases
defined
passwords
.Mac accounts
Airport Base Station
troubleshooting
configuring Mac OS X
hints, enabling
Internet accounts
Internet connections
user accounts
resetting
Path button 2nd
Path pop-up menu
directories, changing
pathnames
paths
defined
directories
Unix commands 2nd 3rd
Pause slider
iMovie
PC cards
PC Guide Web site
PCI 2nd 3rd 4th
PCI (Peripheral Component Interconnect)
PCI cards
adding
PDF
(Portable Document Format) 2nd 3rd
functions
previewing
pdf files
PDFs
creating 2nd 3rd 4th
customizing
saving documents as 2nd 3rd
Pearson Technology Group Web site
performance
assessment
Classic environment
graphics cards
performance requirements
hard drives
Peripheral Component Interconnect.PCI
permissions
startup volumes
Personal Mailboxes mailbox
Personal page (HomePage templates)
phone line modems
phone numbers
Internet accounts
Photo Album page (HomePage templates)
photo albums
photo organization 2nd
Photo Library
comments
downloading digital images from digital cameras 2nd
importing digital images 2nd
importing images 2nd
keywords 2nd 3rd
associating with information 2nd 3rd
creating
deleting
finding images 2nd
organizing images 2nd 3rd 4th
titling images
Photoshop (Adobe)
Photoshop file format
PICT file format
picture elements.pixels
Picture Transfer Protocol
.PTP
Pictures channel (Sherlock)
Pictures folder (iDisk)
ping
network connections 2nd
Ping tab
Network Utility
pipe symbol (|)
piping
defined
pixelated
defined
pixels
defined
pixelated, defined
total number of, determining
pkg files
(package files)
installing
planning movies
platform-specific hubs
Ethernet
Play button
play selection only command
playback
DVD Player application
playback controls
QuickTime Player
Player (QuickTime)
controls
Hot Pick option
keyboard shortucts 2nd
playback controls
preferences 2nd
Resize handle
players
MP3 portable
controls
cost
downloading music to 2nd 3rd
folders
iPod
iTunes compatibility
memory
removable memory cards
selecting 2nd
size
styles
troubleshooting
playing
audio CDs 2nd 3rd
burned CDs
troubleshooting
clips in reverse 2nd
DVDs
troubleshooting
movies
MP3 files 2nd 3rd 4th 5th
multiple movies
smart playlists
playlists
browsing
delting
recording
smart 2nd 3rd 4th 5th 6th
creating 2nd 3rd 4th
editing
playing
standard 2nd 3rd 4th
Plug-In pane
plug-ins
.Mac
troubleshooting
Classic applications
plug-ins
defined
installing 2nd 3rd
QuickTime
QuickTime configuration
plus sign (+)
Point-to-Point Protocol
(PPP)
Point-to-Point Protocol over Ethernet
(PPPoE)
POP accounts
versus IMAP accounts
pop-up menus
Use Control with
pop-up menus (Dock)
port
QuickTime
Port Mapping tab
Port Scan tab
Network Utility
Portable Document Format
.PDF 2nd
Portable Document Format.
PDF
portable MP3 players
controls
cost
downloading music to 2nd 3rd
folders
iPod
iTunes compatibility
memory
removable memory cards
selecting 2nd
size
styles
troubleshooting
ports
active
ADB
audio
DV camcorders
Ethernet
connecting
hubs
Ethernet 2nd
LAN
uplink ports
USB hubs 2nd
WAN
post-production movies 2nd
power
conserving 2nd
Mac OS X
mobile computers 2nd 3rd 4th 5th 6th 7th
conserving
Energy Saver pane 2nd 3rd 4th
power management menu
configuring
PowerPoint
QuickTime movies, adding
PPoE accounts
configuring 2nd
testing 2nd
PPP
(Point-to-Point Protocol)
configuring
Internet access
PPP Options button
PPP tab
PPPoE
(Point-to-Point Protocol over Ethernet)
PPPoE status menu
monitoring and controling your connections
pre-emptive multitasking
Mach 2nd
PreferencePanes directory
preferences
configuring
date and time 2nd
Dock 2nd
DVD Player application
general
configuirng 2nd
iDVD 2nd 3rd
international
configuring 2nd
iPhoto 2nd 3rd
iTunes 2nd
Mac OS 10.2
Mail
composing preferences 2nd 3rd
setting 2nd 3rd
signature preferences 2nd
viewing preferences 2nd
QuickTime 2nd
QuickTime Player 2nd
Auto-Play
Hot Picks
Only Front Movie Plays Sound
Open Movie
Play Sound in Background
screen
configuring 2nd 3rd 4th 5th 6th
setting
Sound pane;alert sounds
Sherlock 2nd 3rd
sound 2nd 3rd 4th
alert sounds
speech
Stuffit Expander application
Universal Access
Universal Access pane
Preferences command 2nd 3rd
Preferences command (Mail menu) 2nd
Preferences directory
preventing
hackers
firewalls
software firewalls 2nd 3rd
problems 2nd
viruses 2nd
Preview button
iMovie
Preview icon
preview mode (iDVD)
Preview pane (Fonts panel)
Preview section (Info window)
Preview window
iMovie
previewing
clips 2nd 3rd 4th
fonts
PDFs
print jobs
special effects
transitions
previous button
print jobs
Classic environment
troubleshooting
status
print settings controls
Print tool
iPhoto
Printer Access Protocol
(PAP)
Printer List window
Printer Model pop-up menu
printer pop-up menu
printers
advanced settings
color laser
color management
duplexing
image quality
inkjet
installing
local 2nd
network 2nd 3rd
laser
layout
local
installing 2nd
network
installing 2nd 3rd
output
paper feeds 2nd
presets
print job status
selecting 2nd
inkjet
laser
settings
sharing 2nd
summary area
types
Printers directory
printing 2nd
Calssic environment
troubleshooting
Classic applications
Classic environment
Classic environments
troubleshooting
iPhoto images 2nd
previews
settings 2nd 3rd
printing frames
prints (photo)
ordering 2nd
privileges
access
configuring 2nd 3rd
everybody else
group
options 2nd
owner
security
problems
.troubleshooting
Process Viewer 2nd 3rd
starting
processes
administrator 2nd 3rd
NetBoot 2nd 3rd
root 2nd 3rd
Unix
killing 2nd
user 2nd 3rd
processing
data 2nd
processing power
frame rate
processors
monitoring 2nd 3rd
production
movies
profiles
ColorSync
troubleshooting
systems
creating 2nd 3rd 4th
programs
Installer
applications 2nd 3rd
projectors
adding
types
cost
projects (iDVD)
creating
saving
themes
protected data files
QuickTime
protected memory
Mach
protocol
QuickTime
Protocol Helpers Settings window
protocols
AFP
Darwin code 2nd
NFS.
PTP
TCP/IP
proxy servers
configuring 2nd 3rd
defined
functions
Web sites
PTP
(Picture Transfer Protocol)
Public directory
accessing
Public folder
Public folder (iDisk)
Publish HomePage dialog box
publishing
Web sites 2nd
hosting services
pwd command

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

QT Margins
iMovie
quality
frame rate
movies 2nd
MP3 encoding 2nd 3rd
custom levels 2nd
standard levels 2nd
Quartz Extreme
QuciTime 6
QuckTime Pro
movies
tracks 2nd
Quicken Web site
QuickTime 2nd
animation
capabilities
changing the movie size
printing frames
QuickTime TV, watching
viewing movies
working with audio
working with video
channels
clips
importing 2nd
components
current versions
configuring 2nd 3rd
System Preferences Utility
connections 2nd 3rd
creating movies 2nd
Dock
editing movies 2nd
extension
framework folder
Library folder
media keys
adding
movies
Apple's Movie Trailer
automatic play
background text color
brightness
color depth
commands
continuous loop
continuous play
creating 2nd 3rd 4th 5th 6th 7th
crop markers
customizing 2nd
default resolution
dependency
distributing 2nd 3rd
editing
editing commands 2nd 3rd
Enable kiosk mode
expert formatting options 2nd
formats 2nd
frame rate
minimizing
Movie menu
muting
on the Web
playing
printing frames
quality
QuickTime VR
resolution 2nd 3rd
size 2nd 3rd
slideshows 2nd 3rd 4th 5th
sound controls
streaming
timecode
Timeline bar
tracks 2nd 3rd
transitions
troubleshooting
viewing 2nd 3rd
volume 2nd 3rd 4th
watching from hard drive 2nd 3rd 4th 5th 6th 7th 8th 9th 10th
watching from Web 2nd 3rd 4th 5th 6th
music
Player
Applications folder
controls
Hot Pick option
playback controls
preferences 2nd
Resize handle
shortcuts 2nd
Plug-in
plug-ins
port
PowerPoint presentations, inserting
preferences 2nd
configuring aspects
protected data files
protocol
registering 2nd 3rd
resources 2nd
slideshows
creating 2nd 3rd 4th 5th
sound
Sound controls
Updater
updates 2nd 3rd
upgrading 2nd 3rd
video
Video controls
VR movies 2nd
Web site
watching movies
Web movie controls
Web site
Word files, inserting
QuickTime capabilities
QuickTime file format
QuickTime movies
adding to iDVD 2nd 3rd 4th
creating
iPhoto images
exporting to DVD format 2nd
QuickTime pane
QuickTime Player
preferences
Auto-Play
Hot Picks
Only Front Movie Plays Sound
Open Movie
Play Sound in Background
QuickTime Pro
AIFF files
AVI files
BMP files
capabilities 2nd
DV stream
file conversions 2nd
formats supported 2nd
Hot Pick option
movies
clips, adding 2nd 3rd 4th 5th
creating 2nd 3rd 4th 5th 6th 7th
editing 2nd 3rd
editing commands 2nd 3rd
transitions
registration
troubleshooting
upgrading 2nd 3rd
Wave files
Web controls
QuickTime VR
QuickTimeStreaming
Quit button
Quit command 2nd 3rd
keyboard shortcuts
quits
force quitting 2nd
quits (applications) 2nd
quitting
applications

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

radio broadcasts (Internet)
iTunes 2nd
Radio Tuner
RAM
requirements 2nd
raster-based images 2nd 3rd
functions
rates
bit
sample
variable bit rate encoding
read & write access privilege option
read only access privilege option
reading
e-mail
shortcuts
Reading pane
hiding
Readme documents
Dock
Receipts directory
receivers
satellite 2nd
receiving
e-mail 2nd 3rd 4th 5th
e-mail with files
files with e-mail
recorders (CD)
configuring 2nd
recording
CDs
CDs (iTunes)
from playlists
sound for movies 2nd 3rd 4th
recording CDs.
burning CDs
red-eye
iPhoto images
red-eye tool
Refresh button
region code messages (DVDs)
registering
domains 2nd 3rd
costs
registration sites
QuickTime 2nd 3rd
QuickTime Pro
Registration pane 2nd 3rd
registration sites
Relative Volume slider
reliability
dial-up accounts
Mac OS X
removable media
removable media drives
removable memory cards
portable MP3 players
Remove Audible Account command (iTunes)
Remove button
iMovie
removing.deleting
rendering
transitions
Rendezvous
Repeat button
repeating
problems
Replace command
QuickTime
replying
e-mail 2nd 3rd 4th
requirements
data
INternet accounts 2nd 3rd
Internet accounts
hard drive performance
Mac OS X 2nd 3rd
disk space
RAM 2nd
video cards
movies
creating
Reset button
resetting
user account passwords
Resize handle
resizing
Finder windows 2nd
window columns
resizing movie resolutions
resolution
defined
digital cameras 2nd
digital images 2nd
monitors
onscreen presentations 2nd
pixels
movies 2nd 3rd
slideshows
resources
Classic environment
monitoring
Classic environments
troubleshooting
Ink
QuickTime 2nd
system-level
Library directory 2nd 3rd
Unix
Restart button
disabling 2nd
Restart command (Apple menu)
restarting
Classic environment 2nd
Mac OS 9.2 2nd
Mac OS X 2nd
workarounds
Restore Clip button
Resume page (HomePage templates)
reversing
clips 2nd
Rice University IT Document Index Web site
Rich Text Format (RTF)
RJ-45 connectors (Ethernets)
rm command
root accounts
activating 2nd 3rd 4th
defined
Home Directory
logging in 2nd 3rd
permissions
Unix 2nd
root processes 2nd 3rd
root-level Web pages
root-level Web sites
creating
troubleshooting
routers
routes
tracing
Traceroute
Roxio Web site
Roxio's Toast
RTF (Rich Text Format)
rtf files
rtfd files
rules
(e-mail)
e-mail
implementing 2nd 3rd
Mail
setting
running
applications 2nd
applications under Mac OS X
Classic environment 2nd 3rd 4th
Mac OS 9.2

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

S-video connectors
Samba
support
Samba Unix server application
installing
sample rate
satellite modems 2nd
Save dialog box 2nd 3rd 4th
save settings controls
saving
documents 2nd 3rd
filename extensions 2nd 3rd 4th
Mac OS X
PDFs 2nd 3rd
iDisk documents
iDVD designs 2nd
iDVD projects
movies
Web
screen displays screen savers
Scale Effect
scanneras
software
troubleshooting
scanners
digital images 2nd
software
scanning
images
scanner software
scanning images
Image Editing application
Scrapbook (Internet Explorer) 2nd
Scrapbook tab
Screen Effects pane 2nd 3rd 4th 5th 6th 7th
screen preferences
configuring 2nd 3rd 4th 5th 6th
Screen Saver pane
opening
Screen Saver tool
iPhoto
screen savers
iPhoto images
creating
modules 2nd
screens
dimming
screensavers 2nd 3rd 4th 5th 6th
modules, downloading 2nd
Script Editor application
features
scripts
shell
scroll arrows
moving
scrolling
Finder
windows 2nd 3rd 4th
scrolling controls 2nd
features
Scrubber Bar
Scrubber bar.Timeline bar
SCSI
SCSI (Small Computer System Interface)
SCSI drives
installing 2nd
Search button 2nd
search domain
search forward/backward (iMovie)
Search tool
folder items, selecting
searching
e-mail 2nd
text 2nd
Web
Sherlock
searching.finding
secured folders
Classic application
security
Administrator account
authentication
e-mail
hackers 2nd
firewalls
software firewalls 2nd 3rd
keychains 2nd
adding 2nd
creating
information 2nd 3rd
items, adding 2nd 3rd 4th 5th
locking
storing
unlocking
unlocking iTools accounts
Mac OS X
network servers
firewalls
software firewalls 2nd 3rd
networks
privileges
Sherlock
user accounts
Web 2nd 3rd 4th
Security tab (Sherlock Preferences pane)
Select a Picture dialog box
Select All command
QuickTime
Select None command
QuickTime
Select Volume dialog box
selecting
CD-RW drives 2nd 3rd 4th 5th
devices
input 2nd
DHCP hubs
digital cameras
disk configuration 2nd
DV camcorders 2nd 3rd 4th 5th
Finder window items 2nd 3rd
graphics cards 2nd
hard drives 2nd 3rd 4th
hardware backups 2nd 3rd 4th 5th
CD-R
CD-RW
DVD-R
DVD-RAM
external FireWire hard drives
hard drives
removable media
tape
tape drives
hubs
Ethernet 2nd 3rd
FireWire 2nd
icons
Internet connection technologies 2nd
Internet technologies 2nd 3rd
keyboards 2nd
Mac OS 10.2 installation 2nd 3rd
modems 2nd
monitors
display sizes
display types 2nd 3rd
interface types
mouse 2nd 3rd
portable MP3 players 2nd
iTunes compatibility
printers 2nd
inkjet
laser
software backups 2nd 3rd
speakers 2nd
startup volumes 2nd
trackballs
USB hubs 2nd
Self Mounting Image files
.smi files
self-powered USB hubs
Send button
sending
e-mail 2nd 3rd 4th 5th
file attachments
troubleshooting delivery problems
e-mail with files
Separator button
Sepia Tone effect
serial busses
servers
DHCP
Client ID names
connections 2nd
functions
Internet accounts, sharing 2nd 3rd
NAT
TCP/IP addresses, configuring 2nd 3rd
file
troubleshooting
files
configuring 2nd 3rd
FTP
configuring 2nd 3rd
troubleshooting 2nd
network security
firewalls
software firewall 2nd 3rd
news
proxy
configuring 2nd 3rd
functions
proxy server
defined
Service Location Protocol
(SLP)
services
DHCP
configuring 2nd
DSL
HomePage
.Mac
network
AirPort configuration 2nd
networking 2nd
Apple File Protocol
AppleTalk
Bootstrap Protocol
CIFS
CIFS (Common Internet File System)
Dynamic Host Configuration Protocol
File Transfer protocol
HyperText Transport Protocol
Internet Protocol
Lightweight Directory Access Protocol
Network File Service
Network Time Protocol
Open Transport
Point-to-Point Protocol
Point-to-Point Protocol over Ethernet
Printer Access Protocol
Samba
Service Location protocol
Short Message Block
Transmission Control Protocol/Internet Protocol
User Datagram Protocol/Internet Protocol
WebDAV
WebDAV standard
networks
accessing
configuring 2nd
Web hosting 2nd
.Mac 2nd
.Mac.
Mac OS X
Web sites, publishing 2nd 3rd
Services command 2nd 3rd
Services tab
Sharing pane
serving
Web sites
Mac OS X 2nd 3rd 4th 5th
Web sites.Web hosting
Set Auto Login button
Set Poster Frame None command
Set Up Mail dialog box
setting
applications
creator applications
colors
Mail
fonts
Mail
preferences
Mail 2nd 3rd
Sound pane
rules
Mail
setting.configuring
settings
Brickhouse application
network settings
modifying
printing 2nd 3rd
Settings tool
setup
Address Book
Setup Assistant
Internet
iTunes
Share mode button
Share Tool pane 2nd
shared files
accessing 2nd 3rd 4th
configuring 2nd 3rd 4th 5th 6th 7th 8th
AApleTalk
Mac OS 9 2nd 3rd 4th 5th
Mac OS X
troubleshooting
shared volumes
unmounting
sharing
accounts
Internet 2nd
iDisk information 2nd 3rd 4th 5th
Internet accounts 2nd
AirPort 2nd 3rd
DHCP servers 2nd
IP addresses, multiple 2nd 3rd
iPhoto images 2nd
printers 2nd
Sharing icon 2nd
Sharing pane
sheets
Capabilities
defined
dialog boxes
Sheets dialog box
Shelf
.iMovie, Shelf
Shelf (iMovie)
shell scripts
shells
Unix
Sherlock
channels
subscribing 2nd
Dock
preferences 2nd 3rd
security
toolbar
customizing
Web searches
Sherlock Preferences pane
Sherlock Results pane
short name
defined
shortcuts
keybaord
address books 2nd
keyboard
Dock
DVD Player application 2nd
Finder
Finder window
iTunes 2nd
Mail applications 2nd
Terminal application 2nd
keyboard shortcuts
keyboards
desktop 2nd
desktop images, capturing
Internet Explorer 2nd
Quit command
QuickTime Player 2nd
Shot Message Block
(SMB)
Show check boxes
Show Guides check box
Show Log button
Show Mailboxes command (View menu)
Show Status Line command (View menu)
Show Visuals button
showing
Mail toolbar
showing.viewing
Shuffle button
Shut Down button
disabling 2nd
Shutdown command (Apple menu)
shutting down
Mac OS X
signals
AirPort
troubleshooting
signature preferences
Mail 2nd
Signatures icon
Silicon file format
Simple Finder
single-user startup mode 2nd
sites
Web.Web sites
sites (Web).Web sites
Sites directory
accessing
Sites folder
Sites folder (.Mac)
Sites folder (iDisk)
size
Dock 2nd 3rd 4th
hard drives
movies 2nd 3rd
increasing
portable MP3 players
sizes
displays
DV camcorders
fonts 2nd
Sizes pane (Font Panel)
Sizes pane (Fonts panel) 2nd
sizing
Finder
windows 2nd
window columns
slashes (/)
Sleep command (Apple menu) 2nd
sleep time (monitors)
Slide Show button
Slide Show tool
iPhoto
slide shows
adding to DVDs
adding to iDVD 2nd 3rd 4th 5th
exporting to DVDs 2nd
iPhoto 2nd
sliders
Brightness
brightness/contrast
Delay Until Repeat
Dock Size
Double-Click
Double-Click Speed
Fade
Font Size
iMovie
Key Repeat
Pause
iMovie
Relative Volume
Speed
iMovie
Tracking Speed 2nd
slideshow mode (iDVD)
slideshows
creating 2nd 3rd 4th 5th
resolution
sound tracks
SLP
(Service Location Protocol)
Small Computer System Interface.SCSI
Small Dog Electronics Web site
Small Outline-DIMM.SO-DIMM
Smalldog Web site 2nd
smart encoding adjustments
Smart Playlist dialog box 2nd
smart playlists 2nd 3rd 4th 5th 6th
creating 2nd 3rd 4th
editing
playing
SmartMedia cards
SMB
(Short Message Block)
smi
(Self Mounting Image files)
smi files 2nd
installing
smoothing
fonts
SnapzProX application
SO-DIMM
SO-DIMM (Small Outline-DIMM)
software
.Mac
antivirus 2nd 3rd 4th
functions
Apache
camera-specific
conflicts
digital cameras 2nd
troubleshooting 2nd
firewalls 2nd 3rd
information, storing
maintaining 2nd 3rd 4th
management
music 2nd
network analysis
scanners
torubleshooting
system backups 2nd 3rd 4th
Web creation 2nd
Software Base Station
Software folder (iDisk)
Software License Agreement window 2nd 3rd
Software Update control panel
Software Update icon
Software Update pane 2nd
Software Update tool 2nd 3rd 4th
Song Information window
Song Text pop-up menu
SOO/STRC Unix Resources Web site
sound
AIFF
AIFF format
alert sounds
installing 2nd 3rd 4th
alerts
configuring
clips
native sounds 2nd
native sounds, editing
movies 2nd 3rd 4th
audio tracks, mixing
fading
fading sounds 2nd
music
muting
narration
native sounds 2nd 3rd 4th 5th 6th 7th 8th 9th
recording 2nd 3rd 4th
sound effects 2nd 3rd 4th 5th 6th
volume
volume levels 2nd
music
adding from CDs 2nd 3rd
adding MP3s to moives 2nd
adding to movies 2nd
editing 2nd
preferences 2nd 3rd 4th
QuickTime
QuickTime movies
overload
volume 2nd 3rd
slideshows
speakers
analog
Apple Pro
audio output
built-in
installing 2nd
selecting 2nd
volume
configuring
controlling
sound controls (QuickTime
sound effects
adding
movies 2nd 3rd
movies
adding 2nd
recording 2nd 3rd 4th
Sound Effects tab (Sound pane)
Sound menu
Sound pane 2nd 3rd 4th 5th 6th 7th
alert sounds 2nd
Alerts tab
Input tab
Output tab
Sound Effects tab
System Preferences utility
Sounds directory
SoundSticks
Source pane
iPhoto
iTunes
configuring
Source pane (iTunes) 2nd
Source Text pop-up menus
sources
iTunes
speaker jacks
speakers
audio output
installing 2nd
selecting 2nd
types
analog
Apple Pro
built-in
digital
special effects
.sound effects
clip speed, customizing 2nd 3rd 4th
identifying clips with special effects applied
iMovie tools
instant replays
movies 2nd 3rd 4th 5th
playing clips in reverse 2nd
speech
configuring
Speech Commands window
Speech pane 2nd
speech recognition
configuring
Speech Recognition tab
speed
clips 2nd 3rd 4th
computers
viruses
Mac OS X
modems
Speed slider
iMovie
speeds
Ethernets 2nd
hubs
Ethernet 2nd
spell checker (e-mail)
spell-checking
e-mail 2nd
spftware
AirPort
Spoken User Interface tab
spring-loaded Finder windows
stability
Mac OS X
stacking
transitions
standard applications
standard playlists 2nd 3rd 4th
start pages
.HomePage templates
Start/Stop tab
Classic pane
starting
Apple System Profiler application
Classic environments
CPU Monitor
Disk Utility
Mac OS X
automatically 2nd 3rd 4th
Home directory 2nd 3rd
user accounts 2nd
Process Viewer
startup
errors
correcting 2nd
single-user mode 2nd
troubleshooting
verbose mode
Startup Disk pane 2nd
startup volumes
startup disks
maintaining 2nd 3rd
Startup Options pop-up menu
startup volume
repairing
startup volume directory 2nd
Applications directory
Library directory
System directory
Users directory
startup volumes
alternative
permissions
repairing
selecting 2nd
StartupItems directory 2nd
static addresses
configuring
static IP addresses
dynamically assigned routers
status bar (Finder)
customizing
Status tab (iDVD Drawer)
Status toolbar (Internet Explorer)
steps
Internet connections 2nd
stereo mode (MP3)
still images
movies
importing 2nd
Stocks channel (Sherlock)
storage
iDisk 2nd 3rd 4th
folders 2nd
information sharing 2nd 3rd 4th
mounting
upgrading 2nd
storing
digital images 2nd
documents
e-mail 2nd
files
keychain information 2nd 3rd
keychains
MP3 files 2nd 3rd
music
pages
Internet Explorer Scrapbook 2nd
QuickTime TV channels
software information
straight cut (QuickTime movies)
Straight Cut transition
strategies
system backups 2nd 3rd 4th
applications
documents
system files
streaming
Streaming Buffer Size pop-up menu
streaming movies
Streaming Transport Setup window
StuffIt application
Stuffit Expander
Stuffit Expander application
configuring 2nd 3rd
preferences
Stuffit Expander icon
Stuffit Expander menu
styles
portable MP3 players
Title
iMovie
submenus
iDVD 2nd 3rd
Submit CD Track Names command (iTunes)
subnet masks
subscribing
Sherlock channels 2nd
Subscriptions tab (Sherlock Preferences pane)
subsystems
applications 2nd
graphics 2nd
sudo command
sufficient privileges error message
summary area (printers)
SuperDrive 2nd 3rd 4th 5th 6th 7th
support
high-technology
Mac OS X
switching hubs
symbols
troubleshooting
system configuration (Mac toolkit)
System directory
directory examples
system files
backups
System Folder
system folders
Mac OS 9.2
system messages
viewing
System Preferences
Dock
System Preferences command (Apple menu)
System Preferences utility 2nd 3rd
Connection pane 2nd 3rd
Date and Time pane 2nd
default panes
General pane 2nd
International pane 2nd
Media keys pane
mouse configuration
Music pane
opening
panes 2nd
Plug-In pane
QuickTime configuration
Registration pane 2nd 3rd
Screen Effects pane 2nd 3rd 4th 5th 6th
Sound pane 2nd 3rd 4th 5th
alert sounds 2nd
Speech pane
Universal Access pane 2nd
Update pane 2nd
System Preferences utility pane
Sound pane
alert sounds
System Prefrences command (Apple menu)
System Profile tab
System Profiler 2nd 3rd 4th
starting
system-level resources
Library directory 2nd 3rd
systems
activity
viewing 2nd
AirPort-equipped
configuring as Base Station 2nd 3rd 4th 5th
attacks 2nd
backing up 2nd
backup hardware
backup software
full backups
hardware 2nd 3rd 4th 5th 6th 7th
incremental backups
maintaining backups 2nd 3rd
selected files
software 2nd 3rd
startup disks 2nd 3rd
strategies 2nd 3rd 4th
configuring
Internet access 2nd
errors
correcting 2nd
maintaining
profiles
creating 2nd 3rd 4th
troubleshooting

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

T1 cabling 2nd
tablets
finding
Ink
input
writing
Ink configuration 2nd 3rd 4th 5th 6th
installing
tabs
Access Control
Activation
Alert
Applications 2nd
Arrange
Device Profiles
Devices and Volume
Devices and Volumes
Display
E-mail
Extensions
Finger
Frameworks
Importing
Info
Internet
Lookup
Menu Bar Clock
Netstat
Output
Ping
Port Mapping
Port Scan
PPP
System Profile
TCP/IP 2nd
Traceroute 2nd
Whois
tape
system backups
tape archives
(tar)
tape drives 2nd
tar
tar format
(tape archive)
TCP/IP
(Transmission Control Protocol/Internet Protocol)
configuring
DHCP servers 2nd 3rd
Internet access
TCP/IP (Transmission Control Protocol/Internet Protocol)
TCP/IP tab 2nd 3rd
Tech Tool Pro Web site
technologies
Internet connections 2nd 3rd 4th 5th 6th 7th 8th 9th 10th 11th 12th
cable modems 2nd 3rd
dial-up modems 2nd 3rd
DSL modems 2nd
ISDN modems 2nd
satellite receivers 2nd
selecting 2nd 3rd
T1/fractional T1 2nd
TechTracker Support Network Web site
templates
HomePage
.Mac 2nd 3rd 4th
Baby page
Education page
File Sharing page
iMovies page
Invites page
Personal page
Photo Album page
Resume page
HomePage (iTools)
Terminal application
keyboard shortcuts 2nd
terminology
Mac OS X 2nd 3rd 4th 5th 6th 7th
Test button
testing
Internet accounts 2nd
PPoE accounts 2nd
user accounts 2nd 3rd
Web sites
text
searching e-mail 2nd
text blocks
iMovie
text editors
emacs.
vi.
Text-to-Speech tab
TextEdit
Theme button
Theme pop-up menu
themes
custom
DVDs 2nd
iDVD projects
menus
DVDs 2nd 3rd
Themes tab (iDVD Drawer)
third-party application discs
This Is Me command (Edit menu)
TIFF file format
tiff files
tilde character (~)
tilde characters (~)
URLs
time
configuring 2nd
Time tab
time zones Web site
time-synchronized data
timecode (QuickTime)
timecodes
clips
Timeline bar (QuickTime)
Timeline Viewer
controls 2nd
Timeline Viewer tab
Timeline Zoom pop-up menu 2nd
timeservers
network, customizing
Title Color pop-up menu
Title Position pop-up menu
Title Size pop-up menu
Title style
iMovie
Titles button
Titles palette 2nd 3rd
tools 2nd 3rd
titling
iPhoto images
movies
titling movies 2nd
captions
credits
tools 2nd 3rd 4th 5th 6th 7th 8th 9th
Toast
toggling
applications 2nd
windows
Tool pane
Toolbar
directories, changing
Toolbar (Finder)
customizing
showing/hiding 2nd
tools, customizing 2nd 3rd
Toolbar Style pop-up menu
toolbars
InkPad
Internet Explorer
customizing 2nd 3rd
Mail.Mail toolbar
Sherlock
customizing
toolkits (Mac)
antivirus application
disk maintenance application
installation CD
original CDs
system configuration
up-to-date backups
tools
constrain
crop
Desktop
iPhoto
Export
iPhoto
HomePage
iPhoto
iMovie special effects
Mail
iPhoto
Movie Property (QuickTime) 2nd
size 2nd 3rd
volume 2nd 3rd
movie titling 2nd 3rd 4th 5th 6th
Order Book
iPhoto
Order Prints
iPhoto
Print
iPhoto
red-eye
Screen Saver
iPhoto
Search
folder items, selecting
Settings
Slide Show
iPhoto
Software Update 2nd 3rd 4th
Toolbar (Finder)
customizing 2nd 3rd
Top window 2nd
Traceroute
Traceroute tab
Network Utility 2nd
tracing routes
trackballs
installing 2nd
selecting
Tracking Speed slider 2nd
Trackpad
disabling
trackpads
mobile computers 2nd 3rd
tracks
audio
mixing
QuickTime movies
slideshows
video
creating 2nd 3rd 4th
tracks (QuickTime movies) 2nd
adding
disabling
enabling
transistions
(movies)
transitions
adding 2nd 3rd 4th 5th
applying
Cross Dissolve 2nd
defined
Fade To/From Black
previewing
rendering
stacking
Straight Cut
Transitions palette
types
transitions (QuickTime movies)
Transitions palette
Translation channel (Sherlock)
Transmission Control Protocol/Internet Protocol
(TCP/IP)
Transmission Control Protocol/Internet Protocol.TCP/IP
Transport Setup button
Trash
deleting items from
Dock
moving items to 2nd
Trash icon 2nd
Trim command
QuickTime
troubleshoooting
DV camcorders
iMovie compatibility
troubleshooting
.Mac
member sign-ins
Web sites 2nd
.Mac plug-ins
Accounts pane buttons
AirPort Base Station configuration
AirPort Base Station passwords
AirPort hardware
AirPort networks
AirPort signals
application errors 2nd
hangs 2nd
hardware errors 2nd 3rd
quits
startup errors 2nd
system errors 2nd
unexpected behaviors
booting up
bugs 2nd
burning CDs
causes 2nd
context 2nd
details
repeating problems
CD burning
characters
Classic application
Classic applications
plug-ins
Classic disk utilities
Classic environment 2nd 3rd
Classic environment print jobs
Classic environment resources
Classic environments
print jobs
ColorSync profiles
Connect to Server command
connections
dial-up connections 2nd 3rd
digital camera software 2nd
digital cameras
mounted
disk gauge issues
disk partitions
Disk Utility
DVDs
NOT PERMITTED messages
not playing
region code messages
e-mail
sending
e-mail access 2nd 3rd 4th
e-mail attachments 2nd
Ethernet connections 2nd 3rd
file servers
FTP server access
FTP servers
hardware failures 2nd
help sources 2nd 3rd 4th
input devices
installed disks
installers 2nd
installing applications
Internet access 2nd
IP addresses
iTunes
CD recorders
iTunes Library
logging in
Mac OS 10.2
applications
installation
preferences
MAC OS X 2nd
Mac OS X
monitors
multiple
mouse
network communication
opening documents
icons 2nd
performance assessment
playing burned CDs
portable MP3 players
prevention 2nd
process
processors, monitoring 2nd 3rd
QuickTime movies
QuickTime Pro
root-level Web sites
scanner software
shared files
software conflicts
system activity, viewing 2nd
system attacks 2nd
system messages
system profiles 2nd 3rd 4th
user errors 2nd
user processes 2nd 3rd
workarounds 2nd
TV Safe Area (iDVD)
TV-Safe area (iDVD)
types
fonts
printers
color laser
inkjet
laser
projectors
speakers
analog
Apple Pro
built-in
digital
transitions
Transitions palette
viruses
application
macro

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

U.S. Library of Congress Web site
UDF (Universal Disk Format)
UDP/IP
(User Datagram Protocol/Internet Protocol
UFS (Unix File System)
Ultra SCSI
Ultra Wide SCSI
uname command
uncompressing
files 2nd 3rd
Unix
files with e-mail
unexpected behaviors (applications)
Universal Access pane 2nd 3rd
Universal Access preferences 2nd
Universal Disk Format.
UDF
Universal Serial Busses.USBs
Unix
books
commands
arguments
defined
manuals 2nd
options
compressed files
directories
contents, customizing 2nd 3rd
directories, viewing 2nd 3rd 4th 5th
environments 2nd
filenames
files
compressing/uncompressing
extracting
root account 2nd
shell scripts
shells
Terminal keyboard shortcuts 2nd
versions
Web sites
Unix applications
UNIX applications
Unix applications
commands, entering 2nd
Terminal application
vi 2nd 3rd
Unix commands
entering 2nd 3rd
paths 2nd
paths
pipe symbol
slashes
Unix File System.
UFS
Unix Operating System course Web site
Unix processes
killing 2nd
Unix System Administration Independent Learning Web site
Unixhelp for Users Web site
unlocked folders
unlocking
iTools accounts
keychains
unmounting
shared volumes
unread e-mail
up-to-date backups (Mac toolkit)
Update button
iMovie
Update pane 2nd
Updater (QuickTime)
updates
QuickTime 2nd 3rd
updating
firmware 2nd
Upgrade now button
upgrading
iDisk 2nd
Mac OS 10.2 2nd 3rd 4th
QuickTime Pro 2nd 3rd
upgrading QuickTime 2nd 3rd
uplink ports
URLs
end slash (/)
tilde character (~)
usage
Mac OS X
USB
hot-swappable
USB 2
USB 2 interface
USB hubs 2nd
bus-powered
installing 2nd
ports 2nd
selecting 2nd
self-powered
USBs 2nd 3rd 4th 5th 6th
advantages
compatible devices
limitations
USBs (Universal Serial Busses)
Use Control with pop-up menu
Use iTools Email account check box
user accounts 2nd
Administrator 2nd 3rd
features
security
capabilities
configuring 2nd 3rd 4th
creating 2nd 3rd 4th 5th
deleting 2nd
editing 2nd 3rd
Home directory 2nd 3rd
folders 2nd 3rd
logging in
troubleshooting
logging out
login pictures
Login window appearance 2nd
names
password hints, enabling
passwords
resetting
root accounts
security
testing 2nd 3rd
User Datagram Protocol/Internet Protocol
(UDP/IP)
user interfaces
Aqua
user processes 2nd 3rd
usernames
Internet accounts
Internet connections
users
errors 2nd
fonts, accessing
multiple
Internet accounts 2nd 3rd 4th 5th
Users directory
utilities
AirPort Admin 2nd 3rd 4th 5th 6th 7th
Network
launching 2nd
tabs
System Preference
QuickTime configuration
System Preferences 2nd 3rd
Connection pane 2nd 3rd
Date and Time pane 2nd
default panes
General pane 2nd
International pane 2nd
Media keys pane
mouse configuration
Music pane
opening
panes 2nd
Plug-In pane
Registration pane 2nd 3rd
Screen Effects pane 2nd 3rd 4th 5th 6th
Sound pane
Speech pane
Universal Access pane 2nd
Update pane 2nd

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

variable bit rate encoding
vcards
Address Book
adding information to
dragging
vcf (file extension)
vector-based images
functions 2nd
verbose startup mode
Version Tracker Web site 2nd
versions
Mac OS X installation
system fonts
Unix
VFS
Darwin code
VFS (Virtual File System)
VGA
VGA (Video Graphics Array)
vi
(Visual Editor)
Unix applications, editing 2nd 3rd
video
ADC 2nd
DVI
formats
QuickTime supported
interfaces 2nd 3rd
QuickTime
S-video connectors
VGA
video cards
requirements
video connectors
Video controls (QuickTime)
Video Graphics Array.VGA
video interfaces
graphics cards
video mirroring
video tracks
creating 2nd 3rd 4th
videotapes
distributing movies on 2nd 3rd
View menu
commands
Hide Mailboxes
Hide Status Line
Show Mailboxes
Show Status Line
View Options dialog box
Viewer window (DVD Player application)
viewing
.watching
applications
active
digital images 2nd
Dock 2nd 3rd
filename extensions 2nd
Home directory
iTunes sources
mailboxes
multiple
movies
Web
PDFs
system activity 2nd
system messages
Toolbar (Finder) 2nd
Unix directories 2nd 3rd 4th 5th
Viewing pane
viewing preferences
Mail 2nd
viewing QuickTime movies 2nd 3rd
views
Columns
customizing
windows 2nd 3rd 4th
desktop
customizing
Finder
windows 2nd 3rd 4th 5th 6th 7th
Finder windows
customizing
Icon
customizing 2nd 3rd 4th
windows 2nd
List
customizing 2nd 3rd
windows 2nd 3rd 4th 5th
windows
Virex
virtual cards. vcards
Virtual File System
.VFS
virtual memory
Mach
Virtual Reality movies,VR movies
viruses
antivirus software 2nd 3rd 4th
application
identifying
application errors
computer speed
lost files
messages
macro
preventing 2nd
types
Visual Editor
.vi
visuals
iTunes 2nd 3rd 4th
volume
configuring
controlling
Dock
movies 2nd 3rd 4th 5th 6th
sound
movies
volume icons
volume levels
native sounds
volumes
defined
network
shared
unmounting
startup
alternative
permissions
repairing
selecting 2nd
VR (Virtual Reality) movies
VR movies 2nd
Web site

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

Wacom tablets Web site
WAN port
watching
.viewing
DVDs
desktop
DVD Player application 2nd 3rd 4th 5th 6th
movies
QuickTime
QuickTime movies
hard drive 2nd 3rd 4th 5th
Web 2nd 3rd
Water Ripple effect 2nd
watermark
DVDs
Watson application Web site
Wave files
Web
.Internet
browsing 2nd
iCab
OmniWeb
Ethernet connections
files
downloading 2nd 3rd 4th 5th
downloading with Download Manager 2nd 3rd 4th 5th
QuickTime movie distribution
searching
watching QuickTime movies 2nd 3rd
Web browsers
files, downloading
Web Content page
Active Content option
Fonts and Size option
Language options
Page and Link option
Page Content option
Web controls
QuickTime movies
Web creation software 2nd
Web customer support addresses
Web hosting
.Mac 2nd
customizing 2nd 3rd
HomePage templates 2nd 3rd 4th 5th
iDisk 2nd 3rd 4th 5th 6th 7th 8th 9th 10th
Web sites, creating
.Mac accounts
accessing 2nd 3rd
creating 2nd 3rd 4th
logging in
logging out
Apache 2nd
defined
Mac OS X 2nd 3rd 4th 5th 6th
configuring 2nd 3rd 4th
services 2nd
Mac OS X
Web sites, publishing 2nd 3rd
Web pages
root-level
Web pages.Web sites
Web searches
Sherlock
Web security 2nd 3rd 4th
Web Sharing Start button
Web sites
.Mac
creating
customizing 2nd 3rd
HomePage templates 2nd 3rd 4th 5th
images, posting 2nd
pages, adding 2nd 3rd 4th 5th
troubleshooting 2nd
Adobe
Adobe GoLive
Aladdin's DropStuff
Amazon
Ambrosia
America Online
Anubis
Apache
Apple
Apple Computer
Apple software support
Apple software updates
Apple Store
application maintenance
Bare Bones Software
Bluetooth
Brian Hill's Brickhouse
Brickhouse
camera manufacturers
Charismac
creating
creation software 2nd
Dantz
Darwin code
docklings download
DropStuff
DSLindiana
DVD Research
DVolume
EarthLink
Earthlink
Ethernet networks
Fox News
Gravis
Hard Disk Utility
hosting services
Apache 2nd
Mac OS X 2nd 3rd 4th 5th 6th
Mac OS X configuration 2nd 3rd 4th
HTML codes
IBM ViaVoice
iCab
iListen
iMovie-compatible cameras
Ink devices
inkjet printers
Interarchy
Internet Explorer
iPhoto compatibility
iPhoto images, creating
iTunes 2nd
Kodak cameras
Linksys
Mac 2nd 3rd
Mac Resource Page
MacCentral 2nd
MacFixIt 2nd
MacHome magazine
Macintosh Guy (The)
MacInTouch 2nd
Macromedia Dreamweaver
macsense
Macworld magazine
Microsoft Office
Mitsubishi X80
MP3.com
Music Bakery (The)
OmniWeb
overview
PC Guide
Pearson Technology Group
proxy servers
publishing 2nd
Quicken
QuickTime
Rice University IT Document Index
root-level
creating
troubleshooting
Roxio
serving
Mac OS X 2nd 3rd 4th 5th
serving.Web hosting
Small Dog Electronics
Smalldog
Smalldogs
SOO/STRC Unix Resources
Tech Tool Pro
TechTracker Support Network
testing
time zones
U.S. Library of Congress
Unix
Unix Operating System course
Unix System Administration Independent Learning
Unixhelp for Users
Version Tracker 2nd
VR movies
Wacom tablets
Watson
Webopedia
Web tab
WebDAV
WebDAV standard
Webopedia Web site
Websites
Audible.com 2nd
Where pop-up menu
Whois tab
Network Utility
wildcard characters
Window menu
commands 2nd
Window menus 2nd
windows
columns
resizing
Download Manager
Drive Setup 2nd
Edit File Helper
Enable Tracks
Equalizer
Finder 2nd
background color 2nd
closing
Columns view 2nd 3rd 4th 5th
directory structure
directory structure.directory structure (Finder)
Icon view 2nd 3rd 4th 5th 6th 7th
items, selecting 2nd 3rd
keyboard shortcuts
List view 2nd 3rd 4th 5th 6th 7th 8th
maximizing
minimizing
moving
navigating 2nd 3rd 4th 5th 6th
opening 2nd 3rd 4th 5th 6th
scrolling 2nd 3rd 4th
sizing 2nd
spring-loaded
views 2nd 3rd 4th 5th 6th 7th 8th
Get Info
associating document types with applications 2nd 3rd
iDVD 2nd
Info 2nd
Comments section
Content Index section
General section
iTunes 2nd 3rd
Languages section
Name & Extension section
Open with section
Ownership & Permissions section
Preview section
InkPad
Install Mac OS X Select Language 2nd
Internet Explorer 2nd
Internet Explorer Preferences
Login
automatic login 2nd 3rd
configuring
user account appearance 2nd
Mail
customizing
Mail Preferences
minimized
Dock
minimizing
Movie Info
Windows
networking with Mac OS X 2nd
windows
New Message
Preview
iMovie
Printer List
Protocol Helpers Settings
Software License Agreement 2nd 3rd
Song Information
Speech Commands
Streamiing Transsport Setup
toggling
Top 2nd
views
wireless input devices
Word files
Quicktime movies, inserting
workarounds 2nd
application problems
system problems
write only access privilege option
writing
CDs 2nd
e-mail 2nd 3rd
Ink
Writing Area button

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

X8OU projectors
Mitsubishi
xls files
XRouter Pro hubs

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

Yellow Pages channel (Sherlock)

[ Team LiB ]


[ Team LiB ]

[SYMBOL] [A] [B] [C] [D] [E] [F] [G] [H] [I] [J] [K] [L] [M] [N] [O] [P] [Q] [R] [S] [T] [U] [V] [W] [X] [Y] [Z]

zip drives

[ Team LiB ]


Team LiB

Brought to You by

Like the book? Buy it!